;;; mame-machine-info-loader.el --- MAME Machine info loader

;; Author: Yong <luo.yong.name@gmail.com>
;; URL: https://github.com/Iacob/elmame

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; MAME machine info loader.
;;
;; Generated from MAME 0.268

;;; Code:

(defun mame-machine-info-loader-load ()
  "Load machine definitions."
  '((name "005" year "1981" manufacturer "Sega" desc "005" devices ())
(name "100lions" year "2006" manufacturer "Aristocrat" desc "100 Lions (10219211, NSW/ACT)" devices ())
(name "100lionsa" year "2006" manufacturer "Aristocrat" desc "100 Lions (30223811, ASP)" devices ())
(name "10yard" year "1983" manufacturer "Irem" desc "10-Yard Fight (World, set 1)" devices ())
(name "10yard85" year "1985" manufacturer "Irem (Taito license)" desc "10-Yard Fight '85 (US, Taito license)" devices ())
(name "10yardj" year "1983" manufacturer "Irem" desc "10-Yard Fight (Japan)" devices ())
(name "110dance" year "200?" manufacturer "<unknown>" desc "Retro Dance Mat (110 song Super StepMania + 9-in-1 games) (PAL)" devices ())
(name "11beat" year "1998" manufacturer "Hudson" desc "Eleven Beat" devices ())
(name "1292apvs" year "1976" manufacturer "Radofin" desc "1292 Advanced Programmable Video System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "1392apvs" year "1976" manufacturer "Radofin" desc "1392 Advanced Programmable Video System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "15lions" year "2004" manufacturer "Aristocrat" desc "15 Lions (10166211, Queensland)" devices ())
(name "18w" year "1979" manufacturer "Midway" desc "18 Wheeler (set 1)" devices ())
(name "18w2" year "1979" manufacturer "Midway" desc "18 Wheeler (set 2)" devices ())
(name "18wheelr" year "2000" manufacturer "Sega" desc "18 Wheeler: American Pro Trucker (deluxe, Rev A)" devices ())
(name "18wheelro" year "2000" manufacturer "Sega" desc "18 Wheeler: American Pro Trucker (deluxe)" devices ())
(name "18wheelrt" year "2000" manufacturer "Sega" desc "18 Wheeler: American Pro Trucker (deluxe, Rev T)" devices ())
(name "18wheels" year "2000" manufacturer "Sega" desc "18 Wheeler: American Pro Trucker (standard)" devices ())
(name "18wheelu" year "2000" manufacturer "Sega" desc "18 Wheeler: American Pro Trucker (upright)" devices ())
(name "1941" year "1990" manufacturer "Capcom" desc "1941: Counter Attack (World 900227)" devices ())
(name "1941j" year "1990" manufacturer "Capcom" desc "1941: Counter Attack (Japan)" devices ())
(name "1941r1" year "1990" manufacturer "Capcom" desc "1941: Counter Attack (World)" devices ())
(name "1941u" year "1990" manufacturer "Capcom" desc "1941: Counter Attack (USA 900227)" devices ())
(name "1942" year "1984" manufacturer "Capcom" desc "1942 (Revision B)" devices ())
(name "1942a" year "1984" manufacturer "Capcom" desc "1942 (Revision A)" devices ())
(name "1942abl" year "1984" manufacturer "bootleg" desc "1942 (Revision A, bootleg)" devices ())
(name "1942b" year "1984" manufacturer "Capcom" desc "1942 (First Version)" devices ())
(name "1942h" year "1991" manufacturer "hack (Two Bit Score)" desc "Supercharger 1942" devices ())
(name "1942iti" year "1984" manufacturer "bootleg (Itisa)" desc "1942 (Itisa bootleg)" devices ())
(name "1942p" year "1984" manufacturer "bootleg" desc "1942 (Tecfri PCB, bootleg?)" devices ())
(name "1942w" year "1985" manufacturer "Capcom (Williams Electronics license)" desc "1942 (Williams Electronics license)" devices ())
(name "1943" year "1987" manufacturer "Capcom" desc "1943: The Battle of Midway (Euro)" devices ())
(name "1943b" year "1987" manufacturer "bootleg" desc "1943: Battle of Midway (bootleg, hack of Japan set)" devices ())
(name "1943bj" year "1987" manufacturer "bootleg" desc "1943: Midway Kaisen (bootleg)" devices ())
(name "1943j" year "1987" manufacturer "Capcom" desc "1943: Midway Kaisen (Japan, Rev B)" devices ())
(name "1943ja" year "1987" manufacturer "Capcom" desc "1943: Midway Kaisen (Japan)" devices ())
(name "1943jah" year "1987" manufacturer "Capcom" desc "1943: Midway Kaisen (Japan, no protection hack)" devices ())
(name "1943kai" year "1987" manufacturer "Capcom" desc "1943 Kai: Midway Kaisen (Japan)" devices ())
(name "1943mii" year "1987" manufacturer "Capcom" desc "1943: The Battle of Midway Mark II (US)" devices ())
(name "1943u" year "1987" manufacturer "Capcom" desc "1943: The Battle of Midway (US, Rev C)" devices ())
(name "1943ua" year "1987" manufacturer "Capcom" desc "1943: The Battle of Midway (US)" devices ())
(name "1944" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "1944: The Loop Master (Europe 000620)" devices ())
(name "1944d" year "2000" manufacturer "bootleg" desc "1944: The Loop Master (USA 000620 Phoenix Edition) (bootleg)" devices ())
(name "1944j" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "1944: The Loop Master (Japan 000620)" devices ())
(name "1944u" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "1944: The Loop Master (USA 000620)" devices ())
(name "1945kiii" year "2000" manufacturer "Oriental Soft" desc "1945k III (newer, OPCX2 PCB)" devices ())
(name "1945kiiin" year "2000" manufacturer "Oriental Soft" desc "1945k III (newer, OPCX1 PCB)" devices ())
(name "1945kiiio" year "1999" manufacturer "Oriental Soft" desc "1945k III (older, OPCX1 PCB)" devices ())
(name "19in1" year "2004" manufacturer "bootleg" desc "19 in 1 MAME bootleg (BAR-V000)" devices ())
(name "19xx" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Europe 960104)" devices ())
(name "19xxa" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Asia 960104)" devices ())
(name "19xxar1" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Asia 951207)" devices ())
(name "19xxb" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Brazil 951218)" devices ())
(name "19xxd" year "1996" manufacturer "bootleg" desc "19XX: The War Against Destiny (USA 951207 Phoenix Edition) (bootleg)" devices ())
(name "19xxh" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Hispanic 951218)" devices ())
(name "19xxj" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Japan 960104, yellow case)" devices ())
(name "19xxjr1" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Japan 951225)" devices ())
(name "19xxjr2" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (Japan 951207)" devices ())
(name "19xxu" year "1996" manufacturer "Capcom" desc "19XX: The War Against Destiny (USA 951207)" devices ())
(name "1on1gov" year "2000" manufacturer "Tecmo" desc "1 on 1 Government (Japan)" devices ())
(name "2020bb" year "1991" manufacturer "SNK / Pallas" desc "2020 Super Baseball (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "2020bba" year "1991" manufacturer "SNK / Pallas" desc "2020 Super Baseball (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "2020bbh" year "1991" manufacturer "SNK / Pallas" desc "2020 Super Baseball (set 3)" devices ((name "memcard" briefname "memc" ) ()))
(name "20pacgal" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.08)" devices ())
(name "20pacgalr0" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.00)" devices ())
(name "20pacgalr1" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.01)" devices ())
(name "20pacgalr2" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.02)" devices ())
(name "20pacgalr3" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.03)" devices ())
(name "20pacgalr4" year "2000" manufacturer "Namco / Cosmodog" desc "Ms. Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion (V1.04)" devices ())
(name "240in1ar" year "201?" manufacturer "Thumbs Up" desc "Mini Arcade Machine (Thumbs Up, 240IN1ARC)" devices ())
(name "24_130" year "2009" manufacturer "Stern" desc "24 v1.30" devices ())
(name "24_140" year "2009" manufacturer "Stern" desc "24 v1.40" devices ())
(name "24_144" year "2009" manufacturer "Stern" desc "24 v1.44" devices ())
(name "24_150" year "2009" manufacturer "Stern" desc "24 v1.50" devices ())
(name "24cdjuke" year "1988" manufacturer "Midcoin" desc "Midcoin Juke Box 24CD" devices ())
(name "25pacman" year "2006" manufacturer "Namco / Cosmodog" desc "Pac-Man - 25th Anniversary Edition (Rev 3.00)" devices ())
(name "25pacmano" year "2005" manufacturer "Namco / Cosmodog" desc "Pac-Man - 25th Anniversary Edition (Rev 2.00)" devices ())
(name "280zzzap" year "1976" manufacturer "Dave Nutting Associates / Midway" desc "280-ZZZAP" devices ())
(name "2mindril" year "1993" manufacturer "Taito America Corporation" desc "Two Minute Drill (Ver 2.93A 1994/02/16)" devices ())
(name "2mindrila" year "1993" manufacturer "Taito America Corporation" desc "Two Minute Drill (Ver 2.2A 1993/10/18)" devices ())
(name "2spicy" year "2007" manufacturer "Sega" desc "2 Spicy" devices ())
(name "30test" year "1997" manufacturer "Namco" desc "30 Test (remake)" devices ())
(name "32x" year "1994" manufacturer "Sega" desc "Genesis with 32X (USA, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "32x_mcd" year "1995" manufacturer "Sega" desc "Mega-CD with 32X (Europe, PAL)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "32x_mcdj" year "1994" manufacturer "Sega" desc "Mega-CD with 32X (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "32x_scd" year "1994" manufacturer "Sega" desc "Sega CD with 32X (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "32xe" year "1994" manufacturer "Sega" desc "Mega Drive with 32X (Europe, PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "32xj" year "1994" manufacturer "Sega" desc "Mega Drive with 32X (Japan, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "386i" year "1990" manufacturer "Convergent Technologies" desc "386i" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "386sc" year "199?" manufacturer "<unknown>" desc "386 SC Rev A2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "386sc2c" year "199?" manufacturer "<unknown>" desc "386 motherboard using the Symphony chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "386schg" year "199?" manufacturer "<unknown>" desc "386-SC-HG" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "386sxvhcom" year "199?" manufacturer "<unknown>" desc "80386SX-VH-COM" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "39in1" year "2004" manufacturer "bootleg" desc "39 in 1 MAME bootleg (GNO-V000)" devices ())
(name "3b1" year "1985" manufacturer "AT&T" desc "UNIX PC Model 3B1" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "3b2_300" year "1984" manufacturer "AT&T" desc "3B2/300" devices ())
(name "3b2_310" year "1985" manufacturer "AT&T" desc "3B2/310" devices ())
(name "3b2_400" year "1985" manufacturer "AT&T" desc "3B2/400" devices ())
(name "3b2_600" year "1987" manufacturer "AT&T" desc "3B2/600" devices ())
(name "3bagflnz" year "1996" manufacturer "Aristocrat" desc "3 Bags Full (3VXFC5345, New Zealand)" devices ())
(name "3bagflvt" year "1996" manufacturer "Aristocrat" desc "3 Bags Full (5VXFC790, Victoria)" devices ())
(name "3cdpoker" year "1995" manufacturer "Armaly Labs" desc "3 Cards Poker 96 (V1.6)" devices ())
(name "3cdpokera" year "1995" manufacturer "Armaly Labs" desc "3 Cards Poker 96 (V1.0)" devices ())
(name "3countb" year "1993" manufacturer "SNK" desc "3 Count Bout / Fire Suplex (NGM-043 ~ NGH-043)" devices ((name "memcard" briefname "memc" ) ()))
(name "3do" year "1993" manufacturer "The 3DO Company" desc "3DO (NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "3do_pal" year "1993" manufacturer "The 3DO Company" desc "3DO (PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "3in1semi" year "1998" manufacturer "SemiCom / XESS" desc "New HyperMan (3-in-1 with Cookie & Bibi & HyperMan) (set 1)" devices ())
(name "3in1semia" year "1998" manufacturer "SemiCom / XESS" desc "New HyperMan (3-in-1 with Cookie & Bibi & HyperMan) (set 2)" devices ())
(name "3kokushi" year "1996" manufacturer "Mitchell" desc "Sankokushi (Japan)" devices ())
(name "3lilpigs" year "199?" manufacturer "Doyle & Assoc." desc "3 Lil' Pigs" devices ())
(name "3on3dunk" year "1996" manufacturer "Video System Co." desc "3 On 3 Dunk Madness (US, prototype? 1997/02/04)" devices ())
(name "3siud" year "199?" manufacturer "<unknown>" desc "3SIUD-1.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "3stooges" year "1984" manufacturer "Mylstar" desc "The Three Stooges In Brides Is Brides (set 1)" devices ())
(name "3stoogesa" year "1984" manufacturer "Mylstar" desc "The Three Stooges In Brides Is Brides (set 2)" devices ())
(name "3super8" year "1993?" manufacturer "<unknown>" desc "3 Super 8 (Italy)" devices ())
(name "3wishrd" year "2002" manufacturer "Atronic" desc "Three Wishes Red (Russia) (Atronic)" devices ())
(name "3wonders" year "1991" manufacturer "Capcom" desc "Three Wonders (World 910520)" devices ())
(name "3wondersb" year "1991" manufacturer "bootleg" desc "Three Wonders (bootleg)" devices ())
(name "3wondersh" year "1991" manufacturer "bootleg" desc "Three Wonders (hack)" devices ())
(name "3wondersr1" year "1991" manufacturer "Capcom" desc "Three Wonders (World 910513)" devices ())
(name "3wondersu" year "1991" manufacturer "Capcom" desc "Three Wonders (USA 910520)" devices ())
(name "3x3puzzl" year "1998" manufacturer "Ace Enterprise" desc "3X3 Puzzle (Enterprise)" devices ())
(name "3x3puzzla" year "1998" manufacturer "Ace Enterprise" desc "3X3 Puzzle (Normal)" devices ())
(name "4000_260" year "1995" manufacturer "ADDS" desc "4000/260" devices ())
(name "4004clk" year "2008" manufacturer "John L. Weinrich" desc "4004 Nixie Clock" devices ())
(name "40love" year "1984" manufacturer "Taito Corporation" desc "Forty-Love (World)" devices ())
(name "40lovebl" year "1984" manufacturer "bootleg" desc "Forty-Love (bootleg)" devices ())
(name "40lovej" year "1984" manufacturer "Taito Corporation" desc "Forty-Love (Japan)" devices ())
(name "486apio" year "199?" manufacturer "EFA" desc "486 APIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "486ccv" year "199?" manufacturer "Diamond Flower, Inc. (DFI)" desc "486-CCV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "486igb21" year "199?" manufacturer "<unknown>" desc "486IG-B-2-1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "486wb6a3" year "199?" manufacturer "Silicon Valley Computer, Inc." desc "486WB6A3.B1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "48in1" year "2004" manufacturer "bootleg" desc "48 in 1 MAME bootleg (ver 3.09, HPH-V000)" devices ())
(name "48in1a" year "2004" manufacturer "bootleg" desc "48 in 1 MAME bootleg (ver 3.02, HPH-V000)" devices ())
(name "48in1b" year "2004" manufacturer "bootleg" desc "48 in 1 MAME bootleg (ver 3.09, HPH-V000, alt flash)" devices ())
(name "48in1c" year "2004" manufacturer "bootleg" desc "48 in 1 MAME bootleg (ver 3.08, HPH-V000)" devices ())
(name "4d410" year "1991" manufacturer "Silicon Graphics Inc" desc "4D/410" devices ())
(name "4dmshl3g" year "199?" manufacturer "EFA" desc "4DMS HL3G-L4-VI" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "4dmuhl3s" year "199?" manufacturer "EFA" desc "4DMU HL3S" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "4dwarrio" year "1985" manufacturer "Coreland / Sega" desc "4-D Warriors (315-5162)" devices ())
(name "4enlinea" year "1991" manufacturer "Compumatic / CIC Play" desc "Cuatro en Linea (rev. A-07)" devices ())
(name "4enlineb" year "1991" manufacturer "Compumatic / CIC Play" desc "Cuatro en Linea (rev. A-06)" devices ())
(name "4enraya" year "1990" manufacturer "IDSA" desc "4 En Raya (set 1)" devices ())
(name "4enrayaa" year "1990" manufacturer "IDSA" desc "4 En Raya (set 2)" devices ())
(name "4in1" year "1981" manufacturer "Armenia / Food and Fun" desc "4 Fun in 1" devices ())
(name "4in1a" year "2004" manufacturer "bootleg" desc "4 in 1 MAME bootleg (ver 3.00, PLZ-V014)" devices ())
(name "4in1b" year "2004" manufacturer "bootleg" desc "4 in 1 MAME bootleg (PLZ-V001)" devices ())
(name "4in1boot" year "2002" manufacturer "K1 Soft" desc "Puzzle King (PacMan 2, Tetris, HyperMan 2, Snow Bros.)" devices ())
(name "4nd04a" year "199?" manufacturer "<unknown>" desc "386-4N-D04A (UMC chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "4psimasy" year "1994" manufacturer "Sphinx / AV Japan" desc "Mahjong 4P Shimasho (Japan)" devices ())
(name "4roses" year "1999" manufacturer "<unknown>" desc "Four Roses (encrypted, set 1)" devices ())
(name "4rosesa" year "1999" manufacturer "<unknown>" desc "Four Roses (encrypted, set 2)" devices ())
(name "500gp" year "1998" manufacturer "Namco" desc "500 GP (US, 5GP3 Ver. C)" devices ())
(name "50lionrr" year "2012" manufacturer "Aristocrat" desc "50 Lions - Roaring Riches (20301311, NSW/ACT)" devices ())
(name "50lions" year "2002" manufacturer "Aristocrat" desc "50 Lions (10120511, NSW/ACT)" devices ())
(name "50lionsa" year "2003" manufacturer "Aristocrat" desc "50 Lions (10156111, ASP)" devices ())
(name "50lionsu" year "2005" manufacturer "Aristocrat" desc "50 Lions (0152077, US)" devices ())
(name "5acespkr" year "198?" manufacturer "<unknown>" desc "5-Aces Poker" devices ())
(name "5clown" year "1993" manufacturer "IGS" desc "Five Clown (English, set 1)" devices ())
(name "5clowna" year "1993" manufacturer "IGS" desc "Five Clown (English, set 2)" devices ())
(name "5clownsp" year "1993" manufacturer "IGS" desc "Five Clown (Spanish hack)" devices ())
(name "5drag" year "2004" manufacturer "Aristocrat" desc "5 Dragons (20161011, NSW/ACT)" devices ())
(name "5draga" year "2004" manufacturer "Aristocrat" desc "5 Dragons (10176611, ASP)" devices ())
(name "5dragce" year "2007" manufacturer "Aristocrat" desc "5 Dragons - Cash Express (0152309, US)" devices ())
(name "5dragnz" year "2005" manufacturer "Aristocrat" desc "5 Dragons (10178611, New Zealand)" devices ())
(name "5dragsp" year "2004" manufacturer "Aristocrat" desc "5 Dragons (20161011, NSW/ACT, Show Program)" devices ())
(name "5koi" year "2007" manufacturer "Aristocrat" desc "5 Koi - Power Pay (10250711, NSW/ACT)" devices ())
(name "5koia" year "2007" manufacturer "Aristocrat" desc "5 Koi - Power Pay (1J016211, ASP)" devices ())
(name "600" year "1981" manufacturer "Konami" desc "600" devices ())
(name "600cat" year "199?" manufacturer "Wavetek" desc "600 Cellular Activation Tester" devices ())
(name "60in1" year "2004" manufacturer "bootleg" desc "60 in 1 MAME bootleg (ver 3.00, ICD-V000)" devices ())
(name "64street" year "1991" manufacturer "Jaleco" desc "64th. Street - A Detective Story (World)" devices ())
(name "64streetj" year "1991" manufacturer "Jaleco" desc "64th. Street - A Detective Story (Japan, set 1)" devices ())
(name "64streetja" year "1991" manufacturer "Jaleco" desc "64th. Street - A Detective Story (Japan, set 2)" devices ())
(name "68ksbc" year "2002" manufacturer "Wichit Sirichote" desc "68k Single Board Computer" devices ())
(name "705p3prg" year "1984" manufacturer "Motorola" desc "MC68705P3 Programmer" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "705p5prg" year "1984" manufacturer "Motorola" desc "MC68705P5 Programmer" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "705r3prg" year "1984" manufacturer "Motorola" desc "MC68705R3 Programmer" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "705u3prg" year "1984" manufacturer "Motorola" desc "MC68705U3 Programmer" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "720" year "1986" manufacturer "Atari Games" desc "720 Degrees (rev 4)" devices ())
(name "720g" year "1986" manufacturer "Atari Games" desc "720 Degrees (German, rev 2)" devices ())
(name "720gr1" year "1986" manufacturer "Atari Games" desc "720 Degrees (German, rev 1)" devices ())
(name "720r1" year "1986" manufacturer "Atari Games" desc "720 Degrees (rev 1)" devices ())
(name "720r2" year "1986" manufacturer "Atari Games" desc "720 Degrees (rev 2)" devices ())
(name "720r3" year "1986" manufacturer "Atari Games" desc "720 Degrees (rev 3)" devices ())
(name "7951om" year "1987" manufacturer "Mera-Elzab" desc "7951om" devices ())
(name "7jigen" year "1990" manufacturer "Dynax" desc "7jigen no Youseitachi - Mahjong 7 Dimensions (Japan)" devices ())
(name "7mezzo" year "198?" manufacturer "<unknown>" desc "7 e Mezzo" devices ())
(name "7ordi" year "2002" manufacturer "Yun Sung" desc "7 Ordi (Korea)" devices ())
(name "7smash" year "1993" manufacturer "Sovic" desc "7 Smash" devices ())
(name "7toitsu" year "1988" manufacturer "Yuga" desc "Chi-Toitsu" devices ())
(name "800fath" year "1981" manufacturer "Amenip (US Billiards Inc. license)" desc "800 Fathoms" devices ())
(name "800fatha" year "1981" manufacturer "Amenip (US Billiards Inc. license)" desc "800 Fathoms (older)" devices ())
(name "86lions" year "1985" manufacturer "Aristocrat" desc "86 Lions" devices ())
(name "88games" year "1988" manufacturer "Konami" desc "'88 Games" devices ())
(name "88in1joy" year "201?" manufacturer "Play Vision" desc "Joystick88" devices ())
(name "8ball" year "1982" manufacturer "Century Electronics" desc "Video Eight Ball" devices ())
(name "8ball1" year "1982" manufacturer "Century Electronics" desc "Video Eight Ball (Rev.1)" devices ())
(name "8ballact" year "1984" manufacturer "Seatongrove UK, Ltd. (Magic Electronics USA license)" desc "Eight Ball Action (DK conversion)" devices ())
(name "8ballact2" year "1984" manufacturer "Seatongrove UK, Ltd. (Magic Electronics USA license)" desc "Eight Ball Action (DKJr conversion)" devices ())
(name "8bpm" year "1985" manufacturer "Seatongrove UK, Ltd. (Magic Electronics USA license)" desc "Eight Ball Action (Pac-Man conversion)" devices ())
(name "98best44" year "1998" manufacturer "SNK" desc "Neo Print - '98 NeoPri Best 44 (Japan) (T4i 3.07)" devices ())
(name "990189" year "1978" manufacturer "Texas Instruments" desc "TM 990/189 University Board microcomputer" devices ((name "cassette" briefname "cass" ) (name "serial" briefname "serl" )))
(name "990189v" year "1980" manufacturer "Texas Instruments" desc "TM 990/189 University Board microcomputer with Video Board Interface" devices ((name "cassette" briefname "cass" ) (name "serial" briefname "serl" )))
(name "99bottles" year "1999" manufacturer "Bally Gaming Co." desc "99 Bottles of Beer" devices ((name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "99lstwar" year "1985" manufacturer "Crux / Proma" desc "'99: The Last War (set 1)" devices ())
(name "99lstwara" year "1985" manufacturer "Crux / Proma" desc "'99: The Last War (set 2)" devices ())
(name "99lstwarb" year "1985" manufacturer "bootleg" desc "'99: The Last War (bootleg)" devices ())
(name "99lstwark" year "1985" manufacturer "Crux / Kyugo" desc "'99: The Last War (Kyugo)" devices ())
(name "9ballsht" year "1993" manufacturer "E-Scape EnterMedia (Bundra license)" desc "9-Ball Shootout (set 1)" devices ())
(name "9ballsht2" year "1993" manufacturer "E-Scape EnterMedia (Bundra license)" desc "9-Ball Shootout (set 2)" devices ())
(name "9ballsht3" year "1993" manufacturer "E-Scape EnterMedia (Bundra license)" desc "9-Ball Shootout (set 3)" devices ())
(name "9ballshtc" year "1993" manufacturer "E-Scape EnterMedia (Bundra license)" desc "9-Ball Shootout Championship" devices ())
(name "a1000" year "1985" manufacturer "Commodore" desc "Amiga 1000 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a1000n" year "1985" manufacturer "Commodore" desc "Amiga 1000 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a1010" year "1993" manufacturer "Humantechnik" desc "Textel Compact A1010-0" devices ())
(name "a1200" year "1992" manufacturer "Commodore" desc "Amiga 1200 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a1200n" year "1992" manufacturer "Commodore" desc "Amiga 1200 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a1200xl" year "1982" manufacturer "Atari" desc "Atari 1200XL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a130xe" year "1986" manufacturer "Atari" desc "Atari 130XE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a2000" year "1987" manufacturer "Commodore" desc "Amiga 2000 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a2000n" year "1987" manufacturer "Commodore" desc "Amiga 2000 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a2600" year "1977" manufacturer "Atari" desc "Atari 2600 (NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "a2600_pop" year "198?" manufacturer "Atari" desc "Atari 2600 Point of Purchase Display" devices ())
(name "a2600p" year "1978" manufacturer "Atari" desc "Atari 2600 (PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "a3000" year "1990" manufacturer "Commodore" desc "Amiga 3000 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a3000n" year "1990" manufacturer "Commodore" desc "Amiga 3000 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a400" year "1979" manufacturer "Atari" desc "Atari 400 (NTSC)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a4000" year "1992" manufacturer "Commodore" desc "Amiga 4000/040 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a400030" year "1993" manufacturer "Commodore" desc "Amiga 4000/030 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a400030n" year "1993" manufacturer "Commodore" desc "Amiga 4000/030 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a4000n" year "1992" manufacturer "Commodore" desc "Amiga 4000/040 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a4000t" year "1994" manufacturer "Commodore" desc "Amiga 4000T (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a4000tn" year "1994" manufacturer "Commodore" desc "Amiga 4000T (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a400pal" year "1979" manufacturer "Atari" desc "Atari 400 (PAL)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a433cc" year "1992" manufacturer "J-Bond" desc "A433C-C/A450C-C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486ap4" year "1994" manufacturer "Asus" desc "PVI-486AP4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486isa" year "199?" manufacturer "Asus" desc "ISA-486" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486sio" year "199?" manufacturer "Asus" desc "ISA-486SIO rev. 1.2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486sp3" year "1994" manufacturer "Asus" desc "PVI-486SP3 (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "a486sp3g" year "1994" manufacturer "Asus" desc "PCI/I-486SP3G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486sv1" year "1994" manufacturer "Asus" desc "VL/EISA-486SV1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486sv2" year "199?" manufacturer "Asus" desc "ISA-486SV2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a486sv2g" year "1994" manufacturer "Asus" desc "VL/I-486SV2G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "a500" year "1987" manufacturer "Commodore" desc "Amiga 500 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a500n" year "1987" manufacturer "Commodore" desc "Amiga 500 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a500p" year "1992" manufacturer "Commodore" desc "Amiga 500 Plus (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a500pn" year "1992" manufacturer "Commodore" desc "Amiga 500 Plus (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "a5105" year "1989" manufacturer "VEB Robotron" desc "BIC A5105" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "a5120" year "1982" manufacturer "VEB Robotron" desc "A5120" devices ())
(name "a5130" year "1983" manufacturer "VEB Robotron" desc "A5130" devices ())
(name "a51mxr3k" year "1998" manufacturer "Atari Games" desc "Area 51 / Maximum Force Duo (R3000, 2/10/98)" devices ((name "harddisk" briefname "hard" )))
(name "a51mxr3ka" year "1998" manufacturer "Atari Games" desc "Area 51 / Maximum Force Duo (R3000, 2/02/98)" devices ((name "harddisk" briefname "hard" )))
(name "a51site4" year "1998" manufacturer "Atari Games" desc "Area 51: Site 4 (HD Rev 2.01, September 7, 1998)" devices ((name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a51site4a" year "1998" manufacturer "Atari Games" desc "Area 51: Site 4 (HD Rev 2.0, September 11, 1998)" devices ((name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a5200" year "1982" manufacturer "Atari" desc "Atari 5200" devices ((name "cartridge" briefname "cart" )))
(name "a5200a" year "1983" manufacturer "Atari" desc "Atari 5200 (2-port)" devices ((name "cartridge" briefname "cart" )))
(name "a600" year "1992" manufacturer "Commodore" desc "Amiga 600 (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a600n" year "1992" manufacturer "Commodore" desc "Amiga 600 (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "a600xl" year "1983" manufacturer "Atari" desc "Atari 600XL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a65xe" year "1986" manufacturer "Atari" desc "Atari 65XE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a65xea" year "1986" manufacturer "Atari" desc "Atari 65XE (Arabic)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a7000" year "1995" manufacturer "Acorn" desc "Archimedes A7000" devices ())
(name "a7000p" year "1997" manufacturer "Acorn" desc "Archimedes A7000+" devices ())
(name "a7150" year "1986" manufacturer "VEB Robotron" desc "A7150" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "a7800" year "1986" manufacturer "Atari" desc "Atari 7800 (NTSC)" devices ((name "cartridge" briefname "cart" )))
(name "a7800p" year "1986" manufacturer "Atari" desc "Atari 7800 (PAL)" devices ((name "cartridge" briefname "cart" )))
(name "a7lucky88" year "200?" manufacturer "Aristocrat" desc "Lucky 88 (Aristocrat MK-7)" devices ())
(name "a800" year "1979" manufacturer "Atari" desc "Atari 800 (NTSC)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "a800pal" year "1979" manufacturer "Atari" desc "Atari 800 (PAL)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "a800xe" year "1986" manufacturer "Atari" desc "Atari 800XE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a800xl" year "1983" manufacturer "Atari" desc "Atari 800XL (NTSC)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "a800xlp" year "1983" manufacturer "Atari" desc "Atari 800XL (PAL)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "aa3000" year "1989" manufacturer "Acorn Computers" desc "BBC A3000" devices ((name "floppydisk" briefname "flop" )))
(name "aa3010" year "1992" manufacturer "Acorn Computers" desc "Acorn A3010" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "aa3010_de" year "1993" manufacturer "Acorn Computers" desc "Acorn A3010 (German)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "aa3020" year "1992" manufacturer "Acorn Computers" desc "Acorn A3020" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "aa305" year "1987" manufacturer "Acorn Computers" desc "Archimedes 305" devices ((name "floppydisk" briefname "flop" )))
(name "aa310" year "1987" manufacturer "Acorn Computers" desc "Archimedes 310" devices ((name "floppydisk" briefname "flop" )))
(name "aa4" year "1992" manufacturer "Acorn Computers" desc "Acorn A4" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "romimage" briefname "rom" )))
(name "aa4000" year "1992" manufacturer "Acorn Computers" desc "Acorn A4000" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "aa4101" year "1989" manufacturer "Acorn Computers" desc "Archimedes 410/1" devices ((name "floppydisk" briefname "flop" )))
(name "aa4201" year "1989" manufacturer "Acorn Computers" desc "Archimedes 420/1" devices ((name "floppydisk" briefname "flop" )))
(name "aa440" year "1987" manufacturer "Acorn Computers" desc "Archimedes 440" devices ((name "floppydisk" briefname "flop" )))
(name "aa4401" year "1989" manufacturer "Acorn Computers" desc "Archimedes 440/1" devices ((name "floppydisk" briefname "flop" )))
(name "aa486s" year "1995" manufacturer "Asus" desc "PCI/I-A486S (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "aa500" year "1986" manufacturer "Acorn Computers" desc "Acorn A500 Development System" devices ((name "floppydisk" briefname "flop" )))
(name "aa5000" year "1991" manufacturer "Acorn Computers" desc "Acorn A5000" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "romimage" briefname "rom" )))
(name "aa5000a" year "1993" manufacturer "Acorn Computers" desc "Acorn A5000 Alpha" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "romimage" briefname "rom" )))
(name "aa500d" year "1986" manufacturer "Acorn Computers" desc "Acorn A500 Domesday Development System" devices ((name "floppydisk" briefname "flop" )))
(name "aa540" year "1990" manufacturer "Acorn Computers" desc "Archimedes 540" devices ((name "floppydisk" briefname "flop" )))
(name "aa680" year "1988" manufacturer "Acorn Computers" desc "Acorn A680 UNIX Evaluation System" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "aaa" year "1981" manufacturer "Ann Arbor" desc "Ambassador" devices ())
(name "aadvent" year "200?" manufacturer "Konami" desc "African Adventure (Konami Endeavour, Russia)" devices ())
(name "aafb" year "1989" manufacturer "Leland Corporation" desc "All American Football (rev E)" devices ())
(name "aafbb" year "1989" manufacturer "Leland Corporation" desc "All American Football (rev B)" devices ())
(name "aafbc" year "1989" manufacturer "Leland Corporation" desc "All American Football (rev C)" devices ())
(name "aafbd2p" year "1989" manufacturer "Leland Corporation" desc "All American Football (rev D, 2 players)" devices ())
(name "aar_101" year "1992" manufacturer "Data East" desc "Aaron Spelling (1.01)" devices ())
(name "aavenger" year "1977" manufacturer "Atari" desc "Airborne Avenger" devices ())
(name "abacus" year "2001" manufacturer "Nazionale Elettronica" desc "Abacus (Ver 1.0)" devices ())
(name "abae4" year "199?" manufacturer "Abit" desc "486 EISA-AE4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abah4" year "199?" manufacturer "Abit" desc "AB-AH4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abaseb" year "1979" manufacturer "Atari" desc "Atari Baseball (set 1)" devices ())
(name "abaseb2" year "1979" manufacturer "Atari" desc "Atari Baseball (set 2)" devices ())
(name "abattle" year "1979" manufacturer "bootleg? (Sidam)" desc "Astro Battle (set 1)" devices ())
(name "abattle2" year "1979" manufacturer "bootleg? (Sidam)" desc "Astro Battle (set 2)" devices ())
(name "abav4" year "199?" manufacturer "Abit" desc "AB-AV4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abax4" year "199?" manufacturer "Abit" desc "AB-AX4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abc110" year "1985" manufacturer "Acorn Computers" desc "ABC 110" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "abc1600" year "1985" manufacturer "Luxor" desc "ABC 1600" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "abc310" year "1985" manufacturer "Acorn Computers" desc "ABC 310" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "abc80" year "1978" manufacturer "Luxor Datorer AB" desc "ABC 80" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "quickload" briefname "quik" )))
(name "abc800c" year "1981" manufacturer "Luxor Datorer AB" desc "ABC 800 C/HR" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "abc800m" year "1981" manufacturer "Luxor Datorer AB" desc "ABC 800 M/HR" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "abc802" year "1983" manufacturer "Luxor Datorer AB" desc "ABC 802" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "abc806" year "1983" manufacturer "Luxor Datorer AB" desc "ABC 806" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "abcheck" year "1996" manufacturer "Namco" desc "Abnormal Check" devices ())
(name "abclimax" year "2006" manufacturer "Sega" desc "After Burner Climax (Export)" devices ())
(name "abcop" year "1990" manufacturer "Sega" desc "A.B. Cop (World) (FD1094 317-0169b)" devices ())
(name "abcopd" year "1990" manufacturer "bootleg" desc "A.B. Cop (World) (bootleg of FD1094 317-0169b set)" devices ())
(name "abcopj" year "1990" manufacturer "Sega" desc "A.B. Cop (Japan) (FD1094 317-0169b)" devices ())
(name "abcopjd" year "1990" manufacturer "bootleg" desc "A.B. Cop (Japan) (bootleg of FD1094 317-0169b set)" devices ())
(name "abigchs" year "2002" manufacturer "Atronic" desc "Big Cheese (Russia) (Atronic)" devices ())
(name "abl4play" year "200?" manufacturer "Advance Bright Ltd" desc "4 Player System - 10 in 1" devices ())
(name "ablast" year "2000" manufacturer "Subsino" desc "Hong Tian Lei (A-Blast) (Japan)" devices ())
(name "ablastb" year "2000" manufacturer "bootleg" desc "Hong Tian Lei (A-Blast) (bootleg)" devices ())
(name "ablkickb" year "2006" manufacturer "Advance Bright Ltd / Coleco / V-Tac Technology Co Ltd." desc "Kick Boxing (BJ8888, ABL TV Game)" devices ())
(name "ablmini" year "2006" manufacturer "Advance Bright Ltd" desc "Double Players Mini Joystick 80-in-1 (MJ8500, ABL TV Game)" devices ())
(name "ablpinb" year "2005" manufacturer "Advance Bright Ltd" desc "Pinball (P8002, ABL TV Game)" devices ())
(name "ablping" year "2006" manufacturer "Advance Bright Ltd" desc "Ping Pong / Table Tennis / Super Ping Pong (PP1100, ABL TV Game)" devices ())
(name "abltenni" year "2006" manufacturer "Advance Bright Ltd / V-Tac Technology Co Ltd." desc "Wireless Tennis (WT2000, ABL TV Game)" devices ())
(name "ablwikid" year "200?" manufacturer "Advance Bright Ltd. / JungleTac" desc "Wikid Joystick 14-in-1" devices ())
(name "abnudge" year "2003" manufacturer "Amcoe" desc "Animal Bonus Nudge (Version 2.1 Dual)" devices ())
(name "abnudgeb" year "2003" manufacturer "Amcoe" desc "Animal Bonus Nudge (Version 2.0, set 1)" devices ())
(name "abnudged" year "2003" manufacturer "Amcoe" desc "Animal Bonus Nudge (Version 2.0, set 2)" devices ())
(name "abnudgeo" year "2003" manufacturer "Amcoe" desc "Animal Bonus Nudge (Version 1.7)" devices ())
(name "abpb4" year "199?" manufacturer "Abit" desc "AB-PB4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abpi4" year "1995" manufacturer "ABit" desc "AB-PI4 / AB-PI4T (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "abpm4" year "1995" manufacturer "ABit" desc "AB-PM4 (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "abpv4" year "1995" manufacturer "ABit" desc "AB-PV4 (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "abpw4" year "199?" manufacturer "Abit" desc "AB-PW4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "abscam" year "1981" manufacturer "GL (US Billiards license)" desc "Abscam" devices ())
(name "abunai" year "1989" manufacturer "Green Soft" desc "Abunai Houkago - Mou Matenai (Japan 890325)" devices ())
(name "aburner" year "1987" manufacturer "Sega" desc "After Burner" devices ())
(name "aburner2" year "1987" manufacturer "Sega" desc "After Burner II" devices ())
(name "aburner2g" year "1987" manufacturer "Sega" desc "After Burner II (German)" devices ())
(name "abv105" year "1996" manufacturer "Capcom" desc "Airborne (1.5)" devices ())
(name "abv106" year "1996" manufacturer "Capcom" desc "Airborne (1.6)" devices ())
(name "abv106r" year "1996" manufacturer "Capcom" desc "Airborne (Redemption)" devices ())
(name "ac1" year "1984" manufacturer "Frank Heyder" desc "Amateurcomputer AC1 Berlin" devices ((name "cassette" briefname "cass" )))
(name "ac1_32" year "1984" manufacturer "Frank Heyder" desc "Amateurcomputer AC1 Berlin (32 lines)" devices ((name "cassette" briefname "cass" )))
(name "ac1bbclb" year "199?" manufacturer "Ace" desc "Big Break Club (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1bbclba" year "199?" manufacturer "Ace" desc "Big Break Club (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1bluec" year "199?" manufacturer "Pcp" desc "Blue Chip (Pcp) (ACESYS1) (set 1)" devices ())
(name "ac1blueca" year "199?" manufacturer "Pcp" desc "Blue Chip (Pcp) (ACESYS1) (set 2)" devices ())
(name "ac1bluecb" year "199?" manufacturer "Pcp" desc "Blue Chip (Pcp) (ACESYS1) (set 3)" devices ())
(name "ac1bluecc" year "199?" manufacturer "Pcp" desc "Blue Chip (Pcp) (ACESYS1) (set 4)" devices ())
(name "ac1bluecd" year "199?" manufacturer "Pcp" desc "Blue Chip (Pcp) (ACESYS1) (set 5)" devices ())
(name "ac1clbmn" year "199?" manufacturer "Ace" desc "Club Money (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1clbsv" year "199?" manufacturer "Ace" desc "Club Sovereign (Ace) (ACESYS1)" devices ())
(name "ac1clbxt" year "199?" manufacturer "Ace" desc "Club Xtra (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1clbxta" year "199?" manufacturer "Ace" desc "Club Xtra (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1cshtw" year "199?" manufacturer "Ace" desc "Cash Towers (Ace) (ACESYS1)" devices ())
(name "ac1dbldx" year "199?" manufacturer "Pcp" desc "Double Deluxe (Pcp) (ACESYS1)" devices ())
(name "ac1gogld" year "199?" manufacturer "Ace" desc "Go For Gold (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1hideh" year "199?" manufacturer "Ace" desc "Hi De Hi Deluxe (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1hideha" year "199?" manufacturer "Ace" desc "Hi De Hi Deluxe (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1hotpf" year "199?" manufacturer "Ace" desc "Hot Profit (Ace) (ACESYS1)" devices ())
(name "ac1nudbk" year "199?" manufacturer "Pcp" desc "Nudge Break (Pcp) (ACESYS1) (set 1)" devices ())
(name "ac1nudbka" year "199?" manufacturer "Pcp" desc "Nudge Break (Pcp) (ACESYS1) (set 2)" devices ())
(name "ac1nudbkb" year "199?" manufacturer "Pcp" desc "Nudge Break (Pcp) (ACESYS1) (set 3)" devices ())
(name "ac1nudbkc" year "199?" manufacturer "Pcp" desc "Nudge Break (Pcp) (ACESYS1) (set 4)" devices ())
(name "ac1nudbkd" year "199?" manufacturer "Pcp" desc "Nudge Break (Pcp) (ACESYS1) (set 5)" devices ())
(name "ac1piaca" year "199?" manufacturer "Ace" desc "Play It Again Casino (Ace) (ACESYS1)" devices ())
(name "ac1piacl" year "199?" manufacturer "Ace" desc "Play It Again Club (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1piacla" year "199?" manufacturer "Ace" desc "Play It Again Club (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1piaclb" year "199?" manufacturer "Ace" desc "Play It Again Club (Ace) (ACESYS1) (set 3)" devices ())
(name "ac1piaclc" year "199?" manufacturer "Ace" desc "Play It Again Club (Ace) (ACESYS1) (set 4)" devices ())
(name "ac1primt" year "199?" manufacturer "Ace" desc "Primetime (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1prmcl" year "199?" manufacturer "Ace" desc "Premier Club (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1prmcla" year "199?" manufacturer "Ace" desc "Premier Club (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1prmclb" year "199?" manufacturer "Ace" desc "Premier Club (Ace) (ACESYS1) (set 3)" devices ())
(name "ac1prmclc" year "199?" manufacturer "Ace" desc "Premier Club (Ace) (ACESYS1) (set 4)" devices ())
(name "ac1pster" year "199?" manufacturer "Ace" desc "Pound Sterling (Ace) (ACESYS1)" devices ())
(name "ac1pstrt" year "199?" manufacturer "Pcp" desc "Pound Stretcher (Pcp) (ACESYS1)" devices ())
(name "ac1roll" year "199?" manufacturer "Pcp" desc "Roll Up (Pcp) (ACESYS1) (set 1)" devices ())
(name "ac1rolla" year "199?" manufacturer "Pcp" desc "Roll Up (Pcp) (ACESYS1) (set 2)" devices ())
(name "ac1rollb" year "199?" manufacturer "Pcp" desc "Roll Up (Pcp) (ACESYS1) (set 3)" devices ())
(name "ac1rundx" year "199?" manufacturer "Ace" desc "Runner Deluxe Club (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1rundxa" year "199?" manufacturer "Ace" desc "Runner Deluxe Club (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1scch" year "1984" manufacturer "Frank Heyder" desc "Amateurcomputer AC1 SCCH" devices ((name "cassette" briefname "cass" )))
(name "ac1shid" year "199?" manufacturer "Ace" desc "Super Hi De Hi (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1shida" year "199?" manufacturer "Ace" desc "Super Hi De Hi (Ace) (ACESYS1) (set 2)" devices ())
(name "ac1sstrk" year "199?" manufacturer "Pcp" desc "Starstruck (Pcp) (ACESYS1) (set 1)" devices ())
(name "ac1sstrka" year "199?" manufacturer "Pcp" desc "Starstruck (Pcp) (ACESYS1) (set 2)" devices ())
(name "ac1sstrkb" year "199?" manufacturer "Pcp" desc "Starstruck (Pcp) (ACESYS1) (set 3)" devices ())
(name "ac1taklv" year "199?" manufacturer "Ace" desc "Take It Or Leave It (Ace) (ACESYS1) (set 1)" devices ())
(name "ac1totb" year "199?" manufacturer "Ace" desc "Top Of The Bill (Ace) (ACESYS1)" devices ())
(name "ac1unk" year "199?" manufacturer "Ace" desc "unknown Ace System 1 game" devices ())
(name "ac1xpres" year "199?" manufacturer "Pcp" desc "Xpress (Pcp) (ACESYS1)" devices ())
(name "academy" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy (English, 04-10-88)" devices ())
(name "academyd" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy (Dutch, 04-10-88)" devices ())
(name "academyg" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy (German, 06-03-89)" devices ())
(name "academyga" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy (German, 04-10-88)" devices ())
(name "academygb" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy (German, 27-08-88)" devices ())
(name "academytt" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Academy T+T (Dutch, prototype)" devices ())
(name "acchi" year "1995" manufacturer "Data East Corporation" desc "Janken Game Acchi Muite Hoi! (Japan 1.3)" devices ())
(name "accomm" year "1986" manufacturer "Acorn Computers" desc "Acorn Communicator" devices ((name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "accommb" year "1987" manufacturer "Acorn Computers" desc "Acorn Briefcase Communicator" devices ((name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "accommi" year "1988" manufacturer "Acorn Computers" desc "Acorn Communicator (Italian)" devices ((name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "accommp" year "1985" manufacturer "Acorn Computers" desc "Acorn Communicator (prototype)" devices ((name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "accord" year "1987" manufacturer "Novag Industries" desc "Accord" devices ())
(name "acd" year "198?" manufacturer "Advanced Computer Design" desc "unknown ACD computer" devices ())
(name "ace" year "1976" manufacturer "Allied Leisure" desc "Ace" devices ())
(name "ace100" year "1982" manufacturer "Franklin Computer" desc "Franklin ACE 100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "ace1000" year "1982" manufacturer "Franklin Computer" desc "Franklin ACE 1000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "ace2200" year "1985" manufacturer "Franklin Computer" desc "Franklin ACE 2200" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ace500" year "1986" manufacturer "Franklin Computer" desc "Franklin ACE 500" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "aceattac" year "1988" manufacturer "Sega" desc "Ace Attacker (FD1094 317-0059)" devices ())
(name "aceattaca" year "1988" manufacturer "Sega" desc "Ace Attacker (Japan, System 16A, FD1094 317-0060)" devices ())
(name "acedriv3" year "2008" manufacturer "Namco" desc "Ace Driver 3: Final Turn" devices ())
(name "acedrive" year "1994" manufacturer "Namco" desc "Ace Driver: Racing Evolution (World, AD2)" devices ())
(name "aceex2814" year "1995" manufacturer "Aceex Corporation" desc "Aceex 2814" devices ())
(name "acefruit" year "1982?" manufacturer "ACE" desc "Silhouette" devices ())
(name "acheart" year "2005" manufacturer "Examu" desc "Arcana Heart" devices ())
(name "acheartf" year "2006" manufacturer "Examu" desc "Arcana Heart Full" devices ())
(name "acitya" year "1983" manufacturer "Epos Corporation" desc "Atlantic City Action" devices ())
(name "aclown" year "2002" manufacturer "Atronic" desc "Clown (Russia) (Atronic)" devices ())
(name "acombat" year "1979" manufacturer "bootleg" desc "Astro Combat (newer, CB)" devices ())
(name "acombat3" year "1979" manufacturer "bootleg (Proel)" desc "Astro Combat (unencrypted)" devices ())
(name "acombat4" year "1979" manufacturer "bootleg (Proel)" desc "Astro Combat (encrypted)" devices ())
(name "acombato" year "1979" manufacturer "bootleg" desc "Astro Combat (older, PZ)" devices ())
(name "acommand" year "1994" manufacturer "Jaleco" desc "Alien Command" devices ())
(name "acr20" year "199?" manufacturer "Kawai Musical Instruments Manufacturing" desc "ACR-20 Digital Accompaniment Center" devices ())
(name "acrnsys1" year "1979" manufacturer "Acorn Computers" desc "Acorn System 1" devices ((name "cassette" briefname "cass" )))
(name "acrnsys2" year "1980" manufacturer "Acorn Computers" desc "Acorn System 2" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "cassette" briefname "cass" )))
(name "acrnsys3" year "1980" manufacturer "Acorn Computers" desc "Acorn System 3 (6502 CPU)" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "acrnsys3_6809" year "1980" manufacturer "Acorn Computers" desc "Acorn System 3 (6809 CPU)" devices ((name "printout" briefname "prin" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "acrnsys4" year "1980" manufacturer "Acorn Computers" desc "Acorn System 4" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "acrnsys5" year "1982" manufacturer "Acorn Computers" desc "Acorn System 5" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "acrobatm" year "1991" manufacturer "UPL (Taito license)" desc "Acrobat Mission" devices ())
(name "acrobatmbl" year "1991" manufacturer "bootleg" desc "Acrobat Mission (bootleg with Raiden sounds)" devices ())
(name "act2000" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.5E Dual)" devices ())
(name "act2000b1" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.5R, set 2)" devices ())
(name "act2000bx" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.30XT, set 2)" devices ())
(name "act2000d1" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.5R, set 1)" devices ())
(name "act2000dx" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.30XT, set 1)" devices ())
(name "act2000o" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.3)" devices ())
(name "act2000o2" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.10XT)" devices ())
(name "act2000o3" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 1.2)" devices ())
(name "act2000v1" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.5R Dual)" devices ())
(name "act2000vx" year "1999" manufacturer "Amcoe" desc "Action 2000 (Version 3.30XT Dual)" devices ())
(name "act5a" year "1980" manufacturer "Micro-Term" desc "ACT-5A" devices ())
(name "actfancr" year "1989" manufacturer "Data East Corporation" desc "Act-Fancer Cybernetick Hyper Weapon (World revision 3)" devices ())
(name "actfancr1" year "1989" manufacturer "Data East Corporation" desc "Act-Fancer Cybernetick Hyper Weapon (World revision 1)" devices ())
(name "actfancr2" year "1989" manufacturer "Data East Corporation" desc "Act-Fancer Cybernetick Hyper Weapon (World revision 2)" devices ())
(name "actfancrj" year "1989" manufacturer "Data East Corporation" desc "Act-Fancer Cybernetick Hyper Weapon (Japan revision 1)" devices ())
(name "actionhw" year "1995" manufacturer "TCH / Proyesel" desc "Action Hollywood" devices ())
(name "acw443" year "1985" manufacturer "Acorn Computers" desc "ABC 210/Cambridge Workstation" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "ad2083" year "1983" manufacturer "Midcoin" desc "A. D. 2083" devices ())
(name "ad4ctl" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Video) (Bellfruit) (Adder 4) (set 1)" devices ())
(name "ad4ctla" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Video) (Bellfruit) (Adder 4) (set 2)" devices ())
(name "ad4film" year "200?" manufacturer "BFM" desc "Film Premiere (Video?) (Bellfruit) (Adder 4) (set 1)" devices ())
(name "ad4filma" year "200?" manufacturer "BFM" desc "Film Premiere (Video?) (Bellfruit) (Adder 4) (set 2)" devices ())
(name "ad4skill" year "200?" manufacturer "BFM" desc "Skill Dice (BFM) (Scorpion 4 + Adder 4)" devices ())
(name "ad5bpfpm" year "200?" manufacturer "Mazooma" desc "Bullseye Pounds For Points (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5bpfpma" year "200?" manufacturer "Mazooma" desc "Bullseye Pounds For Points (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5bpfpmb" year "200?" manufacturer "Mazooma" desc "Bullseye Pounds For Points (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5bpfpmc" year "200?" manufacturer "Mazooma" desc "Bullseye Pounds For Points (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5bpfpmd" year "200?" manufacturer "Mazooma" desc "Bullseye Pounds For Points (Mazooma) (Adder 5) (set 5)" devices ())
(name "ad5btc" year "200?" manufacturer "BFM" desc "Bullseye Triple Club (PR1758, BFGPBULS) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5btca" year "200?" manufacturer "BFM" desc "Bullseye Triple Club (PR1758, BFGPBULS) (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5btcb" year "200?" manufacturer "BFM" desc "Bullseye Triple Club (PR1758, BFGNBULS) (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5cmons" year "200?" manufacturer "BFM" desc "Crazy Money (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5cmonsa" year "200?" manufacturer "BFM" desc "Crazy Money (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5copsr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5copsr0" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 7)" devices ())
(name "ad5copsr1" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2497) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5copsr2" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 8)" devices ())
(name "ad5copsr3" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2628) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5copsr4" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 5)" devices ())
(name "ad5copsr5" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2628) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5copsr6" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 6)" devices ())
(name "ad5copsr7" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2628) (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5copsra" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5copsrb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5copsrc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5copsrd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5copsre" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5copsrf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5copsrg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5copsrh" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5copsri" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5copsrj" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 5)" devices ())
(name "ad5copsrk" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 7)" devices ())
(name "ad5copsrl" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 8)" devices ())
(name "ad5copsrm" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 9)" devices ())
(name "ad5copsrn" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5copsro" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 10)" devices ())
(name "ad5copsrp" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 11)" devices ())
(name "ad5copsrq" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 12)" devices ())
(name "ad5copsrr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5copsrs" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5copsrt" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5copsru" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 6)" devices ())
(name "ad5copsrv" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 13)" devices ())
(name "ad5copsrw" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR3206) (Bellfruit) (Adder 5) (set 14)" devices ())
(name "ad5copsrx" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5copsry" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (PR1965) (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5copsrz" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2497) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5crcpt" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Community Party (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5crcpta" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Community Party (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5crsc" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5crsca" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5crscb" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5crscc" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2476) (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5crscd" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 7)" devices ())
(name "ad5crsce" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 8)" devices ())
(name "ad5crscf" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 9)" devices ())
(name "ad5crscg" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2495) (Mazooma) (Adder 5) (set 10)" devices ())
(name "ad5crsch" year "200?" manufacturer "Mazooma" desc "Cops 'n' Robbers (PR2628) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5dnd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5dnda" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5dndb" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5dndc" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5dndcl" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5dndcla" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5dndclb" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5dndclc" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5dndcld" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5dndcle" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5dndclf" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 20)" devices ())
(name "ad5dndclg" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Adder 5) (set 21)" devices ())
(name "ad5dndd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5dnddd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5dnddda" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5dnde" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5dndf" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 7)" devices ())
(name "ad5dndg" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 8)" devices ())
(name "ad5dndh" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 9)" devices ())
(name "ad5dndi" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 10)" devices ())
(name "ad5dndj" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 11)" devices ())
(name "ad5dndk" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 12)" devices ())
(name "ad5dndl" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 13)" devices ())
(name "ad5dndm" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 14)" devices ())
(name "ad5dndn" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 15)" devices ())
(name "ad5dndo" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 16)" devices ())
(name "ad5dndp" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 17)" devices ())
(name "ad5dndpg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5dndpga" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5dndpgb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5dndpgc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5dndpl" year "200?" manufacturer "BFM" desc "Deal or No Deal Platinum (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5dndpla" year "200?" manufacturer "BFM" desc "Deal or No Deal Platinum (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5dndplb" year "200?" manufacturer "BFM" desc "Deal or No Deal Platinum (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5dndplc" year "200?" manufacturer "BFM" desc "Deal or No Deal Platinum (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5dndq" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 18)" devices ())
(name "ad5dndr" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 19)" devices ())
(name "ad5dndu" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 22)" devices ())
(name "ad5dndv" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Adder 5) (set 23)" devices ())
(name "ad5etdls" year "200?" manufacturer "BFM" desc "El Trebol de la Suerte (Bellfruit) (Adder 5)" devices ())
(name "ad5eyes" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2242, MAZNEYDW) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5eyesa" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2242, MAZNEYDW) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5eyesb" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2246, MAZNEYDW) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5eyesc" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2246, MAZPEYDW) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5eyesd" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2242, MAZPEYDW) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5eyese" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2242, MAZPEYDW) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5eyesf" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2246, MAZPEYDW) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5eyesg" year "200?" manufacturer "Mazooma" desc "Eyes Down (PR2246, MAZNEYDW) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5gldmn" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5gldmna" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5gldmnb" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5gldmnc" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5gldmnd" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5gldmne" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5gldmnf" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 7)" devices ())
(name "ad5gldmng" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 8)" devices ())
(name "ad5gldmnh" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 9)" devices ())
(name "ad5gldmni" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 10)" devices ())
(name "ad5gldmnj" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 11)" devices ())
(name "ad5gldmnk" year "200?" manufacturer "BFM" desc "Gold Mine (Bellfruit) (Adder 5) (set 12)" devices ())
(name "ad5gldwn" year "200?" manufacturer "Mazooma" desc "Golden Winner (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5gldwna" year "200?" manufacturer "Mazooma" desc "Golden Winner (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5hir" year "200?" manufacturer "BFM" desc "Hi Roller (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5hira" year "200?" manufacturer "BFM" desc "Hi Roller (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5hirb" year "200?" manufacturer "BFM" desc "Hi Roller (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5hirc" year "200?" manufacturer "BFM" desc "Hi Roller (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5hircl" year "200?" manufacturer "BFM" desc "Hi Roller Club (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5hircla" year "200?" manufacturer "BFM" desc "Hi Roller Club (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5hirclb" year "200?" manufacturer "BFM" desc "Hi Roller Club (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5jckmo" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2226, MAZNJACM) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5jckmoa" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2226, MAZNJACM) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5jckmob" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2253, MAZNJACM) (Mazooma) (Adder 5)" devices ())
(name "ad5jckmoc" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2226, MAZNJACM) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5jckmod" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2226, MAZPJACM) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5jckmoe" year "200?" manufacturer "Mazooma" desc "Jackpot Monopoly (PR2226, MAZPJACM) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5lluck" year "200?" manufacturer "BFM" desc "Lady Luck (Bellfruit) (Adder 5)" devices ())
(name "ad5mcob" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust (Qps) (Adder 5) (set 1)" devices ())
(name "ad5mcoba" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust (Qps) (Adder 5) (set 2)" devices ())
(name "ad5mcobb" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust (Qps) (Adder 5) (set 3)" devices ())
(name "ad5mcobc" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust (Qps) (Adder 5) (set 4)" devices ())
(name "ad5monop" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZNRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5monopa" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZNRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5monopb" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZNRNDN) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5monopc" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZNRNDN) (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5monopd" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2221, MAZNRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5monope" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2221, MAZNRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5monopf" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZPRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5monopg" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZPRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5monoph" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZPRNDN) (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5monopi" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2217, MAZPRNDN) (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5monopj" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2221, MAZPRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5monopk" year "200?" manufacturer "Mazooma" desc "Random Monopoly (PR2221, MAZPRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mowow" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZNBPFP) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5mowowa" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZNWOWT) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5mowowb" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZNWOWT) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mowowc" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2389, MAZNWWBU) (Mazooma) (Adder 5)" devices ())
(name "ad5mowowd" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZNMWOW) (Mazooma) (Adder 5)" devices ())
(name "ad5mowowe" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZPBPFP) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5mowowf" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZPWOWT) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5mowowg" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZPWOWT) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mowowh" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2389, MAZPWWBU) (Mazooma) (Adder 5)" devices ())
(name "ad5mowowi" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZPMWOW) (Mazooma) (Adder 5)" devices ())
(name "ad5mowowj" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR3075) (Adder 5) (set 1)" devices ())
(name "ad5mowowk" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR3075) (Adder 5) (set 2)" devices ())
(name "ad5mowowl" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZNBPFP) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mowowm" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (PR2365, MAZPBPFP) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mr2r" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5mr2ra" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5mr2rb" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 3)" devices ())
(name "ad5mr2rc" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 4)" devices ())
(name "ad5mr2rd" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 5)" devices ())
(name "ad5mr2re" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 6)" devices ())
(name "ad5mr2rf" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 7)" devices ())
(name "ad5mr2rg" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 8)" devices ())
(name "ad5mr2rh" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Adder 5) (set 9)" devices ())
(name "ad5mww" year "200?" manufacturer "Mazooma" desc "Random Monopoly Wonders Of The World (PR2284) (Mazooma) (Adder 5)" devices ())
(name "ad5mwwa" year "200?" manufacturer "Mazooma" desc "Random Monopoly Wonders Of The World (PR2291) (Mazooma) (Adder 5)" devices ())
(name "ad5pking" year "200?" manufacturer "BFM" desc "Poker King (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5pkinga" year "200?" manufacturer "BFM" desc "Poker King (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5pp" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2283, QPSNPINK) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5ppa" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2283, QPSNPINK) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5ppb" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2267, MAZNPINK) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5ppbtb" year "200?" manufacturer "Qps" desc "Pink Panther Break The Bank (PR2304, QPSNPPBB) (Qps) (Adder 5) (set 1)" devices ())
(name "ad5ppbtba" year "200?" manufacturer "Qps" desc "Pink Panther Break The Bank (PR2304, QPSNPPBB) (Qps) (Adder 5) (set 2)" devices ())
(name "ad5ppbtbb" year "200?" manufacturer "Qps" desc "Pink Panther Break The Bank (PR2304, QPSPPPBB) (Qps) (Adder 5) (set 1)" devices ())
(name "ad5ppbtbc" year "200?" manufacturer "Qps" desc "Pink Panther Break The Bank (PR2304, QPSPPPBB) (Qps) (Adder 5) (set 2)" devices ())
(name "ad5ppc" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2267, MAZNPINK) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5ppd" year "200?" manufacturer "Mazooma" desc "Pink Panther (MAZNPINK) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5ppe" year "200?" manufacturer "Mazooma" desc "Pink Panther (MAZNPINK) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5ppf" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2283, QPSPPINK) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5ppg" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2283, QPSPPINK) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5pph" year "200?" manufacturer "Mazooma" desc "Pink Panther (PR2267, MAZPPINK) (Mazooma) (Adder 5)" devices ())
(name "ad5ppi" year "200?" manufacturer "Mazooma" desc "Pink Panther (MAZPPINK) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5ppj" year "200?" manufacturer "Mazooma" desc "Pink Panther (MAZPPINK) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5rapid" year "200?" manufacturer "BFM" desc "Rapid Pay (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rapida" year "200?" manufacturer "BFM" desc "Rapid Pay (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rcash" year "200?" manufacturer "Mazooma" desc "Reel Cash (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5rcasha" year "200?" manufacturer "Mazooma" desc "Reel Cash (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5rroul" year "200?" manufacturer "Mazooma" desc "Reel Roulette (QPSNRLRO) (Mazooma) (Adder 5)" devices ())
(name "ad5rroula" year "200?" manufacturer "Mazooma" desc "Reel Roulette (QPSPRLRO) (Mazooma) (Adder 5)" devices ())
(name "ad5rroulb" year "200?" manufacturer "Mazooma" desc "Reel Roulette (MAZNRERO) (Mazooma) (Adder 5)" devices ())
(name "ad5rroulc" year "200?" manufacturer "Mazooma" desc "Reel Roulette (MAZPRERO) (Mazooma) (Adder 5)" devices ())
(name "ad5rsclb" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGNRNDN) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsclba" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1826, BFGNRNDN) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsclbb" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1826, BFGNRNDN) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rsclbc" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGNRNDN) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rsclbd" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGNRNDN) (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5rsclbe" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGNRNDN) (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5rsclbf" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGPRNDN) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsclbg" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1826, BFGPRNDN) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsclbh" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1826, BFGPRNDN) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rsclbi" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGPRNDN) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rsclbj" year "200?" manufacturer "BFM" desc "Random Spinner Club (PR1669, BFGPRNDN) (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5rsnw" year "200?" manufacturer "Mazooma" desc "Random Spin 'n' Win (PR2226, MAZNRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5rsnwa" year "200?" manufacturer "Mazooma" desc "Random Spin 'n' Win (PR2226, MAZNRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5rsnwb" year "200?" manufacturer "Mazooma" desc "Random Spin 'n' Win (PR2226, MAZPRNDN) (Mazooma) (Adder 5) (set 1)" devices ())
(name "ad5rsnwc" year "200?" manufacturer "Mazooma" desc "Random Spin 'n' Win (PR2226, MAZPRNDN) (Mazooma) (Adder 5) (set 2)" devices ())
(name "ad5rspin" year "200?" manufacturer "BFM" desc "Random Spinner (PR1669, BFGNRNDN) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rspinb" year "200?" manufacturer "BFM" desc "Random Spinner (PR1669, BFGPRNDN) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rspinc" year "200?" manufacturer "BFM" desc "Random Spinner (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsrm" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Rocket Money (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rsrma" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Rocket Money (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rsrr" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Rocket Money (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5rsrra" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Rocket Money (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5rwclb" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1756, BFGNRWSX) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rwclba" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1756, BFGNRWSX) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rwclbb" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1756, BFGPRWSX) (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5rwclbc" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1756, BFGPRWSX) (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5rwclbd" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1757, BFGPRWCL) (Bellfruit) (Adder 5)" devices ())
(name "ad5rwclbe" year "200?" manufacturer "BFM" desc "Random Winner Club (PR1757, BFGNRWCL) (Bellfruit) (Adder 5)" devices ())
(name "ad5sslam" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5sslama" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5sslamb" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5sslamc" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5sslamd" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5sslame" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5sslamf" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Adder 5) (set 7)" devices ())
(name "ad5tornc" year "200?" manufacturer "BFM" desc "Tornado Club (PR1629, 5.5, rv 8, BFGNTORD) (Bellfruit) (Adder 5)" devices ())
(name "ad5tornca" year "200?" manufacturer "BFM" desc "Tornado Club (PR1629, 5.8, rv 7, BFGNTORD) (Bellfruit) (Adder 5)" devices ())
(name "ad5torncb" year "200?" manufacturer "BFM" desc "Tornado Club (PR1629, 5.5, rv 8, BFGPTORD) (Bellfruit) (Adder 5)" devices ())
(name "ad5torncc" year "200?" manufacturer "BFM" desc "Tornado Club (PR1629, 5.8, rv 7, BFGPTORD) (Bellfruit) (Adder 5)" devices ())
(name "ad5torncd" year "200?" manufacturer "BFM" desc "Tornado Club (PR1627, 0.1, rv 1, BFGPTORN) (Bellfruit) (Adder 5)" devices ())
(name "ad5tornce" year "200?" manufacturer "BFM" desc "Tornado Club (PR1627, 0.1, rv 1, BFGNTORN) (Bellfruit) (Adder 5)" devices ())
(name "ad5vlv" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5vlvb" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5vlvc" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5vlvd" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 4)" devices ())
(name "ad5vlve" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 5)" devices ())
(name "ad5vlvf" year "200?" manufacturer "BFM" desc "Viva Las Vegas (Bellfruit) (Adder 5) (set 6)" devices ())
(name "ad5vpa" year "200?" manufacturer "BFM" desc "Video Poker Ace (Bellfruit) (Adder 5) (set 1)" devices ())
(name "ad5vpaa" year "200?" manufacturer "BFM" desc "Video Poker Ace (Bellfruit) (Adder 5) (set 2)" devices ())
(name "ad5vpab" year "200?" manufacturer "BFM" desc "Video Poker Ace (Bellfruit) (Adder 5) (set 3)" devices ())
(name "ad5vpac" year "200?" manufacturer "BFM" desc "Video Poker Ace (Bellfruit) (Adder 5) (set 4)" devices ())
(name "adacp150p" year "1989" manufacturer "Adacom" desc "CP-150 Plus" devices ())
(name "adam" year "1982" manufacturer "Coleco" desc "Adam" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "cartridge4" briefname "cart4" )))
(name "addocalc" year "1980" manufacturer "Addometer Company" desc "Addometer Calculator" devices ())
(name "adds2020" year "1986" manufacturer "Applied Digital Data Systems" desc "ADDS 2020" devices ())
(name "adillor" year "1997" manufacturer "Namco" desc "Armadillo Racing (World, AM2 Ver.A)" devices ())
(name "adillorj" year "1997" manufacturer "Namco" desc "Armadillo Racing (Japan, AM1 Ver.A)" devices ())
(name "adm12" year "1984" manufacturer "Lear Siegler" desc "ADM 12 Video Display Terminal" devices ())
(name "adm23" year "1982" manufacturer "Lear Siegler" desc "ADM 23 Smart Terminal" devices ())
(name "adm31" year "1978" manufacturer "Lear Siegler" desc "ADM-31 Data Display Terminal" devices ())
(name "adm36" year "1981" manufacturer "Lear Siegler" desc "ADM 36 Video Display Terminal" devices ())
(name "adonis" year "1999" manufacturer "Aristocrat" desc "Adonis (0200751V, NSW/ACT)" devices ())
(name "adonisa" year "1999" manufacturer "Aristocrat" desc "Adonis (0100751V, NSW/ACT)" devices ())
(name "adonisa6" year "2005" manufacturer "Aristocrat" desc "Adonis (0151178, US)" devices ())
(name "adonisce" year "1999" manufacturer "Aristocrat" desc "Adonis - Cash Express (0201005V, NSW/ACT)" devices ())
(name "adonisu" year "2001" manufacturer "Aristocrat" desc "Adonis (BHG1508, US)" devices ())
(name "adpoker" year "198?" manufacturer "Amstar?" desc "Amstar Draw Poker" devices ())
(name "adults" year "2003" manufacturer "Extrema" desc "Adults Only (Ukraine, V. 43.23)" devices ())
(name "adultsa" year "2003" manufacturer "Extrema" desc "Adults Only (Ukraine, V. 43.17)" devices ())
(name "aduskcm" year "2001" manufacturer "Aristocrat" desc "African Dusk - Mr. Cashman (20006711, NSW/ACT)" devices ())
(name "advision" year "1982" manufacturer "Entex" desc "Adventure Vision" devices ((name "cartridge" briefname "cart" )))
(name "advsnha" year "1983" manufacturer "Advision" desc "Advision Home Arcade" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "aerfboo2" year "1992" manufacturer "bootleg" desc "Aero Fighters (bootleg, set 2)" devices ())
(name "aerfboot" year "1992" manufacturer "bootleg" desc "Aero Fighters (bootleg, set 1)" devices ())
(name "aeroboto" year "1984" manufacturer "Jaleco (Williams license)" desc "Aeroboto" devices ())
(name "aerofgt" year "1992" manufacturer "Video System Co." desc "Aero Fighters (World / USA + Canada / Korea / Hong Kong / Taiwan) (newer hardware)" devices ())
(name "aerofgtb" year "1992" manufacturer "Video System Co." desc "Aero Fighters (Taiwan / Japan, set 1)" devices ())
(name "aerofgtc" year "1992" manufacturer "Video System Co." desc "Aero Fighters (Taiwan / Japan, set 2)" devices ())
(name "aerofgts" year "1996" manufacturer "McO'River, Inc." desc "Aero Fighters Special (USA)" devices ())
(name "aerofgtst" year "1996" manufacturer "Video System Co." desc "Aero Fighters Special (Taiwan)" devices ())
(name "aerolitol" year "1980" manufacturer "bootleg (Pasatiempos Laguna)" desc "Aerolitos Espaciales (Spanish bootleg of Asteroids)" devices ())
(name "aerolitos" year "1980" manufacturer "bootleg (Rodmar Elec.)" desc "Aerolitos (Spanish bootleg of Asteroids)" devices ())
(name "aes" year "1990" manufacturer "SNK" desc "Neo-Geo AES (NTSC)" devices ((name "memcard" briefname "memc" ) (name "cartridge" briefname "cart" )))
(name "afbm7800" year "2004" manufacturer "Atari / Nice Code" desc "Atari Flashback Mini 7800" devices ())
(name "afighter" year "1986" manufacturer "Sega" desc "Action Fighter (FD1089A 317-0018)" devices ())
(name "afightera" year "1986" manufacturer "Sega" desc "Action Fighter (unprotected)" devices ())
(name "afighterb" year "1986" manufacturer "Sega" desc "Action Fighter (unprotected, analog controls)" devices ())
(name "afighterc" year "1986" manufacturer "Sega" desc "Action Fighter (FD1089B 317-unknown)" devices ())
(name "afighterd" year "1986" manufacturer "Sega" desc "Action Fighter (FD1089B 317-unknown, analog controls)" devices ())
(name "afightere" year "1986" manufacturer "Sega" desc "Action Fighter (System 16B, unprotected, analog controls)" devices ())
(name "afighterf" year "1986" manufacturer "Sega" desc "Action Fighter (System 16B, FD1089B 317-unknown, analog controls)" devices ())
(name "afighterg" year "1986" manufacturer "Sega" desc "Action Fighter (System 16B, FD1089B 317-unknown)" devices ())
(name "afighterh" year "1986" manufacturer "Sega" desc "Action Fighter (System 16B, FD1089A 317-0018)" devices ())
(name "afire" year "1979" manufacturer "bootleg (Rene Pierre)" desc "Astro Fire" devices ())
(name "afm_10" year "1995" manufacturer "Bally" desc "Attack From Mars (1.0)" devices ())
(name "afm_11" year "1995" manufacturer "Bally" desc "Attack From Mars (1.1)" devices ())
(name "afm_113" year "1995" manufacturer "Bally" desc "Attack From Mars (1.13, Free play)" devices ())
(name "afm_113b" year "1995" manufacturer "Bally" desc "Attack From Mars (1.13b)" devices ())
(name "afm_11u" year "1995" manufacturer "Bally" desc "Attack From Mars (1.1 Ultrapin)" devices ())
(name "afterhrs" year "2004" manufacturer "Aristocrat" desc "After Hours (0251071, US)" devices ())
(name "aftor" year "1984" manufacturer "Wico" desc "Af-Tor" devices ())
(name "aftrshok" year "19??" manufacturer "Lazer-Tron" desc "Aftershock (Lazer-Tron, set 1)" devices ())
(name "aftrshoka" year "19??" manufacturer "Lazer-Tron" desc "Aftershock (Lazer-Tron, set 2)" devices ())
(name "afv_l4" year "1993" manufacturer "Williams" desc "Addams Family Values (Coin Dropper L-4)" devices ())
(name "agallet" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (Europe)" devices ())
(name "agalleta" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (older, Europe)" devices ())
(name "agalletah" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (older, Hong Kong)" devices ())
(name "agalletaj" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Akuu Gallet (older, Japan)" devices ())
(name "agalletak" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (older, Korea)" devices ())
(name "agalletat" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (older, Taiwan)" devices ())
(name "agalletau" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (older, USA)" devices ())
(name "agalleth" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (Hong Kong)" devices ())
(name "agalletj" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Akuu Gallet (Japan)" devices ())
(name "agalletk" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (Korea)" devices ())
(name "agallett" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (Taiwan)" devices ())
(name "agalletu" year "1996" manufacturer "Gazelle (Banpresto license)" desc "Air Gallet (USA)" devices ())
(name "agat7" year "1983" manufacturer "Agat" desc "Agat-7" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "agat9" year "1988" manufacturer "Agat" desc "Agat-9" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "age_cand" year "19??" manufacturer "Advanced Games & Engineering" desc "Candy Crane (AGE)" devices ())
(name "agent777" year "1984" manufacturer "Game Plan" desc "Agents 777" devices ())
(name "agentx1" year "1983" manufacturer "Atari" desc "Agent X (prototype, rev 1)" devices ())
(name "agentx2" year "1983" manufacturer "Atari" desc "Agent X (prototype, rev 2)" devices ())
(name "agentx3" year "1983" manufacturer "Atari" desc "Agent X (prototype, rev 3)" devices ())
(name "agentx4" year "1983" manufacturer "Atari" desc "Agent X (prototype, rev 4)" devices ())
(name "agress" year "1991" manufacturer "Palco" desc "Agress - Missile Daisenryaku (Japan)" devices ())
(name "agressb" year "2003" manufacturer "bootleg" desc "Agress - Missile Daisenryaku (English bootleg)" devices ())
(name "agsoccer" year "1991" manufacturer "Alvin G" desc "A.G. Soccer Ball (R18u, 2.5L sound)" devices ())
(name "agsoccer07" year "1991" manufacturer "Alvin G" desc "A.G. Soccer Ball (R07u)" devices ())
(name "agsoccera" year "1991" manufacturer "Alvin G" desc "A.G. Soccer Ball (R18u, 2.1 sound)" devices ())
(name "agvision" year "1979" manufacturer "Elanco" desc "AgVision" devices ((name "bitbanger" briefname "bitb" )))
(name "ai1000" year "1989" manufacturer "Casio" desc "AI-1000" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "aid80f" year "1978" manufacturer "Mostek" desc "AID-80F Development System" devices ())
(name "aim65" year "1977" manufacturer "Rockwell" desc "AIM 65" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "aim65_40" year "1981" manufacturer "Rockwell" desc "AIM-65/40" devices ())
(name "aimode" year "1999" manufacturer "Nichibutsu/eic" desc "Ai-mode - Pet Shiiku (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "ainferno" year "1990" manufacturer "Taito Corporation Japan" desc "Air Inferno (World)" devices ())
(name "ainfernoj" year "1990" manufacturer "Taito Corporation Japan" desc "Air Inferno (Japan)" devices ())
(name "ainfernou" year "1990" manufacturer "Taito America Corporation" desc "Air Inferno (US)" devices ())
(name "airass" year "1993" manufacturer "Irem" desc "Air Assault (World)" devices ())
(name "airattck" year "1996" manufacturer "Comad" desc "Air Attack (set 1)" devices ())
(name "airattcka" year "1996" manufacturer "Comad" desc "Air Attack (set 2)" devices ())
(name "airbase99" year "1998" manufacturer "JoMoX" desc "AiRBase 99" devices ())
(name "airblsjs" year "2005" manufacturer "Advance Bright Ltd" desc "Air-Blaster Joystick (AB1500, PAL)" devices ())
(name "airbustr" year "1990" manufacturer "Kaneko (Namco license)" desc "Air Buster: Trouble Specialty Raid Unit (World)" devices ())
(name "airbustrb" year "1990" manufacturer "bootleg" desc "Air Buster: Trouble Specialty Raid Unit (bootleg)" devices ())
(name "airbustrj" year "1990" manufacturer "Kaneko (Namco license)" desc "Air Buster: Trouble Specialty Raid Unit (Japan)" devices ())
(name "airco22b" year "1995" manufacturer "Namco" desc "Air Combat 22 (Japan, ACS1 Ver.B)" devices ())
(name "aircomb" year "1992" manufacturer "Namco" desc "Air Combat (AC2, US)" devices ())
(name "aircombj" year "1992" manufacturer "Namco" desc "Air Combat (AC1, Japan)" devices ())
(name "airduel" year "1990" manufacturer "Irem" desc "Air Duel (World, M82 hardware)" devices ())
(name "airdueljm72" year "1990" manufacturer "Irem" desc "Air Duel (Japan, M72 hardware)" devices ())
(name "airduelm72" year "1990" manufacturer "Irem" desc "Air Duel (World, M72 hardware)" devices ())
(name "airduelu" year "1990" manufacturer "Irem America" desc "Air Duel (US location test, M82 hardware)" devices ())
(name "airrace" year "1985" manufacturer "Atari Games" desc "Air Race (prototype)" devices ())
(name "airraid" year "1987" manufacturer "Seibu Kaihatsu" desc "Air Raid (Single PCB)" devices ())
(name "airtrix" year "2000" manufacturer "Sega" desc "Air Trix (Rev A)" devices ())
(name "airtrixo" year "2000" manufacturer "Sega" desc "Air Trix (original)" devices ())
(name "airwlkrs" year "1997" manufacturer "Data East Corporation" desc "Air Walkers" devices ())
(name "airwolf" year "1987" manufacturer "Kyugo" desc "Airwolf" devices ())
(name "airwolfa" year "1987" manufacturer "Kyugo (United Amusements license)" desc "Airwolf (US)" devices ())
(name "aiwamcd" year "1994" manufacturer "AIWA" desc "Mega-CD CSD-G1M (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "ajax" year "1987" manufacturer "Konami" desc "Ajax" devices ())
(name "ajaxj" year "1987" manufacturer "Konami" desc "Ajax (Japan)" devices ())
(name "ajofrin" year "1981" manufacturer "Recreativos Franco" desc "Ajofrin City" devices ())
(name "ajuno1" year "1985" manufacturer "Roland" desc "Alpha Juno-1 (JU-1) Programmable Polyphonic Synthesizer" devices ())
(name "ajuno2" year "1986" manufacturer "Roland" desc "Alpha Juno-2 (JU-2) Programmable Polyphonic Synthesizer" devices ())
(name "akamaru" year "1996" manufacturer "Dynax (Nakanihon license)" desc "Panel & Variety Akamaru Q Joushou Dont-R" devices ())
(name "akazukin" year "1983" manufacturer "Sigma" desc "Akazukin (Japan)" devices ())
(name "aking" year "1998" manufacturer "Namco" desc "Angler King (Japan, AG1 Ver. A)" devices ())
(name "akiss" year "1995" manufacturer "Jaleco" desc "Mahjong Angel Kiss (ver 1.0)" devices ())
(name "akkaarrh" year "1982" manufacturer "Atari" desc "Akka Arrh (prototype)" devices ())
(name "akkanvdr" year "1995" manufacturer "Taito Corporation" desc "Akkanbeder (Ver 2.5J 1995/06/14)" devices ())
(name "akumajou" year "1988" manufacturer "Konami" desc "Akuma-Jou Dracula (Japan version P)" devices ())
(name "akumajoun" year "1988" manufacturer "Konami" desc "Akuma-Jou Dracula (Japan version N)" devices ())
(name "al486vd" year "199?" manufacturer "Daewoo" desc "AL486V-D Rev:1.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "al520ex" year "1993" manufacturer "Patisonic" desc "Aleste 520EX" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "al8800bt" year "1977" manufacturer "MITS" desc "Altair 8800bt" devices ((name "quickload" briefname "quik" )))
(name "alacou" year "199?" manufacturer "Alaris" desc "Cougar" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "aladmdb" year "1993" manufacturer "bootleg / Sega" desc "Aladdin (bootleg of Japanese Mega Drive version)" devices ())
(name "alaleolx" year "199?" manufacturer "Alaris RYC" desc "LEOPARD LX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "alantin" year "1999" manufacturer "bootleg (Robert / Avraam)" desc "Alantin - Aladdin's Magic Lamp" devices ())
(name "alator2" year "199?" manufacturer "Alaris" desc "Tornado 2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "albatross" year "1989" manufacturer "Nasco (Technos license)" desc "Albatross (US prototype?)" devices ())
(name "albert" year "1984" manufacturer "Albert Computers, Inc." desc "Albert" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "alcapone" year "1981" manufacturer "LTD" desc "Al Capone" devices ())
(name "alcat258" year "1991" manufacturer "Alcatel" desc "Terminatel 258" devices ())
(name "alcat7100" year "1984" manufacturer "Alcatel" desc "Terminal 7100" devices ())
(name "alcat_l7" year "1985" manufacturer "Williams" desc "Alley Cats (Shuffle) (L-7)" devices ())
(name "alchemst" year "2002" manufacturer "Aristocrat" desc "Alchemist (01J02046, Venezuela)" devices ())
(name "alchemy" year "2003" manufacturer "Aristocrat" desc "Alchemy (1J009611, NSW/ACT)" devices ())
(name "alcon" year "1986" manufacturer "Toaplan / Taito America Corp." desc "Alcon (US)" devices ())
(name "alesqs7" year "1996" manufacturer "Alesis" desc "Alesis QS7 musical keyboard" devices ())
(name "alexkidd" year "1986" manufacturer "Sega" desc "Alex Kidd: The Lost Stars (set 2, unprotected)" devices ())
(name "alexkidd1" year "1986" manufacturer "Sega" desc "Alex Kidd: The Lost Stars (set 1, FD1089A 317-0021)" devices ())
(name "alfa" year "1986" manufacturer "Didaktik Skalica" desc "Didaktik Alfa" devices ((name "cassette" briefname "cass" )))
(name "alfaskop4101" year "1984" manufacturer "Ericsson" desc "Alfaskop Communication Processor 4101" devices ())
(name "alfaskop4110" year "1984" manufacturer "Ericsson" desc "Alfaskop Display Unit 4110" devices ())
(name "alfaskop4120" year "1984" manufacturer "Ericsson" desc "Alfaskop Flexible Disk Unit 4120" devices ())
(name "algar_l1" year "1980" manufacturer "Williams" desc "Algar (L-1)" devices ())
(name "ali" year "1980" manufacturer "Stern" desc "Ali" devices ())
(name "alibaba" year "1982" manufacturer "Sega" desc "Ali Baba and 40 Thieves" devices ())
(name "alibabab" year "1982" manufacturer "bootleg" desc "Mustafa and 40 Thieves (bootleg)" devices ())
(name "alice" year "1983" manufacturer "Matra & Hachette" desc "Alice" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "alice32" year "1984" manufacturer "Matra & Hachette" desc "Alice 32" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "alice90" year "1985" manufacturer "Matra & Hachette" desc "Alice 90" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "alien" year "2005" manufacturer "Capcom" desc "Alien: The Arcade Medal Edition (satellite)" devices ((name "harddisk" briefname "hard" )))
(name "alien3" year "1993" manufacturer "Sega" desc "Alien3: The Gun (World)" devices ())
(name "alien3j" year "1993" manufacturer "Sega" desc "Alien3: The Gun (Japan)" devices ())
(name "alien3u" year "1993" manufacturer "Sega" desc "Alien3: The Gun (US, Rev A)" devices ())
(name "alienar" year "1985" manufacturer "Duncan Brown" desc "Alien Arena" devices ())
(name "alienaru" year "1985" manufacturer "Duncan Brown" desc "Alien Arena (Stargate upgrade)" devices ())
(name "aliencha" year "1994" manufacturer "IGS" desc "Alien Challenge (World)" devices ())
(name "alienchac" year "1994" manufacturer "IGS" desc "Alien Challenge (China)" devices ())
(name "aliencr" year "1989" manufacturer "Hudson Soft" desc "Alien Crush (United Amusements PC Engine)" devices ())
(name "alienfnt" year "2001" manufacturer "Sega" desc "Alien Front (Rev T)" devices ())
(name "alienfnta" year "2001" manufacturer "Sega" desc "Alien Front (Rev A)" devices ())
(name "alieninv" year "19??" manufacturer "bootleg (Margamatics)" desc "Alien Invasion" devices ())
(name "alieninvp2" year "19??" manufacturer "bootleg" desc "Alien Invasion Part II" devices ())
(name "aliens" year "1990" manufacturer "Konami" desc "Aliens (World set 1)" devices ())
(name "aliens2" year "1990" manufacturer "Konami" desc "Aliens (World set 2)" devices ())
(name "aliens3" year "1990" manufacturer "Konami" desc "Aliens (World set 3)" devices ())
(name "aliens4" year "1990" manufacturer "Konami" desc "Aliens (World set 4)" devices ())
(name "aliensa" year "1990" manufacturer "Konami" desc "Aliens (Asia)" devices ())
(name "aliensec" year "1985" manufacturer "Namco" desc "Alien Sector" devices ())
(name "aliensj" year "1990" manufacturer "Konami" desc "Aliens (Japan set 1)" devices ())
(name "aliensj2" year "1990" manufacturer "Konami" desc "Aliens (Japan set 2)" devices ())
(name "alienstr" year "1984" manufacturer "Gottlieb" desc "Alien Star" devices ())
(name "aliensu" year "1990" manufacturer "Konami" desc "Aliens (US)" devices ())
(name "aliensyn" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 4, System 16B, unprotected)" devices ())
(name "aliensyn2" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 2, System 16A, FD1089A 317-0033)" devices ())
(name "aliensyn3" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 3, System 16B, FD1089A 317-0033)" devices ())
(name "aliensyn5" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 5, System 16A, FD1089B 317-0037)" devices ())
(name "aliensyn7" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 7, System 16B, MC-8123B 317-00xx)" devices ())
(name "aliensynj" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 6, Japan, new, System 16B, FD1089A 317-0033)" devices ())
(name "aliensynjo" year "1987" manufacturer "Sega" desc "Alien Syndrome (set 1, Japan, old, System 16A, FD1089A 317-0033)" devices ())
(name "aligator" year "1994" manufacturer "Gaelco" desc "Alligator Hunt (World, protected)" devices ())
(name "aligatorp" year "1994" manufacturer "Gaelco" desc "Alligator Hunt (protected, prototype?)" devices ())
(name "aligators" year "1994" manufacturer "Gaelco" desc "Alligator Hunt (Spain, protected)" devices ())
(name "aligatorun" year "1994" manufacturer "Gaelco" desc "Alligator Hunt (unprotected, set 1)" devices ())
(name "aligatoruna" year "1994" manufacturer "Gaelco" desc "Alligator Hunt (unprotected, set 2)" devices ())
(name "alim1217" year "199?" manufacturer "<unknown>" desc "386sx motherboards using the ALi M1217 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "alim1419" year "199?" manufacturer "<unknown>" desc "386 motherboards using the ALi M1419 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "alim1429" year "199?" manufacturer "<unknown>" desc "386 motherboards using the ALi M1429 A1 and M1431 A2 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "alim1489" year "199?" manufacturer "<unknown>" desc "486 motherboards using the ALi 1487/1489 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "alinvade" year "198?" manufacturer "Forbes?" desc "Alien Invaders" devices ())
(name "alleymas" year "1986" manufacturer "Cinematronics" desc "Alley Master" devices ())
(name "alm16" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Almeria 16 Bit (v0.13)" devices ())
(name "alm16a" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Almeria 16 Bit (v0.121)" devices ())
(name "alm32" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Almeria 32 Bit" devices ())
(name "alnattck" year "1981" manufacturer "Coleco" desc "Alien Attack" devices ())
(name "alnchase" year "1984" manufacturer "Tomy" desc "Alien Chase" devices ())
(name "alpha1v" year "1988" manufacturer "Vision Electronics" desc "Alpha One (Vision Electronics)" devices ())
(name "alphaho" year "19??" manufacturer "Data East Corporation" desc "Alpha Fighter / Head On" devices ())
(name "alphahob" year "19??" manufacturer "bootleg" desc "Missile / Circuit (bootleg of Alpha Fighter / Head On)" devices ())
(name "alpham2" year "1991" manufacturer "SNK" desc "Alpha Mission II / ASO II - Last Guardian (NGM-007 ~ NGH-007)" devices ((name "memcard" briefname "memc" ) ()))
(name "alpham2p" year "1991" manufacturer "SNK" desc "Alpha Mission II / ASO II - Last Guardian (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "alphamis" year "1985" manufacturer "SNK" desc "Alpha Mission" devices ())
(name "alphaone" year "1983" manufacturer "Atari" desc "Alpha One (prototype, 3 lives)" devices ())
(name "alphaonea" year "1983" manufacturer "Atari" desc "Alpha One (prototype, 5 lives)" devices ())
(name "alphatan" year "1981" manufacturer "Tantel" desc "AlphaTantel" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "alphatp1" year "198?" manufacturer "Triumph-Adler" desc "alphatronic P1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "alphatp10" year "1985" manufacturer "Triumph-Adler" desc "Alphatronic P10" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "alphatp2" year "198?" manufacturer "Triumph-Adler" desc "alphatronic P2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "alphatp2u" year "198?" manufacturer "Triumph-Adler" desc "alphatronic P2U" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "alphatp3" year "1982" manufacturer "Triumph-Adler" desc "alphatronic P3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "alphatp30" year "198?" manufacturer "Triumph-Adler" desc "alphatronic P30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "alphatp50" year "1985" manufacturer "Triumph-Adler" desc "Alphatronic P50" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "alphatpc16" year "1985" manufacturer "Triumph-Adler" desc "alphatronic PC-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "alphatro" year "1983" manufacturer "Triumph-Adler" desc "Alphatronic PC (PAL)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "alphatrob" year "1984" manufacturer "Triumph-Adler" desc "Alphatronic PC w/BiCom Graphics" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "alphatron" year "1983" manufacturer "Triumph-Adler" desc "Alphatronic PC (NTSC)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "alphaxz" year "1986" manufacturer "Ed Co., Ltd. (Wood Place Co., Ltd. license)" desc "The Alphax Z (Japan)" devices ())
(name "alphie" year "1978" manufacturer "Playskool" desc "Alphie: The Electronic Robot (patent)" devices ())
(name "alpilot" year "1999" manufacturer "Sega" desc "Airline Pilots (World, Rev B)" devices ())
(name "alpilotj" year "1999" manufacturer "Sega" desc "Airline Pilots (Japan, Rev A)" devices ())
(name "alpine" year "1982" manufacturer "Taito Corporation" desc "Alpine Ski (set 1)" devices ())
(name "alpinea" year "1982" manufacturer "Taito Corporation" desc "Alpine Ski (set 2)" devices ())
(name "alpinerc" year "1994" manufacturer "Namco" desc "Alpine Racer (World, AR2 Ver.C)" devices ())
(name "alpinerd" year "1994" manufacturer "Namco" desc "Alpine Racer (World, AR2 Ver.D)" devices ())
(name "alpinerjc" year "1994" manufacturer "Namco" desc "Alpine Racer (Japan, AR1 Ver.C)" devices ())
(name "alpines" year "1996" manufacturer "Namco" desc "Alpine Surfer (World, AF2 Ver.A, set 1)" devices ())
(name "alpinesa" year "1996" manufacturer "Namco" desc "Alpine Surfer (World, AF2 Ver.A, set 2)" devices ())
(name "alpinr2a" year "1996" manufacturer "Namco" desc "Alpine Racer 2 (World, ARS2 Ver.A)" devices ())
(name "alpinr2b" year "1996" manufacturer "Namco" desc "Alpine Racer 2 (World, ARS2 Ver.B)" devices ())
(name "alpok_f6" year "1980" manufacturer "Williams" desc "Alien Poker (L-6 French speech)" devices ())
(name "alpok_l2" year "1980" manufacturer "Williams" desc "Alien Poker (L-2)" devices ())
(name "alpok_l6" year "1980" manufacturer "Williams" desc "Alien Poker (L-6)" devices ())
(name "altair" year "1981" manufacturer "Cidelsa" desc "Altair" devices ())
(name "altair2" year "198?" manufacturer "Cidelsa" desc "Altair II" devices ())
(name "altaten" year "1999" manufacturer "<unknown>" desc "Alta Tensione (ver. 2.01a)" devices ())
(name "altbeast" year "1988" manufacturer "Sega" desc "Altered Beast (set 8) (8751 317-0078)" devices ())
(name "altbeast2" year "1988" manufacturer "Sega" desc "Altered Beast (set 2) (MC-8123B 317-0066)" devices ())
(name "altbeast4" year "1988" manufacturer "Sega" desc "Altered Beast (set 4) (MC-8123B 317-0066)" devices ())
(name "altbeast5" year "1988" manufacturer "Sega" desc "Altered Beast (set 5) (FD1094 317-0069)" devices ())
(name "altbeast5d" year "1988" manufacturer "bootleg" desc "Altered Beast (set 5) (bootleg of FD1094 317-0069 set)" devices ())
(name "altbeast6" year "1988" manufacturer "Sega" desc "Altered Beast (set 6) (8751 317-0076)" devices ())
(name "altbeastbl" year "1988" manufacturer "bootleg (Datsu)" desc "Altered Beast (Datsu bootleg)" devices ())
(name "altbeastbl2" year "1988" manufacturer "bootleg" desc "Altered Beast (bootleg)" devices ())
(name "altbeastj" year "1988" manufacturer "Sega" desc "Juuouki (set 7, Japan) (8751 317-0077)" devices ())
(name "altbeastj1" year "1988" manufacturer "Sega" desc "Juuouki (set 1, Japan) (FD1094 317-0065)" devices ())
(name "altbeastj3" year "1988" manufacturer "Sega" desc "Juuouki (set 3, Japan) (FD1094 317-0068)" devices ())
(name "altbeastj3d" year "1988" manufacturer "bootleg" desc "Juuouki (set 3, Japan) (bootleg of FD1094 317-0068 set)" devices ())
(name "alto1" year "1973" manufacturer "Xerox" desc "Alto I" devices ())
(name "alto2" year "1977" manufacturer "Xerox" desc "Alto-II" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "altos2" year "1983" manufacturer "Altos Computer Systems" desc "Altos II Terminal" devices ())
(name "altos486" year "1984" manufacturer "Altos Computer Systems" desc "Altos 486" devices ((name "floppydisk" briefname "flop" )))
(name "altos5" year "1982" manufacturer "Altos" desc "Altos 5-15" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "altos8600" year "1981" manufacturer "Altos Computer Systems" desc "ACS8600" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "am100" year "198?" manufacturer "ASEM S.p.A." desc "AM100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "am1000" year "1988" manufacturer "Alpha Micro" desc "AM-1000" devices ())
(name "am4" year "1988" manufacturer "Acorn Computers" desc "Acorn M4" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "am64" year "1985" manufacturer "ASEM" desc "AM 64" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "am_mg24" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game I (V.Ger 2.4)" devices ())
(name "am_mg24a" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game I (V.Stm 2.7)" devices ())
(name "am_mg3" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (V.Ger 3.5)" devices ())
(name "am_mg31i" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (S.Ita 3.1)" devices ())
(name "am_mg33i" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (S.Ita 3.3)" devices ())
(name "am_mg34i" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (S.Ita 3.4)" devices ())
(name "am_mg35i" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (S.Ita 3.5)" devices ())
(name "am_mg3a" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game III (V.Ger 3.64)" devices ())
(name "am_mg4sk" year "2003" manufacturer "Amatic Trading GmbH" desc "Multi Game IV (AMGSK_VA3.85)" devices ())
(name "am_mg4v" year "2000" manufacturer "Amatic Trading GmbH" desc "Multi Game IV (V.Ger 3.44)" devices ())
(name "am_mg5hu" year "2001" manufacturer "Amatic Trading GmbH" desc "Multi Game V (AMGHU_VB3.65)" devices ())
(name "amatelas" year "1986" manufacturer "Nichibutsu" desc "Sei Senshi Amatelass" devices ())
(name "amazon" year "1986" manufacturer "Nichibutsu" desc "Soldier Girl Amazon" devices ())
(name "amazonh" year "1983" manufacturer "Gottlieb" desc "Amazon Hunt" devices ())
(name "amazonh2" year "1987" manufacturer "Gottlieb" desc "Amazon Hunt II (French)" devices ())
(name "amazonh3" year "1987" manufacturer "Gottlieb" desc "Amazon Hunt III (French)" devices ())
(name "amazonh3a" year "1987" manufacturer "Gottlieb" desc "Amazon Hunt III (rev. 1, French)" devices ())
(name "amazonha" year "1983" manufacturer "Gottlieb" desc "Amazon Hunt (alternate set)" devices ())
(name "amazoni2" year "2003" manufacturer "IGS" desc "Amazonia King II (V202BR)" devices ())
(name "amazonia" year "1999" manufacturer "IGS" desc "Amazonia King (V104BR)" devices ())
(name "amazonkp" year "1999" manufacturer "IGS" desc "Amazonia King Plus (V204BR)" devices ())
(name "amazonsp" year "200?" manufacturer "Konami" desc "Amazon Spirit (Konami Endeavour, NSW)" devices ())
(name "amazont" year "1986" manufacturer "Nichibutsu (Tecfri license)" desc "Soldier Girl Amazon (Tecfri license)" devices ())
(name "amaztron" year "1978" manufacturer "Coleco" desc "Amaze-A-Tron" devices ())
(name "ambush" year "1983" manufacturer "Tecfri" desc "Ambush" devices ())
(name "ambushh" year "1983" manufacturer "Tecfri" desc "Ambush (hack?)" devices ())
(name "ambushj" year "1983" manufacturer "Tecfri (Nippon Amuse license)" desc "Ambush (Japan)" devices ())
(name "ambushv" year "1983" manufacturer "Tecfri (Volt Electronics license)" desc "Ambush (Volt Electronics)" devices ())
(name "amclink" year "200?" manufacturer "Amcoe" desc "Amcoe Link Control Box (Version 2.2)" devices ())
(name "amerdart" year "1989" manufacturer "Ameri" desc "AmeriDarts (set 1)" devices ())
(name "amerdart2" year "1989" manufacturer "Ameri" desc "AmeriDarts (set 2)" devices ())
(name "amerdart3" year "1989" manufacturer "Ameri" desc "AmeriDarts (set 3)" devices ())
(name "america" year "1986" manufacturer "Juegos Populares" desc "America 1492" devices ())
(name "americna" year "1987" manufacturer "Merit" desc "Americana (9131-01)" devices ())
(name "americnaa" year "1987" manufacturer "Merit" desc "Americana (9131-00)" devices ())
(name "amerihok" year "199?" manufacturer "Ameri" desc "Ameri-Hockey" devices ())
(name "amerug" year "1980" manufacturer "Shoei" desc "Amerug (Shoei bootleg of Atari Football)" devices ())
(name "amhbattl" year "2006" manufacturer "Amuzy Corporation" desc "Acchi Muite Hoi Battle" devices ())
(name "amibaby" year "199?" manufacturer "AMI" desc "Mark V Baby Screamer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amico2k" year "1978" manufacturer "A.S.E.L." desc "Amico 2000" devices ())
(name "amidar" year "1982" manufacturer "Konami" desc "Amidar" devices ())
(name "amidar1" year "1981" manufacturer "Konami" desc "Amidar (older)" devices ())
(name "amidarb" year "1982" manufacturer "bootleg" desc "Amidar (bootleg, set 1)" devices ())
(name "amidarb2" year "1982" manufacturer "bootleg" desc "Amidar (bootleg, set 2)" devices ())
(name "amidarc" year "1982" manufacturer "bootleg (Cirsa)" desc "Amidar (Cirsa bootleg)" devices ())
(name "amidaro" year "1982" manufacturer "Konami (Olympia license)" desc "Amidar (Olympia)" devices ())
(name "amidars" year "1982" manufacturer "Konami" desc "Amidar (Scramble hardware)" devices ())
(name "amidaru" year "1982" manufacturer "Konami (Stern Electronics license)" desc "Amidar (Stern Electronics)" devices ())
(name "amient2" year "199?" manufacturer "AMI" desc "EISA Enterprise-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amient3" year "199?" manufacturer "AMI" desc "EISA Enterprise-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amient4" year "199?" manufacturer "AMI" desc "EISA Enterprise-IV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amigo" year "1982" manufacturer "bootleg" desc "Amigo (bootleg of Amidar, set 1)" devices ())
(name "amigo2" year "1982" manufacturer "bootleg" desc "Amigo (bootleg of Amidar, set 2)" devices ())
(name "aminosan" year "2010" manufacturer "Sega" desc "Aminosan (satellite)" devices ())
(name "amisvpci2" year "199?" manufacturer "AMI" desc "Super Voyager PCI-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amisvvlb" year "199?" manufacturer "AMI" desc "Super Voyager VLB" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amisvvlb2" year "199?" manufacturer "AMI" desc "Super Voyager VLB-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "amisvvlb3" year "199?" manufacturer "AMI" desc "Super Voyager VLB-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ampex210p" year "1988" manufacturer "Ampex" desc "Ampex 210 plus Terminal (v3.0)" devices ())
(name "ampex230p" year "1988" manufacturer "Ampex" desc "Ampex 230 plus Terminal (v4.0)" devices ())
(name "ampkr228" year "1994" manufacturer "bootleg?" desc "American Poker II (iamp2 v28)" devices ())
(name "ampkr2b1" year "1990" manufacturer "bootleg" desc "American Poker II (bootleg, set 1)" devices ())
(name "ampkr2b2" year "1990" manufacturer "bootleg" desc "American Poker II (bootleg, set 2)" devices ())
(name "ampkr2b3" year "1994" manufacturer "bootleg" desc "American Poker II (bootleg, set 3)" devices ())
(name "ampkr2b4" year "1994" manufacturer "bootleg" desc "American Poker II (bootleg, set 4)" devices ())
(name "ampkr2jsp" year "1994" manufacturer "bootleg?" desc "American Poker II - Jackpot (Spanish, set 1)" devices ())
(name "ampkr2jspa" year "1994" manufacturer "bootleg?" desc "American Poker II - Jackpot (Spanish, set 2)" devices ())
(name "ampkr2jspb" year "1994" manufacturer "bootleg?" desc "American Poker II - Jackpot (Spanish, set 3)" devices ())
(name "ampkr95" year "1995" manufacturer "bootleg" desc "American Poker 95" devices ())
(name "ampoker2" year "1990" manufacturer "Novomatic" desc "American Poker II" devices ())
(name "ampro" year "1980" manufacturer "Ampro" desc "Little Z80 Board" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "ampscarp" year "1998" manufacturer "Motorola" desc "AMPS Car Phone" devices ())
(name "amspdwy" year "1987" manufacturer "Enerdyne Technologies Inc." desc "American Speedway (set 1)" devices ())
(name "amspdwya" year "1987" manufacturer "Enerdyne Technologies Inc." desc "American Speedway (set 2)" devices ())
(name "amsterd" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto Amsterdam" devices ())
(name "amsterdg" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto Amsterdam (Glasgow hardware)" devices ())
(name "amu880" year "1983" manufacturer "Militaerverlag der DDR" desc "Ausbaufaehiger Mikrocomputer mit dem U 880" devices ((name "cassette" briefname "cass" )))
(name "amusco" year "1987" manufacturer "Amusco" desc "American Music Poker (V1.4)" devices ())
(name "amuse" year "1982" manufacturer "Greyhound Electronics" desc "Amuse (Version 50.08 IBA)" devices ())
(name "amuse1" year "1982" manufacturer "Greyhound Electronics" desc "Amuse (Version 30.08 IBA)" devices ())
(name "amuse1a" year "1983" manufacturer "Greyhound Electronics" desc "Amuse (Version 30.08A)" devices ())
(name "amust" year "1983" manufacturer "Amust" desc "Amust Executive 816" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "amzqueen" year "2001" manufacturer "Aristocrat" desc "Amazon Queen (10005511, NSW/ACT)" devices ())
(name "amztempl" year "2009" manufacturer "Aristocrat" desc "Amazon Temple (10299811, NSW/ACT)" devices ())
(name "an1x" year "1997" manufacturer "Yamaha" desc "AN1x Control Synthesizer" devices ())
(name "anakonda" year "1989" manufacturer "<unknown>" desc "Anakonda" devices ((name "cassette" briefname "cass" )))
(name "anch386s" year "199?" manufacturer "ANIX" desc "CH-386S-16/20/25G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ancienta" year "2002?" manufacturer "Novotech" desc "Ancient Atlantis (set 1)" devices ())
(name "ancientaa" year "2002?" manufacturer "Novotech" desc "Ancient Atlantis (set 2)" devices ())
(name "ancientab" year "2002?" manufacturer "Novotech" desc "Ancient Atlantis (set 3)" devices ())
(name "ancientac" year "2002?" manufacturer "Novotech" desc "Ancient Atlantis (set 4)" devices ())
(name "ancientad" year "2002?" manufacturer "Novotech" desc "Ancient Atlantis (set 5)" devices ())
(name "andretti" year "1995" manufacturer "Gottlieb" desc "Mario Andretti (rev.T4)" devices ())
(name "andretti0" year "1995" manufacturer "Gottlieb" desc "Mario Andretti" devices ())
(name "androdun" year "1992" manufacturer "Visco" desc "Andro Dunos (NGM-049 ~ NGH-049)" devices ((name "memcard" briefname "memc" ) ()))
(name "androidp" year "1987" manufacturer "Nasco" desc "Android (prototype, later build)" devices ())
(name "androidpo" year "198?" manufacturer "Nasco" desc "Android (prototype, early build)" devices ())
(name "andromed" year "1980" manufacturer "Irem" desc "Andromeda SS (Japan?)" devices ())
(name "andromep" year "1985" manufacturer "Game Plan" desc "Andromeda (set 1)" devices ())
(name "andromepa" year "1985" manufacturer "Game Plan" desc "Andromeda (set 2)" devices ())
(name "angelkds" year "1988" manufacturer "Sega / Nasco?" desc "Angel Kids (Japan)" devices ())
(name "anibonus" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.8E Dual)" devices ())
(name "anibonusb1" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.7R, set 1)" devices ())
(name "anibonusb2" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.7LT, set 1)" devices ())
(name "anibonusd1" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.7R, set 2)" devices ())
(name "anibonusd2" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.7LT, set 2)" devices ())
(name "anibonuso" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.5)" devices ())
(name "anibonuso2" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.4, set 1)" devices ())
(name "anibonuso3" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.4, set 2)" devices ())
(name "anibonusv1" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.8R Dual)" devices ())
(name "anibonusv2" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.8LT Dual)" devices ())
(name "anibonusxo" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.50XT)" devices ())
(name "anibonusxo2" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.40XT, set 1)" devices ())
(name "anibonusxo3" year "2003" manufacturer "Amcoe" desc "Animal Bonus (Version 1.40XT, set 2)" devices ())
(name "animalc" year "2000" manufacturer "Sammy" desc "Animal Catch" devices ())
(name "animalhjb" year "1995?" manufacturer "bootleg" desc "Animal House (bootleg of Jingle Bell)" devices ())
(name "animalhs" year "1991" manufacturer "Suns Co Ltd." desc "Animal House (V1.0, set 1)" devices ())
(name "animalhsa" year "1991" manufacturer "Suns Co Ltd." desc "Animal House (V1.0, set 2)" devices ())
(name "animalhsb" year "1994" manufacturer "bootleg" desc "Animal House (set 3)" devices ())
(name "animalhsc" year "1994" manufacturer "bootleg" desc "Animal House (set 4)" devices ())
(name "animaljr" year "1993" manufacturer "Nakanihon / East Technology (Taito license)" desc "Exciting Animal Land Jr. (USA, Canada, Mexico)" devices ())
(name "animaljrj" year "1993" manufacturer "Nakanihon / East Technology (Taito license)" desc "Waiwai Animal Land Jr. (Japan)" devices ())
(name "animaljrs" year "1993" manufacturer "Nakanihon / East Technology (Taito license)" desc "Animalandia Jr. (Spanish)" devices ())
(name "animalw" year "199?" manufacturer "bootleg" desc "Animal Wonders (ver A900)" devices ())
(name "animechmp" year "2000" manufacturer "Konami" desc "Anime Champ (GCA07 VER. JAA)" devices ())
(name "animpkr" year "198?" manufacturer "<unknown>" desc "unknown rocket/animal-themed poker" devices ())
(name "anithunt" year "2003" manufacturer "Amcoe" desc "Animal Treasure Hunt (Version 1.9R, set 1)" devices ())
(name "anithuntd1" year "2003" manufacturer "Amcoe" desc "Animal Treasure Hunt (Version 1.9R, set 2)" devices ())
(name "anithunto" year "2003" manufacturer "Amcoe" desc "Animal Treasure Hunt (Version 1.7)" devices ())
(name "anithunto2" year "2003" manufacturer "Amcoe" desc "Animal Treasure Hunt (Version 1.5)" devices ())
(name "anithuntv1" year "2003" manufacturer "Amcoe" desc "Animal Treasure Hunt (Version 1.9R Dual)" devices ())
(name "anmlbskt" year "2005" manufacturer "MOSS / Sammy" desc "Animal Basket / Hustle Tamaire Kyousou (24 Jan 2005)" devices ())
(name "anmlbskta" year "2005" manufacturer "MOSS / Sammy" desc "Animal Basket / Hustle Tamaire Kyousou (19 Jan 2005)" devices ())
(name "anoworld" year "1989" manufacturer "Sunwise" desc "Another World (Japan, V1.8)" devices ())
(name "anpanman" year "1992" manufacturer "Sega" desc "Soreike! Anpanman Popcorn Koujou (Rev B)" devices ())
(name "anpanman2" year "2003" manufacturer "Sega" desc "Soreike! Anpanman Popcorn Koujou 2 (Rev C)" devices ())
(name "anpanman2a" year "2003" manufacturer "Sega" desc "Soreike! Anpanman Popcorn Koujou 2 (Rev A)" devices ())
(name "anpanmana" year "1992" manufacturer "Sega" desc "Soreike! Anpanman Popcorn Koujou (Rev A)" devices ())
(name "antar" year "1979" manufacturer "Playmatic" desc "Antar (Playmatic, set 1)" devices ())
(name "antar2" year "1979" manufacturer "Playmatic" desc "Antar (Playmatic, set 2)" devices ())
(name "antcleo" year "2004" manufacturer "Aristocrat" desc "Antony and Cleopatra (10163211, NSW/ACT)" devices ())
(name "antcleoa" year "2004" manufacturer "Aristocrat" desc "Antony and Cleopatra (10177211, ASP)" devices ())
(name "anteater" year "1982" manufacturer "Tago Electronics" desc "Anteater" devices ())
(name "anteaterg" year "1982" manufacturer "Tago Electronics (TV-Tuning license from Free Enterprise Games)" desc "Ameisenbaer (German)" devices ())
(name "anteatergg" year "1982" manufacturer "bootleg" desc "Ameisenbaer (German bootleg on Galaxian hardware)" devices ())
(name "anteateruk" year "1982" manufacturer "Tago Electronics (Free Enterprise Games license)" desc "The Anteater (UK)" devices ())
(name "antiairc" year "1975" manufacturer "Atari" desc "Anti-Aircraft" devices ())
(name "anto2495" year "198?" manufacturer "Antonelli" desc "Antonelli 2495" devices ())
(name "anto2614" year "198?" manufacturer "Antonelli" desc "Antonelli 2614" devices ())
(name "anzterm" year "1986?" manufacturer "Burroughs" desc "EF315-I220 Teller Terminal (ANZ)" devices ())
(name "aoap43" year "199?" manufacturer "AOpen" desc "AP43 (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "aodk" year "1994" manufacturer "ADK / SNK" desc "Aggressors of Dark Kombat / Tsuukai GANGAN Koushinkyoku (ADM-008 ~ ADH-008)" devices ((name "memcard" briefname "memc" ) ()))
(name "aof" year "1992" manufacturer "SNK" desc "Art of Fighting / Ryuuko no Ken (NGM-044 ~ NGH-044)" devices ((name "memcard" briefname "memc" ) ()))
(name "aof2" year "1994" manufacturer "SNK" desc "Art of Fighting 2 / Ryuuko no Ken 2 (NGM-056)" devices ((name "memcard" briefname "memc" ) ()))
(name "aof2a" year "1994" manufacturer "SNK" desc "Art of Fighting 2 / Ryuuko no Ken 2 (NGH-056)" devices ((name "memcard" briefname "memc" ) ()))
(name "aof3" year "1996" manufacturer "SNK" desc "Art of Fighting 3 - The Path of the Warrior / Art of Fighting - Ryuuko no Ken Gaiden" devices ((name "memcard" briefname "memc" ) ()))
(name "aof3k" year "1996" manufacturer "SNK" desc "Art of Fighting 3 - The Path of the Warrior (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "aoh" year "2001" manufacturer "Unico" desc "Age Of Heroes - Silkroad 2 (v0.63 - 2001/02/07)" devices ())
(name "aovi15g" year "199?" manufacturer "Aopen" desc "VI15G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ap10" year "1995" manufacturer "Casio" desc "Celviano AP-10" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "apache3" year "1988" manufacturer "Tatsumi" desc "Apache 3 (rev F)" devices ())
(name "apache3a" year "1988" manufacturer "Tatsumi" desc "Apache 3 (rev E)" devices ())
(name "apache3b" year "1988" manufacturer "Tatsumi (Kana Corporation license)" desc "Apache 3 (Kana Corporation license, rev G)" devices ())
(name "apb" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 7)" devices ())
(name "apb1" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 1)" devices ())
(name "apb2" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 2)" devices ())
(name "apb3" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 3)" devices ())
(name "apb4" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 4)" devices ())
(name "apb5" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 5)" devices ())
(name "apb6" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (rev 6)" devices ())
(name "apbf" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (French)" devices ())
(name "apbg" year "1987" manufacturer "Atari Games" desc "APB - All Points Bulletin (German)" devices ())
(name "apc" year "1982" manufacturer "NEC" desc "APC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apexc" year "1955" manufacturer "Andrew Donald Booth" desc "All Purpose Electronic X-ray Computer (as described in 1957)" devices ((name "cylinder" briefname "cyln" ) (name "punchtape1" briefname "ptap1" ) (name "punchtape2" briefname "ptap2" )))
(name "apfimag" year "1979" manufacturer "APF Electronics Inc." desc "APF Imagination Machine" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apfm1000" year "1978" manufacturer "APF Electronics Inc." desc "APF M-1000" devices ((name "cartridge" briefname "cart" )))
(name "aplan" year "1993" manufacturer "WeaShing H.K." desc "A-Plan" devices ())
(name "aplannb" year "1990" manufacturer "Apricot" desc "Apricot LANstation (Novell Remote Boot)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "aplanst" year "1990" manufacturer "Apricot" desc "Apricot LANstation (Krypton Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "aplarail" year "1998" manufacturer "Namco / Tomy" desc "Attack Pla Rail (Japan, AP1/VER.A)" devices ())
(name "aplatoon" year "1995" manufacturer "Nova?" desc "Platoon (V.3.1 US)" devices ())
(name "aplsbon" year "1992" manufacturer "Apricot" desc "Apricot LS Pro (Bonsai Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "aplscar" year "1992" manufacturer "Apricot" desc "Apricot LS Pro (Caracal Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apocof" year "2003" manufacturer "Aristocrat" desc "Apollo Coffee (0151105, US)" devices ())
(name "apogee" year "1989" manufacturer "Zavod BRA" desc "Apogee BK-01" devices ((name "cassette" briefname "cass" )))
(name "apollo13" year "1995" manufacturer "Sega" desc "Apollo 13 (CPU 5.01, display A5.00)" devices ())
(name "apollo13_10" year "1995" manufacturer "Sega" desc "Apollo 13 (CPU 1.00, display A1.00)" devices ())
(name "apollo13_20" year "1995" manufacturer "Sega" desc "Apollo 13 (CPU 2.03, display A2.01)" devices ())
(name "apollo13_d4" year "1995" manufacturer "Sega" desc "Apollo 13 (CPU 5.01, display A4.01)" devices ())
(name "apollo80" year "1978" manufacturer "Academy" desc "Apollo 80 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "aponow" year "1982" manufacturer "bootleg" desc "Apocaljpse Now (bootleg of Rescue)" devices ())
(name "apparel" year "1986" manufacturer "Central Denshi" desc "Apparel Night (Japan 860929)" devices ())
(name "apple1" year "1976" manufacturer "Apple Computer" desc "Apple I" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "apple10" year "1998" manufacturer "Sandii'" desc "Apple 10 (Ver 1.21)" devices ())
(name "apple2" year "1977" manufacturer "Apple Computer" desc "Apple ][" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2c" year "1984" manufacturer "Apple Computer" desc "Apple //c" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apple2c0" year "1985" manufacturer "Apple Computer" desc "Apple //c (UniDisk 3.5)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apple2c3" year "1986" manufacturer "Apple Computer" desc "Apple //c (Original Memory Expansion)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apple2c4" year "1986" manufacturer "Apple Computer" desc "Apple //c (rev 4)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apple2cp" year "1988" manufacturer "Apple Computer" desc "Apple //c Plus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2e" year "1983" manufacturer "Apple Computer" desc "Apple //e" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2ee" year "1985" manufacturer "Apple Computer" desc "Apple //e (enhanced)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2eefr" year "1985" manufacturer "Apple Computer" desc "Apple //e (enhanced, France)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2ees" year "1983" manufacturer "Apple Computer" desc "Apple //e (Spain)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2eeuk" year "1985" manufacturer "Apple Computer" desc "Apple //e (enhanced, UK)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2ep" year "1987" manufacturer "Apple Computer" desc "Apple //e (Platinum)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2euk" year "1983" manufacturer "Apple Computer" desc "Apple //e (UK)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2gs" year "1989" manufacturer "Apple Computer" desc "Apple IIgs (ROM03)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsmt" year "1991" manufacturer "Apple Computer" desc "Apple IIgs (1991 Mark Twain prototype)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsr0" year "1986" manufacturer "Apple Computer" desc "Apple IIgs (ROM00)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsr0p" year "1986" manufacturer "Apple Computer" desc "Apple IIgs (ROM00 prototype 6/19/1986)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsr0p2" year "1986" manufacturer "Apple Computer" desc "Apple IIgs (ROM00 prototype 3/10/1986)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsr1" year "1987" manufacturer "Apple Computer" desc "Apple IIgs (ROM01)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2gsr3p" year "198?" manufacturer "Apple Computer" desc "Apple IIgs (ROM03 prototype)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "apple2jp" year "1980" manufacturer "Apple Computer" desc "Apple ][ J-Plus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple2p" year "1979" manufacturer "Apple Computer" desc "Apple ][+" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "apple3" year "1980" manufacturer "Apple Computer" desc "Apple ///" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "applix" year "1986" manufacturer "Applix Pty Ltd" desc "Applix 1616" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "appoooh" year "1984" manufacturer "Sanritsu / Sega" desc "Appoooh" devices ())
(name "aprfte" year "1991" manufacturer "Apricot" desc "Apricot FT//ex 486 (J3 Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apricot" year "1983" manufacturer "ACT" desc "Apricot PC" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apricotxi" year "1984" manufacturer "ACT" desc "Apricot Xi" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "aprpand" year "1992" manufacturer "Apricot" desc "Apricot FTs (Panther Rev F 1.02.26)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apvxft" year "1989" manufacturer "Apricot" desc "Apricot VX FT server" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apxen" year "1985" manufacturer "ACT" desc "Apricot XEN" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "apxena1" year "1993" manufacturer "Apricot" desc "Apricot XEN PC (A1 Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apxeni" year "1987" manufacturer "Apricot" desc "Apricot XEN-i 386 (Leopard Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apxenls3" year "1991" manufacturer "Apricot" desc "Apricot XEN-LS (Venus IV Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apxenp2" year "1993" manufacturer "Apricot" desc "Apricot XEN PC (P2 Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "apxlsam" year "1993" manufacturer "Apricot" desc "Apricot XEN-LS II (Samurai Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "aquajack" year "1990" manufacturer "Taito Corporation Japan" desc "Aqua Jack (World)" devices ())
(name "aquajackj" year "1990" manufacturer "Taito Corporation" desc "Aqua Jack (Japan)" devices ())
(name "aquajacku" year "1990" manufacturer "Taito America Corporation" desc "Aqua Jack (US)" devices ())
(name "aquajet" year "1996" manufacturer "Namco" desc "Aqua Jet (World, AJ2 Ver.B)" devices ())
(name "aqualand" year "1986" manufacturer "Juegos Populares" desc "Aqualand (set 1)" devices ())
(name "aqualanda" year "1986" manufacturer "Juegos Populares" desc "Aqualand (set 2)" devices ())
(name "aquarium" year "1996" manufacturer "Excellent System" desc "Aquarium (US)" devices ())
(name "aquariumj" year "1996" manufacturer "Excellent System" desc "Aquarium (Japan)" devices ())
(name "aquarius" year "1983" manufacturer "Mattel Electronics" desc "Aquarius (NTSC)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "aquarius2" year "1984" manufacturer "Radofin" desc "Aquarius II" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "aquarius_ar" year "198?" manufacturer "Ecico Electronics" desc "Aquarius (Arabic)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "aquariusp" year "1983" manufacturer "Mattel Electronics" desc "Aquarius (PAL)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "aquarush" year "1999" manufacturer "Namco" desc "Aqua Rush (Japan, AQ1/VER.A1)" devices ())
(name "aquastge" year "1995" manufacturer "Sega" desc "Aqua Stage" devices ())
(name "ar140" year "1989" manufacturer "Acorn Computers" desc "Acorn R140" devices ((name "floppydisk" briefname "flop" )))
(name "ar225" year "1990" manufacturer "Acorn Computers" desc "Acorn R225" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) () ()))
(name "ar260" year "1990" manufacturer "Acorn Computers" desc "Acorn R260" devices ((name "floppydisk" briefname "flop" )))
(name "ar4glx3" year "199?" manufacturer "Addtech Research" desc "4GLX3 Green-B 4GPV3.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ar_airh" year "1988" manufacturer "Arcadia Systems" desc "SportTime Table Hockey (Arcadia, set 1, V 2.1)" devices ())
(name "ar_airh2" year "1988" manufacturer "Arcadia Systems" desc "SportTime Table Hockey (Arcadia, set 2)" devices ())
(name "ar_argh" year "1988" manufacturer "Arcadia Systems" desc "Aaargh (Arcadia)" devices ())
(name "ar_blast" year "1988" manufacturer "Arcadia Systems" desc "Blastaball (Arcadia, V 2.1)" devices ())
(name "ar_bowl" year "1988" manufacturer "Arcadia Systems" desc "SportTime Bowling (Arcadia, V 2.1)" devices ())
(name "ar_dart" year "1987" manufacturer "Arcadia Systems" desc "World Darts (Arcadia, set 1, V 2.1)" devices ())
(name "ar_dart2" year "1987" manufacturer "Arcadia Systems" desc "World Darts (Arcadia, set 2)" devices ())
(name "ar_dlta" year "1988" manufacturer "Arcadia Systems" desc "Delta Command (Arcadia)" devices ())
(name "ar_fast" year "1988" manufacturer "Arcadia Systems" desc "Magic Johnson's Fast Break (Arcadia, V 2.8)" devices ())
(name "ar_fasta" year "1988" manufacturer "Arcadia Systems" desc "Magic Johnson's Fast Break (Arcadia, V 2.7)" devices ())
(name "ar_ldrb" year "1988" manufacturer "Arcadia Systems" desc "Leader Board Golf (Arcadia, set 1, V 2.5)" devices ())
(name "ar_ldrba" year "1988" manufacturer "Arcadia Systems" desc "Leader Board Golf (Arcadia, set 2, V 2.4)" devices ())
(name "ar_ldrbb" year "1988" manufacturer "Arcadia Systems" desc "Leader Board Golf (Arcadia, set 3)" devices ())
(name "ar_ninj" year "1987" manufacturer "Arcadia Systems" desc "Ninja Mission (Arcadia, set 1, V 2.5)" devices ())
(name "ar_ninj2" year "1987" manufacturer "Arcadia Systems" desc "Ninja Mission (Arcadia, set 2)" devices ())
(name "ar_pm" year "1988" manufacturer "Arcadia Systems" desc "Pharaohs Match (Arcadia)" devices ())
(name "ar_rdwr" year "1988" manufacturer "Arcadia Systems" desc "RoadWars (Arcadia, V 2.3)" devices ())
(name "ar_sdwr" year "1988" manufacturer "Arcadia Systems" desc "Sidewinder (Arcadia, set 1, V 2.1)" devices ())
(name "ar_sdwr2" year "1988" manufacturer "Arcadia Systems" desc "Sidewinder (Arcadia, set 2)" devices ())
(name "ar_socc" year "1989" manufacturer "Arcadia Systems" desc "World Trophy Soccer (Arcadia, V 3.0)" devices ())
(name "ar_spot" year "1990" manufacturer "Arcadia Systems" desc "Spot (Arcadia, V 2.0)" devices ())
(name "ar_sprg" year "1987" manufacturer "Arcadia Systems" desc "Space Ranger (Arcadia, V 2.0)" devices ())
(name "ar_xeon" year "1988" manufacturer "Arcadia Systems" desc "Xenon (Arcadia, V 2.3)" devices ())
(name "arabfgt" year "1991" manufacturer "Sega" desc "Arabian Fight (World)" devices ())
(name "arabfgtj" year "1991" manufacturer "Sega" desc "Arabian Fight (Japan)" devices ())
(name "arabfgtu" year "1991" manufacturer "Sega" desc "Arabian Fight (US)" devices ())
(name "arabian" year "1983" manufacturer "Sun Electronics" desc "Arabian" devices ())
(name "arabiana" year "1983" manufacturer "Sun Electronics (Atari license)" desc "Arabian (Atari)" devices ())
(name "arabianm" year "1992" manufacturer "Taito Corporation Japan" desc "Arabian Magic (Ver 1.0O 1992/07/06)" devices ())
(name "arabianmj" year "1992" manufacturer "Taito Corporation" desc "Arabian Magic (Ver 1.0J 1992/07/06)" devices ())
(name "arabianmu" year "1992" manufacturer "Taito America Corporation" desc "Arabian Magic (Ver 1.0A 1992/07/06)" devices ())
(name "arabnga6" year "2001" manufacturer "Aristocrat" desc "Arabian Nights (2J008211, NSW/ACT)" devices ())
(name "arabnga6a" year "2001" manufacturer "Aristocrat" desc "Arabian Nights (10122611, ASP)" devices ())
(name "arabnga6u" year "2004" manufacturer "Aristocrat" desc "Arabian Nights (0151356, US)" devices ())
(name "arac6k27" year "1990" manufacturer "Arachnid" desc "Super Six Plus II English Mark Darts (v2.7)" devices ())
(name "arac6k28sp" year "1990" manufacturer "Arachnid" desc "Super Six Plus II English Mark Darts (v2.8, Spanish)" devices ())
(name "arac6k33" year "1994" manufacturer "Arachnid" desc "Super Six Plus II English Mark Darts (v3.3)" devices ())
(name "aracnis" year "19??" manufacturer "bootleg" desc "Aracnis (bootleg of Scorpion on Moon Cresta hardware, set 1)" devices ())
(name "aracnisa" year "19??" manufacturer "bootleg" desc "Aracnis (bootleg of Scorpion on Moon Cresta hardware, set 2)" devices ())
(name "arb" year "1980" manufacturer "AVE Micro Systems" desc "Auto Response Board" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "arbalest" year "1989" manufacturer "Jordan I.S. / Seta" desc "Arbalester" devices ())
(name "arbv2" year "2012" manufacturer "hack (Steve Braid)" desc "ARB V2 Sargon 4.0" devices ())
(name "arcade10" year "201?" manufacturer "Fizz Creations" desc "Mini Arcade Console (Arcade 10-in-1)" devices ())
(name "arcadecl" year "1992" manufacturer "Atari Games" desc "Arcade Classics (prototype)" devices ())
(name "arcadia" year "1982" manufacturer "Emerson" desc "Arcadia 2001" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "arcadian" year "1994" manufacturer "NMK" desc "Arcadia (NMK)" devices ())
(name "archrivl" year "1989" manufacturer "Bally Midway" desc "Arch Rivals (rev 4.0 6/29/89)" devices ())
(name "archrivla" year "1989" manufacturer "Bally Midway" desc "Arch Rivals (rev 2.0 5/03/89)" devices ())
(name "archrivlb" year "1989" manufacturer "bootleg" desc "Arch Rivals (rev 2.0 5/03/89, 8-way joystick bootleg)" devices ())
(name "arcmania" year "1983" manufacturer "Milton Bradley" desc "Electronic Arcade Mania (Arcade Machine)" devices ())
(name "arctthnd" year "2001" manufacturer "Midway Games" desc "Arctic Thunder (v1.002)" devices ())
(name "arcwins" year "1996" manufacturer "Aristocrat" desc "Arctic Wins (4XF5227H03, US)" devices ())
(name "area51" year "1996" manufacturer "Atari Games" desc "Area 51 (R3000)" devices ((name "harddisk" briefname "hard" )))
(name "area51a" year "1995" manufacturer "Atari Games" desc "Area 51 (Atari Games license, Oct 25, 1995)" devices ((name "harddisk" briefname "hard" )))
(name "area51mx" year "1998" manufacturer "Atari Games" desc "Area 51 / Maximum Force Duo v2.0" devices ((name "harddisk" briefname "hard" )))
(name "area51t" year "1995" manufacturer "Atari Games (Time Warner license)" desc "Area 51 (Time Warner license, Oct 17, 1996)" devices ((name "harddisk" briefname "hard" )))
(name "area51ta" year "1995" manufacturer "Atari Games (Time Warner license)" desc "Area 51 (Time Warner license, Nov 27, 1995)" devices ((name "harddisk" briefname "hard" )))
(name "area88" year "1989" manufacturer "Capcom" desc "Area 88 (Japan)" devices ())
(name "area88r" year "1989" manufacturer "Capcom" desc "Area 88 (Japan Resale Ver.)" devices ())
(name "arena" year "1987" manufacturer "Gottlieb" desc "Arena" devices ())
(name "arenaa" year "1987" manufacturer "Gottlieb" desc "Arena (alternate set)" devices ())
(name "arenaf" year "1987" manufacturer "Gottlieb" desc "Arena (French)" devices ())
(name "arenag" year "1987" manufacturer "Gottlieb" desc "Arena (German)" devices ())
(name "arescue" year "1992" manufacturer "Sega" desc "Air Rescue (World)" devices ())
(name "arescuej" year "1992" manufacturer "Sega" desc "Air Rescue (Japan)" devices ())
(name "arescueu" year "1992" manufacturer "Sega" desc "Air Rescue (US)" devices ())
(name "argo" year "1986" manufacturer "<unknown>" desc "Argo" devices ((name "cassette" briefname "cass" )))
(name "argus" year "1986" manufacturer "NMK (Jaleco license)" desc "Argus" devices ())
(name "argusg" year "1984" manufacturer "Gottlieb" desc "Argus (Gottlieb, prototype)" devices ())
(name "arian" year "1985" manufacturer "SNK" desc "Arian Mission" devices ())
(name "arish" year "2003" manufacturer "Aristocrat" desc "Arishinko (0151087, US)" devices ())
(name "arist_l1" year "1978" manufacturer "Williams/United" desc "Aristocrat (Shuffle) (L-1)" devices ())
(name "arizna10" year "1995" manufacturer "bootleg (Ri.Bi)" desc "Arizona 10 (v1.1)" devices ())
(name "arizona" year "1981" manufacturer "LTD" desc "Arizona" devices ())
(name "ark1ball" year "1986" manufacturer "bootleg" desc "Arkanoid (bootleg with MCU, harder)" devices ())
(name "arkangc" year "1986" manufacturer "bootleg (Game Corporation)" desc "Arkanoid (Game Corporation bootleg, set 1)" devices ())
(name "arkangc2" year "1986" manufacturer "bootleg (Game Corporation)" desc "Arkanoid (Game Corporation bootleg, set 2)" devices ())
(name "arkanoid" year "1986" manufacturer "Taito Corporation Japan" desc "Arkanoid (World, older)" devices ())
(name "arkanoidj" year "1986" manufacturer "Taito Corporation" desc "Arkanoid (Japan, newer)" devices ())
(name "arkanoidja" year "1986" manufacturer "Taito Corporation" desc "Arkanoid (Japan, newer w/level select)" devices ())
(name "arkanoidjb" year "1986" manufacturer "Taito Corporation" desc "Arkanoid (Japan, older)" devices ())
(name "arkanoidjbl" year "1986" manufacturer "bootleg" desc "Arkanoid (bootleg with MCU, set 1)" devices ())
(name "arkanoidjbl2" year "1986" manufacturer "bootleg (Beta)" desc "Arkanoid (bootleg with MCU, set 2)" devices ())
(name "arkanoidpe" year "1986" manufacturer "Taito Corporation (Phoenix Electronics Co. license)" desc "Arkanoid (Phoenix Electronics Co. license)" devices ())
(name "arkanoidu" year "1986" manufacturer "Taito America Corporation (Romstar license)" desc "Arkanoid (US, newer)" devices ())
(name "arkanoiduo" year "1986" manufacturer "Taito America Corporation (Romstar license)" desc "Arkanoid (US, older)" devices ())
(name "arkarea" year "1988" manufacturer "UPL" desc "Ark Area" devices ())
(name "arkatayt" year "1986" manufacturer "bootleg (Tayto)" desc "Arkanoid (Tayto bootleg)" devices ())
(name "arkatour" year "1987" manufacturer "Taito America Corporation (Romstar license)" desc "Tournament Arkanoid (US, older)" devices ())
(name "arkatour2" year "1987" manufacturer "Taito America Corporation (Romstar license)" desc "Tournament Arkanoid (US, newer)" devices ())
(name "arkbloc2" year "1986" manufacturer "bootleg (Game Corporation)" desc "Block (Game Corporation bootleg, set 2)" devices ())
(name "arkbloc3" year "1986" manufacturer "bootleg (Game Corporation)" desc "Block (Game Corporation bootleg, set 3)" devices ())
(name "arkblock" year "1986" manufacturer "bootleg (Game Corporation)" desc "Block (Game Corporation bootleg, set 1)" devices ())
(name "arkgcbl" year "1986" manufacturer "bootleg" desc "Arkanoid (bootleg on Block hardware, set 1)" devices ())
(name "arkgcbla" year "1986" manufacturer "bootleg" desc "Arkanoid (bootleg on Block hardware, set 2)" devices ())
(name "arknoid2" year "1987" manufacturer "Taito Corporation Japan" desc "Arkanoid - Revenge of DOH (World)" devices ())
(name "arknoid2b" year "1987" manufacturer "bootleg" desc "Arkanoid - Revenge of DOH (Japan bootleg)" devices ())
(name "arknoid2j" year "1987" manufacturer "Taito Corporation" desc "Arkanoid - Revenge of DOH (Japan)" devices ())
(name "arknoid2u" year "1987" manufacturer "Taito America Corporation (Romstar license)" desc "Arkanoid - Revenge of DOH (US)" devices ())
(name "arkretrn" year "1997" manufacturer "Taito Corporation" desc "Arkanoid Returns (Ver 2.02O 1997/02/10)" devices ())
(name "arkretrnj" year "1997" manufacturer "Taito Corporation" desc "Arkanoid Returns (Ver 2.02J 1997/02/10)" devices ())
(name "arkretrnu" year "1997" manufacturer "Taito Corporation" desc "Arkanoid Returns (Ver 2.02A 1997/02/10)" devices ())
(name "arktayt2" year "1986" manufacturer "bootleg (Tayto)" desc "Arkanoid (Tayto bootleg, harder)" devices ())
(name "arlingtn" year "1991" manufacturer "Strata / Incredible Technologies" desc "Arlington Horse Racing (v1.40-D)" devices ())
(name "arlingtna" year "1991" manufacturer "Strata / Incredible Technologies" desc "Arlington Horse Racing (v1.21-D)" devices ())
(name "armada" year "1980" manufacturer "Zaccaria / I.G.R." desc "Armada" devices ())
(name "armchamp" year "1988" manufacturer "Jaleco / Yuvo" desc "Arm Champs (Japan)" devices ())
(name "armchmp2" year "1992" manufacturer "Jaleco" desc "Arm Champs II (ver 2.7)" devices ())
(name "armchmp2o" year "1992" manufacturer "Jaleco" desc "Arm Champs II (ver 1.7)" devices ())
(name "armchmp2o2" year "1992" manufacturer "Jaleco" desc "Arm Champs II (ver 2.6)" devices ())
(name "armedf" year "1988" manufacturer "Nichibutsu" desc "Armed F (Japan)" devices ())
(name "armedff" year "1988" manufacturer "Nichibutsu (Fillmore license)" desc "Armed F (Fillmore license)" devices ())
(name "armora" year "1980" manufacturer "Cinematronics" desc "Armor Attack" devices ())
(name "armorap" year "1980" manufacturer "Cinematronics" desc "Armor Attack (prototype)" devices ())
(name "armorar" year "1980" manufacturer "Cinematronics (Rock-Ola license)" desc "Armor Attack (Rock-Ola)" devices ())
(name "armorcar" year "1981" manufacturer "Stern Electronics" desc "Armored Car (set 1)" devices ())
(name "armorcar2" year "1981" manufacturer "Stern Electronics" desc "Armored Car (set 2)" devices ())
(name "armwar" year "1994" manufacturer "Capcom" desc "Armored Warriors (Europe 941024)" devices ())
(name "armwar1d" year "1994" manufacturer "bootleg" desc "Armored Warriors (Europe 941011 Phoenix Edition) (bootleg)" devices ())
(name "armwara" year "1994" manufacturer "Capcom" desc "Armored Warriors (Asia 941024)" devices ())
(name "armwarar1" year "1994" manufacturer "Capcom" desc "Armored Warriors (Asia 940920)" devices ())
(name "armwarb" year "1994" manufacturer "Capcom" desc "Armored Warriors (Brazil 941024)" devices ())
(name "armwarr1" year "1994" manufacturer "Capcom" desc "Armored Warriors (Europe 941011)" devices ())
(name "armwaru" year "1994" manufacturer "Capcom" desc "Armored Warriors (USA 941024)" devices ())
(name "armwaru1" year "1994" manufacturer "Capcom" desc "Armored Warriors (USA 940920)" devices ())
(name "armwrest" year "1985" manufacturer "Nintendo" desc "Arm Wrestling" devices ())
(name "arrball" year "1980" manufacturer "A-One LSI" desc "Arrange Ball" devices ())
(name "arwincm" year "2003" manufacturer "Aristocrat" desc "Arctic Wins - Mr. Cashman (0151065, US)" devices ())
(name "as1" year "1993" manufacturer "Sega" desc "AS-1 Controller" devices ())
(name "as496" year "199?" manufacturer "Arstoria" desc "AS496" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "as_acp" year "200?" manufacturer "Astra" desc "unknown Astra 'ACP' (Astra, V403)" devices ())
(name "as_bbr" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V101)" devices ())
(name "as_bbra" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V102,alt)" devices ())
(name "as_bbrb" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V201)" devices ())
(name "as_bbrc" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V003)" devices ())
(name "as_bbrd" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V102)" devices ())
(name "as_bbre" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V105)" devices ())
(name "as_bbrf" year "200?" manufacturer "Astra" desc "Bullion Bars (Astra, V004)" devices ())
(name "as_big10" year "200?" manufacturer "Astra" desc "Big 10 (Astra, V500)" devices ())
(name "as_big10a" year "200?" manufacturer "Astra" desc "Big 10 (Astra, V503)" devices ())
(name "as_big10b" year "200?" manufacturer "Astra" desc "Big 10 (Astra, V507)" devices ())
(name "as_big10c" year "200?" manufacturer "Astra" desc "Big 10 (Astra, V601)" devices ())
(name "as_big10d" year "200?" manufacturer "Astra" desc "Big 10 (Astra, V605)" devices ())
(name "as_big15" year "200?" manufacturer "Astra" desc "Big 15 (Astra, V101)" devices ())
(name "as_bigcs" year "200?" manufacturer "Astra" desc "Big Cash (Astra, V101)" devices ())
(name "as_bigcsa" year "200?" manufacturer "Astra" desc "Big Cash (Astra, V103)" devices ())
(name "as_bigtm" year "200?" manufacturer "Astra" desc "Big Time (Astra, V003)" devices ())
(name "as_celeb" year "200?" manufacturer "Astra" desc "Celebration (Astra, V100)" devices ())
(name "as_celeba" year "200?" manufacturer "Astra" desc "Celebration (Astra, V101)" devices ())
(name "as_celebb" year "200?" manufacturer "Astra" desc "Celebration (Astra, V201)" devices ())
(name "as_colmn" year "200?" manufacturer "Astra" desc "Colour Of Money (Astra, V200)" devices ())
(name "as_colmna" year "200?" manufacturer "Astra" desc "Colour Of Money (Astra, V107)" devices ())
(name "as_colmnb" year "200?" manufacturer "Astra" desc "Colour Of Money (Astra, V108)" devices ())
(name "as_colmnc" year "200?" manufacturer "Astra" desc "Colour Of Money (Astra, V109)" devices ())
(name "as_colmnd" year "200?" manufacturer "Astra" desc "Colour Of Money (Astra, V908)" devices ())
(name "as_cshah" year "200?" manufacturer "Lowen" desc "Cash Ahoi (Lowen, V105)" devices ())
(name "as_cshcs" year "200?" manufacturer "Lowen" desc "Cash Castle (Lowen, V006)" devices ())
(name "as_csv" year "200?" manufacturer "Astra" desc "Slot Slant (?) (Astra, V202)" devices ())
(name "as_dblcs" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V110)" devices ())
(name "as_dblcsa" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V112)" devices ())
(name "as_dblcsb" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V108)" devices ())
(name "as_dblcsc" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V109)" devices ())
(name "as_dblcsd" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V106)" devices ())
(name "as_dblcse" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V102)" devices ())
(name "as_dblcsf" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V100)" devices ())
(name "as_dblcsg" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V100, alt)" devices ())
(name "as_dblcsh" year "200?" manufacturer "Astra" desc "Double Cash (Astra, V004)" devices ())
(name "as_djp" year "200?" manufacturer "Astra" desc "Double Jackpot (Astra, V107)" devices ())
(name "as_djpa" year "200?" manufacturer "Astra" desc "Double Jackpot (Astra, V004)" devices ())
(name "as_djpb" year "200?" manufacturer "Astra" desc "Double Jackpot (Astra, V109)" devices ())
(name "as_fortn" year "200?" manufacturer "Astra" desc "Fortune Teller (Astra, V009)" devices ())
(name "as_gof" year "200?" manufacturer "Lowen" desc "Game Of Fortune (Lowen, V208)" devices ())
(name "as_hc" year "200?" manufacturer "Astra" desc "Hokey Cokey (Astra, V107)" devices ())
(name "as_hca" year "200?" manufacturer "Astra" desc "Hokey Cokey (Astra, V109)" devices ())
(name "as_hcb" year "200?" manufacturer "Astra" desc "Hokey Cokey (Astra, V110)" devices ())
(name "as_hcc" year "200?" manufacturer "Astra" desc "Hokey Cokey (Astra, V111)" devices ())
(name "as_hcd" year "200?" manufacturer "Astra" desc "Hokey Cokey (Astra, V909)" devices ())
(name "as_hog" year "200?" manufacturer "Astra" desc "Hearts Of Gold (Astra, V002)" devices ())
(name "as_hr" year "200?" manufacturer "Astra" desc "Hot Reel (Astra, V004)" devices ())
(name "as_hxr" year "200?" manufacturer "Astra" desc "Hot Cross Run (Astra, V108)" devices ())
(name "as_jackb" year "200?" manufacturer "Astra" desc "Jackpot Bell (Astra, V104)" devices ())
(name "as_jjive" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V107)" devices ())
(name "as_jjivea" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V106)" devices ())
(name "as_jjiveb" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V104)" devices ())
(name "as_jjivec" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V102)" devices ())
(name "as_jjived" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V101)" devices ())
(name "as_jjivee" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V101, alt)" devices ())
(name "as_jjivef" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V004)" devices ())
(name "as_jjiveg" year "200?" manufacturer "Astra" desc "Jungle Jive (Astra, V005)" devices ())
(name "as_jmpj" year "200?" manufacturer "Astra" desc "Jumping Jackpots (Astra, V100)" devices ())
(name "as_jmpja" year "200?" manufacturer "Astra" desc "Jumping Jackpots (Astra, V102)" devices ())
(name "as_jolly" year "200?" manufacturer "Astra" desc "Jolly Roger (Astra, V103)" devices ())
(name "as_jpx" year "200?" manufacturer "Astra" desc "Jackpot X (Astra, V100)" devices ())
(name "as_jpxa" year "200?" manufacturer "Astra" desc "Jackpot X (Astra, V101)" devices ())
(name "as_jpxb" year "200?" manufacturer "Astra" desc "Jackpot X (Astra, V002)" devices ())
(name "as_kingc" year "200?" manufacturer "Astra" desc "King Cash (Astra, V106)" devices ())
(name "as_kingca" year "200?" manufacturer "Astra" desc "King Cash (Astra, V103)" devices ())
(name "as_koc" year "200?" manufacturer "Astra" desc "King Of Clubs (Astra, V200)" devices ())
(name "as_koca" year "200?" manufacturer "Astra" desc "King Of Clubs (Astra, V101)" devices ())
(name "as_lbt" year "200?" manufacturer "Astra" desc "Little Big 10 (Astra, V103)" devices ())
(name "as_lbta" year "200?" manufacturer "Astra" desc "Little Big 10 (Astra, V102)" devices ())
(name "as_ldl" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V700)" devices ())
(name "as_ldla" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V600)" devices ())
(name "as_ldlb" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V312)" devices ())
(name "as_ldlc" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V003)" devices ())
(name "as_ldld" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V102)" devices ())
(name "as_ldle" year "200?" manufacturer "Astra" desc "Little Devils (Astra, V103)" devices ())
(name "as_letsp" year "200?" manufacturer "Astra" desc "Let's Party (Astra, V904)" devices ())
(name "as_mp" year "200?" manufacturer "Lowen" desc "Mission Possible (Lowen, V118)" devices ())
(name "as_mp2" year "200?" manufacturer "Lowen" desc "Mission Possible 2 (Lowen, V114)" devices ())
(name "as_otr" year "200?" manufacturer "Astra" desc "Over The Rainbow (Astra, V104)" devices ())
(name "as_otra" year "200?" manufacturer "Astra" desc "Over The Rainbow (Astra, V102)" devices ())
(name "as_party" year "200?" manufacturer "Astra" desc "Party Time (Astra, V105)" devices ())
(name "as_partya" year "200?" manufacturer "Astra" desc "Party Time (Astra, V110)" devices ())
(name "as_partyb" year "200?" manufacturer "Astra" desc "Party Time (Astra, V112)" devices ())
(name "as_partyc" year "200?" manufacturer "Astra" desc "Party Time (Astra, V206)" devices ())
(name "as_partyd" year "200?" manufacturer "Astra" desc "Party Time (Astra, V401)" devices ())
(name "as_partye" year "200?" manufacturer "Astra" desc "Party Time (Astra, V907)" devices ())
(name "as_partyf" year "200?" manufacturer "Astra" desc "Party Time (Astra, V906)" devices ())
(name "as_pb" year "200?" manufacturer "Astra" desc "Piggy Banking (Astra, V105)" devices ())
(name "as_pharg" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V005)" devices ())
(name "as_pharga" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V101)" devices ())
(name "as_phargb" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V102)" devices ())
(name "as_phargc" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V104)" devices ())
(name "as_phargd" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V106)" devices ())
(name "as_pharge" year "200?" manufacturer "Astra" desc "Pharaoh's Gold (Astra, V107)" devices ())
(name "as_pia" year "200?" manufacturer "Astra" desc "Pay It Again (Astra, V202)" devices ())
(name "as_piaa" year "200?" manufacturer "Astra" desc "Pay It Again (Astra, V206)" devices ())
(name "as_piab" year "200?" manufacturer "Astra" desc "Pay It Again (Astra, V904)" devices ())
(name "as_ptf" year "200?" manufacturer "Astra" desc "Party Fruits (Astra, V102)" devices ())
(name "as_ptfa" year "200?" manufacturer "Astra" desc "Party Fruits (Astra, V803)" devices ())
(name "as_ptfb" year "200?" manufacturer "Astra" desc "Party Fruits (Astra, V905)" devices ())
(name "as_ptfc" year "200?" manufacturer "Astra" desc "Party Fruits (Astra)" devices ())
(name "as_rab" year "200?" manufacturer "Astra" desc "Ring A Bell (Astra, V105)" devices ())
(name "as_raba" year "200?" manufacturer "Astra" desc "Ring A Bell (Astra, V106)" devices ())
(name "as_rabb" year "200?" manufacturer "Astra" desc "Ring A Bell (Astra, V107)" devices ())
(name "as_rabc" year "200?" manufacturer "Astra" desc "Ring A Bell (Astra, V104)" devices ())
(name "as_rbg" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V304)" devices ())
(name "as_rbga" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V303)" devices ())
(name "as_rbgb" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V104)" devices ())
(name "as_rbgc" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V102)" devices ())
(name "as_rbgd" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V101)" devices ())
(name "as_rbge" year "200?" manufacturer "Astra" desc "River Boat Gambler (Astra, V008)" devices ())
(name "as_rbglo" year "200?" manufacturer "Lowen" desc "River Boat Gambler (Lowen, V106)" devices ())
(name "as_rox" year "200?" manufacturer "Astra" desc "Roll X (Astra, V006)" devices ())
(name "as_rtr" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V101)" devices ())
(name "as_rtra" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V101, alt 1)" devices ())
(name "as_rtrb" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V101, alt 2)" devices ())
(name "as_rtrc" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V101, alt 3)" devices ())
(name "as_rtrd" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V100, )" devices ())
(name "as_rtre" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V100, alt)" devices ())
(name "as_rtrf" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V200)" devices ())
(name "as_rtrg" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V200, alt)" devices ())
(name "as_rtrh" year "200?" manufacturer "Astra" desc "Ready To Roll (Astra, V202)" devices ())
(name "as_siu" year "200?" manufacturer "Astra" desc "Step It Up (Astra, V202)" devices ())
(name "as_siua" year "200?" manufacturer "Astra" desc "Step It Up (Astra, V203)" devices ())
(name "as_sld" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V700)" devices ())
(name "as_slda" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V600)" devices ())
(name "as_sldb" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V500)" devices ())
(name "as_sldc" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V400)" devices ())
(name "as_sldd" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V200)" devices ())
(name "as_slde" year "200?" manufacturer "Astra" desc "Super Little Devil (Astra, V101)" devices ())
(name "as_sltcl" year "200?" manufacturer "Astra" desc "Slots Classic (?) (Astra)" devices ())
(name "as_srb" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V004)" devices ())
(name "as_srba" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V100)" devices ())
(name "as_srbb" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V101)" devices ())
(name "as_srbc" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V201)" devices ())
(name "as_srbd" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V202)" devices ())
(name "as_srbe" year "200?" manufacturer "Astra" desc "Super Ring a Bell (Astra, V203)" devices ())
(name "as_stp" year "200?" manufacturer "Astra" desc "Stampede (Astra, V103)" devices ())
(name "as_stpa" year "200?" manufacturer "Astra" desc "Stampede (Astra, V102)" devices ())
(name "as_stpb" year "200?" manufacturer "Astra" desc "Stampede (Astra, V105)" devices ())
(name "as_tbl" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V104)" devices ())
(name "as_tbla" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V105)" devices ())
(name "as_tblb" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V106)" devices ())
(name "as_tblc" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V103)" devices ())
(name "as_tbld" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V304)" devices ())
(name "as_tble" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V303)" devices ())
(name "as_tblf" year "200?" manufacturer "Astra" desc "Triple Bells (Astra, V301)" devices ())
(name "as_td" year "200?" manufacturer "Astra" desc "Twin Dragons (Astra, V103)" devices ())
(name "as_tem" year "200?" manufacturer "Astra" desc "Temptation (Astra, V101)" devices ())
(name "as_tema" year "200?" manufacturer "Astra" desc "Temptation (Astra, V006)" devices ())
(name "as_topsl" year "200?" manufacturer "Astra" desc "Top Slot (Astra, V103)" devices ())
(name "as_topsla" year "200?" manufacturer "Astra" desc "Top Slot (Astra, V104)" devices ())
(name "as_topslb" year "200?" manufacturer "Astra" desc "Top Slot (Astra, V201)" devices ())
(name "as_topslc" year "200?" manufacturer "Astra" desc "Top Slot (Astra, V203)" devices ())
(name "as_topsld" year "200?" manufacturer "Astra" desc "Top Slot (Astra, V205)" devices ())
(name "as_twp" year "200?" manufacturer "Astra" desc "Twin Pots (Astra, V106)" devices ())
(name "as_twpa" year "200?" manufacturer "Astra" desc "Twin Pots (Astra, V104)" devices ())
(name "as_vcv" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V005)" devices ())
(name "as_vcva" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V107)" devices ())
(name "as_vcvb" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V106)" devices ())
(name "as_vcvc" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V104)" devices ())
(name "as_vcvd" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V102)" devices ())
(name "as_vcve" year "200?" manufacturer "Astra" desc "Viva Cash Vegas (Astra, V101)" devices ())
(name "as_vn" year "200?" manufacturer "Astra" desc "Vegas Nights (Astra, V205)" devices ())
(name "as_ws" year "200?" manufacturer "Astra" desc "Win Streak (Astra, V100)" devices ())
(name "as_ww" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V203)" devices ())
(name "as_wwa" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V204)" devices ())
(name "as_wwb" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V205)" devices ())
(name "as_wwc" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V104)" devices ())
(name "as_wwd" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V103)" devices ())
(name "as_wwe" year "200?" manufacturer "Astra" desc "Wicked Willy (Astra, V102)" devices ())
(name "asc486slc" year "199?" manufacturer "Computechnik" desc "ASC486SLC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ashnojoe" year "1990" manufacturer "Taito Corporation / Wave" desc "Ashita no Joe (Japan)" devices ())
(name "ashura" year "1990" manufacturer "Taito Corporation Japan" desc "Ashura Blaster (World)" devices ())
(name "ashuraj" year "1990" manufacturer "Taito Corporation" desc "Ashura Blaster (Japan)" devices ())
(name "ashurau" year "1990" manufacturer "Taito America Corporation" desc "Ashura Blaster (US)" devices ())
(name "asi100b0" year "198?" manufacturer "<unknown>" desc "ASI 100B0, identified as HAM 12 TI 286 Motherboard ZERO WAIT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "asideral" year "1980" manufacturer "bootleg (Electrogame S.A.)" desc "Ataque Sideral (Spanish bootleg of UniWar S)" devices ())
(name "asma2k" year "1997" manufacturer "Intelligent Peripheral Devices" desc "AlphaSmart 2000" devices ())
(name "asma3k" year "2000" manufacturer "AlphaSmart, Inc." desc "AlphaSmart 3000" devices ())
(name "asmapro" year "1995" manufacturer "Intelligent Peripheral Devices" desc "AlphaSmart Pro" devices ())
(name "asndynmt" year "2007" manufacturer "Sega" desc "Asian Dynamite / Dynamite Deka EX" devices ())
(name "asndynmto" year "2007" manufacturer "Sega" desc "Asian Dynamite / Dynamite Deka EX (older)" devices ())
(name "asnprinc" year "2004" manufacturer "Aristocrat" desc "Asian Princess (0352502, US)" devices ())
(name "aso" year "1985" manufacturer "SNK" desc "ASO - Armored Scrum Object" devices ())
(name "asoccer" year "1987" manufacturer "Universal" desc "American Soccer" devices ())
(name "asr10" year "1992" manufacturer "Ensoniq" desc "ASR-10" devices ())
(name "asrx" year "1997" manufacturer "Ensoniq" desc "ASR-X" devices ())
(name "assault" year "1988" manufacturer "Namco" desc "Assault (Rev B)" devices ())
(name "assaultj" year "1988" manufacturer "Namco" desc "Assault (Japan)" devices ())
(name "assaultp" year "1988" manufacturer "Namco" desc "Assault Plus (Japan)" devices ())
(name "asst128" year "198?" manufacturer "Schetmash" desc "Assistent 128" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "astannie" year "1980" manufacturer "Gottlieb" desc "Asteroid Annie and the Aliens" devices ())
(name "astdelux" year "1980" manufacturer "Atari" desc "Asteroids Deluxe (rev 3)" devices ())
(name "astdelux1" year "1980" manufacturer "Atari" desc "Asteroids Deluxe (rev 1)" devices ())
(name "astdelux2" year "1980" manufacturer "Atari" desc "Asteroids Deluxe (rev 2)" devices ())
(name "asterion" year "1980" manufacturer "bootleg? (Olympia)" desc "Asterion" devices ())
(name "asterix" year "1992" manufacturer "Konami" desc "Asterix (ver EAD)" devices ())
(name "asterixaad" year "1992" manufacturer "Konami" desc "Asterix (ver AAD)" devices ())
(name "asterixeaa" year "1992" manufacturer "Konami" desc "Asterix (ver EAA)" devices ())
(name "asterixeac" year "1992" manufacturer "Konami" desc "Asterix (ver EAC)" devices ())
(name "asterixj" year "1992" manufacturer "Konami" desc "Asterix (ver JAD)" devices ())
(name "asterock" year "1979" manufacturer "bootleg (Sidam)" desc "Asterock (Sidam bootleg of Asteroids)" devices ())
(name "asterockv" year "1979" manufacturer "bootleg (Videotron)" desc "Asterock (Videotron bootleg of Asteroids)" devices ())
(name "asteroid" year "1979" manufacturer "Atari" desc "Asteroids (rev 4)" devices ())
(name "asteroid1" year "1979" manufacturer "Atari" desc "Asteroids (rev 1)" devices ())
(name "asteroid2" year "1979" manufacturer "Atari" desc "Asteroids (rev 2)" devices ())
(name "asteroidb1" year "1979" manufacturer "bootleg" desc "Asteroids (bootleg on Lunar Lander hardware, set 1)" devices ())
(name "asteroidb2" year "1979" manufacturer "bootleg" desc "Asteroids (bootleg on Lunar Lander hardware, set 2)" devices ())
(name "astinvad" year "1980" manufacturer "Leijac Corporation (Stern Electronics license)" desc "Astro Invader" devices ())
(name "astoneag" year "2005" manufacturer "Astro Corp." desc "Stone Age (Astro, Ver. EN.03.A, 2005/02/21)" devices ())
(name "astorm" year "1990" manufacturer "Sega" desc "Alien Storm (World, 2 Players) (FD1094 317-0154)" devices ())
(name "astorm3" year "1990" manufacturer "Sega" desc "Alien Storm (World, 3 Players) (FD1094 317-0148)" devices ())
(name "astorm3d" year "1990" manufacturer "bootleg" desc "Alien Storm (World, 3 Players) (bootleg of FD1094 317-0148 set)" devices ())
(name "astormb2" year "1990" manufacturer "bootleg" desc "Alien Storm (bootleg, set 2)" devices ())
(name "astormbl" year "1990" manufacturer "bootleg" desc "Alien Storm (bootleg, set 1)" devices ())
(name "astormj" year "1990" manufacturer "Sega" desc "Alien Storm (Japan, 2 Players) (FD1094 317-0146)" devices ())
(name "astormjd" year "1990" manufacturer "bootleg" desc "Alien Storm (Japan, 2 Players) (bootleg of FD1094 317-0146 set)" devices ())
(name "astormu" year "1990" manufacturer "Sega" desc "Alien Storm (US, 3 Players) (FD1094 317-0147)" devices ())
(name "astormud" year "1990" manufacturer "bootleg" desc "Alien Storm (US, 3 Players) (bootleg of FD1094 317-0147 set)" devices ())
(name "astrass" year "1998" manufacturer "Sunsoft" desc "Astra SuperStars (J 980514 V1.002)" devices ())
(name "astrians" year "1980" manufacturer "bootleg (BGV Ltd.)" desc "Astrians (clone of Swarm)" devices ())
(name "astro" year "1979" manufacturer "Kosmos" desc "Astro" devices ())
(name "astroamb" year "1981" manufacturer "bootleg (U.C.E.)" desc "Astro Ambush (Scramble bootleg on Galaxian hardware)" devices ())
(name "astrob" year "1981" manufacturer "Sega" desc "Astro Blaster (version 3)" devices ())
(name "astrob1" year "1981" manufacturer "Sega" desc "Astro Blaster (version 1)" devices ())
(name "astrob2" year "1981" manufacturer "Sega" desc "Astro Blaster (version 2)" devices ())
(name "astrob2a" year "1981" manufacturer "Sega" desc "Astro Blaster (version 2a)" devices ())
(name "astrob2b" year "1981" manufacturer "Sega" desc "Astro Blaster (version 2b)" devices ())
(name "astrobg" year "1981" manufacturer "Sega" desc "Astro Blaster (German)" devices ())
(name "astrocde" year "1978" manufacturer "Bally Manufacturing" desc "Bally Professional Arcade" devices ((name "cartridge" briefname "cart" )))
(name "astrocdl" year "1977" manufacturer "Bally Manufacturing" desc "Bally Home Library Computer" devices ((name "cartridge" briefname "cart" )))
(name "astrocdw" year "1977" manufacturer "Bally Manufacturing" desc "Bally Computer System" devices ((name "cartridge" briefname "cart" )))
(name "astrocmd" year "1982" manufacturer "Epoch" desc "Astro Command" devices ())
(name "astrof" year "1979" manufacturer "Data East" desc "Astro Fighter (set 1)" devices ())
(name "astrof2" year "1979" manufacturer "Data East" desc "Astro Fighter (set 2)" devices ())
(name "astrof3" year "1979" manufacturer "Data East" desc "Astro Fighter (set 3)" devices ())
(name "astroff" year "1979" manufacturer "bootleg (Famaresa)" desc "Astro Fighter (Famaresa bootleg, set 1)" devices ())
(name "astroff2" year "1979" manufacturer "bootleg (Famaresa)" desc "Astro Fighter (Famaresa bootleg, set 2)" devices ())
(name "astrofl" year "1986" manufacturer "Sega" desc "Astro Flash (Japan)" devices ())
(name "astroft" year "1979" manufacturer "Data East (Taito license)" desc "Astro Fighter (Taito)" devices ())
(name "astron" year "1983" manufacturer "Sega" desc "Astron Belt" devices ())
(name "astronp" year "1983" manufacturer "Sega" desc "Astron Belt (Pioneer LDV1000)" devices ())
(name "astropal" year "1980?" manufacturer "Sidam?" desc "Astropal" devices ())
(name "astrowar" year "1980" manufacturer "Zaccaria / Zelco" desc "Astro Wars" devices ())
(name "astyanax" year "1989" manufacturer "Jaleco" desc "The Astyanax (EPROM version)" devices ())
(name "astyanaxa" year "1989" manufacturer "Jaleco" desc "The Astyanax (mask ROM version)" devices ())
(name "asuka" year "1988" manufacturer "Taito Corporation" desc "Asuka & Asuka (World)" devices ())
(name "asukaj" year "1988" manufacturer "Taito Corporation" desc "Asuka & Asuka (Japan, rev 1)" devices ())
(name "asukaja" year "1988" manufacturer "Taito Corporation" desc "Asuka & Asuka (Japan)" devices ())
(name "asurabld" year "1998" manufacturer "Fuuki" desc "Asura Blade - Sword of Dynasty (Japan)" devices ())
(name "asurabus" year "2001" manufacturer "Fuuki" desc "Asura Buster - Eternal Warriors (USA)" devices ())
(name "asurabusj" year "2000" manufacturer "Fuuki" desc "Asura Buster - Eternal Warriors (Japan, set 1)" devices ())
(name "asurabusja" year "2000" manufacturer "Fuuki" desc "Asura Buster - Eternal Warriors (Japan, set 2)" devices ())
(name "asurabusjr" year "2000" manufacturer "Fuuki" desc "Asura Buster - Eternal Warriors (Japan) (ARCADIA review build)" devices ())
(name "asuscubx" year "2000" manufacturer "ASUS" desc "CUBX" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "asuscusc" year "2001" manufacturer "Asus" desc "Terminator P-3 \"Cusc\" (SiS630 chipset)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "asuspolo" year "2001" manufacturer "Asus" desc "Polo \"Genie\" (SiS630 chipset)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "asylum" year "1991" manufacturer "Leland Corporation" desc "Asylum (prototype)" devices ())
(name "at" year "1987" manufacturer "<generic>" desc "PC/AT (6 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "at386" year "1988" manufacturer "<generic>" desc "PC/AT 386 (12 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "at386sx" year "1988" manufacturer "<generic>" desc "PC/AT 386SX (16 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "at486" year "1990" manufacturer "<generic>" desc "PC/AT 486 (25 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "at586" year "1990" manufacturer "<generic>" desc "PC/AT 586 (PIIX4)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "at586x3" year "1990" manufacturer "<generic>" desc "PC/AT 586 (PIIX3)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "atakaast" year "1992" manufacturer "bootleg (Elektronika)" desc "Ataka asteroidov" devices ())
(name "atamanot" year "1983" manufacturer "Yachiyo Denki / Uni Enterprize" desc "Computer Quiz Atama no Taisou (Japan)" devices ())
(name "ataqandr" year "1980?" manufacturer "bootleg (FAR S.A.)" desc "Ataque Androide - Moon Cresta (FAR S.A. Spanish bootleg)" devices ())
(name "atariabc286" year "1989" manufacturer "Atari" desc "ABC-286/30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "atarians" year "1976" manufacturer "Atari" desc "The Atarians" devices ())
(name "atarifb" year "1978" manufacturer "Atari" desc "Atari Football (revision 2)" devices ())
(name "atarifb1" year "1978" manufacturer "Atari" desc "Atari Football (revision 1)" devices ())
(name "atarifb2" year "1978" manufacturer "Atari" desc "Atari Football II" devices ())
(name "atarifb4" year "1979" manufacturer "Atari" desc "Atari 4 Player Football" devices ())
(name "ataripc1" year "1987" manufacturer "Atari" desc "PC1" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "ataripc3" year "1988" manufacturer "Atari" desc "PC3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ataripc4" year "1987" manufacturer "Atari" desc "PC4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ataripc5" year "1988" manufacturer "Atari" desc "PC5" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ataxx" year "1990" manufacturer "Leland Corporation" desc "Ataxx (rev 5)" devices ())
(name "ataxxa" year "1990" manufacturer "Leland Corporation" desc "Ataxx (rev 4)" devices ())
(name "ataxxe" year "1990" manufacturer "Leland Corporation" desc "Ataxx (Europe)" devices ())
(name "ataxxj" year "1990" manufacturer "Leland Corporation (Capcom license)" desc "Ataxx (Japan)" devices ())
(name "atc1415" year "199?" manufacturer "A-Trend" desc "ATC-1415" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "atc1425a" year "1995" manufacturer "A-Trend" desc "ATC-1425A (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "atc1425b" year "1996" manufacturer "A-Trend" desc "ATC-1425B (SiS 85C496/85C497)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "atehate" year "1993" manufacturer "Athena" desc "Athena no Hatena?" devices ())
(name "atetb3482" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 6, with UM3482)" devices ())
(name "atetb5205" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 7, with OKI M5205)" devices ())
(name "atetris" year "1988" manufacturer "Atari Games" desc "Tetris (set 1)" devices ())
(name "atetrisa" year "1988" manufacturer "Atari Games" desc "Tetris (set 2)" devices ())
(name "atetrisb" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 1)" devices ())
(name "atetrisb2" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 2)" devices ())
(name "atetrisb3" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 3)" devices ())
(name "atetrisb4" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 4)" devices ())
(name "atetrisb5" year "1988" manufacturer "bootleg" desc "Tetris (bootleg set 5)" devices ())
(name "atetrisbp" year "1989" manufacturer "Atari Games" desc "Tetris (bartop, prototype)" devices ())
(name "atetrisc" year "1989" manufacturer "Atari Games" desc "Tetris (cocktail set 1)" devices ())
(name "atetrisc2" year "1989" manufacturer "Atari Games" desc "Tetris (cocktail set 2)" devices ())
(name "athena" year "1986" manufacturer "SNK" desc "Athena" devices ())
(name "athenab" year "1986" manufacturer "SNK" desc "Athena (bootleg)" devices ())
(name "atkgld" year "2007" manufacturer "Aristocrat" desc "All the King's Gold (0152152, US)" devices ())
(name "atla_ltd" year "1981" manufacturer "LTD" desc "Atlantis (LTD)" devices ())
(name "atlantca" year "2002" manufacturer "Atronic" desc "Atlantica (Russia) (Atronic) (set 1)" devices ())
(name "atlantcaa" year "2002" manufacturer "Atronic" desc "Atlantica (Russia) (Atronic) (set 2)" devices ())
(name "atlantip" year "1989" manufacturer "Bally" desc "Atlantis (rev. 3)" devices ())
(name "atlantis" year "1981" manufacturer "Comsoft" desc "Battle of Atlantis (set 1)" devices ())
(name "atlantis2" year "1981" manufacturer "Comsoft" desc "Battle of Atlantis (set 2)" devices ())
(name "atlantisb" year "1981" manufacturer "bootleg" desc "Battle of Atlantis (bootleg)" devices ())
(name "atlantol" year "1996" manufacturer "bootleg" desc "Atlant Olimpic (Italian bootleg)" devices ())
(name "atleta" year "1991" manufacturer "Inder" desc "Atleta" devices ())
(name "atm" year "1991" manufacturer "MicroART" desc "ATM-Turbo (ATM-CP)" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "atm18mcc" year "2009" manufacturer "Elektor" desc "ATM18 Mini Chess Computer (English)" devices ())
(name "atmtb2" year "1992" manufacturer "MicroART" desc "ATM-Turbo 2" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "atmtb2plus" year "1993" manufacturer "MicroART" desc "ATM-Turbo 2+" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "atom" year "1979" manufacturer "Acorn" desc "Atom" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "atombb" year "1982" manufacturer "Acorn" desc "Atom with BBC Basic" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "atombjt" year "1993" manufacturer "bootleg (Kyon K.)" desc "Atom (bootleg of Bombjack Twin)" devices ())
(name "atomboy" year "1985" manufacturer "Irem (Memetron license)" desc "Atomic Boy (revision B)" devices ())
(name "atomboya" year "1985" manufacturer "Irem (Memetron license)" desc "Atomic Boy (revision A)" devices ())
(name "atomeb" year "1979" manufacturer "Acorn" desc "Atom with Eprom Box" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "romimage9" briefname "rom9" ) (name "romimage10" briefname "rom10" ) (name "romimage11" briefname "rom11" ) (name "romimage12" briefname "rom12" ) (name "romimage13" briefname "rom13" ) (name "romimage14" briefname "rom14" ) (name "romimage15" briefname "rom15" ) (name "romimage16" briefname "rom16" ) (name "romimage17" briefname "rom17" ) (name "romimage18" briefname "rom18" )))
(name "atomicp" year "1990" manufacturer "Philko" desc "Atomic Point (Korea)" devices ())
(name "atompunk" year "1991" manufacturer "Irem America (licensed from Hudson Soft)" desc "Atomic Punk (US)" devices ())
(name "ator" year "1985" manufacturer "Video Dens" desc "Ator (set 1, 2 bumpers)" devices ())
(name "ator3bmp" year "1985" manufacturer "Video Dens" desc "Ator (set 2, 3 bumpers)" devices ())
(name "atrbonpk" year "200?" manufacturer "Atronic" desc "Bonus Poker (Atronic)" devices ())
(name "atricmon" year "200?" manufacturer "Atronic" desc "I C Money (Atronic)" devices ())
(name "atronic" year "1999" manufacturer "Atronic" desc "Atronic SetUp/Clear Chips (Russia, set 1)" devices ())
(name "atronica" year "1999" manufacturer "Atronic" desc "Atronic SetUp/Clear Chips (Russia, set 2)" devices ())
(name "atrwild" year "200?" manufacturer "Atronic" desc "Wild Thing (Atronic)" devices ())
(name "att4425" year "1983" manufacturer "AT&T" desc "AT&T Teletype 4425" devices ((name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "att610" year "1986" manufacturer "AT&T" desc "610 Business Communication Terminal" devices ())
(name "att615" year "1987" manufacturer "AT&T" desc "615 MT" devices ())
(name "att630" year "1986" manufacturer "AT&T" desc "630 MTG" devices ())
(name "att730x" year "1990" manufacturer "AT&T" desc "730X" devices ())
(name "attache" year "1982" manufacturer "Otrona" desc "Attaché" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "attache816" year "1983" manufacturer "Otrona" desc "Attaché 8:16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "attack" year "1980" manufacturer "Playmatic" desc "Attack" devices ())
(name "attackf" year "1980" manufacturer "bootleg (Famaresa)" desc "Attack (bootleg of Defender)" devices ())
(name "attackfc" year "1979?" manufacturer "Electronic Games Systems" desc "Attack Force (encrypted)" devices ())
(name "attackfcu" year "1979?" manufacturer "bootleg?" desc "Attack Force (unencrypted)" devices ())
(name "attckexd" year "1977" manufacturer "Exidy" desc "Attack (set 1)" devices ())
(name "attckexd2" year "1977" manufacturer "Exidy" desc "Attack (set 2)" devices ())
(name "attckufo" year "1980" manufacturer "Ryoto Electric Co." desc "Attack UFO" devices ())
(name "attila" year "1984" manufacturer "Game Plan" desc "Attila The Hun" devices ())
(name "atturbo" year "1987" manufacturer "<generic>" desc "PC/AT Turbo (12 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "atvtrack" year "2002" manufacturer "Gaelco" desc "ATV Track (set 1)" devices ())
(name "atvtracka" year "2002" manufacturer "Gaelco" desc "ATV Track (set 2)" devices ())
(name "atworld" year "2007" manufacturer "Amcoe" desc "Around The World (Version 1.4R CGA)" devices ())
(name "atworldd1" year "2007" manufacturer "Amcoe" desc "Around The World (Version 1.3R CGA)" devices ())
(name "atworlde1" year "2007" manufacturer "Amcoe" desc "Around The World (Version 1.3E CGA)" devices ())
(name "au" year "1983" manufacturer "Tehkan" desc "Au (Swimmer conversion)" devices ())
(name "aubam12s2" year "198?" manufacturer "AUVA COMPUTER, INC." desc "BAM/12-S2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "aurail" year "1990" manufacturer "Sega / Westone" desc "Aurail (set 3, US) (unprotected)" devices ())
(name "aurail1" year "1990" manufacturer "Sega / Westone" desc "Aurail (set 2, World) (FD1089B 317-0168)" devices ())
(name "aurail1d" year "1990" manufacturer "bootleg" desc "Aurail (set 2, World) (bootleg of FD1089B 317-0168 set)" devices ())
(name "aurailj" year "1990" manufacturer "Sega / Westone" desc "Aurail (set 1, Japan) (FD1089A 317-0167)" devices ())
(name "aurailjd" year "1990" manufacturer "bootleg" desc "Aurail (set 1, Japan) (bootleg of FD1089A 317-0167 set)" devices ())
(name "ausfache" year "2008" manufacturer "Subtle Style" desc "Akatsuki Blitzkampf Ausf. Achse (Japan)" devices ())
(name "auslalom" year "1990" manufacturer "Elektronika" desc "Autoslalom" devices ())
(name "aussieby" year "1984" manufacturer "SME Systems" desc "Aussie Byte II" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "aust201" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 2.01, display A2.00)" devices ())
(name "aust300" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.00, display A3.00)" devices ())
(name "aust301" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.01, display A3.00)" devices ())
(name "austin" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.02, display A3.00)" devices ())
(name "austinf" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.02, display F3.00, France)" devices ())
(name "austing" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.02, display G3.00, Germany)" devices ())
(name "austini" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.02, display I3.00, Italy)" devices ())
(name "austnew" year "2001" manufacturer "Stern" desc "Austin Powers (CPU 3.02, display A3.00, ARM7 sound board)" devices ())
(name "autmoon" year "1999" manufacturer "Aristocrat" desc "Autumn Moon (1VXFC5488, New Zealand)" devices ())
(name "autoc15" year "1988" manufacturer "Autocue Ltd." desc "Autocue 1500 Teleprompter" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) () () (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "automat" year "1988" manufacturer "bootleg" desc "Automat (bootleg of Robocop)" devices ())
(name "autopapa" year "199?" manufacturer "Gaelco" desc "El auto feo" devices ())
(name "autorace" year "1976" manufacturer "Mattel Electronics" desc "Auto Race" devices ())
(name "auvip800" year "198?" manufacturer "AUVA" desc "VIP 800" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "av2mj1bb" year "1991" manufacturer "Miki Syouji / AV Japan" desc "AV2Mahjong No.1 Bay Bridge no Seijo (Japan)" devices ())
(name "av2mj2rg" year "1991" manufacturer "Miki Syouji / AV Japan" desc "AV2Mahjong No.2 Rouge no Kaori (Japan)" devices ())
(name "avalnc12" year "2004" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 1.2 - Summon The New Monsters (client, Rev A) (GDT-0010A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalnc13" year "2004" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 1.3 - Chaotic Sabbat (client, Rev C) (GDT-0010C)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalnc25" year "2005" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 2.5 - War of the Key (client, Rev B) (GDT-0019B)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalnc25a" year "2005" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 2.5 - War of the Key (client, Rev A) (GDT-0019A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalnche" year "1978" manufacturer "Atari" desc "Avalanche" devices ())
(name "avalns12" year "2004" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 1.2 - Summon The New Monsters (server, Rev A) (GDT-0009A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalns13" year "2004" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 1.3 - Chaotic Sabbat (server, Rev C) (GDT-0009C)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalns25" year "2005" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 2.5 - War of the Key (server, Rev B) (GDT-0018B)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalns25a" year "2005" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 2.5 - War of the Key (server, Rev A) (GDT-0018A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalon20" year "2004" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon 2.0 - Eutaxy and Commandment (client, Rev B) (GDT-0017B)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonc" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (client, Rev G) (GDT-0006G)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonca" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (client, Rev A) (GDT-0006A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avaloncc" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (client, Rev C) (GDT-0006C)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonce" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (client, Rev E) (GDT-0006E)" devices ((name "cdrom" briefname "cdrm" )))
(name "avaloncf" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (client, Rev F) (GDT-0006F)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalons" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (server, Rev G) (GDT-0005G)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonsa" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (server, Rev A) (GDT-0005A)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonsc" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (server, Rev C) (GDT-0005C)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonse" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (server, Rev E) (GDT-0005E)" devices ((name "cdrom" briefname "cdrm" )))
(name "avalonsf" year "2003" manufacturer "Sega / Hitmaker" desc "The Key Of Avalon - The Wizard Master (server, Rev F) (GDT-0005F)" devices ((name "cdrom" briefname "cdrm" )))
(name "avefenix" year "1980" manufacturer "bootleg (Video Game)" desc "Ave Fenix (Electrogame, Spanish bootleg of Phoenix)" devices ())
(name "avefenixl" year "1980" manufacturer "bootleg (Laguna)" desc "Ave Fenix (Laguna, Spanish bootleg of Phoenix)" devices ())
(name "avefenixrf" year "1980" manufacturer "bootleg (Recreativos Franco S.A.)" desc "Ave Fenix (Recreativos Franco, Spanish bootleg of Phoenix)" devices ())
(name "avenger" year "1975" manufacturer "Electra" desc "Avenger" devices ())
(name "avengers" year "1987" manufacturer "Capcom" desc "Avengers (US, rev. D)" devices ())
(name "avengersa" year "1987" manufacturer "Capcom" desc "Avengers (US, rev. C)" devices ())
(name "avengersb" year "1987" manufacturer "Capcom" desc "Avengers (US, rev. A)" devices ())
(name "avengersc" year "1987" manufacturer "Capcom" desc "Avengers (US)" devices ())
(name "avengrgs" year "1995" manufacturer "Data East Corporation" desc "Avengers In Galactic Storm (US/Europe 1.0)" devices ())
(name "avengrgsj" year "1995" manufacturer "Data East Corporation" desc "Avengers In Galactic Storm (Japan 1.2)" devices ())
(name "avigo" year "1997" manufacturer "Texas Instruments" desc "TI Avigo 10 PDA" devices ((name "quickload" briefname "quik" )))
(name "avigo_de" year "1997" manufacturer "Texas Instruments" desc "TI Avigo 10 PDA (German)" devices ((name "quickload" briefname "quik" )))
(name "avigo_es" year "1997" manufacturer "Texas Instruments" desc "TI Avigo 10 PDA (Spanish)" devices ((name "quickload" briefname "quik" )))
(name "avigo_fr" year "1997" manufacturer "Texas Instruments" desc "TI Avigo 10 PDA (French)" devices ((name "quickload" briefname "quik" )))
(name "avigo_it" year "1997" manufacturer "Texas Instruments" desc "TI Avigo 10 PDA (Italian)" devices ((name "quickload" briefname "quik" )))
(name "aviion_4600" year "1991" manufacturer "Data General" desc "AViiON 4600" devices ((name "harddisk" briefname "hard" )))
(name "avrmax" year "2009" manufacturer "Elektor" desc "AVR-Max Chess Computer (English)" devices ())
(name "avrmaxg" year "2009" manufacturer "Elektor" desc "AVR-Max-Schachzwerg (German)" devices ())
(name "avsp" year "1994" manufacturer "Capcom" desc "Alien vs. Predator (Europe 940520)" devices ())
(name "avspa" year "1994" manufacturer "Capcom" desc "Alien vs. Predator (Asia 940520)" devices ())
(name "avspd" year "1994" manufacturer "bootleg" desc "Alien vs. Predator (Europe 940520 Phoenix Edition) (bootleg)" devices ())
(name "avsph" year "1994" manufacturer "Capcom" desc "Alien vs. Predator (Hispanic 940520)" devices ())
(name "avspirit" year "1991" manufacturer "Jaleco" desc "Avenging Spirit" devices ())
(name "avspj" year "1994" manufacturer "Capcom" desc "Alien vs. Predator (Japan 940520)" devices ())
(name "avspu" year "1994" manufacturer "Capcom" desc "Alien vs. Predator (USA 940520)" devices ())
(name "avtbingo" year "1985" manufacturer "Advanced Video Technology" desc "Arrow Bingo" devices ())
(name "avtnfl" year "1989" manufacturer "Advanced Video Technology" desc "NFL (ver 109)" devices ())
(name "avtsym14" year "1985" manufacturer "Advanced Video Technology" desc "Symbols (ver 1.4)" devices ())
(name "avtsym25" year "1985" manufacturer "Advanced Video Technology" desc "Symbols (ver 2.5)" devices ())
(name "awetoss" year "19??" manufacturer "Lazer-Tron" desc "Awesome Toss 'Em (Lazer-Tron)" devices ())
(name "ax145" year "198?" manufacturer "Brother" desc "AX-145" devices ())
(name "ax150" year "1986" manufacturer "Sakhr" desc "AX-150 (MSX1, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax170" year "1986" manufacturer "Sakhr" desc "AX-170 (MSX1, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax20" year "1982" manufacturer "Axel" desc "AX-20" devices ((name "floppydisk" briefname "flop" )))
(name "ax200" year "1986" manufacturer "Sakhr" desc "AX-200 (MSX1, Arabic/English)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax200m" year "1986" manufacturer "Sakhr" desc "AX-200M (MSX1, Arabic/English)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax230" year "1986" manufacturer "Sakhr" desc "AX-230 (MSX1, Arabic)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax350" year "1987" manufacturer "Sakhr" desc "AX-350 (MSX2, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax350ii" year "1987" manufacturer "Sakhr" desc "AX-350 II (MSX2, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax350iif" year "1987" manufacturer "Sakhr" desc "AX-350 II F (MSX2, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax370" year "1988" manufacturer "Sakhr" desc "AX-370 (MSX2, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax500" year "1987" manufacturer "Sakhr" desc "AX-500 (MSX2, Arabic)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ax80" year "1984" manufacturer "Akai" desc "AX80" devices ())
(name "azkoyent12" year "19??" manufacturer "Azkoyen" desc "Vending machine model T12" devices ())
(name "azkoyent6" year "19??" manufacturer "Azkoyen" desc "Vending machine model T6" devices ())
(name "azkoyent61" year "19??" manufacturer "Azkoyen" desc "Vending machine model T61 (set 1)" devices ())
(name "azkoyent61a" year "19??" manufacturer "Azkoyen" desc "Vending machine model T61 (set 2)" devices ())
(name "azkoyent8" year "19??" manufacturer "Azkoyen" desc "Vending machine model T8" devices ())
(name "aztarac" year "1983" manufacturer "Centuri" desc "Aztarac" devices ())
(name "azumanga" year "2002" manufacturer "MOSS (Taito license)" desc "Azumanga Daioh Puzzle Bobble (GDL-0018)" devices ((name "cdrom" briefname "cdrm" )))
(name "azurian" year "1982" manufacturer "Rait Electronics Ltd" desc "Azurian Attack" devices ())
(name "b128" year "1983" manufacturer "Commodore Business Machines" desc "B128" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "b128hp" year "1983" manufacturer "Commodore Business Machines" desc "B128-80HP" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "b16" year "1983" manufacturer "Hitachi" desc "B16" devices ())
(name "b256" year "1983" manufacturer "Commodore Business Machines" desc "B256" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "b256hp" year "1983" manufacturer "Commodore Business Machines" desc "B256-80HP" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "b2b" year "2000" manufacturer "Visco" desc "Bang Bang Busters (2010 NCI release)" devices ((name "memcard" briefname "memc" ) ()))
(name "b2m" year "1989" manufacturer "BNPO" desc "Bashkiria-2M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "b2mrom" year "1989" manufacturer "BNPO" desc "Bashkiria-2M ROM-disk" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "b3rinsya" year "1997" manufacturer "Sigma" desc "Burning Sanrinsya - Burning Tricycle" devices ())
(name "b500" year "1983" manufacturer "Commodore Business Machines" desc "B500" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "b83catms" year "198?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (System 83)" devices ())
(name "b83cops" year "198?" manufacturer "BFM" desc "Cops & Robbers (Bellfruit) (System 83)" devices ())
(name "b85bdclb" year "1987" manufacturer "BFM" desc "Big Deal Club (System 85, set 1)" devices ())
(name "b85bdclba" year "1987" manufacturer "BFM" desc "Big Deal Club (System 85, set 2)" devices ())
(name "b85bdclbb" year "1987" manufacturer "BFM" desc "Big Deal Club (System 85, set 3)" devices ())
(name "b85cb7p" year "199?" manufacturer "BFM" desc "Bar Sevens (Bellfruit) (Protocol) (System 85)" devices ())
(name "b85cblit" year "1987" manufacturer "BFM" desc "Cash Blitz (System 85, set 1)" devices ())
(name "b85cblita" year "1987" manufacturer "BFM" desc "Cash Blitz (System 85, set 2)" devices ())
(name "b85cblitb" year "1987" manufacturer "BFM" desc "Cash Blitz (System 85, set 3)" devices ())
(name "b85cexpl" year "1989" manufacturer "BFM" desc "Cash Explosion (System 85)" devices ())
(name "b85clbpm" year "1989" manufacturer "BFM" desc "Club Premier (System 85)" devices ())
(name "b85cops" year "199?" manufacturer "BFM/ELAM" desc "Cops 'n' Robbers (Dutch) (Bellfruit) (System 85)" devices ())
(name "b85dbldl" year "1989" manufacturer "BFM" desc "Double Dealer (System 85, set 1)" devices ())
(name "b85dbldla" year "1985" manufacturer "BFM" desc "Double Dealer (System 85, set 2)" devices ())
(name "b85dbldlb" year "199?" manufacturer "BFM" desc "Double Dealer (System 85, set 3)" devices ())
(name "b85disc" year "199?" manufacturer "BFM/ELAM" desc "Discovey (Dutch) (Bellfruit) (System 85)" devices ())
(name "b85hilo" year "1987" manufacturer "BFM" desc "Hi-Lo Silver (System 85, set 1)" devices ())
(name "b85hiloa" year "1988" manufacturer "BFM" desc "Hi-Lo Silver (System 85, set 2)" devices ())
(name "b85jkwld" year "1992" manufacturer "BFM/ELAM" desc "Jokers Wild (Dutch) (System 85)" devices ())
(name "b85jpclb" year "1987" manufacturer "BFM" desc "Jackpot Club (System 85, set 1)" devices ())
(name "b85jpclba" year "1987" manufacturer "BFM" desc "Jackpot Club (System 85, set 2)" devices ())
(name "b85jpclbb" year "1988" manufacturer "BFM" desc "Jackpot Club (System 85, set 3)" devices ())
(name "b85jpclbc" year "1988" manufacturer "BFM" desc "Jackpot Club (System 85, set 4)" devices ())
(name "b85koc" year "199?" manufacturer "BFM" desc "King of Clubs (Bellfruit) (System 85, set 1)" devices ())
(name "b85koca" year "199?" manufacturer "BFM" desc "King of Clubs (Bellfruit) (System 85, set 2)" devices ())
(name "b85luckd" year "1992" manufacturer "BFM/ELAM" desc "Lucky Dice (Dutch) (System 85)" devices ())
(name "b85lucky" year "1986" manufacturer "BFM/ELAM" desc "Lucky Cards (Dutch) (System 85)" devices ())
(name "b85potp" year "199?" manufacturer "BFM" desc "Pick Of The Pack (System 85)" devices ())
(name "b85ritz" year "1988" manufacturer "BFM" desc "The Ritz (System 85, set 1)" devices ())
(name "b85ritza" year "1988" manufacturer "BFM" desc "The Ritz (System 85, set 2)" devices ())
(name "b85ritzb" year "1988" manufacturer "BFM" desc "The Ritz (System 85, set 3)" devices ())
(name "b85ritzc" year "1988" manufacturer "BFM" desc "The Ritz (System 85, set 4)" devices ())
(name "b85ritzd" year "1987" manufacturer "BFM" desc "The Ritz (System 85, set 5)" devices ())
(name "b85royal" year "1988" manufacturer "BFM" desc "The Royal (System 85)" devices ())
(name "b85scard" year "1989" manufacturer "BFM/ELAM" desc "Supercards (Dutch, Game Card 39-340-271?) (System 85)" devices ())
(name "b85sngam" year "1988" manufacturer "BFM" desc "Super Nudge Gambler (System 85)" devices ())
(name "babbage" year "1986" manufacturer "Mr Takafumi Aihara" desc "Babbage-2nd" devices ())
(name "baboshka" year "2002" manufacturer "Atronic" desc "Baboshka (Russia) (Atronic)" devices ())
(name "babydad" year "1987" manufacturer "Recreativos Franco" desc "Baby Dado" devices ())
(name "babyfrts" year "1981" manufacturer "Recreativos Franco" desc "Baby Fruits (100 pts version)" devices ())
(name "babyfrts25" year "1981" manufacturer "Recreativos Franco" desc "Baby Fruits (25 pts version)" devices ())
(name "babypac" year "1982" manufacturer "Dave Nutting Associates / Bally" desc "Baby Pac-Man (set 1)" devices ())
(name "babypac2" year "1982" manufacturer "Dave Nutting Associates / Bally" desc "Baby Pac-Man (set 2)" devices ())
(name "babypkr" year "1987" manufacturer "Recreativos Franco" desc "Baby Poker" devices ())
(name "backfire" year "1995" manufacturer "Data East Corporation" desc "Backfire! (Japan, set 1)" devices ())
(name "backfirea" year "1995" manufacturer "Data East Corporation" desc "Backfire! (Japan, set 2)" devices ())
(name "backfirt" year "1988" manufacturer "Tecmo" desc "Back Fire (Tecmo, bootleg)" devices ())
(name "backgamc" year "1979" manufacturer "Fidelity Electronics" desc "Backgammon Challenger" devices ())
(name "backgamn" year "1990" manufacturer "Merkur" desc "Backgammon" devices ())
(name "baddog" year "1996" manufacturer "Aristocrat" desc "Bad Dog Poker (0200428V, NSW/ACT)" devices ())
(name "baddudes" year "1988" manufacturer "Data East USA" desc "Bad Dudes vs. Dragonninja (US, revision 1)" devices ())
(name "badgirls" year "1988" manufacturer "Gottlieb" desc "Bad Girls" devices ())
(name "badgirlsa" year "1988" manufacturer "Gottlieb" desc "Bad Girls (alternate set)" devices ())
(name "badgirlsf" year "1988" manufacturer "Gottlieb" desc "Bad Girls (French)" devices ())
(name "badgirlsg" year "1988" manufacturer "Gottlieb" desc "Bad Girls (German)" devices ())
(name "badlands" year "1989" manufacturer "Atari Games" desc "Bad Lands" devices ())
(name "badlandsb" year "1989" manufacturer "bootleg (Playmark)" desc "Bad Lands (bootleg)" devices ())
(name "badlandsb2" year "1989" manufacturer "bootleg (Playmark)" desc "Bad Lands (bootleg, alternate)" devices ())
(name "badlandsm" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Bad Lands (Modular System)" devices ())
(name "bagman" year "1982" manufacturer "Valadon Automation" desc "Bagman" devices ())
(name "bagmanf" year "1982" manufacturer "bootleg" desc "Le Bagnard (bootleg on Crazy Kong hardware)" devices ())
(name "bagmanj" year "1982" manufacturer "Valadon Automation (Taito license)" desc "Bagman (Taito)" devices ())
(name "bagmanm2" year "1984" manufacturer "bootleg (GIB)" desc "Bagman (bootleg on Moon Cresta hardware, set 2)" devices ())
(name "bagmanm3" year "1982" manufacturer "bootleg" desc "Bagman (bootleg on Moon Cresta hardware, set 3)" devices ())
(name "bagmanmc" year "1982" manufacturer "bootleg" desc "Bagman (bootleg on Moon Cresta hardware, set 1)" devices ())
(name "bagmans" year "1982" manufacturer "Valadon Automation (Stern Electronics license)" desc "Bagman (Stern Electronics, revision A5)" devices ())
(name "bagmans3" year "1982" manufacturer "Valadon Automation (Stern Electronics license)" desc "Bagman (Stern Electronics, revision A3)" devices ())
(name "bagmans4" year "1982" manufacturer "Valadon Automation (Stern Electronics license)" desc "Bagman (Stern Electronics, revision A4)" devices ())
(name "bagnard" year "1982" manufacturer "Valadon Automation" desc "Le Bagnard (set 1)" devices ())
(name "bagnarda" year "1982" manufacturer "Valadon Automation" desc "Le Bagnard (set 2)" devices ())
(name "bagnardi" year "1983" manufacturer "Valadon Automation (Itisa license)" desc "Le Bagnard (Itisa, Spain)" devices ())
(name "bagnardio" year "1982" manufacturer "Valadon Automation (Itisa license)" desc "Le Bagnard (Itisa, Spain, older)" devices ())
(name "bakatono" year "1991" manufacturer "Monolith Corp." desc "Bakatonosama Mahjong Manyuuki (MOM-002 ~ MOH-002)" devices ((name "memcard" briefname "memc" ) ()))
(name "bakubaku" year "1995" manufacturer "Sega" desc "Baku Baku Animal (J 950407 V1.000)" devices ())
(name "bakubrkr" year "1992" manufacturer "Kaneko" desc "Bakuretsu Breaker (Japan)" devices ())
(name "bakuhatu" year "1991" manufacturer "Nichibutsu" desc "Mahjong Bakuhatsu Junjouden (Japan)" devices ())
(name "bakutotu" year "1988" manufacturer "Namco" desc "Bakutotsu Kijuutei" devices ())
(name "balcube" year "1996" manufacturer "Metro" desc "Bal Cube" devices ())
(name "ballbomb" year "1980" manufacturer "Taito" desc "Balloon Bomber" devices ())
(name "ballboy" year "2003" manufacturer "bootleg" desc "Ball Boy (2 players)" devices ())
(name "ballboy3p" year "2004" manufacturer "bootleg" desc "Ball Boy (3 players)" devices ())
(name "ballbros" year "1992" manufacturer "East Technology" desc "Balloon Brothers" devices ())
(name "ballch" year "2002" manufacturer "TVE" desc "Ball Challenge (20020607 1.0 OVERSEA)" devices ())
(name "ballpom" year "2005" manufacturer "Namco" desc "Ball Pom Line" devices ((name "cdrom" briefname "cdrm" )))
(name "balonfgt" year "1984" manufacturer "Nintendo" desc "Vs. Balloon Fight (set BF4 A-3)" devices ())
(name "baluba" year "1986" manufacturer "Able Corp, Ltd." desc "Baluba-louk no Densetsu (Japan)" devices ())
(name "bam16a0" year "198?" manufacturer "AUVA" desc "VIP-M21502A BAM16-A0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "bam2" year "1999" manufacturer "Metro / Enix / Namco" desc "Bust a Move 2 - Dance Tengoku Mix (Japanese ROM ver. 1999/07/17 10:00:00)" devices ())
(name "bambball" year "1979" manufacturer "Bambino" desc "Dribble Away Basketball" devices ())
(name "ban_onep" year "2004" manufacturer "Bandai / SSD Company LTD" desc "Let's! TV Play One Piece Punch Battle (Japan)" devices ())
(name "bananadr" year "1989" manufacturer "Digital Soft" desc "Mahjong Banana Dream (Japan 891124)" devices ())
(name "bananas" year "2002?" manufacturer "Novotech" desc "Bananas Go Bahamas (set 1)" devices ())
(name "bananasa" year "2002?" manufacturer "Novotech" desc "Bananas Go Bahamas (set 2)" devices ())
(name "banbam" year "1984" manufacturer "Sun Electronics" desc "BanBam" devices ())
(name "banctec" year "1989" manufacturer "DALE Electronics" desc "BancTec ESeries Panel" devices ())
(name "bandggcn" year "1997" manufacturer "Bandai" desc "Go! Go! Connie-chan! Asobou Mouse" devices ())
(name "bandgpad" year "1997" manufacturer "Bandai" desc "Multi Game Player Gamepad" devices ())
(name "bandido" year "1980" manufacturer "Nintendo (Exidy license)" desc "Bandido" devices ())
(name "bandit" year "1989" manufacturer "Data East USA" desc "Bandit (US)" devices ())
(name "bang" year "1998" manufacturer "Gaelco / Bit Managers" desc "Bang!" devices ())
(name "bangball" year "1996" manufacturer "Banpresto / Kunihiko Tashiro+Goodhouse" desc "Bang Bang Ball (v1.05)" devices ())
(name "bangbead" year "2000" manufacturer "Visco" desc "Bang Bead" devices ((name "memcard" briefname "memc" ) ()))
(name "bangj" year "1999" manufacturer "Gaelco / Bit Managers (GM Shoji license)" desc "Gun Gabacho (Japan)" devices ())
(name "bankp" year "1984" manufacturer "Sanritsu / Sega" desc "Bank Panic" devices ())
(name "bankpt" year "1984" manufacturer "bootleg (Tecfri)" desc "Bank Panic (Tecfri bootleg)" devices ())
(name "bankrob" year "1993" manufacturer "Entertainment Technology Corp." desc "Bank Robbery (Ver. 3.32)" devices ())
(name "bankroba" year "1993" manufacturer "Entertainment Technology Corp." desc "Bank Robbery (Ver. 2.00)" devices ())
(name "bankrobb" year "1993" manufacturer "Blitz Systems Inc." desc "Bank Robbery (Ver. 1.23)" devices ())
(name "bankshot" year "1980" manufacturer "Parker Brothers" desc "Bank Shot: Electronic Pool" devices ())
(name "baoqingt" year "1995" manufacturer "TIC" desc "Bao Qing Tian" devices ())
(name "baracuda" year "1981" manufacturer "hack (Coinex)" desc "Barracuda" devices ())
(name "baraduke" year "1985" manufacturer "Namco" desc "Baraduke" devices ())
(name "barata" year "2002" manufacturer "Eletro Matic Equipamentos Eletromecânicos" desc "Dona Barata (early prototype)" devices ())
(name "barbball" year "1983" manufacturer "Atari" desc "Barroom Baseball (prototype)" devices ())
(name "barbwire" year "1996" manufacturer "Gottlieb" desc "Barb Wire" devices ())
(name "barek2ch" year "1994" manufacturer "bootleg" desc "Bare Knuckle II (Chinese bootleg of Mega Drive version)" devices ())
(name "barek2mb" year "1994" manufacturer "bootleg / Sega" desc "Bare Knuckle II (bootleg of Mega Drive version)" devices ())
(name "barek3mb" year "1994" manufacturer "bootleg / Sega" desc "Bare Knuckle III (bootleg of Mega Drive version)" devices ())
(name "barek3mba" year "1994" manufacturer "bootleg / Sega" desc "Bare Knuckle III (bootleg of Mega Drive version, protected)" devices ())
(name "barekch" year "1994" manufacturer "bootleg" desc "Bare Knuckle (Chinese bootleg of Mega Drive version)" devices ())
(name "barline" year "1988" manufacturer "Nichibutsu" desc "Barline (Japan?)" devices ())
(name "barra_l1" year "1981" manufacturer "Williams" desc "Barracora (L-1)" devices ())
(name "barricad" year "1976" manufacturer "Ramtek" desc "Barricade" devices ())
(name "barrier" year "1979" manufacturer "Cinematronics (Vectorbeam license)" desc "Barrier" devices ())
(name "baryon" year "1997" manufacturer "SemiCom / Tirano" desc "Baryon - Future Assault (set 1)" devices ())
(name "baryona" year "1997" manufacturer "SemiCom / Tirano" desc "Baryon - Future Assault (set 2)" devices ())
(name "basebal2" year "1987" manufacturer "Cinematronics" desc "Baseball: The Season II" devices ())
(name "basf7120" year "1982" manufacturer "BASF" desc "7120" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "basic31" year "1985" manufacturer "Intel" desc "MCS BASIC 31" devices ())
(name "basic52" year "1985" manufacturer "Intel" desc "MCS BASIC 52" devices ())
(name "basis108" year "1982" manufacturer "Basis" desc "Basis 108" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "basket" year "1987?" manufacturer "Igoa S.A." desc "Basket" devices ())
(name "basketbal" year "1989" manufacturer "bootleg" desc "Basket Ball (8-way joystick bootleg of Arch Rivals)" devices ())
(name "bassang2" year "1998" manufacturer "Konami" desc "Bass Angler 2 (GE865 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "bassangl" year "1998" manufacturer "Konami" desc "Bass Angler (GE765 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "basschal" year "2009" manufacturer "Sega" desc "Sega Bass Fishing Challenge Version A" devices ())
(name "basschalo" year "2009" manufacturer "Sega" desc "Sega Bass Fishing Challenge" devices ())
(name "bassdx" year "1997" manufacturer "Sega" desc "Sega Bass Fishing Deluxe (USA)" devices ())
(name "bassmate" year "1984" manufacturer "Telko / Nintendo" desc "Bassmate Computer" devices ())
(name "bassstr" year "1995" manufacturer "Novation" desc "BassStation Rack Analogue Synthesizer Module" devices ())
(name "batcir" year "1997" manufacturer "Capcom" desc "Battle Circuit (Europe 970319)" devices ())
(name "batcira" year "1997" manufacturer "Capcom" desc "Battle Circuit (Asia 970319)" devices ())
(name "batcird" year "1997" manufacturer "bootleg" desc "Battle Circuit (Europe 970319 Phoenix Edition) (bootleg)" devices ())
(name "batcirj" year "1997" manufacturer "Capcom" desc "Battle Circuit (Japan 970319)" devices ())
(name "batlball" year "1995" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Battle Balls (Germany, newer)" devices ())
(name "batlballa" year "1995" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Battle Balls (Hong Kong)" devices ())
(name "batlballe" year "1995" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Battle Balls (Hong Kong, earlier)" devices ())
(name "batlballo" year "1995" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Battle Balls (Germany, earlier)" devices ())
(name "batlballpt" year "1995" manufacturer "Seibu Kaihatsu" desc "Battle Balls (Portugal)" devices ())
(name "batlballu" year "1995" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Battle Balls (US)" devices ())
(name "batlbubl" year "1999" manufacturer "Banpresto (Limenko license?)" desc "Battle Bubble (v2.00)" devices ())
(name "batlgear" year "1998" manufacturer "Taito" desc "Battle Gear (Ver 2.40 A)" devices ((name "harddisk" briefname "hard" )))
(name "batlgr2" year "2000" manufacturer "Taito" desc "Battle Gear 2 (v2.04J)" devices ((name "harddisk" briefname "hard" )))
(name "batlgr2a" year "2000" manufacturer "Taito" desc "Battle Gear 2 (v2.01J)" devices ((name "harddisk" briefname "hard" )))
(name "batlgr3" year "2002" manufacturer "Taito" desc "Battle Gear 3 (Ver.2.01A)" devices ())
(name "batlzone" year "1980" manufacturer "bootleg (Video Game)" desc "Battle Zone (bootleg of Mayday)" devices ())
(name "batman" year "1991" manufacturer "Atari Games" desc "Batman" devices ())
(name "batman2" year "1981" manufacturer "bootleg" desc "Batman Part 2" devices ())
(name "batmanf" year "1995" manufacturer "Sega" desc "Batman Forever (4.0)" devices ())
(name "batmanf1" year "1995" manufacturer "Sega" desc "Batman Forever (1.02)" devices ())
(name "batmanf2" year "1995" manufacturer "Sega" desc "Batman Forever (2.02)" devices ())
(name "batmanf3" year "1995" manufacturer "Sega" desc "Batman Forever (3.0)" devices ())
(name "batmanfr" year "1996" manufacturer "Acclaim" desc "Batman Forever (JUE 960507 V1.000)" devices ())
(name "batrider" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Europe) (Fri Feb 13 1998)" devices ())
(name "batriderc" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (China) (Fri Feb 13 1998)" devices ())
(name "batriderhk" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Hong Kong) (Mon Dec 22 1997)" devices ())
(name "batriderj" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Japan, B version) (Fri Feb 13 1998)" devices ())
(name "batriderja" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Japan, older version) (Mon Dec 22 1997)" devices ())
(name "batriderk" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Korea) (Fri Feb 13 1998)" devices ())
(name "batridert" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (Taiwan) (Mon Dec 22 1997)" devices ())
(name "batrideru" year "1998" manufacturer "Raizing / Eighting" desc "Armed Police Batrider (USA) (Fri Feb 13 1998)" devices ())
(name "batsugun" year "1993" manufacturer "Toaplan" desc "Batsugun" devices ())
(name "batsuguna" year "1993" manufacturer "Toaplan" desc "Batsugun (older, set 1)" devices ())
(name "batsugunb" year "1993" manufacturer "Toaplan" desc "Batsugun (Korean PCB)" devices ())
(name "batsugunbl" year "1993" manufacturer "Toaplan" desc "Batsugun (bootleg)" devices ())
(name "batsugunc" year "1993" manufacturer "Toaplan" desc "Batsugun (older, set 2)" devices ())
(name "batsugunsp" year "1993" manufacturer "Toaplan" desc "Batsugun - Special Version" devices ())
(name "battlane" year "1986" manufacturer "Technos Japan (Taito license)" desc "Battle Lane! Vol. 5 (set 1)" devices ())
(name "battlane2" year "1986" manufacturer "Technos Japan (Taito license)" desc "Battle Lane! Vol. 5 (set 2)" devices ())
(name "battlane3" year "1986" manufacturer "Technos Japan (Taito license)" desc "Battle Lane! Vol. 5 (set 3)" devices ())
(name "battlcry" year "1991" manufacturer "Home Data" desc "Battlecry (Version E)" devices ())
(name "battlcryc" year "1989" manufacturer "Home Data" desc "Battlecry (Version C)" devices ())
(name "battlcryp" year "1989" manufacturer "Home Data" desc "Battlecry (Prototype)" devices ())
(name "battlera" year "1988" manufacturer "Data East Corporation" desc "Battle Rangers (World)" devices ())
(name "battles" year "1982" manufacturer "bootleg" desc "Battles (set 1)" devices ())
(name "battles2" year "1982" manufacturer "bootleg" desc "Battles (set 2)" devices ())
(name "battlex" year "1982" manufacturer "Omori Electric Co., Ltd." desc "Battle Cross" devices ())
(name "battlnts" year "1987" manufacturer "Konami" desc "Battlantis (program code G)" devices ())
(name "battlntsa" year "1987" manufacturer "Konami" desc "Battlantis (program code F)" devices ())
(name "battlntsj" year "1987" manufacturer "Konami" desc "Battlantis (Japan, program code E)" devices ())
(name "battroad" year "1984" manufacturer "Irem" desc "The Battle-Road" devices ())
(name "batvgc" year "200?" manufacturer "Thinkway Toys" desc "Interactive M.A.G. Motion Activated Gear: The Batman - Villains of Gotham City" devices ())
(name "bay1000c" year "198?" manufacturer "Mintek" desc "BAY-1000C V1.01" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "bay_d300" year "1995" manufacturer "Sega" desc "Baywatch (3.00 Dutch)" devices ())
(name "bay_d400" year "1995" manufacturer "Sega" desc "Baywatch (4.00 English)" devices ())
(name "bay_e400" year "1995" manufacturer "Sega" desc "Baywatch (4.00 Dutch)" devices ())
(name "bay_f201" year "1995" manufacturer "Sega" desc "Baywatch (2.01 French)" devices ())
(name "bay_g300" year "1995" manufacturer "Sega" desc "Baywatch (3.00 German)" devices ())
(name "bayroute" year "1989" manufacturer "Sunsoft / Sega" desc "Bay Route (set 3, World) (FD1094 317-0116)" devices ())
(name "bayroute1" year "1989" manufacturer "Sunsoft / Sega" desc "Bay Route (set 1, US) (unprotected)" devices ())
(name "bayrouteb1" year "1989" manufacturer "bootleg (Datsu)" desc "Bay Route (encrypted, protected bootleg)" devices ())
(name "bayrouteb2" year "1989" manufacturer "bootleg (Datsu)" desc "Bay Route (Datsu bootleg)" devices ())
(name "bayrouted" year "1989" manufacturer "bootleg" desc "Bay Route (set 3, World) (bootleg of FD1094 317-0116 set)" devices ())
(name "bayroutej" year "1989" manufacturer "Sunsoft / Sega" desc "Bay Route (set 2, Japan) (FD1094 317-0115)" devices ())
(name "bayroutejd" year "1989" manufacturer "bootleg" desc "Bay Route (set 2, Japan) (bootleg of FD1094 317-0115 set)" devices ())
(name "baywatch" year "1995" manufacturer "Sega" desc "Baywatch" devices ())
(name "bazooka" year "1976" manufacturer "Project Support Engineering" desc "Bazooka" devices ())
(name "bazookabr" year "1977" manufacturer "Taito do Brasil" desc "Bazooka (Brazil)" devices ())
(name "bb_21up" year "1979" manufacturer "BFM" desc "21 Up (Bellfruit) (Black Box) (5p Stake, £1 Jackpot)" devices ())
(name "bb_21upa" year "1981" manufacturer "BFM" desc "21 Up (Bellfruit) (Black Box) (10p Stake, £2 Jackpot)" devices ())
(name "bb_bellt" year "1979" manufacturer "BFM" desc "Bell Trail (Bellfruit) (Black Box) (5p Stake, £1 Jackpot)" devices ())
(name "bb_cjack" year "1981" manufacturer "BFM" desc "Crackerjack (Bellfruit) (Black Box) (5p Stake, £2 Jackpot)" devices ())
(name "bb_dblit" year "1981" manufacturer "BFM" desc "Double It (Bellfruit) (Black Box) (10p Stake, £2 Jackpot)" devices ())
(name "bb_fiest" year "1981?" manufacturer "Associated Leisure" desc "Fiesta (Associated Leisure) (Black Box) (2p Stake, £1/£2 Jackpot)" devices ())
(name "bb_firec" year "1981" manufacturer "BFM" desc "Fire Cracker (Bellfruit) (Black Box) (10p Stake, £2 Jackpot)" devices ())
(name "bb_gspin" year "1984" manufacturer "BWB" desc "Golden Spin (BWB) (Black Box) (MK1.5, 5p Stake, £50 Jackpot)" devices ())
(name "bb_nudcl" year "1981" manufacturer "BFM" desc "Nudge Climber (Bellfruit) (Black Box) (5p Stake, £1 Jackpot, all cash)" devices ())
(name "bb_nudgm" year "1982" manufacturer "ADM " desc "The Nudge Machine (ADMC) (Black Box) (5p Stake, £1/£2 Jackpot)" devices ())
(name "bb_oal" year "1981" manufacturer "BFM" desc "Oranges And Lemons (Bellfruit) (Black Box) (10p Stake, £2 Jackpot)" devices ())
(name "bb_reelg" year "1981" manufacturer "BFM" desc "Reel Gambler (Bellfruit) (Black Box) (10p Stake, £2 Jackpot)" devices ())
(name "bb_spinu" year "1981" manufacturer "CTL" desc "Spin Up (CTL) (Black Box) (10p Stake, £3 Jackpot)" devices ())
(name "bb_upndn" year "1980" manufacturer "BFM" desc "Upstairs 'N' Downstairs (Bellfruit) (Black Box) (5p Stake, £1 Jackpot)" devices ())
(name "bb_upndna" year "1981" manufacturer "BFM" desc "Upstairs 'N' Downstairs (Bellfruit) (Black Box) (5p Stake, £1 Jackpot, all cash)" devices ())
(name "bbakraid" year "1999" manufacturer "Eighting" desc "Battle Bakraid - Unlimited Version (USA) (Tue Jun 8 1999)" devices ())
(name "bbakraidc" year "1999" manufacturer "Eighting" desc "Battle Bakraid - Unlimited Version (China) (Tue Jun 8 1999)" devices ())
(name "bbakraidj" year "1999" manufacturer "Eighting" desc "Battle Bakraid - Unlimited Version (Japan) (Tue Jun 8 1999)" devices ())
(name "bbakraidja" year "1999" manufacturer "Eighting" desc "Battle Bakraid (Japan) (Wed Apr 7 1999)" devices ())
(name "bballoon" year "2003" manufacturer "Eolith" desc "BnB Arcade" devices ())
(name "bballrmt" year "1974" manufacturer "Ramtek" desc "Baseball (Ramtek)" devices ())
(name "bballs" year "1991" manufacturer "Comad" desc "Bouncing Balls" devices ())
(name "bballsa" year "1991" manufacturer "Comad" desc "Bouncing Balls (Adult)" devices ())
(name "bbb108" year "1996" manufacturer "Capcom" desc "Big Bang Bar (Beta 1.8 US)" devices ())
(name "bbb109" year "1996" manufacturer "Capcom" desc "Big Bang Bar (Beta 1.9 US)" devices ())
(name "bbbingo" year "1996" manufacturer "Namco" desc "Bin Bin Bingo (Japan, main unit)" devices ())
(name "bbbingot" year "1996" manufacturer "Namco" desc "Bin Bin Bingo (Japan, terminal)" devices ())
(name "bbbowlin" year "1988" manufacturer "United" desc "Big Ball Bowling (Bowler)" devices ())
(name "bbbxing" year "1994" manufacturer "Jaleco" desc "Best Bout Boxing (ver 1.3)" devices ())
(name "bbca" year "1981" manufacturer "Acorn Computers" desc "BBC Micro Model A" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" )))
(name "bbcb" year "1981" manufacturer "Acorn Computers" desc "BBC Micro Model B" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bbcb_de" year "1982" manufacturer "Acorn Computers" desc "BBC Micro Model B (German)" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bbcb_no" year "1984" manufacturer "Acorn Computers" desc "BBC Micro Model B (Norway)" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bbcb_us" year "1983" manufacturer "Acorn Computers" desc "BBC Micro Model B (US)" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bbcbc" year "1985" manufacturer "Unicard" desc "BBC Bridge Companion" devices ((name "cartridge" briefname "cart" )))
(name "bbcbp" year "1985" manufacturer "Acorn Computers" desc "BBC Micro Model B+ 64K" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "bbcbp128" year "1985" manufacturer "Acorn Computers" desc "BBC Micro Model B+ 128K" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) () ()))
(name "bbchall" year "1986" manufacturer "Status Games" desc "Baby Boom Challenge" devices ())
(name "bbcm" year "1986" manufacturer "Acorn Computers" desc "BBC Master 128" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "bbcm512" year "1986" manufacturer "Acorn Computers" desc "BBC Master 512" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "bbcmaiv" year "1986" manufacturer "Acorn Computers" desc "BBC Master AIV" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "bbcmarm" year "1986" manufacturer "Acorn Computers" desc "BBC Master (ARM Evaluation)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "bbcmc" year "1986" manufacturer "Acorn Computers" desc "BBC Master Compact" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) () () (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "bbcmc_ar" year "1986" manufacturer "Acorn Computers" desc "BBC Master Compact (Arabic)" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) () () (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "bbcmet" year "1986" manufacturer "Acorn Computers" desc "BBC Master ET" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage" briefname "rom" )))
(name "bbcmt" year "1986" manufacturer "Acorn Computers" desc "BBC Master Turbo" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "bbear" year "1986" manufacturer "Hasbro / Tiger Electronics" desc "Bingo Bear" devices ((name "cartridge" briefname "cart" )))
(name "bbeltzac" year "1986" manufacturer "Zaccaria" desc "Black Belt (Zaccaria)" devices ())
(name "bbeltzacf" year "1986" manufacturer "Zaccaria" desc "Black Belt (Zaccaria, French speech)" devices ())
(name "bbeltzacg" year "1986" manufacturer "Zaccaria" desc "Black Belt (Zaccaria, German speech)" devices ())
(name "bbeltzaci" year "1986" manufacturer "Zaccaria" desc "Black Belt (Zaccaria, Italian speech)" devices ())
(name "bbh" year "2000" manufacturer "Incredible Technologies" desc "Big Buck Hunter (v1.00.14)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbh2sp" year "2004" manufacturer "Incredible Technologies" desc "Big Buck Hunter II - Sportsman's Paradise (v2.02.11)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbh2spa" year "2003" manufacturer "Incredible Technologies" desc "Big Buck Hunter II - Sportsman's Paradise (v2.02.09)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbh2spb" year "2003" manufacturer "Incredible Technologies" desc "Big Buck Hunter II - Sportsman's Paradise (v2.02.08)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbh_140" year "2010" manufacturer "Stern" desc "Big Buck Hunter Pro v1.40" devices ())
(name "bbh_150" year "2010" manufacturer "Stern" desc "Big Buck Hunter Pro v1.50" devices ())
(name "bbh_160" year "2010" manufacturer "Stern" desc "Big Buck Hunter Pro v1.60" devices ())
(name "bbhcotw" year "2006" manufacturer "Incredible Technologies" desc "Big Buck Hunter Call of the Wild (v3.02.5)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbhsc" year "2002" manufacturer "Incredible Technologies" desc "Big Buck Hunter - Shooter's Challenge (v1.60.01)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbhsca" year "2002" manufacturer "Incredible Technologies" desc "Big Buck Hunter - Shooter's Challenge (v1.50.07)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "bbl338" year "201?" manufacturer "BaoBaoLong" desc "Portable Game Player BBL-338 (BaoBaoLong, 48-in-1)" devices ())
(name "bbl380" year "201?" manufacturer "BaoBaoLong" desc "BBL380 - 180 in 1" devices ())
(name "bbmanw" year "1992" manufacturer "Irem" desc "Bomber Man World / New Dyna Blaster - Global Quest" devices ())
(name "bbmanwj" year "1992" manufacturer "Irem" desc "Bomber Man World (Japan)" devices ())
(name "bbmanwja" year "1992" manufacturer "Irem" desc "Bomber Man World (Japan, revised sound hardware)" devices ())
(name "bbnny_l2" year "1990" manufacturer "Bally" desc "Bugs Bunny Birthday Ball (L-2)" devices ())
(name "bbnny_lg" year "1990" manufacturer "Bally" desc "Bugs Bunny Birthday Ball (LG-2) German" devices ())
(name "bbnny_lu" year "1990" manufacturer "Bally" desc "Bugs Bunny Birthday Ball (LU-2) European" devices ())
(name "bbombo" year "1987?" manufacturer "Recreativos Franco" desc "Baby & Bombo" devices ())
(name "bbonk" year "1976" manufacturer "Meadows Games, Inc." desc "Bigfoot Bonkers" devices ())
(name "bbprot" year "199?" manufacturer "<unknown>" desc "unknown fighting game 'BB' (prototype)" devices ())
(name "bbredux" year "2013" manufacturer "bootleg (Punji)" desc "Bubble Bobble ('bootleg redux' hack for Bobble Bobble PCB)" devices ())
(name "bbros" year "1989" manufacturer "Mitchell (Capcom license)" desc "Buster Bros. (USA)" devices ())
(name "bbtime" year "1983" manufacturer "Bandai" desc "Burger Time (Bandai)" devices ())
(name "bbust2" year "1998" manufacturer "SNK / ADK" desc "Beast Busters: Second Nightmare" devices ())
(name "bbusters" year "1989" manufacturer "SNK" desc "Beast Busters (World)" devices ())
(name "bbustersj" year "1989" manufacturer "SNK" desc "Beast Busters (Japan, Version 2, 3 Player)" devices ())
(name "bbustersja" year "1989" manufacturer "SNK" desc "Beast Busters (Japan, Version 2, 2 Player)" devices ())
(name "bbustersu" year "1989" manufacturer "SNK" desc "Beast Busters (US, Version 3)" devices ())
(name "bbustersua" year "1989" manufacturer "SNK" desc "Beast Busters (US, Version 2)" devices ())
(name "bcats_g4" year "1989" manufacturer "Williams" desc "Bad Cats (LG-4)" devices ())
(name "bcats_l2" year "1989" manufacturer "Williams" desc "Bad Cats (LA-2)" devices ())
(name "bcats_l5" year "1989" manufacturer "Williams" desc "Bad Cats (L-5)" devices ())
(name "bcclimbr" year "1982" manufacturer "Bandai" desc "Crazy Climber (Bandai)" devices ())
(name "bchance" year "198?" manufacturer "<unknown>" desc "Bonne Chance! (French/English)" devices ())
(name "bchancep" year "198?" manufacturer "<unknown>" desc "Bonne Chance! (Golden Poker prequel HW, set 1)" devices ())
(name "bchanceq" year "198?" manufacturer "<unknown>" desc "Bonne Chance! (Golden Poker prequel HW, set 2)" devices ())
(name "bcheetah" year "1979" manufacturer "Bandai" desc "System Control Car: Cheetah" devices ())
(name "bchopper" year "1987" manufacturer "Irem" desc "Battle Chopper (World)" devices ())
(name "bcrusher" year "1985" manufacturer "bootleg" desc "Bone Crusher" devices ())
(name "bcruzm12" year "1983" manufacturer "Sigma Enterprises Inc." desc "Battle Cruiser M-12" devices ())
(name "bcs3" year "1984" manufacturer "Eckhard Schiller" desc "BCS 3 rev 2.4" devices ())
(name "bcs3a" year "1986" manufacturer "Eckhard Schiller" desc "BCS 3 rev 3.1 29-column" devices ((name "cassette" briefname "cass" )))
(name "bcs3b" year "1986" manufacturer "Eckhard Schiller" desc "BCS 3 rev 3.1 40-column" devices ((name "cassette" briefname "cass" )))
(name "bcs3c" year "1986" manufacturer "Eckhard Schiller" desc "BCS 3 rev 3.2" devices ((name "cassette" briefname "cass" )))
(name "bcs3d" year "1986" manufacturer "Eckhard Schiller" desc "BCS 3 rev 3.3" devices ((name "cassette" briefname "cass" )))
(name "bcstry" year "1997" manufacturer "SemiCom / Tirano" desc "B.C. Story (set 1)" devices ())
(name "bcstrya" year "1997" manufacturer "SemiCom / Tirano" desc "B.C. Story (set 2)" devices ())
(name "bdesignm" year "1995" manufacturer "Bandai" desc "Design Master Denshi Mangajuku" devices ((name "cartridge" briefname "cart" )))
(name "bdk_130" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v1.30" devices ())
(name "bdk_150" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v1.50" devices ())
(name "bdk_160" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v1.60" devices ())
(name "bdk_200" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v2.00" devices ())
(name "bdk_210" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v2.10" devices ())
(name "bdk_220" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v2.20" devices ())
(name "bdk_290" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v2.90" devices ())
(name "bdk_294" year "2008" manufacturer "Stern" desc "Batman - The Dark Knight v2.94" devices ())
(name "bdoramon" year "1983" manufacturer "Bandai" desc "Dokodemo Dorayaki Doraemon" devices ())
(name "bdrdown" year "2003" manufacturer "G.Rev" desc "Border Down (Rev A) (GDL-0023A)" devices ((name "cdrom" briefname "cdrm" )))
(name "bdream97" year "1995" manufacturer "bootleg (KKK)" desc "Hudie Meng 97" devices ())
(name "beachpt" year "2002" manufacturer "Atronic" desc "Beach Patrol (Russia) (Atronic)" devices ())
(name "beachspi" year "2001" manufacturer "CRI / Sega" desc "Beach Spikers (GDS-0014)" devices ((name "cdrom" briefname "cdrm" )))
(name "beambox" year "200?" manufacturer "Hasbro" desc "Playskool Heroes Transformers Rescue Bots Beam Box (Spain)" devices ())
(name "beaminv" year "1979" manufacturer "Teknon Kogyo" desc "Beam Invader" devices ())
(name "bearnec" year "2002" manufacturer "Atronic" desc "Bear Necessities (Russia) (Atronic)" devices ())
(name "beastf" year "1984" manufacturer "Epos Corporation" desc "Beastie Feastie" devices ())
(name "beastfp" year "1984" manufacturer "Epos Corporation" desc "Beastie Feastie (Pac-Man conversion)" devices ())
(name "beastrzr" year "1997" manufacturer "Eighting / Raizing" desc "Beastorizer (USA, Sep 22 1997)" devices ())
(name "beastrzra" year "1997" manufacturer "Eighting / Raizing" desc "Beastorizer (USA, Jun 21 1997)" devices ())
(name "beastrzrb" year "1997" manufacturer "bootleg" desc "Beastorizer (USA bootleg)" devices ())
(name "beatclck" year "1985" manufacturer "Bally" desc "Beat the Clock" devices ())
(name "beatclck2" year "1985" manufacturer "Bally" desc "Beat the Clock (with flasher support)" devices ())
(name "beathead" year "1993" manufacturer "Atari Games" desc "BeatHead (prototype)" devices ())
(name "beautyb" year "1991" manufacturer "AMT" desc "Beauty Block" devices ())
(name "beavbuk" year "2008" manufacturer "Aristocrat" desc "Beaver Bucks (20255111, NSW/ACT)" devices ())
(name "bebox" year "1995" manufacturer "Be Inc" desc "BeBox Dual603-66" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom" briefname "cdrm" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "bebox2" year "1996" manufacturer "Be Inc" desc "BeBox Dual603-133" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom" briefname "cdrm" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "beebop" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 1)" devices ())
(name "beebopa" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 2)" devices ())
(name "beebopb" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 3)" devices ())
(name "beebopc" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 4)" devices ())
(name "beebopd" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 5)" devices ())
(name "beebope" year "2002?" manufacturer "Novotech" desc "Bee Bop (set 6)" devices ())
(name "beeline" year "1991" manufacturer "BFM" desc "Beeline (39-360-075)" devices ())
(name "beena" year "2005" manufacturer "Sega Toys" desc "Advanced Pico BEENA" devices ((name "cartridge" briefname "cart" )))
(name "beetlem" year "2002?" manufacturer "Novotech" desc "Beetlemania (set 1)" devices ())
(name "beetlema" year "2002?" manufacturer "Novotech" desc "Beetlemania (set 2)" devices ())
(name "beetlemb" year "2002?" manufacturer "Novotech" desc "Beetlemania (set 3)" devices ())
(name "beetlemc" year "2002?" manufacturer "Novotech" desc "Beetlemania (set 4)" devices ())
(name "beetlemd" year "2002?" manufacturer "Novotech" desc "Beetlemania (set 5)" devices ())
(name "beetleup" year "2002" manufacturer "Atronic" desc "Beetles Unplugged (Russia) (Atronic)" devices ())
(name "beezer" year "1982" manufacturer "Pacific Polytechnical Corp. / Tong Electronic" desc "Beezer (version 9.0)" devices ())
(name "beezer1" year "1982" manufacturer "Pacific Polytechnical Corp. / Tong Electronic" desc "Beezer (unknown earlier version)" devices ())
(name "beezerk" year "1997" manufacturer "VLT Inc." desc "Bee-Zerk" devices ())
(name "begas" year "1983" manufacturer "Data East" desc "Bega's Battle (Revision 3)" devices ())
(name "begas1" year "1983" manufacturer "Data East" desc "Bega's Battle (Revision 1)" devices ())
(name "beijuehh" year "201?" manufacturer "Beijue" desc "Beijue 16 Bit Handheld Games 220-in-1 (Game Boy style case)" devices ())
(name "bejpoker" year "1992" manufacturer "Bonanza Enterprises, Ltd" desc "Bonanza Enterprises' Joker Poker" devices ())
(name "bel" year "1997" manufacturer "Sega / EPL Productions" desc "Behind Enemy Lines" devices ())
(name "bellring" year "1990" manufacturer "Gottlieb" desc "Bell Ringer" devices ())
(name "bellstr1" year "2002" manufacturer "Paloma Elektronik?" desc "Bell-Star+ 5 (Vip2 v.3.6.02)" devices ())
(name "bellstr2" year "2002" manufacturer "Paloma Elektronik?" desc "Bell-Star+ (Vip2 v.25.02.02)" devices ())
(name "bellstr3" year "2002" manufacturer "Paloma Elektronik?" desc "Bell-Star+ (Vip2 v.30.1.02)" devices ())
(name "bellstrp" year "1998" manufacturer "Paloma Elektronik?" desc "Bell Star Plus" devices ())
(name "bellybmbr" year "1994" manufacturer "Namco" desc "Belly Bomber" devices ())
(name "belslots" year "1999" manufacturer "Impera" desc "Bel Slots Export (5.01)" devices ())
(name "benberob" year "1984" manufacturer "Taito" desc "Ben Bero Beh (Japan)" devices ())
(name "berabohm" year "1988" manufacturer "Namco" desc "Chou Zetsurinjin Berabowman (Japan, Rev C)" devices ())
(name "berabohmb" year "1988" manufacturer "Namco" desc "Chou Zetsurinjin Berabowman (Japan, Rev B)" devices ())
(name "berenstn" year "1984" manufacturer "Enter-Tech, Ltd." desc "The Berenstain Bears in Bigpaw's Cave" devices ())
(name "berl16" year "1992" manufacturer "Hegener + Glaser" desc "Mephisto Berlin 68000 (v0.03)" devices ())
(name "berl16a" year "1992" manufacturer "Hegener + Glaser" desc "Mephisto Berlin 68000 (v0.02)" devices ())
(name "berl16l" year "1996" manufacturer "Richard Lang" desc "Mephisto Berlin 68000 (London upgrade)" devices ())
(name "berl32t8p" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto TM Berlin (prototype)" devices ())
(name "berlinp" year "1994" manufacturer "Hegener + Glaser" desc "Mephisto Berlin Professional 68020" devices ())
(name "berlinpl" year "1996" manufacturer "Richard Lang" desc "Mephisto Berlin Professional 68020 (London upgrade)" devices ())
(name "berlwall" year "1991" manufacturer "Kaneko" desc "The Berlin Wall" devices ())
(name "berlwallk" year "1991" manufacturer "Kaneko (Inter license)" desc "The Berlin Wall (Korea)" devices ())
(name "berlwallt" year "1991" manufacturer "Kaneko" desc "The Berlin Wall (bootleg?)" devices ())
(name "bermudat" year "1987" manufacturer "SNK" desc "Bermuda Triangle (World?)" devices ())
(name "bermudata" year "1987" manufacturer "SNK" desc "Bermuda Triangle (World Wars) (US)" devices ())
(name "bermudatj" year "1987" manufacturer "SNK" desc "Bermuda Triangle (Japan)" devices ())
(name "bert" year "1987" manufacturer "VGS Verlagsgesellschaft" desc "BERT" devices ())
(name "berzerk" year "1980" manufacturer "Stern Electronics" desc "Berzerk (revision RC31A)" devices ())
(name "berzerka" year "1980" manufacturer "Stern Electronics" desc "Berzerk (revision RC31)" devices ())
(name "berzerkb" year "1980" manufacturer "Stern Electronics" desc "Berzerk (revision RC28)" devices ())
(name "berzerkf" year "1980" manufacturer "Stern Electronics" desc "Berzerk (French Speech, revision RC31)" devices ())
(name "berzerkg" year "1980" manufacturer "Stern Electronics" desc "Berzerk (German Speech, revision RC32)" devices ())
(name "berzerks" year "1980" manufacturer "Stern Electronics (Sonic License)" desc "Berzerk (Spanish Speech, revision RC32)" devices ())
(name "bestbest" year "1994" manufacturer "SunA" desc "Best Of Best" devices ())
(name "bestleag" year "1993" manufacturer "bootleg" desc "Best League (bootleg of Big Striker, Italian Serie A)" devices ())
(name "bestleaw" year "1993" manufacturer "bootleg" desc "Best League (bootleg of Big Striker, World Cup)" devices ())
(name "bestri" year "1998" manufacturer "F2 System" desc "Bestri (Korea, set 1)" devices ())
(name "bestria" year "1998" manufacturer "F2 System" desc "Bestri (Korea, set 2)" devices ())
(name "bestzx" year "19??" manufacturer "<unknown>" desc "BestZX" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "beta" year "1984" manufacturer "Pitronics" desc "Beta" devices ((name "cartridge" briefname "cart" )))
(name "betafrce" year "1980?" manufacturer "bootleg (Omni)" desc "Beta Force" devices ())
(name "betzoo" year "2003" manufacturer "Aristocrat" desc "Betting Zoo - Mr. Cashman (0251064, US)" devices ())
(name "bfdigdug" year "2018" manufacturer "Basic Fun" desc "Dig Dug (mini arcade)" devices ())
(name "bfgalaga" year "2017" manufacturer "Basic Fun" desc "Galaga (mini arcade)" devices ())
(name "bfmpac" year "2017" manufacturer "Basic Fun" desc "Ms. Pac-Man (mini arcade)" devices ())
(name "bformula2" year "1988" manufacturer "Recreativos Franco" desc "Baby Formula 2" devices ())
(name "bfpacman" year "2018" manufacturer "Basic Fun" desc "Pac-Man (mini arcade)" devices ())
(name "bfriskyt" year "1982" manufacturer "Bandai" desc "Frisky Tom (Bandai)" devices ())
(name "bfspyhnt" year "2019" manufacturer "Basic Fun" desc "Spy Hunter (mini arcade)" devices ())
(name "bftetris" year "2019" manufacturer "Basic Fun" desc "Tetris (mini arcade)" devices ())
(name "bg_barmy" year "199?" manufacturer "BGT" desc "Barmy Army (BGT)" devices ())
(name "bg_ddb" year "199?" manufacturer "BGT" desc "Ding Dong Bells (BGT)" devices ())
(name "bg_max" year "199?" manufacturer "BGT" desc "Max A Million (BGT) (set 1)" devices ())
(name "bg_maxa" year "199?" manufacturer "BGT" desc "Max A Million (BGT) (set 2)" devices ())
(name "bgalaxn" year "1981" manufacturer "Bandai" desc "Galaxian (Bandai)" devices ())
(name "bgaregga" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga (Europe / USA / Japan / Asia) (Sat Feb 3 1996)" devices ())
(name "bgareggabl" year "1998" manufacturer "bootleg (Melody)" desc "1945 Er Dai / 1945 Part-2 (Chinese hack of Battle Garegga)" devices ())
(name "bgareggabla" year "1997" manufacturer "bootleg (Melody)" desc "Leishen Chuan / Thunder Deity Biography (Chinese hack of Battle Garegga)" devices ())
(name "bgareggablj" year "1996" manufacturer "bootleg" desc "Battle Garegga (Japan, bootleg) (Sat Feb 3 1996)" devices ())
(name "bgareggacn" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga - Type 2 (Denmark / China) (Tue Apr 2 1996)" devices ())
(name "bgareggahk" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga (Austria / Hong Kong) (Sat Feb 3 1996)" devices ())
(name "bgareggak" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga (Korea / Greece) (Wed Feb 7 1996)" devices ())
(name "bgaregganv" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga - New Version (Austria / Hong Kong) (Sat Mar 2 1996)" devices ())
(name "bgareggat" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga (location test) (Wed Jan 17 1996)" devices ())
(name "bgareggat2" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga - Type 2 (Europe / USA / Japan / Asia) (Sat Mar 2 1996)" devices ())
(name "bgareggatw" year "1996" manufacturer "Raizing / Eighting" desc "Battle Garegga (Taiwan / Germany) (Thu Feb 1 1996)" devices ())
(name "bgbasketb" year "2013" manufacturer "Benchmark Games, Inc." desc "Basketball (Benchmark Games, set 1)" devices ())
(name "bgbasketbb" year "2004" manufacturer "Benchmark Games, Inc." desc "Basketball (Benchmark Games, set 2)" devices ())
(name "bgunf" year "1980" manufacturer "Bandai" desc "Gunfighter" devices ())
(name "bguns_l7" year "1987" manufacturer "Williams" desc "Big Guns (L-7)" devices ())
(name "bguns_l8" year "1987" manufacturer "Williams" desc "Big Guns (L-8)" devices ())
(name "bguns_la" year "1987" manufacturer "Williams" desc "Big Guns (L-A)" devices ())
(name "bguns_p1" year "1987" manufacturer "Williams" desc "Big Guns (P-1)" devices ())
(name "bhead2k" year "2000" manufacturer "Global VR" desc "Beach Head 2000 Install - 05/27/03" devices ())
(name "bhead2k2" year "2002" manufacturer "Global VR" desc "Beach Head 2002 Install - 05/27/03" devices ())
(name "bhead2k3" year "2003" manufacturer "Global VR" desc "Beach Head 2003 Desert War Install - 05/27/03" devices ())
(name "bhead2ka" year "2000" manufacturer "Global VR" desc "Beach Head 2000 Install - 09/16/01" devices ())
(name "bhol_ltd" year "1981" manufacturer "LTD" desc "Black Hole (LTD)" devices ())
(name "bi025c" year "199?" manufacturer "<unknown>" desc "BI-025C HT-12 286 (HT12/A chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "biathlon" year "1989" manufacturer "bootleg (Elektronika)" desc "Biathlon" devices ())
(name "big10" year "1985" manufacturer "Success" desc "Big 10" devices ())
(name "bigappg" year "1986" manufacturer "Big Apple Games / Merit" desc "The Big Apple (2131-13, U5-0)" devices ())
(name "bigbang" year "1993" manufacturer "NMK" desc "Big Bang (9th Nov. 1993, set 1)" devices ())
(name "bigbanga" year "1993" manufacturer "NMK" desc "Big Bang (9th Nov. 1993, set 2)" devices ())
(name "bigbat" year "1984" manufacturer "Bally Midway" desc "Big Bat (Bat game)" devices ())
(name "bigben" year "2003" manufacturer "Aristocrat" desc "Big Ben (30126911, NSW/ACT)" devices ())
(name "bigbena" year "2003" manufacturer "Aristocrat" desc "Big Ben (20126911, NSW/ACT)" devices ())
(name "bigbenb" year "2004" manufacturer "Aristocrat" desc "Big Ben (10169611, ASP)" devices ())
(name "bigbenq" year "2005" manufacturer "Aristocrat" desc "Big Ben (20201111, Queensland)" devices ())
(name "bigblue" year "2002" manufacturer "Atronic" desc "Big Blue (Russia) (Atronic)" devices ())
(name "bigboard" year "1980" manufacturer "Digital Research Computers" desc "Big Board" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "bigbord2" year "1982" manufacturer "Digital Research Computers" desc "Big Board II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bigbucks" year "1986" manufacturer "Dynasoft Inc." desc "Big Bucks" devices ())
(name "bigcsino" year "1984" manufacturer "Status Games" desc "Big Casino" devices ())
(name "bigdeal" year "1986" manufacturer "Fun World" desc "Big Deal (Hungarian, set 1)" devices ())
(name "bigdeal0" year "2001" manufacturer "Impera" desc "Big Deal Belgien (5.04)" devices ())
(name "bigdealb" year "1986" manufacturer "Fun World" desc "Big Deal (Hungarian, set 2)" devices ())
(name "bigevglf" year "1986" manufacturer "Taito America Corporation" desc "Big Event Golf (US)" devices ())
(name "bigevglfj" year "1986" manufacturer "Taito Corporation" desc "Big Event Golf (Japan)" devices ())
(name "bigfghtr" year "1989" manufacturer "Nichibutsu" desc "Tatakae! Big Fighter (Japan)" devices ())
(name "bigfight" year "1992" manufacturer "Tatsumi" desc "Big Fight - Big Trouble In The Atlantic Ocean" devices ())
(name "bigfightj" year "1992" manufacturer "Tatsumi" desc "Big Fight - Big Trouble In The Atlantic Ocean (Japan, rev F)" devices ())
(name "biggame" year "1980" manufacturer "Stern" desc "Big Game" devices ())
(name "bigheart" year "1999" manufacturer "Aristocrat" desc "Big Hearted (10000511, NSW/ACT)" devices ())
(name "bighouse" year "1989" manufacturer "Gottlieb" desc "Big House" devices ())
(name "bighousef" year "1989" manufacturer "Gottlieb" desc "Big House (French)" devices ())
(name "bighouseg" year "1989" manufacturer "Gottlieb" desc "Big House (German)" devices ())
(name "bighurt" year "1995" manufacturer "Gottlieb" desc "Frank Thomas' Big Hurt (rev.3)" devices ())
(name "bigjoke" year "1987" manufacturer "Grayhound Electronics" desc "The Big Joke (Version 0.00)" devices ())
(name "bigkarnk" year "1991" manufacturer "Gaelco" desc "Big Karnak (ver. 1.0, checksum 1e38c94)" devices ())
(name "bigkarnkm" year "1991" manufacturer "Gaelco" desc "Big Karnak (Modular System)" devices ())
(name "bigkong" year "1981" manufacturer "bootleg" desc "Big Kong" devices ())
(name "bigkonggx" year "1981" manufacturer "bootleg" desc "Big Kong (bootleg of Crazy Kong on Galaxian hardware)" devices ())
(name "bigprowr" year "1983" manufacturer "Technos Japan" desc "The Big Pro Wrestling! (set 1)" devices ())
(name "bigprowra" year "1983" manufacturer "Technos Japan" desc "The Big Pro Wrestling! (set 2)" devices ())
(name "bigred" year "2002" manufacturer "Aristocrat" desc "Big Red (2J009211, NSW/ACT)" devices ())
(name "bigred2" year "2005" manufacturer "Aristocrat" desc "Big Red 2 (5J011311, NSW/ACT)" devices ())
(name "bigreda" year "2002" manufacturer "Aristocrat" desc "Big Red (1J009211, NSW/ACT)" devices ())
(name "bigrun" year "1989" manufacturer "Jaleco" desc "Big Run (11th Rallye version, Europe?)" devices ())
(name "bigrunu" year "1989" manufacturer "Jaleco" desc "Big Run (11th Rallye version, US?)" devices ())
(name "bigstrik" year "1992" manufacturer "Jaleco" desc "Big Striker" devices ())
(name "bigstrkb" year "1992" manufacturer "bootleg" desc "Big Striker (bootleg)" devices ())
(name "bigstrkba" year "1992" manufacturer "bootleg" desc "Big Striker (bootleg w/Italian teams)" devices ())
(name "bigtown" year "1978" manufacturer "Playmatic" desc "Big Town" devices ())
(name "bigtrak" year "1979" manufacturer "Milton Bradley" desc "Big Trak" devices ())
(name "bigtwin" year "1995" manufacturer "Playmark" desc "Big Twin" devices ())
(name "bigtwinb" year "1995" manufacturer "Playmark" desc "Big Twin (No Girls Conversion)" devices ())
(name "bijokkog" year "1988" manufacturer "Nichibutsu" desc "Bijokko Gakuen (Japan 880116)" devices ())
(name "bijokkoy" year "1987" manufacturer "Nichibutsu" desc "Bijokko Yume Monogatari (Japan 870925)" devices ())
(name "bikerace" year "1992" manufacturer "Sleic" desc "Bike Race" devices ())
(name "bikerace2" year "1992" manufacturer "Sleic" desc "Bike Race (2-ball play)" devices ())
(name "bikiniko" year "1999" manufacturer "Nichibutsu/eic" desc "BiKiNikko - Okinawa de Ippai Shichaimashita (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "bikkuri" year "1988" manufacturer "Nichibutsu" desc "Bikkuri Pro Wrestling (Japan 881221, Ver 1.05)" devices ())
(name "bikkuric" year "1987" manufacturer "Peni" desc "Bikkuri Card (Japan)" devices ())
(name "biliard" year "1998" manufacturer "bootleg" desc "New Biliard 98 (Pool 10 hack)" devices ())
(name "billiard" year "1981" manufacturer "bootleg" desc "The Billiards (bootleg of Video Hustler)" devices ())
(name "billlist" year "1995" manufacturer "D.G.R.M." desc "Billard List" devices ())
(name "bilyard" year "198?" manufacturer "Terminal" desc "Billiard" devices ())
(name "binbug" year "1980" manufacturer "MicroByte" desc "BINBUG 3.6" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "bingo" year "1983" manufacturer "Game-A-Tron" desc "Bingo" devices ())
(name "bingo75" year "199?" manufacturer "Wing Co., Ltd." desc "Bingo 75" devices ())
(name "bingoc" year "1989" manufacturer "Sega" desc "Bingo Circus (Rev. A 891001)" devices ())
(name "bingogal" year "2009" manufacturer "Sega" desc "Bingo Galaxy (main)" devices ())
(name "bingogalo" year "2007" manufacturer "Sega" desc "Bingo Galaxy (main) (MDA-C0039A)" devices ())
(name "bingogals" year "2009" manufacturer "Sega" desc "Bingo Galaxy (satellite)" devices ())
(name "bingoman" year "1993" manufacturer "HP Automaten" desc "Bingo Mania (P03-P07-P14)" devices ())
(name "bingomana" year "1993" manufacturer "HP Automaten" desc "Bingo Mania (A03)" devices ())
(name "bingopar" year "2005" manufacturer "Sega" desc "Bingo Parade (main) (MDA-C0008E)" devices ())
(name "bingopd" year "200?" manufacturer "Industrias Brasileiras" desc "Paradise (Industrias Brasileiras, Version 1.04)" devices ())
(name "bingor1" year "1992" manufacturer "Rosenauer Electronic Austria?" desc "Bingo Roll / Bell Star? (set 1)" devices ())
(name "bingor2" year "1992" manufacturer "Rosenauer Electronic Austria?" desc "Bingo Roll / Bell Star? (set 2)" devices ())
(name "bingor3" year "2002" manufacturer "Paloma Elektronik?" desc "Bingo Roll / Bell Star? (set 3)" devices ())
(name "bingor4" year "2002" manufacturer "Paloma Elektronik?" desc "Bingo Roll / Bell Star? (set 4)" devices ())
(name "bingor5" year "2002" manufacturer "Paloma Elektronik?" desc "Bingo Roll / Bell Star V3? (set 5)" devices ())
(name "bingor6" year "1991" manufacturer "AWR Hard & Soft Austria?" desc "Bingo Roll / Turbo Bingo?" devices ())
(name "bingor7" year "1995" manufacturer "Rosenauer Electronic Austria" desc "Bingo Roll (209 / 19-1-95)" devices ())
(name "bingor8" year "2001" manufacturer "Rosenauer Electronic Austria" desc "Bingo Roll 2001 (v22.1)" devices ())
(name "bingor9" year "1992" manufacturer "Rosenauer Electronic Austria" desc "Bingo Roll (Vip2 v26.02.02)" devices ())
(name "bingowav" year "1994" manufacturer "Taito" desc "Bingo Wave" devices ())
(name "bingowng" year "1993" manufacturer "Wing Co., Ltd." desc "Bingo (set 1)" devices ())
(name "bingownga" year "1993" manufacturer "Wing Co., Ltd." desc "Bingo (set 2)" devices ())
(name "bingplnt" year "1997" manufacturer "Sega" desc "Bingo Planet (Rev C) (M1 Satellite board)" devices ())
(name "bingpty" year "1994" manufacturer "Sega" desc "Bingo Party Multicart (Rev B) (M1 Satellite board)" devices ())
(name "bioatack" year "1983" manufacturer "Taito Corporation" desc "Bio Attack" devices ())
(name "biofreak" year "1997" manufacturer "Midway Games" desc "Bio F.R.E.A.K.S (prototype, boot ROM 0.1i)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "biomtoy" year "1995" manufacturer "Gaelco / Zeus" desc "Biomechanical Toy (ver. 1.0.1885, checksum 69f5e032)" devices ())
(name "biomtoya" year "1995" manufacturer "Gaelco / Zeus" desc "Biomechanical Toy (ver. 1.0.1884, checksum 3f316c70)" devices ())
(name "biomtoyb" year "1995" manufacturer "Gaelco / Zeus" desc "Biomechanical Toy (ver. 1.0.1878, checksum d84b28ff)" devices ())
(name "biomtoyc" year "1994" manufacturer "Gaelco / Zeus" desc "Biomechanical Toy (ver. 1.0.1870, checksum ba682195)" devices ())
(name "bionicc" year "1987" manufacturer "Capcom" desc "Bionic Commando (Euro)" devices ())
(name "bionicc1" year "1987" manufacturer "Capcom" desc "Bionic Commando (US set 1)" devices ())
(name "bionicc2" year "1987" manufacturer "Capcom" desc "Bionic Commando (US set 2)" devices ())
(name "bioniccbl" year "1987" manufacturer "bootleg" desc "Bionic Commandos (bootleg, set 1)" devices ())
(name "bioniccbl2" year "1987" manufacturer "bootleg" desc "Bionic Commandos (bootleg, set 2)" devices ())
(name "bioplayc" year "1994" manufacturer "Gaelco / Zeus" desc "Bioplaything Cop (ver. 1.0.1823, checksum cd960fc9, prototype)" devices ())
(name "bioship" year "1990" manufacturer "UPL (American Sammy license)" desc "Bio-ship Paladin" devices ())
(name "biplane" year "1975" manufacturer "Fun Games" desc "Biplane" devices ())
(name "biplane4" year "1976" manufacturer "Fun Games" desc "Biplane 4" devices ())
(name "birdiy" year "1983" manufacturer "Mama Top" desc "Birdiy" devices ())
(name "birdtry" year "1988" manufacturer "Data East Corporation" desc "Birdie Try (Japan, revision 2, revision 1 MCU)" devices ())
(name "birdtrya" year "1988" manufacturer "Data East Corporation" desc "Birdie Try (Japan, revision 2)" devices ())
(name "birdtryb" year "1988" manufacturer "Data East Corporation" desc "Birdie Try (Japan, sample version)" devices ())
(name "bishi" year "1996" manufacturer "Konami" desc "Bishi Bashi Champ Mini Game Senshuken (ver JAA, 3 Players)" devices ())
(name "bishjan" year "1999" manufacturer "Subsino" desc "Bishou Jan (Japan, Ver. 203)" devices ())
(name "bit90" year "1983" manufacturer "Bit Corporation" desc "Bit90" devices ((name "cartridge" briefname "cart" )))
(name "bitgrpha" year "1981" manufacturer "BBN" desc "BitGraph rev A" devices ((name "bitbanger" briefname "bitb" )))
(name "bitgrphb" year "1982" manufacturer "BBN" desc "BitGraph rev B" devices ((name "bitbanger" briefname "bitb" )))
(name "bittboy" year "2017" manufacturer "BittBoy" desc "BittBoy Mini FC 300 in 1" devices ())
(name "bj92" year "1992" manufacturer "Irem" desc "Black Jack (Irem, satellite unit, rev. T)" devices ())
(name "bjourney" year "1990" manufacturer "Alpha Denshi Co." desc "Blue's Journey / Raguy (ALM-001 ~ ALH-001)" devices ((name "memcard" briefname "memc" ) ()))
(name "bjourneyh" year "1990" manufacturer "Alpha Denshi Co." desc "Blue's Journey / Raguy (ALH-001)" devices ((name "memcard" briefname "memc" ) ()))
(name "bjpoker" year "198?" manufacturer "M.Kramer Manufacturing." desc "Poker / Black Jack (Model 7521)" devices ())
(name "bjtwin" year "1993" manufacturer "NMK" desc "Bombjack Twin (set 1)" devices ())
(name "bjtwina" year "1993" manufacturer "NMK" desc "Bombjack Twin (set 2)" devices ())
(name "bjtwinp" year "1993" manufacturer "NMK" desc "Bombjack Twin (prototype? with adult pictures, set 1)" devices ())
(name "bjtwinpa" year "1993" manufacturer "NMK" desc "Bombjack Twin (prototype? with adult pictures, set 2)" devices ())
(name "bk0010" year "1985" manufacturer "Elektronika" desc "BK 0010" devices ((name "cassette" briefname "cass" )))
(name "bk001001" year "1986" manufacturer "Elektronika" desc "BK 0010-01" devices ((name "cassette" briefname "cass" )))
(name "bk0010fd" year "1986" manufacturer "Elektronika" desc "BK 0010 FDD" devices ((name "cassette" briefname "cass" )))
(name "bk0011m" year "1986" manufacturer "Elektronika" desc "BK 0011M" devices ((name "cassette" briefname "cass" )))
(name "bk08" year "198?" manufacturer "Orel" desc "BK-08" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "bk2k_l4" year "1989" manufacturer "Williams" desc "Black Knight 2000 (L-4)" devices ())
(name "bk2k_la2" year "1989" manufacturer "Williams" desc "Black Knight 2000 (LA-2)" devices ())
(name "bk2k_lg1" year "1989" manufacturer "Williams" desc "Black Knight 2000 (LG-1)" devices ())
(name "bk2k_lg3" year "1989" manufacturer "Williams" desc "Black Knight 2000 (LG-3)" devices ())
(name "bk2k_pa5" year "1989" manufacturer "Williams" desc "Black Knight 2000 (PA-5)" devices ())
(name "bk2k_pa7" year "1989" manufacturer "Williams" desc "Black Knight 2000 (PA-7)" devices ())
(name "bk2k_pf1" year "1989" manufacturer "Williams" desc "Black Knight 2000 (PF-1)" devices ())
(name "bk2k_pu1" year "1989" manufacturer "Williams" desc "Black Knight 2000 (PU-1)" devices ())
(name "bk3ssrmb" year "1994" manufacturer "bootleg / Sega" desc "Bare Knuckle III / Sunset Riders (bootleg of Mega Drive versions)" devices ())
(name "bk8t" year "1987" manufacturer "<unknown>" desc "BK-8T" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "bk_f4" year "1980" manufacturer "Williams" desc "Black Knight (L-4, French speech)" devices ())
(name "bk_l2" year "1980" manufacturer "Williams" desc "Black Knight (L-2)" devices ())
(name "bk_l3" year "1980" manufacturer "Williams" desc "Black Knight (L-3)" devices ())
(name "bk_l4" year "1980" manufacturer "Williams" desc "Black Knight (L-4)" devices ())
(name "bkarast" year "2002" manufacturer "IVL Technologies (Bandai license)" desc "Karaoke Station (Japan)" devices ())
(name "bkid218" year "200?" manufacturer "BornKid" desc "Handheld Game Console BC-19 - 218 in 1" devices ())
(name "bking" year "1982" manufacturer "Taito Corporation" desc "Birdie King" devices ())
(name "bking2" year "1983" manufacturer "Taito Corporation" desc "Birdie King 2" devices ())
(name "bking3" year "1984" manufacturer "Taito Corporation" desc "Birdie King 3" devices ())
(name "bkrankp" year "200?" manufacturer "Bandai" desc "Karaoke Ranking Party (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "bkrtmaq" year "1992" manufacturer "Namco" desc "Bakuretsu Quiz Ma-Q Dai Bouken (Japan)" devices ())
(name "bkungfu" year "1987" manufacturer "Irem" desc "Beyond Kung-Fu (location test)" devices ())
(name "black" year "19??" manufacturer "bootleg" desc "Czernyj Korabl (Arcade bootleg of ZX Spectrum 'Blackbeard')" devices ())
(name "black100" year "1988" manufacturer "Bally" desc "Blackwater 100" devices ())
(name "black100s" year "1988" manufacturer "Bally" desc "Blackwater 100 (Single Ball Play)" devices ())
(name "blackbd" year "2005" manufacturer "Astro" desc "Black Beard (Russia, set 1)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "blackbda" year "2005?" manufacturer "Astro" desc "Black Beard (Russia, set 2)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "blackbdb" year "2005" manufacturer "Astro" desc "Black Beard (Russia, set 3)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "blackblt" year "1986" manufacturer "Bally" desc "Black Belt" devices ())
(name "blackblt2" year "1986" manufacturer "Bally" desc "Black Belt (Squawk and Talk)" devices ())
(name "blackhol" year "1981?" manufacturer "EFG Sanremo" desc "Black Hole (EFG Sanremo)" devices ())
(name "blackjck" year "1978" manufacturer "Bally" desc "Black Jack (Pinball)" devices ())
(name "blackpnt" year "1996" manufacturer "Aristocrat" desc "Black Panther (0200818V, Victoria)" devices ())
(name "blackt96" year "1996" manufacturer "D.G.R.M." desc "Black Touch '96" devices ())
(name "bladestl" year "1987" manufacturer "Konami" desc "Blades of Steel (version T, Joystick)" devices ())
(name "bladestle" year "1987" manufacturer "Konami" desc "Blades of Steel (version E, Trackball)" devices ())
(name "bladestll" year "1987" manufacturer "Konami" desc "Blades of Steel (version L, Trackball)" devices ())
(name "blakpyra" year "1984" manufacturer "Bally" desc "Black Pyramid" devices ())
(name "blandia" year "1992" manufacturer "Allumer" desc "Blandia" devices ())
(name "blandiap" year "1992" manufacturer "Allumer" desc "Blandia (prototype)" devices ())
(name "blasted" year "1988" manufacturer "Bally Midway" desc "Blasted" devices ())
(name "blaster" year "1983" manufacturer "Williams / Vid Kidz" desc "Blaster" devices ())
(name "blasterkit" year "1983" manufacturer "Williams / Vid Kidz" desc "Blaster (conversion kit)" devices ())
(name "blastero" year "1983" manufacturer "Williams / Vid Kidz" desc "Blaster (location test)" devices ())
(name "blastit" year "1980" manufacturer "Entex" desc "Blast It" devices ())
(name "blasto" year "1978" manufacturer "Gremlin" desc "Blasto" devices ())
(name "blastoff" year "1989" manufacturer "Namco" desc "Blast Off (Japan)" devices ())
(name "blazeon" year "1992" manufacturer "A.I (Atlus license)" desc "Blaze On (World)" devices ())
(name "blazeonj" year "1992" manufacturer "A.I (Atlus license)" desc "Blaze On (Japan)" devices ())
(name "blazer" year "1987" manufacturer "Namco" desc "Blazer (Japan)" devices ())
(name "blazlaz" year "1989" manufacturer "Hudson Soft" desc "Blazing Lazers (United Amusements PC Engine)" devices ())
(name "blazstar" year "1998" manufacturer "Yumekobo" desc "Blazing Star" devices ((name "memcard" briefname "memc" ) ()))
(name "blbeauty" year "1984" manufacturer "Stern" desc "Black Beauty (Shuffle)" devices ())
(name "blckhole" year "1981" manufacturer "Gottlieb" desc "Black Hole (Rev. 4)" devices ())
(name "blckhole2" year "1981" manufacturer "Gottlieb" desc "Black Hole (Rev. 2)" devices ())
(name "blckhols" year "1981" manufacturer "Gottlieb" desc "Black Hole (Sound Only)" devices ())
(name "blckjack" year "1984" manufacturer "InterFlip" desc "Black Jack (InterFlip)" devices ())
(name "bldwolf" year "1988" manufacturer "Data East USA" desc "Bloody Wolf (US)" devices ())
(name "bldwolfj" year "1988" manufacturer "Data East Corporation" desc "Narazumono Sentoubutai Bloody Wolf (Japan)" devices ())
(name "bldyr3b" year "2001" manufacturer "bootleg" desc "Bloody Roar 3 (bootleg)" devices ())
(name "bldyroar" year "1997" manufacturer "Eighting / Raizing" desc "Bloody Roar (Japan, Jun 21 1997)" devices ())
(name "bldyrolr" year "1987" manufacturer "Playbar" desc "Bloody Roller" devices ())
(name "bldyror2" year "1998" manufacturer "Eighting / Raizing" desc "Bloody Roar 2 (World)" devices ())
(name "bldyror2a" year "1998" manufacturer "Eighting / Raizing" desc "Bloody Roar 2 (Asia)" devices ())
(name "bldyror2j" year "1998" manufacturer "Eighting / Raizing" desc "Bloody Roar 2 (Japan)" devices ())
(name "bldyror2u" year "1998" manufacturer "Eighting / Raizing" desc "Bloody Roar 2 (USA)" devices ())
(name "blicks" year "1990" manufacturer "Sega" desc "Blicks (Japan)" devices ())
(name "blit" year "1981" manufacturer "AT&T" desc "Blit" devices ((name "bitbanger" briefname "bitb" )))
(name "blitz" year "1997" manufacturer "Midway Games" desc "NFL Blitz (ver 1.21, Dec 5 1997)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "blitz2k" year "1999" manufacturer "Midway Games" desc "NFL Blitz 2000 Gold Edition (ver 1.2, Sep 22 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "blitz99" year "1998" manufacturer "Midway Games" desc "NFL Blitz '99 (ver 1.30, Sep 22 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "blitz99a" year "1998" manufacturer "Midway Games" desc "NFL Blitz '99 (ver 1.2, Aug 28 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "blitzs" year "1990" manufacturer "<unknown>" desc "Blic" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "blkbrum" year "2002" manufacturer "Aristocrat" desc "Black Brumby (1J009111, NSW/ACT)" devices ())
(name "blkbustr" year "1983" manufacturer "Kiwako (ECI license)" desc "BlockBuster" devices ())
(name "blkdrgon" year "1987" manufacturer "Capcom" desc "Black Dragon (Japan)" devices ())
(name "blkdrgonb" year "1987" manufacturer "bootleg" desc "Black Dragon (bootleg)" devices ())
(name "blkfever" year "1980" manufacturer "Playmatic" desc "Black Fever" devices ())
(name "blkheart" year "1991" manufacturer "UPL" desc "Black Heart" devices ())
(name "blkheartj" year "1991" manufacturer "UPL" desc "Black Heart (Japan)" devices ())
(name "blkhole" year "1981" manufacturer "TDS & MINTS" desc "Black Hole" devices ())
(name "blkmust" year "2006" manufacturer "Aristocrat" desc "Black Mustang (0152584, US)" devices ())
(name "blkou_f1" year "1979" manufacturer "Williams" desc "Blackout (L-1, French Speech)" devices ())
(name "blkou_l1" year "1979" manufacturer "Williams" desc "Blackout (L-1)" devices ())
(name "blkou_t1" year "1979" manufacturer "Williams" desc "Blackout (T-1)" devices ())
(name "blkpnthr" year "1987" manufacturer "Konami" desc "Black Panther" devices ())
(name "blkrhino" year "1995" manufacturer "Aristocrat" desc "Black Rhino (4VXFC830, NSW)" devices ())
(name "blkrhinonz" year "1996" manufacturer "Aristocrat" desc "Black Rhino (3VXFC5344, New Zealand)" devices ())
(name "blkrose" year "200?" manufacturer "Konami" desc "Black Rose Rapid Fire Grand Prix (Konami Endeavour, Queensland)" devices ())
(name "blkshpsq" year "1978" manufacturer "Astro" desc "Black Sheep Squadron" devices ())
(name "blktch2" year "1993" manufacturer "<unknown>" desc "Black Touch II (Korea)" devices ())
(name "blktiger" year "1987" manufacturer "Capcom" desc "Black Tiger" devices ())
(name "blktigera" year "1987" manufacturer "Capcom" desc "Black Tiger (older)" devices ())
(name "blktigerb1" year "1987" manufacturer "bootleg" desc "Black Tiger (bootleg set 1)" devices ())
(name "blktigerb2" year "1987" manufacturer "bootleg" desc "Black Tiger (bootleg set 2)" devices ())
(name "blktigerb3" year "1987" manufacturer "bootleg" desc "Black Tiger / Black Dragon (mixed bootleg?)" devices ())
(name "blktigerm" year "1991" manufacturer "bootleg (Gaelco / Ervisa)" desc "Black Tiger (Modular System)" devices ())
(name "blktouch" year "199?" manufacturer "Yang Gi Co Ltd." desc "Black Touch (Korea)" devices ())
(name "blmbycar" year "1994" manufacturer "ABM & Gecas" desc "Blomby Car (Version 1P0)" devices ())
(name "blmbycaru" year "1994" manufacturer "ABM & Gecas" desc "Blomby Car (Version 1P0, not encrypted)" devices ())
(name "block" year "1991" manufacturer "Capcom" desc "Block Block (World 911219 Joystick)" devices ())
(name "block2" year "1986" manufacturer "bootleg (S.P.A. Co.)" desc "Block 2 (S.P.A. Co. bootleg)" devices ())
(name "blockade" year "1976" manufacturer "Gremlin" desc "Blockade" devices ())
(name "blockbl" year "1991" manufacturer "bootleg" desc "Block Block (bootleg)" devices ())
(name "blockcar" year "1992" manufacturer "Visco" desc "Block Carnival / Thunder & Lightning 2" devices ())
(name "blockcarb" year "1992" manufacturer "bootleg" desc "Block Carnival / Thunder & Lightning 2 (bootleg)" devices ())
(name "blockch" year "1978" manufacturer "Sun Electronics / Gifu Tokki" desc "G.T. Block Challenger" devices ())
(name "blocken" year "1994" manufacturer "Visco / KID" desc "Blocken (Japan)" devices ())
(name "blockgal" year "1987" manufacturer "Sega / Vic Tokai" desc "Block Gal (MC-8123B, 317-0029)" devices ())
(name "blockgalb" year "1987" manufacturer "bootleg" desc "Block Gal (bootleg)" devices ())
(name "blockhl" year "1989" manufacturer "Konami" desc "Block Hole" devices ())
(name "blockj" year "1991" manufacturer "Capcom" desc "Block Block (Japan 910910)" devices ())
(name "blockout" year "1989" manufacturer "Technos Japan / California Dreams" desc "Block Out (set 1)" devices ())
(name "blockout2" year "1989" manufacturer "Technos Japan / California Dreams" desc "Block Out (set 2)" devices ())
(name "blockout3" year "1989" manufacturer "Technos Japan / California Dreams" desc "Block Out (Europe and Oceania)" devices ())
(name "blockoutj" year "1989" manufacturer "Technos Japan / California Dreams" desc "Block Out (Japan)" devices ())
(name "blockr1" year "1991" manufacturer "Capcom" desc "Block Block (World 911106 Joystick)" devices ())
(name "blockr2" year "1991" manufacturer "Capcom" desc "Block Block (World 910910)" devices ())
(name "blocktax" year "2002" manufacturer "TAX / Game Revival" desc "Blockout (TAX)" devices ())
(name "blokpong" year "2004" manufacturer "MOSS / Sammy" desc "Block Pong-Pong" devices ())
(name "bloodbro" year "1990" manufacturer "TAD Corporation" desc "Blood Bros. (World?)" devices ())
(name "bloodbroj" year "1990" manufacturer "TAD Corporation" desc "Blood Bros. (Japan, rev A)" devices ())
(name "bloodbroja" year "1990" manufacturer "TAD Corporation" desc "Blood Bros. (Japan)" devices ())
(name "bloodbrok" year "1990" manufacturer "TAD Corporation" desc "Blood Bros. (Korea)" devices ())
(name "bloodbrom" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Blood Bros. (Modular System)" devices ())
(name "bloodbrou" year "1990" manufacturer "TAD Corporation (Fabtek license)" desc "Blood Bros. (US)" devices ())
(name "bloodstm" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v2.22)" devices ())
(name "bloodstm104" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v1.04)" devices ())
(name "bloodstm110" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v1.10)" devices ())
(name "bloodstm210" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v2.10)" devices ())
(name "bloodstm220" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v2.20)" devices ())
(name "bloodstm221" year "1994" manufacturer "Strata / Incredible Technologies" desc "Blood Storm (v2.21)" devices ())
(name "bloodwar" year "1994" manufacturer "Kaneko" desc "Blood Warrior" devices ())
(name "bloto" year "200?" manufacturer "Extrema" desc "Blits Loto (Ukraine, V. 30.16)" devices ())
(name "blotoa" year "200?" manufacturer "Extrema" desc "Blits Loto (Ukraine, V. 30.08)" devices ())
(name "bloxeed" year "1989" manufacturer "Sega / Elorg" desc "Bloxeed (Japan) (FD1094 317-0139)" devices ())
(name "bloxeeda" year "1989" manufacturer "Sega" desc "Bloxeed (Japan, earlier) (FD1094 317-0139)" devices ())
(name "bloxeedbl" year "1990" manufacturer "bootleg (Impeuropex)" desc "Bloxeed (bootleg)" devices ())
(name "bloxeedc" year "1989" manufacturer "Sega / Elorg" desc "Bloxeed (World, C System)" devices ())
(name "bloxeedd" year "1989" manufacturer "bootleg" desc "Bloxeed (Japan) (bootleg of FD1094 317-0139 set)" devices ())
(name "bloxeedu" year "1989" manufacturer "Sega / Elorg" desc "Bloxeed (US, C System, Rev A)" devices ())
(name "blpearl" year "2003" manufacturer "Extrema" desc "Black Pearl (Ukraine, V. 45.02)" devices ())
(name "blpearla" year "2003" manufacturer "Extrema" desc "Black Pearl (Ukraine, V. 43.07)" devices ())
(name "blpearlb" year "2003" manufacturer "Extrema" desc "Black Pearl (Ukraine, V. 43.04)" devices ())
(name "blpearlc" year "2003" manufacturer "Extrema" desc "Black Pearl (Ukraine, V. 42.03)" devices ())
(name "blpearld" year "2003" manufacturer "Extrema" desc "Black Pearl (Ukraine, V. 42.01)" devices ())
(name "blshark" year "2000" manufacturer "MDS Hellas" desc "Blue Shark (MDS Hellas)" devices ())
(name "blstroid" year "1987" manufacturer "Atari Games" desc "Blasteroids (rev 4)" devices ())
(name "blstroid2" year "1987" manufacturer "Atari Games" desc "Blasteroids (rev 2)" devices ())
(name "blstroid3" year "1987" manufacturer "Atari Games" desc "Blasteroids (rev 3)" devices ())
(name "blstroidg" year "1987" manufacturer "Atari Games" desc "Blasteroids (German, rev 2)" devices ())
(name "blstroidh" year "1987" manufacturer "Atari Games" desc "Blasteroids (with heads)" devices ())
(name "blswhstl" year "1991" manufacturer "Konami" desc "Bells & Whistles (World, version L)" devices ())
(name "blswhstla" year "1991" manufacturer "Konami" desc "Bells & Whistles (Asia, version M)" devices ())
(name "bluehawk" year "1993" manufacturer "Dooyong" desc "Blue Hawk" devices ())
(name "bluehawkn" year "1993" manufacturer "Dooyong (NTC license)" desc "Blue Hawk (Japan, NTC license)" devices ())
(name "bluenote" year "199?" manufacturer "Highscreen" desc "Colani Blue Note" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "blueprnt" year "1982" manufacturer "Zilec Electronics / Bally Midway" desc "Blue Print (Midway)" devices ())
(name "blueprntj" year "1982" manufacturer "Zilec Electronics / Jaleco" desc "Blue Print (Jaleco)" devices ())
(name "blueshrk" year "1978" manufacturer "Midway" desc "Blue Shark" devices ())
(name "blueshrkmr" year "1978" manufacturer "bootleg (Model Racing)" desc "Blue Shark (Model Racing bootleg, set 1)" devices ())
(name "blueshrkmr2" year "1978" manufacturer "bootleg (Model Racing)" desc "Blue Shark (Model Racing bootleg, set 2)" devices ())
(name "bluetigr" year "2007" manufacturer "Aristocrat" desc "Blue Tiger (20259511, NSW/ACT)" devices ())
(name "blvelvet" year "1978" manufacturer "Game Plan" desc "Black Velvet" devices ())
(name "blzntrnd" year "1994" manufacturer "Human Amusement" desc "Blazing Tornado" devices ())
(name "bm1stmix" year "1997" manufacturer "Konami" desc "beatmania (ver JA-B)" devices ((name "harddisk" briefname "hard" )))
(name "bm2ndmix" year "1998" manufacturer "Konami" desc "beatmania 2nd MIX (ver JA-B)" devices ((name "harddisk" briefname "hard" )))
(name "bm2ndmxa" year "1998" manufacturer "Konami" desc "beatmania 2nd MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm3" year "2000" manufacturer "Konami" desc "Beatmania III" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "bm36th" year "2001" manufacturer "Konami" desc "Beatmania III Append 6th Mix" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "bm37th" year "2002" manufacturer "Konami" desc "Beatmania III Append 7th Mix" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "bm3core" year "2000" manufacturer "Konami" desc "Beatmania III Append Core Remix" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "bm3final" year "2003" manufacturer "Konami" desc "Beatmania III The Final" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "bm3rdeaa" year "1998" manufacturer "Konami" desc "beatmania 3rd MIX (ver EA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm3rdmix" year "1998" manufacturer "Konami" desc "beatmania 3rd MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm4thmix" year "1999" manufacturer "Konami" desc "beatmania 4th MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm5thmix" year "1999" manufacturer "Konami" desc "beatmania 5th MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm6thmix" year "2001" manufacturer "Konami" desc "beatmania 6th MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bm7thmix" year "2001" manufacturer "Konami" desc "beatmania 7th MIX (ver JA-B)" devices ((name "harddisk" briefname "hard" )))
(name "bmaster" year "1991" manufacturer "Irem" desc "Blade Master (World)" devices ())
(name "bmboxing" year "1979" manufacturer "Bambino" desc "Knock-Em Out Boxing" devices ())
(name "bmbugs" year "2005" manufacturer "Aristocrat" desc "Bumble Bugs (0351180, US)" devices ())
(name "bmcbowl" year "1994" manufacturer "BMC" desc "Konkyuu no Hoshi" devices ())
(name "bmcfball" year "1982" manufacturer "Bambino" desc "Football Classic (Bambino)" devices ())
(name "bmclubmx" year "2000" manufacturer "Konami" desc "beatmania Club MIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bmcmxaac" year "1999" manufacturer "Konami" desc "beatmania complete MIX (ver AA-C)" devices ((name "harddisk" briefname "hard" )))
(name "bmcompm2" year "2000" manufacturer "Konami" desc "beatmania complete MIX 2 (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bmcompmx" year "1999" manufacturer "Konami" desc "beatmania complete MIX (ver JA-C)" devices ((name "harddisk" briefname "hard" )))
(name "bmcompmxb" year "1999" manufacturer "Konami" desc "beatmania complete MIX (ver JA-B)" devices ((name "harddisk" briefname "hard" )))
(name "bmcorerm" year "2000" manufacturer "Konami" desc "beatmania CORE REMIX (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bmcpokr" year "1999" manufacturer "BMC" desc "Dongfang Shenlong" devices ())
(name "bmdct" year "2000" manufacturer "Konami" desc "beatmania featuring Dreams Come True (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bmf_at" year "1995" manufacturer "Sega" desc "Batman Forever (Austrian)" devices ())
(name "bmf_be" year "1995" manufacturer "Sega" desc "Batman Forever (Belgian)" devices ())
(name "bmf_ch" year "1995" manufacturer "Sega" desc "Batman Forever (Swiss)" devices ())
(name "bmf_cn" year "1995" manufacturer "Sega" desc "Batman Forever (Canadian)" devices ())
(name "bmf_de" year "1995" manufacturer "Sega" desc "Batman Forever (German)" devices ())
(name "bmf_fr" year "1995" manufacturer "Sega" desc "Batman Forever (French)" devices ())
(name "bmf_it" year "1995" manufacturer "Sega" desc "Batman Forever (Italian)" devices ())
(name "bmf_jp" year "1995" manufacturer "Sega" desc "Batman Forever (Japanese)" devices ())
(name "bmf_nl" year "1995" manufacturer "Sega" desc "Batman Forever (Dutch)" devices ())
(name "bmf_no" year "1995" manufacturer "Sega" desc "Batman Forever (Norwegian)" devices ())
(name "bmf_sp" year "1995" manufacturer "Sega" desc "Batman Forever (Spanish)" devices ())
(name "bmf_sv" year "1995" manufacturer "Sega" desc "Batman Forever (Swedish)" devices ())
(name "bmf_time" year "1995" manufacturer "Sega" desc "Batman Forever (Timed Play)" devices ())
(name "bmf_uk" year "1995" manufacturer "Sega" desc "Batman Forever (English)" devices ())
(name "bmfinal" year "2002" manufacturer "Konami" desc "beatmania THE FINAL (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bmiidx" year "1999" manufacturer "Konami" desc "beatmania IIDX (863 JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx2" year "1999" manufacturer "Konami" desc "beatmania IIDX 2nd style (GC985 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx3" year "2000" manufacturer "Konami" desc "beatmania IIDX 3rd style (GC992 JAC)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx3a" year "2000" manufacturer "Konami" desc "beatmania IIDX 3rd style (GC992 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx3b" year "2000" manufacturer "Konami" desc "beatmania IIDX 3rd style (GC992 JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx4" year "2000" manufacturer "Konami" desc "beatmania IIDX 4th style (GCA03 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx5" year "2001" manufacturer "Konami" desc "beatmania IIDX 5th style (GCA17 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx6" year "2001" manufacturer "Konami" desc "beatmania IIDX 6th style (GCB4U JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx6a" year "2001" manufacturer "Konami" desc "beatmania IIDX 6th style (GCB4U JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx7" year "2002" manufacturer "Konami" desc "beatmania IIDX 7th style (GCB44 JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx7a" year "2002" manufacturer "Konami" desc "beatmania IIDX 7th style (GCB44 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidx8" year "2002" manufacturer "Konami" desc "beatmania IIDX 8th style (GCC44 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxa" year "1999" manufacturer "Konami" desc "beatmania IIDX (863 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxc" year "1999" manufacturer "Konami" desc "beatmania IIDX with DDR 2nd Club Version (896 JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxc2" year "1999" manufacturer "Konami" desc "beatmania IIDX Substream with DDR 2nd Club Version 2 (984 A01 BM)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxca" year "1999" manufacturer "Konami" desc "beatmania IIDX with DDR 2nd Club Version (896 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxs" year "1999" manufacturer "Konami" desc "beatmania IIDX Substream (983 JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmiidxsa" year "1999" manufacturer "Konami" desc "beatmania IIDX Substream (983-AA JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "bmjr" year "1982" manufacturer "Hitachi" desc "Basic Master Jr" devices ((name "cassette" briefname "cass" )))
(name "bml3" year "1980" manufacturer "Hitachi" desc "MB-6890 Basic Master Level 3" devices ((name "cassette" briefname "cass" )))
(name "bml3mk2" year "1982" manufacturer "Hitachi" desc "MB-6891 Basic Master Level 3 Mark 2" devices ((name "cassette" briefname "cass" )))
(name "bml3mk5" year "1983" manufacturer "Hitachi" desc "MB-6892 Basic Master Level 3 Mark 5" devices ((name "cassette" briefname "cass" )))
(name "bmoonii" year "1998" manufacturer "IGT" desc "Blue Moon II" devices ())
(name "bmsafari" year "1981" manufacturer "Bambino" desc "Safari (Bambino)" devices ())
(name "bmsoccer" year "1979" manufacturer "Bambino" desc "Kick The Goal Soccer" devices ())
(name "bmx" year "1983" manufacturer "Bally" desc "BMX" devices ())
(name "bmxstunts" year "1985" manufacturer "Jetsoft" desc "BMX Stunts" devices ())
(name "bndarc" year "1982" manufacturer "Bandai" desc "Arcadia (Bandai)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "bnglngby" year "1985" manufacturer "Nintendo / Broderbund Software Inc." desc "Vs. Raid on Bungeling Bay (RD4-2 B)" devices ())
(name "bngotime" year "1986" manufacturer "CLS" desc "Bingo Time" devices ())
(name "bnj" year "1982" manufacturer "Data East USA" desc "Bump 'n' Jump" devices ())
(name "bnjm" year "1982" manufacturer "Data East USA (Bally Midway license)" desc "Bump 'n' Jump (Midway)" devices ())
(name "bnstars" year "1997" manufacturer "Jaleco" desc "Vs. Janshi Brandnew Stars (Ver 1.1, MegaSystem32 Version)" devices ())
(name "bnstars1" year "1997" manufacturer "Jaleco" desc "Vs. Janshi Brandnew Stars" devices ())
(name "bnstlkr" year "198?" manufacturer "Cleartone Leisure Ltd." desc "Bonus Talker" devices ())
(name "bntyhunt" year "2002?" manufacturer "GC-Tech Co., LTD" desc "Bounty Hunter (GC-Tech Co., LTD)" devices ())
(name "bnzabros" year "1990" manufacturer "Sega" desc "Bonanza Bros (US, Floppy DS3-5000-07d? Based)" devices ())
(name "bnzabrosj" year "1990" manufacturer "Sega" desc "Bonanza Bros (Japan, Floppy DS3-5000-07b Based)" devices ())
(name "bnzai_g3" year "1988" manufacturer "Williams" desc "Banzai Run (L-3) Germany" devices ())
(name "bnzai_l1" year "1988" manufacturer "Williams" desc "Banzai Run (L-1)" devices ())
(name "bnzai_l3" year "1988" manufacturer "Williams" desc "Banzai Run (L-3)" devices ())
(name "bnzai_pa" year "1988" manufacturer "Williams" desc "Banzai Run (P-A)" devices ())
(name "boasorte" year "198?" manufacturer "<unknown>" desc "Boa Sorte! (Golden Poker prequel HW)" devices ())
(name "boatrace" year "1993" manufacturer "Sega" desc "Exciting Boat Race" devices ())
(name "bob85" year "1984" manufacturer "Josef Kratochvil" desc "BOB-85" devices ((name "cassette" briefname "cass" )))
(name "bobdolly" year "2007" manufacturer "Aristocrat" desc "Bob and Dolly (0352298, US)" devices ())
(name "boblbobl" year "1986" manufacturer "bootleg" desc "Bobble Bobble (bootleg of Bubble Bobble)" devices ())
(name "boblcave" year "2013" manufacturer "hack (Bisboch and Aladar)" desc "Bubble Bobble: Lost Cave V1.2 (for Bobble Bobble PCB)" devices ())
(name "bodyslam" year "1986" manufacturer "Sega" desc "Body Slam (8751 317-0015)" devices ())
(name "bogeyman" year "1985" manufacturer "Technos Japan" desc "Bogey Manor" devices ())
(name "boggy84" year "1983" manufacturer "Kaneko" desc "Boggy '84" devices ())
(name "boggy84b" year "1983" manufacturer "bootleg (Eddie's Games)" desc "Boggy '84 (bootleg, set 1)" devices ())
(name "boggy84b2" year "1983" manufacturer "bootleg" desc "Boggy '84 (bootleg, set 2)" devices ())
(name "bolsaint" year "2000" manufacturer "Sleic/Petaco" desc "Bolsa Internacional (euro)" devices ())
(name "bombaway" year "1976" manufacturer "Meadows" desc "Bombs Away" devices ())
(name "bombbee" year "1979" manufacturer "Namco" desc "Bomb Bee" devices ())
(name "bomber" year "198?" manufacturer "bootleg (Alca)" desc "Bomber (bootleg of Scramble)" devices ())
(name "bombjack" year "1984" manufacturer "Tehkan" desc "Bomb Jack" devices ())
(name "bombjack2" year "1984" manufacturer "Tehkan" desc "Bomb Jack (earlier)" devices ())
(name "bombjackbl" year "1985" manufacturer "bootleg" desc "Bomb Jack (bootleg)" devices ())
(name "bombjackt" year "1984" manufacturer "Tehkan (Tecfri license)" desc "Bomb Jack (Tecfri, Spain)" devices ())
(name "bombkick" year "1998" manufacturer "Yun Sung" desc "Bomb Kick (set 1)" devices ())
(name "bombkicka" year "1998" manufacturer "Yun Sung" desc "Bomb Kick (set 2)" devices ())
(name "bomblord" year "1992" manufacturer "bootleg" desc "Bomber Lord (bootleg)" devices ())
(name "bombman" year "1984" manufacturer "Tomy" desc "Bombman" devices ())
(name "bombrman" year "1991" manufacturer "Irem (licensed from Hudson Soft)" desc "Bomber Man (Japan)" devices ())
(name "bombsa" year "1988" manufacturer "Jaleco" desc "Bombs Away (prototype)" devices ())
(name "bonanza" year "1994" manufacturer "New Image Technologies" desc "Touchstar Bonanza (Revision 3)" devices ())
(name "bonanzar2" year "1994" manufacturer "New Image Technologies" desc "Touchstar Bonanza (Revision 2)" devices ())
(name "bonebstr" year "1989" manufacturer "Gottlieb" desc "Bone Busters Inc." devices ())
(name "bonebstrf" year "1989" manufacturer "Gottlieb" desc "Bone Busters Inc. (French)" devices ())
(name "bonebstrg" year "1989" manufacturer "Gottlieb" desc "Bone Busters Inc. (German)" devices ())
(name "bongo" year "1983" manufacturer "Jetsoft" desc "Bongo" devices ())
(name "bongog" year "1983" manufacturer "bootleg?" desc "Bongo (Galaxian hardware)" devices ())
(name "bonkadv" year "1994" manufacturer "Kaneko" desc "B.C. Kid / Bonk's Adventure / Kyukyoku!! PC Genjin" devices ())
(name "bonkadva" year "1994" manufacturer "Kaneko" desc "Bonk's Adventure (prototype)" devices ())
(name "bonusch" year "1990" manufacturer "Wing Co., Ltd." desc "Bonus Chance (W-8)" devices ())
(name "bonuscrd" year "1986" manufacturer "Fun World" desc "Bonus Card (German)" devices ())
(name "bonuscrda" year "1986" manufacturer "Fun World" desc "Bonus Card (German, ATG Electronic hack)" devices ())
(name "bonuspkr" year "1984" manufacturer "Galanthis Inc." desc "Bonus Poker" devices ())
(name "bonzeadv" year "1988" manufacturer "Taito Corporation Japan" desc "Bonze Adventure (World, rev 1)" devices ())
(name "bonzeadvo" year "1988" manufacturer "Taito Corporation Japan" desc "Bonze Adventure (World)" devices ())
(name "bonzeadvp" year "1988" manufacturer "Taito Corporation Japan" desc "Bonze Adventure (World, prototype, newer)" devices ())
(name "bonzeadvp2" year "1988" manufacturer "Taito Corporation Japan" desc "Bonze Adventure (World, prototype, older)" devices ())
(name "bonzeadvu" year "1988" manufacturer "Taito America Corporation" desc "Bonze Adventure (US, rev 1)" devices ())
(name "boo1000" year "2000" manufacturer "JK Amusement" desc "Boo 1000" devices ())
(name "boobhack" year "1987" manufacturer "bootleg" desc "Booby Kids (Italian manufactured graphic hack / bootleg of Kid no Hore Hore Daisakusen (bootleg))" devices ())
(name "boogwing" year "1992" manufacturer "Data East Corporation" desc "Boogie Wings (Europe v1.5, 92.12.07)" devices ())
(name "boogwinga" year "1992" manufacturer "Data East Corporation" desc "Boogie Wings (Asia v1.5, 92.12.07)" devices ())
(name "boogwingu" year "1992" manufacturer "Data East Corporation" desc "Boogie Wings (USA v1.7, 92.12.14)" devices ())
(name "bookra" year "2002?" manufacturer "Novotech" desc "Book Of Ra (set 1)" devices ())
(name "bookthr" year "200?" manufacturer "Nazionale Elettronica" desc "Book Theatre (Ver 1.2)" devices ())
(name "boomrang" year "1983" manufacturer "Data East Corporation" desc "Boomer Rang'r / Genesis (set 1)" devices ())
(name "boomranga" year "1983" manufacturer "Data East Corporation" desc "Boomer Rang'r / Genesis (set 2)" devices ())
(name "boonggab" year "2001" manufacturer "Taff System" desc "Boong-Ga Boong-Ga (Spank'em!)" devices ())
(name "bootcamp" year "1987" manufacturer "Konami" desc "Boot Camp (set 1)" devices ())
(name "bootcampa" year "1987" manufacturer "Konami" desc "Boot Camp (set 2)" devices ())
(name "boothill" year "1977" manufacturer "Dave Nutting Associates / Midway" desc "Boot Hill" devices ())
(name "bootsctn" year "1998" manufacturer "Aristocrat" desc "Boot Scootin' (0100812V, NSW/ACT)" devices ())
(name "bootsctnu" year "1999" manufacturer "Aristocrat" desc "Boot Scootin' (GHG1012-02, US)" devices ())
(name "bootsctnua" year "1999" manufacturer "Aristocrat" desc "Boot Scootin' (GHG1008-03, US)" devices ())
(name "bootsctnub" year "2001" manufacturer "Aristocrat" desc "Boot Scootin' (AHG1547, US)" devices ())
(name "bop_l2" year "1991" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-2)" devices ())
(name "bop_l3" year "1991" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-3)" devices ())
(name "bop_l4" year "1991" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-4)" devices ())
(name "bop_l5" year "1991" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-5)" devices ())
(name "bop_l6" year "1991" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-6)" devices ())
(name "bop_l7" year "1992" manufacturer "Williams" desc "The Machine: Bride of Pinbot (L-7)" devices ())
(name "borench" year "1990" manufacturer "Sega" desc "Borench (set 1)" devices ())
(name "borencha" year "1990" manufacturer "Sega" desc "Borench (set 2)" devices ())
(name "borenchj" year "1990" manufacturer "Sega" desc "Borench (Japan)" devices ())
(name "boris" year "1978" manufacturer "Applied Concepts" desc "Boris (rev. 01)" devices ())
(name "borisa" year "1978" manufacturer "Applied Concepts" desc "Boris (rev. 00)" devices ())
(name "borisdpl" year "1979" manufacturer "Applied Concepts" desc "Boris Diplomat" devices ())
(name "borntofi" year "19??" manufacturer "International Games" desc "Born To Fight (set 1)" devices ())
(name "borntofia" year "19??" manufacturer "International Games" desc "Born To Fight (set 2)" devices ())
(name "borntofiv" year "1989" manufacturer "International Games (Vifico license)" desc "Born To Fight (Vifico license)" devices ())
(name "bosco" year "1981" manufacturer "Namco" desc "Bosconian - Star Destroyer (version 5)" devices ())
(name "bosco1" year "1981" manufacturer "Namco" desc "Bosconian - Star Destroyer (version 1, newer)" devices ())
(name "bosco1o" year "1981" manufacturer "Namco" desc "Bosconian - Star Destroyer (version 1, older)" devices ())
(name "bosco3" year "1981" manufacturer "Namco" desc "Bosconian - Star Destroyer (version 3)" devices ())
(name "boscomd" year "1981" manufacturer "Namco (Midway license)" desc "Bosconian - Star Destroyer (Midway, new version)" devices ())
(name "boscomdo" year "1981" manufacturer "Namco (Midway license)" desc "Bosconian - Star Destroyer (Midway, old version)" devices ())
(name "bossa85" year "1981" manufacturer "Olympia International" desc "Olympia BOSS A 8085" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "bossb85" year "1981" manufacturer "Olympia International" desc "Olympia BOSS B 8085" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "botanic" year "1983" manufacturer "Itisa" desc "Botanic (English / Spanish)" devices ())
(name "botanic2" year "1983" manufacturer "Itisa" desc "Botanic (English / Spanish, Bagman conversion)" devices ())
(name "botanicf" year "1984" manufacturer "Itisa (Valadon Automation license)" desc "Botanic (French)" devices ())
(name "botss" year "1992" manufacturer "Microprose Games Inc." desc "Battle of the Solar System (rev. 1.1a 7/23/92)" devices ())
(name "botss11" year "1992" manufacturer "Microprose Games Inc." desc "Battle of the Solar System (rev. 1.1 3/24/92)" devices ())
(name "bottl10b" year "1996" manufacturer "C.M.C." desc "Bottle 10 (Italian, set 2)" devices ())
(name "bottle10" year "1996" manufacturer "C.M.C." desc "Bottle 10 (Italian, set 1)" devices ())
(name "bottom9" year "1989" manufacturer "Konami" desc "Bottom of the Ninth (version T)" devices ())
(name "bottom9n" year "1989" manufacturer "Konami" desc "Bottom of the Ninth (version N)" devices ())
(name "bouldash" year "1990" manufacturer "Data East Corporation (licensed from First Star)" desc "Boulder Dash / Boulder Dash Part 2 (World)" devices ())
(name "bouldashj" year "1990" manufacturer "Data East Corporation (licensed from First Star)" desc "Boulder Dash / Boulder Dash Part 2 (Japan)" devices ())
(name "bounty" year "1982" manufacturer "Orca" desc "The Bounty (set 1)" devices ())
(name "bounty2" year "1982" manufacturer "Orca" desc "The Bounty (set 2)" devices ())
(name "bountyh" year "1985" manufacturer "Gottlieb" desc "Bounty Hunter" devices ())
(name "bountyhg" year "1985" manufacturer "Gottlieb" desc "Bounty Hunter (German)" devices ())
(name "bowarrow" year "1976" manufacturer "Bally" desc "Bow & Arrow (Prototype, rev. 23)" devices ())
(name "bowarrowa" year "1976" manufacturer "Bally" desc "Bow & Arrow (Prototype, rev. 22)" devices ())
(name "bowl3d" year "1978" manufacturer "Meadows Games, Inc." desc "3-D Bowling" devices ())
(name "bowler" year "1978" manufacturer "Midway" desc "Bowling Alley" devices ())
(name "bowlgum" year "1992?" manufacturer "<unknown>" desc "Bowling Gum" devices ())
(name "bowlrama" year "1991" manufacturer "P&P Marketing" desc "Bowl-O-Rama (Rev 1.0)" devices ())
(name "bowlroad" year "2001" manufacturer "Nazionale Elettronica" desc "Bowling Road (Ver 1.5)" devices ())
(name "bowlroad14" year "2001" manufacturer "Nazionale Elettronica" desc "Bowling Road (Ver 1.4)" devices ())
(name "bowlroad14n" year "2001" manufacturer "Nazionale Elettronica" desc "Bowling Road (Ver 1.4, ND2001 hardware)" devices ())
(name "bowltry" year "200?" manufacturer "Atlus" desc "Bowling Try!" devices ())
(name "bowmen" year "1994" manufacturer "Ten-Level" desc "Bowmen" devices ())
(name "boxer" year "1978" manufacturer "Atari" desc "Boxer (prototype)" devices ())
(name "boxingb" year "1981" manufacturer "Cinematronics" desc "Boxing Bugs" devices ())
(name "boxingm" year "2001" manufacturer "Konami" desc "Boxing Mania: Ashita no Joe (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "boxyboy" year "1990" manufacturer "Namco" desc "Boxy Boy (World, SB2)" devices ())
(name "boxyboya" year "1990" manufacturer "Namco" desc "Boxy Boy (SB?)" devices ())
(name "bp1200" year "1992" manufacturer "BP Microsystems" desc "BP-1200" devices ())
(name "bparty" year "2000" manufacturer "Aristocrat" desc "Bachelorette Party (BHG1248, US)" devices ())
(name "bpartya" year "2000" manufacturer "Aristocrat" desc "Bachelorette Party (BHG1579, US)" devices ())
(name "bpengo" year "1983" manufacturer "Bandai" desc "Pengo (Bandai)" devices ())
(name "bpoker" year "198?" manufacturer "Recreativos Franco" desc "Video Poker (v1403)" devices ())
(name "br8641" year "1986" manufacturer "Brandt" desc "Brandt 8641" devices ())
(name "br_l1" year "1992" manufacturer "Bally" desc "Black Rose (L-1)" devices ())
(name "br_l3" year "1993" manufacturer "Bally" desc "Black Rose (L-3)" devices ())
(name "br_l4" year "1993" manufacturer "Bally" desc "Black Rose (L-4)" devices ())
(name "br_p17" year "1992" manufacturer "Bally" desc "Black Rose (SP-1)" devices ())
(name "bradley" year "1980" manufacturer "Atari" desc "Bradley Trainer" devices ())
(name "brailab4" year "1984" manufacturer "Jozsef and Endre Lukacs" desc "Brailab 4" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "brain" year "1986" manufacturer "Coreland / Sega" desc "Brain" devices ())
(name "brainbaf" year "1979" manufacturer "Mattel Electronics" desc "Brain Baffler" devices ())
(name "braiplus" year "1988" manufacturer "Jozsef and Endre Lukacs" desc "BraiLab Plus" devices ())
(name "brapboys" year "1992" manufacturer "Kaneko" desc "B.Rap Boys (World)" devices ())
(name "brapboysp" year "1992" manufacturer "Kaneko" desc "B.Rap Boys Special (World, newer)" devices ())
(name "brapboysp2" year "1992" manufacturer "Kaneko" desc "B.Rap Boys Special (World, older)" devices ())
(name "brapboyspj" year "1992" manufacturer "Kaneko" desc "B.Rap Boys Special (Japan)" devices ())
(name "brapboyspu" year "1992" manufacturer "Kaneko" desc "B.Rap Boys Special (US)" devices ())
(name "brasil" year "2000" manufacturer "High Video" desc "Bra$il (Version 3)" devices ())
(name "brasil86" year "1986" manufacturer "<unknown>" desc "Brasil 86" devices ())
(name "brasil87" year "1987" manufacturer "<unknown>" desc "Brasil 87" devices ())
(name "brasil89" year "1989" manufacturer "<unknown>" desc "Brasil 89 (set 1)" devices ())
(name "brasil89a" year "1989" manufacturer "<unknown>" desc "Brasil 89 (set 2)" devices ())
(name "brasil93" year "1993" manufacturer "<unknown>" desc "Brasil 93" devices ())
(name "braveff" year "1999" manufacturer "Sega" desc "Brave Firefighters" devices ())
(name "brazil" year "2005" manufacturer "Aristocrat" desc "Brazil (20180311, NSW/ACT)" devices ())
(name "brazila" year "2006" manufacturer "Aristocrat" desc "Brazil (10218511, ASP)" devices ())
(name "brdrlinb" year "1981" manufacturer "bootleg (Karateco)" desc "Borderline (Karateco bootleg)" devices ())
(name "brdrline" year "1981" manufacturer "Sega" desc "Borderline" devices ())
(name "brdrlinet" year "1981" manufacturer "Sega" desc "Borderline (Tranquillizer Gun conversion)" devices ())
(name "brdrlins" year "1981" manufacturer "bootleg (Sidam)" desc "Borderline (Sidam bootleg)" devices ())
(name "break86" year "1986" manufacturer "Video Dens" desc "Break '86" devices ())
(name "breakers" year "1996" manufacturer "Visco" desc "Breakers" devices ((name "memcard" briefname "memc" ) ()))
(name "breakout" year "1976" manufacturer "Atari" desc "Breakout" devices ())
(name "breakrev" year "1998" manufacturer "Visco" desc "Breakers Revenge" devices ((name "memcard" briefname "memc" ) ()))
(name "breywood" year "1986" manufacturer "Data East Corporation" desc "Breywood (Japan revision 2)" devices ())
(name "brglitz" year "2014" manufacturer "Harry Levy" desc "Ballroom Glitz" devices ())
(name "brickppl" year "2009" manufacturer "Sega" desc "Brick People / Block PeePoo (Ver 1.002)" devices ())
(name "brickyrd" year "1976" manufacturer "Ramtek" desc "Brickyard" devices ())
(name "brickzn" year "1992" manufacturer "SunA" desc "Brick Zone (v6.0, Joystick)" devices ())
(name "brickzn11" year "1992" manufacturer "SunA" desc "Brick Zone (v1.1, Spinner)" devices ())
(name "brickznv4" year "1992" manufacturer "SunA" desc "Brick Zone (v4.0, Spinner)" devices ())
(name "brickznv5" year "1992" manufacturer "SunA" desc "Brick Zone (v5.0, Joystick)" devices ())
(name "bridgeb" year "1980" manufacturer "Fidelity Electronics" desc "Bridge Bidder" devices ())
(name "bridgec" year "1979" manufacturer "Fidelity Electronics" desc "Bridge Challenger" devices ())
(name "bridgec3" year "1982" manufacturer "Fidelity Electronics" desc "Bridge Challenger III" devices ())
(name "bridgeca" year "1979" manufacturer "Fidelity Electronics" desc "Advanced Bridge Challenger" devices ())
(name "bridgecv" year "1979" manufacturer "Fidelity Electronics" desc "Voice Bridge Challenger" devices ())
(name "brival" year "1992" manufacturer "Sega" desc "Burning Rival (World)" devices ())
(name "brivalj" year "1992" manufacturer "Sega" desc "Burning Rival (Japan)" devices ())
(name "brix" year "1982" manufacturer "Cinematronics / Advanced Microcomputer Systems" desc "Brix" devices ())
(name "brixian" year "1993" manufacturer "Cheil Computer System" desc "Brixian" devices ())
(name "brkball" year "1994" manufacturer "BFM/ATOD" desc "Break Ball" devices ())
(name "brkblast" year "1984" manufacturer "bootleg (Fadesa)" desc "Brick Blast (bootleg of Wall Crash)" devices ())
(name "brke23p2" year "1993" manufacturer "E-Star" desc "Brick Game 96 in 1 (E-23 Plus Mark II)" devices ())
(name "brkthru" year "1986" manufacturer "Data East USA" desc "Break Thru (US)" devices ())
(name "brkthrubl" year "1986" manufacturer "bootleg" desc "Break Thru (bootleg)" devices ())
(name "brkthruj" year "1986" manufacturer "Data East Corporation" desc "Kyohkoh-Toppa (Japan)" devices ())
(name "brkthrut" year "1986" manufacturer "Data East Corporation (Tecfri license)" desc "Break Thru (Tecfri license)" devices ())
(name "brod" year "19??" manufacturer "bootleg" desc "Brodjaga (Arcade bootleg of ZX Spectrum 'Inspector Gadget and the Circus of Fear')" devices ())
(name "bronx" year "1986" manufacturer "bootleg" desc "Bronx" devices ())
(name "brooklyn" year "19??" manufacturer "Seeben (Belgium)" desc "Brooklyn (set 1) (Bingo)" devices ())
(name "brooklyna" year "19??" manufacturer "Seeben (Belgium)" desc "Brooklyn (set 2) (Bingo)" devices ())
(name "brooks" year "1996" manufacturer "Gottlieb" desc "Brooks & Dunn (rev.T1)" devices ())
(name "brubber" year "1982" manufacturer "Data East" desc "Burnin' Rubber" devices ())
(name "bruc100" year "1987" manufacturer "Frael" desc "Bruc 100-1 (MSX1, Italy)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "bruc100a" year "1988" manufacturer "Frael" desc "Bruc 100-2 (MSX1, Italy)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "brutforc" year "1991" manufacturer "Leland Corporation" desc "Brute Force" devices ())
(name "brvblade" year "2000" manufacturer "Eighting / Raizing" desc "Brave Blade (World)" devices ())
(name "brvbladea" year "2000" manufacturer "Eighting / Raizing" desc "Brave Blade (Asia)" devices ())
(name "brvbladej" year "2000" manufacturer "Eighting / Raizing" desc "Brave Blade (Japan)" devices ())
(name "brvbladeu" year "2000" manufacturer "Eighting / Raizing" desc "Brave Blade (USA)" devices ())
(name "brvteam" year "1985" manufacturer "Inder" desc "Brave Team" devices ())
(name "bs4thmix" year "1999" manufacturer "Konami" desc "beatstage 4th MIX (ver KA-A)" devices ((name "harddisk" briefname "hard" )))
(name "bs9009cx" year "1999" manufacturer "VTech" desc "BrainStation 9009 CXL (Germany)" devices ())
(name "bs94" year "1994" manufacturer "Entretenimientos GEMINIS" desc "Buena Suerte '94" devices ())
(name "bsb105" year "1996" manufacturer "Capcom" desc "Breakshot (Beta)" devices ())
(name "bscompmx" year "1999" manufacturer "Konami" desc "beatstage complete MIX (ver KA-B)" devices ((name "harddisk" briefname "hard" )))
(name "bsebman" year "19??" manufacturer "BS Electronics" desc "Bomberman (Version 6.6)" devices ())
(name "bsebmanbl" year "1999" manufacturer "bootleg (Ballas / Avraam)" desc "Bomberman (Version 6.6, Avraam bootleg)" devices ())
(name "bsebmanbl2" year "1999" manufacturer "bootleg (J.T.)" desc "Bomberman (Version 6.6, J.T. bootleg)" devices ())
(name "bshark" year "1989" manufacturer "Taito Corporation Japan" desc "Battle Shark (World)" devices ())
(name "bsharkj" year "1989" manufacturer "Taito Corporation" desc "Battle Shark (Japan)" devices ())
(name "bsharkjjs" year "1989" manufacturer "Taito Corporation" desc "Battle Shark (Japan, Joystick)" devices ())
(name "bsharku" year "1989" manufacturer "Taito America Corporation" desc "Battle Shark (US)" devices ())
(name "bship" year "1977" manufacturer "Milton Bradley" desc "Electronic Battleship (TMS1000 version, rev. A)" devices ())
(name "bshipb" year "1978" manufacturer "Milton Bradley" desc "Electronic Battleship (TMS1000 version, rev. B)" devices ())
(name "bshipg" year "1982" manufacturer "Milton Bradley" desc "Electronic Battleship (COP420 version, rev. G)" devices ())
(name "bsktball" year "1979" manufacturer "Atari" desc "Atari Basketball" devices ())
(name "bsktbllp" year "1987" manufacturer "IDSA" desc "Basket Ball" devices ())
(name "bsplash" year "2002?" manufacturer "Novotech" desc "Banana Splash (set 1)" devices ())
(name "bssoccer" year "1996" manufacturer "SunA (Unico license)" desc "Back Street Soccer (KRB-0031 PCB)" devices ())
(name "bssoccera" year "1996" manufacturer "SunA (Unico license)" desc "Back Street Soccer (KRB-0032A PCB)" devices ())
(name "bstars" year "1990" manufacturer "SNK" desc "Baseball Stars Professional (NGM-002)" devices ((name "memcard" briefname "memc" ) ()))
(name "bstars2" year "1992" manufacturer "SNK" desc "Baseball Stars 2" devices ((name "memcard" briefname "memc" ) ()))
(name "bstarsh" year "1990" manufacturer "SNK" desc "Baseball Stars Professional (NGH-002)" devices ((name "memcard" briefname "memc" ) ()))
(name "bstrk_l1" year "1983" manufacturer "Williams/United" desc "Big Strike (Shuffle) (L-1)" devices ())
(name "bsuerte" year "1990" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 1)" devices ())
(name "bsuertea" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 2)" devices ())
(name "bsuerteb" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 3)" devices ())
(name "bsuertec" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 4)" devices ())
(name "bsuerted" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 5)" devices ())
(name "bsuertee" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 6)" devices ())
(name "bsuertef" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 7)" devices ())
(name "bsuerteg" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 8)" devices ())
(name "bsuerteh" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 9)" devices ())
(name "bsuertei" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 10)" devices ())
(name "bsuertej" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 11)" devices ())
(name "bsuertek" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 12)" devices ())
(name "bsuertel" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 13)" devices ())
(name "bsuertem" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 14)" devices ())
(name "bsuerten" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 15, Prodel PCB)" devices ())
(name "bsuerteo" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 16)" devices ())
(name "bsuertep" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 17)" devices ())
(name "bsuerteq" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 18)" devices ())
(name "bsuerter" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 19)" devices ())
(name "bsuertes" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 20)" devices ())
(name "bsuertet" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 21)" devices ())
(name "bsuerteu" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish, set 22)" devices ())
(name "bsuertev" year "1991" manufacturer "<unknown>" desc "Buena Suerte (Spanish/Portuguese, set 23)" devices ())
(name "bsuprem" year "198?" manufacturer "Andra / Vifico" desc "Baby Suprem" devices ())
(name "bsv100r" year "1996" manufacturer "Capcom" desc "Breakshot (Redemption 1.0)" devices ())
(name "bsv102" year "1996" manufacturer "Capcom" desc "Breakshot (1.2)" devices ())
(name "bsv102r" year "1996" manufacturer "Capcom" desc "Breakshot (Redemption 1.2)" devices ())
(name "bsv103" year "1996" manufacturer "Capcom" desc "Breakshot (1.3)" devices ())
(name "btchamp" year "1996" manufacturer "Konami" desc "Beat the Champ (GV053 UAA01)" devices ((name "cdrom" briefname "cdrm" )))
(name "btime" year "1982" manufacturer "Data East Corporation" desc "Burger Time (Data East set 1)" devices ())
(name "btime2" year "1982" manufacturer "Data East Corporation" desc "Burger Time (Data East set 2)" devices ())
(name "btime3" year "1982" manufacturer "Data East USA Inc." desc "Burger Time (Data East USA)" devices ())
(name "btimem" year "1982" manufacturer "Data East (Bally Midway license)" desc "Burger Time (Midway)" devices ())
(name "btippers" year "2001" manufacturer "WMS" desc "Big Tippers (Russian)" devices ())
(name "btlecity" year "1985" manufacturer "Namco" desc "Vs. Battle City" devices ())
(name "btlfield" year "1987" manufacturer "Alpha Denshi Co. (SNK license)" desc "Battle Field (Japan)" devices ())
(name "btlfieldb" year "1987" manufacturer "bootleg" desc "Battle Field (bootleg)" devices ())
(name "btlfront" year "2005" manufacturer "TJF" desc "BattleFront" devices ())
(name "btlkroad" year "1994" manufacturer "Psikyo" desc "Battle K-Road" devices ())
(name "btlkroadk" year "1994" manufacturer "Psikyo" desc "Battle K-Road (Korea)" devices ())
(name "btltryst" year "1998" manufacturer "Konami" desc "Battle Tryst (ver JAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "btm2105" year "1985" manufacturer "British Telecom Business Systems" desc "BT Merlin M2105" devices ((name "cassette" briefname "cass" ) (name "bitbanger" briefname "bitb" ) (name "printout" briefname "prin" )))
(name "btmn_101" year "1991" manufacturer "Data East" desc "Batman (USA 1.01, display A1.02)" devices ())
(name "btmn_103" year "1991" manufacturer "Data East" desc "Batman (USA 1.03, display A1.02)" devices ())
(name "btmn_103f" year "1991" manufacturer "Data East" desc "Batman (France 1.03, display F1.03)" devices ())
(name "btmn_103g" year "1991" manufacturer "Data East" desc "Batman (Germany 1.03, display G1.04)" devices ())
(name "btmn_106" year "1991" manufacturer "Data East" desc "Batman (USA 1.06, display A1.02)" devices ())
(name "btoads" year "1994" manufacturer "Rare / Electronic Arts" desc "Battletoads" devices ())
(name "btorneo" year "200?" manufacturer "<unknown>" desc "Bubble Torneo" devices ())
(name "btplay2k" year "2000" manufacturer "dgPIX Entertainment Inc." desc "Beat Player 2000" devices ())
(name "bttf_a20" year "1990" manufacturer "Data East" desc "Back to the Future - The Pinball (2.0)" devices ())
(name "bttf_a21" year "1990" manufacturer "Data East" desc "Back to the Future - The Pinball (2.1)" devices ())
(name "bttf_a27" year "1990" manufacturer "Data East" desc "Back to the Future - The Pinball (2.7)" devices ())
(name "bttf_a28" year "1990" manufacturer "Data East" desc "Back to the Future - The Pinball (2.8)" devices ())
(name "bttf_g27" year "199?" manufacturer "Data East" desc "Back to the Future - The Pinball (2.7, Germany)" devices ())
(name "bub68705" year "1986" manufacturer "bootleg" desc "Bubble Bobble (bootleg with 68705)" devices ())
(name "bub8749" year "1986" manufacturer "bootleg" desc "Bubble Bobble (bootleg of Japan Ver 0.0 with 8749)" devices ())
(name "bubblem" year "1995" manufacturer "Taito Corporation Japan" desc "Bubble Memories: The Story Of Bubble Bobble III (Ver 2.4O 1996/02/15)" devices ())
(name "bubblemj" year "1995" manufacturer "Taito Corporation" desc "Bubble Memories: The Story Of Bubble Bobble III (Ver 2.3J 1996/02/07)" devices ())
(name "bubblemu" year "1995" manufacturer "Taito America Corporation" desc "Bubble Memories: The Story Of Bubble Bobble III (Ver 2.5A 1996/02/21)" devices ())
(name "bubbles" year "1982" manufacturer "Williams" desc "Bubbles" devices ())
(name "bubblesp" year "1982" manufacturer "Williams" desc "Bubbles (prototype)" devices ())
(name "bubblesr" year "1982" manufacturer "Williams" desc "Bubbles (Solid Red label)" devices ())
(name "bubbletr" year "1992" manufacturer "Namco" desc "Bubble Trouble - Golly! Ghost! 2 (World, Rev B)" devices ())
(name "bubbletrj" year "1992" manufacturer "Namco" desc "Bubble Trouble - Golly! Ghost! 2 (Japan, Rev C)" devices ())
(name "bubbroul" year "1997" manufacturer "Taito Corporation" desc "Bubblen Roulette (Japan, main ver. 1.8, video ver. 1.3)" devices ())
(name "bubl2000" year "1998" manufacturer "Afega (Tuning license)" desc "Bubble 2000" devices ())
(name "bubl2000a" year "1998" manufacturer "Afega (Tuning license)" desc "Bubble 2000 V1.2" devices ())
(name "bublbob2" year "1994" manufacturer "Taito Corporation Japan" desc "Bubble Bobble II (Ver 2.6O 1994/12/16)" devices ())
(name "bublbob2o" year "1994" manufacturer "Taito Corporation Japan" desc "Bubble Bobble II (Ver 2.5O 1994/10/05)" devices ())
(name "bublbob2p" year "1994" manufacturer "Taito Corporation Japan" desc "Bubble Bobble II (Ver 0.0J 1993/12/13, prototype)" devices ())
(name "bublbobl" year "1986" manufacturer "Taito Corporation" desc "Bubble Bobble (Japan, Ver 0.1)" devices ())
(name "bublbobl1" year "1986" manufacturer "Taito Corporation" desc "Bubble Bobble (Japan, Ver 0.0)" devices ())
(name "bublboblb" year "2013" manufacturer "bootleg (Aladar)" desc "Bubble Bobble (for Bobble Bobble PCB)" devices ())
(name "bublboblp" year "1986" manufacturer "Taito Corporation" desc "Bubble Bobble (prototype on Tokio hardware)" devices ())
(name "bublboblr" year "1986" manufacturer "Taito America Corporation (Romstar license)" desc "Bubble Bobble (US, Ver 5.1)" devices ())
(name "bublboblr1" year "1986" manufacturer "Taito America Corporation (Romstar license)" desc "Bubble Bobble (US, Ver 1.0)" devices ())
(name "bublbust" year "1994" manufacturer "Taito America Corporation" desc "Bubble Buster (USA, B-System)" devices ())
(name "bublcave" year "2013" manufacturer "hack (Bisboch and Aladar)" desc "Bubble Bobble: Lost Cave V1.2" devices ())
(name "bublcave10" year "2012" manufacturer "hack (Bisboch and Aladar)" desc "Bubble Bobble: Lost Cave V1.0" devices ())
(name "bublcave11" year "2012" manufacturer "hack (Bisboch and Aladar)" desc "Bubble Bobble: Lost Cave V1.1" devices ())
(name "bublpong" year "1996" manufacturer "Top Ltd." desc "Bubble Pong Pong" devices ())
(name "bubsymphb" year "1994" manufacturer "bootleg" desc "Bubble Symphony (bootleg with OKI6295)" devices ())
(name "bubsymphba" year "1994" manufacturer "bootleg (SOFTV)" desc "Seoul Symphony (Bubble Symphony bootleg with OKI6295)" devices ())
(name "bubsymphe" year "1994" manufacturer "Taito Corporation Japan" desc "Bubble Symphony (Ver 2.5O 1994/10/05)" devices ())
(name "bubsymphj" year "1994" manufacturer "Taito Corporation" desc "Bubble Symphony (Ver 2.5J 1994/10/05)" devices ())
(name "bubsymphu" year "1994" manufacturer "Taito America Corporation" desc "Bubble Symphony (Ver 2.5A 1994/10/05)" devices ())
(name "bubucar" year "2009" manufacturer "IGS" desc "Bu Bu Car (English)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "bucaneer" year "2004" manufacturer "Aristocrat" desc "Buccaneer (Aristocrat, 10173011, NSW/ACT)" devices ())
(name "bucaneera" year "2004" manufacturer "Aristocrat" desc "Buccaneer (Aristocrat, 10181911, ASP)" devices ())
(name "bucaneeru" year "2005" manufacturer "Aristocrat" desc "Buccaneer (Aristocrat, 0252523, US)" devices ())
(name "bucaner" year "1981" manufacturer "hack (Video Research)" desc "Buccaneer (set 1)" devices ())
(name "bucanera" year "1981" manufacturer "hack (Video Research)" desc "Buccaneer (set 2)" devices ())
(name "buccanrs" year "1989" manufacturer "Duintronic" desc "Buccaneers (set 1)" devices ())
(name "buccanrsa" year "1989" manufacturer "Duintronic" desc "Buccaneers (set 2)" devices ())
(name "buccanrsb" year "1989" manufacturer "Duintronic" desc "Buccaneers (set 3, harder)" devices ())
(name "buckrgrs" year "1980" manufacturer "Gottlieb" desc "Buck Rogers" devices ())
(name "buckrog" year "1982" manufacturer "Sega" desc "Buck Rogers: Planet of Zoom" devices ())
(name "buckrogn" year "1982" manufacturer "Sega" desc "Buck Rogers: Planet of Zoom (not encrypted, set 1)" devices ())
(name "buckrogn2" year "1982" manufacturer "Sega" desc "Buck Rogers: Planet of Zoom (not encrypted, set 2)" devices ())
(name "buckstop" year "2010" manufacturer "Aristocrat" desc "The Buck Stops Here (10294311, NSW/ACT)" devices ())
(name "bucky" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver EAB)" devices ())
(name "buckyaa" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver AA)" devices ())
(name "buckyaab" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver AAB)" devices ())
(name "buckyea" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver EA)" devices ())
(name "buckyjaa" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver JAA)" devices ())
(name "buckyuab" year "1992" manufacturer "Konami" desc "Bucky O'Hare (ver UAB)" devices ())
(name "buffalo" year "2006" manufacturer "Aristocrat" desc "Buffalo (10217811, NSW/ACT)" devices ())
(name "buffaloa" year "2006" manufacturer "Aristocrat" desc "Buffalo (20232611, ASP)" devices ())
(name "buffalou" year "2006" manufacturer "Aristocrat" desc "Buffalo (0252636, US)" devices ())
(name "bugfever" year "2006" manufacturer "Amcoe" desc "Bugs Fever (Version 1.7R CGA)" devices ())
(name "bugfeverd" year "2006" manufacturer "Amcoe" desc "Bugs Fever (Version 1.7E CGA)" devices ())
(name "bugfevero" year "2006" manufacturer "Amcoe" desc "Bugs Fever (Version 1.6R CGA)" devices ())
(name "bugfeverv" year "2006" manufacturer "Amcoe" desc "Bugs Fever (Version 1.7R Dual)" devices ())
(name "bugfeverv2" year "2006" manufacturer "Amcoe" desc "Bugs Fever (Version 1.7E Dual)" devices ())
(name "buggyboy" year "1985" manufacturer "Tatsumi" desc "Buggy Boy/Speed Buggy (cockpit, rev. D)" devices ())
(name "buggyboyb" year "1986" manufacturer "Tatsumi" desc "Buggy Boy/Speed Buggy (cockpit, rev. B)" devices ())
(name "buggyboyjr" year "1986" manufacturer "Tatsumi" desc "Buggy Boy Junior/Speed Buggy (upright)" devices ())
(name "buggychl" year "1984" manufacturer "Taito Corporation" desc "Buggy Challenge" devices ())
(name "buggychlt" year "1984" manufacturer "Taito Corporation (Tecfri license)" desc "Buggy Challenge (Tecfri)" devices ())
(name "bujutsu" year "1997" manufacturer "Konami" desc "Fighting Wu-Shu 2nd! (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "bullet" year "1987" manufacturer "Sega" desc "Bullet (FD1094 317-0041)" devices ())
(name "bulletd" year "1987" manufacturer "bootleg" desc "Bullet (bootleg of FD1094 317-0041 set)" devices ())
(name "bullfgt" year "1984" manufacturer "Coreland / Sega" desc "Bullfight (315-5065)" devices ())
(name "bullfgtr" year "1984" manufacturer "Alpha Denshi Co." desc "Bull Fighter" devices ())
(name "bullfgtrs" year "1984" manufacturer "Alpha Denshi Co. (Sega license)" desc "Bull Fighter (Sega)" devices ())
(name "bullsdrt" year "1985" manufacturer "Shinkai Inc. (Magic Electronics Inc. license)" desc "Bulls Eye Darts" devices ())
(name "bullsdrtg" year "1985" manufacturer "Senko Industries" desc "Bulls Eye Darts (Galaxian conversion)" devices ())
(name "bullseye" year "1986" manufacturer "Grand Products" desc "301/Bullseye (301 Darts Scoring)" devices ())
(name "bullseyn" year "1986" manufacturer "Grand Products" desc "301/Bullseye (Traditional Scoring)" devices ())
(name "bultrman" year "1983" manufacturer "Bandai" desc "Ultraman Monster Battle" devices ())
(name "bumblbug" year "1996" manufacturer "Aristocrat" desc "Bumble Bugs (0200510V, NSW/ACT)" devices ())
(name "bumblbugq" year "1996" manufacturer "Aristocrat" desc "Bumble Bugs (0200456V, Queensland)" devices ())
(name "bumblbugu" year "1997" manufacturer "Aristocrat" desc "Bumble Bugs (CHG0479-03, US)" devices ())
(name "bumblbugua" year "1997" manufacturer "Aristocrat" desc "Bumble Bugs (CHG0479-99, US)" devices ())
(name "bungeem" year "2002?" manufacturer "Novotech" desc "Bungee Monkey (set 1)" devices ())
(name "bungeema" year "2002?" manufacturer "Novotech" desc "Bungee Monkey (set 2)" devices ())
(name "bup" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto Blitz- und Problemlösungs-Modul (set 1)" devices ())
(name "bupa" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto Blitz- und Problemlösungs-Modul (set 2)" devices ())
(name "buraiken" year "1987" manufacturer "Capcom" desc "Hissatsu Buraiken (Japan, rev. A)" devices ())
(name "buraikenb" year "1987" manufacturer "bootleg" desc "Hissatsu Buraiken (Japan, bootleg)" devices ())
(name "burgkids" year "1995" manufacturer "Sunwise" desc "Burger Kids (Japan)" devices ())
(name "burglarx" year "1997" manufacturer "Unico" desc "Burglar X" devices ())
(name "buriki" year "1999" manufacturer "SNK" desc "Buriki One: World Grapple Tournament '99 in Tokyo (rev.B)" devices ())
(name "burnforc" year "1989" manufacturer "Namco" desc "Burning Force (Japan, new version (Rev C))" devices ())
(name "burnforco" year "1989" manufacturer "Namco" desc "Burning Force (Japan, old version)" devices ())
(name "burningf" year "1991" manufacturer "SNK" desc "Burning Fight (NGM-018 ~ NGH-018)" devices ((name "memcard" briefname "memc" ) ()))
(name "burningfh" year "1991" manufacturer "SNK" desc "Burning Fight (NGH-018, US)" devices ((name "memcard" briefname "memc" ) ()))
(name "burningfp" year "1991" manufacturer "SNK" desc "Burning Fight (prototype, older)" devices ((name "memcard" briefname "memc" ) ()))
(name "burningfpa" year "1991" manufacturer "SNK" desc "Burning Fight (prototype, near final, ver 23.3, 910326)" devices ((name "memcard" briefname "memc" ) ()))
(name "burningfpb" year "1991" manufacturer "SNK" desc "Burning Fight (prototype, newer, V07)" devices ((name "memcard" briefname "memc" ) ()))
(name "bushido" year "1993" manufacturer "Inder" desc "Bushido (set 1)" devices ())
(name "bushidoa" year "1993" manufacturer "Inder" desc "Bushido (set 2)" devices ())
(name "bushidob" year "1993" manufacturer "Inder" desc "Bushido (set 3)" devices ())
(name "bushrngr" year "2001" manufacturer "Aristocrat" desc "Bushranger (10006111, NSW/ACT)" devices ())
(name "busicom" year "1974" manufacturer "Business Computer Corporation" desc "Busicom 141-PF" devices ())
(name "buster" year "1982" manufacturer "Marian Electronics Ltd." desc "Buster" devices ())
(name "butasan" year "1987" manufacturer "NMK (Jaleco license)" desc "Butasan - Pig's & Bomber's (Japan, English)" devices ())
(name "butasanj" year "1987" manufacturer "NMK (Jaleco license)" desc "Butasan (Japan, Japanese)" devices ())
(name "butrfly" year "1995" manufacturer "Bordun International" desc "Butterfly Video Game (version A00)" devices ())
(name "butrflybl" year "1995" manufacturer "bootleg" desc "Butterfly Video Game (version U350C)" devices ())
(name "buttdeli" year "1995" manufacturer "Aristocrat" desc "Butterfly Delight (0200143V, NSW/ACT)" devices ())
(name "buttobi" year "1994" manufacturer "Konami" desc "Buttobi Striker" devices ())
(name "buzzard" year "1984" manufacturer "Crux" desc "Buzzard" devices ())
(name "buzztime" year "2004" manufacturer "Cadaco" desc "Buzztime Home Trivia System" devices ((name "cartridge" briefname "cart" )))
(name "buzzundr" year "1997" manufacturer "Ace" desc "Buzzundrum (Ace)" devices ())
(name "bvm20f1e" year "1998" manufacturer "Sony" desc "Trinitron Color Video Monitor BVM-20F1E" devices ())
(name "bw12" year "1984" manufacturer "Bondwell Holding" desc "Bondwell 12" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "bw14" year "1984" manufacturer "Bondwell Holding" desc "Bondwell 14" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "bw14d" year "1984" manufacturer "Bondwell Holding" desc "Bondwell Portable Computer Model 14 (German keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "bw2" year "1985" manufacturer "Bondwell Holding" desc "Bondwell Model 2" devices ((name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "bw230" year "1985" manufacturer "Bondwell Holding" desc "BW230 (PRO28 Series)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "bwcasino" year "1983" manufacturer "Epos Corporation" desc "Boardwalk Casino" devices ())
(name "bwidow" year "1982" manufacturer "Atari" desc "Black Widow" devices ())
(name "bwidowp" year "1982" manufacturer "Atari" desc "Black Widow (prototype)" devices ())
(name "bwings" year "1984" manufacturer "Data East Corporation" desc "B-Wings (Japan new Ver.)" devices ())
(name "bwingsa" year "1984" manufacturer "Data East Corporation" desc "B-Wings (Alt Ver.?)" devices ())
(name "bwingso" year "1984" manufacturer "Data East Corporation" desc "B-Wings (Japan old Ver.)" devices ())
(name "bx256hp" year "1983" manufacturer "Commodore Business Machines" desc "BX256-80HP" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "bygone" year "1985" manufacturer "Taito Corporation" desc "Bygone (prototype)" devices ())
(name "byte" year "1990" manufacturer "BEMZ" desc "PEVM Byte" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "bzaxxon" year "1982" manufacturer "Bandai" desc "Zaxxon (Bandai)" devices ())
(name "bzone" year "1980" manufacturer "Atari" desc "Battle Zone (rev 2)" devices ())
(name "bzonea" year "1980" manufacturer "Atari" desc "Battle Zone (rev 1)" devices ())
(name "bzonec" year "1980" manufacturer "Atari" desc "Battle Zone (cocktail)" devices ())
(name "c10" year "1982" manufacturer "Cromemco" desc "C-10" devices ())
(name "c116" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 116" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c128" year "1985" manufacturer "Commodore Business Machines" desc "Commodore 128 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128_de" year "1985" manufacturer "Commodore Business Machines" desc "Commodore 128 (Germany)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128_se" year "1985" manufacturer "Commodore Business Machines" desc "Commodore 128 (Sweden/Finland)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128cr" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 128CR (NTSC, prototype)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128d" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 128D (NTSC, prototype)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128d81" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 128D/81 (NTSC, prototype)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128dcr" year "1987" manufacturer "Commodore Business Machines" desc "Commodore 128DCR (NTSC)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128dcr_de" year "1987" manufacturer "Commodore Business Machines" desc "Commodore 128DCR (Germany)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128dcr_se" year "1987" manufacturer "Commodore Business Machines" desc "Commodore 128DCR (Sweden/Finland)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128dcrp" year "1987" manufacturer "Commodore Business Machines" desc "Commodore 128DCR (PAL)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128dp" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 128D (PAL)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c128p" year "1985" manufacturer "Commodore Business Machines" desc "Commodore 128 (PAL)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" ) (name "romimage" briefname "rom" ) (name "floppydisk" briefname "flop" )))
(name "c16" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 16 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c16_hu" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 16 (Hungary)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c16p" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 16 (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c1p" year "1980" manufacturer "Ohio Scientific" desc "Challenger 1P Series 2" devices ((name "cassette" briefname "cass" )))
(name "c1pmf" year "1980" manufacturer "Ohio Scientific" desc "Challenger 1P MF Series 2" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "c232" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 232 (Prototype)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c264" year "1984" manufacturer "Commodore Business Machines" desc "Commodore 264 (Prototype)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c2717" year "1989" manufacturer "Zbrojovka Brno" desc "Consul 2717" devices ((name "cassette" briefname "cass" )))
(name "c2717pmd" year "1989" manufacturer "Zbrojovka Brno" desc "Consul 2717 (with PMD-32)" devices ((name "cassette" briefname "cass" )))
(name "c286lt" year "1990" manufacturer "Commodore Business Machines" desc "Laptop C286LT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "c2color" year "201?" manufacturer "Baiyi Animation" desc "C2 Color (China)" devices ((name "cartridge" briefname "cart" )))
(name "c386sx16" year "1990" manufacturer "Commodore Business Machines" desc "386SX-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "c386sx25" year "1990" manufacturer "Commodore Business Machines" desc "386SX-25" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "c386sxlt" year "1991" manufacturer "Commodore Business Machines" desc "Laptop C386SX-LT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "c3_ppays" year "199?" manufacturer "BFM" desc "The Phrase That Pays (Bellfruit) (Cobra 3?)" devices ())
(name "c3_rtime" year "199?" manufacturer "BFM" desc "Radio Times (Bellfruit) (Cobra 3)" devices ())
(name "c3_telly" year "199?" manufacturer "BFM" desc "Telly Addicts (Bellfruit) (Cobra 3)" devices ())
(name "c3_totp" year "199?" manufacturer "BFM" desc "Top of the Pops (Bellfruit) (Cobra 3?)" devices ())
(name "c5000" year "1981" manufacturer "Onyx Systems" desc "C5000" devices ())
(name "c64" year "1982" manufacturer "Commodore Business Machines" desc "Commodore 64 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64_jp" year "1982" manufacturer "Commodore Business Machines" desc "Commodore 64 (Japan)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64_se" year "1982" manufacturer "Commodore Business Machines" desc "Commodore 64 / VIC-64S (Sweden/Finland)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64c" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 64C (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64c_es" year "1988" manufacturer "Commodore Business Machines" desc "Commodore 64C (Spain)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64c_se" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 64C (Sweden/Finland)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64cp" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 64C (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64dtv" year "2005" manufacturer "The Toy:Lobster Company" desc "Commodore 64 Direct-to-TV (Version 2 050711) (PAL)" devices ())
(name "c64dx" year "1991" manufacturer "Commodore Business Machines" desc "Commodore 64DX Development System (Prototype, PAL, German)" devices ())
(name "c64g" year "1986" manufacturer "Commodore Business Machines" desc "Commodore 64G (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64gs" year "1990" manufacturer "Commodore Business Machines" desc "Commodore 64 Games System (PAL)" devices ((name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c64p" year "1982" manufacturer "Commodore Business Machines" desc "Commodore 64 (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "c65" year "1991" manufacturer "Commodore Business Machines" desc "Commodore 65 Development System (Prototype, NTSC)" devices ())
(name "c80" year "1986" manufacturer "Joachim Czepa" desc "C-80" devices ((name "cassette" briefname "cass" )))
(name "c8002" year "1982" manufacturer "Onyx Systems" desc "C8002" devices ())
(name "c900" year "1985" manufacturer "Commodore" desc "Commodore 900" devices ())
(name "cabal" year "1988" manufacturer "TAD Corporation" desc "Cabal (World, Joystick)" devices ())
(name "cabala" year "1989" manufacturer "TAD Corporation (Alpha Trading license)" desc "Cabal (Korea?, Joystick)" devices ())
(name "cabalbl" year "1988" manufacturer "bootleg (Red Corporation)" desc "Cabal (bootleg of Joystick version, set 1, alternate sound hardware)" devices ())
(name "cabalbl2" year "1988" manufacturer "bootleg" desc "Cabal (bootleg of Joystick version, set 2)" devices ())
(name "cabaluk" year "1989" manufacturer "TAD Corporation (Electrocoin license)" desc "Cabal (UK, Trackball)" devices ())
(name "cabalukj" year "1989" manufacturer "TAD Corporation (Electrocoin license)" desc "Cabal (UK, Joystick)" devices ())
(name "cabalus" year "1988" manufacturer "TAD Corporation (Fabtek license)" desc "Cabal (US set 1, Trackball)" devices ())
(name "cabalus2" year "1988" manufacturer "TAD Corporation (Fabtek license)" desc "Cabal (US set 2, Trackball)" devices ())
(name "cabaret" year "1992" manufacturer "AMT Co. Ltd." desc "Cabaret Show" devices ())
(name "cachat" year "1993" manufacturer "Taito Corporation" desc "Cachat (Japan)" devices ())
(name "cactjack" year "1991" manufacturer "Gottlieb" desc "Cactus Jack's" devices ())
(name "cactus" year "1992" manufacturer "bootleg" desc "Cactus (bootleg of Saboten Bombers)" devices ())
(name "cactusco" year "2007" manufacturer "Aristocrat" desc "Cactus Corral (10237711, NSW/ACT)" devices ())
(name "cadanglr" year "1982" manufacturer "Data East Corporation" desc "Angler Dangler (DECO Cassette) (US)" devices ())
(name "cadash" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (World)" devices ())
(name "cadashf" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (France)" devices ())
(name "cadashg" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (Germany, rev 1)" devices ())
(name "cadashgo" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (Germany)" devices ())
(name "cadashi" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (Italy)" devices ())
(name "cadashj" year "1989" manufacturer "Taito Corporation" desc "Cadash (Japan, rev 2)" devices ())
(name "cadashj1" year "1989" manufacturer "Taito Corporation" desc "Cadash (Japan, rev 1)" devices ())
(name "cadashjo" year "1989" manufacturer "Taito Corporation" desc "Cadash (Japan)" devices ())
(name "cadashp" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (World, prototype)" devices ())
(name "cadashs" year "1989" manufacturer "Taito Corporation Japan" desc "Cadash (Spain, rev 1)" devices ())
(name "cadashu" year "1989" manufacturer "Taito America Corporation" desc "Cadash (US, rev 2)" devices ())
(name "cadashu1" year "1989" manufacturer "Taito America Corporation" desc "Cadash (US, rev 1?)" devices ())
(name "cadd810" year "198?" manufacturer "CompuAdd" desc "810" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "cafebrk" year "1999" manufacturer "Nakanihon / Dynax" desc "Mahjong Cafe Break (Ver. 1.01J)" devices ())
(name "cafedoll" year "1993" manufacturer "Dynax" desc "Mahjong Cafe Doll (Japan, Ver. 1.00)" devices ())
(name "cafedollg" year "1993" manufacturer "Dynax" desc "Mahjong Cafe Doll Great (Japan, Ver. 1.00)" devices ())
(name "cafepara" year "1999" manufacturer "Techno-Top" desc "Mahjong Cafe Paradise (Ver. 1.00)" devices ())
(name "cafetime" year "1992" manufacturer "Dynax" desc "Mahjong Cafe Time" devices ())
(name "cairblad" year "1999" manufacturer "Sammy" desc "Change Air Blade (Japan)" devices ())
(name "calchase" year "1999" manufacturer "The Game Room" desc "California Chase" devices ((name "harddisk" briefname "hard" )))
(name "calcune" year "1996" manufacturer "Yuvo" desc "Calcune (Japan, prototype)" devices ())
(name "calibr50" year "1989" manufacturer "Athena / Seta" desc "Caliber 50 (Ver. 1.01)" devices ())
(name "calipso" year "1982" manufacturer "Tago Electronics" desc "Calipso" devices ())
(name "callwld" year "2007" manufacturer "Aristocrat" desc "Call of the Wild (10256611, NSW/ACT)" devices ())
(name "calorie" year "1986" manufacturer "Sega" desc "Calorie Kun vs Moguranian" devices ())
(name "calorieb" year "1986" manufacturer "bootleg" desc "Calorie Kun vs Moguranian (bootleg)" devices ())
(name "calspeed" year "1998" manufacturer "Atari Games" desc "California Speed (Version 2.1a Apr 17 1998, GUTS 1.25 Apr 17 1998 / MAIN Apr 17 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "calspeeda" year "1998" manufacturer "Atari Games" desc "California Speed (Version 1.0r8 Mar 10 1998, GUTS Mar 10 1998 / MAIN Mar 10 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "calspeedb" year "1998" manufacturer "Atari Games" desc "California Speed (Version 1.0r7a Mar 4 1998, GUTS Mar 3 1998 / MAIN Jan 19 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "calyking" year "2005" manufacturer "Aristocrat" desc "Calypso King (20197111, NSW/ACT)" devices ())
(name "cambrp" year "1977" manufacturer "Sinclair Radionics" desc "Cambridge Programmable" devices ())
(name "cameltry" year "1989" manufacturer "Taito America Corporation" desc "Cameltry (US, YM2610)" devices ())
(name "cameltrya" year "1989" manufacturer "Taito America Corporation" desc "Cameltry (World, YM2203 + M6295)" devices ())
(name "cameltryau" year "1989" manufacturer "Taito America Corporation" desc "Cameltry (US, YM2203 + M6295)" devices ())
(name "cameltryj" year "1989" manufacturer "Taito Corporation" desc "Cameltry (Japan, YM2610)" devices ())
(name "camlight" year "1978" manufacturer "Game Plan" desc "Camel Lights" devices ())
(name "can09" year "1984" manufacturer "Candela Data AB" desc "Candela CAN09 v1" devices ())
(name "can09t" year "1984" manufacturer "Candela Data AB" desc "Candela CAN09" devices ((name "cassette" briefname "cass" )))
(name "canaryrc" year "2006" manufacturer "Aristocrat" desc "Canary Riches (10218211, NSW/ACT)" devices ())
(name "canasta" year "1986" manufacturer "Inder" desc "Canasta '86'" devices ())
(name "candance" year "1996" manufacturer "Mitchell (Atlus license)" desc "Cannon Dancer (Japan)" devices ())
(name "candory" year "1982" manufacturer "bootleg" desc "Candory (Ponpoko bootleg with Mario)" devices ())
(name "candy" year "1999" manufacturer "Eolith" desc "Candy Candy" devices ())
(name "cane" year "1979?" manufacturer "Model Racing" desc "Cane (prototype)" devices ())
(name "cannball" year "1995" manufacturer "Yun Sung / Soft Vision" desc "Cannon Ball (Yun Sung, horizontal)" devices ())
(name "cannballv" year "1995" manufacturer "Yun Sung / J&K Production" desc "Cannon Ball (Yun Sung, vertical)" devices ())
(name "cannonb" year "1985" manufacturer "bootleg (Soft)" desc "Cannon Ball (bootleg on Crazy Kong hardware) (set 1, buggy)" devices ())
(name "cannonb2" year "1985" manufacturer "bootleg (TV Game Gruenberg)" desc "Cannon Ball (bootleg on Crazy Kong hardware) (set 2, buggy)" devices ())
(name "cannonb3" year "1985" manufacturer "bootleg (Soft)" desc "Cannon Ball (bootleg on Crazy Kong hardware) (set 3, no bonus game)" devices ())
(name "cannonbp" year "1985" manufacturer "Novomatic" desc "Cannon Ball (Pac-Man Hardware)" devices ())
(name "canons80" year "1988" manufacturer "Canon" desc "S-80 (Canon) (electronic typewriter)" devices ())
(name "canonts3" year "1988" manufacturer "Canon" desc "Typestar 3" devices ())
(name "canonv10" year "1984" manufacturer "Canon" desc "V-10 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv20" year "1984" manufacturer "Canon" desc "V-20 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv20e" year "1985" manufacturer "Canon" desc "V-20E (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv20f" year "1985" manufacturer "Canon" desc "V-20F (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv20g" year "198?" manufacturer "Canon" desc "V-20G (MSX1, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv20s" year "198?" manufacturer "Canon" desc "V-20S (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv25" year "1985" manufacturer "Canon" desc "V-25 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv30f" year "1985" manufacturer "Canon" desc "V-30F (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "canonv8" year "1985" manufacturer "Canon" desc "V-8 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "canrose" year "1996" manufacturer "Aristocrat" desc "Canyon Rose (AHG1463, US)" devices ())
(name "canvas" year "1985" manufacturer "SNK" desc "Canvas Croquis" devices ())
(name "canyon" year "1977" manufacturer "Atari" desc "Canyon Bomber" devices ())
(name "canyonp" year "1977" manufacturer "Atari" desc "Canyon Bomber (prototype)" devices ())
(name "capbowl" year "1988" manufacturer "Incredible Technologies / Capcom" desc "Capcom Bowling (set 1)" devices ())
(name "capbowl2" year "1988" manufacturer "Incredible Technologies / Capcom" desc "Capcom Bowling (set 2)" devices ())
(name "capbowl3" year "1988" manufacturer "Incredible Technologies / Capcom" desc "Capcom Bowling (set 3)" devices ())
(name "capbowl4" year "1988" manufacturer "Incredible Technologies / Capcom" desc "Capcom Bowling (set 4)" devices ())
(name "capcor" year "2001" manufacturer "Nazionale Elettronica" desc "Capitani Coraggiosi (Ver 1.3)" devices ())
(name "capitol" year "1981" manufacturer "bootleg? (Universal Video Spiel)" desc "Capitol" devices ())
(name "caprcyc" year "1999" manufacturer "Taito" desc "Capriccio Cyclone" devices ())
(name "capsnk" year "2000" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK: Millennium Fight 2000 (Rev C)" devices ())
(name "capsnka" year "2000" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK: Millennium Fight 2000 (Rev A)" devices ())
(name "capsnkb" year "2000" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK: Millennium Fight 2000" devices ())
(name "captaven" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (Asia Rev 1.4)" devices ())
(name "captavena" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (Asia Rev 1.0)" devices ())
(name "captavene" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (UK Rev 1.4)" devices ())
(name "captavenj" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (Japan Rev 0.2)" devices ())
(name "captavenu" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (US Rev 1.9)" devices ())
(name "captavenua" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (US Rev 1.4)" devices ())
(name "captavenuu" year "1991" manufacturer "Data East Corporation" desc "Captain America and The Avengers (US Rev 1.6)" devices ())
(name "captcomm" year "1991" manufacturer "Capcom" desc "Captain Commando (World 911202)" devices ())
(name "captcommb" year "1991" manufacturer "bootleg" desc "Captain Commando (bootleg)" devices ())
(name "captcommb2" year "1991" manufacturer "bootleg" desc "Captain Commando (bootleg with 2xMSM5205)" devices ())
(name "captcommj" year "1991" manufacturer "Capcom" desc "Captain Commando (Japan 911202)" devices ())
(name "captcommjr1" year "1991" manufacturer "Capcom" desc "Captain Commando (Japan 910928)" devices ())
(name "captcommr1" year "1991" manufacturer "Capcom" desc "Captain Commando (World 911014)" devices ())
(name "captcommu" year "1991" manufacturer "Capcom" desc "Captain Commando (USA 910928)" devices ())
(name "captflag" year "1993" manufacturer "Jaleco" desc "Captain Flag (Japan)" devices ())
(name "capunc" year "2000" manufacturer "Nazionale Elettronica" desc "Capitan Uncino (Nazionale Elettronica, Ver 1.2)" devices ())
(name "car2" year "1979" manufacturer "bootleg (RZ Bologna)" desc "Car 2 (bootleg of Head On 2)" devices ())
(name "caractn" year "1982" manufacturer "bootleg" desc "Car Action (set 1)" devices ())
(name "caractn2" year "1982" manufacturer "bootleg" desc "Car Action (set 2)" devices ())
(name "caramball" year "1992" manufacturer "Inconel" desc "Caramball" devices ())
(name "carb2002" year "2002" manufacturer "bootleg" desc "Carriage Bonus 2002 (bootleg)" devices ())
(name "carb2003" year "2003" manufacturer "bootleg" desc "Carriage Bonus 2003 (bootleg)" devices ())
(name "carbeena" year "2009" manufacturer "Sega Toys / Alpine Electronics, Inc." desc "Car Beena" devices ((name "cartridge" briefname "cart" )))
(name "carboule" year "1992" manufacturer "Sega" desc "Caribbean Boule (M1 Satellite board)" devices ())
(name "cardinal" year "1984" manufacturer "Standard Microsystems" desc "Cardinal Video Terminal" devices ())
(name "cardline" year "199?" manufacturer "Veltmeijer" desc "Card Line" devices ())
(name "carhntds" year "1979" manufacturer "Sega" desc "Car Hunt / Deep Scan (France)" devices ())
(name "carhop" year "1991" manufacturer "Gottlieb" desc "Car Hop" devices ())
(name "caribe" year "2001" manufacturer "SegaSA / Sonic" desc "Caribe" devices ())
(name "carjmbre" year "1983" manufacturer "Omori Electric Co., Ltd." desc "Car Jamboree" devices ())
(name "carket" year "1996" manufacturer "SemiCom" desc "Carket Ball" devices ())
(name "carlecfg" year "200?" manufacturer "Excalibur Electronics" desc "Carl Edwards' Chase For Glory" devices ())
(name "carmarty" year "1994" manufacturer "Fujitsu" desc "FM-Towns Car Marty" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "carnaval" year "1997" manufacturer "E-mu Systems" desc "Carnaval - Jugando con Fuego" devices ())
(name "carnevil" year "1998" manufacturer "Midway Games" desc "CarnEvil (v1.0.3)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "carnevil1" year "1998" manufacturer "Midway Games" desc "CarnEvil (v1.0.1)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "carnival" year "1980" manufacturer "Sega" desc "Carnival (upright, AY8912 music)" devices ())
(name "carnivalb" year "1980" manufacturer "Sega" desc "Carnival (upright, PIT8253 music)" devices ())
(name "carnivalc" year "1980" manufacturer "Sega" desc "Carnival (cocktail)" devices ())
(name "carnivalca" year "1980" manufacturer "Sega" desc "Carnival (cocktail, earlier)" devices ())
(name "carnivalh" year "1980" manufacturer "Sega" desc "Carnival (Head On hardware, set 1)" devices ())
(name "carnivalha" year "1980" manufacturer "Sega" desc "Carnival (Head On hardware, set 2)" devices ())
(name "carnking" year "2002" manufacturer "Incredible Technologies" desc "Carnival King (v1.00.11)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "carpolo" year "1977" manufacturer "Exidy" desc "Car Polo" devices ())
(name "carrera" year "19??" manufacturer "BS Electronics" desc "Carrera (Version 6.7)" devices ())
(name "cars2lap" year "2012" manufacturer "VTech" desc "CARS 2 Laptop (Germany)" devices ())
(name "cartfury" year "2000" manufacturer "Midway Games" desc "CART Fury Championship Racing (ver 1.00)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "cas21iwc" year "1990" manufacturer "UCMC/IWC" desc "Casino 21 UCMC/IWC (ver 30.08)" devices ())
(name "casanova" year "199?" manufacturer "Promat" desc "Casanova" devices ())
(name "casbjack" year "1983" manufacturer "Meyco Games, Inc." desc "Casino Black Jack (color, Standard 00-05)" devices ())
(name "cascade" year "1978" manufacturer "bootleg? (Sidam)" desc "Cascade" devices ())
(name "cashcade" year "199?" manufacturer "JPM" desc "Cashcade (JPM) (SYSTEM5 VIDEO)" devices ())
(name "cashcat" year "1998" manufacturer "Aristocrat" desc "Cash Cat (0100676V, NSW/ACT)" devices ())
(name "cashcata" year "1997" manufacturer "Aristocrat" desc "Cash Cat (0100557V, NSW/ACT)" devices ())
(name "cashcatnz" year "1999" manufacturer "Aristocrat" desc "Cash Cat (0300863V, New Zealand)" devices ())
(name "cashcham" year "1997" manufacturer "Aristocrat" desc "Cash Chameleon (0100438V, NSW/ACT)" devices ())
(name "cashchama" year "1998" manufacturer "Aristocrat" desc "Cash Chameleon (0200437V, NSW/ACT)" devices ())
(name "cashchamnz" year "1998" manufacturer "Aristocrat" desc "Cash Chameleon (0300781V, New Zealand)" devices ())
(name "cashchamu" year "1996" manufacturer "Aristocrat" desc "Cash Chameleon (DHG4078-99, US)" devices ())
(name "cashcra5" year "1997" manufacturer "Aristocrat" desc "Cash Crop (0300467V, NSW/ACT)" devices ())
(name "cashcra5a" year "1997" manufacturer "Aristocrat" desc "Cash Crop (0300447V, NSW/ACT)" devices ())
(name "cashcrop" year "2000" manufacturer "WMS" desc "Cash Crop (Russian)" devices ())
(name "cashquiz" year "1986" manufacturer "Zilec-Zenitone" desc "Cash Quiz (Type B, Version 5)" devices ())
(name "cashtrn" year "2005" manufacturer "Kupidon" desc "Cash Train (v1.10)" devices ())
(name "casino5" year "1989" manufacturer "Merit" desc "Casino Five (3315-02, U5-2B)" devices ())
(name "casino5a" year "1984" manufacturer "Merit" desc "Casino Five (3315-02, U5-0)" devices ())
(name "casino5b" year "1984" manufacturer "Merit" desc "Casino Five (3315-12, U5-0)" devices ())
(name "casiorom" year "198?" manufacturer "Casio" desc "Casio ROM Pack Software List holder" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "casloopy" year "1995" manufacturer "Casio" desc "Loopy" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "caspoker" year "1988" manufacturer "PM / Beck Elektronik" desc "Casino Poker (Ver PM88-01-21, German)" devices ())
(name "caspokera" year "1987" manufacturer "PM / Beck Elektronik" desc "Casino Poker (Ver PM86LO-35-5, German)" devices ())
(name "caspokerb" year "1986" manufacturer "PM / Beck Elektronik" desc "Casino Poker (Ver PM86-35-1, German)" devices ())
(name "castaway" year "2002" manufacturer "Atronic" desc "Castaway (Russia) (Atronic) (set 1)" devices ())
(name "castawaya" year "2002" manufacturer "Atronic" desc "Castaway (Russia) (Atronic) (set 2)" devices ())
(name "castawayt" year "1987" manufacturer "Tranex Australia Pty Ltd." desc "Cast Away (dual 6809 GI Australasia PCB)" devices ())
(name "castfant" year "1981" manufacturer "Data East Corporation" desc "Astro Fantasia (DECO Cassette) (US)" devices ())
(name "castfpt" year "198?" manufacturer "Castle" desc "Fortune Pot (Castle) (MACH2000 V2rvA)" devices ())
(name "castrev" year "1987" manufacturer "Castle" desc "Revolution (Castle) (MACH2000 V1rvE)" devices ())
(name "caswin" year "1985" manufacturer "Aristocrat" desc "Casino Winner" devices ())
(name "cat" year "1987" manufacturer "Canon" desc "Cat" devices ((name "printout" briefname "prin" )))
(name "catacomb" year "1982" manufacturer "MTM Games" desc "Catacomb" devices ())
(name "catacomp" year "1981" manufacturer "Stern" desc "Catacomb (Pinball)" devices ())
(name "catapult" year "1982" manufacturer "Epos Corporation" desc "Catapult" devices ())
(name "catch22" year "1985" manufacturer "Exidy" desc "Catch-22 (version 8.0)" devices ())
(name "catchp" year "1977" manufacturer "Atari" desc "Catch (prototype)" devices ())
(name "caterplr" year "1980" manufacturer "bootleg (Olympia)" desc "Caterpillar (bootleg of Centipede)" devices ())
(name "catnmous" year "1982" manufacturer "Zaccaria" desc "Cat and Mouse (type 02 program)" devices ())
(name "catnmousa" year "1982" manufacturer "Zaccaria" desc "Cat and Mouse (type 01 program)" devices ())
(name "catt" year "1993" manufacturer "Wintechno" desc "Catt (Japan)" devices ())
(name "cavelon" year "1983" manufacturer "Jetsoft" desc "Cavelon" devices ())
(name "caveman" year "1981" manufacturer "Gottlieb" desc "Caveman (Pinball/Video Combo, set 1)" devices ())
(name "cavemana" year "1981" manufacturer "Gottlieb" desc "Caveman (Pinball/Video Combo, set 2)" devices ())
(name "cavenger" year "1981" manufacturer "Universal" desc "Cosmic Avenger" devices ())
(name "cavnegro" year "1981" manufacturer "Taito do Brasil" desc "Cavaleiro Negro (set 1)" devices ())
(name "cavnegro1" year "1981" manufacturer "Taito do Brasil" desc "Cavaleiro Negro (set 2)" devices ())
(name "cavnegro2" year "1981" manufacturer "Taito do Brasil" desc "Cavaleiro Negro (set 3)" devices ())
(name "cawing" year "1990" manufacturer "Capcom" desc "Carrier Air Wing (World 901012)" devices ())
(name "cawingb2" year "1990" manufacturer "bootleg" desc "Carrier Air Wing (bootleg with 2xYM2203 + 2xMSM5205, set 2)" devices ())
(name "cawingbl" year "1990" manufacturer "bootleg" desc "Carrier Air Wing (bootleg with 2xYM2203 + 2xMSM5205, set 1)" devices ())
(name "cawingj" year "1990" manufacturer "Capcom" desc "U.S. Navy (Japan 901012)" devices ())
(name "cawingr1" year "1990" manufacturer "Capcom" desc "Carrier Air Wing (World 901009)" devices ())
(name "cawingu" year "1990" manufacturer "Capcom" desc "Carrier Air Wing (USA 901130)" devices ())
(name "cawingur1" year "1990" manufacturer "Capcom" desc "Carrier Air Wing (USA 901012)" devices ())
(name "cb2001" year "2001" manufacturer "Dyna" desc "Cherry Bonus 2001" devices ())
(name "cb3" year "199?" manufacturer "Dyna" desc "Cherry Bonus III (ver.1.40, encrypted)" devices ())
(name "cb308" year "1977" manufacturer "Cromemco" desc "CB-308" devices ())
(name "cb3a" year "199?" manufacturer "Dyna" desc "Cherry Bonus III (ver.1.40, set 2)" devices ())
(name "cb3b" year "199?" manufacturer "Dyna" desc "Cherry Bonus III (alt)" devices ())
(name "cb3c" year "199?" manufacturer "bootleg" desc "Cherry Bonus III (Ivanhoe V46-0799)" devices ())
(name "cb3d" year "199?" manufacturer "bootleg" desc "Cherry Bonus III (set 3)" devices ())
(name "cb3e" year "199?" manufacturer "bootleg" desc "Cherry Bonus III (set 4, encrypted bootleg)" devices ())
(name "cb3f" year "199?" manufacturer "bootleg (Cleco)" desc "Cherry Bonus III (set 5, encrypted bootleg)" devices ())
(name "cbaj" year "1998" manufacturer "UEP Systems" desc "Cool Boarders Arcade Jam (Export)" devices ())
(name "cball" year "1976" manufacturer "Atari" desc "Cannonball (Atari, prototype)" devices ())
(name "cbasebal" year "1989" manufacturer "Capcom" desc "Capcom Baseball (Japan)" devices ())
(name "cbdash" year "1985" manufacturer "Data East Corporation" desc "Boulder Dash (DECO Cassette) (US)" devices ())
(name "cbm3008" year "1979" manufacturer "Commodore Business Machines" desc "CBM 3008" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm3016" year "1979" manufacturer "Commodore Business Machines" desc "CBM 3016" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm3032" year "1979" manufacturer "Commodore Business Machines" desc "CBM 3032" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm3032b" year "1979" manufacturer "Commodore Business Machines" desc "CBM 3032B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "cbm4016" year "1980" manufacturer "Commodore Business Machines" desc "CBM 4016" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm4032" year "1980" manufacturer "Commodore Business Machines" desc "CBM 4032" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm4032b" year "1980" manufacturer "Commodore Business Machines" desc "CBM 4032B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm4032f" year "1980" manufacturer "Commodore Business Machines" desc "CBM 4032 (Fat 40)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm610" year "1983" manufacturer "Commodore Business Machines" desc "CBM 610" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm620" year "1983" manufacturer "Commodore Business Machines" desc "CBM 620" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm620_hu" year "1983" manufacturer "Commodore Business Machines" desc "CBM 620 (Hungary)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm710" year "1983" manufacturer "Commodore Business Machines" desc "CBM 710" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm720" year "1983" manufacturer "Commodore Business Machines" desc "CBM 720" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm720_de" year "1983" manufacturer "Commodore Business Machines" desc "CBM 720 (Germany)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm720_se" year "1983" manufacturer "Commodore Business Machines" desc "CBM 720 (Sweden/Finland)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm730" year "1983" manufacturer "Commodore Business Machines" desc "CBM 730" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "cbm8032" year "1981" manufacturer "Commodore Business Machines" desc "CBM 8032" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8032_de" year "1981" manufacturer "Commodore Business Machines" desc "CBM 8032 (Germany)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8032_fr" year "1981" manufacturer "Commodore Business Machines" desc "CBM 8032 (France)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8032_se" year "1981" manufacturer "Commodore Business Machines" desc "CBM 8032 (Sweden/Finland)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8096" year "1981" manufacturer "Commodore Business Machines" desc "CBM 8096" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296d" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296-D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296d_de" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296-D (Germany)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296dgv_de" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296-D GV? (Germany)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296ed" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296 ExecuDesk" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbm8296gd" year "1984" manufacturer "Commodore Business Machines" desc "CBM 8296GD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cbnj" year "1982" manufacturer "Data East Corporation" desc "Bump 'n' Jump (DECO Cassette) (US)" devices ())
(name "cbnt2039" year "1993" manufacturer "Cablenet" desc "2039 Controller" devices ())
(name "cbombers" year "1994" manufacturer "Taito Corporation Japan" desc "Chase Bombers (World)" devices ())
(name "cbombersj" year "1994" manufacturer "Taito Corporation" desc "Chase Bombers (Japan)" devices ())
(name "cbombersp" year "1994" manufacturer "Taito Corporation" desc "Chase Bombers (Japan Prototype)" devices ())
(name "cbrava" year "1982" manufacturer "Interflip" desc "Costa Brava (2 jackpot points, 81%)" devices ())
(name "cbravaa" year "1982" manufacturer "Interflip" desc "Costa Brava (1 jackpot point, 77%)" devices ())
(name "cbravab" year "1982" manufacturer "Interflip" desc "Costa Brava (2 jackpot points, 77%)" devices ())
(name "cbravac" year "1982" manufacturer "Interflip" desc "Costa Brava (4 jackpot points, 77%)" devices ())
(name "cbravad" year "1982" manufacturer "Interflip" desc "Costa Brava (8 jackpot points, 77%)" devices ())
(name "cbrs8" year "201?" manufacturer "CoolBoy" desc "CoolBoy RS-8 168 in 1" devices ())
(name "cbtime" year "1983" manufacturer "Data East Corporation" desc "Burger Time (DECO Cassette) (US)" devices ())
(name "cbully" year "1991" manufacturer "Falgas" desc "Coche Bully" devices ())
(name "cburnrub" year "1982" manufacturer "Data East Corporation" desc "Burnin' Rubber (DECO Cassette) (US) (set 1)" devices ())
(name "cburnrub2" year "1982" manufacturer "Data East Corporation" desc "Burnin' Rubber (DECO Cassette) (US) (set 2)" devices ())
(name "cburnrubj" year "1982" manufacturer "Data East Corporation" desc "Burnin' Rubber (DECO Cassette) (Japan)" devices ())
(name "cbuster" year "1990" manufacturer "Data East Corporation" desc "Crude Buster (World FX version)" devices ())
(name "cbusterj" year "1990" manufacturer "Data East Corporation" desc "Crude Buster (Japan FR revision 1)" devices ())
(name "cbusterw" year "1990" manufacturer "Data East Corporation" desc "Crude Buster (World FU version)" devices ())
(name "cc1" year "1977" manufacturer "Fidelity Electronics" desc "Chess Challenger" devices ())
(name "cc10" year "1978" manufacturer "Fidelity Electronics" desc "Chess Challenger \"10\" (model CCX, rev. B)" devices ())
(name "cc10a" year "1978" manufacturer "Fidelity Electronics" desc "Chess Challenger \"10\" (model CCX)" devices ())
(name "cc10c" year "1979" manufacturer "Fidelity Electronics" desc "Chess Challenger (model UCC10, 10 levels)" devices ())
(name "cc2150" year "1988" manufacturer "Tandy Corporation / Saitek / Heuristic Software" desc "Chess Champion 2150" devices ())
(name "cc2schach" year "2009" manufacturer "Elektor" desc "CC2-Schachzwerg (German)" devices ())
(name "cc3" year "1977" manufacturer "Fidelity Electronics" desc "Chess Challenger (upgraded version, 3 levels)" devices ())
(name "cc40" year "1983" manufacturer "Texas Instruments" desc "Compact Computer 40" devices ((name "cartridge" briefname "cart" )))
(name "cc40p" year "1984" manufacturer "Texas Instruments" desc "Compact Computer 40 Plus (prototype)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "cc7" year "1980" manufacturer "Fidelity Electronics" desc "Chess Challenger \"7\" (set 1)" devices ())
(name "cc7a" year "1979" manufacturer "Fidelity Electronics" desc "Chess Challenger \"7\" (set 2)" devices ())
(name "cc_10" year "1998" manufacturer "Bally" desc "Cactus Canyon (1.0)" devices ())
(name "cc_104" year "1998" manufacturer "Bally" desc "Cactus Canyon (1.04 Test 0.2)" devices ())
(name "cc_12" year "1998" manufacturer "Bally" desc "Cactus Canyon (1.2)" devices ())
(name "cc_13" year "1998" manufacturer "Bally" desc "Cactus Canyon (1.3)" devices ())
(name "ccasino" year "1987" manufacturer "V-System Co." desc "Chinese Casino (Japan)" devices ())
(name "ccastles" year "1983" manufacturer "Atari" desc "Crystal Castles (version 4)" devices ())
(name "ccastles1" year "1983" manufacturer "Atari" desc "Crystal Castles (version 1)" devices ())
(name "ccastles2" year "1983" manufacturer "Atari" desc "Crystal Castles (version 2)" devices ())
(name "ccastles3" year "1983" manufacturer "Atari" desc "Crystal Castles (version 3)" devices ())
(name "ccastlesf" year "1983" manufacturer "Atari" desc "Crystal Castles (version 3, French)" devices ())
(name "ccastlesg" year "1983" manufacturer "Atari" desc "Crystal Castles (version 3, German)" devices ())
(name "ccastlesj" year "1983" manufacturer "Atari" desc "Crystal Castles (joystick version)" devices ())
(name "ccastlesp" year "1983" manufacturer "Atari" desc "Crystal Castles (version 3, Spanish)" devices ())
(name "ccboot" year "1980" manufacturer "bootleg" desc "Crazy Climber (bootleg set 1)" devices ())
(name "ccboot2" year "1980" manufacturer "bootleg" desc "Crazy Climber (bootleg set 2)" devices ())
(name "ccbootmm" year "1980" manufacturer "bootleg (ManilaMatic)" desc "Crazy Climber (ManilaMatic bootleg)" devices ())
(name "ccbootmr" year "1980" manufacturer "bootleg (Model Racing)" desc "Crazy Climber (Model Racing bootleg)" devices ())
(name "ccclass" year "1997" manufacturer "Creative Electronics And Software" desc "Country Club Classic (v1.10 03-apr-1997)" devices ())
(name "ccdelta1" year "1980" manufacturer "SciSys / Novag Industries" desc "Chess Champion: Delta-1" devices ())
(name "ccfboxa" year "2009" manufacturer "Sega" desc "Chihiro Firmware Update For Compact Flash Box (4.01) (GDX-0024A)" devices ((name "cdrom" briefname "cdrm" )))
(name "cchance" year "1987" manufacturer "Taito Corporation" desc "Cherry Chance" devices ())
(name "cchasm" year "1983" manufacturer "Cinematronics / GCE" desc "Cosmic Chasm (set 1)" devices ())
(name "cchasm1" year "1983" manufacturer "Cinematronics / GCE" desc "Cosmic Chasm (set 2)" devices ())
(name "cchime" year "1977" manufacturer "Chromatronics" desc "Chroma-Chime" devices ())
(name "cclimber" year "1980" manufacturer "Nichibutsu" desc "Crazy Climber (US set 1)" devices ())
(name "cclimbera" year "1980" manufacturer "Nichibutsu" desc "Crazy Climber (US set 2)" devices ())
(name "cclimberj" year "1980" manufacturer "Nichibutsu" desc "Crazy Climber (Japan)" devices ())
(name "cclimbr2" year "1988" manufacturer "Nichibutsu" desc "Crazy Climber 2 (Japan)" devices ())
(name "cclimbr2a" year "1988" manufacturer "Nichibutsu" desc "Crazy Climber 2 (Japan, Harder)" devices ())
(name "cclimbroper" year "1980" manufacturer "bootleg (Operamatic)" desc "Crazy Climber (Spanish, Operamatic bootleg)" devices ())
(name "cclimbrrod" year "1980" manufacturer "bootleg (Rodmar)" desc "Crazy Climber (Spanish, Rodmar bootleg)" devices ())
(name "cclownz" year "1999" manufacturer "LAI Games" desc "Crazzy Clownz (Version 1.0)" devices ())
(name "ccmk1" year "1978" manufacturer "bootleg (Novag Industries)" desc "Chess Champion: MK I" devices ())
(name "ccmk2" year "1979" manufacturer "Novag Industries" desc "Chess Champion: MK II (ver. 1)" devices ())
(name "ccmk2a" year "1979" manufacturer "Novag Industries" desc "Chess Champion: MK II (ver. 2)" devices ())
(name "ccmk5" year "1981" manufacturer "SciSys / Philidor Software" desc "Chess Champion: Mark V" devices ())
(name "ccmk6" year "1982" manufacturer "SciSys / Philidor Software" desc "Chess Champion: Mark VI/Philidor" devices ())
(name "ccorsario" year "1999" manufacturer "Unidesa/Cirsa" desc "Corsarios (Cirsa slot machine, V6.0D)" devices ())
(name "ccorsarioa" year "1999" manufacturer "Unidesa/Cirsa" desc "Corsarios (Cirsa slot machine, V5.10D, Catalonia)" devices ())
(name "ccruise" year "1989" manufacturer "International Concepts" desc "Caribbean Cruise" devices ())
(name "ccs2422" year "1980" manufacturer "California Computer Systems" desc "CCS Model 2422B FDC card" devices ((name "floppydisk" briefname "flop" )))
(name "ccs2810" year "1980" manufacturer "California Computer Systems" desc "CCS Model 2810 CPU card" devices ())
(name "ccs300" year "1981" manufacturer "California Computer Systems" desc "CCS Model 300" devices ((name "floppydisk" briefname "flop" )))
(name "cd100b" year "1992" manufacturer "Rowe International" desc "CD-100B LaserStar" devices ())
(name "cd2650" year "1977" manufacturer "Central Data" desc "2650 Computer System" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "cd32" year "1993" manufacturer "Commodore" desc "Amiga CD32 (PAL)" devices ((name "printout" briefname "prin" ) (name "cdrom" briefname "cdrm" )))
(name "cd32n" year "1993" manufacturer "Commodore" desc "Amiga CD32 (NTSC)" devices ((name "printout" briefname "prin" ) (name "cdrom" briefname "cdrm" )))
(name "cd6809" year "1983" manufacturer "Codimex" desc "CD-6809" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "cdc721" year "1981" manufacturer "Control Data Corporation" desc "721 Display Terminal" devices ())
(name "cdi490a" year "1991" manufacturer "Philips" desc "CD-i 490" devices ((name "cdrom" briefname "cdrm" )))
(name "cdi910" year "1991" manufacturer "Philips" desc "CD-i 910-17P Mini-MMC (PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "cdimono1" year "1991" manufacturer "Philips" desc "CD-i (Mono-I) (PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "cdimono2" year "1991" manufacturer "Philips" desc "CD-i (Mono-II) (NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "cdiscon1" year "1982" manufacturer "Data East Corporation" desc "Disco No.1 (DECO Cassette) (US)" devices ())
(name "cdkong" year "1982" manufacturer "Coleco" desc "Donkey Kong (Coleco)" devices ())
(name "cdlyoko" year "2011" manufacturer "Ingo Devices SL / Senca" desc "Code Lyoko (25-in-1 handheld)" devices ())
(name "cdracula" year "1994" manufacturer "Yun Sung (Escape license)" desc "Castle Of Dracula" devices ())
(name "cdrawpkr" year "1984" manufacturer "Coinmaster" desc "Draw Poker (Joker Poker V.01)" devices ())
(name "cdsteljn" year "1981" manufacturer "Data East Corporation" desc "DS Telejan (DECO Cassette) (Japan)" devices ())
(name "cdtekg2" year "199?" manufacturer "CDTEK" desc "286 mainboard with Headland G2 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "cdtv" year "1990" manufacturer "Commodore" desc "CDTV (PAL)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cdrom" briefname "cdrm" )))
(name "cdtvn" year "1990" manufacturer "Commodore" desc "CDTV (NTSC)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cdrom" briefname "cdrm" )))
(name "cdx" year "1994" manufacturer "Sega" desc "CDX (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "cec2000" year "1991" manufacturer "Shaanxi Province Computer Factory" desc "China Education Computer 2000" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cece" year "1989" manufacturer "Shaanxi Province Computer Factory" desc "China Education Computer E" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cecg" year "1989" manufacturer "Shaanxi Province Computer Factory" desc "China Education Computer G" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ceci" year "1987" manufacturer "Shaanxi Province Computer Factory" desc "China Education Computer I" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cecm" year "1989" manufacturer "Shaanxi Province Computer Factory" desc "China Education Computer M" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cecmatch" year "1993" manufacturer "Coastal Amusements" desc "ChuckECheese's Match Game" devices ())
(name "cencourt" year "1988" manufacturer "Sega" desc "Center Court (World, 4 Players, prototype) (MC-8123B)" devices ())
(name "centaur" year "1981" manufacturer "Bally" desc "Centaur" devices ())
(name "centauri" year "1979" manufacturer "Inder" desc "Centaur (Inder) (set 1)" devices ())
(name "centauri2" year "1979" manufacturer "Inder" desc "Centaur (Inder) (set 2)" devices ())
(name "centipdb" year "1980" manufacturer "bootleg" desc "Centipede (bootleg, set 1)" devices ())
(name "centipdb2" year "1980" manufacturer "bootleg" desc "Centipede (bootleg, set 2)" devices ())
(name "centipdd" year "1989" manufacturer "hack (Two-Bit Score)" desc "Centipede Dux (hack)" devices ())
(name "centiped" year "1980" manufacturer "Atari" desc "Centipede (revision 4)" devices ())
(name "centiped1" year "1980" manufacturer "Atari" desc "Centipede (revision 1)" devices ())
(name "centiped2" year "1980" manufacturer "Atari" desc "Centipede (revision 2)" devices ())
(name "centiped3" year "1980" manufacturer "Atari" desc "Centipede (revision 3)" devices ())
(name "centipedj" year "1980" manufacturer "Atari" desc "Centipede (Japan, revision 3)" devices ())
(name "centrion" year "2007" manufacturer "Aristocrat" desc "Centurion (0152314, US)" devices ())
(name "centurion" year "1998" manufacturer "Saitek" desc "Kasparov Centurion" devices ())
(name "cerberup" year "1982" manufacturer "Playmatic" desc "Cerberus (Pinball)" devices ())
(name "cerberus" year "1985" manufacturer "Cinematronics" desc "Cerberus" devices ())
(name "ceres1" year "1986" manufacturer "Eidgenössische Technische Hochschule Zürich" desc "Ceres-1" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "floppydisk" briefname "flop" )))
(name "cexpert" year "1985" manufacturer "Novag Industries" desc "Constellation Expert" devices ())
(name "cexplore" year "1982" manufacturer "Data East Corporation" desc "Explorer (DECO Cassette) (US)" devices ())
(name "cf1200" year "1985" manufacturer "National" desc "CF-1200 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf2000" year "1983" manufacturer "National" desc "CF-2000 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf2700" year "1984" manufacturer "National" desc "CF-2700 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf2700g" year "1985" manufacturer "Panasonic" desc "CF-2700 (MSX1, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf2700uk" year "1985" manufacturer "Panasonic" desc "CF-2700 (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf3000" year "1984" manufacturer "National" desc "CF-3000 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cf3300" year "1985" manufacturer "National" desc "CF-3300 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cfa3000" year "1989" manufacturer "Tinsley Medical Instruments" desc "Henson CFA 3000 (Master)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" )))
(name "cfa3000bp" year "198?" manufacturer "Tinsley Medical Instruments" desc "Henson CFA 3000 (B+)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "cfarm" year "1999" manufacturer "LAI Games" desc "Chicken Farm (Version 2.0)" devices ())
(name "cfarwest" year "1997" manufacturer "Compumatic" desc "Far West (Compumatic)" devices ())
(name "cfblue" year "2002" manufacturer "Atronic" desc "Crazy Fruits Blue (Russia) (Atronic) (set 1)" devices ())
(name "cfbluea" year "2002" manufacturer "Atronic" desc "Crazy Fruits Blue (Russia) (Atronic) (set 2)" devices ())
(name "cfboy0a1" year "1981" manufacturer "Data East Corporation" desc "Flash Boy (vertical) (DECO Cassette MD) (No.12/Ver.0/Set.1,Japan)" devices ())
(name "cfever1k" year "2000" manufacturer "High Video" desc "Casino Fever 1k" devices ())
(name "cfever40" year "2000" manufacturer "High Video" desc "Casino Fever 4.0" devices ())
(name "cfever50" year "2000" manufacturer "High Video" desc "Casino Fever 5.0" devices ())
(name "cfever51" year "2000" manufacturer "High Video" desc "Casino Fever 5.1" devices ())
(name "cfever61" year "2000" manufacturer "High Video" desc "Casino Fever 6.1" devices ())
(name "cfghtice" year "1984" manufacturer "Data East Corporation" desc "Fighting Ice Hockey (DECO Cassette) (US)" devices ())
(name "cfgreen" year "2002" manufacturer "Atronic" desc "Crazy Fruits Green (Russia) (Atronic)" devices ())
(name "cfield" year "2004" manufacturer "Able" desc "Chaos Field (Japan) (GDL-0025)" devices ((name "cdrom" briefname "cdrm" )))
(name "cfishing" year "1982" manufacturer "Data East Corporation" desc "Fishing (DECO Cassette) (Japan)" devices ())
(name "cflyball" year "1985" manufacturer "Data East Corporation" desc "Flying Ball (DECO Cassette) (US)" devices ())
(name "cfortea" year "1986" manufacturer "Novag Industries" desc "Constellation Forte (version A)" devices ())
(name "cforteb" year "1986" manufacturer "Novag Industries" desc "Constellation Forte (version B)" devices ())
(name "cfrogger" year "1982" manufacturer "Coleco / Konami" desc "Frogger (Coleco)" devices ())
(name "cftbl_l2" year "1993" manufacturer "Bally" desc "Creature from the Black Lagoon (L-2)" devices ())
(name "cftbl_l3" year "1993" manufacturer "Bally" desc "Creature from the Black Lagoon (L-3,SP-1)" devices ())
(name "cftbl_l4" year "1993" manufacturer "Bally" desc "Creature from the Black Lagoon (L-4)" devices ())
(name "cfx9850" year "1996" manufacturer "Casio" desc "CFX-9850G" devices ())
(name "cfx9850gb" year "1996" manufacturer "Casio" desc "CFX-9850GB Plus" devices ())
(name "cgalaxn" year "1982" manufacturer "Coleco" desc "Galaxian (Coleco)" devices ())
(name "cgang" year "1990" manufacturer "Namco (Data East license)" desc "Cosmo Gang (US)" devices ())
(name "cgangpzl" year "1992" manufacturer "Namco" desc "Cosmo Gang the Puzzle (US)" devices ())
(name "cgangpzlj" year "1992" manufacturer "Namco" desc "Cosmo Gang the Puzzle (Japan)" devices ())
(name "cgc7900" year "1980" manufacturer "Chromatics" desc "CGC 7900" devices ((name "bitbanger" briefname "bitb" )))
(name "cgenie" year "1982" manufacturer "EACA" desc "Colour Genie EG2000" devices ((name "cassette" briefname "cass" )))
(name "cgenienz" year "1982" manufacturer "EACA" desc "Colour Genie EG2000 (New Zealand)" devices ((name "cassette" briefname "cass" )))
(name "cgidjp" year "19??" manufacturer "CGI" desc "Double Joker Poker (CGI)" devices ())
(name "cgip23b" year "1998" manufacturer "CGI" desc "Credit Poker (ver.23b, 7 & 9 bonus)" devices ())
(name "cgip30b" year "1999" manufacturer "CGI" desc "Credit Poker (ver.30b, 7 & 9 bonus)" devices ())
(name "cgip30cs" year "1999" manufacturer "CGI" desc "Credit Poker (ver.30c, standard)" devices ())
(name "cgold" year "1986" manufacturer "Ainsworth Nominees P.L." desc "Caribbean Gold (3VXEC449, US)" devices ())
(name "cgold2" year "1995" manufacturer "Aristocrat" desc "Caribbean Gold II (3XF5182H04, US)" devices ())
(name "cgraplop" year "1983" manufacturer "Data East Corporation" desc "Cluster Buster (DECO Cassette) (US)" devices ())
(name "cgraplop2" year "1983" manufacturer "Data East Corporation" desc "Graplop (DECO Cassette) (US) (Prototype?)" devices ())
(name "cgraplopj" year "1983" manufacturer "Data East Corporation" desc "Graplop (DECO Cassette) (Japan)" devices ())
(name "cgunship" year "1976" manufacturer "Meadows" desc "Cobra Gunship" devices ())
(name "ch2000" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.4E Dual)" devices ())
(name "ch2000b1" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.4R, set 1)" devices ())
(name "ch2000b2" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.1LT, set 1)" devices ())
(name "ch2000c1" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.4R, set 2)" devices ())
(name "ch2000c2" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.1LT, set 2)" devices ())
(name "ch2000d1" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.4R, set 3)" devices ())
(name "ch2000d2" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.1LT, set 3)" devices ())
(name "ch2000o" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 3.9XT)" devices ())
(name "ch2000o2" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 3.9D)" devices ())
(name "ch2000o3" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 3.9)" devices ())
(name "ch2000v1" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.4R Dual)" devices ())
(name "ch2000v2" year "2000" manufacturer "Amcoe" desc "Fruit Bonus 2000 / New Cherry 2000 (Version 4.1LT Dual)" devices ())
(name "ch2001" year "1984" manufacturer "CXG Systems / Newcrest Technology / Intelligent Software" desc "Chess 2001" devices ())
(name "ch48633c" year "199?" manufacturer "Chicony" desc "CH-486-33C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ch486spm" year "199?" manufacturer "Chaintech" desc "486SPM" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "ch491e" year "199?" manufacturer "Chicony" desc "CH-491E" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ch4slez1" year "199?" manufacturer "Chaintech" desc "486SLE M106 4SLE-Z1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ch4spi" year "199?" manufacturer "Chaintech" desc "4SPI" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "chainrec" year "1995" manufacturer "Data East Corporation" desc "Chain Reaction (World, Version 2.2, 1995.09.25)" devices ())
(name "chaknpop" year "1983" manufacturer "Taito Corporation" desc "Chack'n Pop" devices ())
(name "chalgear" year "2002" manufacturer "Benesse Corporation" desc "Challenge Gear (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "chalgirl" year "1984?" manufacturer "bootleg" desc "Challenge Girl (Falcon bootleg)" devices ())
(name "challeng" year "1981" manufacturer "Centuri" desc "Challenger" devices ())
(name "cham24" year "2002" manufacturer "bootleg" desc "Chameleon 24" devices ())
(name "chamburger" year "1982" manufacturer "Data East Corporation" desc "Hamburger (DECO Cassette) (Japan)" devices ())
(name "chameleo" year "1983" manufacturer "Jaleco" desc "Chameleon" devices ())
(name "champbas" year "1983" manufacturer "Alpha Denshi Co. (Sega license)" desc "Champion Base Ball" devices ())
(name "champbasj" year "1983" manufacturer "Alpha Denshi Co." desc "Champion Base Ball (Japan set 1)" devices ())
(name "champbasja" year "1983" manufacturer "Alpha Denshi Co." desc "Champion Base Ball (Japan set 2)" devices ())
(name "champbasjb" year "1983" manufacturer "Alpha Denshi Co." desc "Champion Base Ball (Japan set 3)" devices ())
(name "champbb2" year "1983" manufacturer "Alpha Denshi Co. (Sega license)" desc "Champion Base Ball Part-2 (set 1)" devices ())
(name "champbb2j" year "1983" manufacturer "Alpha Denshi Co." desc "Champion Base Ball Part-2 (Japan)" devices ())
(name "champbwl" year "1989" manufacturer "Seta / Romstar Inc." desc "Championship Bowling" devices ())
(name "champbwla" year "1989" manufacturer "Seta / Romstar Inc." desc "Championship Bowling (location test)" devices ())
(name "champion" year "1985" manufacturer "Barni" desc "Champion 85" devices ())
(name "champwr" year "1989" manufacturer "Taito Corporation Japan" desc "Champion Wrestler (World)" devices ())
(name "champwrj" year "1989" manufacturer "Taito Corporation" desc "Champion Wrestler (Japan)" devices ())
(name "champwru" year "1989" manufacturer "Taito America Corporation" desc "Champion Wrestler (US)" devices ())
(name "chamrx1" year "2003" manufacturer "Digital Sunnil (Covielsa license)" desc "Chameleon RX-1" devices ())
(name "chanbara" year "1985" manufacturer "Data East Corporation" desc "Chanbara (Japan)" devices ())
(name "chance" year "1978" manufacturer "Playmatic" desc "Chance" devices ())
(name "chance32" year "19??" manufacturer "PAL System Co, Ltd." desc "Chance Thirty Two" devices ())
(name "changela" year "1983" manufacturer "Taito America Corporation" desc "Change Lanes" devices ())
(name "changes" year "1982" manufacturer "Orca" desc "Changes" devices ())
(name "changesa" year "1982" manufacturer "Orca (Eastern Micro Electronics, Inc. license)" desc "Changes (EME license)" devices ())
(name "changyu" year "1989" manufacturer "Chang Yu Electronic" desc "unknown Chang Yu Electronic gambling game 1" devices ())
(name "changyu2" year "19??" manufacturer "Chang Yu Electronic" desc "unknown Chang Yu Electronic gambling game 2" devices ())
(name "channelf" year "1976" manufacturer "Fairchild" desc "Channel F" devices ((name "cartridge" briefname "cart" )))
(name "channlf2" year "1978" manufacturer "Fairchild" desc "Channel F II" devices ((name "cartridge" briefname "cart" )))
(name "chaos" year "1983" manufacturer "David Greaves" desc "Chaos 2" devices ())
(name "chaosbrk" year "2004" manufacturer "Taito Corporation" desc "Chaos Breaker (v2.02J)" devices ())
(name "chaoshea" year "1998" manufacturer "Taito" desc "Chaos Heat (V2.09O 1998/10/02 17:00)" devices ((name "harddisk" briefname "hard" )))
(name "chaosheaj" year "1998" manufacturer "Taito" desc "Chaos Heat (V2.08J 1998/09/25 17:00)" devices ((name "harddisk" briefname "hard" )))
(name "chariotc" year "1999" manufacturer "Aristocrat" desc "Chariot Challenge (0100787V, NSW/ACT)" devices ())
(name "chariotcpe" year "1998" manufacturer "Aristocrat" desc "Chariot Challenge (04J00714, Peru)" devices ())
(name "charles" year "2002?" manufacturer "Unidesa/Cirsa/Europea" desc "Charleston (V2.1, Catalonia)" devices ())
(name "charlien" year "1995" manufacturer "Mitchell" desc "Charlie Ninja" devices ())
(name "charlies" year "1978" manufacturer "Gottlieb" desc "Charlie's Angels" devices ())
(name "chasehq" year "1988" manufacturer "Taito Corporation Japan" desc "Chase H.Q. (World)" devices ())
(name "chasehq2" year "2006" manufacturer "Taito Corporation" desc "Chase H.Q. 2 (v2.0.6.JP)" devices ())
(name "chasehqj" year "1988" manufacturer "Taito Corporation" desc "Chase H.Q. (Japan)" devices ())
(name "chasehqju" year "1988" manufacturer "Taito Corporation" desc "Chase H.Q. (Japan, upright?)" devices ())
(name "chasehqu" year "1988" manufacturer "Taito America Corporation" desc "Chase H.Q. (US)" devices ())
(name "chboxing" year "1984" manufacturer "Sega" desc "Champion Boxing" devices ())
(name "checkc2" year "1978" manufacturer "Fidelity Electronics" desc "Checker Challenger (model CR, 2 levels)" devices ())
(name "checkc4" year "1978" manufacturer "Fidelity Electronics" desc "Checker Challenger (model ACR, 4 levels)" devices ())
(name "checkma5" year "2001" manufacturer "Aristocrat" desc "Checkmate (01J00681, NSW/ACT)" devices ())
(name "checkman" year "1982" manufacturer "Zilec-Zenitone" desc "Check Man" devices ())
(name "checkmanj" year "1982" manufacturer "Zilec-Zenitone (Jaleco license)" desc "Check Man (Japan)" devices ())
(name "checkmat" year "1977" manufacturer "Dave Nutting Associates / Midway" desc "Checkmate" devices ())
(name "cheekyms" year "1980" manufacturer "Universal" desc "Cheeky Mouse" devices ())
(name "cheesech" year "1994" manufacturer "Art & Magic" desc "Cheese Chase" devices ())
(name "cheetah" year "1980" manufacturer "Stern" desc "Cheetah (Black Cabinet)" devices ())
(name "cheetahb" year "1980" manufacturer "Stern" desc "Cheetah (Blue Cabinet)" devices ())
(name "chelnov" year "1988" manufacturer "Data East Corporation" desc "Chelnov - Atomic Runner (World)" devices ())
(name "chelnovj" year "1988" manufacturer "Data East Corporation" desc "Chelnov - Atomic Runner (Japan)" devices ())
(name "chelnovjbl" year "1988" manufacturer "bootleg" desc "Chelnov - Atomic Runner (Japan, bootleg with I8031, set 1)" devices ())
(name "chelnovjbla" year "1988" manufacturer "bootleg" desc "Chelnov - Atomic Runner (Japan, bootleg with I8031, set 2)" devices ())
(name "chelnovu" year "1988" manufacturer "Data East USA" desc "Chelnov - Atomic Runner (US)" devices ())
(name "cherry96" year "1996" manufacturer "bootleg" desc "New Cherry '96 (bootleg of New Fruit Bonus?)" devices ())
(name "chessac" year "1997" manufacturer "Saitek" desc "Kasparov Chess Academy" devices ())
(name "chessc2" year "2002" manufacturer "IGS" desc "Chess Challenge II" devices ())
(name "chesskng" year "1994" manufacturer "I-Star Co., Ltd." desc "Chess King (model ET-6)" devices ((name "cartridge" briefname "cart" )))
(name "chessmst" year "1984" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Chess-Master (set 1)" devices ())
(name "chessmsta" year "1984" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Chess-Master (set 2)" devices ())
(name "chessmstdm" year "1987" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Chess-Master Diamond" devices ((name "cartridge" briefname "cart" )))
(name "chesster" year "1990" manufacturer "Fidelity Electronics International" desc "Chesster Challenger (v1.3)" devices ())
(name "chesstera" year "1990" manufacturer "Fidelity Electronics International" desc "Chesster Challenger" devices ())
(name "chesstrv" year "1980" manufacturer "SciSys / Novag Industries" desc "Chess Traveler" devices ())
(name "chesstrvi" year "1982" manufacturer "SciSys" desc "Chess Intercontinental Traveler" devices ())
(name "chewheel" year "200?" manufacturer "Assogiochi Assago" desc "Cherry Wheel (Version 1.7)" devices ())
(name "chewing" year "19??" manufacturer "<unknown>" desc "Chewing Gum" devices ())
(name "chexx83" year "1983" manufacturer "ICE" desc "Chexx (EM Bubble Hockey, 1983 1.1)" devices ())
(name "cheyenne" year "1984" manufacturer "Exidy" desc "Cheyenne (version 1.0)" devices ())
(name "chicgum" year "1992?" manufacturer "<unknown>" desc "Chic Gum Video" devices ())
(name "chicken" year "2002" manufacturer "Atronic" desc "Chicken (Russia) (Atronic)" devices ())
(name "chickna5" year "1996" manufacturer "Aristocrat" desc "Chicken (0100351V, NSW/ACT)" devices ())
(name "chickna5q" year "1998" manufacturer "Aristocrat" desc "Chicken (0200530V, Queensland)" devices ())
(name "chickna5u" year "1998" manufacturer "Aristocrat" desc "Chicken (RHG0730-03, US)" devices ())
(name "chickna5ua" year "1998" manufacturer "Aristocrat" desc "Chicken (RHG0730-99, US)" devices ())
(name "chickna5v" year "1996" manufacturer "Aristocrat" desc "Chicken (01J01886, Venezuela)" devices ())
(name "chikij" year "1990" manufacturer "Capcom" desc "Chiki Chiki Boys (Japan 900619)" devices ())
(name "chiller" year "1986" manufacturer "Exidy" desc "Chiller (version 3.0)" devices ())
(name "chillicc" year "2002?" manufacturer "Novotech" desc "Chilli Con Cash (set 1)" devices ())
(name "chimerab" year "1993" manufacturer "Jaleco" desc "Chimera Beast (Japan, prototype, set 1)" devices ())
(name "chimeraba" year "1993" manufacturer "Jaleco" desc "Chimera Beast (Japan, prototype, set 2)" devices ())
(name "chinagat" year "1988" manufacturer "Technos Japan (Taito / Romstar license)" desc "China Gate (US)" devices ())
(name "chinatow" year "1998" manufacturer "<unknown>" desc "China Town (Ver 1B, Dino4 HW)" devices ())
(name "chinatwn" year "1991" manufacturer "Data East Corporation" desc "China Town (Japan)" devices ())
(name "chinhero" year "1984" manufacturer "Taiyo System" desc "Chinese Hero" devices ())
(name "chinhero2" year "1984" manufacturer "Taiyo System" desc "Chinese Hero (older, set 1)" devices ())
(name "chinhero3" year "1984" manufacturer "Taiyo System" desc "Chinese Hero (older, set 2)" devices ())
(name "chinherot" year "1984" manufacturer "Taiyo System (Taito license)" desc "Chinese Heroe (Taito)" devices ())
(name "chinmoku" year "1990" manufacturer "Nichibutsu" desc "Mahjong Chinmoku no Hentai (Japan 900511)" devices ())
(name "chinsan" year "1987" manufacturer "Sanritsu" desc "Ganbare Chinsan Ooshoubu (MC-8123A, 317-5012)" devices ())
(name "chkndraw" year "1984" manufacturer "Merit" desc "Chicken Draw (2131-04, U5-1)" devices ())
(name "chkndrawa" year "1984" manufacturer "Merit" desc "Chicken Draw (2131-04, U5-0)" devices ())
(name "chkun" year "1988" manufacturer "Peni" desc "Chance Kun (Japan)" devices ())
(name "chleague" year "2000" manufacturer "IGS" desc "Champion League (v220I, Poker)" devices ())
(name "chleagul" year "2000" manufacturer "IGS" desc "Champion League (v220I, Lattine)" devices ())
(name "chleagxa" year "1998" manufacturer "PlayMark SRL" desc "Champion League (v220I, dual program, set 1)" devices ())
(name "chleagxb" year "1998" manufacturer "PlayMark SRL" desc "Champion League (v220I, dual program, set 2)" devices ())
(name "chloe" year "1999" manufacturer "Chloe Corporation" desc "Chloe 280SE" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "harddisk" briefname "hard" )))
(name "chmate" year "1978" manufacturer "Commodore" desc "Chessmate" devices ())
(name "chmpnum" year "1999" manufacturer "<unknown>" desc "Champion Number (V0.74)" devices ())
(name "chmpnuma" year "1999" manufacturer "<unknown>" desc "Champion Number (V0.67)" devices ())
(name "chmppool" year "1999" manufacturer "Nova Desitec" desc "Champion Pool (v1.0)" devices ())
(name "chn333sc" year "199?" manufacturer "Chaintech" desc "333SC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "chocomk" year "2002" manufacturer "Ecole Software" desc "Musapey's Choco Marker (Rev A) (GDL-0014A)" devices ((name "cdrom" briefname "cdrm" )))
(name "chocovdr" year "2002" manufacturer "Namco" desc "Uchuu Daisakusen: Chocovader Contactee (Japan, CVC1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "chokchok" year "1995" manufacturer "SemiCom" desc "Choky! Choky!" devices ())
(name "choko" year "2001" manufacturer "Mitchell (Capcom license)" desc "Janpai Puzzle Choukou (Japan 010820)" devices ())
(name "choplift" year "1985" manufacturer "Sega (licensed from Dan Gorlin)" desc "Choplifter (8751 315-5151)" devices ())
(name "chopliftbl" year "1985" manufacturer "bootleg" desc "Choplifter (bootleg)" devices ())
(name "chopliftu" year "1985" manufacturer "Sega (licensed from Dan Gorlin)" desc "Choplifter (unprotected)" devices ())
(name "chopper" year "1988" manufacturer "SNK" desc "Chopper I (US Ver 2)" devices ())
(name "choppera" year "1988" manufacturer "SNK" desc "Chopper I (US Ver 1?)" devices ())
(name "chopperb" year "1988" manufacturer "SNK" desc "Chopper I (US)" devices ())
(name "choroqhr" year "1998" manufacturer "Sega / Takara" desc "Choro Q Hyper Racing 5 (J 981230 V1.000)" devices ())
(name "chqflag" year "1988" manufacturer "Konami" desc "Chequered Flag" devices ())
(name "chqflagj" year "1988" manufacturer "Konami" desc "Chequered Flag (Japan)" devices ())
(name "chry10" year "199?" manufacturer "bootleg" desc "Cherry 10 (bootleg with PIC16F84)" devices ())
(name "chryangl" year "1994" manufacturer "bootleg (G.C.I.)" desc "Cherry Angel (set 1)" devices ())
(name "chryangla" year "1994" manufacturer "bootleg (G.C.I.)" desc "Cherry Angel (encrypted, W-4 hardware)" devices ())
(name "chryanglb" year "1994" manufacturer "bootleg" desc "Cherry Angel (set 2)" devices ())
(name "chrygld" year "199?" manufacturer "bootleg" desc "Cherry Gold I (set 1)" devices ())
(name "chryglda" year "199?" manufacturer "bootleg" desc "Cherry Gold I (set 2, encrypted bootleg)" devices ())
(name "chsuper2" year "1999" manufacturer "<unknown>" desc "Champion Super 2 (V0.13)" devices ())
(name "chsuper3" year "1999" manufacturer "<unknown>" desc "Champion Super 3 (V0.35)" devices ())
(name "chthree" year "199?" manufacturer "Promat" desc "Channel Three" devices ())
(name "chucklck" year "1978" manufacturer "Game Plan" desc "Chuck-A-Luck" devices ())
(name "chukatai" year "1988" manufacturer "Taito Corporation Japan" desc "Chuka Taisen (World) (P0-028-A PCB)" devices ())
(name "chukataij" year "1988" manufacturer "Taito Corporation" desc "Chuka Taisen (Japan) (P0-028-A PCB)" devices ())
(name "chukataija" year "1988" manufacturer "Taito Corporation" desc "Chuka Taisen (Japan) (P0-025-A PCB)" devices ())
(name "chukataiu" year "1988" manufacturer "Taito America Corporation" desc "Chuka Taisen (US) (P0-028-A PCB)" devices ())
(name "chwrestl" year "1985" manufacturer "Sega" desc "Champion Pro Wrestling" devices ())
(name "chwy" year "1980" manufacturer "Data East Corporation" desc "Highway Chase (DECO Cassette) (US)" devices ())
(name "ciclone" year "2000" manufacturer "High Video" desc "Ciclone" devices ())
(name "cidx628" year "200?" manufacturer "ControlID" desc "X628" devices ())
(name "cinhell" year "2004" manufacturer "Aristocrat" desc "Chance in Hell - Lil' Lucy (0251125, US)" devices ())
(name "cip01" year "1987" manufacturer "Electronica" desc "CIP-01" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "cip03" year "1988" manufacturer "Electronica" desc "CIP-03" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "circa33" year "1979" manufacturer "Fascination Int." desc "Circa 1933" devices ())
(name "circus" year "1977" manufacturer "Exidy / Taito" desc "Circus / Acrobat TV" devices ())
(name "circusc" year "1984" manufacturer "Konami" desc "Circus Charlie (level select, set 1)" devices ())
(name "circusc2" year "1984" manufacturer "Konami" desc "Circus Charlie (level select, set 2)" devices ())
(name "circusc3" year "1984" manufacturer "Konami" desc "Circus Charlie (level select, set 3)" devices ())
(name "circusc4" year "1984" manufacturer "Konami" desc "Circus Charlie (no level select)" devices ())
(name "circuscc" year "1984" manufacturer "Konami (Centuri license)" desc "Circus Charlie (Centuri)" devices ())
(name "circusce" year "1984" manufacturer "Konami (Centuri license)" desc "Circus Charlie (Centuri, earlier)" devices ())
(name "circuso" year "1977" manufacturer "Exidy / Taito" desc "Circus / Acrobat TV (older)" devices ())
(name "circusp" year "1980" manufacturer "Gottlieb" desc "Circus" devices ())
(name "cischeat" year "1990" manufacturer "Jaleco" desc "Cisco Heat" devices ())
(name "cit101" year "1980" manufacturer "C. Itoh Electronics" desc "CIT-101 Video Terminal" devices ())
(name "cit101e" year "1983" manufacturer "C. Itoh Electronics" desc "CIT-101e Video Terminal" devices ())
(name "cit101xl" year "1987" manufacturer "CIE Terminals" desc "CIT-101XL Video Display Terminal" devices ())
(name "cit220p" year "1984" manufacturer "C. Itoh Electronics" desc "CIT-220+ Video Terminal" devices ())
(name "citalcup" year "199?" manufacturer "bootleg (SGS)" desc "Champion Italian Cup (bootleg V220IT)" devices ())
(name "cityatta" year "1981" manufacturer "bootleg (Petaco S.A.)" desc "City Attack (Petaco S.A., bootleg of Pleiads)" devices ())
(name "citybomb" year "1987" manufacturer "Konami" desc "City Bomber (World)" devices ())
(name "citybombj" year "1987" manufacturer "Konami" desc "City Bomber (Japan)" devices ())
(name "citycon" year "1985" manufacturer "Jaleco" desc "City Connection (set 1)" devices ())
(name "citycona" year "1985" manufacturer "Jaleco" desc "City Connection (set 2)" devices ())
(name "citylove" year "1986" manufacturer "Nichibutsu" desc "City Love (Japan 860908)" devices ())
(name "cityslck" year "1987" manufacturer "Bally" desc "City Slicker" devices ())
(name "cj3play" year "1998" manufacturer "Cadillac Jack" desc "Triple Play (Ver. 1.10)" devices ())
(name "cjbj" year "1999" manufacturer "Cadillac Jack" desc "Blackjack (Ver. 1.31)" devices ())
(name "cjddzsp" year "200?" manufacturer "IGS" desc "Super Dou Di Zhu Special (V122CN)" devices ())
(name "cjdh2" year "200?" manufacturer "IGS" desc "Chao Ji Da Heng 2 (V311CN)" devices ())
(name "cjdh2a" year "200?" manufacturer "IGS" desc "Chao Ji Da Heng 2 (V311CNA)" devices ())
(name "cjdh2b" year "200?" manufacturer "IGS" desc "Chao Ji Da Heng 2 (V311CNB)" devices ())
(name "cjdh2c" year "200?" manufacturer "IGS" desc "Chao Ji Da Heng 2 (V215CN)" devices ())
(name "cjffruit" year "1998" manufacturer "Cadillac Jack" desc "Funny Fruit (Ver. 1.13)" devices ())
(name "cjplus" year "1999" manufacturer "Cadillac Jack" desc "New! Cherry Plus (Ver. 3.10)" devices ())
(name "ckidzo" year "1976" manufacturer "Meadows" desc "Ckidzo" devices ())
(name "ckmaster" year "1983" manufacturer "Chess King / Intelligent Software" desc "Master (Chess King)" devices ())
(name "ckong" year "1981" manufacturer "Kyoei / Falcon" desc "Crazy Kong" devices ())
(name "ckongalc" year "1981" manufacturer "bootleg (Alca)" desc "Crazy Kong (Alca bootleg)" devices ())
(name "ckongcv" year "1982" manufacturer "bootleg" desc "Crazy Kong (bootleg on Galaxian hardware, encrypted, set 2)" devices ())
(name "ckongdks" year "1981" manufacturer "bootleg" desc "Donkey Kong (Spanish bootleg of Crazy Kong)" devices ())
(name "ckongg" year "1981" manufacturer "bootleg" desc "Crazy Kong (bootleg on Galaxian hardware)" devices ())
(name "ckonggx" year "1981" manufacturer "bootleg" desc "Crazy Kong (bootleg on Galaxian hardware, encrypted, set 1)" devices ())
(name "ckongis" year "1982" manufacturer "bootleg" desc "Crazy Kong (bootleg on Galaxian hardware, encrypted, set 3)" devices ())
(name "ckongmc" year "1981" manufacturer "bootleg" desc "Crazy Kong (bootleg on Moon Cresta hardware, set 1)" devices ())
(name "ckongmc2" year "1981" manufacturer "bootleg" desc "Crazy Kong (bootleg on Moon Cresta hardware, set 2)" devices ())
(name "ckongo" year "1981" manufacturer "bootleg (Orca)" desc "Crazy Kong (Orca bootleg)" devices ())
(name "ckongpt2" year "1981" manufacturer "Falcon" desc "Crazy Kong Part II (set 1)" devices ())
(name "ckongpt2a" year "1981" manufacturer "Falcon" desc "Crazy Kong Part II (set 2)" devices ())
(name "ckongpt2b" year "1981" manufacturer "bootleg" desc "Crazy Kong Part II (alternative levels)" devices ())
(name "ckongpt2b2" year "1981" manufacturer "bootleg" desc "Crazy Kong Part II (bootleg)" devices ())
(name "ckongpt2j" year "1981" manufacturer "Falcon" desc "Crazy Kong Part II (Japan)" devices ())
(name "ckongpt2jeu" year "1981" manufacturer "bootleg (Jeutel)" desc "Crazy Kong Part II (Jeutel bootleg)" devices ())
(name "ckongpt2ss" year "1982" manufacturer "bootleg (SegaSA / Sonic)" desc "Crazy Kong (SegaSA / Sonic bootleg)" devices ())
(name "ckongs" year "1981" manufacturer "bootleg" desc "Crazy Kong (bootleg on Scramble hardware)" devices ())
(name "ckpt_a17" year "1991" manufacturer "Data East" desc "Checkpoint (1.7)" devices ())
(name "ckz80" year "198?" manufacturer "<unknown>" desc "CKZ-80" devices ((name "floppydisk" briefname "flop" )))
(name "cl28612s" year "1990" manufacturer "Wearnes" desc "CL286-12/16S (CL286-12S and CL286-16S)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "clapapa" year "1983" manufacturer "Data East Corporation" desc "Rootin' Tootin' / La-Pa-Pa (DECO Cassette) (US)" devices ())
(name "clapapa2" year "1983" manufacturer "Data East Corporation" desc "Rootin' Tootin' (DECO Cassette) (US)" devices ())
(name "clas1812" year "1991" manufacturer "Gottlieb" desc "Class of 1812" devices ())
(name "classice" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6E)" devices ())
(name "classice1" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6R, set 1)" devices ())
(name "classice2" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6LT, set 1)" devices ())
(name "classiced1" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6R, set 2)" devices ())
(name "classiced2" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6LT, set 2)" devices ())
(name "classicev" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6E Dual)" devices ())
(name "classicev1" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6R Dual)" devices ())
(name "classicev2" year "2004" manufacturer "Amcoe" desc "Classic Edition (Version 1.6LT Dual)" devices ())
(name "claybust" year "1978" manufacturer "Model Racing" desc "Claybuster" devices ())
(name "claychal" year "2008" manufacturer "Sega" desc "Sega Clay Challenge" devices ())
(name "claypign" year "1986" manufacturer "Exidy" desc "Clay Pigeon (version 2.0)" devices ())
(name "clayshoo" year "1979" manufacturer "Allied Leisure" desc "Clay Shoot" devices ())
(name "clbowl" year "1989" manufacturer "Incredible Technologies / Capcom" desc "Coors Light Bowling" devices ())
(name "clcd" year "1985" manufacturer "Commodore Business Machines" desc "LCD (Prototype)" devices ())
(name "cleanswp" year "1974" manufacturer "Ramtek" desc "Clean Sweep" devices ())
(name "cleoftp" year "2002" manufacturer "Altron / Taito" desc "Cleopatra Fortune Plus (GDL-0012)" devices ((name "cdrom" briefname "cdrm" )))
(name "cleopatr" year "1996" manufacturer "Taito Corporation" desc "Cleopatra Fortune (Ver 2.1J 1996/09/05)" devices ())
(name "cleopatro" year "1996" manufacturer "bootleg" desc "Cleopatra Fortune (Ver 2.1O 1996/09/05, bootleg)" devices ())
(name "cleoptra" year "1977" manufacturer "Gottlieb" desc "Cleopatra" devices ())
(name "cliffhgr" year "1983" manufacturer "Stern Electronics" desc "Cliff Hanger (set 1)" devices ())
(name "cliffhgra" year "1983" manufacturer "Stern Electronics" desc "Cliff Hanger (set 2)" devices ())
(name "cliffhgra2" year "1983" manufacturer "Stern Electronics" desc "Cliff Hanger (set 3)" devices ())
(name "clikstrt" year "2007" manufacturer "LeapFrog Enterprises" desc "ClickStart" devices ((name "cartridge" briefname "cart" )))
(name "clipper" year "1984" manufacturer "Professional Data Computer" desc "Clipper" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "clkwise" year "1986" manufacturer "Ainsworth Nominees P.L." desc "Clockwise (1VXEC534, New Zealand)" devices ())
(name "cll" year "1991" manufacturer "Dyna / TAB Austria" desc "Cuty Line Limited (ver.1.30)" devices ())
(name "cloak" year "1983" manufacturer "Atari" desc "Cloak & Dagger (rev 5)" devices ())
(name "cloakfr" year "1983" manufacturer "Atari" desc "Cloak & Dagger (French)" devices ())
(name "cloakgr" year "1983" manufacturer "Atari" desc "Cloak & Dagger (German)" devices ())
(name "cloaksp" year "1983" manufacturer "Atari" desc "Cloak & Dagger (Spanish)" devices ())
(name "clocknch" year "1981" manufacturer "Data East Corporation" desc "Lock'n'Chase (DECO Cassette) (US)" devices ())
(name "clocknchj" year "1981" manufacturer "Data East Corporation" desc "Lock'n'Chase (DECO Cassette) (Japan)" devices ())
(name "closeenc" year "1978" manufacturer "Gottlieb" desc "Close Encounters of the Third Kind" devices ())
(name "cloud9" year "1983" manufacturer "Atari" desc "Cloud 9 (prototype)" devices ())
(name "clown" year "1985" manufacturer "Zaccaria" desc "Clown" devices ())
(name "clowndwn" year "1987" manufacturer "Elwood Electronics" desc "Clown Roll Down (Elwood)" devices ())
(name "clowns" year "1978" manufacturer "Midway" desc "Clowns (rev. 2)" devices ())
(name "clowns1" year "1978" manufacturer "Midway" desc "Clowns (rev. 1)" devices ())
(name "clpoker" year "1994" manufacturer "Chain Leisure" desc "Poker Genius" devices ())
(name "clrmatch" year "200?" manufacturer "Nova Desitec" desc "Color Match" devices ())
(name "clshroad" year "1986" manufacturer "Woodplace Inc." desc "Clash-Road" devices ())
(name "clshroadd" year "1986" manufacturer "Woodplace Inc. (Data East license)" desc "Clash-Road (Data East license)" devices ())
(name "clshroads" year "1986" manufacturer "Woodplace Inc. (Status Game Corp. license)" desc "Clash-Road (Status license)" devices ())
(name "cltchitr" year "1991" manufacturer "Sega" desc "Clutch Hitter (US) (FD1094 317-0176)" devices ())
(name "cltchitrd" year "1991" manufacturer "bootleg" desc "Clutch Hitter (US) (bootleg of FD1094 317-0176 set)" devices ())
(name "cltchitrj" year "1991" manufacturer "Sega" desc "Clutch Hitter (Japan) (FD1094 317-0175)" devices ())
(name "cltchitrjd" year "1991" manufacturer "bootleg" desc "Clutch Hitter (Japan) (bootleg of FD1094 317-0175 set)" devices ())
(name "club90s" year "1990" manufacturer "Nichibutsu" desc "Mahjong CLUB 90's (set 1) (Japan 900919)" devices ())
(name "club90sa" year "1990" manufacturer "Nichibutsu" desc "Mahjong CLUB 90's (set 2) (Japan 900919)" devices ())
(name "clubcard" year "199?" manufacturer "Impera / Mega Tech" desc "Club Card (ver. 1.1 English)" devices ())
(name "clubk2k3" year "2003" manufacturer "Sega" desc "Club Kart: European Session (2003, Rev A)" devices ())
(name "clubk2kp" year "2003" manufacturer "Sega" desc "Club Kart: European Session (2003, prototype, set 1)" devices ())
(name "clubk2kpa" year "2003" manufacturer "Sega" desc "Club Kart: European Session (2003, prototype, set 2)" devices ())
(name "clubkcyc" year "2003" manufacturer "Sega" desc "Club Kart for Cycraft (Rev A) (GDS-0029A)" devices ((name "cdrom" briefname "cdrm" )))
(name "clubkcyco" year "2003" manufacturer "Sega" desc "Club Kart for Cycraft (GDS-0029)" devices ((name "cdrom" briefname "cdrm" )))
(name "clubkprz" year "2003" manufacturer "Sega" desc "Club Kart Prize (Export, Japan, Rev A)" devices ())
(name "clubkpzb" year "2004" manufacturer "Sega" desc "Club Kart Prize Version B (Export, Japan)" devices ())
(name "clubkpzbp" year "2004" manufacturer "Sega" desc "Club Kart Prize Version B (prototype)" devices ())
(name "clubkrt" year "2001" manufacturer "Sega" desc "Club Kart: European Session (Rev D)" devices ())
(name "clubkrta" year "2001" manufacturer "Sega" desc "Club Kart: European Session (Rev A)" devices ())
(name "clubkrtc" year "2001" manufacturer "Sega" desc "Club Kart: European Session (Rev C)" devices ())
(name "clubkrto" year "2001" manufacturer "Sega" desc "Club Kart: European Session" devices ())
(name "clubpacm" year "1989" manufacturer "hack (Miky SRL)" desc "Pacman Club / Club Lambada (Argentina)" devices ())
(name "clubpacma" year "1990" manufacturer "hack (Miky SRL)" desc "Pacman Club (Argentina)" devices ())
(name "cluckypo" year "1981" manufacturer "Data East Corporation" desc "Lucky Poker (DECO Cassette) (US)" devices ())
(name "cluclu" year "1984" manufacturer "Nintendo" desc "Vs. Clu Clu Land" devices ())
(name "cluedo" year "1995" manufacturer "JPM" desc "Cluedo (prod. 2D)" devices ())
(name "cluedo2" year "1995" manufacturer "JPM" desc "Cluedo (prod. 2)" devices ())
(name "cluedo2c" year "1995" manufacturer "JPM" desc "Cluedo (prod. 2C)" devices ())
(name "cluedod" year "1995" manufacturer "JPM" desc "Cluedo (prod. 2D) (Protocol)" devices ())
(name "clxvme186" year "1983" manufacturer "Colex" desc "Colex VME-80186" devices ())
(name "cm1200" year "1978" manufacturer "Conic" desc "M-1200 (?)" devices ((name "cartridge" briefname "cart" )))
(name "cm1800" year "1981" manufacturer "<unknown>" desc "CM-1800" devices ())
(name "cm300" year "1991" manufacturer "Roland" desc "Sound Canvas CM-300" devices ())
(name "cm32l" year "1989" manufacturer "Roland" desc "CM-32L" devices ())
(name "cm32p" year "1989" manufacturer "Roland" desc "CM-32P" devices ((name "cartridge" briefname "cart" )))
(name "cmagica" year "200?" manufacturer "<unknown>" desc "Carta Magica (Ver 1.8)" devices ())
(name "cmanhat" year "1981" manufacturer "Data East Corporation" desc "Manhattan (DECO Cassette) (Japan)" devices ())
(name "cmast91" year "1991" manufacturer "Dyna" desc "Cherry Master '91 (ver.1.30)" devices ())
(name "cmast92" year "1992" manufacturer "Dyna" desc "Cherry Master '92 (V1.2D)" devices ())
(name "cmast92a" year "1992" manufacturer "Dyna" desc "Cherry Master '92 (V1.1D)" devices ())
(name "cmast97" year "1996" manufacturer "Dyna" desc "Cherry Master '97 (V1.7)" devices ())
(name "cmast97i" year "1996" manufacturer "Dyna" desc "Cheri Mondo '97 (V1.4I)" devices ())
(name "cmast99" year "1999" manufacturer "Dyna" desc "Cherry Master '99 (V9B.00)" devices ())
(name "cmast99b" year "1999" manufacturer "bootleg" desc "Cherry Master '99 (V9B.00 bootleg / hack)" devices ())
(name "cmaster" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 1)" devices ())
(name "cmasterb" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 2)" devices ())
(name "cmasterbv" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 4, with Blitz Poker ROM?)" devices ())
(name "cmasterc" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 3)" devices ())
(name "cmasterd" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 5)" devices ())
(name "cmastere" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 6)" devices ())
(name "cmasterf" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 7)" devices ())
(name "cmasterg" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 8, V4-B-)" devices ())
(name "cmasterh" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.10)" devices ())
(name "cmasteri" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 9)" devices ())
(name "cmasterj" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 10, BET stops all)" devices ())
(name "cmasterk" year "1991" manufacturer "Dyna" desc "Cherry Master I (ver.1.01, set 11, TAKE stops all)" devices ())
(name "cmehyou" year "1992" manufacturer "Nichibutsu / Kawakusu" desc "Mahjong Circuit no Mehyou (Japan)" devices ())
(name "cmezspin" year "1991" manufacturer "Dyna" desc "Cherry Master I (E-Z Spin bootleg / hack)" devices ())
(name "cmfb55" year "199?" manufacturer "bootleg" desc "Cherry Master (bootleg, Game FB55 Ver.2)" devices ())
(name "cmfun" year "1995" manufacturer "Dyna" desc "Cherry Master (Fun USA v2.5 bootleg / hack)" devices ())
(name "cmi2x" year "1983" manufacturer "Fairlight" desc "CMI IIx" devices ((name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" ) (name "midiout3" briefname "mout3" ) (name "midiout4" briefname "mout4" ) (name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiin3" briefname "min3" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cmissnx" year "1982" manufacturer "Data East Corporation" desc "Mission-X (DECO Cassette) (US)" devices ())
(name "cmkenosp" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Coinmaster Keno (Y2K, Spanish, 2000-12-14)" devices ())
(name "cmkenospa" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Coinmaster Keno (Y2K, Spanish, 2000-12-02)" devices ())
(name "cmmb103" year "2001" manufacturer "Cosmodog / Team Play (licensed from Infogrames via Midway Games West)" desc "Centipede / Millipede / Missile Command (rev 1.03)" devices ())
(name "cmmb162" year "2002" manufacturer "Cosmodog / Team Play (licensed from Infogrames via Midway Games West)" desc "Centipede / Millipede / Missile Command / Let's Go Bowling (rev 1.62)" devices ())
(name "cmpa286" year "198?" manufacturer "CMP enterprise CO.LTD." desc "286 motherboard" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "cmpacman" year "198?" manufacturer "<unknown>" desc "Super Pacman (v1.2) + Cherry Master (Corsica, v8.31, unencrypted, set 1)" devices ())
(name "cmpacmana" year "198?" manufacturer "<unknown>" desc "Super Pacman (v1.2) + Cherry Master (Corsica, v8.31, unencrypted, set 2)" devices ())
(name "cmpacmanb" year "198?" manufacturer "<unknown>" desc "Super Pacman (v1.2) + Cherry Master (Corsica, v8.31, encrypted)" devices ())
(name "cmpchess" year "1977" manufacturer "DataCash Systems / Staid" desc "CompuChess" devices ())
(name "cmpchess2" year "1978" manufacturer "DataCash Systems / Staid" desc "CompuChess: The Second Edition" devices ())
(name "cmrltv75" year "2001" manufacturer "Coinmaster-Gaming, Ltd." desc "Coinmaster Roulette P497 V75 (Y2K, Spanish)" devices ())
(name "cms6502" year "1986" manufacturer "Cambridge Microprocessor Systems" desc "CMS 6502 Development System" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cmspacmn" year "1983" manufacturer "Coleco" desc "Ms. Pac-Man (Coleco)" devices ())
(name "cmsport" year "1979" manufacturer "Conic" desc "Electronic Multisport" devices ())
(name "cmtetris" year "198?" manufacturer "<unknown>" desc "Tetris + Cherry Master (Corsica, v8.01, unencrypted, set 1)" devices ())
(name "cmtetrisa" year "198?" manufacturer "<unknown>" desc "Tetris + Cherry Master (Corsica, v8.01, unencrypted, set 2)" devices ())
(name "cmtetrisb" year "198?" manufacturer "<unknown>" desc "Tetris + Cherry Master (+K, Canada Version, encrypted)" devices ())
(name "cmtetrisc" year "198?" manufacturer "<unknown>" desc "Tetris + Cherry Master (Corsica, v8.01, encrypted)" devices ())
(name "cmtetrisd" year "198?" manufacturer "bootleg (Aidonis Games)" desc "Tetris + Cherry Master (Aidonis Games bootleg)" devices ())
(name "cmtetriskr" year "198?" manufacturer "<unknown>" desc "Tetris + Global Money Fever (Corsica, v8.01, Korean bootleg)" devices ())
(name "cmtonig" year "2005" manufacturer "Aristocrat" desc "Cashman Tonight (30194711, NSW/ACT)" devices ())
(name "cmv4" year "1992" manufacturer "Dyna" desc "Cherry Master (ver.4, set 1)" devices ())
(name "cmv4a" year "1992" manufacturer "Dyna" desc "Cherry Master (ver.4, set 2)" devices ())
(name "cmv4zg" year "1991" manufacturer "hack" desc "Cherry Bonus III (Ziogas V4.1 hack, set 1)" devices ())
(name "cmv4zga" year "1991" manufacturer "hack" desc "Cherry Bonus III (Ziogas V4.1 hack, set 2)" devices ())
(name "cmv801" year "198?" manufacturer "Corsica" desc "Cherry Master (Corsica, ver.8.01)" devices ())
(name "cmwm" year "199?" manufacturer "Dyna" desc "Cherry Master (Watermelon bootleg / hack)" devices ())
(name "cnbaskb" year "1979" manufacturer "Conic" desc "Electronic Basketball (Conic)" devices ())
(name "cncchess" year "1979" manufacturer "Conic" desc "Computer Chess (Conic, model 7011)" devices ())
(name "cncchess2" year "1980" manufacturer "Conic" desc "Computer Chess (Conic, model 7012)" devices ())
(name "cncchess3" year "1981" manufacturer "Conic" desc "Computer Chess (Conic, model 7013)" devices ())
(name "cndypuzl" year "1995" manufacturer "CD Express" desc "Candy Puzzle (v1.0)" devices ((name "cdrom" briefname "cdrm" )))
(name "cnebula" year "1981" manufacturer "Data East Corporation" desc "Nebula (DECO Cassette) (UK)" devices ())
(name "cnfball" year "1979" manufacturer "Conic" desc "Electronic Football (Conic, TMS1000 version)" devices ())
(name "cnfball2" year "1979" manufacturer "Conic" desc "Electronic Football II (Conic)" devices ())
(name "cnightst" year "1983" manufacturer "Data East Corporation" desc "Night Star (DECO Cassette) (US) (set 1)" devices ())
(name "cnightst2" year "1983" manufacturer "Data East Corporation" desc "Night Star (DECO Cassette) (US) (set 2)" devices ())
(name "cninja" year "1991" manufacturer "Data East Corporation" desc "Caveman Ninja (World ver 4)" devices ())
(name "cninja1" year "1991" manufacturer "Data East Corporation" desc "Caveman Ninja (World ver 1)" devices ())
(name "cninjabl" year "1991" manufacturer "bootleg" desc "Caveman Ninja (bootleg)" devices ())
(name "cninjabl2" year "1991" manufacturer "bootleg" desc "Tatakae Genshizin Joe & Mac (Japan, bootleg)" devices ())
(name "cninjau" year "1991" manufacturer "Data East Corporation" desc "Caveman Ninja (US ver 4)" devices ())
(name "cnsector" year "1977" manufacturer "Parker Brothers" desc "Code Name: Sector" devices ())
(name "cntct_l1" year "1978" manufacturer "Williams" desc "Contact (L-1)" devices ())
(name "cntforce" year "1980" manufacturer "Gottlieb" desc "Counterforce" devices ())
(name "cntine31" year "19??" manufacturer "Seeben (Belgium)" desc "Continental 3 in 1 (Bingo)" devices ())
(name "cntinntl" year "1980" manufacturer "Bally" desc "Continental (Bingo)" devices ())
(name "cntinntl2" year "1980" manufacturer "Bally" desc "Continental (Bingo, alternate version)" devices ())
(name "cntrygrl" year "1984" manufacturer "Royal Denshi" desc "Country Girl (Japan set 1)" devices ())
(name "cntrygrla" year "1984" manufacturer "Nichibutsu" desc "Country Girl (Japan set 2)" devices ())
(name "cntsteer" year "1985" manufacturer "Data East Corporation" desc "Counter Steer (Japan)" devices ())
(name "cobra" year "1984" manufacturer "Data East" desc "Cobra Command (Data East LD, set 1)" devices ())
(name "cobra80" year "1988" manufacturer "ITCI" desc "Cobra 80K (ITCI)" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "cobraa" year "1984" manufacturer "Data East" desc "Cobra Command (Data East LD, set 2)" devices ())
(name "cobracom" year "1988" manufacturer "Data East Corporation" desc "Cobra-Command (World/US revision 5)" devices ())
(name "cobracoma" year "1988" manufacturer "Data East Corporation" desc "Cobra-Command (World/US revision 4)" devices ())
(name "cobracomb" year "1988" manufacturer "Data East Corporation" desc "Cobra-Command (World/US)" devices ())
(name "cobracomj" year "1988" manufacturer "Data East Corporation" desc "Cobra-Command (Japan)" devices ())
(name "cobracomjb" year "1988" manufacturer "bootleg" desc "Cobra-Command (Japan, bootleg)" devices ())
(name "cobram3" year "1984" manufacturer "Data East" desc "Cobra Command (M.A.C.H. 3 hardware, set 1)" devices ())
(name "cobram3a" year "1984" manufacturer "Data East" desc "Cobra Command (M.A.C.H. 3 hardware, set 2)" devices ())
(name "cobrap" year "1987" manufacturer "Nuova Bell Games" desc "Cobra" devices ())
(name "cobrapb" year "1987" manufacturer "Playbar" desc "Cobra (Playbar)" devices ())
(name "cobrasd" year "1998" manufacturer "TourVisión" desc "Cobra Sport Dart / Tour Sport Dart (OKI M6376 sound)" devices ())
(name "cobrasda" year "1997" manufacturer "TourVisión" desc "Cobra Sport Dart / Tour Sport Dart (AY-8910 sound)" devices ())
(name "cobraseg" year "1983" manufacturer "Sega" desc "Cobra Command (Sega LaserDisc Hardware)" devices ())
(name "cobrasp" year "1988" manufacturer "ITCI" desc "Cobra (ITCI)" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "cobrata" year "2005" manufacturer "Namco" desc "Cobra: The Arcade (CBR1 Ver. B)" devices ())
(name "cocean1a" year "1981" manufacturer "Data East Corporation" desc "Ocean to Ocean (Medal) (DECO Cassette MD) (No.10/Ver.1,Japan)" devices ())
(name "cocean6b" year "1981" manufacturer "Data East Corporation" desc "Ocean to Ocean (Medal) (DECO Cassette MD) (No.10/Ver.6,US)" devices ())
(name "coco" year "1980" manufacturer "Tandy Radio Shack" desc "Color Computer 1/2" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "coco2b" year "1985?" manufacturer "Tandy Radio Shack" desc "Color Computer 2B" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "coco2bh" year "19??" manufacturer "Tandy Radio Shack" desc "Color Computer 2B (HD6309)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "coco3" year "1986" manufacturer "Tandy Radio Shack" desc "Color Computer 3 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "coco3h" year "19??" manufacturer "Tandy Radio Shack" desc "Color Computer 3 (NTSC; HD6309)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "coco3p" year "1986" manufacturer "Tandy Radio Shack" desc "Color Computer 3 (PAL)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cocoh" year "19??" manufacturer "Tandy Radio Shack" desc "Color Computer 1/2 (HD6309)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "cocoloco" year "1981" manufacturer "Petaco S.A." desc "Coco Loco (set 1)" devices ())
(name "cocolocoa" year "1981" manufacturer "Recel S.A." desc "Coco Loco (set 2)" devices ())
(name "cocolocob" year "1981" manufacturer "Petaco S.A." desc "Coco Loco (set 3)" devices ())
(name "codata" year "1982" manufacturer "Contel Codata Corporation" desc "Codata" devices ())
(name "code1d" year "2000" manufacturer "Konami" desc "Code One Dispatch Ver 1.21 (ver UAD)" devices ((name "harddisk" briefname "hard" )))
(name "code1db" year "2000" manufacturer "Konami" desc "Code One Dispatch Ver 1.16 (ver UAB)" devices ((name "harddisk" briefname "hard" )))
(name "coleco" year "1982" manufacturer "Coleco" desc "ColecoVision (NTSC)" devices ((name "cartridge" briefname "cart" )))
(name "colecofl" year "2004" manufacturer "AtGames" desc "Colecovision Flashback" devices ())
(name "colecop" year "1983" manufacturer "Coleco" desc "ColecoVision (PAL)" devices ((name "cartridge" briefname "cart" )))
(name "colmns97" year "1996" manufacturer "Sega" desc "Columns '97 (JET 961209 V1.000)" devices ())
(name "colony7" year "1981" manufacturer "Taito" desc "Colony 7 (set 1)" devices ())
(name "colony7a" year "1981" manufacturer "Taito" desc "Colony 7 (set 2)" devices ())
(name "colorama" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Colorama (P521, English)" devices ())
(name "coloramas" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Colorama (P521 V13, Spanish)" devices ())
(name "colt" year "1986" manufacturer "bootleg" desc "Colt" devices ())
(name "columbia" year "1982" manufacturer "LTD" desc "Columbia" devices ())
(name "columbus" year "2002?" manufacturer "Novotech" desc "Columbus (set 1)" devices ())
(name "columbusa" year "2002?" manufacturer "Novotech" desc "Columbus (set 2)" devices ())
(name "columbusb" year "2002?" manufacturer "Novotech" desc "Columbus (set 3)" devices ())
(name "columbusc" year "2002?" manufacturer "Novotech" desc "Columbus (set 4)" devices ())
(name "columbusd" year "2002?" manufacturer "Novotech" desc "Columbus (set 5)" devices ())
(name "columbuse" year "2002?" manufacturer "Novotech" desc "Columbus (set 6)" devices ())
(name "columbusf" year "2002?" manufacturer "Novotech" desc "Columbus (set 7)" devices ())
(name "column2j" year "1990" manufacturer "Sega" desc "Columns II: The Voyage Through Time (Japan)" devices ())
(name "columns" year "1990" manufacturer "Sega" desc "Columns (World)" devices ())
(name "columns2" year "1990" manufacturer "Sega" desc "Columns II: The Voyage Through Time (World)" devices ())
(name "columnsj" year "1990" manufacturer "Sega" desc "Columns (Japan)" devices ())
(name "columnsu" year "1990" manufacturer "Sega" desc "Columns (US, cocktail, Rev A)" devices ())
(name "combat" year "1985" manufacturer "Exidy" desc "Combat (version 3.0)" devices ())
(name "combatsc" year "1988" manufacturer "Konami" desc "Combat School (joystick)" devices ())
(name "combatscb" year "1988" manufacturer "bootleg (Datsu)" desc "Combat School (bootleg)" devices ())
(name "combatscj" year "1987" manufacturer "Konami" desc "Combat School (Japan trackball)" devices ())
(name "combatsct" year "1987" manufacturer "Konami" desc "Combat School (trackball)" devices ())
(name "combh" year "1987" manufacturer "Sanritsu / Sega" desc "Combat Hawk" devices ())
(name "comdesk" year "1984" manufacturer "Compaq" desc "Deskpro" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "comebaby" year "2000" manufacturer "ExPotato" desc "Come On Baby" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "comeback" year "198?" manufacturer "Nondum / CIFA" desc "Come Back" devices ())
(name "comet_l4" year "1985" manufacturer "Williams" desc "Comet (L-4)" devices ())
(name "comet_l5" year "1985" manufacturer "Williams" desc "Comet (L-5)" devices ())
(name "comg074" year "1981" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 7.4 (Gaming Poker, W.Export)" devices ())
(name "comg076" year "1981" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 7.6 (Arcade Poker)" devices ())
(name "comg079" year "1981" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 7.9 (Arcade Poker)" devices ())
(name "comg080" year "1981" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 8.0 (Arcade Black Jack)" devices ())
(name "comg094" year "1981" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 9.4 (Keno)" devices ())
(name "comg107" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 10.7c (Big Game)" devices ())
(name "comg123" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 12.3 (Ticket Poker)" devices ())
(name "comg125" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 12.5 (Bingo)" devices ())
(name "comg127" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 12.7 (Keno)" devices ())
(name "comg128" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 12.8 (Arcade Game)" devices ())
(name "comg134" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 13.4 (Nudge)" devices ())
(name "comg145" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 14.5 (Pixels)" devices ())
(name "comg157" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 15.7 (Double-Draw Poker)" devices ())
(name "comg159" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 15.9 (Wild Double-Up)" devices ())
(name "comg164" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 16.4 (Keno)" devices ())
(name "comg168" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 16.8 (Keno)" devices ())
(name "comg170" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 17.0 (Amusement Poker)" devices ())
(name "comg172" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 17.2 (Double Double Poker)" devices ())
(name "comg175" year "1984" manufacturer "Cal Omega / Casino Electronics Inc." desc "Cal Omega - Game 17.51 (Gaming Draw Poker, Sch 07-0T)" devices ())
(name "comg176" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 17.6 (Nudge)" devices ())
(name "comg181" year "1982" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.1 (Nudge)" devices ())
(name "comg183" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.3 (Pixels)" devices ())
(name "comg184" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.4 (Pixels)" devices ())
(name "comg185" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.5 (Pixels)" devices ())
(name "comg186" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.6 (Pixels)" devices ())
(name "comg187" year "1983" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 18.7 (Amusement Poker)" devices ())
(name "comg204" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 20.4 (Super Blackjack)" devices ())
(name "comg208" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 20.8 (Winner's Choice)" devices ())
(name "comg214" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 21.4 (Wild Double-Up Poker)" devices ())
(name "comg227" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 22.7 (Amusement Poker, d/d)" devices ())
(name "comg230" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 23.0 (FC Bingo (4-card))" devices ())
(name "comg236" year "1984" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 23.6 (Hotline)" devices ())
(name "comg239" year "1985" manufacturer "Cal Omega / Casino Electronics Inc." desc "Cal Omega - Game 23.9 (Gaming Draw Poker)" devices ())
(name "comg240" year "1985" manufacturer "Cal Omega / Casino Electronics Inc." desc "Cal Omega - Game 24.0 (Gaming Draw Poker, hold)" devices ())
(name "comg246" year "1985" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 24.6 (Hotline)" devices ())
(name "comg272a" year "1985" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 27.2 (Keno, amusement)" devices ())
(name "comg272b" year "1985" manufacturer "Cal Omega Inc." desc "Cal Omega - Game 27.2 (Keno, gaming)" devices ())
(name "comg5107" year "1988" manufacturer "Casino Electronics Inc." desc "CEI 51.07 (CEI 906-III Poker, Schedule 05F)" devices ())
(name "comg5108" year "1988" manufacturer "Casino Electronics Inc." desc "CEI 51.08 (CEI 906-III Poker, Schedule 05F)" devices ())
(name "comg5108a" year "1988" manufacturer "Casino Electronics Inc." desc "CEI 51.08 (CEI 906-III Poker, Schedule 09F)" devices ())
(name "comg5108b" year "1988" manufacturer "Casino Electronics Inc." desc "CEI 51.08 (CEI 906-III Poker, Schedule 21F)" devices ())
(name "comg6004" year "1989" manufacturer "Casino Electronics Inc." desc "CEI 60.04 (CEI 906-III Poker, Schedule 09F)" devices ())
(name "comg903d" year "198?" manufacturer "Cal Omega Inc." desc "Cal Omega - System 903 Diag.PROM" devices ())
(name "comg905d" year "198?" manufacturer "Cal Omega Inc." desc "Cal Omega - System 905 Diag.PROM" devices ())
(name "comil" year "2008" manufacturer "Character Options" desc "Who Wants to Be a Millionaire? (Character Options, Plug and Play, UK)" devices ())
(name "commando" year "1985" manufacturer "Capcom" desc "Commando (World)" devices ())
(name "commandob" year "1985" manufacturer "bootleg" desc "Commando (bootleg set 1)" devices ())
(name "commandob2" year "1985" manufacturer "bootleg" desc "Commando (bootleg set 2)" devices ())
(name "commandob3" year "1985" manufacturer "bootleg" desc "Commando (bootleg set 3)" devices ())
(name "commandoj" year "1985" manufacturer "Capcom" desc "Senjou no Ookami" devices ())
(name "commandou" year "1985" manufacturer "Capcom (Data East USA license)" desc "Commando (US set 1)" devices ())
(name "commandou2" year "1985" manufacturer "Capcom (Data East USA license)" desc "Commando (US set 2)" devices ())
(name "commandw" year "1992" manufacturer "Taito Corporation" desc "Command War - Super Special Battle & War Game (Ver 0.0J, prototype)" devices ())
(name "commsega" year "1983" manufacturer "Sega" desc "Commando (Sega)" devices ())
(name "comotion" year "1976" manufacturer "Gremlin" desc "CoMotion" devices ())
(name "comotionp" year "1976" manufacturer "Gremlin" desc "CoMotion (patent)" devices ())
(name "comp4" year "1977" manufacturer "Milton Bradley" desc "Comp IV" devices ())
(name "compan" year "1982" manufacturer "SciSys / Heuristic Software" desc "Chess Companion" devices ())
(name "compan2" year "1983" manufacturer "SciSys" desc "Chess Companion II" devices ())
(name "compan3" year "1986" manufacturer "SciSys / Heuristic Software" desc "Companion III" devices ())
(name "compani1" year "1990" manufacturer "<unknown>" desc "Kompanion 1" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "comparc" year "1981" manufacturer "Tandy Corporation" desc "Computerized Arcade (TMS1100 version, model 60-2159)" devices ())
(name "comparca" year "1981" manufacturer "Tandy Corporation" desc "Computerized Arcade (COP421 version, model 60-2159A)" devices ())
(name "compc1" year "198?" manufacturer "Commodore Business Machines" desc "PC-1" devices ((name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "compc10" year "1984" manufacturer "Commodore Business Machines" desc "Commodore PC 10" devices ((name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "compclr2" year "1977" manufacturer "Intelligent Systems Corporation" desc "Compucolor II" devices ((name "floppydisk" briefname "flop" )))
(name "compgolf" year "1986" manufacturer "Data East Corporation" desc "Competition Golf Final Round (World?, revision 3)" devices ())
(name "compgolfo" year "1985" manufacturer "Data East Corporation" desc "Competition Golf Final Round (Japan, old version)" devices ())
(name "compis" year "1985" manufacturer "Telenova" desc "Compis" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "compis2" year "1986" manufacturer "Telenova" desc "Compis II" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "complexx" year "1984" manufacturer "Taito America Corporation" desc "Complex X" devices ())
(name "compmahj" year "1983" manufacturer "Nintendo" desc "Computer Mah-jong Yakuman" devices ())
(name "comport" year "1983" manufacturer "Compaq" desc "Compaq Portable" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "comportii" year "1987" manufacturer "Compaq" desc "Portable II" devices ((name "floppydisk" briefname "flop" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "comportiii" year "1987" manufacturer "Compaq" desc "Portable III" devices ((name "floppydisk" briefname "flop" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "compperf" year "1979" manufacturer "Lakeside" desc "Computer Perfection" devices ())
(name "comquest" year "1995" manufacturer "Data Concepts" desc "ComQuest Plus (German)" devices ())
(name "comslt286" year "1988" manufacturer "Compaq" desc "SLT/286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "comt386" year "199?" manufacturer "Commodore Business Machines" desc "Tower 386" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "comt486" year "199?" manufacturer "Commodore Business Machines" desc "Tower 486" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "comx35n" year "1983" manufacturer "Comx World Operations Ltd" desc "COMX 35 (NTSC)" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "comx35p" year "1983" manufacturer "Comx World Operations Ltd" desc "COMX 35 (PAL)" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "conc" year "1982" manufacturer "Consumenta Computer / Loproc" desc "Conchess (standard, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "conca" year "1982" manufacturer "Consumenta Computer / Loproc" desc "Conchess (standard, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "concams" year "1985" manufacturer "Systemhuset / Loproc" desc "Conchess Plymate Amsterdam" devices ((name "cartridge" briefname "cart" )))
(name "concams5" year "1985" manufacturer "Systemhuset / Loproc" desc "Conchess Plymate Amsterdam 5.5MHz" devices ((name "cartridge" briefname "cart" )))
(name "concept" year "1982" manufacturer "Corvus Systems" desc "Concept" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "concgla" year "1984" manufacturer "Systemhuset / Loproc" desc "Conchess Princhess Glasgow" devices ((name "cartridge" briefname "cart" )))
(name "concglap" year "1984" manufacturer "Systemhuset / Loproc" desc "Conchess Plymate Glasgow Plus (set 1)" devices ((name "cartridge" briefname "cart" )))
(name "concglapa" year "1984" manufacturer "Systemhuset / Loproc" desc "Conchess Plymate Glasgow Plus (set 2)" devices ((name "cartridge" briefname "cart" )))
(name "concvicp" year "1990" manufacturer "Systemhuset / Loproc" desc "Conchess Plymate Victoria (prototype)" devices ((name "cartridge" briefname "cart" )))
(name "condor" year "1981" manufacturer "bootleg (Sidam)" desc "Condor (Sidam bootleg of Phoenix)" devices ())
(name "condorn" year "1981" manufacturer "bootleg (S C Novar)" desc "Condor (S C Novar bootleg of Phoenix)" devices ())
(name "condorva" year "1980" manufacturer "bootleg (Valadon Automation)" desc "Condor (Valadon Automation bootleg of Phoenix)" devices ())
(name "coneyis" year "1979" manufacturer "Game Plan" desc "Old Coney Island!" devices ())
(name "confmiss" year "2000" manufacturer "Sega" desc "Confidential Mission (GDS-0001)" devices ((name "cdrom" briefname "cdrm" )))
(name "congo" year "1983" manufacturer "Sega" desc "Congo Bongo (Rev C, 2 board stack)" devices ())
(name "congo_11" year "1995" manufacturer "Williams" desc "Congo (1.1)" devices ())
(name "congo_11s10" year "1995" manufacturer "Williams" desc "Congo (1.1, DCS sound 1.0)" devices ())
(name "congo_13" year "1995" manufacturer "Williams" desc "Congo (1.3)" devices ())
(name "congo_20" year "1995" manufacturer "Williams" desc "Congo (2.0)" devices ())
(name "congo_21" year "1995" manufacturer "Williams" desc "Congo (2.1)" devices ())
(name "congoa" year "1983" manufacturer "Sega" desc "Congo Bongo (Rev C, 3 board stack)" devices ())
(name "conquer" year "198?" manufacturer "<unknown>" desc "Conqueror" devices ())
(name "conquest" year "1982" manufacturer "Williams / Vid Kidz" desc "Conquest (prototype)" devices ())
(name "conquist" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Conquistador" devices ())
(name "consoemt" year "2003" manufacturer "Indra / Amper" desc "Consola EMT" devices ())
(name "const" year "1983" manufacturer "Novag Industries" desc "Constellation" devices ())
(name "const36" year "1984" manufacturer "Novag Industries" desc "Constellation 3.6MHz (set 1)" devices ())
(name "const36a" year "1986" manufacturer "Novag Industries" desc "Constellation 3.6MHz (set 2)" devices ())
(name "constjr" year "1985" manufacturer "Novag Industries" desc "Constellation Junior" devices ())
(name "constq" year "1986" manufacturer "Novag Industries" desc "Constellation Quattro" devices ())
(name "contcirc" year "1987" manufacturer "Taito Corporation Japan" desc "Continental Circus (World)" devices ())
(name "contcircj" year "1987" manufacturer "Taito Corporation" desc "Continental Circus (Japan)" devices ())
(name "contcircu" year "1987" manufacturer "Taito America Corporation" desc "Continental Circus (US set 1)" devices ())
(name "contcircua" year "1987" manufacturer "Taito America Corporation" desc "Continental Circus (US set 2)" devices ())
(name "contra" year "1987" manufacturer "Konami" desc "Contra (US / Asia, set 1)" devices ())
(name "contra1" year "1987" manufacturer "Konami" desc "Contra (US / Asia, set 2)" devices ())
(name "contrab" year "1987" manufacturer "bootleg" desc "Contra (bootleg)" devices ())
(name "contrabj" year "1987" manufacturer "bootleg" desc "Contra (Japan bootleg, set 1)" devices ())
(name "contrabj1" year "1987" manufacturer "bootleg" desc "Contra (Japan bootleg, set 2)" devices ())
(name "contrae" year "1987" manufacturer "Konami" desc "Contra (US / Asia, set 3)" devices ())
(name "contraj" year "1987" manufacturer "Konami" desc "Contra (Japan, set 1)" devices ())
(name "contraj1" year "1987" manufacturer "Konami" desc "Contra (Japan, set 2)" devices ())
(name "conyfght" year "200?" manufacturer "Conny / Big Ben" desc "TV Virtual Fighter / Free Fight Kung Fu (Conny / Big Ben)" devices ())
(name "conyping" year "2003" manufacturer "Conny / SDW Games" desc "Virtual Ping Pong (Conny / SDW Games)" devices ())
(name "conyteni" year "2003" manufacturer "Conny" desc "TV Virtual Tennis" devices ())
(name "cookbib" year "1995" manufacturer "SemiCom" desc "Cookie & Bibi (set 1)" devices ())
(name "cookbib2" year "1996" manufacturer "SemiCom" desc "Cookie & Bibi 2 (English, set 1)" devices ())
(name "cookbib2a" year "1996" manufacturer "SemiCom" desc "Cookie & Bibi 2 (English, set 2)" devices ())
(name "cookbib2b" year "1996" manufacturer "SemiCom" desc "Cookie & Bibi 2 (English, set 3)" devices ())
(name "cookbib2c" year "1996" manufacturer "SemiCom" desc "Cookie & Bibi 2 (English / Korean)" devices ())
(name "cookbib3" year "1997" manufacturer "SemiCom" desc "Cookie & Bibi 3" devices ())
(name "cookbiba" year "1995" manufacturer "SemiCom" desc "Cookie & Bibi (set 2)" devices ())
(name "cookrace" year "1982" manufacturer "bootleg" desc "Cook Race" devices ())
(name "cool104" year "1997" manufacturer "Sigma" desc "Cool 104" devices ())
(name "coolmini" year "1999" manufacturer "SemiCom" desc "Cool Minigame Collection" devices ())
(name "coolminii" year "1999" manufacturer "SemiCom" desc "Cool Minigame Collection (Italy)" devices ())
(name "coolpool" year "1992" manufacturer "Catalina" desc "Cool Pool" devices ())
(name "coolridr" year "1995" manufacturer "Sega" desc "Cool Riders" devices ())
(name "coozumou" year "1984" manufacturer "Data East Corporation" desc "Oozumou - The Grand Sumo (DECO Cassette) (Japan)" devices ())
(name "cop01" year "1985" manufacturer "Nichibutsu" desc "Cop 01 (set 1)" devices ())
(name "cop01a" year "1985" manufacturer "Nichibutsu" desc "Cop 01 (set 2)" devices ())
(name "copera" year "1993" manufacturer "Yamaha / Sega" desc "Yamaha Mixt Book Player Copera" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "coppc21" year "198?" manufacturer "Corona Data Systems, Inc." desc "Corona PPC-21" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "coppc400" year "198?" manufacturer "Corona Data Systems, Inc." desc "Cordata PPC-400" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "cops" year "1994" manufacturer "Atari Games" desc "Cops (USA)" devices ())
(name "copsnrob" year "1976" manufacturer "Atari" desc "Cops'n Robbers" devices ())
(name "copspa" year "1982" manufacturer "National Semiconductor" desc "COPS Pocket Assistant" devices ())
(name "copsuk" year "1994" manufacturer "Nova Productions Ltd./ Deith Leisure" desc "Cops (UK)" devices ())
(name "copycat" year "1979" manufacturer "Tiger Electronics" desc "Copy Cat (model 7-520)" devices ())
(name "copycata" year "1989" manufacturer "Tiger Electronics" desc "Copy Cat (model 7-522)" devices ())
(name "coralr2" year "2000" manufacturer "Aristocrat" desc "Coral Riches II (1VXFC5472, New Zealand)" devices ())
(name "coralrc2" year "1998" manufacturer "Aristocrat" desc "Coral Riches II (0100919V, NSW/ACT)" devices ())
(name "corona" year "1990" manufacturer "Saitek / Heuristic Software" desc "Kasparov Corona (ver. D+)" devices ((name "romimage" briefname "rom" )))
(name "coronaa" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Corona (ver. C, set 1)" devices ((name "romimage" briefname "rom" )))
(name "coronab" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Corona (ver. C, set 2)" devices ((name "romimage" briefname "rom" )))
(name "coronatn" year "1999" manufacturer "JPM" desc "Coronation Street Quiz Game" devices ())
(name "coronatnd" year "1999" manufacturer "JPM" desc "Coronation Street Quiz Game (Protocol)" devices ())
(name "corrida" year "2005" manufacturer "Aristocrat" desc "Corrida de Toros (30178311, NSW/ACT)" devices ())
(name "corsario" year "1989" manufacturer "Inder" desc "Corsario" devices ())
(name "cortex" year "1982" manufacturer "Powertran Cybernetics" desc "Cortex" devices ())
(name "corv_21" year "1994" manufacturer "Bally" desc "Corvette (2.1)" devices ())
(name "corv_la1" year "1994" manufacturer "Bally" desc "Corvette (LA1)" devices ())
(name "corv_lx1" year "1994" manufacturer "Bally" desc "Corvette (LX1)" devices ())
(name "corv_lx2" year "1994" manufacturer "Bally" desc "Corvette (LX2)" devices ())
(name "corv_px3" year "1994" manufacturer "Bally" desc "Corvette (PX3 Prototype)" devices ())
(name "corv_px4" year "1994" manufacturer "Bally" desc "Corvette (PX4 Prototype)" devices ())
(name "cosflash" year "1985" manufacturer "Bell Games" desc "Cosmic Flash" devices ())
(name "cosflnsm" year "1985" manufacturer "NSM" desc "Cosmic Flash (NSM)" devices ())
(name "cosmccop" year "1991" manufacturer "Irem" desc "Cosmic Cop (World)" devices ())
(name "cosmic" year "1981" manufacturer "Taito do Brasil" desc "Cosmic" devices ())
(name "cosmica" year "1979" manufacturer "Universal" desc "Cosmic Alien (version II, set 1)" devices ())
(name "cosmica1" year "1979" manufacturer "Universal" desc "Cosmic Alien (first version)" devices ())
(name "cosmica22" year "1979" manufacturer "Universal" desc "Cosmic Alien (version II, set 2)" devices ())
(name "cosmica23" year "1979" manufacturer "Universal" desc "Cosmic Alien (version II, set 3)" devices ())
(name "cosmica2a" year "1979" manufacturer "Universal" desc "Cosmic Alien (early version II?)" devices ())
(name "cosmicg" year "1979" manufacturer "Universal" desc "Cosmic Guerilla" devices ())
(name "cosmicgi" year "1979" manufacturer "bootleg (Inder)" desc "Cosmic Guerilla (Spanish bootleg)" devices ())
(name "cosmicin" year "1978" manufacturer "bootleg" desc "Cosmic Invaders (bootleg of Space Invaders)" devices ())
(name "cosmicm2" year "1979" manufacturer "bootleg (Universal)" desc "Cosmic Monsters 2" devices ())
(name "cosmicmo" year "1979" manufacturer "bootleg (Universal)" desc "Cosmic Monsters (version II)" devices ())
(name "cosmicos" year "1979" manufacturer "Radio Bulletin" desc "Cosmicos" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "cosmo" year "1979" manufacturer "TDS & MINTS" desc "Cosmo" devices ())
(name "cosmogng" year "1991" manufacturer "Namco" desc "Cosmo Gang the Video (US)" devices ())
(name "cosmogngj" year "1991" manufacturer "Namco" desc "Cosmo Gang the Video (Japan)" devices ())
(name "cosmos" year "1981" manufacturer "Century Electronics" desc "Cosmos" devices ())
(name "cothello" year "1978" manufacturer "Nintendo" desc "Computer Othello" devices ())
(name "cots" year "2005" manufacturer "ECM" desc "Creatures of the Sea (20050328 USA 6.3)" devices ())
(name "cotton" year "1991" manufacturer "Success / Sega" desc "Cotton (set 4, World) (FD1094 317-0181a)" devices ())
(name "cotton2" year "1997" manufacturer "Success" desc "Cotton 2 (JUET 970902 V1.000)" devices ())
(name "cottonbm" year "1998" manufacturer "Success" desc "Cotton Boomerang (JUET 980709 V1.000)" devices ())
(name "cottond" year "1991" manufacturer "bootleg" desc "Cotton (set 4, World) (bootleg of FD1094 317-0181a set)" devices ())
(name "cottong" year "1982" manufacturer "bootleg" desc "Cotocoto Cottong" devices ())
(name "cottonj" year "1991" manufacturer "Success / Sega" desc "Cotton (set 2, Japan, Rev B) (FD1094 317-0179b)" devices ())
(name "cottonja" year "1991" manufacturer "Success / Sega" desc "Cotton (set 1, Japan, Rev A) (FD1094 317-0179a)" devices ())
(name "cottonjad" year "1991" manufacturer "bootleg" desc "Cotton (set 1, Japan, Rev A) (bootleg of FD1094 317-0179a set)" devices ())
(name "cottonjd" year "1991" manufacturer "bootleg" desc "Cotton (set 2, Japan, Rev B) (bootleg of FD1094 317-0179b set)" devices ())
(name "cottonu" year "1991" manufacturer "Success / Sega" desc "Cotton (set 3, US) (FD1094 317-0180)" devices ())
(name "cottonud" year "1991" manufacturer "bootleg" desc "Cotton (set 3, US) (bootleg of FD1094 317-0180 set)" devices ())
(name "cougar" year "1998" manufacturer "Saitek" desc "Kasparov Cougar" devices ())
(name "countdwn" year "1979" manufacturer "Gottlieb" desc "Count-Down" devices ())
(name "countrun" year "1988" manufacturer "Nihon System (Sega license)" desc "Counter Run (NS6201-A 1988.3)" devices ())
(name "countrunb" year "1988" manufacturer "bootleg" desc "Counter Run (bootleg set 1)" devices ())
(name "countrunb2" year "1988" manufacturer "bootleg" desc "Counter Run (bootleg set 2)" devices ())
(name "countrunb3" year "1988" manufacturer "bootleg" desc "Counter Run (bootleg set 3)" devices ())
(name "countryc" year "1988" manufacturer "SNK" desc "Country Club" devices ())
(name "couple" year "1988" manufacturer "bootleg" desc "The Couples (set 1)" devices ())
(name "couplei" year "1988" manufacturer "bootleg" desc "The Couples (set 3)" devices ())
(name "couplep" year "1988" manufacturer "bootleg" desc "The Couples (set 2)" devices ())
(name "covidarts" year "1997" manufacturer "Covielsa" desc "Covidarts" devices ())
(name "cowboy" year "1981" manufacturer "LTD" desc "Cowboy Eight Ball (set 1)" devices ())
(name "cowboy2" year "1982" manufacturer "LTD" desc "Cowboy Eight Ball 2" devices ())
(name "cowboya" year "1981" manufacturer "LTD" desc "Cowboy Eight Ball (set 2)" devices ())
(name "cowrace" year "2000" manufacturer "bootleg (Gate In)" desc "Cow Race (hack of King Derby)" devices ())
(name "cowtipp" year "2004" manufacturer "Game Refuge / Team Play" desc "Cow Tipping - Shake Cattle & Roll (set 1)" devices ())
(name "cowtippa" year "2004" manufacturer "Game Refuge / Team Play" desc "Cow Tipping - Shake Cattle & Roll (set 2)" devices ())
(name "cp1" year "1980" manufacturer "Kosmos" desc "CP1 / Computer-Praxis" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "cp2000" year "1980" manufacturer "SciSys / Novag Industries" desc "Chess Partner 2000" devices ())
(name "cp400" year "1983" manufacturer "Prológica" desc "CP400" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "cp400c2" year "1985" manufacturer "Prológica" desc "CP400 Color II" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "cp500" year "1982" manufacturer "Prológica" desc "CP-500 (PVIII REV.3)" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "cp_15" year "1998" manufacturer "Bally" desc "The Champion Pub (1.5)" devices ())
(name "cp_16" year "1998" manufacturer "Bally" desc "The Champion Pub (1.6)" devices ())
(name "cpacman" year "1981" manufacturer "Coleco" desc "Pac-Man (Coleco, rev. 29)" devices ())
(name "cpacmanr1" year "1981" manufacturer "Coleco" desc "Pac-Man (Coleco, rev. 28)" devices ())
(name "cpatrolm" year "200?" manufacturer "TimeTop" desc "City Patrolman" devices ())
(name "cpc300" year "1986" manufacturer "Daewoo" desc "IQ-2000 CPC-300 (MSX2, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cpc300e" year "1987" manufacturer "Daewoo" desc "IQ-2000 CPC-300E (MSX2, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cpc330k" year "1988" manufacturer "Daewoo" desc "CPC-330K KOBO (MSX2, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cpc400" year "1987" manufacturer "Daewoo" desc "X-II CPC-400 (MSX2, Korea)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cpc400s" year "1988" manufacturer "Daewoo" desc "X-II CPC-400S (MSX2, Korea)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cpc464" year "1984" manufacturer "Amstrad plc" desc "Amstrad CPC464" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "cpc464p" year "1990" manufacturer "Amstrad plc" desc "Amstrad CPC464+" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" mandatory t)))
(name "cpc50a" year "1986" manufacturer "Daewoo" desc "Zemmix CPC-50A (MSX1, Korea)" devices ((name "cartridge" briefname "cart" )))
(name "cpc50b" year "1987" manufacturer "Daewoo" desc "Zemmix CPC-50B (MSX1, Korea)" devices ((name "cartridge" briefname "cart" )))
(name "cpc51" year "1988" manufacturer "Daewoo" desc "Zemmix CPC-51 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" )))
(name "cpc61" year "1990" manufacturer "Daewoo" desc "Zemmix CPC-61 (MSX2, Korea)" devices ((name "cartridge" briefname "cart" )))
(name "cpc6128" year "1985" manufacturer "Amstrad plc" desc "Amstrad CPC6128" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cpc6128f" year "1985" manufacturer "Amstrad plc" desc "Amstrad CPC6128 (France, AZERTY Keyboard)" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cpc6128p" year "1990" manufacturer "Amstrad plc" desc "Amstrad CPC6128+" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" mandatory t)))
(name "cpc6128s" year "1985" manufacturer "Amstrad plc" desc "Amstrad CPC6128 (Sweden/Finland)" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cpc6128sp" year "1985" manufacturer "Amstrad plc" desc "Amstrad CPC6128 (Spain)" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cpc664" year "1985" manufacturer "Amstrad plc" desc "Amstrad CPC664" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "cpc88" year "1984" manufacturer "Daewoo" desc "CPC-88 (MSX1, Korea)" devices ((name "cassette" briefname "cass" )))
(name "cpg120" year "1991" manufacturer "Daewoo" desc "Zemmix CPG-120 Normal (MSX2, Korea)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cassette" briefname "cass" )))
(name "cphantom" year "1991" manufacturer "Fidelity Electronics International" desc "Chesster Phantom (model 6126)" devices ())
(name "cpoker" year "1993?" manufacturer "IGS" desc "Champion Poker (v220I)" devices ())
(name "cpoker101" year "1993" manufacturer "IGS" desc "Champion Poker (v101)" devices ())
(name "cpoker2" year "2000?" manufacturer "IGS" desc "Champion Poker 2 (V100A)" devices ())
(name "cpoker201f" year "1993" manufacturer "IGS" desc "Champion Poker (v201F)" devices ())
(name "cpoker210ks" year "1993" manufacturer "IGS" desc "Champion Poker (v210KS)" devices ())
(name "cpoker300us" year "1993" manufacturer "IGS" desc "Champion Poker (v300US)" devices ())
(name "cpokerpk" year "199?" manufacturer "bootleg (SGS)" desc "Champion Italian PK (bootleg, blue board)" devices ())
(name "cpokerpkg" year "199?" manufacturer "bootleg (SGS)" desc "Champion Italian PK (bootleg, green board)" devices ())
(name "cpokert" year "1993?" manufacturer "IGS (Tuning license)" desc "Champion Poker (v200G)" devices ())
(name "cpokerx" year "1993" manufacturer "IGS" desc "Champion Poker (v100)" devices ())
(name "cppicf" year "1984" manufacturer "Data East Corporation" desc "Peter Pepper's Ice Cream Factory (DECO Cassette) (US) (set 1)" devices ())
(name "cppicf2" year "1984" manufacturer "Data East Corporation" desc "Peter Pepper's Ice Cream Factory (DECO Cassette) (US) (set 2)" devices ())
(name "cprobowl" year "1983" manufacturer "Data East Corporation" desc "Pro Bowling (DECO Cassette) (US)" devices ())
(name "cprogolf" year "1981" manufacturer "Data East Corporation" desc "Tournament Pro Golf (DECO Cassette) (US)" devices ())
(name "cprogolf18" year "1982" manufacturer "Data East Corporation" desc "18 Challenge Pro Golf (DECO Cassette) (Japan)" devices ())
(name "cprogolfj" year "1981" manufacturer "Data East Corporation" desc "Tournament Pro Golf (DECO Cassette) (Japan)" devices ())
(name "cps3boot" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for HD6417095 type SH2 (V4)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3boota" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for dead security cart (V5)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3bootao" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for dead security cart (older)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3bootao2" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for dead security cart (oldest) (New Generation, 2nd Impact and 3rd Strike only)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3booto" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for HD6417095 type SH2 (older)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3booto2" year "1999" manufacturer "bootleg" desc "CPS3 Multi-game bootleg for HD6417095 type SH2 (oldest) (New Generation, 3rd Strike, JoJo's Venture, JoJo's Bizarre Adventure and Red Earth only)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3bs32" year "1999" manufacturer "bootleg" desc "Street Fighter III 2nd Impact: Giant Attack (USA 970930, bootleg for HD6417095 type SH2, V3)" devices ((name "cdrom" briefname "cdrm" )))
(name "cps3bs32a" year "1999" manufacturer "bootleg" desc "Street Fighter III 2nd Impact: Giant Attack (USA 970930, bootleg for HD6417095 type SH2, older)" devices ((name "cdrom" briefname "cdrm" )))
(name "cpsoccer" year "1983" manufacturer "Data East Corporation" desc "Pro Soccer (DECO Cassette) (US)" devices ())
(name "cpsoccerj" year "1983" manufacturer "Data East Corporation" desc "Pro Soccer (DECO Cassette) (Japan)" devices ())
(name "cptennis" year "1982" manufacturer "Data East Corporation" desc "Pro Tennis (DECO Cassette) (US)" devices ())
(name "cptennisj" year "1982" manufacturer "Data East Corporation" desc "Pro Tennis (DECO Cassette) (Japan)" devices ())
(name "cpthook" year "1985" manufacturer "Game Plan" desc "Captain Hook" devices ())
(name "cptlucky" year "1988" manufacturer "Sigma" desc "Captain Lucky" devices ())
(name "cptshark" year "2006" manufacturer "Astro Corp. / American Alpha" desc "Captain Shark (Ver. CS.01.6, Apr 21 2006)" devices ())
(name "cpu09" year "1982" manufacturer "C. Tavernier" desc "CPU09" devices ((name "cassette" briefname "cass" )))
(name "cpzodiac" year "1993" manufacturer "Taito Corporation" desc "Captain Zodiac (World)" devices ())
(name "cpzodiacj" year "1993" manufacturer "Taito Corporation" desc "Captain Zodiac (Japan)" devices ())
(name "cqback" year "1978" manufacturer "Coleco" desc "Electronic Quarterback" devices ())
(name "cr589fw" year "1999" manufacturer "Konami" desc "CD-ROM Drive Updater 2.0 (700B04)" devices ((name "cdrom" briefname "cdrm" )))
(name "cr589fwa" year "1999" manufacturer "Konami" desc "CD-ROM Drive Updater (700A04)" devices ((name "cdrom" briefname "cdrm" )))
(name "crackndj" year "2000" manufacturer "Sega" desc "Crackin' DJ" devices ())
(name "cracksht" year "1985" manufacturer "Exidy" desc "Crackshot (version 2.0)" devices ())
(name "craft" year "2008" manufacturer "Linus Åkesson" desc "Craft" devices ())
(name "craft2p" year "1982" manufacturer "Craft" desc "Craft II+" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "crakndj2" year "2001" manufacturer "Sega" desc "Crackin' DJ Part 2 (Japan)" devices ())
(name "crash" year "1979" manufacturer "Exidy" desc "Crash (set 1)" devices ())
(name "crasha" year "1979" manufacturer "Exidy" desc "Crash (set 2)" devices ())
(name "crashnsc" year "1975" manufacturer "Atari" desc "Crash 'n Score/Stock Car" devices ())
(name "crashrd" year "1979" manufacturer "bootleg (Centromatic)" desc "Crash Road (bootleg of Space Chaser)" devices ())
(name "crater" year "1984" manufacturer "Bally Midway" desc "Crater Raider" devices ())
(name "crazybal" year "1978" manufacturer "Electronic Games Systems" desc "Crazy Balls" devices ())
(name "crazyblk" year "1983" manufacturer "Kiwako (ECI license)" desc "Crazy Blocks" devices ())
(name "crazybon" year "1997" manufacturer "bootleg (Crazy Co.)" desc "Crazy Bonus 2002 (Ver. 1, set 1)" devices ())
(name "crazybona" year "1997" manufacturer "bootleg (Crazy Co.)" desc "Crazy Bonus 2002 (Ver. 1, set 2)" devices ())
(name "crazybonb" year "1997" manufacturer "bootleg (TV Games)" desc "Crazy Bonus 2002 (Ver. 1, set 3)" devices ())
(name "crazycop" year "1988" manufacturer "Konami" desc "Crazy Cop (Japan)" devices ())
(name "crazyfgt" year "1996" manufacturer "Subsino" desc "Crazy Fight" devices ())
(name "crazym" year "1982" manufacturer "bootleg (Game-A-Tron)" desc "Crazy Mazey" devices ())
(name "crazywar" year "2002" manufacturer "Eolith" desc "Crazy War" devices ())
(name "crbaloon" year "1980" manufacturer "Taito Corporation" desc "Crazy Balloon (set 1)" devices ())
(name "crbaloon2" year "1980" manufacturer "Taito Corporation" desc "Crazy Balloon (set 2)" devices ())
(name "cregchg" year "2003" manufacturer "Sega" desc "Chihiro Change Region GD USA (611-0028A)" devices ((name "cdrom" briefname "cdrm" )))
(name "crei680" year "19??" manufacturer "Capital Radio Engineering Institute" desc "CREI 680" devices ((name "cassette" briefname "cass" )))
(name "crgolf" year "1984" manufacturer "Nasco Japan" desc "Crowns Golf (834-5419-04)" devices ())
(name "crgolfa" year "1984" manufacturer "Nasco Japan" desc "Crowns Golf (834-5419-03)" devices ())
(name "crgolfb" year "1984" manufacturer "Nasco Japan" desc "Crowns Golf (set 3)" devices ())
(name "crgolfbt" year "1984" manufacturer "bootleg" desc "Champion Golf (bootleg)" devices ())
(name "crgolfc" year "1984" manufacturer "Nasco Japan" desc "Champion Golf" devices ())
(name "crgolfhi" year "1985" manufacturer "Nasco Japan" desc "Crowns Golf in Hawaii" devices ())
(name "cricket" year "1995" manufacturer "Daryde S. L." desc "Cricket" devices ())
(name "crimec" year "1989" manufacturer "Taito Corporation Japan" desc "Crime City (World)" devices ())
(name "crimecj" year "1989" manufacturer "Taito Corporation" desc "Crime City (Japan)" devices ())
(name "crimecu" year "1989" manufacturer "Taito America Corporation" desc "Crime City (US)" devices ())
(name "crimep2" year "1993" manufacturer "American Laser Games" desc "Crime Patrol 2: Drug Wars (v1.3)" devices ())
(name "crimep2_11" year "1993" manufacturer "American Laser Games" desc "Crime Patrol 2: Drug Wars (v1.1)" devices ())
(name "crimepat" year "1993" manufacturer "American Laser Games" desc "Crime Patrol (v1.51)" devices ())
(name "crimepat_10" year "1993" manufacturer "American Laser Games" desc "Crime Patrol (v1.0)" devices ())
(name "crimepat_12" year "1993" manufacturer "American Laser Games" desc "Crime Patrol (v1.2)" devices ())
(name "crimepat_14" year "1993" manufacturer "American Laser Games" desc "Crime Patrol (v1.4)" devices ())
(name "crimfght" year "1989" manufacturer "Konami" desc "Crime Fighters (World 2 players)" devices ())
(name "crimfghtj" year "1989" manufacturer "Konami" desc "Crime Fighters (Japan 2 Players)" devices ())
(name "crimfghtu" year "1989" manufacturer "Konami" desc "Crime Fighters (US 4 Players)" devices ())
(name "crimson" year "1992" manufacturer "Silicon Graphics Inc" desc "Crimson (R4000, 100MHz, Ver. 4.0.3)" devices ())
(name "crisscrs" year "1986" manufacturer "JPM" desc "Criss Cross (Sweden)" devices ((name "floppydisk" briefname "flop" )))
(name "critcrsh" year "1995" manufacturer "Sega" desc "Critter Crusher (EA 951204 V1.000)" devices ())
(name "crkdown" year "1989" manufacturer "Sega" desc "Crack Down (World, Floppy Based, FD1094 317-0058-04c)" devices ())
(name "crkdownj" year "1989" manufacturer "Sega" desc "Crack Down (Japan, Floppy Based, FD1094 317-0058-04b Rev A)" devices ())
(name "crkdownu" year "1989" manufacturer "Sega" desc "Crack Down (US, Floppy Based, FD1094 317-0058-04d)" devices ())
(name "croaky" year "2002" manufacturer "<unknown>" desc "Croaky Karaoke 16-in-1" devices ())
(name "crockman" year "1980" manufacturer "bootleg (Rene Pierre)" desc "Crock-Man" devices ())
(name "crockmnf" year "1980" manufacturer "bootleg (Marti Colls)" desc "Crock-Man (Marti Colls bootleg of Rene Pierre Crock-Man)" devices ())
(name "croquis" year "1996" manufacturer "Deniam" desc "Croquis (Korea)" devices ())
(name "croquisg" year "1996" manufacturer "Deniam" desc "Croquis (Germany)" devices ())
(name "crospang" year "1998" manufacturer "F2 System" desc "Cross Pang" devices ())
(name "crospuzl" year "200?" manufacturer "<unknown>" desc "Cross Puzzle" devices ())
(name "crossbld" year "1991" manufacturer "Irem" desc "Cross Blades! (Japan)" devices ())
(name "crossbow" year "1983" manufacturer "Exidy" desc "Crossbow (version 2.0)" devices ())
(name "crossmg2" year "1996" manufacturer "Konami" desc "Cross Magic Mark 2" devices ())
(name "croupier" year "1997" manufacturer "Playmark" desc "Croupier (Playmark Roulette v.20.05)" devices ())
(name "croupiera" year "1997" manufacturer "Playmark" desc "Croupier (Playmark Roulette v.09.04)" devices ())
(name "croupierb" year "1997" manufacturer "Playmark" desc "Croupier (Playmark Roulette v.03.09)" devices ())
(name "crsbingo" year "1991" manufacturer "Subsino" desc "Poker Carnival" devices ())
(name "crshrace" year "1993" manufacturer "Video System Co." desc "Lethal Crash Race / Bakuretsu Crash Race (set 1)" devices ())
(name "crshrace2" year "1993" manufacturer "Video System Co." desc "Lethal Crash Race / Bakuretsu Crash Race (set 2)" devices ())
(name "crshrace2a" year "1993" manufacturer "Video System Co." desc "Lethal Crash Race / Bakuretsu Crash Race (set 2, alternate sound ROM)" devices ())
(name "crswd2bl" year "1996" manufacturer "bootleg (Razoola)" desc "Crossed Swords 2 (bootleg of CD version)" devices ((name "memcard" briefname "memc" ) ()))
(name "crsword" year "1991" manufacturer "Alpha Denshi Co." desc "Crossed Swords (ALM-002 ~ ALH-002)" devices ((name "memcard" briefname "memc" ) ()))
(name "crszone" year "1999" manufacturer "Namco" desc "Crisis Zone (World, CSZO4 Ver. B)" devices ())
(name "crszonev2a" year "1999" manufacturer "Namco" desc "Crisis Zone (World, CSZO2 Ver. A)" devices ())
(name "crszonev3a" year "1999" manufacturer "Namco" desc "Crisis Zone (US, CSZO3 Ver. A)" devices ())
(name "crszonev3b" year "1999" manufacturer "Namco" desc "Crisis Zone (US, CSZO3 Ver. B, set 1)" devices ())
(name "crszonev3b2" year "1999" manufacturer "Namco" desc "Crisis Zone (US, CSZO3 Ver. B, set 2)" devices ())
(name "crszonev4a" year "1999" manufacturer "Namco" desc "Crisis Zone (World, CSZO4 Ver. A)" devices ())
(name "crtaxihr" year "2003" manufacturer "Sega / Hitmaker" desc "Crazy Taxi High Roller (Rev B) (GDX-0002B)" devices ((name "cdrom" briefname "cdrm" )))
(name "cruisin" year "1985" manufacturer "Jaleco (Kitkorp license)" desc "Cruisin" devices ())
(name "crush" year "1981" manufacturer "Alpha Denshi Co. / Kural Samno Electric, Ltd." desc "Crush Roller (set 1)" devices ())
(name "crush2" year "1981" manufacturer "Alpha Denshi Co. / Kural Esco Electric, Ltd." desc "Crush Roller (set 2)" devices ())
(name "crush3" year "1981" manufacturer "Alpha Denshi Co. / Kural Electric, Ltd." desc "Crush Roller (set 3)" devices ())
(name "crush4" year "1981" manufacturer "Alpha Denshi Co. / Kural Electric, Ltd." desc "Crush Roller (set 4)" devices ())
(name "crush5" year "1981" manufacturer "Alpha Denshi Co. / Kural TWT" desc "Crush Roller (set 5)" devices ())
(name "crushbl" year "1981" manufacturer "bootleg" desc "Crush Roller (bootleg set 1)" devices ())
(name "crushbl2" year "1981" manufacturer "bootleg" desc "Crush Roller (bootleg set 2)" devices ())
(name "crushbl3" year "1981" manufacturer "bootleg" desc "Crush Roller (bootleg set 3)" devices ())
(name "crusherm" year "1999" manufacturer "Takumi" desc "Crusher Makochan (Japan)" devices ())
(name "crushrlf" year "1981" manufacturer "bootleg" desc "Crush Roller (Famare SA PCB)" devices ())
(name "crushs" year "1981" manufacturer "bootleg (Sidam)" desc "Crush Roller (bootleg set 4)" devices ())
(name "crusnexo" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 2.4)" devices ())
(name "crusnexoa" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 2.0)" devices ())
(name "crusnexoaa" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 2.0, alternate ROM format)" devices ())
(name "crusnexob" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 1.6)" devices ())
(name "crusnexoc" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 1.3)" devices ())
(name "crusnexod" year "1999" manufacturer "Midway" desc "Cruis'n Exotica (version 1.0)" devices ())
(name "crusnusa" year "1994" manufacturer "Midway" desc "Cruis'n USA (v4.5)" devices ())
(name "crusnusa11" year "1994" manufacturer "Midway" desc "Cruis'n USA (v1.1)" devices ())
(name "crusnusa20" year "1994" manufacturer "Midway" desc "Cruis'n USA (v2.0)" devices ())
(name "crusnusa21" year "1994" manufacturer "Midway" desc "Cruis'n USA (v2.1)" devices ())
(name "crusnusa40" year "1994" manufacturer "Midway" desc "Cruis'n USA (v4.0)" devices ())
(name "crusnusa41" year "1994" manufacturer "Midway" desc "Cruis'n USA (v4.1)" devices ())
(name "crusnusa44" year "1994" manufacturer "Midway" desc "Cruis'n USA (v4.4)" devices ())
(name "crusnwld" year "1996" manufacturer "Midway" desc "Cruis'n World (v2.5)" devices ())
(name "crusnwld13" year "1996" manufacturer "Midway" desc "Cruis'n World (v1.3)" devices ())
(name "crusnwld17" year "1996" manufacturer "Midway" desc "Cruis'n World (v1.7)" devices ())
(name "crusnwld19" year "1996" manufacturer "Midway" desc "Cruis'n World (v1.9)" devices ())
(name "crusnwld20" year "1996" manufacturer "Midway" desc "Cruis'n World (v2.0)" devices ())
(name "crusnwld23" year "1996" manufacturer "Midway" desc "Cruis'n World (v2.3)" devices ())
(name "crusnwld24" year "1996" manufacturer "Midway" desc "Cruis'n World (v2.4)" devices ())
(name "crvisio2" year "1983" manufacturer "Video Technology" desc "CreatiVision MK-II (Europe)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "crvisioj" year "1982" manufacturer "Cheryco" desc "CreatiVision (Japan)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "crvision" year "1982" manufacturer "Video Technology" desc "CreatiVision" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "cryptklr" year "1995" manufacturer "Konami" desc "Crypt Killer (GQ420 UAA)" devices ((name "harddisk" briefname "hard" )))
(name "crysking" year "2001" manufacturer "BrezzaSoft" desc "The Crystal of Kings" devices ())
(name "cryspri" year "2003" manufacturer "Aristocrat" desc "Crystal Springs (10144411, NSW/ACT)" devices ())
(name "cryspria" year "2003" manufacturer "Aristocrat" desc "Crystal Springs (10155811, ASP)" devices ())
(name "cryspriu" year "2006" manufacturer "Aristocrat" desc "Crystal Springs (0352557, US)" devices ())
(name "crystal" year "1998" manufacturer "J.C.D. srl" desc "Crystal Colours (CMC hardware)" devices ())
(name "crystal2" year "1986" manufacturer "Nichibutsu" desc "Crystal Gal 2 (Japan 860620)" devices ())
(name "crystalc" year "1998" manufacturer "JCD srl" desc "Crystals Colours (Ver 1.02)" devices ())
(name "crystalca" year "1998" manufacturer "JCD srl" desc "Crystals Colours (Ver 1.01)" devices ())
(name "crystalg" year "1986" manufacturer "Nichibutsu" desc "Crystal Gal (Japan 860512)" devices ())
(name "crzclass" year "200?" manufacturer "TJF" desc "Zhaoji Fengdou" devices ())
(name "crzcross" year "1994" manufacturer "Konami" desc "Crazy Cross (ver EAA)" devices ())
(name "crzmon2" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (100310 World)" devices ())
(name "crzmon2_10" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (110124 Entertainment A)" devices ())
(name "crzmon2_11" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (110204 Entertainment A)" devices ())
(name "crzmon2_12" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (110311 Entertainment B)" devices ())
(name "crzmon2_13" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (140526 Entertainment B)" devices ())
(name "crzmon2_14" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (110411 Entertainment C)" devices ())
(name "crzmon2_2" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (100311 Lottery)" devices ())
(name "crzmon2_3" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (100315 Entertainment)" devices ())
(name "crzmon2_4" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (100618 Russia)" devices ())
(name "crzmon2_5" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (100413 Entertainment X)" devices ())
(name "crzmon2_6" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (101220 Entertainment X)" devices ())
(name "crzmon2_7" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (101208 Entertainment N)" devices ())
(name "crzmon2_8" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (101220 Entertainment N)" devices ())
(name "crzmon2_9" year "2010" manufacturer "Igrosoft" desc "Crazy Monkey 2 (110111 Entertainment A)" devices ())
(name "crzrally" year "1985" manufacturer "Tecfri" desc "Crazy Rally (set 1)" devices ())
(name "crzrallya" year "1985" manufacturer "Tecfri" desc "Crazy Rally (set 2)" devices ())
(name "crzrallyg" year "1985" manufacturer "Tecfri (Gecas license)" desc "Crazy Rally (Gecas license)" devices ())
(name "crzrallyrf" year "1985" manufacturer "Tecfri (Recreativos Franco license)" desc "Crazy Rally (Recreativos Franco license)" devices ())
(name "crzybugs" year "2009" manufacturer "IGS" desc "Crazy Bugs (V204US)" devices ())
(name "crzybugsa" year "2006" manufacturer "IGS" desc "Crazy Bugs (V202US)" devices ())
(name "crzybugsb" year "2005" manufacturer "IGS" desc "Crazy Bugs (V200US)" devices ())
(name "crzybugsj" year "2007" manufacturer "IGS" desc "Crazy Bugs (V103JP)" devices ())
(name "crzyddz" year "2004?" manufacturer "Sealy" desc "Crazy Dou Di Zhu" devices ())
(name "crzyddz2" year "2006" manufacturer "Sealy" desc "Crazy Dou Di Zhu II" devices ())
(name "crzytaxi" year "1999" manufacturer "Sega" desc "Crazy Taxi" devices ())
(name "cs10_sps" year "1988" manufacturer "Status Games" desc "Casino Strip X (Poker version, for Sony LD)" devices ())
(name "cs113" year "198?" manufacturer "Sciento b.v." desc "Robot Training Arm CS-113" devices ((name "cassette" briefname "cass" ) (name "romimage" briefname "rom" )))
(name "cs11_sps" year "1988" manufacturer "Status Games" desc "Casino Strip XI (Poker version, for Sony LD, set 1)" devices ())
(name "cs11_sps2" year "1988" manufacturer "Status Games" desc "Casino Strip XI (Poker version, for Sony LD, set 2)" devices ())
(name "cs11_ssp" year "1988" manufacturer "Status Games" desc "Casino Strip XI (Shooting Game version, for Pioneer LD)" devices ())
(name "cs12_sps" year "1988" manufacturer "Status Games" desc "Casino Strip XII (Poker version, for Sony LD)" devices ())
(name "cs1_spp" year "1984" manufacturer "Status Games" desc "Casino Strip I (Poker version, for Pioneer LD, set 1)" devices ())
(name "cs1_spp2" year "1984" manufacturer "Status Games" desc "Casino Strip I (Poker version, for Pioneer LD, set 2)" devices ())
(name "cs2_sps" year "1988" manufacturer "Status Games" desc "Casino Strip II (Poker version, for Sony LD)" devices ())
(name "cs3_qps" year "1992" manufacturer "Quantum Industries" desc "Casino Strip III (Poker version, for Sony LD)" devices ())
(name "cs5_spp" year "1985" manufacturer "Status Games" desc "Casino Strip V (Poker version, for Pioneer LD)" devices ())
(name "cs5_ssp" year "1985" manufacturer "Status Games" desc "Casino Strip V (Shooting Game version, for Pioneer LD)" devices ())
(name "cs6_sps" year "1988" manufacturer "Status Games" desc "Casino Strip VI (Poker version, for Sony LD)" devices ())
(name "cs6_ssp" year "1985" manufacturer "Status Games" desc "Casino Strip VI (Shooting Game version, for Pioneer LD)" devices ())
(name "cs8230" year "198?" manufacturer "<unknown>" desc "386 motherboards using the CS8230 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "cs8_spp" year "1985" manufacturer "Status Games" desc "Casino Strip VIII (Poker version, for Pioneer LD)" devices ())
(name "cs8_sps" year "1988" manufacturer "Status Games" desc "Casino Strip VIII (Poker version, for Sony LD)" devices ())
(name "cs8_ssp" year "1986" manufacturer "Status Games" desc "Casino Strip VIII (Shooting Game version, for Pioneer LD)" devices ())
(name "cs9_qps" year "1992" manufacturer "Quantum Industries" desc "Casino Strip IX (Poker version, for Sony LD)" devices ())
(name "cs9_spp" year "1985" manufacturer "Status Games" desc "Casino Strip IX (Poker version, for Pioneer LD)" devices ())
(name "csc" year "1981" manufacturer "Fidelity Electronics" desc "Champion Sensory Chess Challenger" devices ())
(name "csce" year "1981" manufacturer "Fidelity Electronics" desc "Elite Champion Challenger" devices ())
(name "cscet" year "1981" manufacturer "Fidelity Electronics" desc "Elite Champion Challenger (WMCCC 1981 Travemünde TM)" devices ())
(name "csclub" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Europe 971017)" devices ())
(name "csclub1" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Europe 970722)" devices ())
(name "csclub1d" year "1997" manufacturer "bootleg" desc "Capcom Sports Club (Europe 970722 Phoenix Edition) (bootleg)" devices ())
(name "cscluba" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Asia 970722)" devices ())
(name "csclubh" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Hispanic 970722)" devices ())
(name "csclubj" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Japan 970722)" devices ())
(name "csclubjy" year "1997" manufacturer "Capcom" desc "Capcom Sports Club (Japan 970722, yellow case)" devices ())
(name "cscrtry" year "1984" manufacturer "Data East Corporation" desc "Scrum Try (DECO Cassette) (US) (set 1)" devices ())
(name "cscrtry2" year "1984" manufacturer "Data East Corporation" desc "Scrum Try (DECO Cassette) (US) (set 2)" devices ())
(name "csd" year "2002" manufacturer "Aristocrat" desc "Choy Sun Doa (10104011, NSW/ACT)" devices ())
(name "csda" year "2003" manufacturer "Aristocrat" desc "Choy Sun Doa (20131511, ASP)" devices ())
(name "csdce" year "2003" manufacturer "Aristocrat" desc "Choy Sun Doa - Cash Express (30149511, NSW/ACT)" devices ())
(name "csdjc" year "2003" manufacturer "Aristocrat" desc "Choy Sun Doa - Jackpot Carnival (20156611, Queensland)" devices ())
(name "csdq" year "2002" manufacturer "Aristocrat" desc "Choy Sun Doa (10121111, Queensland)" devices ())
(name "csdsp" year "2002" manufacturer "Aristocrat" desc "Choy Sun Doa (20104011, NSW/ACT, Show Program)" devices ())
(name "csdtenis" year "1983" manufacturer "Data East Corporation" desc "Super Doubles Tennis (DECO Cassette) (Japan)" devices ())
(name "cshift" year "1984" manufacturer "Bally/Sente" desc "Chicken Shift (11/23/84)" devices ())
(name "cshooter" year "1987" manufacturer "Seibu Kaihatsu (J.K.H. license)" desc "Cross Shooter (Single PCB)" devices ())
(name "cshootert" year "1987" manufacturer "Seibu Kaihatsu (Taito license)" desc "Cross Shooter (2 PCB Stack)" devices ())
(name "csi_102" year "2008" manufacturer "Stern" desc "C.S.I. v1.02" devices ())
(name "csi_103" year "2008" manufacturer "Stern" desc "C.S.I. v1.03" devices ())
(name "csi_104" year "2008" manufacturer "Stern" desc "C.S.I. v1.04" devices ())
(name "csi_200" year "2008" manufacturer "Stern" desc "C.S.I. v2.00" devices ())
(name "csi_210" year "2008" manufacturer "Stern" desc "C.S.I. v2.10" devices ())
(name "csi_230" year "2008" manufacturer "Stern" desc "C.S.I. v2.30" devices ())
(name "csi_240" year "2008" manufacturer "Stern" desc "C.S.I. v2.40" devices ())
(name "csilver" year "1987" manufacturer "Data East Corporation" desc "Captain Silver (World)" devices ())
(name "csilverj" year "1987" manufacturer "Data East Corporation" desc "Captain Silver (Japan, revision 2)" devices ())
(name "csilverja" year "1987" manufacturer "Data East Corporation" desc "Captain Silver (Japan, revision 1)" devices ())
(name "csk227it" year "198?" manufacturer "IGS" desc "Champion Skill (with Ability)" devices ())
(name "csk234it" year "198?" manufacturer "IGS" desc "Champion Skill (Ability, Poker & Symbols)" devices ())
(name "cskater" year "1983" manufacturer "Data East Corporation" desc "Skater (DECO Cassette) (Japan)" devices ())
(name "csl286" year "199?" manufacturer "Commodore Business Machines" desc "SL 286-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "csmash" year "2000" manufacturer "Sega" desc "Cosmic Smash (Rev A)" devices ())
(name "csmasho" year "2000" manufacturer "Sega" desc "Cosmic Smash" devices ())
(name "csmic_l1" year "1980" manufacturer "Williams" desc "Cosmic Gunfight (L-1)" devices ())
(name "cspe_qps" year "1996" manufacturer "Quantum Industries" desc "Casino Strip Private Eyes / All Start (Poker version, for Sony LD)" devices ())
(name "cspike" year "2000" manufacturer "Psikyo / Capcom" desc "Cannon Spike / Gun Spike" devices ())
(name "cspin2" year "1996" manufacturer "Taito" desc "Capriccio Spin 2" devices ())
(name "csplayh1" year "1995" manufacturer "Sphinx/AV Japan/Astro System Japan" desc "Super CD Dai8dan Mahjong Hanafuda Cosplay Tengoku (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "csplayh5" year "1998" manufacturer "Nichibutsu" desc "Mahjong Hanafuda Cosplay Tengoku 5 (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "csplayh6" year "1999" manufacturer "Nichibutsu/eic" desc "Mahjong Hanafuda Cosplay Tengoku 6 - Junai-hen (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "csplayh7" year "1999" manufacturer "Nichibutsu/eic" desc "Cosplay Tengoku 7 - Super Kogal Ranking (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "csprint" year "1986" manufacturer "Atari Games" desc "Championship Sprint (rev 3)" devices ())
(name "csprint1" year "1986" manufacturer "Atari Games" desc "Championship Sprint (rev 1)" devices ())
(name "csprint2" year "1986" manufacturer "Atari Games" desc "Championship Sprint (rev 2)" devices ())
(name "csprintf" year "1986" manufacturer "Atari Games" desc "Championship Sprint (French)" devices ())
(name "csprintg" year "1986" manufacturer "Atari Games" desc "Championship Sprint (German, rev 2)" devices ())
(name "csprintg1" year "1986" manufacturer "Atari Games" desc "Championship Sprint (German, rev 1)" devices ())
(name "csprints" year "1986" manufacturer "Atari Games" desc "Championship Sprint (Spanish, rev 2)" devices ())
(name "csprints1" year "1986" manufacturer "Atari Games" desc "Championship Sprint (Spanish, rev 1)" devices ())
(name "csret" year "2006" manufacturer "Aristocrat" desc "Choy Sun Returns (20212211, NSW/ACT)" devices ())
(name "cstlevna" year "1987" manufacturer "Konami" desc "Vs. Castlevania" devices ())
(name "csuperas" year "1981" manufacturer "Data East Corporation" desc "Super Astro Fighter (DECO Cassette) (US)" devices ())
(name "csv1_qps" year "1993" manufacturer "Quantum Industries" desc "Casino Strip Vivid 1 (Poker version, for Sony LD)" devices ())
(name "cswat" year "1984" manufacturer "Namco" desc "Cosmoswat" devices ())
(name "csweetht" year "1982" manufacturer "Data East Corporation" desc "Sweet Heart (DECO Cassette) (US)" devices ())
(name "ct2k3sa" year "2003" manufacturer "bootleg (Phenixsoft)" desc "Crouching Tiger Hidden Dragon 2003 Super Plus (hack of The King of Fighters 2001, alternate)" devices ((name "memcard" briefname "memc" ) ()))
(name "ct2k3sp" year "2003" manufacturer "bootleg (Phenixsoft)" desc "Crouching Tiger Hidden Dragon 2003 Super Plus (hack of The King of Fighters 2001)" devices ((name "memcard" briefname "memc" ) ()))
(name "ct386sx" year "1988" manufacturer "<generic>" desc "NEAT 386SX (16 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ct486" year "1993" manufacturer "<unknown>" desc "PC/AT 486 with CS4031 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ct65" year "1982" manufacturer "Thaler" desc "CT-65" devices ())
(name "ctainv" year "19??" manufacturer "CTA Corporation" desc "CTA Invader" devices ())
(name "ctcc386mx" year "199?" manufacturer "Caching Tech Corporation" desc "C386MX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ctcheese" year "1996" manufacturer "Sega" desc "Cut The Cheese (Redemption)" devices ())
(name "ctchzdlx" year "1998" manufacturer "Sega" desc "Cut The Cheese Deluxe (redemption, CPU 1.00, display A1.00)" devices ())
(name "cterrani" year "1981" manufacturer "Data East Corporation" desc "Terranean (DECO Cassette) (US)" devices ())
(name "cthd2003" year "2003" manufacturer "bootleg (Phenixsoft)" desc "Crouching Tiger Hidden Dragon 2003 (hack of The King of Fighters 2001)" devices ((name "memcard" briefname "memc" ) ()))
(name "ctisland" year "1981" manufacturer "Data East Corporation" desc "Treasure Island (DECO Cassette) (US) (set 1)" devices ())
(name "ctisland2" year "1981" manufacturer "Data East Corporation" desc "Treasure Island (DECO Cassette) (US) (set 2)" devices ())
(name "ctisland3" year "1981" manufacturer "Data East Corporation" desc "Treasure Island (DECO Cassette) (Europe?)" devices ())
(name "ctk2100" year "2009" manufacturer "Casio" desc "CTK-2100" devices ())
(name "ctk530" year "1995" manufacturer "Casio" desc "CTK-530" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ctk551" year "2000" manufacturer "Casio" desc "CTK-551" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ctk601" year "1997" manufacturer "Casio" desc "CTK-601" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ctntune" year "1980" manufacturer "Castle Toy" desc "Name That Tune (Castle Toy)" devices ())
(name "ctomaday" year "1999" manufacturer "Visco" desc "Captain Tomaday" devices ((name "memcard" briefname "memc" ) ()))
(name "ctornado" year "1982" manufacturer "Data East Corporation" desc "Tornado (DECO Cassette) (US)" devices ())
(name "ctower" year "1981" manufacturer "Data East Corporation" desc "The Tower (DECO Cassette) (Europe)" devices ())
(name "ctribe" year "1990" manufacturer "Technos Japan" desc "The Combatribes (US, rev 2, set 1)" devices ())
(name "ctribeb" year "1990" manufacturer "bootleg" desc "The Combatribes (bootleg set 1)" devices ())
(name "ctribeb2" year "1990" manufacturer "bootleg" desc "The Combatribes (bootleg set 2)" devices ())
(name "ctribej" year "1990" manufacturer "Technos Japan" desc "The Combatribes (Japan, rev 2)" devices ())
(name "ctribeu1" year "1990" manufacturer "Technos Japan" desc "The Combatribes (US, rev 1)" devices ())
(name "ctribeua" year "1990" manufacturer "Technos Japan" desc "The Combatribes (US, rev 2, set 2)" devices ())
(name "ctrpllrp" year "1982" manufacturer "hack" desc "Caterpillar Pacman Hack" devices ())
(name "ctstein" year "1979" manufacturer "Castle Toy" desc "Einstein (Castle Toy)" devices ())
(name "ctsttape" year "1981" manufacturer "Data East Corporation" desc "Test Tape (DECO Cassette) (US)" devices ())
(name "ctvboy" year "1983" manufacturer "Gakken" desc "Compact Vision TV Boy" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "cubeqst" year "1983" manufacturer "Simutrek" desc "Cube Quest (01/04/84)" devices ())
(name "cubeqsta" year "1983" manufacturer "Simutrek" desc "Cube Quest (12/30/83)" devices ())
(name "cubieboard4" year "20??" manufacturer "Cubietech Limited" desc "Cubieboard4 (CC A-20)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "cubybop" year "199?" manufacturer "Hot-B Co., Ltd." desc "Cuby Bop (location test)" devices ())
(name "cucaracha" year "1992" manufacturer "Taito" desc "La Cucaracha (set 1)" devices ())
(name "cucaracha2" year "1992" manufacturer "Taito" desc "La Cucaracha (set 2)" devices ())
(name "cuckoo" year "1998" manufacturer "Aristocrat" desc "Cuckoo (0200753V, NSW/ACT)" devices ())
(name "cuckoou" year "2000" manufacturer "Aristocrat" desc "Cuckoo (CHG1195, US)" devices ())
(name "cue" year "1982" manufacturer "Stern" desc "Cue (Prototype)" devices ())
(name "cueball" year "1992" manufacturer "Gottlieb" desc "Cue Ball Wizard" devices ())
(name "cueballa" year "1992" manufacturer "Gottlieb" desc "Cue Ball Wizard (rev. 2)" devices ())
(name "cueballb" year "1992" manufacturer "Gottlieb" desc "Cue Ball Wizard (rev. 3)" devices ())
(name "cueballc" year "1992" manufacturer "Gottlieb" desc "Cue Ball Wizard (older display rev.)" devices ())
(name "cuebrick" year "1989" manufacturer "Konami" desc "Cue Brick (World, version D)" devices ())
(name "cuebrickj" year "1989" manufacturer "Konami" desc "Cue Brick (Japan)" devices ())
(name "cultname" year "1996" manufacturer "I'Max" desc "Seimei-Kantei-Meimei-Ki Cult Name" devices (() ()))
(name "cultures" year "1994" manufacturer "Face" desc "Jibun wo Migaku Culture School Mahjong Hen" devices ())
(name "cuncino" year "2000" manufacturer "High Video" desc "Capitan Uncino (High Video, version 2)" devices ())
(name "cuoreuno" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 1)" devices ())
(name "cuoreunoa" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 2)" devices ())
(name "cuoreunob" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 3)" devices ())
(name "cuoreunoc" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 4)" devices ())
(name "cuoreunod" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 5)" devices ())
(name "cuoreunoe" year "1996" manufacturer "C.M.C." desc "Cuore 1 (Italian, set 6)" devices ())
(name "cuoreunof" year "1996" manufacturer "bootleg" desc "Cuore 1 (Italian, set 7)" devices ())
(name "cupfinal" year "1993" manufacturer "Taito Corporation Japan" desc "Taito Cup Finals (Ver 1.0O 1993/02/28)" devices ())
(name "cupsoc" year "1992" manufacturer "Seibu Kaihatsu" desc "Seibu Cup Soccer (set 1)" devices ())
(name "cupsoca" year "1992" manufacturer "Seibu Kaihatsu" desc "Seibu Cup Soccer (set 2)" devices ())
(name "cupsocb" year "1992" manufacturer "Seibu Kaihatsu" desc "Seibu Cup Soccer (set 3)" devices ())
(name "cupsocs" year "1992" manufacturer "Seibu Kaihatsu" desc "Seibu Cup Soccer :Selection: (set 1)" devices ())
(name "cupsocs2" year "1992" manufacturer "Seibu Kaihatsu" desc "Seibu Cup Soccer :Selection: (set 2)" devices ())
(name "cupsocsb" year "1992" manufacturer "bootleg" desc "Seibu Cup Soccer :Selection: (bootleg, set 1)" devices ())
(name "cupsocsb2" year "1992" manufacturer "bootleg" desc "Seibu Cup Soccer :Selection: (bootleg, set 2)" devices ())
(name "cupsocsb3" year "1992" manufacturer "bootleg" desc "Seibu Cup Soccer :Selection: (bootleg, set 3)" devices ())
(name "cupsocsb4" year "1992" manufacturer "bootleg" desc "Seibu Cup Soccer :Selection: (bootleg, set 4)" devices ())
(name "cupsocsb5" year "1992" manufacturer "bootleg" desc "Seibu Cup Soccer :Selection: (bootleg, set 5)" devices ())
(name "curvebal" year "1984" manufacturer "Mylstar" desc "Curve Ball" devices ())
(name "cutefght" year "1998" manufacturer "SemiCom" desc "Cute Fighter" devices ())
(name "cutieq" year "1979" manufacturer "Namco" desc "Cutie Q" devices ())
(name "cuttherope" year "2016" manufacturer "ICE" desc "Cut The Rope" devices ())
(name "cv_10" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (1.0)" devices ())
(name "cv_11" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (1.1)" devices ())
(name "cv_13" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (1.3)" devices ())
(name "cv_14" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (1.4)" devices ())
(name "cv_20h" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (2.0H)" devices ())
(name "cv_d52" year "1997" manufacturer "Bally" desc "Cirqus Voltaire (D.52 prototype)" devices ())
(name "cvicny" year "1984" manufacturer "<unknown>" desc "Practice-z80" devices ())
(name "cvs2" year "2001" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK 2: Mark Of The Millennium 2001 (USA) (GDL-0008)" devices ((name "cdrom" briefname "cdrm" )))
(name "cvs2mf" year "2001" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK 2: Millionaire Fighting 2001 (Japan, Rev A) (GDL-0007A)" devices ((name "cdrom" briefname "cdrm" )))
(name "cvsgd" year "2001" manufacturer "Capcom / SNK" desc "Capcom Vs. SNK: Millennium Fight 2000 Pro (Japan) (GDL-0004)" devices ((name "cdrom" briefname "cdrm" )))
(name "cwheel" year "19??" manufacturer "Gamebar" desc "Catherine Wheel" devices ())
(name "cworld" year "1989" manufacturer "Capcom" desc "Capcom World (Japan)" devices ())
(name "cworld2j" year "1992" manufacturer "Capcom" desc "Adventure Quiz Capcom World 2 (Japan 920611)" devices ())
(name "cworld2ja" year "1992" manufacturer "Capcom" desc "Adventure Quiz Capcom World 2 (Japan 920611, B-Board 90629B-3, no battery)" devices ())
(name "cworld2jb" year "1992" manufacturer "Capcom" desc "Adventure Quiz Capcom World 2 (Japan 920611, B-Board 91634B-2)" devices ())
(name "cx3000tc" year "1979" manufacturer "Palson" desc "CX 3000 Tele Computer" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "cx5f" year "1984" manufacturer "Yamaha" desc "CX5F w/SFG05 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx5f1" year "1984" manufacturer "Yamaha" desc "CX5F w/SFG01 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx5m128" year "1984" manufacturer "Yamaha" desc "CX5M-128 (MSX1)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx5miib" year "1984" manufacturer "Yamaha" desc "CX5MIIB (MSX1, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx5mu" year "1984" manufacturer "Yamaha" desc "CX5MU (MSX1, USA)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx7128" year "1985" manufacturer "Yamaha" desc "CX7/128 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cx7m128" year "1985" manufacturer "Yamaha" desc "CX7M/128 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "midiout" briefname "mout" ) (name "midiin" briefname "min" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "cxsxd" year "1993" manufacturer "CX Technology" desc "CX SXD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "cybar120" year "2009" manufacturer "Defender / JungleTac" desc "Defender M2500P 120-in-1" devices ())
(name "cybattlr" year "1993" manufacturer "Jaleco" desc "Cybattler" devices ())
(name "cyberbal" year "1988" manufacturer "Atari Games" desc "Cyberball (rev 4)" devices ())
(name "cyberbal1" year "1988" manufacturer "Atari Games" desc "Cyberball (rev 1)" devices ())
(name "cyberbal2" year "1988" manufacturer "Atari Games" desc "Cyberball (rev 2)" devices ())
(name "cyberbal2p" year "1989" manufacturer "Atari Games" desc "Cyberball 2072 (2 player, rev 4)" devices ())
(name "cyberbal2p1" year "1989" manufacturer "Atari Games" desc "Cyberball 2072 (2 player, rev 1)" devices ())
(name "cyberbal2p2" year "1989" manufacturer "Atari Games" desc "Cyberball 2072 (2 player, rev 2)" devices ())
(name "cyberbal2p3" year "1989" manufacturer "Atari Games" desc "Cyberball 2072 (2 player, rev 3)" devices ())
(name "cyberbalp" year "1988" manufacturer "Atari Games" desc "Cyberball (prototype)" devices ())
(name "cyberbalt" year "1989" manufacturer "Atari Games" desc "Tournament Cyberball 2072 (rev 2)" devices ())
(name "cyberbalt1" year "1989" manufacturer "Atari Games" desc "Tournament Cyberball 2072 (rev 1)" devices ())
(name "cyberlip" year "1990" manufacturer "SNK" desc "Cyber-Lip (NGM-010)" devices ((name "memcard" briefname "memc" ) ()))
(name "cybertnk" year "1988" manufacturer "Coreland" desc "Cyber Tank (v1.4)" devices ())
(name "cybikov1" year "2000" manufacturer "Cybiko Inc" desc "Cybiko Classic (V1)" devices ((name "quickload" briefname "quik" )))
(name "cybikov2" year "2000" manufacturer "Cybiko Inc" desc "Cybiko Classic (V2)" devices ((name "quickload" briefname "quik" )))
(name "cybikoxt" year "2001" manufacturer "Cybiko Inc" desc "Cybiko Xtreme" devices ((name "quickload" briefname "quik" )))
(name "cybots" year "1995" manufacturer "Capcom" desc "Cyberbots: Fullmetal Madness (Europe 950424)" devices ())
(name "cybotsj" year "1995" manufacturer "Capcom" desc "Cyberbots: Fullmetal Madness (Japan 950420)" devices ())
(name "cybotsjd" year "1995" manufacturer "bootleg" desc "Cyberbots: Fullmetal Madness (Japan 950424) (decrypted bootleg)" devices ())
(name "cybotsu" year "1995" manufacturer "Capcom" desc "Cyberbots: Fullmetal Madness (USA 950424)" devices ())
(name "cybotsud" year "1995" manufacturer "bootleg" desc "Cyberbots: Fullmetal Madness (USA 950424 Phoenix Edition) (bootleg)" devices ())
(name "cybrcomm" year "1994" manufacturer "Namco" desc "Cyber Commando (Japan, CY1)" devices ())
(name "cybrcycc" year "1995" manufacturer "Namco" desc "Cyber Cycles (World, CB2 Ver.C)" devices ())
(name "cybrcyccj" year "1995" manufacturer "Namco" desc "Cyber Cycles (Japan, CB1 Ver.C)" devices ())
(name "cybrnaut" year "1985" manufacturer "Bally" desc "Cybernaut" devices ())
(name "cybsled" year "1993" manufacturer "Namco" desc "Cyber Sled (CY2, World)" devices ())
(name "cybsleda" year "1993" manufacturer "Namco" desc "Cyber Sled (CY1, World?)" devices ())
(name "cybstorm" year "1993" manufacturer "Atari Games" desc "Cyberstorm (prototype)" devices ())
(name "cyclemb" year "1984" manufacturer "Taito Corporation" desc "Cycle Maabou (Japan)" devices ())
(name "cycln_l1" year "1988" manufacturer "Williams" desc "Cyclone (L-1)" devices ())
(name "cycln_l4" year "1988" manufacturer "Williams" desc "Cyclone (L-4)" devices ())
(name "cycln_l5" year "1988" manufacturer "Williams" desc "Cyclone (L-5)" devices ())
(name "cyclopes" year "1985" manufacturer "Game Plan" desc "Cyclopes (12/85)" devices ())
(name "cyclopes1" year "1985" manufacturer "Game Plan" desc "Cyclopes (11/85)" devices ())
(name "cyclshtg" year "1986" manufacturer "Taito" desc "Cycle Shooting" devices ())
(name "cyclwarr" year "1991" manufacturer "Tatsumi" desc "Cycle Warriors (rev C)" devices ())
(name "cyclwarra" year "1991" manufacturer "Tatsumi" desc "Cycle Warriors (rev B)" devices ())
(name "cyclwarrb" year "1991" manufacturer "Tatsumi" desc "Cycle Warriors" devices ())
(name "cyvern" year "1998" manufacturer "Kaneko" desc "Cyvern - The Dragon Weapons (US)" devices ())
(name "cyvernj" year "1998" manufacturer "Kaneko" desc "Cyvern - The Dragon Weapons (Japan)" devices ())
(name "cz1" year "1986" manufacturer "Casio" desc "CZ-1" devices ((name "cartridge" briefname "cart" ) (name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" )))
(name "cz101" year "1984" manufacturer "Casio" desc "CZ-101" devices ((name "cartridge" briefname "cart" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "cz230s" year "1985" manufacturer "Casio" desc "CZ-230S" devices ((name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" ) (name "cassette" briefname "cass" )))
(name "czeroize" year "1983" manufacturer "Data East Corporation" desc "Zeroize (DECO Cassette) (US)" devices ())
(name "czmon" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (030217 World)" devices ())
(name "czmon_12" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (090711 Entertainment)" devices ())
(name "czmon_13" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (100311 World)" devices ())
(name "czmon_15" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (100311 Entertainment)" devices ())
(name "czmon_16" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (100312 Russia)" devices ())
(name "czmon_17" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (100324 Entertainment X)" devices ())
(name "czmon_18" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (100331 Entertainment X)" devices ())
(name "czmon_19" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (101208 Entertainment N)" devices ())
(name "czmon_2" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (030225 World)" devices ())
(name "czmon_20" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (110111 Entertainment A)" devices ())
(name "czmon_21" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (110124 Entertainment A)" devices ())
(name "czmon_22" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (110204 Entertainment A)" devices ())
(name "czmon_23" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (110311 Entertainment B)" devices ())
(name "czmon_24" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (140526 Entertainment B)" devices ())
(name "czmon_25" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (110411 Entertainment C)" devices ())
(name "czmon_3" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (030227 World)" devices ())
(name "czmon_4" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (030404 World)" devices ())
(name "czmon_5" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (030421 World)" devices ())
(name "czmon_6" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (031016 World)" devices ())
(name "czmon_7" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (031110 World)" devices ())
(name "czmon_7a" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 031110, backdoor set 1)" devices ())
(name "czmon_7b" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 031110, backdoor set 2)" devices ())
(name "czmon_8" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (050120 World)" devices ())
(name "czmon_8a" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, backdoor)" devices ())
(name "czmon_8b" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, changed version text)" devices ())
(name "czmon_8c" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, VIDEO GAME-1 CM01)" devices ())
(name "czmon_8d" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, LOTTOGAME (I))" devices ())
(name "czmon_8e" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, LOTO PROGRAM V-CM2)" devices ())
(name "czmon_8f" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 050120, LOTOS CM01)" devices ())
(name "czmon_9" year "2003" manufacturer "Igrosoft" desc "Crazy Monkey (070315 Russia)" devices ())
(name "czmon_9a" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 070315, VIDEO GAME-1 O01 set 1)" devices ())
(name "czmon_9b" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 070315, VIDEO GAME-1 O01 set 2)" devices ())
(name "czmon_9c" year "2003" manufacturer "bootleg" desc "Crazy Monkey (bootleg, 070315, payout percentage 70)" devices ())
(name "czz50" year "1986" manufacturer "Bit Corporation" desc "Chuang Zao Zhe 50" devices ((name "cartridge" briefname "cart" )))
(name "d10" year "1988" manufacturer "Roland" desc "D-10 Multi Timbral Linear Synthesizer" devices ())
(name "d110" year "1988" manufacturer "Roland" desc "D-110 Multi Timbral Sound Module" devices ())
(name "d2k300axp" year "1993" manufacturer "DEC" desc "DEC 2000 Model 300 AXP" devices ())
(name "d2k500axp" year "1993" manufacturer "DEC" desc "DEC 2000 Model 500 AXP" devices ())
(name "d461" year "1986" manufacturer "Data General" desc "Dasher D461" devices ())
(name "d50" year "1987" manufacturer "Roland" desc "D-50 Linear Synthesizer (Ver. 2.xx)" devices ())
(name "d50o" year "1987" manufacturer "Roland" desc "D-50 Linear Synthesizer (Ver. 1.xx)" devices ())
(name "d550" year "1987" manufacturer "Roland" desc "D-550 Linear Synthesizer" devices ())
(name "d64plus" year "1985" manufacturer "Dragon Data Ltd / Compusense" desc "Dragon 64 Plus" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "d6800" year "1979" manufacturer "Michael Bauer" desc "Dream 6800" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "d6809" year "1983" manufacturer "Dunfield" desc "6809 Portable" devices ((name "floppydisk" briefname "flop" )))
(name "d70" year "1991" manufacturer "Roland" desc "D-70 Super LA Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" )))
(name "d9final" year "1992" manufacturer "Excellent System" desc "Dream 9 Final (v2.24)" devices ())
(name "dacholer" year "1983" manufacturer "Nichibutsu" desc "Dacholer" devices ())
(name "dadandrn" year "1993" manufacturer "Konami" desc "Kyukyoku Sentai Dadandarn (ver JAA)" devices ())
(name "dagz80" year "1988" manufacturer "DAG" desc "DAG Z80 Trainer" devices ())
(name "dai" year "1978" manufacturer "Data Applications International" desc "DAI Personal Computer" devices ((name "cassette" briefname "cass" )))
(name "dai2kaku" year "2004" manufacturer "SystemBit" desc "Dai-Dai-Kakumei (Japan)" devices ())
(name "dai3wksi" year "1979" manufacturer "Sun Electronics" desc "Dai 3 Wakusei (Japan)" devices ())
(name "daifugo" year "1983" manufacturer "Seta Kikaku / Sega (Esco Trading Co license)" desc "Daifugo (Japan)" devices ())
(name "daikaiju" year "1986" manufacturer "Taito" desc "Daikaiju no Gyakushu (rev 1)" devices ())
(name "daimakai" year "1988" manufacturer "Capcom" desc "Daimakaimura (Japan)" devices ())
(name "daimakair" year "1988" manufacturer "Capcom" desc "Daimakaimura (Japan Resale Ver.)" devices ())
(name "daimyojn" year "2002" manufacturer "Dynax / Techno-Top / Techno-Planning" desc "Mahjong Daimyojin (Japan, T017-PB-00)" devices ())
(name "daioh" year "1993" manufacturer "Athena" desc "Daioh" devices ())
(name "daioha" year "1993" manufacturer "Athena" desc "Daioh (earlier)" devices ())
(name "daiohc" year "1993" manufacturer "Athena" desc "Daioh (93111A PCB conversion)" devices ())
(name "daiohp" year "1993" manufacturer "Athena" desc "Daioh (prototype)" devices ())
(name "daiohp2" year "1993" manufacturer "Athena" desc "Daioh (prototype, earlier)" devices ())
(name "daiohp3" year "1993" manufacturer "Athena" desc "Daioh (prototype, earliest)" devices ())
(name "daireika" year "1989" manufacturer "Jaleco / NMK" desc "Mahjong Daireikai (Japan)" devices ())
(name "dairesya" year "1986" manufacturer "Konami (Kawakusu license)" desc "Dai Ressya Goutou (Japan, version K)" devices ())
(name "daisenpu" year "1989" manufacturer "Taito Corporation" desc "Daisenpu (Japan)" devices ())
(name "daiskiss" year "1996" manufacturer "Konami" desc "Daisu-Kiss (ver JAA)" devices ())
(name "daisy" year "1987" manufacturer "Comus Instruments Ltd." desc "Comus Daisy" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" )))
(name "daisyari" year "1989" manufacturer "Best System" desc "Daisyarin (Japan)" devices ())
(name "daitorid" year "1995" manufacturer "Metro" desc "Daitoride" devices ())
(name "daitorida" year "1996" manufacturer "Metro" desc "Daitoride (YMF278B version)" devices ())
(name "daiyogen" year "1990" manufacturer "Video System Co." desc "Mahjong Daiyogen (Japan)" devices ())
(name "dakar" year "1988" manufacturer "Mr Game" desc "Dakar" devices ())
(name "dakkochn" year "1987" manufacturer "White Board" desc "DakkoChan House (MC-8123B, 317-5014)" devices ())
(name "dalejr" year "2005" manufacturer "Stern" desc "Dale Jr. (CPU 5.00, display J5.00)" devices ())
(name "dallas16" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Dallas 68000" devices ())
(name "dallas16g" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Dallas 68000 (Glasgow hardware)" devices ())
(name "dallas32" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Dallas 68020 (set 1)" devices ())
(name "dallas32a" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Dallas 68020 (set 2)" devices ())
(name "dallaspk" year "1993" manufacturer "AHF Automatentechnik" desc "Dallas Poker (CZ/V1)" devices ())
(name "dambustr" year "1981" manufacturer "South West Research" desc "Dambusters (US, set 1)" devices ())
(name "dambustra" year "1981" manufacturer "South West Research" desc "Dambusters (US, set 2)" devices ())
(name "dambustruk" year "1981" manufacturer "South West Research" desc "Dambusters (UK)" devices ())
(name "damesc" year "1981" manufacturer "Fidelity Electronics" desc "Dame Sensory Challenger" devices ())
(name "dance555" year "200?" manufacturer "Subor" desc "Sports and Dance Fit Games Mat D-555 (PAL)" devices ())
(name "dance864" year "2005" manufacturer "Konami" desc "DANCE 86.4 FUNKY RADIO STATION (E01:J:A:A:2005040400)" devices ())
(name "dancexpt" year "200?" manufacturer "Daidaixing" desc "Dancing Expert" devices ())
(name "danceyes" year "1996" manufacturer "Namco" desc "Dancing Eyes (World, DC2/VER.B)" devices ())
(name "danceyesj" year "1996" manufacturer "Namco" desc "Dancing Eyes (Japan, DC1/VER.A)" devices ())
(name "danceyesu" year "1996" manufacturer "Namco" desc "Dancing Eyes (US, DC3/VER.C)" devices ())
(name "danchih" year "1999" manufacturer "Altron (Tecmo license)" desc "Danchi de Hanafuda (J 990607 V1.400)" devices ())
(name "danchiq" year "2000" manufacturer "Altron" desc "Danchi de Quiz: Okusan Yontaku Desuyo! (J 001128 V1.200)" devices ())
(name "dancmix3" year "201?" manufacturer "Venom" desc "TV Dance Mat 4 Games in 1 (Mix Party 3 / Dance Mix 3)" devices ())
(name "dangar" year "1986" manufacturer "Nichibutsu" desc "Ufo Robo Dangar (4/09/1987)" devices ())
(name "dangara" year "1986" manufacturer "Nichibutsu" desc "Ufo Robo Dangar (12/1/1986)" devices ())
(name "dangarb" year "1986" manufacturer "bootleg" desc "Ufo Robo Dangar (9/26/1986, bootleg set 1)" devices ())
(name "dangarbt" year "1986" manufacturer "bootleg" desc "Ufo Robo Dangar (9/26/1986, bootleg set 2)" devices ())
(name "dangarj" year "1986" manufacturer "Nichibutsu" desc "Ufo Robo Dangar (9/26/1986, Japan)" devices ())
(name "dangbar" year "1994" manufacturer "Namco" desc "Dangerous Bar" devices ())
(name "dangcurv" year "1995" manufacturer "Taito" desc "Dangerous Curves (Ver 2.9 O)" devices ())
(name "dangcurvj" year "1995" manufacturer "Taito" desc "Dangerous Curves (Ver 2.2 J)" devices ())
(name "dangerex" year "1992" manufacturer "Atari Games" desc "Danger Express (prototype)" devices ())
(name "dangerz" year "1986" manufacturer "Cinematronics" desc "Danger Zone (rev 2)" devices ())
(name "dangerz0" year "1986" manufacturer "Cinematronics" desc "Danger Zone (rev 0)" devices ())
(name "dangseed" year "1989" manufacturer "Namco" desc "Dangerous Seed (Japan)" devices ())
(name "dankuga" year "1994" manufacturer "Taito Corporation" desc "Dan-Ku-Ga (Ver 0.0J 1994/12/13, prototype)" devices ())
(name "daraku" year "1998" manufacturer "Psikyo" desc "The Fallen Angels (World) / Daraku Tenshi - The Fallen Angels (Japan)" devices ())
(name "dardos" year "1992" manufacturer "Oper Coin" desc "Dardos" devices ())
(name "darius" year "1986" manufacturer "Taito Corporation Japan" desc "Darius (World, rev 2)" devices ())
(name "darius2" year "1989" manufacturer "Taito Corporation" desc "Darius II (triple screen) (Japan, rev 1)" devices ())
(name "darius2d" year "1989" manufacturer "Taito Corporation" desc "Darius II (dual screen) (Japan, Rev 2)" devices ())
(name "darius2do" year "1989" manufacturer "Taito Corporation" desc "Darius II (dual screen) (Japan, Rev 1)" devices ())
(name "dariuse" year "1986" manufacturer "Taito Corporation" desc "Darius Extra Version (Japan)" devices ())
(name "dariusg" year "1994" manufacturer "Taito Corporation Japan" desc "Darius Gaiden - Silver Hawk (Ver 2.5O 1994/09/19)" devices ())
(name "dariusgj" year "1994" manufacturer "Taito Corporation" desc "Darius Gaiden - Silver Hawk (Ver 2.5J 1994/09/19)" devices ())
(name "dariusgu" year "1994" manufacturer "Taito America Corporation" desc "Darius Gaiden - Silver Hawk (Ver 2.5A 1994/09/19)" devices ())
(name "dariusgx" year "1994" manufacturer "Taito Corporation" desc "Darius Gaiden - Silver Hawk Extra Version (Ver 2.7J 1995/03/06) (Official Hack)" devices ())
(name "dariusj" year "1986" manufacturer "Taito Corporation" desc "Darius (Japan, rev 1)" devices ())
(name "dariuso" year "1986" manufacturer "Taito Corporation" desc "Darius (Japan)" devices ())
(name "dariusu" year "1986" manufacturer "Taito America Corporation" desc "Darius (US, rev 2)" devices ())
(name "darkadv" year "1987" manufacturer "Konami" desc "Dark Adventure" devices ())
(name "darkedge" year "1992" manufacturer "Sega" desc "Dark Edge (World)" devices ())
(name "darkedgej" year "1992" manufacturer "Sega" desc "Dark Edge (Japan)" devices ())
(name "darkhleg" year "1998" manufacturer "Konami" desc "Dark Horse Legend (GX706 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "darkhors" year "2001" manufacturer "bootleg" desc "Dark Horse (USA v4.00, bootleg of Jockey Club II)" devices ())
(name "darkmist" year "1986" manufacturer "Seibu Kaihatsu (Taito license)" desc "The Lost Castle In Darkmist" devices ())
(name "darkplnt" year "1982" manufacturer "Stern Electronics" desc "Dark Planet" devices ())
(name "darkseal" year "1990" manufacturer "Data East Corporation" desc "Dark Seal (World revision 3)" devices ())
(name "darkseal1" year "1990" manufacturer "Data East Corporation" desc "Dark Seal (World revision 1)" devices ())
(name "darkseal2" year "1992" manufacturer "Data East Corporation" desc "Dark Seal 2 (Japan v2.1)" devices ())
(name "darksealj" year "1990" manufacturer "Data East Corporation" desc "Dark Seal (Japan revision 4)" devices ())
(name "darkshad" year "1986" manufacturer "Nuova Bell Games" desc "Dark Shadow" devices ())
(name "darktowr" year "1992" manufacturer "The Game Room" desc "Dark Tower" devices ())
(name "darkwar" year "1981" manufacturer "Century Electronics" desc "Dark Warrior" devices ())
(name "darthvdr" year "1978" manufacturer "bootleg" desc "Darth Vader (bootleg of Space Invaders)" devices ())
(name "darwin" year "1986" manufacturer "Data East Corporation" desc "Darwin 4078 (Japan)" devices ())
(name "dashhero" year "2000" manufacturer "Sigma" desc "Minna Ganbare! Dash Hero" devices ())
(name "dassault" year "1991" manufacturer "Data East Corporation" desc "Desert Assault (US)" devices ())
(name "dassault4" year "1991" manufacturer "Data East Corporation" desc "Desert Assault (US 4 Players)" devices ())
(name "database" year "1979" manufacturer "Voltmace" desc "Voltmace Database" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "datacast" year "1987" manufacturer "Defence Products" desc "Datacast Controller (The Stock Exchange)" devices ((name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "dataman" year "1977" manufacturer "Texas Instruments" desc "DataMan" devices ())
(name "dator3k" year "199?" manufacturer "Dator" desc "Dator 3000" devices ())
(name "datum" year "1982" manufacturer "Gammatron" desc "Datum" devices ())
(name "dauphin" year "1979" manufacturer "LCD EPFL Stoppani" desc "Dauphin" devices ((name "cassette" briefname "cass" )))
(name "dawg" year "2009" manufacturer "Pace-O-Matic" desc "Dawg Gone Fun" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "dayto2pe" year "1998" manufacturer "Sega" desc "Daytona USA 2: Power Edition (Japan)" devices ())
(name "daytona" year "1994" manufacturer "Sega" desc "Daytona USA (Revision A)" devices ())
(name "daytona2" year "1998" manufacturer "Sega" desc "Daytona USA 2: Battle on the Edge (Japan, Revision A)" devices ())
(name "daytona93" year "1993" manufacturer "Sega" desc "Daytona USA" devices ())
(name "daytonagtx" year "2003" manufacturer "hack (Kyle Hodgetts)" desc "Daytona USA (GTX 2004 Edition)" devices ())
(name "daytonam" year "2001" manufacturer "hack (Kyle Hodgetts)" desc "Daytona USA (To The MAXX)" devices ())
(name "daytonas" year "1994" manufacturer "Sega" desc "Daytona USA (With Saturn Adverts)" devices ())
(name "daytonase" year "1994" manufacturer "Sega" desc "Daytona USA Special Edition (Revision A)" devices ())
(name "daytonat" year "1994?" manufacturer "hack (Kyle Hodgetts)" desc "Daytona USA (Turbo hack, set 1)" devices ())
(name "daytonata" year "1994?" manufacturer "hack (Kyle Hodgetts)" desc "Daytona USA (Turbo hack, set 2)" devices ())
(name "dazzler" year "1982" manufacturer "Century Electronics" desc "Dazzler" devices ())
(name "db32016" year "1984" manufacturer "National Semiconductor" desc "DB32016" devices ((name "cassette" briefname "cass" )))
(name "dbc" year "1995" manufacturer "IGS" desc "Daai Baan Sing (Hong Kong, V027H)" devices ())
(name "dbdancem" year "2006" manufacturer "Senario" desc "Double Dance Mania - Techno Light Edition" devices ())
(name "dblagent" year "2005" manufacturer "Aristocrat" desc "Double Agent (0152082, US)" devices ())
(name "dblaxle" year "1991" manufacturer "Taito America Corporation" desc "Double Axle (US, Rev 1)" devices ())
(name "dblaxleu" year "1991" manufacturer "Taito America Corporation" desc "Double Axle (US)" devices ())
(name "dblaxleul" year "1991" manufacturer "Taito America Corporation" desc "Double Axle (US, Rev 1, Linkable)" devices ())
(name "dblchal" year "2003" manufacturer "Amcoe" desc "Double Challenge (Version 1.5R, set 1)" devices ())
(name "dblchalc1" year "2003" manufacturer "Amcoe" desc "Double Challenge (Version 1.5R, set 2)" devices ())
(name "dblchald1" year "2003" manufacturer "Amcoe" desc "Double Challenge (Version 1.5R, set 3)" devices ())
(name "dblchalo" year "2003" manufacturer "Amcoe" desc "Double Challenge (Version 1.1)" devices ())
(name "dblchalv1" year "2003" manufacturer "Amcoe" desc "Double Challenge (Version 1.5R Dual)" devices ())
(name "dblcrown" year "1997" manufacturer "Cadence Technology" desc "Double Crown (v1.0.3)" devices ())
(name "dbldolph" year "2000" manufacturer "Aristocrat" desc "Double Dolphins (20000211, NSW/ACT)" devices ())
(name "dbldolphq" year "2000" manufacturer "Aristocrat" desc "Double Dolphins (40003211, Queensland)" devices ())
(name "dbldynj" year "1989" manufacturer "Seibu Kaihatsu" desc "The Double Dynamites (Japan, 13NOV89)" devices ())
(name "dbldynu" year "1989" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "The Double Dynamites (US, 13NOV89)" devices ())
(name "dblewing" year "1993" manufacturer "Mitchell" desc "Double Wings (set 1)" devices ())
(name "dblewinga" year "1993" manufacturer "Mitchell" desc "Double Wings (set 2)" devices ())
(name "dblewingb" year "1994" manufacturer "Mitchell" desc "Double Wings (Asia)" devices ())
(name "dblplay" year "1987" manufacturer "Leland Corporation / Tradewest" desc "Super Baseball Double Play Home Run Derby" devices ())
(name "dblpoint" year "1995" manufacturer "Min Corp." desc "Double Point" devices ())
(name "dblpointd" year "1995" manufacturer "bootleg? (Dong Bang Electron)" desc "Double Point (Dong Bang Electron, bootleg?)" devices ())
(name "dbox" year "1996" manufacturer "Nokia Multimedia" desc "D-box 1, Kirsch gruppe" devices ())
(name "dbreed" year "1989" manufacturer "Irem" desc "Dragon Breed (World, M81 hardware)" devices ())
(name "dbreedjm72" year "1989" manufacturer "Irem" desc "Dragon Breed (Japan, M72 hardware)" devices ())
(name "dbreedm72" year "1989" manufacturer "Irem" desc "Dragon Breed (World, M72 hardware)" devices ())
(name "dbz" year "1993" manufacturer "Banpresto" desc "Dragon Ball Z (rev B)" devices ())
(name "dbz2" year "1994" manufacturer "Banpresto" desc "Dragon Ball Z 2 - Super Battle" devices ())
(name "dbz2bl" year "1994" manufacturer "bootleg" desc "Dragon Ball Z 2 - Super Battle (bootleg)" devices ())
(name "dbza" year "1993" manufacturer "Banpresto" desc "Dragon Ball Z (rev A)" devices ())
(name "dbzvrvs" year "1994" manufacturer "Sega / Banpresto" desc "Dragon Ball Z: V.R. V.S. (Japan, Rev A)" devices ())
(name "dc" year "1999" manufacturer "Sega" desc "Dreamcast (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "dcat16" year "200?" manufacturer "Firecore" desc "D-CAT16 (Mega Drive handheld)" devices ())
(name "dcclub" year "1991" manufacturer "Sega" desc "Dynamic Country Club (World, ROM Based)" devices ())
(name "dcclubfd" year "1991" manufacturer "Sega" desc "Dynamic Country Club (US, Floppy Based, FD1094 317-0058-09d)" devices ())
(name "dcclubj" year "1991" manufacturer "Sega" desc "Dynamic Country Club (Japan, ROM Based)" devices ())
(name "dcdev" year "1998" manufacturer "Sega" desc "HKT-0120 Sega Dreamcast Development Box" devices ((name "cdrom" briefname "cdrm" )))
(name "dcebridge" year "197?" manufacturer "<generic>" desc "RS-232 DCE-DCE Bridge" devices ((name "bitbanger" briefname "bitb" )))
(name "dceu" year "1999" manufacturer "Sega" desc "Dreamcast (Europe, PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "dcfish" year "2000" manufacturer "Sega" desc "Fish Life Amazon Playful Edition (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "dcheese" year "1993" manufacturer "HAR Management" desc "Double Cheese" devices ())
(name "dcjp" year "1998" manufacturer "Sega" desc "Dreamcast (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "dcon" year "1992" manufacturer "Success" desc "D-Con" devices ())
(name "dcrown" year "1994" manufacturer "Nippon Data Kiki" desc "Dream Crown (set 1)" devices ())
(name "dcrowna" year "1994" manufacturer "Nippon Data Kiki" desc "Dream Crown (set 2)" devices ())
(name "dct11em" year "1983" manufacturer "Digital Equipment Corporation" desc "DCT11-EM" devices ())
(name "dctream" year "200?" manufacturer "<unknown>" desc "Treamcast" devices ((name "cdrom" briefname "cdrm" )))
(name "dd9" year "1994" manufacturer "Yamaha" desc "DD-9 Digital Percussion" devices ())
(name "dd_l2" year "1990" manufacturer "Bally" desc "Dr. Dude (LA-2)" devices ())
(name "dd_lu1" year "1990" manufacturer "Bally" desc "Dr. Dude (LU-1) Europe" devices ())
(name "dd_p06" year "1990" manufacturer "Bally" desc "Dr. Dude (PA-6 WPC)" devices ())
(name "dd_p6" year "1990" manufacturer "Bally" desc "Dr. Dude (PA-6)" devices ())
(name "dd_p7" year "1990" manufacturer "Bally" desc "Dr. Dude (PA-7 WPC)" devices ())
(name "dday" year "1982" manufacturer "Olympia" desc "D-Day" devices ())
(name "ddayc" year "1982" manufacturer "Olympia (Centuri license)" desc "D-Day (Centuri)" devices ())
(name "ddaydoo" year "1990" manufacturer "Dooyong" desc "Chulgyeok D-Day (Korea)" devices ())
(name "ddayjlc" year "1984" manufacturer "Jaleco" desc "D-Day (Jaleco set 1)" devices ())
(name "ddayjlca" year "1984" manufacturer "Jaleco" desc "D-Day (Jaleco set 2)" devices ())
(name "ddboy" year "1994" manufacturer "Konami" desc "Dam Dam Boy (on dedicated PCB)" devices ())
(name "ddboya" year "1994" manufacturer "Konami" desc "Dam Dam Boy (on Tsukande Toru Chicchi PCB)" devices ())
(name "ddcrew" year "1991" manufacturer "Sega" desc "D. D. Crew (World, 3 Players) (FD1094 317-0190)" devices ())
(name "ddcrew1" year "1991" manufacturer "Sega" desc "D. D. Crew (World, 4 Players) (FD1094 317-0187)" devices ())
(name "ddcrew1d" year "1991" manufacturer "bootleg" desc "D. D. Crew (World, 4 Players) (bootleg of FD1094 317-0187 set)" devices ())
(name "ddcrew2" year "1991" manufacturer "Sega" desc "D. D. Crew (World, 2 Players) (FD1094 317-0184)" devices ())
(name "ddcrew2d" year "1991" manufacturer "bootleg" desc "D. D. Crew (World, 2 Players) (bootleg of FD1094 317-0184 set)" devices ())
(name "ddcrewbl" year "1990" manufacturer "bootleg" desc "D. D. Crew (bootleg)" devices ())
(name "ddcrewd" year "1991" manufacturer "bootleg" desc "D. D. Crew (World, 3 Players) (bootleg of FD1094 317-0190 set)" devices ())
(name "ddcrewj" year "1991" manufacturer "Sega" desc "D. D. Crew (Japan, 4 Players) (FD1094 317-0185)" devices ())
(name "ddcrewj2" year "1991" manufacturer "Sega" desc "D. D. Crew (Japan, 2 Players) (FD1094 317-0182)" devices ())
(name "ddcrewj2d" year "1991" manufacturer "bootleg" desc "D. D. Crew (Japan, 2 Players) (bootleg of FD1094 317-0182 set)" devices ())
(name "ddcrewjd" year "1991" manufacturer "bootleg" desc "D. D. Crew (Japan, 4 Players) (bootleg of FD1094 317-0185 set)" devices ())
(name "ddcrewu" year "1991" manufacturer "Sega" desc "D. D. Crew (US, 4 Players) (FD1094 317-0186)" devices ())
(name "ddcrewud" year "1991" manufacturer "bootleg" desc "D. D. Crew (US, 4 Players) (bootleg of FD1094 317-0186 set)" devices ())
(name "dddoor" year "1993" manufacturer "Sega" desc "Doraemon no Dokodemo Door" devices ())
(name "ddealer" year "1991" manufacturer "NMK" desc "Double Dealer" devices ())
(name "ddenlovj" year "1995" manufacturer "Dynax" desc "Don Den Lover Vol. 1 - Shiro Kuro Tsukeyo! (Japan)" devices ())
(name "ddenlovr" year "1996" manufacturer "Dynax" desc "Don Den Lover Vol. 1 (Hong Kong)" devices ())
(name "ddenlovrb" year "1995" manufacturer "bootleg" desc "Don Den Lover Vol. 1 - Heukbaeg-euro Jeonghaja (Korea, bootleg)" devices ())
(name "ddenlovrk" year "1995" manufacturer "Dynax" desc "Don Den Lover Vol. 1 - Heukbaeg-euro Jeonghaja (Korea)" devices ())
(name "ddmmeg12" year "200?" manufacturer "Senario" desc "Double Dance Mania: Mega 12" devices ())
(name "ddmsup" year "200?" manufacturer "Senario" desc "Double Dance Mania: Supreme / Dance Supreme" devices ())
(name "ddonpach" year "1997" manufacturer "Cave (Atlus license)" desc "DoDonPachi (World, 1997 2/ 5 Master Ver.)" devices ())
(name "ddonpacha" year "2012" manufacturer "hack (trap15)" desc "DoDonPachi (2012/02/12 Arrange Ver. 1.1) (hack)" devices ())
(name "ddonpachj" year "1997" manufacturer "Cave (Atlus license)" desc "DoDonPachi (Japan, 1997 2/ 5 Master Ver.)" devices ())
(name "ddp2" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (World, ver. 102)" devices ())
(name "ddp2100" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (World, ver. 100)" devices ())
(name "ddp2100c" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (China, ver. 100)" devices ())
(name "ddp2100hk" year "2001" manufacturer "IGS" desc "DoDonPachi II - Fung Bou (Hong Kong, ver. 100)" devices ())
(name "ddp2100j" year "2001" manufacturer "IGS (Cave license)" desc "DoDonPachi II (Japan, ver. 100)" devices ())
(name "ddp2100k" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (Korea, ver. 100)" devices ())
(name "ddp2100t" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (Taiwan, ver. 100)" devices ())
(name "ddp2101" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (World, ver. 101)" devices ())
(name "ddp2101c" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (China, ver. 101)" devices ())
(name "ddp2101hk" year "2001" manufacturer "IGS" desc "DoDonPachi II - Fung Bou (Hong Kong, ver. 101)" devices ())
(name "ddp2101j" year "2001" manufacturer "IGS (Cave license)" desc "DoDonPachi II (Japan, ver. 101)" devices ())
(name "ddp2101k" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (Korea, ver. 101)" devices ())
(name "ddp2101t" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (Taiwan, ver. 101)" devices ())
(name "ddp2c" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (China, ver. 102)" devices ())
(name "ddp2hk" year "2001" manufacturer "IGS" desc "DoDonPachi II - Fung Bou (Hong Kong, ver. 102)" devices ())
(name "ddp2j" year "2001" manufacturer "IGS (Cave license)" desc "DoDonPachi II (Japan, ver. 102)" devices ())
(name "ddp2k" year "2001" manufacturer "IGS" desc "DoDonPachi II - Bee Storm (Korea, ver. 102)" devices ())
(name "ddp2t" year "2001" manufacturer "IGS" desc "DoDonPachi - Feng Bao (Taiwan, ver. 102)" devices ())
(name "ddp3" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi III (World, 2002.05.15 Master Ver)" devices ())
(name "ddpdfk" year "2008" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Fukkatsu Ver 1.5 (2008/06/23 MASTER VER 1.5)" devices ())
(name "ddpdfk10" year "2008" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Fukkatsu Ver 1.0 (2008/05/16 MASTER VER)" devices ())
(name "ddpdoj" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou (Japan, 2002.04.05.Master Ver, 68k Label V101)" devices ())
(name "ddpdoja" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou (Japan, 2002.04.05.Master Ver, 68k Label V100)" devices ())
(name "ddpdojb" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou (Japan, 2002.04.05 Master Ver)" devices ())
(name "ddpdojblk" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07.Black Ver, newer)" devices ())
(name "ddpdojblka" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07.Black Ver, older)" devices ())
(name "ddpdojblkb" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07 Black Ver)" devices ())
(name "ddpdojblkbl" year "2012" manufacturer "bootleg" desc "DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07 Black Ver., bootleg Knights of Valour Super Heroes conversion)" devices ())
(name "ddpdojp" year "2002" manufacturer "Cave (AMI license)" desc "DoDonPachi Dai-Ou-Jou (Japan, 2002.04.05 Master Ver, location test)" devices ())
(name "ddpdojt" year "2010" manufacturer "IGS / Cave (Tong Li Animation license)" desc "DoDonPachi Dai-Ou-Jou Tamashii (V201, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "ddr2m" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix (GN895 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddr2mc" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix with beatmaniaIIDX CLUB VERSiON (GE896 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddr2mc2" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix with beatmaniaIIDX substream CLUB VERSiON 2 (GE984 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr2ml" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix - Link Ver (GE885 VER. JAC)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr2mla" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix - Link Ver (GE885 VER. JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr2mlb" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 2nd Mix - Link Ver (GE885 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr3ma" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 3rd Mix (GN887 VER. AAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr3mj" year "1999" manufacturer "Konami" desc "Dance Dance Revolution 3rd Mix (GN887 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr3mk" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 3rd Mix - Ver.Korea2 (GN887 VER. KBA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr3mka" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 3rd Mix - Ver.Korea (GN887 VER. KAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr3mp" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 3rd Mix Plus (G*A22 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4m" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix (G*A33 VER. AAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4mj" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix (G*A33 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4mp" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix Plus (G*A34 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4mps" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix Plus Solo (G*A34 VER. JBA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4ms" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix Solo (G*A33 VER. ABA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr4msj" year "2000" manufacturer "Konami" desc "Dance Dance Revolution 4th Mix Solo (G*A33 VER. JBA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddr5m" year "2001" manufacturer "Konami" desc "Dance Dance Revolution 5th Mix (G*A27 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddra" year "1999" manufacturer "Konami" desc "Dance Dance Revolution (GN845 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddragon" year "1987" manufacturer "Technos Japan (Taito license)" desc "Double Dragon (World set 1)" devices ())
(name "ddragon2" year "1988" manufacturer "Technos Japan" desc "Double Dragon II: The Revenge (World)" devices ())
(name "ddragon2bl" year "1988" manufacturer "bootleg" desc "Double Dragon II: The Revenge (US, bootleg)" devices ())
(name "ddragon2j" year "1988" manufacturer "Technos Japan" desc "Double Dragon II: The Revenge (Japan)" devices ())
(name "ddragon2u" year "1988" manufacturer "Technos Japan" desc "Double Dragon II: The Revenge (US)" devices ())
(name "ddragon3" year "1990" manufacturer "East Technology / Technos Japan" desc "Double Dragon 3: The Rosetta Stone (US)" devices ())
(name "ddragon3b" year "1990" manufacturer "bootleg" desc "Double Dragon 3: The Rosetta Stone (bootleg)" devices ())
(name "ddragon3j" year "1990" manufacturer "East Technology / Technos Japan" desc "Double Dragon 3: The Rosetta Stone (Japan)" devices ())
(name "ddragon3p" year "1990" manufacturer "East Technology / Technos Japan" desc "Double Dragon 3: The Rosetta Stone (prototype)" devices ())
(name "ddragon6809" year "1987" manufacturer "bootleg" desc "Double Dragon (bootleg with 3xM6809, set 1)" devices ())
(name "ddragon6809a" year "1987" manufacturer "bootleg" desc "Double Dragon (bootleg with 3xM6809, set 2)" devices ())
(name "ddragona" year "1987" manufacturer "Technos Japan (Taito license)" desc "Double Dragon (World set 2)" devices ())
(name "ddragonbl" year "1987" manufacturer "bootleg" desc "Double Dragon (bootleg with HD6309)" devices ())
(name "ddragonbl2" year "1987" manufacturer "bootleg" desc "Double Dragon (bootleg)" devices ())
(name "ddragonbla" year "1987" manufacturer "bootleg" desc "Double Dragon (bootleg with MC6803)" devices ())
(name "ddragonj" year "1987" manufacturer "Technos Japan" desc "Double Dragon (Japan set 1)" devices ())
(name "ddragonja" year "1987" manufacturer "Technos Japan" desc "Double Dragon (Japan set 2)" devices ())
(name "ddragonu" year "1987" manufacturer "Technos Japan (Taito America license)" desc "Double Dragon (US set 1)" devices ())
(name "ddragonua" year "1987" manufacturer "Technos Japan (Taito America license)" desc "Double Dragon (US set 2)" devices ())
(name "ddragonub" year "1987" manufacturer "Technos Japan (Taito America license)" desc "Double Dragon (US set 3)" devices ())
(name "ddrbocd" year "1999" manufacturer "Konami" desc "Dance Dance Revolution Best of Cool Dancers (GE892 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrdismx" year "2006" manufacturer "Majesco (licensed from Konami, Disney)" desc "Dance Dance Revolution Disney Mix" devices ())
(name "ddream95" year "1995" manufacturer "Data East Corporation" desc "Dunk Dream '95 (Japan 1.4, EAM)" devices ())
(name "ddrextrm" year "2002" manufacturer "Konami" desc "Dance Dance Revolution Extreme (G*C36 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddrfammt" year "2001" manufacturer "Takara / Konami / SSD Company LTD" desc "Dance Dance Revolution Family Mat (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "ddribble" year "1986" manufacturer "Konami" desc "Double Dribble" devices ())
(name "ddribblep" year "1986" manufacturer "Konami" desc "Double Dribble (prototype?)" devices ())
(name "ddrj" year "1998" manufacturer "Konami" desc "Dance Dance Revolution - Internet Ranking Ver (GC845 VER. JBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrja" year "1998" manufacturer "Konami" desc "Dance Dance Revolution (GC845 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrjb" year "1998" manufacturer "Konami" desc "Dance Dance Revolution (GC845 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrkara" year "1999" manufacturer "Konami" desc "Dance Dance Revolution Karaoke Mix (GQ921 VER. JBB)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrkara2" year "2000" manufacturer "Konami" desc "Dance Dance Revolution Karaoke Mix 2 (GQ947 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrkids" year "2000" manufacturer "Konami" desc "Dance Dance Revolution Kids (GQAN4 JAA)" devices ((name "harddisk" briefname "hard" )))
(name "ddrmax" year "2001" manufacturer "Konami" desc "DDRMAX - Dance Dance Revolution 6th Mix (G*B19 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddrmax2" year "2002" manufacturer "Konami" desc "DDRMAX2 - Dance Dance Revolution 7th Mix (G*B20 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "ddrs2k" year "1999" manufacturer "Konami" desc "Dance Dance Revolution Solo 2000 (GC905 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrs2kj" year "1999" manufacturer "Konami" desc "Dance Dance Revolution Solo 2000 (GC905 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrsbm" year "1999" manufacturer "Konami" desc "Dance Dance Revolution Solo Bass Mix (GQ894 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrsn2a" year "2007" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007100800)" devices ())
(name "ddrsn2aa" year "2007" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA 2 (GDJ:A:A:A:2007071100)" devices ())
(name "ddrsn2j" year "2007" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007100800)" devices ())
(name "ddrsn2ja" year "2007" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA 2 (GDJ:J:A:A:2007071100)" devices ())
(name "ddrsn2u" year "2007" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA 2 (GDJ:U:A:A:2007100800)" devices ())
(name "ddrsna" year "2006" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA (FDH:A:A:A:2006071300)" devices ())
(name "ddrsnj" year "2006" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA (FDH:J:A:A:2006090600)" devices ())
(name "ddrsnu" year "2006" manufacturer "Konami" desc "Dance Dance Revolution SuperNOVA (FDH:U:A:A:2006072400)" devices ())
(name "ddrstraw" year "2006" manufacturer "Majesco (licensed from Konami)" desc "Dance Dance Revolution Strawberry Shortcake" devices ())
(name "ddru" year "1999" manufacturer "Konami" desc "Dance Dance Revolution (GN845 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddrusa" year "2000" manufacturer "Konami" desc "Dance Dance Revolution USA (G*A44 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "ddsom" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Europe 960619)" devices ())
(name "ddsoma" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Asia 960619)" devices ())
(name "ddsomar1" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Asia 960208)" devices ())
(name "ddsomb" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Brazil 960223)" devices ())
(name "ddsomh" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Hispanic 960223)" devices ())
(name "ddsomj" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Japan 960619)" devices ())
(name "ddsomjr1" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Japan 960206)" devices ())
(name "ddsomjr2" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Japan 960223)" devices ())
(name "ddsomr1" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Europe 960223)" devices ())
(name "ddsomr2" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Europe 960209)" devices ())
(name "ddsomr3" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (Europe 960208)" devices ())
(name "ddsomu" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (USA 960619)" devices ())
(name "ddsomud" year "1996" manufacturer "bootleg" desc "Dungeons & Dragons: Shadow over Mystara (USA 960619 Phoenix Edition) (bootleg)" devices ())
(name "ddsomur1" year "1996" manufacturer "Capcom" desc "Dungeons & Dragons: Shadow over Mystara (USA 960209)" devices ())
(name "ddtod" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Europe 940412)" devices ())
(name "ddtoda" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Asia 940412)" devices ())
(name "ddtodar1" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Asia 940113)" devices ())
(name "ddtodd" year "1993" manufacturer "bootleg" desc "Dungeons & Dragons: Tower of Doom (Europe 940412 Phoenix Edition) (bootleg)" devices ())
(name "ddtodh" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Hispanic 940412)" devices ())
(name "ddtodhr1" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Hispanic 940125)" devices ())
(name "ddtodhr2" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Hispanic 940113)" devices ())
(name "ddtodj" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Japan 940412)" devices ())
(name "ddtodjr1" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Japan 940125)" devices ())
(name "ddtodjr2" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Japan 940113)" devices ())
(name "ddtodr1" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (Europe 940113)" devices ())
(name "ddtodu" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (USA 940125)" devices ())
(name "ddtodur1" year "1993" manufacturer "Capcom" desc "Dungeons & Dragons: Tower of Doom (USA 940113)" devices ())
(name "ddungeon" year "1992" manufacturer "The Game Room" desc "Dangerous Dungeons (set 1)" devices ())
(name "ddungeone" year "1992" manufacturer "East Coast Coin Company" desc "Dangerous Dungeons (set 2)" devices ())
(name "ddux" year "1988" manufacturer "Sega" desc "Dynamite Dux (set 3, World) (FD1094 317-0096)" devices ())
(name "ddux1" year "1988" manufacturer "Sega" desc "Dynamite Dux (set 1, World) (8751 317-0095)" devices ())
(name "dduxbl" year "1989" manufacturer "bootleg (Datsu)" desc "Dynamite Dux (Datsu bootleg)" devices ())
(name "dduxd" year "1988" manufacturer "bootleg" desc "Dynamite Dux (set 3, World) (bootleg of FD1094 317-0096 set)" devices ())
(name "dduxj" year "1988" manufacturer "Sega" desc "Dynamite Dux (set 2, Japan) (FD1094 317-0094)" devices ())
(name "dduxjd" year "1988" manufacturer "bootleg" desc "Dynamite Dux (set 2, Japan) (bootleg of FD1094 317-0094 set)" devices ())
(name "ddz" year "200?" manufacturer "IGS?" desc "Dou Di Zhu" devices ())
(name "deadang" year "1988" manufacturer "Seibu Kaihatsu" desc "Dead Angle" devices ())
(name "deadconx" year "1992" manufacturer "Taito Corporation Japan" desc "Dead Connection (World)" devices ())
(name "deadconxj" year "1992" manufacturer "Taito Corporation" desc "Dead Connection (Japan)" devices ())
(name "deadeye" year "1978" manufacturer "Meadows Games, Inc." desc "Dead Eye" devices ())
(name "deadweap" year "1990" manufacturer "Gottlieb" desc "Deadly Weapon" devices ())
(name "dealer" year "1984" manufacturer "Epos Corporation" desc "The Dealer" devices ())
(name "dealracl" year "1981" manufacturer "ACL Manufacturing" desc "The Dealer (ACL)" devices ())
(name "deathbrd" year "1991" manufacturer "Data East Corporation" desc "Death Brade (Japan ver JM-3)" devices ())
(name "deathcox" year "2000" manufacturer "Ecole Software" desc "Death Crimson OX (USA)" devices ())
(name "deathcoxj" year "2000" manufacturer "Ecole Software" desc "Death Crimson OX (Japan, Rev A)" devices ())
(name "deathcoxo" year "2000" manufacturer "Ecole Software" desc "Death Crimson OX (Japan)" devices ())
(name "deathrac" year "1976" manufacturer "Exidy" desc "Death Race" devices ())
(name "deathsm2" year "2009" manufacturer "Cave" desc "Deathsmiles II: Makai no Merry Christmas (2009/10/14 MASTER VER 4.00)" devices ())
(name "deathsml" year "2007" manufacturer "Cave (AMI license)" desc "Deathsmiles (2007/10/09 MASTER VER)" devices ())
(name "debutm" year "1994" manufacturer "Energopribor" desc "Debut-M" devices ())
(name "decathln" year "200?" manufacturer "Advance Bright Ltd / V-Tac Technology Co Ltd." desc "Decathlon (set 1)" devices ())
(name "decathlna" year "200?" manufacturer "Advance Bright Ltd / V-Tac Technology Co Ltd." desc "Decathlon (set 2, SM570, ABL TV Game)" devices ())
(name "decathlt" year "1996" manufacturer "Sega" desc "Decathlete (JUET 960709 V1.001)" devices ())
(name "decathlto" year "1996" manufacturer "Sega" desc "Decathlete (JUET 960424 V1.000)" devices ())
(name "decmate2" year "1982" manufacturer "Digital Equipment Corporation" desc "DECmate II (PC278)" devices ((name "floppydisk" briefname "flop" )))
(name "decmate3" year "1984" manufacturer "Digital Equipment Corporation" desc "DECmate III (PC238)" devices ((name "floppydisk" briefname "flop" )))
(name "decodark" year "2022" manufacturer "bootleg (Darksoft)" desc "DECO Cassette System ROM Multigame (Darksoft, v17)" devices ())
(name "decodark15" year "2022" manufacturer "bootleg (Darksoft)" desc "DECO Cassette System ROM Multigame (Darksoft, v15)" devices ())
(name "decodark16" year "2022" manufacturer "bootleg (Darksoft)" desc "DECO Cassette System ROM Multigame (Darksoft, v16)" devices ())
(name "decomult" year "2008" manufacturer "bootleg (David Widel)" desc "DECO Cassette System ROM Multigame (David Widel)" devices ())
(name "dectalk" year "1984" manufacturer "Digital Equipment Corporation" desc "DECtalk DTC-01" devices ())
(name "deepfrz" year "2009" manufacturer "Aristocrat" desc "Deep Freeze (10282311, NSW/ACT)" devices ())
(name "deepfrzu" year "2010" manufacturer "Aristocrat" desc "Deep Freeze (0154081, US)" devices ())
(name "deerhunt" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V4.3" devices ())
(name "deerhunta" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V4.2" devices ())
(name "deerhuntb" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V4.0" devices ())
(name "deerhuntc" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V3" devices ())
(name "deerhuntd" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V2" devices ())
(name "deerhunte" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V1" devices ())
(name "deerhuntj" year "2000" manufacturer "Sammy USA Corporation" desc "Deer Hunting USA V4.4.1 (Japan)" devices ())
(name "defcmnd" year "1980" manufacturer "bootleg" desc "Defense Command (bootleg of Defender)" devices ())
(name "defence" year "1981" manufacturer "bootleg (Outer Limits)" desc "Defence Command (bootleg of Defender)" devices ())
(name "defender" year "1980" manufacturer "Williams" desc "Defender (Red label)" devices ())
(name "defenderb" year "1980" manufacturer "Williams" desc "Defender (Blue label)" devices ())
(name "defenderg" year "1980" manufacturer "Williams" desc "Defender (Green label)" devices ())
(name "defenderj" year "1980" manufacturer "Williams (Taito Corporation license)" desc "T.T Defender" devices ())
(name "defenderom" year "1981" manufacturer "bootleg (Operamatic)" desc "Operacion Defender (bootleg of Defender)" devices ())
(name "defenderw" year "1980" manufacturer "Williams" desc "Defender (White label)" devices ())
(name "defense" year "1987" manufacturer "Sega" desc "Defense (System 16B, FD1089A 317-0028)" devices ())
(name "defenseb" year "198?" manufacturer "bootleg" desc "Defense (bootleg of Defender)" devices ())
(name "defndjeu" year "1980" manufacturer "bootleg (Jeutel)" desc "Defender (bootleg)" devices ())
(name "deltabel" year "2005" manufacturer "Aristocrat" desc "Delta Belle (0252532, US)" devices ())
(name "deltaqn" year "2004" manufacturer "Aristocrat" desc "Delta Queen (20185211, NSW/ACT)" devices ())
(name "deltrace" year "1981" manufacturer "bootleg (Allied Leisure)" desc "Delta Race" devices ())
(name "deluxe4u" year "2000" manufacturer "ESD" desc "Deluxe 4 U (ver. 0107, 07/01/2000)" devices ())
(name "deluxe5" year "2000" manufacturer "ESD" desc "Deluxe 5 (ver. 0107, 07/01/2000, set 1)" devices ())
(name "deluxe5a" year "2000" manufacturer "ESD" desc "Deluxe 5 (ver. 0107, 07/01/2000, set 2)" devices ())
(name "deluxe5b" year "2000" manufacturer "ESD" desc "Deluxe 5 (ver. 0107, 07/01/2000, set 3)" devices ())
(name "deluxecoco" year "1983" manufacturer "Tandy Radio Shack" desc "Deluxe Color Computer" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "demndrgn" year "1982" manufacturer "Dave Nutting Associates / Bally Midway" desc "Demons & Dragons (prototype)" devices ())
(name "demoderb" year "1984" manufacturer "Bally Midway" desc "Demolition Derby" devices ())
(name "demoderbc" year "1984" manufacturer "Bally Midway" desc "Demolition Derby (cocktail)" devices ())
(name "demoderm" year "1984" manufacturer "Bally Midway" desc "Demolition Derby (MCR-3 Mono Board Version)" devices ())
(name "demofist" year "2003" manufacturer "Polygon Magic / Dimps" desc "Demolish Fist" devices ())
(name "demon" year "1982" manufacturer "Rock-Ola" desc "Demon" devices ())
(name "demoneye" year "1981" manufacturer "Irem" desc "Demoneye-X" devices ())
(name "demonwld" year "1990" manufacturer "Toaplan" desc "Demon's World / Horror Story (set 1)" devices ())
(name "demonwld1" year "1989" manufacturer "Toaplan" desc "Demon's World / Horror Story (set 2)" devices ())
(name "demonwld2" year "1989" manufacturer "Toaplan" desc "Demon's World / Horror Story (set 3)" devices ())
(name "demonwld3" year "1989" manufacturer "Toaplan" desc "Demon's World / Horror Story (set 4)" devices ())
(name "demonwld4" year "1989" manufacturer "Toaplan" desc "Demon's World / Horror Story (set 5)" devices ())
(name "demonwld5" year "1989" manufacturer "Toaplan (APM Electronics license)" desc "Demon's World / Horror Story (set 6)" devices ())
(name "dendego" year "1996" manufacturer "Taito" desc "Densha de GO! (Ver 2.3 J)" devices ())
(name "dendego2" year "1998" manufacturer "Taito" desc "Densha de GO! 2 Kousoku-hen (Ver 2.5 J)" devices ())
(name "dendego23k" year "1998" manufacturer "Taito" desc "Densha de GO! 2 Kousoku-hen 3000-bandai (Ver 2.20 J)" devices ())
(name "dendego3" year "2000" manufacturer "Taito" desc "Densha de GO 3! Tsukin-hen (V2.03J)" devices ((name "harddisk" briefname "hard" )))
(name "dendegoa" year "1996" manufacturer "Taito" desc "Densha de GO! (Ver 2.2 J)" devices ())
(name "dendegox" year "1996" manufacturer "Taito" desc "Densha de GO! EX (Ver 2.4 J)" devices ())
(name "dendy" year "1992" manufacturer "Steepler" desc "Dendy Classic 1" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "dendy2" year "1992" manufacturer "Steepler" desc "Dendy Classic 2" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "denjinmk" year "1994" manufacturer "Winkysoft (Banpresto license)" desc "Denjin Makai (set 1)" devices ())
(name "denjinmka" year "1994" manufacturer "Winkysoft (Banpresto license)" desc "Denjin Makai (set 2)" devices ())
(name "denseib" year "1996" manufacturer "bootleg" desc "Ghost Chaser Densei (SNES bootleg, set 1)" devices ())
(name "denseib2" year "1996" manufacturer "bootleg" desc "Ghost Chaser Densei (SNES bootleg, set 2)" devices ())
(name "denv150" year "201?" manufacturer "Denver" desc "Denver Game Console GMP-240C 150-in-1" devices ())
(name "depthch" year "1977" manufacturer "Gremlin" desc "Depthcharge" devices ())
(name "depthcho" year "1977" manufacturer "Gremlin" desc "Depthcharge (older)" devices ())
(name "derbyo2k" year "2000" manufacturer "Sega" desc "Derby Owners Club 2000 Ver.2 (Japan, Rev A)" devices ())
(name "derbyoc" year "1999" manufacturer "Sega" desc "Derby Owners Club (Japan, Rev B)" devices ())
(name "derbyoc2" year "2001" manufacturer "Sega" desc "Derby Owners Club II Ver.2.1 (Japan, Rev B)" devices ())
(name "derbyocw" year "2005" manufacturer "Sega" desc "Derby Owners Club World Edition EX (Rev D)" devices ())
(name "deroon" year "1995" manufacturer "Tecmo" desc "Deroon DeroDero (earlier, set 1)" devices ())
(name "deroon2" year "1996" manufacturer "Tecmo" desc "Deroon DeroDero / Tecmo Stackers" devices ())
(name "deroona" year "1996" manufacturer "Tecmo" desc "Deroon DeroDero (earlier, set 2)" devices ())
(name "desert" year "1994" manufacturer "Sega / Martin Marietta" desc "Desert Tank" devices ())
(name "desertbr" year "1992" manufacturer "Sega" desc "Desert Breaker (World) (FD1094 317-0196)" devices ())
(name "desertbrd" year "1992" manufacturer "bootleg" desc "Desert Breaker (World) (bootleg of FD1094 317-0196 set)" devices ())
(name "desertbrj" year "1992" manufacturer "Sega" desc "Desert Breaker (Japan) (FD1094 317-0194)" devices ())
(name "desertbrjd" year "1992" manufacturer "bootleg" desc "Desert Breaker (Japan) (bootleg of FD1094 317-0194 set)" devices ())
(name "desertdn" year "1982" manufacturer "Kawakusu (Video Optics license)" desc "Desert Dan" devices ())
(name "desertgu" year "1977" manufacturer "Dave Nutting Associates / Midway" desc "Desert Gun" devices ())
(name "desertwr" year "1995" manufacturer "Jaleco" desc "Desert War / Wangan Sensou (ver 1.0)" devices ())
(name "design6" year "1995?" manufacturer "Azkoyen" desc "Design D6" devices ())
(name "designe" year "1995?" manufacturer "Azkoyen" desc "Design (Euro)" devices ())
(name "destdrby" year "1976" manufacturer "Exidy" desc "Destruction Derby" devices ())
(name "desterth" year "1979" manufacturer "bootleg" desc "Destination Earth (bootleg of Lunar Rescue)" devices ())
(name "destiny" year "1983" manufacturer "Data East Corporation" desc "Destiny - The Fortuneteller (USA)" devices ())
(name "destroyr" year "1977" manufacturer "Atari" desc "Destroyer (Atari, version O2)" devices ())
(name "destroyr1" year "1977" manufacturer "Atari" desc "Destroyer (Atari, version O1)" devices ())
(name "destryer" year "1980" manufacturer "Cidelsa" desc "Destroyer (Cidelsa, set 1)" devices ())
(name "destryera" year "1980" manufacturer "Cidelsa" desc "Destroyer (Cidelsa, set 2)" devices ())
(name "detatwin" year "1991" manufacturer "Konami" desc "Detana!! Twin Bee (Japan, version J)" devices ())
(name "detest" year "1998" manufacturer "Data East" desc "Data East Test Chip" devices ())
(name "deucesw2" year "1997" manufacturer "<unknown>" desc "Deuces Wild 2 - American Heritage (Ver. 2.02F)" devices ())
(name "devilfsh" year "1982" manufacturer "Artic" desc "Devil Fish (Scramble hardware)" devices ())
(name "devilfshg" year "1982" manufacturer "Artic" desc "Devil Fish (Galaxian hardware)" devices ())
(name "devilfshgb" year "1984" manufacturer "bootleg (Vision)" desc "Devil Fish (Galaxian hardware, bootleg)" devices ())
(name "devilw" year "1987" manufacturer "Konami" desc "Devil World" devices ())
(name "devstors" year "1988" manufacturer "Konami" desc "Devastators (ver. Z)" devices ())
(name "devstors2" year "1988" manufacturer "Konami" desc "Devastators (ver. 2)" devices ())
(name "devstorsv" year "1988" manufacturer "Konami" desc "Devastators (ver. V)" devices ())
(name "devstorsx" year "1988" manufacturer "Konami" desc "Devastators (ver. X)" devices ())
(name "devzone" year "1980" manufacturer "Universal" desc "Devil Zone" devices ())
(name "devzone2" year "1980" manufacturer "Universal" desc "Devil Zone (easier)" devices ())
(name "df_djpkr" year "199?" manufacturer "DellFern Ltd." desc "Double Joker Poker (45%-75% payout)" devices ())
(name "dfeverg" year "2001" manufacturer "Sega" desc "Dancing Fever Gold (J 000821 V2.001)" devices ())
(name "dfeveron" year "1998" manufacturer "Cave (Nihon System license)" desc "Dangun Feveron (Japan, 98/09/17 VER.)" devices ())
(name "dfi386" year "198?" manufacturer "DFI" desc "386-20.REV0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "dfi386sx" year "199?" manufacturer "Diamond Flower International" desc "386SX-16/20CN Rev 1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "dfjail" year "1991" manufacturer "Philko" desc "The Destroyer From Jail (Korea)" devices ())
(name "dfkbl" year "2010" manufacturer "Cave" desc "DoDonPachi Dai-Fukkatsu Black Label (2010/1/18 BLACK LABEL)" devices ())
(name "dfndr_l4" year "1982" manufacturer "Williams" desc "Defender (L-4)" devices ())
(name "dfruit" year "1993" manufacturer "Nippon Data Kiki / Star Fish" desc "Fruit Dream (Japan, Ver. 1.20)" devices ())
(name "dfruita" year "1993" manufacturer "Nippon Data Kiki / Star Fish" desc "Fruit Dream (Japan, Ver. 1.10)" devices ())
(name "dfs500" year "1994" manufacturer "Sony" desc "DFS-500 DME Video Switcher" devices ((name "picture1" briefname "pic1" ) (name "picture2" briefname "pic2" ) (name "picture3" briefname "pic3" ) (name "picture4" briefname "pic4" )))
(name "dg680" year "1980" manufacturer "David Griffiths" desc "DG680 with DGOS-Z80 1.4" devices ((name "cassette" briefname "cass" )))
(name "dgama87" year "1987" manufacturer "Didaktik Skalica" desc "Didaktik Gama 87" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "dgama88" year "1988" manufacturer "Didaktik Skalica" desc "Didaktik Gama 88" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "dgama89" year "1989" manufacturer "Didaktik Skalica" desc "Didaktik Gama 89" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "dgnalpha" year "1984" manufacturer "Dragon Data Ltd" desc "Dragon Professional (Alpha)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dgnbeta" year "1984" manufacturer "Dragon Data Ltd" desc "Dragon 128 (Beta)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dgnmsx" year "1985" manufacturer "Eurohard S.A." desc "Dragon MSX-64 (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "dgone" year "1984" manufacturer "Data General" desc "Data General/One" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "dgun2500" year "200?" manufacturer "dreamGEAR" desc "dreamGEAR Wireless Motion Control with 130 games (DGUN-2500)" devices ())
(name "dgun2561" year "2012" manufacturer "dreamGEAR" desc "My Arcade Portable Gaming System with 140 Games (DGUN-2561)" devices ())
(name "dgun2572" year "201?" manufacturer "dreamGEAR" desc "My Arcade Wireless Video Game Station 200-in-1 (DGUN-2572)" devices ())
(name "dgun2573" year "2015" manufacturer "dreamGEAR" desc "My Arcade Gamer V Portable Gaming System (DGUN-2573) (set 1, newer)" devices ())
(name "dgun2573a" year "2015" manufacturer "dreamGEAR" desc "My Arcade Gamer V Portable Gaming System (DGUN-2573) (set 2, older)" devices ())
(name "dgun2577" year "201?" manufacturer "DreamGear" desc "My Arcade Retro Machine 200-in-1 (DGUN-2577)" devices ())
(name "dgun2593" year "2016" manufacturer "dreamGEAR" desc "My Arcade Retro Arcade Machine - 300 Handheld Video Games (DGUN-2593)" devices ())
(name "dgun2869" year "201?" manufacturer "dreamGEAR" desc "My Arcade Retro Micro Controller - 220 Built-In Video Games (DGUN-2869)" devices ())
(name "dgun2953" year "201?" manufacturer "dreamGEAR" desc "My Arcade Gamer Mini 160-in-1 (DGUN-2953)" devices ())
(name "dgun2959" year "201?" manufacturer "dreamGEAR" desc "My Arcade Plug And Play 220 Game Retro Controller (DGUN-2959)" devices ())
(name "dgun806" year "2004?" manufacturer "dreamGEAR" desc "Plug 'N' Play 25-in-1 (DGUN-806)" devices ())
(name "dgun851" year "200?" manufacturer "dreamGEAR / JungleTac" desc "Plug 'N' Play 30-in-1 (DGUN-851)" devices ())
(name "dgun853" year "200?" manufacturer "dreamGEAR / JungleTac" desc "Plug 'N' Play 50-in-1 (DGUN-853)" devices ())
(name "dgunl3201" year "201?" manufacturer "dreamGEAR" desc "My Arcade Data East Classics - Pixel Classic (308-in-1) (DGUNL-3201)" devices ())
(name "dgunl3202" year "201?" manufacturer "dreamGEAR" desc "My Arcade Data East Classics - Pixel Player (308-in-1) (DGUNL-3202)" devices ())
(name "dgunl3227" year "2018" manufacturer "dreamGEAR" desc "My Arcade Pac-Man Pocket Player (DGUNL-3227)" devices ())
(name "dh_lf2" year "1995" manufacturer "Williams" desc "Dirty Harry (LF-2)" devices ())
(name "dh_lx2" year "1995" manufacturer "Williams" desc "Dirty Harry (LX-2)" devices ())
(name "dharma" year "1994" manufacturer "Metro" desc "Dharma Doujou" devices ())
(name "dharmag" year "1994" manufacturer "Metro" desc "Dharma Doujou (Germany)" devices ())
(name "dharmaj" year "1994" manufacturer "Metro" desc "Dharma Doujou (Japan)" devices ())
(name "dharmak" year "1994" manufacturer "Metro" desc "Dharma Doujou (Korea)" devices ())
(name "dhunting" year "2002" manufacturer "Game Box Entertainment" desc "Dream Hunting (US)" devices ())
(name "di4ever" year "2002" manufacturer "Aristocrat" desc "Diamonds Forever (10105011, NSW/ACT)" devices ())
(name "diablo" year "1976" manufacturer "Diablo Systems Inc" desc "Diablo HyType II Series 1300 CPU" devices ())
(name "diablo68" year "1991" manufacturer "Novag Industries" desc "Diablo 68000 (set 1)" devices ())
(name "diablo68a" year "1991" manufacturer "Novag Industries" desc "Diablo 68000 (set 2)" devices ())
(name "diaelite" year "199?" manufacturer "Recreativos Presas" desc "Diana Elite" devices ())
(name "dialog80" year "1980" manufacturer "Ampex" desc "Dialogue 80" devices ())
(name "diamdest" year "2000" manufacturer "Aristocrat" desc "Diamond Destiny (AHG1533, US)" devices ())
(name "diamdove" year "1999" manufacturer "Aristocrat" desc "Diamond Dove (0101018V, NSW/ACT)" devices ())
(name "diamhrts" year "2007" manufacturer "Aristocrat" desc "Diamonds & Hearts - Power Pay (10229311, NSW/ACT)" devices ())
(name "diamond2" year "1997" manufacturer "Novag Industries" desc "Diamond II" devices ())
(name "diamondking" year "1997" manufacturer "SegaSA / Sonic" desc "Diamond King (with Euro support)" devices ())
(name "diamondkinp" year "1997" manufacturer "SegaSA / Sonic" desc "Diamond King (without Euro support)" devices ())
(name "diamondp" year "1988" manufacturer "Gottlieb" desc "Diamond Lady" devices ())
(name "diamondpf" year "1988" manufacturer "Gottlieb" desc "Diamond Lady (French)" devices ())
(name "diamondpg" year "1988" manufacturer "Gottlieb" desc "Diamond Lady (German)" devices ())
(name "diamrun" year "1989" manufacturer "KH Video" desc "Diamond Run" devices ())
(name "dibif727" year "199?" manufacturer "Compumatic / Bifuca" desc "Diana Bifuca (v7.27)" devices ())
(name "dibif743" year "199?" manufacturer "Compumatic / Bifuca" desc "Diana Bifuca (v7.43)" devices ())
(name "dibifpspdp" year "1997" manufacturer "Compumatic / Bifuca" desc "Diana Bifuca (unknown version, ProSPDP based)" devices ())
(name "dibifuca" year "199?" manufacturer "Compumatic / Bifuca" desc "Diana Bifuca (v9.25)" devices ())
(name "dicegame" year "1991" manufacturer "bootleg (Tuning)" desc "Dice - The Dice Game!" devices ())
(name "dicemstr" year "1993" manufacturer "Stella" desc "Dice Master" devices ())
(name "didakm91" year "1991" manufacturer "Didaktik Skalica" desc "Didaktik M 91" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "didakm92" year "1992" manufacturer "Didaktik Skalica" desc "Didaktik M 92" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "didakm93" year "1993" manufacturer "Didaktik Skalica" desc "Didaktik M 93" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "didakt90" year "1990" manufacturer "Didaktik Skalica" desc "Didaktik 90" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "didaktk" year "1992" manufacturer "Didaktik Skalica" desc "Didaktik Kompakt" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "didj" year "2008" manufacturer "LeapFrog" desc "Didj" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "diehard" year "1996" manufacturer "Sega" desc "Die Hard Arcade (UET 960515 V1.000)" devices ())
(name "dietgo" year "1992" manufacturer "Data East Corporation" desc "Diet Go Go (Europe v1.1 1992.09.26 v3)" devices ())
(name "dietgoe" year "1992" manufacturer "Data East Corporation" desc "Diet Go Go (Europe v1.1 1992.09.26 v2)" devices ())
(name "dietgoea" year "1992" manufacturer "Data East Corporation" desc "Diet Go Go (Europe v1.1 1992.08.04)" devices ())
(name "dietgoj" year "1992" manufacturer "Data East Corporation" desc "Diet Go Go (Japan v1.1 1992.09.26)" devices ())
(name "dietgou" year "1992" manufacturer "Data East Corporation" desc "Diet Go Go (USA v1.1 1992.09.26)" devices ())
(name "digamart" year "1983" manufacturer "Sega" desc "Diga Mart (rev. A)" devices ())
(name "digdug" year "1982" manufacturer "Namco" desc "Dig Dug (rev 2)" devices ())
(name "digdug1" year "1982" manufacturer "Namco" desc "Dig Dug (rev 1)" devices ())
(name "digdug2" year "1985" manufacturer "Namco" desc "Dig Dug II (New Ver.)" devices ())
(name "digdug2o" year "1985" manufacturer "Namco" desc "Dig Dug II (Old Ver.)" devices ())
(name "digdugat" year "1982" manufacturer "Namco (Atari license)" desc "Dig Dug (Atari, rev 2)" devices ())
(name "digdugat1" year "1982" manufacturer "Namco (Atari license)" desc "Dig Dug (Atari, rev 1)" devices ())
(name "digel804" year "1985" manufacturer "Digelec, Inc" desc "Digelec 804 EPROM Programmer" devices ((name "bitbanger" briefname "bitb" )))
(name "digezlg" year "200?" manufacturer "LG" desc "Digital ez LG" devices ())
(name "digger" year "1980" manufacturer "Sega" desc "Digger" devices ())
(name "diggerc" year "1982" manufacturer "Century Electronics" desc "Digger (CVS)" devices ())
(name "diggerma" year "2000" manufacturer "Kyle Hodgetts" desc "Digger Man (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "digiblst" year "2005" manufacturer "Nikko Entertainment B.V. / Grey Innovation" desc "digiBLAST" devices ((name "cartridge" briefname "cart" )))
(name "digijet" year "1985" manufacturer "Volkswagen" desc "Digijet" devices ())
(name "digilog320" year "1988" manufacturer "Digilog" desc "320" devices ((name "floppydisk" briefname "flop" )))
(name "digilog400" year "1987" manufacturer "Digilog" desc "400" devices ())
(name "digsid" year "1982" manufacturer "Namco (Sidam license)" desc "Dig Dug (manufactured by Sidam)" devices ())
(name "dim68k" year "1984" manufacturer "Micro Craft" desc "Dimension 68000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dimahoo" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "Dimahoo (Europe 000121)" devices ())
(name "dimahoou" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "Dimahoo (USA 000121)" devices ())
(name "dimahoud" year "2000" manufacturer "bootleg" desc "Dimahoo (USA 000121 Phoenix Edition) (bootleg)" devices ())
(name "dimeye" year "2002" manufacturer "Aristocrat" desc "Diamond Eyes (10129211, ASP)" devices ())
(name "dimeyece" year "2004" manufacturer "Aristocrat" desc "Diamond Eyes - Cash Express (0152039, US)" devices ())
(name "dimeyeu" year "2004" manufacturer "Aristocrat" desc "Diamond Eyes (0251312, US)" devices ())
(name "dimtouch" year "1998" manufacturer "Aristocrat" desc "Diamond Touch (0400433V, NSW/ACT)" devices ())
(name "dina" year "1988" manufacturer "Telegames" desc "Dina" devices ((name "cartridge" briefname "cart" )))
(name "dindice" year "199?" manufacturer "Dinaris" desc "Dice game" devices ())
(name "diner_f2" year "1990" manufacturer "Williams" desc "Diner (LF-2) French" devices ())
(name "diner_g2" year "1990" manufacturer "Williams" desc "Diner (LG-2) German" devices ())
(name "diner_l1" year "1990" manufacturer "Williams" desc "Diner (LU-1) Europe" devices ())
(name "diner_l2" year "1990" manufacturer "Williams" desc "Diner (LU-2) Europe" devices ())
(name "diner_l3" year "1990" manufacturer "Williams" desc "Diner (LA-3)" devices ())
(name "diner_l4" year "1990" manufacturer "Williams" desc "Diner (LA-4)" devices ())
(name "diner_p0" year "1990" manufacturer "Williams" desc "Diner (PA-0 prototype)" devices ())
(name "dingo" year "1983" manufacturer "Ashby Computers and Graphics Ltd. (Jaleco license)" desc "Dingo" devices ())
(name "dingoe" year "1983" manufacturer "Ashby Computers and Graphics Ltd." desc "Dingo (encrypted)" devices ())
(name "dino" year "1993" manufacturer "Capcom" desc "Cadillacs and Dinosaurs (World 930201)" devices ())
(name "dinoa" year "1993" manufacturer "Capcom" desc "Cadillacs and Dinosaurs (Asia TW 930223)" devices ())
(name "dinodino" year "2005" manufacturer "Astro Corp." desc "Dino Dino (Ver. A1.1, 01/13/2005)" devices ())
(name "dinoeggs" year "1993" manufacturer "Alvin G" desc "Dinosaur Eggs (R02)" devices ())
(name "dinofmly" year "1994" manufacturer "Subsino" desc "Dino Family" devices ())
(name "dinofmlya" year "1995" manufacturer "Tangasoft" desc "Dino Family (Portuguese, Tangasoft license)" devices ())
(name "dinohunt" year "1993" manufacturer "bootleg" desc "Dinosaur Hunter (Chinese bootleg of Cadillacs and Dinosaurs)" devices ())
(name "dinoj" year "1993" manufacturer "Capcom" desc "Cadillacs: Kyouryuu Shin Seiki (Japan 930201)" devices ())
(name "dinoki25" year "2008" manufacturer "Sega" desc "Dinosaur King - D-Team VS. the Alpha Fortress (Export, Ver 2.500) (MDA-C0047)" devices ())
(name "dinoki4" year "2008" manufacturer "Sega" desc "Kodai Ouja Kyouryuu King - Mezame yo! Arata-naru Chikara!! (Japan, Ver 4.000) (MDA-C0061)" devices ())
(name "dinokich" year "2010" manufacturer "Sega" desc "Konglongwang - D-Kids VS Alpha Yaosai (China, Ver 2.501) (MDA-C0081)" devices ())
(name "dinoking" year "2005" manufacturer "Sega" desc "Dinosaur King (USA)" devices ())
(name "dinokior" year "2006" manufacturer "Sega" desc "Dinosaur King - Operation: Dinosaur Rescue (USA, Export) (MDA-C0021)" devices ())
(name "dinopic" year "1993" manufacturer "bootleg" desc "Cadillacs and Dinosaurs (bootleg with PIC16C57, set 1)" devices ())
(name "dinopic2" year "1993" manufacturer "bootleg" desc "Cadillacs and Dinosaurs (bootleg with PIC16C57, set 2)" devices ())
(name "dinopic3" year "1993" manufacturer "bootleg" desc "Cadillacs and Dinosaurs (bootleg with PIC16C57, set 3)" devices ())
(name "dinorex" year "1992" manufacturer "Taito Corporation Japan" desc "Dino Rex (World)" devices ())
(name "dinorexj" year "1992" manufacturer "Taito Corporation" desc "Dino Rex (Japan)" devices ())
(name "dinorexu" year "1992" manufacturer "Taito America Corporation" desc "Dino Rex (US)" devices ())
(name "dinosa6" year "2003" manufacturer "Aristocrat" desc "Dinosaur (10118811, NSW/ACT)" devices ())
(name "dinou" year "1993" manufacturer "Capcom" desc "Cadillacs and Dinosaurs (USA 930201)" devices ())
(name "diola827" year "1997" manufacturer "Compumatic / Olakoa" desc "Diana Olakoa (v8.27)" devices ())
(name "diolakoa" year "1997" manufacturer "Compumatic / Olakoa" desc "Diana Olakoa (v8.38)" devices ())
(name "dirtdash" year "1995" manufacturer "Namco" desc "Dirt Dash (World, DT2 Ver.B)" devices ())
(name "dirtdasha" year "1995" manufacturer "Namco" desc "Dirt Dash (World, DT2 Ver.A)" devices ())
(name "dirtdashj" year "1995" manufacturer "Namco" desc "Dirt Dash (Japan, DT1 Ver.A)" devices ())
(name "dirtdvls" year "1998" manufacturer "Sega" desc "Dirt Devils (Export, Revision A)" devices ())
(name "dirtdvlsau" year "1998" manufacturer "Sega" desc "Dirt Devils (Australia, Revision A)" devices ())
(name "dirtdvlsg" year "1998" manufacturer "Sega" desc "Dirt Devils (Export, Ver. G?)" devices ())
(name "dirtdvlsj" year "1998" manufacturer "Sega" desc "Dirt Devils (Japan, Revision A)" devices ())
(name "dirtdvlsu" year "1998" manufacturer "Sega" desc "Dirt Devils (USA, Revision A)" devices ())
(name "dirtfoxj" year "1989" manufacturer "Namco" desc "Dirt Fox (Japan)" devices ())
(name "dirtypig" year "2006" manufacturer "Sammy" desc "Dirty Pigskin Football" devices ())
(name "discmate" year "1988" manufacturer "Arbiter Leisure" desc "Arbiter Discmate A-02" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "discmon" year "1988" manufacturer "Arbiter Leisure" desc "Arbiter Discmonitor A-01" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "disco" year "1982" manufacturer "Data East" desc "Disco No.1" devices ())
(name "disco79" year "1979" manufacturer "Allied Leisure" desc "Disco '79" devices ())
(name "disco_l1" year "1978" manufacturer "Williams" desc "Disco Fever (L-1)" devices ())
(name "discoboy" year "1993" manufacturer "Soft Art Co." desc "Disco Boy" devices ())
(name "discoboyp" year "1993" manufacturer "Soft Art Co. / Promat" desc "Disco Boy (Promat license)" devices ())
(name "discodan" year "1981" manufacturer "LTD" desc "Disco Dancing" devices ())
(name "discof" year "1982" manufacturer "Data East" desc "Disco No.1 (Rev.F)" devices ())
(name "discpal" year "200?" manufacturer "Performance Designed Products / Disney / Jungle Soft" desc "Disney Game It! Classic Pals" devices ())
(name "ditrio" year "2002?" manufacturer "Novotech" desc "Diamond Trio (set 1)" devices ())
(name "ditto" year "1981" manufacturer "Tiger Electronics" desc "Ditto" devices ())
(name "divebomb" year "1989" manufacturer "Konami" desc "Kyuukoukabakugekitai - Dive Bomber Squad (Japan, prototype)" devices ())
(name "diverboy" year "1992" manufacturer "Gamart (Electronic Devices Italy license)" desc "Diver Boy" devices ())
(name "djboy" year "1989" manufacturer "Kaneko" desc "DJ Boy (World)" devices ())
(name "djboyj" year "1989" manufacturer "Kaneko (Sega license)" desc "DJ Boy (Japan, set 1)" devices ())
(name "djboyja" year "1989" manufacturer "Kaneko (Sega license)" desc "DJ Boy (Japan, set 2)" devices ())
(name "djboyu" year "1990" manufacturer "Kaneko (American Sammy license)" desc "DJ Boy (US, set 1)" devices ())
(name "djboyua" year "1990" manufacturer "Kaneko (American Sammy license)" desc "DJ Boy (US, set 2)" devices ())
(name "djgirl" year "1993" manufacturer "Soft Art Co. / Promat" desc "DJ Girl (Promat license)" devices ())
(name "dkbanana" year "2007" manufacturer "Capcom" desc "Donkey Kong Banana Kingdom (host)" devices ((name "harddisk" briefname "hard" )))
(name "dkbanans" year "2007" manufacturer "Capcom" desc "Donkey Kong Banana Kingdom (satellite)" devices ((name "harddisk" briefname "hard" )))
(name "dkbattle" year "2005" manufacturer "Taito Corporation" desc "Dinoking Battle" devices ())
(name "dkgensan" year "1990" manufacturer "Irem" desc "Daiku no Gensan (Japan, M84 hardware)" devices ())
(name "dkgensanm72" year "1990" manufacturer "Irem" desc "Daiku no Gensan (Japan, M72 hardware)" devices ())
(name "dkgensanm82" year "1990" manufacturer "Irem" desc "Daiku no Gensan (Japan, M82 hardware)" devices ())
(name "dking" year "1981" manufacturer "bootleg" desc "Donkey King" devices ())
(name "dkingjr" year "1982" manufacturer "bootleg" desc "Donkey King Jr. (bootleg of Donkey Kong Jr.)" devices ())
(name "dkjfever" year "2005" manufacturer "Nintendo / Capcom" desc "Donkey Kong Jungle Fever (Ver.1.000, 2005/08/03)" devices ((name "harddisk" briefname "hard" )))
(name "dkkids" year "2004" manufacturer "Taito Corporation" desc "Dinoking Kids" devices ())
(name "dkmb" year "2003" manufacturer "Namco / Nintendo / Cosmodog" desc "Donkey Kong / Donkey Kong Jr / Mario Bros" devices ())
(name "dkong" year "1981" manufacturer "Nintendo of America" desc "Donkey Kong (US set 1)" devices ())
(name "dkong3" year "1983" manufacturer "Nintendo of America" desc "Donkey Kong 3 (US)" devices ())
(name "dkong3abl" year "1983" manufacturer "bootleg" desc "Donkey Kong 3 (bootleg on Ambush hardware)" devices ())
(name "dkong3b" year "1984" manufacturer "bootleg" desc "Donkey Kong 3 (bootleg on Donkey Kong Jr. hardware)" devices ())
(name "dkong3hs" year "1983" manufacturer "hack (Braze Technologies)" desc "Donkey Kong High Score Kit (hack,V1.0a)" devices ())
(name "dkong3j" year "1983" manufacturer "Nintendo" desc "Donkey Kong 3 (Japan)" devices ())
(name "dkongddk" year "2001" manufacturer "hack (Braze Technologies)" desc "Double Donkey Kong (hack,V1.2)" devices ())
(name "dkongf" year "2004" manufacturer "hack (Jeff Kulczycki)" desc "Donkey Kong Foundry (hack)" devices ())
(name "dkonghrd" year "1981" manufacturer "Nintendo of America" desc "Donkey Kong (hard kit)" devices ())
(name "dkonghs" year "2001" manufacturer "hack (Braze Technologies)" desc "Donkey Kong High Score Kit (hack,V1.2)" devices ())
(name "dkongike" year "2001" manufacturer "hack (Braze Technologies)" desc "Donkey Kong/DK (Japan) (hack,V1.1 IKE)" devices ())
(name "dkongj" year "1981" manufacturer "Nintendo" desc "Donkey Kong (Japan set 1)" devices ())
(name "dkongjnrj" year "1982" manufacturer "Nintendo" desc "Donkey Kong Junior (Japan set F-1)" devices ())
(name "dkongjo" year "1981" manufacturer "Nintendo" desc "Donkey Kong (Japan set 2)" devices ())
(name "dkongjo1" year "1981" manufacturer "Nintendo" desc "Donkey Kong (Japan set 3)" devices ())
(name "dkongjr" year "1982" manufacturer "Nintendo of America" desc "Donkey Kong Junior (US set F-2)" devices ())
(name "dkongjr2" year "1982" manufacturer "Nintendo of America" desc "Donkey Kong Junior (US, bootleg?)" devices ())
(name "dkongjrb" year "1982" manufacturer "bootleg" desc "Donkey Kong Jr. (bootleg)" devices ())
(name "dkongjrc" year "2001" manufacturer "hack (Braze Technologies)" desc "Donkey Kong/JR (combo) (hack,V1.2)" devices ())
(name "dkongjre" year "1982" manufacturer "Nintendo of America" desc "Donkey Kong Junior (E kit)" devices ())
(name "dkongjrhs" year "2001" manufacturer "hack (Braze Technologies)" desc "Donkey Junior High Score Kit (hack,V1.2)" devices ())
(name "dkongjrj" year "1982" manufacturer "Nintendo" desc "Donkey Kong Jr. (Japan)" devices ())
(name "dkongjrm" year "1982" manufacturer "bootleg" desc "Donkey Kong Jr. (bootleg on Moon Cresta hardware, set 1)" devices ())
(name "dkongjrmc" year "1982" manufacturer "bootleg (Centromatic)" desc "Donkey Kong Jr. (bootleg on Moon Cresta hardware, set 2)" devices ())
(name "dkongjrpb" year "1982" manufacturer "bootleg" desc "Donkey Kong Junior (P kit, bootleg)" devices ())
(name "dkongo" year "1981" manufacturer "Nintendo" desc "Donkey Kong (US set 2)" devices ())
(name "dkongpe" year "2013" manufacturer "hack (Clay Cowgill and Mike Mika)" desc "Donkey Kong: Pauline Edition Rev 5 (2013-04-22)" devices ())
(name "dkongx" year "2006" manufacturer "hack (Braze Technologies)" desc "Donkey Kong II: Jumpman Returns (hack, V1.2)" devices ())
(name "dkongx11" year "2006" manufacturer "hack (Braze Technologies)" desc "Donkey Kong II: Jumpman Returns (hack, V1.1)" devices ())
(name "dks7000c" year "2003" manufacturer "IVL Technologies (Disney / Memcorp Inc license)" desc "Disney Classic Handheld Karaoke Player (DKS7000-C)" devices ((name "cartridge" briefname "cart" )))
(name "dlair" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. F2)" devices ())
(name "dlair2" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v3.19)" devices ())
(name "dlair2_200" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v2.00, AMOA prototype)" devices ())
(name "dlair2_211" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v2.11)" devices ())
(name "dlair2_300" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v3.00)" devices ())
(name "dlair2_312" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Europe v3.12)" devices ())
(name "dlair2_314" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v3.14)" devices ())
(name "dlair2_315" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v3.15)" devices ())
(name "dlair2_315s" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Spanish v3.15)" devices ())
(name "dlair2_316e" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Europe v3.16)" devices ())
(name "dlair2_317e" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Europe v3.17)" devices ())
(name "dlair2_318" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (US v3.18)" devices ())
(name "dlair2_319e" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Europe v3.19)" devices ())
(name "dlair2_319s" year "1991" manufacturer "Leland Corporation" desc "Dragon's Lair 2: Time Warp (Spanish v3.19)" devices ())
(name "dlair_1" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Beta 1, Pioneer PR-7820)" devices ())
(name "dlair_2" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Beta 2?, Pioneer PR-7820)" devices ())
(name "dlaira" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. A, Pioneer PR-7820)" devices ())
(name "dlairb" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. B, Pioneer PR-7820)" devices ())
(name "dlairc" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. C, Pioneer PR-7820)" devices ())
(name "dlaird" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. D, Pioneer LD-V1000)" devices ())
(name "dlaire" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. E)" devices ())
(name "dlairf" year "1983" manufacturer "Cinematronics" desc "Dragon's Lair (US Rev. F)" devices ())
(name "dland" year "1987" manufacturer "bootleg" desc "Dream Land / Super Dream Land (bootleg of Bubble Bobble)" devices ())
(name "dleague" year "1990" manufacturer "Taito America Corporation" desc "Dynamite League (US)" devices ())
(name "dleaguej" year "1990" manufacturer "Taito Corporation" desc "Dynamite League (Japan)" devices ())
(name "dleuro" year "1983" manufacturer "Cinematronics (Atari license)" desc "Dragon's Lair (European)" devices ())
(name "dleuroalt" year "1983" manufacturer "Cinematronics (Atari license)" desc "Dragon's Lair (European, alternate)" devices ())
(name "dlital" year "1983" manufacturer "Cinematronics (Sidam license?)" desc "Dragon's Lair (Italian)" devices ())
(name "dm3270" year "1982" manufacturer "Beehive International" desc "DM3270 Control Unit Display Station" devices ())
(name "dm500" year "2006" manufacturer "Dream Multimedia" desc "Dreambox 500" devices ())
(name "dm5620" year "2004" manufacturer "Dream Multimedia" desc "Dreambox 5620" devices ())
(name "dm7000" year "2003" manufacturer "Dream Multimedia" desc "Dreambox 7000" devices ())
(name "dm_h5" year "1995" manufacturer "Williams" desc "Demolition Man (H-5)" devices ())
(name "dm_h6" year "1995" manufacturer "Williams" desc "Demolition Man (H-6)" devices ())
(name "dm_la1" year "1994" manufacturer "Williams" desc "Demolition Man (LA-1)" devices ())
(name "dm_lx3" year "1994" manufacturer "Williams" desc "Demolition Man (LX-3)" devices ())
(name "dm_lx4" year "1994" manufacturer "Williams" desc "Demolition Man (LX-4)" devices ())
(name "dm_pa2" year "1994" manufacturer "Williams" desc "Demolition Man (PA-2)" devices ())
(name "dm_px5" year "1994" manufacturer "Williams" desc "Demolition Man (PX-5)" devices ())
(name "dmainevent" year "1983" manufacturer "Destron" desc "Main Event (Destron)" devices ())
(name "dmax8000" year "1981" manufacturer "Datamax" desc "Datamax 8000" devices ((name "floppydisk" briefname "flop" )))
(name "dmdfever" year "1996" manufacturer "Aristocrat" desc "Diamond Fever (0200302V, NSW/ACT)" devices ())
(name "dmndrby" year "1994" manufacturer "Electrocoin" desc "Diamond Derby (Win bet, newer)" devices ())
(name "dmndrbya" year "1986" manufacturer "Electrocoin" desc "Diamond Derby (Win bet, original)" devices ())
(name "dmndrbybl" year "1986" manufacturer "bootleg (EDG Impeuropex)" desc "Diamond Derby (Quinella bet, EDG Impeuropex bootleg)" devices ())
(name "dmnfrnt" year "2002" manufacturer "IGS" desc "Demon Front / Moyu Zhanxian (68k label V105, ROM M105XX 08/05/02) (ARM label V105, ROM 08/05/02 S105XX)" devices ())
(name "dmnfrnt102" year "2002" manufacturer "IGS" desc "Demon Front / Moyu Zhanxian (68k label V102, ROM M102XX 06/19/02) (ARM label V102, ROM 05/24/02 S101XX)" devices ())
(name "dmnfrnt103" year "2002" manufacturer "IGS" desc "Demon Front / Moyu Zhanxian (68k label V103, ROM M103XX 07/05/02) (ARM label V103, ROM 07/05/02 S103XX)" devices ())
(name "dmnfrntpcb" year "2002" manufacturer "IGS" desc "Demon Front V1.1 / Moyu Zhanxian V1.1 (68k label V107KR, ROM M107KR 11/03/03) (ARM label V106KR, ROM 10/16/03 S106KR) (JAMMA PCB)" devices ())
(name "dmodrbcc" year "1976" manufacturer "Chicago Coin" desc "Demolition Derby (Chicago Coin)" devices ())
(name "dms5000" year "1982" manufacturer "Digital Microsystems" desc "DMS-5000" devices ())
(name "dms86" year "1982" manufacturer "Digital Microsystems" desc "DMS-86" devices ())
(name "dmv" year "1984" manufacturer "NCR" desc "Decision Mate V" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "dmx" year "2000" manufacturer "Konami" desc "Dance Maniax (G*874 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dmx2m" year "2000" manufacturer "Konami" desc "Dance Maniax 2nd Mix (G*A39 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dmx2majp" year "2001" manufacturer "Konami" desc "Dance Maniax 2nd Mix Append J-Paradise (G*A38 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dmxa" year "2000" manufacturer "Konami" desc "Dance Maniax (G*874 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dn3000" year "1988" manufacturer "Apollo" desc "Apollo DN3000" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dn3000_19i" year "1988" manufacturer "Apollo" desc "Apollo DN3000 19\" Monochrome" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dn3500" year "1989" manufacturer "Apollo" desc "Apollo DN3500" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dn3500_19i" year "1989" manufacturer "Apollo" desc "Apollo DN3500 19\" Monochrome" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dn5500" year "1991" manufacturer "Apollo" desc "Apollo DN5500" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dn5500_19i" year "1991" manufacturer "Apollo" desc "Apollo DN5500 19\" Monochrome" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dnbanban" year "1993" manufacturer "Kato Seisakusho" desc "Dora Neco BanBan" devices ())
(name "dnce2000" year "200?" manufacturer "Shenzhen Soyin Electric Appliance Ind. Co., Ltd." desc "Dance 2000 / Hot 2000 (Jin Bao TV Dancing Carpet, SY-2000-04)" devices ())
(name "dncfrks" year "2000" manufacturer "Konami" desc "Dance Freaks (G*874 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dncsprt" year "2002" manufacturer "Atronic" desc "Dancing Spirit (Russia) (Atronic)" devices ())
(name "dngrtrck" year "1980" manufacturer "bootleg (Petaco)" desc "Danger Track (bootleg of Rally X)" devices ())
(name "dnmtdeka" year "1996" manufacturer "Sega" desc "Dynamite Deka (J 960515 V1.000)" devices ())
(name "dnv200fs" year "200?" manufacturer "Denver / Senca" desc "Denver (GMP-270CMK2) (Family Sport 200-in-1)" devices ())
(name "doa" year "1996" manufacturer "Tecmo" desc "Dead or Alive (Model 2B, Revision C)" devices ())
(name "doa2" year "1999" manufacturer "Tecmo" desc "Dead or Alive 2" devices ())
(name "doa2a" year "1999" manufacturer "Tecmo" desc "Dead or Alive 2 (Rev A)" devices ())
(name "doa2m" year "2000" manufacturer "Tecmo" desc "Dead or Alive 2 Millennium" devices ())
(name "doaa" year "1996" manufacturer "Tecmo" desc "Dead or Alive (Model 2A, Revision A)" devices ())
(name "doaab" year "1996" manufacturer "Tecmo" desc "Dead or Alive (Model 2A)" devices ())
(name "doaae" year "1996" manufacturer "Tecmo" desc "Dead or Alive (Export, Model 2A, Revision A)" devices ())
(name "doab" year "1996" manufacturer "Tecmo" desc "Dead or Alive (Model 2B, Revision B)" devices ())
(name "doapp" year "1998" manufacturer "Tecmo" desc "Dead Or Alive ++ (Japan/USA/Export)" devices ())
(name "doappk" year "1998" manufacturer "Tecmo" desc "Dead Or Alive ++ (Korea)" devices ())
(name "dobouchn" year "1996" manufacturer "Konami" desc "Dobou-Chan (ver JAA)" devices ())
(name "docastle" year "1983" manufacturer "Universal" desc "Mr. Do's Castle (set 1)" devices ())
(name "docastle2" year "1983" manufacturer "Universal" desc "Mr. Do's Castle (set 2)" devices ())
(name "docastleo" year "1983" manufacturer "Universal" desc "Mr. Do's Castle (older)" devices ())
(name "docchift" year "2007" manufacturer "Amuzy Corporation" desc "Docchi Fighter" devices ())
(name "dockman" year "1982" manufacturer "Taito Corporation" desc "Dock Man (set 1)" devices ())
(name "dockmanb" year "1982" manufacturer "Taito Corporation" desc "Dock Man (set 2)" devices ())
(name "dockmanc" year "1982" manufacturer "Taito Corporation" desc "Dock Man (set 3)" devices ())
(name "dodgecty" year "1988" manufacturer "Merit" desc "Dodge City (9131-02, U9-2T)" devices ())
(name "dodgectya" year "1988" manufacturer "Merit" desc "Dodge City (9131-02, U9-2B)" devices ())
(name "dodgectyba" year "1988" manufacturer "Merit" desc "Dodge City (2131-82, U5-0D)" devices ())
(name "dodgectybb" year "1989" manufacturer "Merit" desc "Dodge City (2131-82, U5-50)" devices ())
(name "dodgectybc" year "1989" manufacturer "Merit" desc "Dodge City (2131-82, U5-0 GT)" devices ())
(name "dodgem" year "1979" manufacturer "Zaccaria" desc "Dodgem" devices ())
(name "dodgeman" year "1983" manufacturer "Omori Electric Co., Ltd." desc "Dodge Man" devices ())
(name "dodghero" year "1997" manufacturer "Sigma" desc "Minna Atsumare! Dodge Hero" devices ())
(name "dodo" year "198?" manufacturer "GTAC" desc "Do-Do" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "dogfgt" year "1984" manufacturer "Technos Japan" desc "Acrobatic Dog-Fight" devices ())
(name "dogfgtj" year "1984" manufacturer "Technos Japan" desc "But-ten Ohara's Suit-Cha Luck-a Dog-Fight (Japan)" devices ())
(name "dogfgtu" year "1985" manufacturer "Technos Japan (Data East USA, Inc. license)" desc "Acrobatic Dog-Fight (USA)" devices ())
(name "dogfight" year "1983" manufacturer "Orca / Thunderbolt" desc "Dog Fight (Thunderbolt)" devices ())
(name "dogfightp" year "1983" manufacturer "Orca" desc "Dog Fight (Orca, prototype)" devices ())
(name "dogosokb" year "1986" manufacturer "bootleg" desc "Dogou Souken (Joystick hack bootleg)" devices ())
(name "dogosoke" year "1986" manufacturer "SNK" desc "Dogou Souken" devices ())
(name "dogpatch" year "1977" manufacturer "Midway" desc "Dog Patch" devices ())
(name "dogstdx" year "2002" manufacturer "Konami" desc "dogstation Deluxe" devices ())
(name "dogyuun" year "1992" manufacturer "Toaplan" desc "Dogyuun" devices ())
(name "dogyuuna" year "1992" manufacturer "Toaplan" desc "Dogyuun (older set)" devices ())
(name "dogyuunb" year "1992" manufacturer "Toaplan" desc "Dogyuun (oldest set)" devices ())
(name "dogyuunt" year "1992" manufacturer "Toaplan" desc "Dogyuun (10/9/1992 location test)" devices ())
(name "dogyuunto" year "1992" manufacturer "Toaplan" desc "Dogyuun (8/25/1992 location test)" devices ())
(name "dokaben" year "1989" manufacturer "Capcom" desc "Dokaben (Japan)" devices ())
(name "dokaben2" year "1989" manufacturer "Capcom" desc "Dokaben 2 (Japan)" devices ())
(name "dokidoki" year "1985" manufacturer "Sega" desc "Doki Doki Penguin Land" devices ())
(name "dokodemo" year "2006" manufacturer "Sony / Capcom" desc "Doko Demo Issho: Toro's Fishing (Ver.1.00, 2006/06/07)" devices ((name "harddisk" briefname "hard" )))
(name "dokyusei" year "1995" manufacturer "Make Software / Elf / Media Trading" desc "Mahjong Doukyuusei" devices ())
(name "dokyusp" year "1995" manufacturer "Make Software / Elf / Media Trading" desc "Mahjong Doukyuusei Special" devices ())
(name "dollyptn" year "1979" manufacturer "Bally" desc "Dolly Parton" devices ())
(name "dolmen" year "1995" manufacturer "Afega" desc "Dolmen" devices ())
(name "dolmenk" year "1995" manufacturer "Afega" desc "Goindol (Afega)" devices ())
(name "dolphin" year "2003" manufacturer "Sammy" desc "Dolphin Blue" devices ())
(name "dolphinp" year "2002?" manufacturer "Novotech" desc "Dolphin's Pearl (set 1)" devices ())
(name "dolphntr" year "1997" manufacturer "Aristocrat" desc "Dolphin Treasure (0200424V, NSW/ACT)" devices ())
(name "dolphntra" year "1997" manufacturer "Aristocrat" desc "Dolphin Treasure (0100424V, NSW/ACT)" devices ())
(name "dolphntrb" year "1996" manufacturer "Aristocrat" desc "Dolphin Treasure (0100388V, NSW/ACT)" devices ())
(name "dolphntrce" year "1999" manufacturer "Aristocrat" desc "Dolphin Treasure - Cash Express (AHG1607, US)" devices ())
(name "dolphntrcea" year "1999" manufacturer "Aristocrat" desc "Dolphin Treasure - Cash Express (AHG1606, US)" devices ())
(name "dolphntrceb" year "1999" manufacturer "Aristocrat" desc "Dolphin Treasure - Cash Express (AHG1519, US)" devices ())
(name "dolphntrq" year "2000" manufacturer "Aristocrat" desc "Dolphin Treasure (0101250V, Queensland)" devices ())
(name "dolphntru" year "1996" manufacturer "Aristocrat" desc "Dolphin Treasure (FHG4077-02, US)" devices ())
(name "doltra6" year "2004" manufacturer "Aristocrat" desc "Dolphin Treasure (10177911, ASP)" devices ())
(name "doltra6nz" year "2004" manufacturer "Aristocrat" desc "Dolphin Treasure (20265311, New Zealand)" devices ())
(name "dombikec" year "2008" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Bike Concept (Domyos Interactive System)" devices ())
(name "domdance" year "2007" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Fitness Dance (Domyos Interactive System)" devices ())
(name "domfitad" year "2008" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Fitness Adventure (Domyos Interactive System)" devices ())
(name "domfitch" year "2008" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Fitness Challenge (Domyos Interactive System)" devices ())
(name "domfitex" year "2008" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Fitness Exercises (Domyos Interactive System)" devices ())
(name "domino" year "1982" manufacturer "Bally Midway" desc "Domino Man (set 1)" devices ())
(name "domino2" year "19??" manufacturer "Seeben (Belgium)" desc "Domino II (Bingo)" devices ())
(name "dominoa" year "1982" manufacturer "Bally Midway" desc "Domino Man (set 2)" devices ())
(name "dominob" year "1996" manufacturer "Wonwoo Systems" desc "Domino Block" devices ())
(name "dominobv2" year "1996" manufacturer "Wonwoo Systems" desc "Domino Block ver.2" devices ())
(name "dominos" year "1977" manufacturer "Atari" desc "Dominos" devices ())
(name "dominos4" year "1977" manufacturer "Atari" desc "Dominos 4 (Cocktail)" devices ())
(name "dommy" year "1983" manufacturer "Technos Japan" desc "Dommy" devices ())
(name "domstepc" year "2007" manufacturer "Decathlon / SSD Company LTD" desc "Domyos Step Concept (Domyos Interactive System)" devices ())
(name "doncdoon" year "2003" manufacturer "Aruze" desc "Hanabi de Doon! - Don-chan Puzzle" devices ())
(name "dondenmj" year "1986" manufacturer "Dyna Electronics" desc "Don Den Mahjong (Japan)" devices ())
(name "dondokod" year "1989" manufacturer "Taito Corporation Japan" desc "Don Doko Don (World, rev 1)" devices ())
(name "dondokodj" year "1989" manufacturer "Taito Corporation" desc "Don Doko Don (Japan, rev 1)" devices ())
(name "dondokodu" year "1989" manufacturer "Taito America Corporation" desc "Don Doko Don (US, rev 1)" devices ())
(name "donghaer" year "2001" manufacturer "Danbi" desc "Donggul Donggul Haerong" devices ())
(name "donpachi" year "1995" manufacturer "Cave (Atlus license)" desc "DonPachi (US)" devices ())
(name "donpachihk" year "1995" manufacturer "Cave (Atlus license)" desc "DonPachi (Hong Kong)" devices ())
(name "donpachij" year "1995" manufacturer "Cave (Atlus license)" desc "DonPachi (Japan)" devices ())
(name "donpachijs" year "1995" manufacturer "Cave (Atlus license)" desc "DonPachi (Japan, Satsuei version)" devices ())
(name "donpachikr" year "1995" manufacturer "Cave (Atlus license)" desc "DonPachi (Korea)" devices ())
(name "donpepito" year "199?" manufacturer "Gaelco" desc "Hola Don Pepito" devices ())
(name "doodlejmp" year "2013" manufacturer "ICE / Raw Thrills (Lima Sky license)" desc "Doodle Jump Arcade (v1.16)" devices ())
(name "dorachan" year "1980" manufacturer "Alpha Denshi Co. / Craul Denshi" desc "Dora-chan (Japan)" devices ())
(name "doraemon" year "1993?" manufacturer "Sunsoft / Epoch" desc "Doraemon no Eawase Montage (prototype)" devices ())
(name "doraglob" year "2007" manufacturer "VTech" desc "Dora the Explorer - Dora TV Adventure Globe" devices ())
(name "doraglobf" year "2007" manufacturer "VTech" desc "Dora the Explorer - Dora TV Globe-Trotter (France)" devices ())
(name "doraglobg" year "2007" manufacturer "VTech" desc "Dora the Explorer - Doras Abenteuer-Globus (Germany)" devices ())
(name "dorapdc" year "2013" manufacturer "Conny / VideoJet" desc "Dora l'exploratrice - Pocket Dream Console (VideoJet, France)" devices ())
(name "doraphon" year "2006" manufacturer "VTech" desc "Dora the Explorer - Dora TV Explorer Phone / Boots's Special Day (US)" devices ())
(name "doraphonf" year "2006" manufacturer "VTech" desc "Dora the Explorer - Dora TV Explorer Phone / L'anniversaire de Babouche (France)" devices ())
(name "dorodon" year "1982" manufacturer "UPL (Falcon license?)" desc "Dorodon (set 1)" devices ())
(name "dorodon2" year "1982" manufacturer "UPL (Falcon license?)" desc "Dorodon (set 2)" devices ())
(name "dorunrun" year "1984" manufacturer "Universal" desc "Do! Run Run (set 1)" devices ())
(name "dorunrun2" year "1984" manufacturer "Universal" desc "Do! Run Run (set 2)" devices ())
(name "dorunrunc" year "1984" manufacturer "Universal" desc "Do! Run Run (Do's Castle hardware, set 1)" devices ())
(name "dorunrunca" year "1984" manufacturer "Universal" desc "Do! Run Run (Do's Castle hardware, set 2)" devices ())
(name "dotrikun" year "1990" manufacturer "Sega" desc "Dottori Kun (new version)" devices ())
(name "dotrikun2" year "1990" manufacturer "Sega" desc "Dottori Kun (old version)" devices ())
(name "dotriman" year "2016" manufacturer "hack (Chris Covell)" desc "Dottori-Man Jr." devices ())
(name "dotron" year "1983" manufacturer "Bally Midway" desc "Discs of Tron (Upright, 10/4/83)" devices ())
(name "dotrona" year "1983" manufacturer "Bally Midway" desc "Discs of Tron (Upright, 9/22/83)" devices ())
(name "dotrone" year "1983" manufacturer "Bally Midway" desc "Discs of Tron (Environmental)" devices ())
(name "doubledr" year "1995" manufacturer "Technos Japan" desc "Double Dragon (Neo-Geo)" devices ((name "memcard" briefname "memc" ) ()))
(name "douni" year "1983" manufacturer "Universal" desc "Mr. Do vs. Unicorns" devices ())
(name "dowild" year "1984" manufacturer "Universal" desc "Mr. Do's Wild Ride" devices ())
(name "downhill" year "1997" manufacturer "Namco" desc "Downhill Bikers (World, DH2 Ver. A)" devices ())
(name "downhillu" year "1997" manufacturer "Namco" desc "Downhill Bikers (US, DH3 Ver. A)" devices ())
(name "downtown" year "1989" manufacturer "Seta" desc "DownTown / Mokugeki (set 1)" devices ())
(name "downtown2" year "1989" manufacturer "Seta" desc "DownTown / Mokugeki (set 2)" devices ())
(name "downtownj" year "1989" manufacturer "Seta" desc "DownTown / Mokugeki (joystick hack)" devices ())
(name "downtownp" year "1989" manufacturer "Seta" desc "DownTown / Mokugeki (prototype)" devices ())
(name "doyousud" year "2005" manufacturer "SDW Games" desc "Sudoku: Do You Sudoku?" devices ())
(name "dpatrol" year "1977" manufacturer "Project Support Engineering" desc "Desert Patrol" devices ())
(name "dpatrola" year "1977" manufacturer "Project Support Engineering (Telegames license)" desc "Desert Patrol (set 2)" devices ())
(name "dpb7000" year "1981" manufacturer "Quantel" desc "DPB-7000" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "dpc100" year "1984" manufacturer "Daewoo" desc "IQ-1000 DPC-100 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "dpc180" year "1984" manufacturer "Daewoo" desc "IQ-1000 DPC-180 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "dpc200" year "1984" manufacturer "Daewoo" desc "IQ-1000 DPC-200 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "dpc200e" year "1985" manufacturer "Daewoo" desc "DPC-200E (MSX1, French)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "dpcaxp150" year "1993" manufacturer "DEC" desc "DECpc AXP 150" devices ())
(name "dphh8213" year "201?" manufacturer "<unknown>" desc "Digital Pocket Hand Held System 20-in-1 - Model 8213" devices ())
(name "dphh8630" year "201?" manufacturer "<unknown>" desc "Digital Pocket Hand Held System 230-in-1 - Model 8630 / Model 8633" devices ())
(name "dphl" year "1983" manufacturer "M.Kramer Manufacturing." desc "Draw Poker HI-LO (M.Kramer)" devices ())
(name "dphla" year "1983" manufacturer "<unknown>" desc "Draw Poker HI-LO (Alt)" devices ())
(name "dphljp" year "1983" manufacturer "<unknown>" desc "Draw Poker HI-LO (Japanese)" devices ())
(name "dphlunka" year "198?" manufacturer "SMS Manufacturing Corp." desc "Draw Poker HI-LO (unknown, rev 1)" devices ())
(name "dphlunkb" year "198?" manufacturer "SMS Manufacturing Corp." desc "Draw Poker HI-LO (unknown, rev 2)" devices ())
(name "dplay" year "1977" manufacturer "Midway" desc "Double Play" devices ())
(name "dpoker" year "1985" manufacturer "Bally" desc "Draw Poker (Bally, 03-20)" devices ())
(name "dps1" year "1979" manufacturer "Ithaca InterSystems" desc "DPS-1" devices ((name "floppydisk" briefname "flop" )))
(name "dpsv55" year "1998" manufacturer "Sony" desc "DPS-V55 Multi-Effect Processor" devices ())
(name "dquizgo" year "1998" manufacturer "SemiCom / AceVer" desc "Date Quiz Go Go (Korea)" devices ())
(name "dquizgo2" year "2000" manufacturer "SemiCom" desc "Date Quiz Go Go Episode 2" devices ())
(name "drac_l1" year "1993" manufacturer "Williams" desc "Bram Stoker's Dracula (L-1)" devices ())
(name "drac_p11" year "1993" manufacturer "Williams" desc "Bram Stoker's Dracula (P-11)" devices ())
(name "draco" year "1981" manufacturer "Cidelsa" desc "Draco" devices ())
(name "dracula" year "1979" manufacturer "Stern" desc "Dracula (Pinball)" devices ())
(name "dragchrn" year "2002" manufacturer "Namco" desc "Dragon Chronicles (DC001 Ver. A)" devices ())
(name "dragfist" year "1982" manufacturer "Stern" desc "Dragonfist" devices ())
(name "dragnblz" year "2000" manufacturer "Psikyo" desc "Dragon Blaze" devices ())
(name "dragnfly" year "200?" manufacturer "Konami" desc "Dragonfly (Konami Endeavour, Russia)" devices ())
(name "dragngun" year "1993" manufacturer "Data East Corporation" desc "Dragon Gun (US)" devices ())
(name "dragngunj" year "1993" manufacturer "Data East Corporation" desc "Dragon Gun (Japan)" devices ())
(name "dragntr" year "2003" manufacturer "Sega" desc "Dragon Treasure (Rev B) (GDS-0030B)" devices ((name "cdrom" briefname "cdrm" )))
(name "dragntr2" year "2004" manufacturer "Sega" desc "Dragon Treasure 2 (Rev A) (GDS-0037A)" devices ((name "cdrom" briefname "cdrm" )))
(name "dragntr3" year "2005" manufacturer "Sega" desc "Dragon Treasure 3 (Rev A) (GDS-0041A)" devices ((name "cdrom" briefname "cdrm" )))
(name "dragntra" year "2003" manufacturer "Sega" desc "Dragon Treasure (Rev A) (GDS-0030A)" devices ((name "cdrom" briefname "cdrm" )))
(name "dragon" year "1978" manufacturer "Gottlieb" desc "Dragon" devices ())
(name "dragon200" year "1985" manufacturer "Eurohard S.A." desc "Dragon 200" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dragon200e" year "1985" manufacturer "Eurohard S.A." desc "Dragon 200-E" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dragon32" year "1982" manufacturer "Dragon Data Ltd" desc "Dragon 32" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dragon64" year "1983" manufacturer "Dragon Data Ltd" desc "Dragon 64" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dragon64h" year "19??" manufacturer "Dragon Data Ltd" desc "Dragon 64 (HD6309E CPU)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dragonsh" year "1997" manufacturer "Face" desc "Dragon's Heaven (development board)" devices ((name "memcard" briefname "memc" ) ()))
(name "dragoona" year "1995" manufacturer "Konami" desc "Dragoon Might (ver AAB)" devices ())
(name "dragoonj" year "1995" manufacturer "Konami" desc "Dragoon Might (ver JAA)" devices ())
(name "dragrace" year "1977" manufacturer "Atari (Kee Games)" desc "Drag Race" devices ())
(name "dragsphr" year "199?" manufacturer "Konami" desc "Dragon Sphere" devices ())
(name "drail" year "1995" manufacturer "NTC / NMK" desc "Dream Rail" devices ())
(name "draillov" year "1998" manufacturer "NTC / NMK" desc "Dream Rail Lovely" devices ())
(name "drakor" year "1980" manufacturer "Taito do Brasil" desc "Drakor" devices ())
(name "drakton" year "1984" manufacturer "Epos Corporation" desc "Drakton (DK conversion)" devices ())
(name "draw88pkr" year "1988" manufacturer "BTE, Inc." desc "Draw 88 Poker (V2.0)" devices ())
(name "drbyocwa" year "2001" manufacturer "Sega" desc "Derby Owners Club World Edition (Rev A)" devices ())
(name "drbyocwb" year "2001" manufacturer "Sega" desc "Derby Owners Club World Edition (Rev B)" devices ())
(name "drbyocwc" year "2001" manufacturer "Sega" desc "Derby Owners Club World Edition (Rev C)" devices ())
(name "drbyocwt" year "2001" manufacturer "Sega" desc "Derby Owners Club World Edition (Rev T)" devices ())
(name "drdmania" year "1994" manufacturer "Sleic" desc "Dardomania (v2.1)" devices ())
(name "drdunk" year "1979" manufacturer "Kmart Corporation" desc "Dr. Dunk" devices ())
(name "dreambal" year "1993" manufacturer "NDK / Data East" desc "Dream Ball (Japan V2.4)" devices ())
(name "dreamlif" year "2005" manufacturer "Hasbro" desc "Dream Life (Version 1.0, Feb 07 2005)" devices ())
(name "dreamlss" year "2007" manufacturer "Hasbro / Tiger Electronics" desc "Dream Life Superstar (Version 0.3, Mar 16 2007)" devices ())
(name "dreamwld" year "2000" manufacturer "SemiCom" desc "Dream World" devices ())
(name "dreamwv" year "1997" manufacturer "Aristocrat" desc "Dream Weaver (0200586V, NSW/ACT)" devices ())
(name "dremshpr" year "1982" manufacturer "Sanritsu" desc "Dream Shopper" devices ())
(name "drgdance" year "2008" manufacturer "Success" desc "Dragon Dance (V1.02J)" devices ())
(name "drgnbowl" year "1992" manufacturer "Nics" desc "Dragon Bowl (set 1, encrypted program)" devices ())
(name "drgnbowla" year "1992" manufacturer "Nics" desc "Dragon Bowl (set 2, unencrypted program)" devices ())
(name "drgnbstr" year "1984" manufacturer "Namco" desc "Dragon Buster" devices ())
(name "drgneye" year "1997" manufacturer "Aristocrat" desc "Dragon's Eye (0100521V, NSW/ACT)" devices ())
(name "drgninja" year "1988" manufacturer "Data East Corporation" desc "Dragonninja (Japan, revision 1)" devices ())
(name "drgninjab" year "1988" manufacturer "bootleg" desc "Dragonninja (bootleg)" devices ())
(name "drgninjab2" year "1988" manufacturer "bootleg" desc "Dragonninja (bootleg with 68705)" devices ())
(name "drgninjam" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Dragon Ninja (Modular System)" devices ())
(name "drgnlord" year "2004" manufacturer "Aristocrat" desc "Dragon Lord (10173511, NSW/ACT)" devices ())
(name "drgnmgic" year "2006" manufacturer "Aristocrat" desc "Dragon Magic (2J015711, NSW/ACT)" devices ())
(name "drgnmst" year "1994" manufacturer "Unico" desc "Dragon Master (set 1)" devices ())
(name "drgnmst2" year "1994" manufacturer "Unico" desc "Dragon Master (set 2)" devices ())
(name "drgnunit" year "1989" manufacturer "Athena / Seta" desc "Dragon Unit / Castle of Dragon" devices ())
(name "drgnwrld" year "1997" manufacturer "IGS" desc "Dragon World (World, V040O)" devices ())
(name "drgnwrldv10c" year "1995" manufacturer "IGS" desc "Zhongguo Long (China, V010C)" devices ())
(name "drgnwrldv11h" year "1995" manufacturer "IGS" desc "Dung Fong Zi Zyu (Hong Kong, V011H, set 1)" devices ())
(name "drgnwrldv11ha" year "1995" manufacturer "IGS" desc "Dung Fong Zi Zyu (Hong Kong, V011H, set 2)" devices ())
(name "drgnwrldv20j" year "1995" manufacturer "IGS / Alta" desc "Chuugokuryuu (Japan, V020J)" devices ())
(name "drgnwrldv21" year "1995" manufacturer "IGS" desc "Dragon World (World, V021O)" devices ())
(name "drgnwrldv21j" year "1995" manufacturer "IGS / Alta" desc "Chuugokuryuu (Japan, V021J)" devices ())
(name "drgnwrldv30" year "1995" manufacturer "IGS" desc "Dragon World (World, V030O)" devices ())
(name "drgnwrldv40k" year "1995" manufacturer "IGS" desc "Dragon World (Korea, V040K)" devices ())
(name "drgpunch" year "1989" manufacturer "Dynax" desc "Dragon Punch (Japan)" devices ())
(name "drgqst" year "2003" manufacturer "Square Enix / SSD Company LTD" desc "Kenshin Dragon Quest: Yomigaerishi Densetsu no Ken" devices ())
(name "drgw2" year "1997" manufacturer "IGS" desc "Dragon World II (ver. 110X, Export)" devices ())
(name "drgw2100c" year "1997" manufacturer "IGS" desc "Zhongguo Long II (ver. 100C, China)" devices ())
(name "drgw2100hk" year "1997" manufacturer "IGS" desc "Dungfong Zi Zyu II (ver. 100H, Hong Kong)" devices ())
(name "drgw2100j" year "1997" manufacturer "IGS (Alta license)" desc "Chuugokuryuu II (ver. 100J, Japan)" devices ())
(name "drgw2100x" year "1997" manufacturer "IGS" desc "Dragon World II (ver. 100X, Export)" devices ())
(name "drgw2101c" year "1997" manufacturer "IGS" desc "Zhongguo Long II (ver. 101C, China)" devices ())
(name "drgw3" year "1998" manufacturer "IGS" desc "Dragon World 3 / Zhongguo Long 3 / Dungfong Zi Zyu 3 / Chuugokuryuu 3 Special (ver. 106)" devices ())
(name "drgw3100" year "1998" manufacturer "IGS" desc "Chuugokuryuu 3 Special (Japan, ver. 100)" devices ())
(name "drgw3103" year "1998" manufacturer "IGS" desc "Chuugokuryuu 3 Special (Japan, ver. 103)" devices ())
(name "drgw3105" year "1998" manufacturer "IGS" desc "Dragon World 3 / Zhongguo Long 3 / Dungfong Zi Zyu 3 / Chuugokuryuu 3 Special (ver. 105)" devices ())
(name "drhl" year "1986" manufacturer "Drews Inc." desc "Drews Revenge (v.2.89, set 1)" devices ())
(name "drhla" year "1986" manufacturer "Drews Inc." desc "Drews Revenge (v.2.89, set 2)" devices ())
(name "dribling" year "1983" manufacturer "Model Racing" desc "Dribbling (set 1)" devices ())
(name "driblinga" year "1983" manufacturer "Model Racing" desc "Dribbling (set 2)" devices ())
(name "driblingam" year "1983" manufacturer "Model Racing (Automave license)" desc "Dribbling (Automave)" devices ())
(name "driblingo" year "1983" manufacturer "Model Racing (Olympia license)" desc "Dribbling (Olympia)" devices ())
(name "driblingvm" year "1983" manufacturer "bootleg (Videomac)" desc "Dribbling (Videomac bootleg, Brazil)" devices ())
(name "drifto94" year "1994" manufacturer "Visco" desc "Drift Out '94 - The Hard Order (Japan)" devices ())
(name "driftout" year "1991" manufacturer "Visco" desc "Drift Out (Europe)" devices ())
(name "driftoutct" year "1991" manufacturer "Visco" desc "Drift Out (Europe, Cameltry conversion)" devices ())
(name "driftoutj" year "1991" manufacturer "Visco" desc "Drift Out (Japan)" devices ())
(name "drivedge" year "1994" manufacturer "Strata / Incredible Technologies" desc "Driver's Edge (v1.6)" devices ())
(name "driveout" year "1991" manufacturer "bootleg" desc "Drive Out (bootleg)" devices ())
(name "driveyes" year "1992" manufacturer "Namco" desc "Driver's Eyes (Japan) (1992/01/10, Main Ver 2.1, Sub Ver 1.1)" devices ())
(name "drivfrcb" year "1985" manufacturer "bootleg (Elsys Software)" desc "Driving Force (Galaxian conversion bootleg)" devices ())
(name "drivfrcg" year "1984" manufacturer "Shinkai Inc. (Magic Electronics USA license)" desc "Driving Force (Galaxian conversion)" devices ())
(name "drivfrcp" year "1984" manufacturer "Shinkai Inc. (Magic Electronics Inc. license)" desc "Driving Force (Pac-Man conversion)" devices ())
(name "drivfrcsg" year "1985" manufacturer "Shinkai Inc. (Seatongrove UK, Ltd. license)" desc "Driving Force (Galaxian conversion, Seatongrove UK, E-0010)" devices ())
(name "drivfrcsga" year "1985" manufacturer "Shinkai Inc. (Seatongrove UK, Ltd. license)" desc "Driving Force (Galaxian conversion, Seatongrove UK, E-0237)" devices ())
(name "drivfrct" year "1984" manufacturer "bootleg (EMT Germany)" desc "Top Racer (bootleg of Driving Force)" devices ())
(name "drkseal" year "1999" manufacturer "bootleg (Vegas)" desc "Dark Seal (8-liner)" devices ())
(name "drktnjr" year "1984" manufacturer "Epos Corporation" desc "Drakton (DKJr conversion)" devices ())
(name "drmario" year "1990" manufacturer "Nintendo" desc "Vs. Dr. Mario" devices ())
(name "drmcatch" year "2003" manufacturer "Aristocrat" desc "Dream Catcher (10126721, NSW/ACT)" devices ())
(name "drmcatcha" year "2004" manufacturer "Aristocrat" desc "Dream Catcher (10172921, ASP)" devices ())
(name "drmicro" year "1983" manufacturer "Sanritsu" desc "Dr. Micro" devices ())
(name "drmmake" year "2002" manufacturer "Atronic" desc "Dream Maker (Russia) (Atronic)" devices ())
(name "drmn" year "1999" manufacturer "Konami" desc "DrumMania (GQ881 VER. JAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn10m" year "2004" manufacturer "Konami" desc "DrumMania 10th Mix (G*D40 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn2m" year "1999" manufacturer "Konami" desc "DrumMania 2nd Mix (GE912 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn2mpu" year "1999" manufacturer "Konami" desc "DrumMania 2nd Mix Session Power Up Kit (GE912 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn3m" year "2000" manufacturer "Konami" desc "DrumMania 3rd Mix (G*A23 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn4m" year "2001" manufacturer "Konami" desc "DrumMania 4th Mix (G*A25 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn5m" year "2001" manufacturer "Konami" desc "DrumMania 5th Mix (G*B05 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn6m" year "2001" manufacturer "Konami" desc "DrumMania 6th Mix (G*B16 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn7m" year "2002" manufacturer "Konami" desc "DrumMania 7th Mix power-up ver. (G*C07 VER. JBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn7ma" year "2002" manufacturer "Konami" desc "DrumMania 7th Mix (G*C07 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn8m" year "2003" manufacturer "Konami" desc "DrumMania 8th Mix (G*C38 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn9m" year "2003" manufacturer "Konami" desc "DrumMania 9th Mix (G*D09 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmn9ma" year "2003" manufacturer "Konami" desc "DrumMania 9th Mix (G*D09 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmna" year "1999" manufacturer "Konami" desc "DrumMania (GQ881 VER. JAD ALT CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmnu" year "1999" manufacturer "Konami" desc "DrumMania (GQ881 VER. UAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "drmnv2a" year "2006" manufacturer "Konami" desc "DrumMania V2 (F02:A:A:A:2006011201)" devices ())
(name "drmnv2aa" year "2005" manufacturer "Konami" desc "DrumMania V2 (F02:A:A:A:2005112800)" devices ())
(name "drmnv2ab" year "2005" manufacturer "Konami" desc "DrumMania V2 (F02:A:A:A:2005101600)" devices ())
(name "drmnv2j" year "2006" manufacturer "Konami" desc "DrumMania V2 (F02:J:A:A:2006011201)" devices ())
(name "drmnv2ja" year "2005" manufacturer "Konami" desc "DrumMania V2 (F02:J:A:A:2005112800)" devices ())
(name "drmnv2jb" year "2005" manufacturer "Konami" desc "DrumMania V2 (F02:J:A:A:2005101600)" devices ())
(name "drmnv3a" year "2006" manufacturer "Konami" desc "DrumMania V3 (F32:A:A:A:2006101800)" devices ())
(name "drmnv3aa" year "2006" manufacturer "Konami" desc "DrumMania V3 (F32:A:A:A:2006072600)" devices ())
(name "drmnv3j" year "2006" manufacturer "Konami" desc "DrumMania V3 (F32:J:A:A:2006101800)" devices ())
(name "drmnv3ja" year "2006" manufacturer "Konami" desc "DrumMania V3 (F32:J:A:A:2006072600)" devices ())
(name "drmnva" year "2005" manufacturer "Konami" desc "DrumMania V (E02:A:A:A:2005050200)" devices ())
(name "drmnvj" year "2005" manufacturer "Konami" desc "DrumMania V (E02:J:A:A:2005050200)" devices ())
(name "drmred" year "2008" manufacturer "Aristocrat" desc "Dream of the Red Chamber (10273811, NSW/ACT)" devices ())
(name "drpcjr" year "1996" manufacturer "Bung" desc "Doctor PC Jr" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "drtomy" year "1993" manufacturer "Playmark" desc "Dr. Tomy" devices ())
(name "drtoppel" year "1987" manufacturer "Kaneko / Taito Corporation Japan" desc "Dr. Toppel's Adventure (World)" devices ())
(name "drtoppelj" year "1987" manufacturer "Kaneko / Taito Corporation" desc "Dr. Toppel's Tankentai (Japan)" devices ())
(name "drtoppelu" year "1987" manufacturer "Kaneko / Taito America Corporation" desc "Dr. Toppel's Adventure (US)" devices ())
(name "drumsta" year "1995" manufacturer "Novation" desc "Drum Station" devices ())
(name "drw80pk2" year "1983" manufacturer "IGT - International Game Technology" desc "Draw 80 Poker - Minn" devices ())
(name "drw80pkr" year "1982" manufacturer "IGT - International Game Technology" desc "Draw 80 Poker" devices ())
(name "drwrt100" year "199?" manufacturer "NTS" desc "DreamWriter T100" devices ())
(name "drwrt200" year "199?" manufacturer "NTS" desc "DreamWriter T200" devices ())
(name "drwrt400" year "1996" manufacturer "NTS" desc "DreamWriter T400" devices ())
(name "drwrt450" year "199?" manufacturer "NTS" desc "DreamWriter 450" devices ())
(name "ds2" year "2000" manufacturer "Citizen" desc "DataSlim 2" devices ((name "quickload" briefname "quik" )))
(name "ds2100" year "1989" manufacturer "Digital Equipment Corporation" desc "DECstation 2100" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "ds3100" year "1989" manufacturer "Digital Equipment Corporation" desc "DECstation 3100" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "ds348" year "1998" manufacturer "Sigtron Daruma" desc "Print Plus DS348 - Dot matrix printer" devices ())
(name "ds5k133" year "1992" manufacturer "Digital Equipment Corporation" desc "DECstation 5000/133" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "ds8" year "1986" manufacturer "Korg" desc "DS-8 Digital Synthesizer" devices ((name "cartridge" briefname "cart" )))
(name "dsaber" year "1990" manufacturer "Namco" desc "Dragon Saber (World, DO2)" devices ())
(name "dsabera" year "1990" manufacturer "Namco" desc "Dragon Saber (World, older?)" devices ())
(name "dsaberj" year "1990" manufacturer "Namco" desc "Dragon Saber (Japan, Rev B)" devices ())
(name "dsb46" year "198?" manufacturer "Davidge" desc "DSB-4/6" devices ())
(name "dsem" year "2000" manufacturer "Konami" desc "Dancing Stage Euro Mix (G*936 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsem2" year "2002" manufacturer "Konami" desc "Dancing Stage Euro Mix 2 (G*C23 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsfdct" year "1999" manufacturer "Konami" desc "Dancing Stage featuring Dreams Come True (GC910 VER. JCA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsfdcta" year "1999" manufacturer "Konami" desc "Dancing Stage featuring Dreams Come True (GC910 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsfdr" year "2000" manufacturer "Konami" desc "Dancing Stage Featuring Disney's Rave (GCA37JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsftkd" year "1999" manufacturer "Konami" desc "Dancing Stage featuring TRUE KiSS DESTiNATiON (G*884 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dsgnwrld" year "2005" manufacturer "Hasbro" desc "Designer's World (Version 1.0, Dec 20 2005)" devices ())
(name "dslayrr" year "2005" manufacturer "Astro" desc "Dragon Slayer (Russia, v15.B, 2005/08/10)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "dslayrra" year "2006" manufacturer "Astro" desc "Dragon Slayer (Russia, v16.B, 2005/11/10)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "dsmbl" year "2008" manufacturer "Cave (AMI license)" desc "Deathsmiles MegaBlack Label (2008/10/06 MEGABLACK LABEL VER)" devices ())
(name "dsoccr94" year "1994" manufacturer "Irem (Data East Corporation license)" desc "Dream Soccer '94 (World, M107 hardware)" devices ())
(name "dsoccr94j" year "1994" manufacturer "Irem" desc "Dream Soccer '94 (Japan, M92 hardware)" devices ())
(name "dsoccr94k" year "1994" manufacturer "Irem (Data East Corporation license)" desc "Dream Soccer '94 (Korea, M107 hardware)" devices ())
(name "dsp3000" year "1988" manufacturer "Apollo" desc "Apollo DSP3000" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dsp3500" year "1989" manufacturer "Apollo" desc "Apollo DSP3500" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dsp5500" year "1991" manufacturer "Apollo" desc "Apollo DSP5500" devices ((name "node_id" briefname "ni" ) (name "winchester1" briefname "disk1" ) (name "winchester2" briefname "disk2" ) (name "floppydisk" briefname "flop" ) (name "ctape" briefname "ct" )))
(name "dspirit" year "1987" manufacturer "Namco" desc "Dragon Spirit (new version (DS3))" devices ())
(name "dspirit1" year "1987" manufacturer "Namco" desc "Dragon Spirit (old version (DS1))" devices ())
(name "dspirit2" year "1987" manufacturer "Namco" desc "Dragon Spirit (DS2)" devices ())
(name "dsrtwars" year "1981" manufacturer "bootleg (Andra S.A.)" desc "Desert Wars (bootleg of Battle Zone)" devices ())
(name "dss1" year "1986" manufacturer "Korg" desc "DSS-1 Digital Sampling Synthesizer" devices ((name "floppydisk" briefname "flop" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "dssmsrk" year "1987" manufacturer "Korg / Sound Logic" desc "DSS-1 Digital Sampling Synthesizer (Memory/SCSI Retrofit)" devices ((name "floppydisk" briefname "flop" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "dstage" year "1999" manufacturer "Konami" desc "Dancing Stage - Internet Ranking Ver (GC845 VER. EBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dstagea" year "1999" manufacturer "Konami" desc "Dancing Stage (GN845 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "dstagesn" year "2006" manufacturer "Konami" desc "Dancing Stage SuperNOVA (FDH:E:A:A:2006072500)" devices ())
(name "dstagesna" year "2006" manufacturer "Konami" desc "Dancing Stage SuperNOVA (FDH:E:A:A:2006032200)" devices ())
(name "dstbloom" year "1995" manufacturer "Aristocrat" desc "Desert Bloom (0300111V, NSW/ACT)" devices ())
(name "dstblooma" year "1995" manufacturer "Aristocrat" desc "Desert Bloom (0200111V, NSW/ACT)" devices ())
(name "dstgold" year "2005" manufacturer "Aristocrat" desc "Desert Gold (20202311, ASP)" devices ())
(name "dstlk" year "1994" manufacturer "Capcom" desc "Darkstalkers: The Night Warriors (Europe 940705)" devices ())
(name "dstlka" year "1994" manufacturer "Capcom" desc "Darkstalkers: The Night Warriors (Asia 940705)" devices ())
(name "dstlkh" year "1994" manufacturer "Capcom" desc "Darkstalkers: The Night Warriors (Hispanic 940818)" devices ())
(name "dstlku" year "1994" manufacturer "Capcom" desc "Darkstalkers: The Night Warriors (USA 940818)" devices ())
(name "dstlku1d" year "1994" manufacturer "bootleg" desc "Darkstalkers: The Night Warriors (USA 940705 Phoenix Edition) (bootleg)" devices ())
(name "dstlkur1" year "1994" manufacturer "Capcom" desc "Darkstalkers: The Night Warriors (USA 940705)" devices ())
(name "dsys200" year "1988" manufacturer "Dell Computer Corporation" desc "System 200" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "dt386" year "199?" manufacturer "Commodore Business Machines" desc "DT386" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "dt486" year "199?" manufacturer "Commodore Business Machines" desc "DT486" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "dtc" year "1981" manufacturer "Facit" desc "DTC" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "dtc03" year "1985" manufacturer "Digital Equipment Corporation" desc "DECtalk DTC-03" devices ())
(name "dtfamily" year "2001" manufacturer "SemiCom" desc "Diet Family" devices ())
(name "dtkerso" year "198?" manufacturer "DTK Group" desc "PC-XT-Clones with DTK/ERSO-BIOS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "dtoyoken" year "1996" manufacturer "Dynax / Sigma" desc "Mahjong Dai Touyouken (Japan)" devices ())
(name "dtrvwz5" year "1987" manufacturer "Merit" desc "Deluxe Trivia ? Whiz Edition 5 (6221-70, U5-0A)" devices ())
(name "dtrvwz5v" year "1987" manufacturer "Merit" desc "Deluxe Trivia ? Whiz Edition 5 (6221-75, U5-0, Vertical)" devices ())
(name "dturbogt" year "200?" manufacturer "dreamGEAR / JungleTac" desc "Turbo GT 50-in-1" devices ())
(name "dual68" year "1981" manufacturer "Dual Systems Corporation" desc "Dual Systems 68000" devices ())
(name "dualaslt" year "1984" manufacturer "Data East USA" desc "Dual Assault" devices ())
(name "dualgame" year "1995" manufacturer "Labtronix Technologies" desc "Dual Games (prototype)" devices ())
(name "duckhunt" year "1985" manufacturer "Nintendo" desc "Vs. Duck Hunt (set DH3 E)" devices ())
(name "duet16" year "1983" manufacturer "Panafacom (Panasonic/Fujitsu)" desc "Duet-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "dumpmtmt" year "1986" manufacturer "Sega" desc "Dump Matsumoto (Japan, 8751 317-0011a)" devices ())
(name "dumpump" year "199?" manufacturer "Doyle & Assoc." desc "Dump The Ump" devices ())
(name "dungdrag" year "1987" manufacturer "Bally" desc "Dungeons & Dragons" devices ())
(name "dungeonm" year "1993" manufacturer "Taito Corporation Japan" desc "Dungeon Magic (Ver 2.1O 1994/02/18)" devices ())
(name "dungeonmu" year "1993" manufacturer "Taito America Corporation" desc "Dungeon Magic (Ver 2.1A 1994/02/18)" devices ())
(name "dunhuang" year "1995" manufacturer "Spirit" desc "Mahjong Dunhuang" devices ())
(name "dunkmnia" year "1995" manufacturer "Namco" desc "Dunk Mania (World, DM2/VER.C)" devices ())
(name "dunkmniajc" year "1995" manufacturer "Namco" desc "Dunk Mania (Japan, DM1/VER.C)" devices ())
(name "dunkshot" year "1987" manufacturer "Sega" desc "Dunk Shot (Rev C, FD1089A 317-0022)" devices ())
(name "dunkshota" year "1987" manufacturer "Sega" desc "Dunk Shot (Rev A, FD1089A 317-0022)" devices ())
(name "dunkshoto" year "1986" manufacturer "Sega" desc "Dunk Shot (FD1089A 317-0022)" devices ())
(name "dunksunk" year "1979" manufacturer "Kmart Corporation" desc "Dunk 'n Sunk" devices ())
(name "dvbslan" year "199?" manufacturer "Datavan" desc "Book-Size LAN station" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "dvisland" year "2006" manufacturer "Amcoe" desc "Devil Island (Version 1.4R CGA)" devices ())
(name "dvislando" year "2006" manufacturer "Amcoe" desc "Devil Island (Version 1.0R CGA)" devices ())
(name "dvk_kcgd" year "1987" manufacturer "USSR" desc "DVK KCGD" devices ((name "bitbanger" briefname "bitb" )))
(name "dvk_ksm" year "1986" manufacturer "USSR" desc "DVK KSM" devices ((name "bitbanger" briefname "bitb" )))
(name "dvlrider" year "1984" manufacturer "Zaccaria" desc "Devil Riders" devices ())
(name "dvlriderf" year "1984" manufacturer "Zaccaria" desc "Devil Riders (French speech)" devices ())
(name "dvlriderg" year "1984" manufacturer "Zaccaria" desc "Devil Riders (German speech)" devices ())
(name "dvlrideri" year "1984" manufacturer "Zaccaria" desc "Devil Riders (Italian speech)" devices ())
(name "dvlsdre" year "1981" manufacturer "Gottlieb" desc "Devil's Dare" devices ())
(name "dvlsdre2" year "1981" manufacturer "Gottlieb" desc "Devil's Dare (Sound Only)" devices ())
(name "dvnimbus" year "201?" manufacturer "<unknown>" desc "DVTech Nimbus 176 in 1" devices ())
(name "dvp1" year "1985" manufacturer "Korg" desc "DVP-1 Digital Voice Processor" devices ())
(name "dw2001" year "2001" manufacturer "IGS" desc "Chuugokuryuu 2001 [Dragon World 2001] (V100 02/21/01 16:05:16, Japan)" devices ())
(name "dw225" year "1992" manufacturer "NTS Computer Systems" desc "DreamWriter 225" devices ((name "printout" briefname "prin" )))
(name "dw8000" year "1985" manufacturer "Korg" desc "DW-8000 Programmable Digital Waveform Synthesizer" devices ())
(name "dw8000ex" year "1985" manufacturer "Korg / Musitronics" desc "DW-8000-EX Programmable Digital Waveform Synthesizer" devices ())
(name "dw_l1" year "1992" manufacturer "Bally" desc "Doctor Who (L-1)" devices ())
(name "dw_l2" year "1992" manufacturer "Bally" desc "Doctor Who (L-2)" devices ())
(name "dw_p5" year "1992" manufacturer "Bally" desc "Doctor Who (P-5)" devices ())
(name "dwarfd" year "1981" manufacturer "Electro-Sport" desc "Draw Poker III / Dwarfs Den (Dwarf Gfx)" devices ())
(name "dwarfda" year "1981" manufacturer "Electro-Sport" desc "Draw Poker III / Dwarfs Den (Card Gfx)" devices ())
(name "dwex" year "2000" manufacturer "IGS" desc "Dragon World 3 EX / Zhongguo Long 3 EX / Dungfong Zi Zyu 3 EX / Chuugokuryuu 3 EX (ver. 100)" devices ())
(name "dwex101cn" year "2001" manufacturer "IGS" desc "Dragon World 3 EX / Zhongguo Long 3 EX / Dungfong Zi Zyu 3 EX / Chuugokuryuu 3 EX (ver. 101CN)" devices ())
(name "dwpc" year "2001" manufacturer "IGS" desc "Zhongguo Long Pretty Chance [Dragon World Pretty Chance] (V110 03/19/02 11:13:16, China)" devices ())
(name "dwpc101j" year "2001" manufacturer "IGS" desc "Chuugokuryuu Pretty Chance [Dragon World Pretty Chance] (V101 09/26/01 10:23:26, Japan)" devices ())
(name "dx100" year "1985" manufacturer "Yamaha" desc "DX100 Digital Programmable Algorithm Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cassette" briefname "cass" )))
(name "dx11" year "1988" manufacturer "Yamaha" desc "DX11 Digital Programmable Algorithm Synthesizer" devices ())
(name "dx64" year "1984" manufacturer "Commodore Business Machines" desc "DX-64 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "dx7" year "1983" manufacturer "Yamaha" desc "DX7 Digital Programmable Algorithm Synthesizer" devices ())
(name "dx9" year "1983" manufacturer "Yamaha" desc "DX9 Digital Programmable Algorithm Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "dxfootb" year "1980" manufacturer "Tiger Electronics" desc "Deluxe Football with Instant Replay" devices ())
(name "dybb99" year "1999" manufacturer "Sega" desc "Dynamite Baseball '99 (Japan, Rev B)" devices ())
(name "dybbnao" year "1998" manufacturer "Sega" desc "Dynamite Baseball NAOMI (Japan)" devices ())
(name "dyger" year "1989" manufacturer "Philko" desc "Dyger (Korea set 1)" devices ())
(name "dygera" year "1989" manufacturer "Philko" desc "Dyger (Korea set 2)" devices ())
(name "dygolf" year "2001" manufacturer "Sega" desc "Virtua Golf / Dynamic Golf (Rev A) (GDS-0009A)" devices ((name "cdrom" briefname "cdrm" )))
(name "dygolfp" year "2001" manufacturer "Sega" desc "Virtua Golf / Dynamic Golf (prototype)" devices ())
(name "dynabb" year "1996" manufacturer "Sega" desc "Dynamite Baseball" devices ())
(name "dynabb97" year "1997" manufacturer "Sega" desc "Dynamite Baseball 97 (Revision A)" devices ())
(name "dynablst" year "1991" manufacturer "Irem (licensed from Hudson Soft)" desc "Dynablaster / Bomber Man" devices ())
(name "dynablstb" year "1992" manufacturer "bootleg (Seitu)" desc "Dynablaster / Bomber Man (bootleg, set 1)" devices ())
(name "dynablstb2" year "1992" manufacturer "bootleg (Seitu)" desc "Dynablaster / Bomber Man (bootleg, set 2)" devices ())
(name "dynablstb3" year "1992" manufacturer "bootleg (Seitu)" desc "Dynablaster / Bomber Man (bootleg, set 3)" devices ())
(name "dynablstb4" year "1992" manufacturer "bootleg (Seitu)" desc "Dynablaster / Bomber Man (bootleg, set 4)" devices ())
(name "dynabomb" year "2000" manufacturer "Limenko" desc "Dynamite Bomber (Korea, Rev 1.5)" devices ())
(name "dynadice" year "19??" manufacturer "<unknown>" desc "Dynamic Dice" devices ())
(name "dynagear" year "1993" manufacturer "Sammy" desc "Dyna Gear" devices ())
(name "dynajack" year "2001" manufacturer "Aristocrat" desc "Dynamite Jack (01J00081, NSW/ACT)" devices ())
(name "dynajacku" year "2001" manufacturer "Aristocrat" desc "Dynamite Jack (CHG1562, US)" devices ())
(name "dynamcop" year "1998" manufacturer "Sega" desc "Dynamite Cop (Export, Model 2A)" devices ())
(name "dynamcopb" year "1998" manufacturer "Sega" desc "Dynamite Cop (Export, Model 2B)" devices ())
(name "dynamcopc" year "1998" manufacturer "Sega" desc "Dynamite Cop (USA, Model 2C)" devices ())
(name "dynamoah" year "199?" manufacturer "Dynamo" desc "Air Hockey (6.12?, encrypted)" devices ())
(name "dynamoaha" year "199?" manufacturer "Dynamo" desc "Air Hockey (6.03, encrypted)" devices ())
(name "dynamski" year "1984" manufacturer "Taiyo System (Nichibutsu license)" desc "Dynamic Ski" devices ())
(name "dynashot" year "1988" manufacturer "Jaleco" desc "Dynamic Shoot Kyousou" devices ())
(name "dynavisn" year "1982" manufacturer "Yamagiwa" desc "Dynavision" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "dyndeka2" year "1998" manufacturer "Sega" desc "Dynamite Deka 2 (Japan, Model 2A)" devices ())
(name "dyndeka2b" year "1998" manufacturer "Sega" desc "Dynamite Deka 2 (Japan, Model 2B)" devices ())
(name "dyndesk" year "2003" manufacturer "VTech" desc "DynamiDesk (Germany)" devices ())
(name "dynduke" year "1989" manufacturer "Seibu Kaihatsu" desc "Dynamite Duke (Europe, 03SEP89)" devices ())
(name "dyndukea" year "1989" manufacturer "Seibu Kaihatsu" desc "Dynamite Duke (Europe, 25JUL89)" devices ())
(name "dyndukej" year "1989" manufacturer "Seibu Kaihatsu" desc "Dynamite Duke (Japan, 03SEP89)" devices ())
(name "dyndukeja" year "1989" manufacturer "Seibu Kaihatsu" desc "Dynamite Duke (Japan, 25JUL89)" devices ())
(name "dyndukeu" year "1989" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Dynamite Duke (US, 25JUL89)" devices ())
(name "dynobop" year "1990" manufacturer "Grand Products / Incredible Technologies" desc "Dyno Bop (V1.1)" devices ())
(name "dynwar" year "1989" manufacturer "Capcom" desc "Dynasty Wars (USA, B-Board 89624B-?)" devices ())
(name "dynwara" year "1989" manufacturer "Capcom" desc "Dynasty Wars (USA, B-Board 88622B-3)" devices ())
(name "dynwarj" year "1989" manufacturer "Capcom" desc "Tenchi wo Kurau (Japan)" devices ())
(name "dynwarjr" year "1989" manufacturer "Capcom" desc "Tenchi wo Kurau (Japan Resale Ver.)" devices ())
(name "dzigzag" year "1982" manufacturer "bootleg" desc "Zig Zag (Dig Dug hardware)" devices ())
(name "e100" year "1982" manufacturer "Didact AB" desc "Esselte 100" devices ((name "cassette" briefname "cass" )))
(name "e9161" year "198?" manufacturer "Ericsson" desc "9161 Display Processor Unit" devices ())
(name "eacc" year "1982" manufacturer "Electronics Australia" desc "EA Car Computer" devices ())
(name "eagle" year "1980" manufacturer "Nichibutsu (Centuri license)" desc "Eagle (set 1)" devices ())
(name "eagle1600" year "1983" manufacturer "Eagle" desc "Eagle 1600" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "eagle2" year "1980" manufacturer "Nichibutsu (Centuri license)" desc "Eagle (set 2)" devices ())
(name "eagle3" year "1980" manufacturer "Nichibutsu (Centuri license)" desc "Eagle (set 3)" devices ())
(name "eaglepc2" year "198?" manufacturer "Eagle" desc "PC-2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "eaglespirit" year "1983" manufacturer "Eagle" desc "Eagle PC Spirit" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "eaglrock" year "2004" manufacturer "Aristocrat" desc "Eagle Rock - Cash Express (0151126, US)" devices ())
(name "eaglshot" year "1994" manufacturer "Sammy" desc "Eagle Shot Golf (US)" devices ())
(name "eaglshotj" year "1994" manufacturer "Sammy" desc "Eagle Shot Golf (Japan, bootleg?)" devices ())
(name "earthjkr" year "1993" manufacturer "Visco" desc "U.N. Defense Force: Earth Joker (US / Japan, set 1)" devices ())
(name "earthjkra" year "1993" manufacturer "Visco" desc "U.N. Defense Force: Earth Joker (US / Japan, set 2)" devices ())
(name "earthjkrb" year "1993" manufacturer "Visco" desc "U.N. Defense Force: Earth Joker (US / Japan, set 3)" devices ())
(name "earthjkrp" year "1993" manufacturer "Visco" desc "U.N. Defense Force: Earth Joker (Japan, prototype?)" devices ())
(name "earthst" year "1987" manufacturer "Alloy" desc "EarthStation-I" devices ((name "printout" briefname "prin" )))
(name "eastland" year "2004" manufacturer "Aristocrat" desc "Easter Island - Cash Express (0151117, US)" devices ())
(name "easykara" year "2004" manufacturer "IVL Technologies (Easy Karaoke license)" desc "Easy Karaoke Groove Station (UK)" devices ((name "cartridge" briefname "cart" )))
(name "eatpm_3g" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LG-3)" devices ())
(name "eatpm_4g" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LG-4)" devices ())
(name "eatpm_4u" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LU-4)" devices ())
(name "eatpm_f1" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LF-1) French" devices ())
(name "eatpm_l1" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LA-1)" devices ())
(name "eatpm_l2" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LA-2)" devices ())
(name "eatpm_l4" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (LA-4)" devices ())
(name "eatpm_p7" year "1989" manufacturer "Bally" desc "Elvira and the Party Monsters (PA-7)" devices ())
(name "eballchp" year "1985" manufacturer "Bally" desc "Eight Ball Champ" devices ())
(name "eballchps" year "1986" manufacturer "Bally (Maibesa license)" desc "Eight Ball Champ (Spain, Z-Pinball hardware)" devices ())
(name "eballd14" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (rev. 14)" devices ())
(name "eballdlx" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (rev. 15)" devices ())
(name "eballdlxp1" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (prototype rev. 1)" devices ())
(name "eballdlxp2" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (prototype rev. 2)" devices ())
(name "eballdlxp3" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (prototype rev. 3)" devices ())
(name "eballdlxp4" year "1981" manufacturer "Bally" desc "Eight Ball Deluxe (prototype rev. 4)" devices ())
(name "ebases" year "1980" manufacturer "Dave Nutting Associates / Midway" desc "Extra Bases" devices ())
(name "ebaskb2" year "1980" manufacturer "Entex" desc "Electronic Basketball 2 (Entex)" devices ())
(name "ebball" year "1979" manufacturer "Entex" desc "Electronic Baseball (Entex)" devices ())
(name "ebball2" year "1979" manufacturer "Entex" desc "Electronic Baseball 2 (Entex)" devices ())
(name "ebball3" year "1980" manufacturer "Entex" desc "Electronic Baseball 3 (Entex)" devices ())
(name "ebknight" year "1982" manufacturer "Entex" desc "Black Knight Pinball (Entex)" devices ())
(name "ec1840" year "1986" manufacturer "<unknown>" desc "EC-1840" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ec1841" year "1987" manufacturer "<unknown>" desc "EC-1841" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ec1842" year "1989" manufacturer "<unknown>" desc "EC-1842" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ec1845" year "1989" manufacturer "<unknown>" desc "EC-1845" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ec1847" year "1990" manufacturer "<unknown>" desc "EC-1847" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ec1849" year "1993" manufacturer "<unknown>" desc "EC-1849" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ec4913" year "199?" manufacturer "Elitegroup" desc "UC4913 REV:1.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ec4915aio" year "199?" manufacturer "Elitegroup" desc "UC4915 A AIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ec65" year "1985" manufacturer "Elektor" desc "EC-65" devices ())
(name "ec65k" year "1986" manufacturer "Elektor" desc "EC-65K" devices ())
(name "ec7915" year "198?" manufacturer "Mera-Elzab" desc "EC-7915 (EC-7950)" devices ())
(name "ec_bar5" year "19??" manufacturer "Electrocoin" desc "Bar 5 (older PCB) (Electrocoin)" devices ())
(name "ec_bar7" year "19??" manufacturer "Concept Games Ltd" desc "Bar 7 (Concept Games Ltd) (?)" devices ())
(name "ec_barx" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 1)" devices ())
(name "ec_barx__0" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 28)" devices ())
(name "ec_barx__1" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 29)" devices ())
(name "ec_barx__2" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 30)" devices ())
(name "ec_barx__3" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 31)" devices ())
(name "ec_barx__4" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 32)" devices ())
(name "ec_barx__5" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 33)" devices ())
(name "ec_barx__6" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 34)" devices ())
(name "ec_barx__7" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 35)" devices ())
(name "ec_barx__8" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 36)" devices ())
(name "ec_barx__9" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 37)" devices ())
(name "ec_barx__a" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 2)" devices ())
(name "ec_barx__a0" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 64)" devices ())
(name "ec_barx__a1" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 65)" devices ())
(name "ec_barx__a2" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 66)" devices ())
(name "ec_barx__a3" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 67)" devices ())
(name "ec_barx__a4" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 68)" devices ())
(name "ec_barx__a5" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 69)" devices ())
(name "ec_barx__a6" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 70)" devices ())
(name "ec_barx__a7" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 71)" devices ())
(name "ec_barx__a8" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 72)" devices ())
(name "ec_barx__a9" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 73)" devices ())
(name "ec_barx__aa" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 38)" devices ())
(name "ec_barx__ab" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 39)" devices ())
(name "ec_barx__ac" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 40)" devices ())
(name "ec_barx__ad" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 41)" devices ())
(name "ec_barx__ae" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 42)" devices ())
(name "ec_barx__af" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 43)" devices ())
(name "ec_barx__ag" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 44)" devices ())
(name "ec_barx__ah" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 45)" devices ())
(name "ec_barx__ai" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 46)" devices ())
(name "ec_barx__aj" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 47)" devices ())
(name "ec_barx__ak" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 48)" devices ())
(name "ec_barx__al" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 49)" devices ())
(name "ec_barx__am" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 50)" devices ())
(name "ec_barx__an" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 51)" devices ())
(name "ec_barx__ao" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 52)" devices ())
(name "ec_barx__ap" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 53)" devices ())
(name "ec_barx__aq" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 54)" devices ())
(name "ec_barx__ar" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 55)" devices ())
(name "ec_barx__as" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 56)" devices ())
(name "ec_barx__at" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 57)" devices ())
(name "ec_barx__au" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 58)" devices ())
(name "ec_barx__av" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 59)" devices ())
(name "ec_barx__aw" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 60)" devices ())
(name "ec_barx__ax" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 61)" devices ())
(name "ec_barx__ay" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 62)" devices ())
(name "ec_barx__az" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 63)" devices ())
(name "ec_barx__b" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 3)" devices ())
(name "ec_barx__ba" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 74)" devices ())
(name "ec_barx__bb" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 75)" devices ())
(name "ec_barx__bc" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 76)" devices ())
(name "ec_barx__bd" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 77)" devices ())
(name "ec_barx__be" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 78)" devices ())
(name "ec_barx__bf" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 79)" devices ())
(name "ec_barx__bg" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 80)" devices ())
(name "ec_barx__bh" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 81)" devices ())
(name "ec_barx__bi" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 82)" devices ())
(name "ec_barx__bj" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 83)" devices ())
(name "ec_barx__bk" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 84)" devices ())
(name "ec_barx__bl" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 85)" devices ())
(name "ec_barx__bm" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 86)" devices ())
(name "ec_barx__bn" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 87)" devices ())
(name "ec_barx__bo" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 88)" devices ())
(name "ec_barx__bp" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 89)" devices ())
(name "ec_barx__bq" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 90)" devices ())
(name "ec_barx__br" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 91)" devices ())
(name "ec_barx__bs" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 92)" devices ())
(name "ec_barx__bt" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 93)" devices ())
(name "ec_barx__bu" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 94)" devices ())
(name "ec_barx__c" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 4)" devices ())
(name "ec_barx__d" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 5)" devices ())
(name "ec_barx__e" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 6)" devices ())
(name "ec_barx__f" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 7)" devices ())
(name "ec_barx__g" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 8)" devices ())
(name "ec_barx__h" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 9)" devices ())
(name "ec_barx__i" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 10)" devices ())
(name "ec_barx__j" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 11)" devices ())
(name "ec_barx__k" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 12)" devices ())
(name "ec_barx__l" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 13)" devices ())
(name "ec_barx__m" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 14)" devices ())
(name "ec_barx__n" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 15)" devices ())
(name "ec_barx__o" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 16)" devices ())
(name "ec_barx__p" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 17)" devices ())
(name "ec_barx__q" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 18)" devices ())
(name "ec_barx__r" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 19)" devices ())
(name "ec_barx__s" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 20)" devices ())
(name "ec_barx__t" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 21)" devices ())
(name "ec_barx__u" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 22)" devices ())
(name "ec_barx__v" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 23)" devices ())
(name "ec_barx__w" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 24)" devices ())
(name "ec_barx__x" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 25)" devices ())
(name "ec_barx__y" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 26)" devices ())
(name "ec_barx__z" year "199?" manufacturer "Electrocoin" desc "Bar X (Electrocoin) (set 27)" devices ())
(name "ec_barxmab" year "19??" manufacturer "Electrocoin" desc "Bar X (MAB PCB) (Electrocoin)" devices ())
(name "ec_barxo" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 1)" devices ())
(name "ec_barxoa" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 2)" devices ())
(name "ec_barxob" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 3)" devices ())
(name "ec_barxoc" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 4)" devices ())
(name "ec_barxod" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 5)" devices ())
(name "ec_barxoe" year "19??" manufacturer "Electrocoin" desc "Bar X (older PCB) (Electrocoin) (set 6)" devices ())
(name "ec_big7" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 1)" devices ())
(name "ec_big7__0" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 28)" devices ())
(name "ec_big7__1" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 29)" devices ())
(name "ec_big7__2" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 30)" devices ())
(name "ec_big7__3" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 31)" devices ())
(name "ec_big7__4" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 32)" devices ())
(name "ec_big7__5" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 33)" devices ())
(name "ec_big7__6" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 34)" devices ())
(name "ec_big7__7" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 35)" devices ())
(name "ec_big7__8" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 36)" devices ())
(name "ec_big7__9" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 37)" devices ())
(name "ec_big7__a" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 2)" devices ())
(name "ec_big7__a0" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 64)" devices ())
(name "ec_big7__a1" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 65)" devices ())
(name "ec_big7__a2" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 66)" devices ())
(name "ec_big7__aa" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 38)" devices ())
(name "ec_big7__ab" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 39)" devices ())
(name "ec_big7__ac" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 40)" devices ())
(name "ec_big7__ad" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 41)" devices ())
(name "ec_big7__ae" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 42)" devices ())
(name "ec_big7__af" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 43)" devices ())
(name "ec_big7__ag" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 44)" devices ())
(name "ec_big7__ah" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 45)" devices ())
(name "ec_big7__ai" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 46)" devices ())
(name "ec_big7__aj" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 47)" devices ())
(name "ec_big7__ak" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 48)" devices ())
(name "ec_big7__al" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 49)" devices ())
(name "ec_big7__am" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 50)" devices ())
(name "ec_big7__an" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 51)" devices ())
(name "ec_big7__ao" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 52)" devices ())
(name "ec_big7__ap" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 53)" devices ())
(name "ec_big7__aq" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 54)" devices ())
(name "ec_big7__ar" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 55)" devices ())
(name "ec_big7__as" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 56)" devices ())
(name "ec_big7__at" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 57)" devices ())
(name "ec_big7__au" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 58)" devices ())
(name "ec_big7__av" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 59)" devices ())
(name "ec_big7__aw" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 60)" devices ())
(name "ec_big7__ax" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 61)" devices ())
(name "ec_big7__ay" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 62)" devices ())
(name "ec_big7__az" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 63)" devices ())
(name "ec_big7__b" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 3)" devices ())
(name "ec_big7__c" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 4)" devices ())
(name "ec_big7__d" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 5)" devices ())
(name "ec_big7__e" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 6)" devices ())
(name "ec_big7__f" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 7)" devices ())
(name "ec_big7__g" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 8)" devices ())
(name "ec_big7__h" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 9)" devices ())
(name "ec_big7__i" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 10)" devices ())
(name "ec_big7__j" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 11)" devices ())
(name "ec_big7__k" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 12)" devices ())
(name "ec_big7__l" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 13)" devices ())
(name "ec_big7__m" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 14)" devices ())
(name "ec_big7__n" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 15)" devices ())
(name "ec_big7__o" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 16)" devices ())
(name "ec_big7__p" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 17)" devices ())
(name "ec_big7__q" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 18)" devices ())
(name "ec_big7__r" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 19)" devices ())
(name "ec_big7__s" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 20)" devices ())
(name "ec_big7__t" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 21)" devices ())
(name "ec_big7__u" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 22)" devices ())
(name "ec_big7__v" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 23)" devices ())
(name "ec_big7__w" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 24)" devices ())
(name "ec_big7__x" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 25)" devices ())
(name "ec_big7__y" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 26)" devices ())
(name "ec_big7__z" year "199?" manufacturer "Electrocoin" desc "Big 7 / Super Big 7 (Electrocoin) (set 27)" devices ())
(name "ec_bx125" year "2005" manufacturer "Electrocoin" desc "Bar X 125 (Electrocoin) (set 1)" devices ())
(name "ec_bx125a" year "2005" manufacturer "Electrocoin" desc "Bar X 125 (Electrocoin) (set 2)" devices ())
(name "ec_bx180" year "199?" manufacturer "Electrocoin" desc "Bar X (Z180 hardware) (Electrocoin) (set 1)" devices ())
(name "ec_bx180a" year "199?" manufacturer "Electrocoin" desc "Bar X (Z180 hardware) (Electrocoin) (set 2)" devices ())
(name "ec_bxd7s" year "199?" manufacturer "Electrocoin" desc "Bar X Diamond 7s (2006 COOL7) (Electrocoin) (set 1)" devices ())
(name "ec_bxd7s__a" year "199?" manufacturer "Electrocoin" desc "Bar X Diamond 7s (2006 COOL7) (Electrocoin) (set 2)" devices ())
(name "ec_bxd7s__b" year "199?" manufacturer "Electrocoin" desc "Bar X Diamond 7s (2006 COOL7) (Electrocoin) (set 3)" devices ())
(name "ec_bxd7s__c" year "199?" manufacturer "Electrocoin" desc "Bar X Diamond 7s (2006 COOL7) (Electrocoin) (set 4)" devices ())
(name "ec_bxd7s__d" year "199?" manufacturer "Electrocoin" desc "Bar X Diamond 7s (2006 COOL7) (Electrocoin) (set 5)" devices ())
(name "ec_casbx" year "199?" manufacturer "Electrocoin" desc "Casino Bar X (Electrocoin) (set 1)" devices ())
(name "ec_casbx__a" year "199?" manufacturer "Electrocoin" desc "Casino Bar X (Electrocoin) (set 2)" devices ())
(name "ec_casbx__b" year "199?" manufacturer "Electrocoin" desc "Casino Bar X (Electrocoin) (set 3)" devices ())
(name "ec_casbxcon" year "19??" manufacturer "Concept Games Ltd" desc "Casino Bar X (Concept Games Ltd) (?)" devices ())
(name "ec_casbxo" year "19??" manufacturer "Electrocoin" desc "Casino Bar X (older PCB) (Electrocoin) (set 1)" devices ())
(name "ec_casbxoa" year "19??" manufacturer "Electrocoin" desc "Casino Bar X (older PCB) (Electrocoin) (set 2)" devices ())
(name "ec_casmb" year "19??" manufacturer "Concept Games Ltd" desc "Casino Multi Bar (Concept Games Ltd) (?)" devices ())
(name "ec_fltr" year "19??" manufacturer "Concept Games Ltd" desc "Flutter (Concept Games Ltd) (?)" devices ())
(name "ec_gold7" year "19??" manufacturer "Concept Games Ltd" desc "Golden 7 (Concept Games Ltd) (?)" devices ())
(name "ec_jackb" year "19??" manufacturer "Concept Games Ltd" desc "Jackpot Bars (MAB PCB?) (Concept Games Ltd) (?)" devices ())
(name "ec_laby" year "19??" manufacturer "Electrocoin" desc "Labyrinth (v8) (Electrocoin)" devices ())
(name "ec_labya" year "19??" manufacturer "Electrocoin" desc "Labyrinth (v10) (Electrocoin)" devices ())
(name "ec_mag7s" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 1)" devices ())
(name "ec_mag7s__0" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 28)" devices ())
(name "ec_mag7s__1" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 29)" devices ())
(name "ec_mag7s__2" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 30)" devices ())
(name "ec_mag7s__3" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 31)" devices ())
(name "ec_mag7s__4" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 32)" devices ())
(name "ec_mag7s__5" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 33)" devices ())
(name "ec_mag7s__6" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 34)" devices ())
(name "ec_mag7s__7" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 35)" devices ())
(name "ec_mag7s__8" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 36)" devices ())
(name "ec_mag7s__9" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 37)" devices ())
(name "ec_mag7s__a" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 2)" devices ())
(name "ec_mag7s__a0" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 64)" devices ())
(name "ec_mag7s__aa" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 38)" devices ())
(name "ec_mag7s__ab" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 39)" devices ())
(name "ec_mag7s__ac" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 40)" devices ())
(name "ec_mag7s__ad" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 41)" devices ())
(name "ec_mag7s__ae" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 42)" devices ())
(name "ec_mag7s__af" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 43)" devices ())
(name "ec_mag7s__ag" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 44)" devices ())
(name "ec_mag7s__ah" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 45)" devices ())
(name "ec_mag7s__ai" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 46)" devices ())
(name "ec_mag7s__aj" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 47)" devices ())
(name "ec_mag7s__ak" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 48)" devices ())
(name "ec_mag7s__al" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 49)" devices ())
(name "ec_mag7s__am" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 50)" devices ())
(name "ec_mag7s__an" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 51)" devices ())
(name "ec_mag7s__ao" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 52)" devices ())
(name "ec_mag7s__ap" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 53)" devices ())
(name "ec_mag7s__aq" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 54)" devices ())
(name "ec_mag7s__ar" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 55)" devices ())
(name "ec_mag7s__as" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 56)" devices ())
(name "ec_mag7s__at" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 57)" devices ())
(name "ec_mag7s__au" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 58)" devices ())
(name "ec_mag7s__av" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 59)" devices ())
(name "ec_mag7s__aw" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 60)" devices ())
(name "ec_mag7s__ax" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 61)" devices ())
(name "ec_mag7s__ay" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 62)" devices ())
(name "ec_mag7s__az" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 63)" devices ())
(name "ec_mag7s__b" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 3)" devices ())
(name "ec_mag7s__c" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 4)" devices ())
(name "ec_mag7s__d" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 5)" devices ())
(name "ec_mag7s__e" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 6)" devices ())
(name "ec_mag7s__f" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 7)" devices ())
(name "ec_mag7s__g" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 8)" devices ())
(name "ec_mag7s__h" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 9)" devices ())
(name "ec_mag7s__i" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 10)" devices ())
(name "ec_mag7s__j" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 11)" devices ())
(name "ec_mag7s__k" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 12)" devices ())
(name "ec_mag7s__l" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 13)" devices ())
(name "ec_mag7s__m" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 14)" devices ())
(name "ec_mag7s__n" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 15)" devices ())
(name "ec_mag7s__o" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 16)" devices ())
(name "ec_mag7s__p" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 17)" devices ())
(name "ec_mag7s__q" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 18)" devices ())
(name "ec_mag7s__r" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 19)" devices ())
(name "ec_mag7s__s" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 20)" devices ())
(name "ec_mag7s__t" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 21)" devices ())
(name "ec_mag7s__u" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 22)" devices ())
(name "ec_mag7s__v" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 23)" devices ())
(name "ec_mag7s__w" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 24)" devices ())
(name "ec_mag7s__x" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 25)" devices ())
(name "ec_mag7s__y" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 26)" devices ())
(name "ec_mag7s__z" year "199?" manufacturer "Electrocoin" desc "Magic 7s / Cool 7 / Bar X 7 (2001 COOL7) (Electrocoin) (set 27)" devices ())
(name "ec_mgbel" year "19??" manufacturer "Concept Games Ltd" desc "Megabell (Concept Games Ltd) (?)" devices ())
(name "ec_multb" year "19??" manufacturer "Concept Games Ltd" desc "Multi Bar (Concept Games Ltd) (?)" devices ())
(name "ec_ndgxs" year "19??" manufacturer "Concept Games Ltd" desc "Nudge Xcess (MAB PCB?) (Concept Games Ltd) (?)" devices ())
(name "ec_oxocg" year "19??" manufacturer "Electrocoin" desc "Oxo Classic Gold (Electrocoin) (?)" devices ())
(name "ec_oxocl" year "19??" manufacturer "Electrocoin" desc "Oxo Club (Electrocoin) (?)" devices ())
(name "ec_oxogb" year "19??" manufacturer "Electrocoin" desc "Oxo Golden Bars (Electrocoin) (?)" devices ())
(name "ec_oxorl" year "19??" manufacturer "Electrocoin" desc "Oxo Reels (Electrocoin) (?)" devices ())
(name "ec_oxorv" year "19??" manufacturer "Electrocoin" desc "Oxo Revolution (Electrocoin) (?)" devices ())
(name "ec_penni" year "19??" manufacturer "Electrocoin" desc "Pennies From Heaven (v1) (Electrocoin)" devices ())
(name "ec_pennia" year "19??" manufacturer "Electrocoin" desc "Pennies From Heaven (v6) (Electrocoin)" devices ())
(name "ec_pyram" year "19??" manufacturer "Electrocoin" desc "Pyramid (v1) (Electrocoin)" devices ())
(name "ec_pyrama" year "19??" manufacturer "Electrocoin" desc "Pyramid (v6) (Electrocoin)" devices ())
(name "ec_rcc" year "19??" manufacturer "Electrocoin" desc "Royal Casino Club (Electrocoin) (?)" devices ())
(name "ec_rdht7" year "19??" manufacturer "Concept Games Ltd" desc "Red Hot 7 (MAB PCB?) (Concept Games Ltd) (?)" devices ())
(name "ec_redbr" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 1)" devices ())
(name "ec_redbr__0" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 28)" devices ())
(name "ec_redbr__1" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 29)" devices ())
(name "ec_redbr__2" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 30)" devices ())
(name "ec_redbr__3" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 31)" devices ())
(name "ec_redbr__4" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 32)" devices ())
(name "ec_redbr__5" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 33)" devices ())
(name "ec_redbr__6" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 34)" devices ())
(name "ec_redbr__7" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 35)" devices ())
(name "ec_redbr__8" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 36)" devices ())
(name "ec_redbr__9" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 37)" devices ())
(name "ec_redbr__a" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 2)" devices ())
(name "ec_redbr__a0" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 64)" devices ())
(name "ec_redbr__a1" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 65)" devices ())
(name "ec_redbr__a2" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 66)" devices ())
(name "ec_redbr__a3" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 67)" devices ())
(name "ec_redbr__a4" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 68)" devices ())
(name "ec_redbr__a5" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 69)" devices ())
(name "ec_redbr__a6" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 70)" devices ())
(name "ec_redbr__a7" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 71)" devices ())
(name "ec_redbr__a8" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 72)" devices ())
(name "ec_redbr__a9" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 73)" devices ())
(name "ec_redbr__aa" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 38)" devices ())
(name "ec_redbr__ab" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 39)" devices ())
(name "ec_redbr__ac" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 40)" devices ())
(name "ec_redbr__ad" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 41)" devices ())
(name "ec_redbr__ae" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 42)" devices ())
(name "ec_redbr__af" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 43)" devices ())
(name "ec_redbr__ag" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 44)" devices ())
(name "ec_redbr__ah" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 45)" devices ())
(name "ec_redbr__ai" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 46)" devices ())
(name "ec_redbr__aj" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 47)" devices ())
(name "ec_redbr__ak" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 48)" devices ())
(name "ec_redbr__al" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 49)" devices ())
(name "ec_redbr__am" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 50)" devices ())
(name "ec_redbr__an" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 51)" devices ())
(name "ec_redbr__ao" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 52)" devices ())
(name "ec_redbr__ap" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 53)" devices ())
(name "ec_redbr__aq" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 54)" devices ())
(name "ec_redbr__ar" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 55)" devices ())
(name "ec_redbr__as" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 56)" devices ())
(name "ec_redbr__at" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 57)" devices ())
(name "ec_redbr__au" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 58)" devices ())
(name "ec_redbr__av" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 59)" devices ())
(name "ec_redbr__aw" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 60)" devices ())
(name "ec_redbr__ax" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 61)" devices ())
(name "ec_redbr__ay" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 62)" devices ())
(name "ec_redbr__az" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 63)" devices ())
(name "ec_redbr__b" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 3)" devices ())
(name "ec_redbr__b0" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 100)" devices ())
(name "ec_redbr__b1" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 101)" devices ())
(name "ec_redbr__ba" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 74)" devices ())
(name "ec_redbr__bb" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 75)" devices ())
(name "ec_redbr__bc" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 76)" devices ())
(name "ec_redbr__bd" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 77)" devices ())
(name "ec_redbr__be" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 78)" devices ())
(name "ec_redbr__bf" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 79)" devices ())
(name "ec_redbr__bg" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 80)" devices ())
(name "ec_redbr__bh" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 81)" devices ())
(name "ec_redbr__bi" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 82)" devices ())
(name "ec_redbr__bj" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 83)" devices ())
(name "ec_redbr__bk" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 84)" devices ())
(name "ec_redbr__bl" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 85)" devices ())
(name "ec_redbr__bm" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 86)" devices ())
(name "ec_redbr__bn" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 87)" devices ())
(name "ec_redbr__bo" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 88)" devices ())
(name "ec_redbr__bp" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 89)" devices ())
(name "ec_redbr__bq" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 90)" devices ())
(name "ec_redbr__br" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 91)" devices ())
(name "ec_redbr__bs" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 92)" devices ())
(name "ec_redbr__bt" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 93)" devices ())
(name "ec_redbr__bu" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 94)" devices ())
(name "ec_redbr__bv" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 95)" devices ())
(name "ec_redbr__bw" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 96)" devices ())
(name "ec_redbr__bx" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 97)" devices ())
(name "ec_redbr__by" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 98)" devices ())
(name "ec_redbr__c" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 4)" devices ())
(name "ec_redbr__d" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 5)" devices ())
(name "ec_redbr__e" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 6)" devices ())
(name "ec_redbr__f" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 7)" devices ())
(name "ec_redbr__g" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 8)" devices ())
(name "ec_redbr__h" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 9)" devices ())
(name "ec_redbr__i" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 10)" devices ())
(name "ec_redbr__j" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 11)" devices ())
(name "ec_redbr__k" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 12)" devices ())
(name "ec_redbr__l" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 13)" devices ())
(name "ec_redbr__m" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 14)" devices ())
(name "ec_redbr__n" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 15)" devices ())
(name "ec_redbr__o" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 16)" devices ())
(name "ec_redbr__p" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 17)" devices ())
(name "ec_redbr__q" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 18)" devices ())
(name "ec_redbr__r" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 19)" devices ())
(name "ec_redbr__s" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 20)" devices ())
(name "ec_redbr__t" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 21)" devices ())
(name "ec_redbr__u" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 22)" devices ())
(name "ec_redbr__v" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 23)" devices ())
(name "ec_redbr__w" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 24)" devices ())
(name "ec_redbr__x" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 25)" devices ())
(name "ec_redbr__y" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 26)" devices ())
(name "ec_redbr__z" year "199?" manufacturer "Electrocoin" desc "Red Bar (Electrocoin) (set 27)" devices ())
(name "ec_sbarx" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 1)" devices ())
(name "ec_sbarx__0" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 28)" devices ())
(name "ec_sbarx__1" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 29)" devices ())
(name "ec_sbarx__2" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 30)" devices ())
(name "ec_sbarx__3" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 31)" devices ())
(name "ec_sbarx__4" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 32)" devices ())
(name "ec_sbarx__5" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 33)" devices ())
(name "ec_sbarx__6" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 34)" devices ())
(name "ec_sbarx__7" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 35)" devices ())
(name "ec_sbarx__8" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 36)" devices ())
(name "ec_sbarx__9" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 37)" devices ())
(name "ec_sbarx__a" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 2)" devices ())
(name "ec_sbarx__a0" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 64)" devices ())
(name "ec_sbarx__a1" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 65)" devices ())
(name "ec_sbarx__a2" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 66)" devices ())
(name "ec_sbarx__a3" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 67)" devices ())
(name "ec_sbarx__a4" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 68)" devices ())
(name "ec_sbarx__aa" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 38)" devices ())
(name "ec_sbarx__ab" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 39)" devices ())
(name "ec_sbarx__ac" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 40)" devices ())
(name "ec_sbarx__ad" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 41)" devices ())
(name "ec_sbarx__ae" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 42)" devices ())
(name "ec_sbarx__af" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 43)" devices ())
(name "ec_sbarx__ag" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 44)" devices ())
(name "ec_sbarx__ah" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 45)" devices ())
(name "ec_sbarx__ai" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 46)" devices ())
(name "ec_sbarx__aj" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 47)" devices ())
(name "ec_sbarx__ak" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 48)" devices ())
(name "ec_sbarx__al" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 49)" devices ())
(name "ec_sbarx__am" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 50)" devices ())
(name "ec_sbarx__an" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 51)" devices ())
(name "ec_sbarx__ao" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 52)" devices ())
(name "ec_sbarx__ap" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 53)" devices ())
(name "ec_sbarx__aq" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 54)" devices ())
(name "ec_sbarx__ar" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 55)" devices ())
(name "ec_sbarx__as" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 56)" devices ())
(name "ec_sbarx__at" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 57)" devices ())
(name "ec_sbarx__au" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 58)" devices ())
(name "ec_sbarx__av" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 59)" devices ())
(name "ec_sbarx__aw" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 60)" devices ())
(name "ec_sbarx__ax" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 61)" devices ())
(name "ec_sbarx__ay" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 62)" devices ())
(name "ec_sbarx__az" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 63)" devices ())
(name "ec_sbarx__b" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 3)" devices ())
(name "ec_sbarx__c" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 4)" devices ())
(name "ec_sbarx__d" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 5)" devices ())
(name "ec_sbarx__e" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 6)" devices ())
(name "ec_sbarx__f" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 7)" devices ())
(name "ec_sbarx__g" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 8)" devices ())
(name "ec_sbarx__h" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 9)" devices ())
(name "ec_sbarx__i" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 10)" devices ())
(name "ec_sbarx__j" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 11)" devices ())
(name "ec_sbarx__k" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 12)" devices ())
(name "ec_sbarx__l" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 13)" devices ())
(name "ec_sbarx__m" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 14)" devices ())
(name "ec_sbarx__n" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 15)" devices ())
(name "ec_sbarx__o" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 16)" devices ())
(name "ec_sbarx__p" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 17)" devices ())
(name "ec_sbarx__q" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 18)" devices ())
(name "ec_sbarx__r" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 19)" devices ())
(name "ec_sbarx__s" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 20)" devices ())
(name "ec_sbarx__t" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 21)" devices ())
(name "ec_sbarx__u" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 22)" devices ())
(name "ec_sbarx__v" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 23)" devices ())
(name "ec_sbarx__w" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 24)" devices ())
(name "ec_sbarx__x" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 25)" devices ())
(name "ec_sbarx__y" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 26)" devices ())
(name "ec_sbarx__z" year "199?" manufacturer "Electrocoin" desc "Super Bar X (Electrocoin) (set 27)" devices ())
(name "ec_sbxbr" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 1)" devices ())
(name "ec_sbxbra" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 2)" devices ())
(name "ec_sbxbrb" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 3)" devices ())
(name "ec_sbxbrc" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 4)" devices ())
(name "ec_sbxbrd" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 5)" devices ())
(name "ec_sbxbre" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 6)" devices ())
(name "ec_sbxbrf" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 7)" devices ())
(name "ec_sbxbrg" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 8)" devices ())
(name "ec_sbxbrh" year "1991" manufacturer "Brunel Research" desc "Super Bar X (Brunel Research) (set 9)" devices ())
(name "ec_secrt" year "19??" manufacturer "Electrocoin" desc "Secret Castle (v1) (Electrocoin)" devices ())
(name "ec_spbdx" year "199?" manufacturer "Electrocoin" desc "Super Bar X Deluxe (Electrocoin) (set 1)" devices ())
(name "ec_spbdx__a" year "199?" manufacturer "Electrocoin" desc "Super Bar X Deluxe (Electrocoin) (set 2)" devices ())
(name "ec_spbdx__b" year "199?" manufacturer "Electrocoin" desc "Super Bar X Deluxe (Electrocoin) (set 3)" devices ())
(name "ec_spbdx__c" year "199?" manufacturer "Electrocoin" desc "Super Bar X Deluxe (Electrocoin) (set 4)" devices ())
(name "ec_spbdx__d" year "199?" manufacturer "Electrocoin" desc "Super Bar X Deluxe (Electrocoin) (set 5)" devices ())
(name "ec_spbg7mab" year "19??" manufacturer "Electrocoin" desc "Super Big 7 (MAB PCB) (Electrocoin) (?)" devices ())
(name "ec_sphin" year "19??" manufacturer "Electrocoin" desc "Sphinx (v2) (Electrocoin) (set 1)" devices ())
(name "ec_sphina" year "19??" manufacturer "Electrocoin" desc "Sphinx (v2) (Electrocoin) (set 2)" devices ())
(name "ec_sphinb" year "19??" manufacturer "Electrocoin" desc "Sphinx (v1) (Electrocoin)" devices ())
(name "ec_stair" year "19??" manufacturer "Electrocoin" desc "Stairway To Heaven (v11) (Electrocoin)" devices ())
(name "ec_staira" year "19??" manufacturer "Electrocoin" desc "Stairway To Heaven (v1) (Electrocoin)" devices ())
(name "ec_stkex" year "19??" manufacturer "Concept Games Ltd" desc "Stake X (Concept Games Ltd) (?)" devices ())
(name "ec_sumnc" year "19??" manufacturer "Concept Games Ltd" desc "Casino Super Multi Nudger (Concept / Electrocoin Oxo) (?)" devices ())
(name "ec_sumnd" year "19??" manufacturer "Concept Games Ltd" desc "Super Multi Nudger (Concept / Electrocoin Oxo) (?)" devices ())
(name "ec_supbxcon" year "19??" manufacturer "Concept Games Ltd" desc "Super Bar X (MAB PCB) (Concept Games Ltd) (?)" devices ())
(name "ec_supbxmab" year "19??" manufacturer "Electrocoin" desc "Super Bar X (MAB PCB) (Electrocoin) (?)" devices ())
(name "ec_supmb" year "19??" manufacturer "Concept Games Ltd" desc "Super Multi Bar (Concept Games Ltd) (?)" devices ())
(name "ec_suprl" year "19??" manufacturer "Electrocoin" desc "Super Reels (Electrocoin) (?)" devices ())
(name "ec_unk5" year "199?" manufacturer "Electrocoin" desc "unknown 'Electrocoin' Fruit Machines (Electrocoin) (set 1)" devices ())
(name "ec_unk5__a" year "199?" manufacturer "Electrocoin" desc "unknown 'Electrocoin' Fruit Machines (Electrocoin) (set 2)" devices ())
(name "ec_unk5__b" year "199?" manufacturer "Electrocoin" desc "unknown 'Electrocoin' Fruit Machines (Electrocoin) (set 3)" devices ())
(name "ec_unk5__c" year "199?" manufacturer "Electrocoin" desc "unknown 'Electrocoin' Fruit Machines (Electrocoin) (set 4)" devices ())
(name "ec_unkt" year "19??" manufacturer "Concept Games Ltd" desc "unknown 'T' (MAB PCB?) (Concept Games Ltd) (?)" devices ())
(name "eca" year "1999" manufacturer "Sega" desc "Emergency Call Ambulance (Export)" devices ())
(name "ecaj" year "1999" manufacturer "Sega" desc "Emergency Call Ambulance (Japan)" devices ())
(name "ecap" year "1999" manufacturer "Sega" desc "Emergency Call Ambulance (US location test?)" devices ())
(name "ecau" year "1999" manufacturer "Sega" desc "Emergency Call Ambulance (USA)" devices ())
(name "ecbackg" year "1989" manufacturer "Saitek" desc "Electronic Champion Backgammon" devices ())
(name "ecircus" year "19??" manufacturer "bootleg (Elektronika)" desc "Circus (Elektronika)" devices ())
(name "eclipse" year "1981" manufacturer "Gottlieb" desc "Eclipse" devices ())
(name "ecm6032" year "1989" manufacturer "Epson" desc "Epson CM6032" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ecm6127" year "1993" manufacturer "Epson" desc "Epson CM6127" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ecofghtr" year "1993" manufacturer "Capcom" desc "Eco Fighters (World 931203)" devices ())
(name "ecofghtra" year "1993" manufacturer "Capcom" desc "Eco Fighters (Asia 931203)" devices ())
(name "ecofghtrd" year "1993" manufacturer "bootleg" desc "Eco Fighters (World 931203 Phoenix Edition) (bootleg)" devices ())
(name "ecofghtrh" year "1993" manufacturer "Capcom" desc "Eco Fighters (Hispanic 931203)" devices ())
(name "ecofghtru" year "1993" manufacturer "Capcom" desc "Eco Fighters (USA 940215)" devices ())
(name "ecofghtru1" year "1993" manufacturer "Capcom" desc "Eco Fighters (USA 931203)" devices ())
(name "econx25" year "1986" manufacturer "Acorn Computers" desc "Econet X25 Gateway" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "ecs38632" year "1988" manufacturer "Elitegroup Computer Systems" desc "ECS-386/32" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ecs386a" year "1988" manufacturer "Elitegroup Computer Systems" desc "ECS-386A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ecs8517" year "199?" manufacturer "Elitegroup" desc "ECS 8517 v3.3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ecsfx3000" year "199?" manufacturer "Elitegroup Computer Systems" desc "FX-3000 REV1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ecssi5pi" year "199?" manufacturer "Elitegroup" desc "SI5PI AIO" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ecsum386" year "1992" manufacturer "Elitegroup Computer Systems" desc "UM386 (Rev 1.1)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ed486vl3h" year "199?" manufacturer "Edom" desc "486VL3H" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "edames" year "1988" manufacturer "Saitek" desc "Electronic Dames" devices ())
(name "edf" year "1991" manufacturer "Jaleco" desc "E.D.F. : Earth Defense Force (set 1)" devices ())
(name "edfa" year "1991" manufacturer "Jaleco" desc "E.D.F. : Earth Defense Force (set 2)" devices ())
(name "edfbl" year "1991" manufacturer "bootleg" desc "E.D.F. : Earth Defense Force (bootleg)" devices ())
(name "edfp" year "1991" manufacturer "Jaleco" desc "E.D.F. : Earth Defense Force (Japan, prototype)" devices ())
(name "edfu" year "1991" manufacturer "Jaleco" desc "E.D.F. : Earth Defense Force (North America)" devices ())
(name "edmv035f" year "199?" manufacturer "Edom" desc "MV035F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "edracula" year "1982" manufacturer "Epoch" desc "Dracula (Epoch)" devices ())
(name "edrandy" year "1990" manufacturer "Data East Corporation" desc "The Cliffhanger - Edward Randy (World ver 3)" devices ())
(name "edrandy1" year "1990" manufacturer "Data East Corporation" desc "The Cliffhanger - Edward Randy (World ver 1)" devices ())
(name "edrandy2" year "1990" manufacturer "Data East Corporation" desc "The Cliffhanger - Edward Randy (World ver 2)" devices ())
(name "edrandyj" year "1990" manufacturer "Data East Corporation" desc "The Cliffhanger - Edward Randy (Japan ver 3)" devices ())
(name "edu64" year "1983" manufacturer "Commodore Business Machines" desc "Educator 64 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "eeekk" year "1983" manufacturer "Epos Corporation" desc "Eeekk!" devices ())
(name "eeekkp" year "1984" manufacturer "Epos Corporation" desc "Eeekk! (Pac-Man conversion)" devices ())
(name "efball" year "1980" manufacturer "Epoch" desc "Electronic Football (Epoch)" devices ())
(name "efce" year "200?" manufacturer "Aristocrat" desc "Enchanted Forest - Cash Express (0151084, US)" devices ())
(name "efdt" year "1981" manufacturer "Niemer" desc "El Fin Del Tiempo" devices ())
(name "efootb4" year "1980" manufacturer "Entex" desc "Color Football 4 (Entex)" devices ())
(name "eforest" year "1995" manufacturer "Aristocrat" desc "Enchanted Forest (4VXFC818, NSW)" devices ())
(name "eforestnz" year "1996" manufacturer "Aristocrat" desc "Enchanted Forest (3VXFC5343, New Zealand)" devices ())
(name "eforestu" year "1996" manufacturer "Aristocrat" desc "Enchanted Forest (12XF528902, US)" devices ())
(name "eforsta5" year "1995" manufacturer "Aristocrat" desc "Enchanted Forest (0400122V, NSW/ACT)" devices ())
(name "eforsta5ce" year "2000" manufacturer "Aristocrat" desc "Enchanted Forest - Cash Express (CHG1536, US)" devices ())
(name "eforsta5cea" year "2000" manufacturer "Aristocrat" desc "Enchanted Forest - Cash Express (AHG1615, US)" devices ())
(name "eforsta5u" year "1997" manufacturer "Aristocrat" desc "Enchanted Forest (JHG0415-03, US)" devices ())
(name "eforsta5ua" year "1997" manufacturer "Aristocrat" desc "Enchanted Forest (JHG0415-99, US)" devices ())
(name "eg3003" year "1980" manufacturer "EACA Computers Ltd" desc "Video Genie EG3003" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "egalaxn2" year "1981" manufacturer "Entex" desc "Galaxian 2 (Entex)" devices ())
(name "egame150" year "201?" manufacturer "<unknown>" desc "E-Game! 150-in-1" devices ())
(name "egghunt" year "1995" manufacturer "Invi Image" desc "Egg Hunt" devices ())
(name "eggor" year "1983" manufacturer "Telko" desc "Eggor" devices ())
(name "eggs" year "1983" manufacturer "Technos Japan (Universal USA license)" desc "Eggs (USA)" devices ())
(name "eggsplc" year "2002" manufacturer "The Game Room" desc "Eggs Playing Chicken" devices ((name "harddisk" briefname "hard" )))
(name "eggsrccm" year "2005" manufacturer "Aristocrat" desc "Eggstreme Riches - Mr. Cashman (0351149, US)" devices ())
(name "eggventr" year "1997" manufacturer "ICE / The Game Room" desc "Egg Venture (Release 10)" devices ())
(name "eggventr1" year "1997" manufacturer "Kyle Hodgetts / The Game Room" desc "Egg Venture (Release 1)" devices ())
(name "eggventr2" year "1997" manufacturer "ICE / The Game Room" desc "Egg Venture (Release 2)" devices ())
(name "eggventr7" year "1997" manufacturer "ICE / The Game Room" desc "Egg Venture (Release 7)" devices ())
(name "eggventr8" year "1997" manufacturer "ICE / The Game Room" desc "Egg Venture (Release 8)" devices ())
(name "eggventra" year "1997" manufacturer "The Game Room (A.L. Australia license)" desc "Egg Venture (A.L. Release)" devices ())
(name "eggventrd" year "1997" manufacturer "The Game Room" desc "Egg Venture Deluxe" devices ())
(name "ehockey" year "1988" manufacturer "bootleg (Elektronika)" desc "Hockey (Elektronika)" devices ())
(name "ehrgeiz" year "1998" manufacturer "Square / Namco" desc "Ehrgeiz (World, EG2/VER.A)" devices ())
(name "ehrgeizja" year "1998" manufacturer "Square / Namco" desc "Ehrgeiz (Japan, EG1/VER.A)" devices ())
(name "ehrgeizua" year "1998" manufacturer "Square / Namco" desc "Ehrgeiz (US, EG3/VER.A)" devices ())
(name "ehx20" year "1983" manufacturer "Epson" desc "Epson HX-20" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage" briefname "rom" )))
(name "ehx20e" year "1983" manufacturer "Epson" desc "Epson HX-20 (Europe)" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage" briefname "rom" )))
(name "eibise" year "1990" manufacturer "Taito" desc "Eibise (Japan)" devices ())
(name "eightbll" year "1977" manufacturer "Bally" desc "Eight Ball (rev. 20)" devices ())
(name "eightblo" year "1977" manufacturer "Bally" desc "Eight Ball (rev. 17)" devices ())
(name "eightfrc" year "1994" manufacturer "Tecmo" desc "Eight Forces" devices ())
(name "eightman" year "1991" manufacturer "SNK / Pallas" desc "Eight Man (NGM-025 ~ NGH-025)" devices ((name "memcard" briefname "memc" ) ()))
(name "einning" year "1978" manufacturer "Midway / Taito" desc "Extra Inning / Ball Park II" devices ())
(name "einspace" year "1980" manufacturer "Epoch" desc "Invader From Space" devices ())
(name "einst256" year "1986" manufacturer "Tatung" desc "Einstein 256" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "einstein" year "1984" manufacturer "Tatung" desc "Einstein TC-01" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "romimage" briefname "rom" ) (name "quickload" briefname "quik" )))
(name "einvader" year "1980" manufacturer "Entex" desc "Space Invader (Entex, TMS1100 version)" devices ())
(name "einvader2" year "1982" manufacturer "Entex" desc "Super Space Invader 2 (Entex, black version)" devices ())
(name "einvaderc" year "1981" manufacturer "Entex" desc "Space Invader (Entex, COP444L version)" devices ())
(name "ejanhs" year "1996" manufacturer "Seibu Kaihatsu" desc "E Jong High School (Japan)" devices ())
(name "ejihon" year "1995" manufacturer "Sega" desc "Ejihon Tantei Jimusho (J 950613 V1.000)" devices ())
(name "ejollyx5" year "200?" manufacturer "Solar Games" desc "Euro Jolly X5" devices ())
(name "ejollyx9" year "200?" manufacturer "Solar Games" desc "Euro Jolly X9" devices ())
(name "ejsakura" year "1999" manufacturer "Seibu Kaihatsu" desc "E-Jan Sakurasou (Japan, SYS386F V2.0)" devices ())
(name "ejsakura12" year "1999" manufacturer "Seibu Kaihatsu" desc "E-Jan Sakurasou (Japan, SYS386F V1.2)" devices ())
(name "ekara" year "2000" manufacturer "Takara / SSD Company LTD / Hasbro" desc "e-kara (US?, NTSC, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "ekaraa" year "2000" manufacturer "Takara / SSD Company LTD / Hasbro" desc "e-kara (US?, NTSC, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "ekarag" year "2002" manufacturer "Takara / SSD Company LTD" desc "e-kara (Europe, includes 3 songs)" devices ((name "cartridge" briefname "cart" )))
(name "ekaraj" year "2000" manufacturer "Takara / SSD Company LTD" desc "e-kara (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "ekaramix" year "200?" manufacturer "Takara / SSD Company LTD" desc "e-kara Mix (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "ekaraphs" year "2002" manufacturer "Takara / SSD Company LTD" desc "e-kara Pro Headset (US, includes 3 songs)" devices ((name "cartridge" briefname "cart" )))
(name "ekaras" year "2002" manufacturer "Takara / SSD Company LTD / newgent" desc "e-kara (Spain, includes 3 songs)" devices ((name "cartridge" briefname "cart" )))
(name "ekusera" year "1982" manufacturer "P.I.C" desc "Ekusera" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "elandore" year "1998" manufacturer "Sai-Mate" desc "Touryuu Densetsu Elan-Doree / Elan Doree - Legend of Dragoon (JUET 980922 V1.006)" devices ())
(name "elanht286" year "198?" manufacturer "Leanord SA" desc "Elan High Tech 286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "elcirculo" year "1980" manufacturer "Inder" desc "El Circulo" devices ())
(name "eldoradd" year "1991" manufacturer "Dyna" desc "El Dorado (V5.1DR)" devices ())
(name "eldoraddo" year "1991" manufacturer "Dyna" desc "El Dorado (V1.1TA)" devices ())
(name "eldoraddoa" year "1991" manufacturer "Dyna" desc "El Dorado (V1.4D)" devices ())
(name "eldorado" year "1984" manufacturer "Gottlieb" desc "El Dorado City of Gold" devices ())
(name "eldoralg" year "1997" manufacturer "Shangai Games" desc "Eldorado (4.2)" devices ((name "cdrom" briefname "cdrm" )))
(name "eldorda5" year "1998" manufacturer "Aristocrat" desc "El Dorado (0100652V, NSW/ACT)" devices ())
(name "elecbowl" year "1978" manufacturer "Marx" desc "Electronic Bowling (Marx)" devices ())
(name "elecdet" year "1979" manufacturer "Ideal Toy Corporation" desc "Electronic Detective" devices ())
(name "eleciq" year "1979" manufacturer "Conic" desc "Electronic I.Q." devices ())
(name "electron" year "1983" manufacturer "Acorn Computers" desc "Acorn Electron" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "electron64" year "1987" manufacturer "Acorn Computers / Slogger" desc "Acorn Electron (64K Master RAM Board)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "electronsp" year "1991" manufacturer "Acorn Computers / Slogger" desc "Acorn Electron (Stop Press 64i)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "electront" year "1983" manufacturer "Acorn Computers" desc "Acorn Electron (Trial)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "elecyoyo" year "1982" manufacturer "Taito America Corporation" desc "The Electric Yo-Yo (rev 1)" devices ())
(name "elecyoyoa" year "1982" manufacturer "Taito America Corporation" desc "The Electric Yo-Yo" devices ())
(name "elekscmp" year "1977" manufacturer "Elektor" desc "Elektor SC/MP" devices ((name "cassette" briefname "cass" )))
(name "elektor" year "1979" manufacturer "Elektor" desc "Elektor TV Games Computer" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "elektra" year "1981" manufacturer "Bally" desc "Elektra" devices ())
(name "elephfam" year "1997" manufacturer "C.M.C." desc "Elephant Family (Italian, new)" devices ())
(name "elephfmb" year "1996" manufacturer "C.M.C." desc "Elephant Family (Italian, old)" devices ())
(name "elevator" year "1983" manufacturer "Taito Corporation" desc "Elevator Action (BA3, 4 PCB version, 1.1)" devices ())
(name "elevatora" year "1983" manufacturer "Taito Corporation" desc "Elevator Action (EA, 5 PCB version, 1.1)" devices ())
(name "elevatorb" year "1983" manufacturer "bootleg" desc "Elevator Action (bootleg)" devices ())
(name "elf2" year "1978" manufacturer "Netronics" desc "Elf II" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "elfin" year "1999" manufacturer "dgPIX Entertainment Inc." desc "Elfin" devices ())
(name "elgrande" year "1982" manufacturer "Tuni Electro Service" desc "El Grande - 5 Card Draw (New)" devices ())
(name "elim2" year "1981" manufacturer "Gremlin" desc "Eliminator (2 Players, set 1)" devices ())
(name "elim2a" year "1981" manufacturer "Gremlin" desc "Eliminator (2 Players, set 2)" devices ())
(name "elim2c" year "1981" manufacturer "Gremlin" desc "Eliminator (2 Players, cocktail)" devices ())
(name "elim4" year "1981" manufacturer "Gremlin" desc "Eliminator (4 Players)" devices ())
(name "elim4p" year "1981" manufacturer "Gremlin" desc "Eliminator (4 Players, prototype)" devices ())
(name "elppa" year "198?" manufacturer "Victor do Brasil" desc "Elppa II+" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "elsygame" year "2002" manufacturer "Electro System (Elsy)" desc "unknown Elsy game" devices ())
(name "elsypokr" year "200?" manufacturer "Electro System (Elsy)" desc "unknown Elsy poker" devices ())
(name "elt286b" year "198?" manufacturer "Chaintech" desc "ELT-286B-160B(E)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "elt386sx" year "199?" manufacturer "Elitegroup" desc "ELT-386SX-160BE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "eltp9" year "198?" manufacturer "Chaintech" desc "ELT-P9 / most likely ELT-386SX-160D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "elvact2u" year "1994" manufacturer "Taito America Corporation" desc "Elevator Action II (Ver 2.2A 1995/02/20)" devices ())
(name "elvactr" year "1994" manufacturer "Taito Corporation Japan" desc "Elevator Action Returns (Ver 2.2O 1995/02/20)" devices ())
(name "elvactrj" year "1994" manufacturer "Taito Corporation" desc "Elevator Action Returns (Ver 2.2J 1995/02/20)" devices ())
(name "elvis" year "200?" manufacturer "<unknown>" desc "Elvis?" devices ())
(name "elvisf" year "2004" manufacturer "Stern" desc "Elvis (CPU 5.00, display F5.00, France)" devices ())
(name "elvisf302" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.02, display F3.02, France)" devices ())
(name "elvisf303" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.03, display F3.02, France)" devices ())
(name "elvisf4" year "2004" manufacturer "Stern" desc "Elvis (CPU 4.00, display F4.01, France)" devices ())
(name "elvisg" year "2004" manufacturer "Stern" desc "Elvis (CPU 5.00, display G5.00, Germany)" devices ())
(name "elvisg302" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.02, display G3.02, Germany)" devices ())
(name "elvisg303" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.03, display G3.02, Germany)" devices ())
(name "elvisg4" year "2004" manufacturer "Stern" desc "Elvis (CPU 4.00, display G4.01, Germany)" devices ())
(name "elvisi" year "2004" manufacturer "Stern" desc "Elvis (CPU 5.00, display I5.00, Italy)" devices ())
(name "elvisi302" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.02, display I3.02, Italy)" devices ())
(name "elvisi303" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.03, display I3.02, Italy)" devices ())
(name "elvisi4" year "2004" manufacturer "Stern" desc "Elvis (CPU 4.00, display I4.01, Italy)" devices ())
(name "elvisl" year "2004" manufacturer "Stern" desc "Elvis (CPU 5.00, display L5.00, Spain)" devices ())
(name "elvisl302" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.02, display L3.02, Spain)" devices ())
(name "elvisl303" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.03, display L3.02, Spain)" devices ())
(name "elvisl4" year "2004" manufacturer "Stern" desc "Elvis (CPU 4.00, display L4.01, Spain)" devices ())
(name "elvisp" year "2004" manufacturer "Stern" desc "Elvis (CPU 5.00, display A5.00)" devices ())
(name "elvisp100" year "2004" manufacturer "Stern" desc "Elvis (CPU 1.00, display A1.00)" devices ())
(name "elvisp302" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.02, display A3.02)" devices ())
(name "elvisp303" year "2004" manufacturer "Stern" desc "Elvis (CPU 3.03, display A3.02)" devices ())
(name "elvisp4" year "2004" manufacturer "Stern" desc "Elvis (CPU 4.00, display A4.01)" devices ())
(name "elwro800" year "1986" manufacturer "Elwro" desc "800-3 Junior" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "elzet80k" year "1982" manufacturer "Giesler & Danne GmbH & Co. KG" desc "Elzet/K 80" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "elzet80p" year "1982" manufacturer "Giesler & Danne GmbH & Co. KG" desc "Elzet/P 80" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "emate" year "1997" manufacturer "Apple Computer" desc "eMate 300" devices ())
(name "emax" year "1986" manufacturer "E-mu Systems" desc "Emax Digital Sampling Keyboard" devices ())
(name "emax2" year "1989" manufacturer "E-mu Systems" desc "Emax II 16-Bit Digital Sound System" devices ((name "harddisk" briefname "hard" )))
(name "emaxp" year "198?" manufacturer "E-mu Systems" desc "Emax Plus Digital Sampling Keyboard" devices ((name "harddisk" briefname "hard" )))
(name "embargo" year "1977" manufacturer "Cinematronics" desc "Embargo" devices ())
(name "embryon" year "1981" manufacturer "Bally" desc "Embryon" devices ())
(name "emeralda" year "1993" manufacturer "Namco" desc "Emeraldia (World)" devices ())
(name "emeraldaj" year "1993" manufacturer "Namco" desc "Emeraldia (Japan Version B)" devices ())
(name "emeraldaja" year "1993" manufacturer "Namco" desc "Emeraldia (Japan)" devices ())
(name "emirage" year "1996" manufacturer "Excalibur Electronics" desc "Mirage (Excalibur)" devices ())
(name "emjjoshi" year "1999" manufacturer "Seibu Kaihatsu / CATS" desc "E-Touch Mahjong Series #2: Joshiryou de NE! (Japan)" devices ())
(name "emjscanb" year "2001" manufacturer "Seibu Kaihatsu / CATS" desc "E-Touch Mahjong Series #6: Scandal Blue - Midara na Daishou (Japan)" devices ())
(name "emjtrapz" year "2001" manufacturer "Seibu Kaihatsu / CATS" desc "E-Touch Mahjong Series #7: Trap Zone - Yokubou no Kaisoku Densha (Japan)" devices ())
(name "emma2" year "1979" manufacturer "L.J.Technical Systems" desc "Emma II trainer" devices ((name "cassette" briefname "cass" )))
(name "empcity" year "1986" manufacturer "Seibu Kaihatsu" desc "Empire City: 1931 (bootleg?)" devices ())
(name "empcityfr" year "1986" manufacturer "Seibu Kaihatsu (Norad license)" desc "Empire City: 1931 (France)" devices ())
(name "empcityi" year "1986" manufacturer "Seibu Kaihatsu (Eurobed license)" desc "Empire City: 1931 (Italy)" devices ())
(name "empcityj" year "1986" manufacturer "Seibu Kaihatsu (Taito license)" desc "Empire City: 1931 (Japan)" devices ())
(name "empcityu" year "1986" manufacturer "Seibu Kaihatsu (Taito / Romstar license)" desc "Empire City: 1931 (US)" devices ())
(name "empsback" year "1981" manufacturer "Hankin" desc "The Empire Strikes Back (Hankin Pinball)" devices ())
(name "emu2" year "1984" manufacturer "E-mu Systems" desc "Emulator II" devices ())
(name "emu3" year "1987" manufacturer "E-mu Systems" desc "Emulator Three Digital Sound Production System" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "enchantr" year "2000" manufacturer "Aristocrat" desc "Enchantress (20000711, NSW/ACT)" devices ())
(name "enchlamp" year "200?" manufacturer "Konami" desc "Enchanted Lamp (Konami Endeavour, Russia)" devices ())
(name "encspell" year "2007" manufacturer "Aristocrat" desc "Enchanted Spell (10257011, NSW/ACT)" devices ())
(name "endless" year "1996" manufacturer "bootleg" desc "Gundam Wing: Endless Duel (SNES bootleg, set 1)" devices ())
(name "endlessa" year "1996" manufacturer "bootleg" desc "Gundam Wing: Endless Duel (SNES bootleg, set 2)" devices ())
(name "endrichs" year "1999" manufacturer "E.N.Tiger" desc "Endless Riches (Ver 1.21)" devices ())
(name "endrichsa" year "1999" manufacturer "E.N.Tiger" desc "Endless Riches (Ver 1.20)" devices ())
(name "endurob2" year "1986" manufacturer "bootleg" desc "Enduro Racer (bootleg set 2)" devices ())
(name "endurobl" year "1986" manufacturer "bootleg" desc "Enduro Racer (bootleg set 1)" devices ())
(name "enduror" year "1986" manufacturer "Sega" desc "Enduro Racer (Rev A, YM2151, FD1089B 317-0013A)" devices ())
(name "enduror1" year "1986" manufacturer "Sega" desc "Enduro Racer (YM2203, FD1089B 317-0013A)" devices ())
(name "enduror1d" year "1986" manufacturer "bootleg" desc "Enduro Racer (bootleg of YM2203, FD1089B 317-0013A set)" devices ())
(name "endurora" year "1986" manufacturer "Sega" desc "Enduro Racer (Rev A, YM2151, mask ROM sprites, FD1089B 317-0013A)" devices ())
(name "endurorb" year "1986" manufacturer "Sega" desc "Enduro Racer (YM2151, FD1089B 317-0013A)" devices ())
(name "endurord" year "1986" manufacturer "bootleg" desc "Enduro Racer (bootleg of Rev A, YM2151, FD1089B 317-0013A set)" devices ())
(name "enforce" year "1988" manufacturer "Taito Corporation Japan" desc "Enforce (World)" devices ())
(name "enforcej" year "1988" manufacturer "Taito Corporation" desc "Enforce (Japan)" devices ())
(name "enforceja" year "1988" manufacturer "Taito Corporation" desc "Enforce (Japan, Analog Controls)" devices ())
(name "enigma2" year "1981" manufacturer "Zilec Electronics (Game Plan license)" desc "Enigma II" devices ())
(name "enigma2a" year "1984" manufacturer "Zilec Electronics" desc "Enigma II (Space Invaders hardware)" devices ())
(name "enigma2b" year "1981" manufacturer "Zilec Electronics" desc "Phantoms II (Space Invaders hardware)" devices ())
(name "enmadaio" year "1993" manufacturer "Toaplan / Taito" desc "Enma Daio (Japan)" devices ())
(name "enmirage" year "1984" manufacturer "Ensoniq" desc "Mirage DMS-8" devices ((name "cassette" briefname "cass" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "enterp" year "1984" manufacturer "CXG Systems / Newcrest Technology" desc "Enterprise \"S\"" devices ())
(name "eosb900" year "1999" manufacturer "Yamaha" desc "EOS B900" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "eott" year "2000" manufacturer "Aristocrat" desc "Eyes of the Tiger (10002011, NSW/ACT)" devices ())
(name "ep128" year "1986" manufacturer "Enterprise Computers" desc "Enterprise One Two Eight" devices ((name "printout" briefname "prin" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" )))
(name "ep64" year "1985" manufacturer "Enterprise Computers" desc "Enterprise Sixty Four" devices ((name "printout" briefname "prin" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" )))
(name "ep804" year "1982" manufacturer "Wavetek/Digelec, Inc" desc "EP804 EPROM Programmer" devices ((name "bitbanger" briefname "bitb" )))
(name "ep_21clb" year "199?" manufacturer "Maygay" desc "Twenty One Club (Maygay) (EPOCH) (3.2, set 1)" devices ())
(name "ep_21clba" year "199?" manufacturer "Maygay" desc "Twenty One Club (Maygay) (EPOCH) (3.2, set 2)" devices ())
(name "ep_25crt" year "2002" manufacturer "Maygay" desc "25 Carrot Gold (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_25crta" year "2002" manufacturer "Maygay" desc "25 Carrot Gold (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_25crtb" year "2002" manufacturer "Maygay" desc "25 Carrot Gold (Maygay) (EPOCH) (3.1, set 3)" devices ())
(name "ep_25crtc" year "2003" manufacturer "Maygay" desc "25 Carrot Gold (Maygay) (EPOCH) (4.1, set 4)" devices ())
(name "ep_25crtd" year "2003" manufacturer "Maygay" desc "25 Carrot Gold (Maygay) (EPOCH) (5.1, set 5)" devices ())
(name "ep_bartk" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (4.5, set 1)" devices ())
(name "ep_bartka" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (3.9, set 2)" devices ())
(name "ep_bartkb" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (3.9, set 3)" devices ())
(name "ep_bartkc" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (4.4, set 4)" devices ())
(name "ep_bartkd" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (4.4, set 5)" devices ())
(name "ep_bartke" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (4.5, set 6)" devices ())
(name "ep_bartkf" year "199?" manufacturer "Maygay" desc "Bar Trekkin (Maygay) (EPOCH) (4.2, set 7)" devices ())
(name "ep_baskr" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (1.7, set 1)" devices ())
(name "ep_baskra" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_baskrb" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (2.2, set 3)" devices ())
(name "ep_baskrc" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (1.7, set 4)" devices ())
(name "ep_baskrd" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (2.1, set 5)" devices ())
(name "ep_baskre" year "199?" manufacturer "Maygay" desc "Pounds Of The Baskervilles (Maygay) (EPOCH) (1.5, set 6)" devices ())
(name "ep_bathl" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (2.1, set 1)" devices ())
(name "ep_bathla" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (2.1, set 2)" devices ())
(name "ep_bathlb" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (2.2, set 3)" devices ())
(name "ep_bathlc" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (2.2, set 4)" devices ())
(name "ep_bathld" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (3.1, set 5)" devices ())
(name "ep_bathle" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (3.1, set 6)" devices ())
(name "ep_bathlf" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (4.1, set 7)" devices ())
(name "ep_bathlg" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (4.1, set 8)" devices ())
(name "ep_bathlh" year "199?" manufacturer "Global" desc "Bat Outa Hell (Global) (EPOCH) (3.3, set 9)" devices ())
(name "ep_batls" year "199?" manufacturer "Maygay" desc "Battleships (Maygay) (EPOCH) (2.2, set 1)" devices ())
(name "ep_batlsa" year "199?" manufacturer "Maygay" desc "Battleships (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_batlsb" year "199?" manufacturer "Maygay" desc "Battleships (Maygay) (EPOCH) (1.9, set 3)" devices ())
(name "ep_batlsc" year "199?" manufacturer "Maygay" desc "Battleships (Maygay) (EPOCH) (1.9, set 4)" devices ())
(name "ep_bbars" year "199?" manufacturer "Maygay" desc "Balloon Bars (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_bbarsa" year "199?" manufacturer "Maygay" desc "Balloon Bars (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_bbarsb" year "199?" manufacturer "Maygay" desc "Balloon Bars (Maygay) (EPOCH) (2.0, set 3)" devices ())
(name "ep_bbarsc" year "199?" manufacturer "Maygay" desc "Balloon Bars (Maygay) (EPOCH) (2.0, set 4)" devices ())
(name "ep_bbonz" year "199?" manufacturer "Maygay" desc "Bingo Bonanza (Maygay - Union) (EPOCH) (set 1)" devices ())
(name "ep_bbonza" year "199?" manufacturer "Maygay" desc "Bingo Bonanza (Maygay - Union) (EPOCH) (set 2)" devices ())
(name "ep_beav3" year "2001" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 3.3, set 1)" devices ())
(name "ep_beav3a" year "2001" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 3.3, set 2)" devices ())
(name "ep_beav3b" year "2002" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 4.2, set 3)" devices ())
(name "ep_beav3c" year "2002" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 4.2, set 4)" devices ())
(name "ep_beavr" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 1)" devices ())
(name "ep_beavra" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 2)" devices ())
(name "ep_beavrb" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 3)" devices ())
(name "ep_beavrc" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 4)" devices ())
(name "ep_beavrd" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 5)" devices ())
(name "ep_beavre" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 6)" devices ())
(name "ep_beavrf" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 7)" devices ())
(name "ep_beavrg" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 8)" devices ())
(name "ep_beavrh" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 9)" devices ())
(name "ep_beavri" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 10)" devices ())
(name "ep_beavrj" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 11)" devices ())
(name "ep_beavrk" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 12)" devices ())
(name "ep_beavrl" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 13)" devices ())
(name "ep_beavrm" year "199?" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (set 14)" devices ())
(name "ep_beavrn" year "2002" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 2.3, set 5)" devices ())
(name "ep_beavro" year "2002" manufacturer "Global" desc "Casino Beaver Las Vegas (Global) (EPOCH) (CA000720, 2.3, set 6)" devices ())
(name "ep_bingb" year "1998" manufacturer "Maygay" desc "Bingo Belle (Maygay) (EPOCH) (1.3, set 1)" devices ())
(name "ep_bingba" year "1998" manufacturer "Maygay" desc "Bingo Belle (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_bjclb" year "199?" manufacturer "Global" desc "The Blackjack Club (Global) (EPOCH)" devices ())
(name "ep_braid" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.1, set 1)" devices ())
(name "ep_braida" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.1, set 2)" devices ())
(name "ep_braidb" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.5, set 3)" devices ())
(name "ep_braidc" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.5, set 4)" devices ())
(name "ep_braidd" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.5, set 5)" devices ())
(name "ep_braide" year "199?" manufacturer "Extreme" desc "Bank Raid (Extreme) (EPOCH) (BARA 0.5, set 6)" devices ())
(name "ep_bubsq" year "199?" manufacturer "Maygay" desc "Bubble & Squeak (Extreme) (EPOCH) (BASQ 0.2, set 1)" devices ())
(name "ep_bubsqa" year "199?" manufacturer "Maygay" desc "Bubble & Squeak (Extreme) (EPOCH) (BASQ 0.2, set 2)" devices ())
(name "ep_bubsqb" year "199?" manufacturer "Maygay" desc "Bubble & Squeak (Extreme) (EPOCH) (BASQ 0.3, set 3)" devices ())
(name "ep_bubsqc" year "199?" manufacturer "Maygay" desc "Bubble & Squeak (Extreme) (EPOCH) (BASQ 0.3, set 4)" devices ())
(name "ep_bubsqd" year "199?" manufacturer "Maygay" desc "Bubble & Squeak (Extreme) (EPOCH) (BASQ 0.4, set 5)" devices ())
(name "ep_bvrcl" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_bvrcla" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_bvrclb" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_bvrclc" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_bvrcld" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_bvrcle" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_bvrclf" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_bvrclg" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 8)" devices ())
(name "ep_bvrclh" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 9)" devices ())
(name "ep_bvrcli" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 10)" devices ())
(name "ep_bvrclj" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 11)" devices ())
(name "ep_bvrclk" year "199?" manufacturer "Global" desc "Beaver Las Vegas Club (Global) (EPOCH) (set 12)" devices ())
(name "ep_bvruc" year "199?" manufacturer "Global" desc "Beaver Uncovered (Global) (EPOCH) (1.4, set 1)" devices ())
(name "ep_bvruca" year "199?" manufacturer "Global" desc "Beaver Uncovered (Global) (EPOCH) (1.4, set 2)" devices ())
(name "ep_bvrucb" year "199?" manufacturer "Global" desc "Beaver Uncovered (Global) (EPOCH) (1.6, set 3)" devices ())
(name "ep_bvrucc" year "199?" manufacturer "Global" desc "Beaver Uncovered (Global) (EPOCH) (2.3, set 4)" devices ())
(name "ep_cahoy" year "199?" manufacturer "Maygay - Eclipse?" desc "Cash Ahoy (Maygay - Eclipse?) (EPOCH) (set 1)" devices ())
(name "ep_cahoya" year "199?" manufacturer "Maygay" desc "Cash Ahoy (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_cahoyb" year "199?" manufacturer "Maygay" desc "Cash Ahoy (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_calyp" year "1998" manufacturer "Maygay" desc "Calypso (Maygay) (EPOCH) (2.2, set 1)" devices ())
(name "ep_calypa" year "1998" manufacturer "Maygay" desc "Calypso (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_cascz" year "199?" manufacturer "Global" desc "Casino Crazy (Global) (EPOCH) (set 1)" devices ())
(name "ep_cascza" year "199?" manufacturer "Global" desc "Casino Crazy (Global) (EPOCH) (2.1, set 2)" devices ())
(name "ep_casgc" year "199?" manufacturer "Maygay" desc "Casino Grand Club (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_casgca" year "199?" manufacturer "Maygay" desc "Casino Grand Club (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_casgcb" year "199?" manufacturer "Maygay" desc "Casino Grand Club (Maygay) (EPOCH) (1.4, set 3)" devices ())
(name "ep_casgcc" year "199?" manufacturer "Maygay" desc "Casino Grand Club (Maygay) (EPOCH) (1.4, set 4)" devices ())
(name "ep_cashn" year "199?" manufacturer "Maygay" desc "Cashino (Maygay - Extreme) (EPOCH) (CSHI 1.0, set 1)" devices ())
(name "ep_cashna" year "199?" manufacturer "Maygay" desc "Cashino (Maygay - Extreme) (EPOCH) (CSHI 1.0, set 2)" devices ())
(name "ep_casrd" year "199?" manufacturer "Maygay" desc "Casino Royale Deluxe Club (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_casrda" year "199?" manufacturer "Maygay" desc "Casino Royale Deluxe Club (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_cbrcl" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_cbrcla" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_cbrclb" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_cbrclc" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_cbrcld" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_cbrcle" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_cbrclf" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_cbrclg" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 8)" devices ())
(name "ep_cbrclh" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 9)" devices ())
(name "ep_cbrcli" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 10)" devices ())
(name "ep_cbrclj" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 11)" devices ())
(name "ep_cbrclk" year "199?" manufacturer "Global" desc "Cannonball Run Club (Global) (EPOCH) (set 12)" devices ())
(name "ep_cbrun" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (2.2, set 1)" devices ())
(name "ep_cbruna" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (2.2, set 2)" devices ())
(name "ep_cbrunb" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (2.4, set 3)" devices ())
(name "ep_cbrunc" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (2.4, set 4)" devices ())
(name "ep_cbrund" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (3.1, set 5)" devices ())
(name "ep_cbrune" year "199?" manufacturer "Global" desc "Cannonball Run (Global) (EPOCH) (3.1, set 6)" devices ())
(name "ep_cclas" year "199?" manufacturer "Global" desc "Casino Classic (Global) (EPOCH) (set 1)" devices ())
(name "ep_cclasa" year "199?" manufacturer "Global" desc "Casino Classic (Global) (EPOCH) (set 2)" devices ())
(name "ep_ccock" year "199?" manufacturer "Maygay" desc "Cash Cocktail (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_ccocka" year "199?" manufacturer "Maygay" desc "Cash Cocktail (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_ccockb" year "199?" manufacturer "Maygay" desc "Cash Cocktail (Maygay) (EPOCH) (1.1, set 3)" devices ())
(name "ep_ccockc" year "199?" manufacturer "Maygay" desc "Cash Cocktail (Maygay) (EPOCH) (1.1, set 4)" devices ())
(name "ep_cdspn" year "199?" manufacturer "Maygay" desc "Cardinal Spin (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_cdspna" year "199?" manufacturer "Maygay" desc "Cardinal Spin (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_cfall" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_cfalla" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_cfallb" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (1.3, set 3)" devices ())
(name "ep_cfallc" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (2.3, set 4)" devices ())
(name "ep_cfalld" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (2.3, set 5)" devices ())
(name "ep_cfalle" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (3.2, set 6)" devices ())
(name "ep_cfallf" year "1998" manufacturer "Maygay" desc "Cash Falls (Maygay) (EPOCH) (3.2, set 7)" devices ())
(name "ep_cflow" year "1998" manufacturer "Maygay" desc "Cash Flow (Maygay) (EPOCH) (3.7, set 1)" devices ())
(name "ep_cflowa" year "1998" manufacturer "Maygay" desc "Cash Flow (Maygay) (EPOCH) (3.2, set 2)" devices ())
(name "ep_cflowc" year "1999" manufacturer "Maygay" desc "Cash Flow (Maygay) (EPOCH) (3.A, set 3)" devices ())
(name "ep_cflowd" year "1999" manufacturer "Maygay" desc "Cash Flow (Maygay) (EPOCH) (3.A, set 4)" devices ())
(name "ep_cgord" year "199?" manufacturer "Maygay" desc "Cash Gordon (Maygay) (EPOCH) (2.1, set 1)" devices ())
(name "ep_cgorda" year "199?" manufacturer "Maygay" desc "Cash Gordon (Maygay) (EPOCH) (2.3, set 2)" devices ())
(name "ep_cgordb" year "199?" manufacturer "Maygay" desc "Cash Gordon (Maygay) (EPOCH) (2.3, set 3)" devices ())
(name "ep_cgordc" year "199?" manufacturer "Maygay" desc "Cash Gordon (Maygay) (EPOCH) (1.9, set 4)" devices ())
(name "ep_cgrc" year "199?" manufacturer "Global" desc "Casino Grand Classic (Global) (EPOCH) (set 1)" devices ())
(name "ep_cgrca" year "199?" manufacturer "Global" desc "Casino Grand Classic (Global) (EPOCH) (set 2)" devices ())
(name "ep_cgred" year "199?" manufacturer "Global" desc "Club Greed (Global) (EPOCH) (set 1)" devices ())
(name "ep_cgreda" year "199?" manufacturer "Global" desc "Club Greed (Global) (EPOCH) (set 2)" devices ())
(name "ep_chock" year "199?" manufacturer "Maygay" desc "Chocks Away (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_chocka" year "199?" manufacturer "Maygay" desc "Chocks Away (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_chockb" year "199?" manufacturer "Maygay" desc "Chocks Away (Maygay) (EPOCH) (1.1, set 3)" devices ())
(name "ep_cock" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 1)" devices ())
(name "ep_cocka" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 2)" devices ())
(name "ep_cockb" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 3)" devices ())
(name "ep_cockc" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 4)" devices ())
(name "ep_cockd" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 5)" devices ())
(name "ep_cocke" year "199?" manufacturer "Maygay" desc "Cock A Doodle Dosh (Maygay - Union) (EPOCH) (set 6)" devices ())
(name "ep_commd" year "199?" manufacturer "Maygay" desc "Complete Madness (Maygay) (EPOCH) (2.2, set 1)" devices ())
(name "ep_commda" year "199?" manufacturer "Maygay" desc "Complete Madness (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_commdb" year "199?" manufacturer "Maygay" desc "Complete Madness (Maygay) (EPOCH) (1.1, set 3)" devices ())
(name "ep_commdc" year "199?" manufacturer "Maygay" desc "Complete Madness (Maygay) (EPOCH) (1.2, set 4)" devices ())
(name "ep_commdd" year "199?" manufacturer "Maygay" desc "Complete Madness (Maygay) (EPOCH) (2.1, set 5)" devices ())
(name "ep_cor2" year "199?" manufacturer "Maygay" desc "Coronation Street 2 (Maygay) (EPOCH) (3.7, set 1)" devices ())
(name "ep_cor2a" year "199?" manufacturer "Maygay" desc "Coronation Street 2 (Maygay) (EPOCH) (3.7, set 2)" devices ())
(name "ep_cor2b" year "199?" manufacturer "Maygay" desc "Coronation Street 2 (Maygay) (EPOCH) (3.8, set 3)" devices ())
(name "ep_cor2c" year "199?" manufacturer "Maygay" desc "Coronation Street 2 (Maygay) (EPOCH) (3.8, set 4)" devices ())
(name "ep_cormn" year "199?" manufacturer "Maygay" desc "Coronation Street Monopoly Club (Maygay) (EPOCH) (1.7, set 1)" devices ())
(name "ep_cormna" year "199?" manufacturer "Maygay" desc "Coronation Street Monopoly Club (Maygay) (EPOCH) (1.7, set 2)" devices ())
(name "ep_cosc" year "199?" manufacturer "Maygay" desc "Carry On Screaming (Maygay) (EPOCH) (1.3, set 1)" devices ())
(name "ep_cosca" year "199?" manufacturer "Maygay" desc "Carry On Screaming (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_cow" year "1998" manufacturer "Maygay" desc "Carry On Winning (Maygay) (EPOCH) (1.3, set 1)" devices ())
(name "ep_cowa" year "1998" manufacturer "Maygay" desc "Carry On Winning (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_crazy" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (1.6, set 1)" devices ())
(name "ep_crazya" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (1.6, set 2)" devices ())
(name "ep_crazyb" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (2.6, set 3)" devices ())
(name "ep_crazyc" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (2.6, set 4)" devices ())
(name "ep_crazyd" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (1.9, set 5)" devices ())
(name "ep_crazye" year "199?" manufacturer "Maygay" desc "Reel Crazy (Maygay) (EPOCH) (1.9, set 6)" devices ())
(name "ep_crzbn" year "199?" manufacturer "Maygay" desc "Crazy Bingo (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_crzbna" year "199?" manufacturer "Maygay" desc "Crazy Bingo (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_crzbnb" year "199?" manufacturer "Maygay" desc "Crazy Bingo (Maygay) (EPOCH) (1.1 Gala, set 3)" devices ())
(name "ep_crzbnc" year "199?" manufacturer "Maygay" desc "Crazy Bingo (Maygay) (EPOCH) (1.1 Gala, set 4)" devices ())
(name "ep_cshpn" year "199?" manufacturer "Maygay" desc "Cash In The Pan (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_cshpna" year "199?" manufacturer "Maygay" desc "Cash In The Pan (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_cslay" year "199?" manufacturer "Global" desc "Cash Slayer (Global) (EPOCH) (1.4, set 1)" devices ())
(name "ep_cslaya" year "199?" manufacturer "Global" desc "Cash Slayer (Global) (EPOCH) (set 2)" devices ())
(name "ep_cstrk" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_cstrka" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_cstrkb" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_cstrkc" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_cstrkd" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_cstrke" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_cstrkf" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_cstrkg" year "199?" manufacturer "Global" desc "Crazy Streak Club (Global) (EPOCH) (set 8)" devices ())
(name "ep_ctc" year "199?" manufacturer "Global" desc "Cut Throat Cash (Global) (EPOCH) (1.2, set 1)" devices ())
(name "ep_ctca" year "199?" manufacturer "Global" desc "Cut Throat Cash (Global) (EPOCH) (1.2, set 2)" devices ())
(name "ep_ctit" year "199?" manufacturer "Maygay" desc "Cash Of The Titans (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_ctita" year "199?" manufacturer "Maygay" desc "Cash Of The Titans (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_cyc" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.2, set 1)" devices ())
(name "ep_cyca" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.2, set 2)" devices ())
(name "ep_cycb" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.3, set 3)" devices ())
(name "ep_cycc" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.3, set 4)" devices ())
(name "ep_cycd" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.1, set 5)" devices ())
(name "ep_cyce" year "199?" manufacturer "Extreme" desc "Cyclone (Extreme) (EPOCH) (CYCL 0.1, set 6)" devices ())
(name "ep_cycl" year "199?" manufacturer "Maygay" desc "Cyclone Club (Maygay) (EPOCH) (3.1, set 1)" devices ())
(name "ep_cycla" year "199?" manufacturer "Maygay" desc "Cyclone Club (Maygay) (EPOCH) (3.1, set 2)" devices ())
(name "ep_cyclb" year "199?" manufacturer "Maygay" desc "Cyclone Club (Maygay) (EPOCH) (2.1, set 3)" devices ())
(name "ep_dblim" year "199?" manufacturer "Maygay" desc "Double Impact (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_dblima" year "199?" manufacturer "Maygay" desc "Double Impact (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_dblimb" year "199?" manufacturer "Maygay" desc "Double Impact (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_dblimc" year "199?" manufacturer "Maygay" desc "Double Impact (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_dblimd" year "199?" manufacturer "Maygay" desc "Double Impact (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_ddq" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (1.4, set 1)" devices ())
(name "ep_ddqa" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (1.4, set 2)" devices ())
(name "ep_ddqb" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.1, set 3)" devices ())
(name "ep_ddqc" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.1, set 4)" devices ())
(name "ep_ddqcl" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_ddqcla" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_ddqclb" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_ddqclc" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_ddqcld" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_ddqcle" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_ddqclf" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_ddqclg" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens Club (Global) (EPOCH) (set 8)" devices ())
(name "ep_ddqd" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.2, set 5)" devices ())
(name "ep_ddqe" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.2, set 6)" devices ())
(name "ep_ddqf" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.4, set 7)" devices ())
(name "ep_ddqg" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.4, set 8)" devices ())
(name "ep_ddqh" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.5, set 9)" devices ())
(name "ep_ddqi" year "199?" manufacturer "Global" desc "Dungeons & Drag Queens (Global) (EPOCH) (2.5, set 10)" devices ())
(name "ep_dmbus" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 1)" devices ())
(name "ep_dmbusa" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 2)" devices ())
(name "ep_dmbusb" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 3)" devices ())
(name "ep_dmbusc" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 4)" devices ())
(name "ep_dmbusd" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 5)" devices ())
(name "ep_dmbuse" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 6)" devices ())
(name "ep_dmbusf" year "199?" manufacturer "Impulse" desc "Dambusters (Impulse) (EPOCH) (set 7)" devices ())
(name "ep_doubl" year "199?" manufacturer "Maygay" desc "Double Top (Maygay) (EPOCH) (1.4, set 1)" devices ())
(name "ep_doubla" year "199?" manufacturer "Maygay" desc "Double Top (Maygay) (EPOCH) (1.4, set 2)" devices ())
(name "ep_doublb" year "199?" manufacturer "Maygay" desc "Double Top (Maygay) (EPOCH) (1.6, set 3)" devices ())
(name "ep_doublc" year "199?" manufacturer "Maygay" desc "Double Top (Maygay) (EPOCH) (1.6, set 4)" devices ())
(name "ep_doubld" year "199?" manufacturer "Maygay" desc "Double Top (Maygay) (EPOCH) (1.4, set 5)" devices ())
(name "ep_duff" year "199?" manufacturer "Maygay" desc "The Simpsons - Duff Beer Guide (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_duffa" year "199?" manufacturer "Maygay" desc "The Simpsons - Duff Beer Guide (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_duffb" year "199?" manufacturer "Maygay" desc "The Simpsons - Duff Beer Guide (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_duffc" year "199?" manufacturer "Maygay" desc "The Simpsons - Duff Beer Guide (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_evil" year "199?" manufacturer "Maygay" desc "Evil Streak (Maygay) (EPOCH) (1.6, set 1)" devices ())
(name "ep_evila" year "199?" manufacturer "Maygay" desc "Evil Streak (Maygay) (EPOCH) (1.6, set 2)" devices ())
(name "ep_evilb" year "199?" manufacturer "Maygay" desc "Evil Streak (Maygay) (EPOCH) (1.4, set 3)" devices ())
(name "ep_fgods" year "2001" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_fgodsa" year "2001" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_fgodsb" year "2001" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (2.2, set 3)" devices ())
(name "ep_fgodsc" year "2001" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (2.2, set 4)" devices ())
(name "ep_fgodsd" year "2002" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (2.1, set 5)" devices ())
(name "ep_fgodse" year "2002" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (3.2, set 6)" devices ())
(name "ep_fgodsf" year "2002" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (1.1, set 7)" devices ())
(name "ep_fgodsg" year "2002" manufacturer "Maygay" desc "Fruit Of The Gods (Maygay) (EPOCH) (1.1, set 8)" devices ())
(name "ep_flash" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_flasha" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_flashb" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_flashc" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_flashd" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_flashe" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_flashf" year "199?" manufacturer "Maygay" desc "Flashback (Maygay - Impulse) (EPOCH) (set 7)" devices ())
(name "ep_fmf" year "199?" manufacturer "Global" desc "Full Moon Fever (Global) (EPOCH) (set 1)" devices ())
(name "ep_fmfa" year "199?" manufacturer "Global" desc "Full Moon Fever (Global) (EPOCH) (set 2)" devices ())
(name "ep_fnclb" year "199?" manufacturer "Maygay" desc "Fruit & Nudge Club (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_fnclba" year "199?" manufacturer "Maygay" desc "Fruit & Nudge Club (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_fog" year "199?" manufacturer "Global" desc "Fields of Gold (Global) (EPOCH) (set 1)" devices ())
(name "ep_foga" year "199?" manufacturer "Global" desc "Fields of Gold (Global) (EPOCH) (set 2)" devices ())
(name "ep_fortg" year "199?" manufacturer "Maygay" desc "Fortune & Glory (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_fortga" year "199?" manufacturer "Maygay" desc "Fortune & Glory (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_fortgb" year "199?" manufacturer "Maygay" desc "Fortune & Glory (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_fran" year "199?" manufacturer "Maygay" desc "Frantic (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_frana" year "199?" manufacturer "Maygay" desc "Frantic (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_fullm" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_fullma" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_fullmb" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_fullmc" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_fullmd" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_fullme" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_fullmf" year "199?" manufacturer "Maygay" desc "Full Moon Fever (Maygay - Impulse) (EPOCH) (set 7)" devices ())
(name "ep_funny" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_funnya" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_funnyb" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_funnyc" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_funnyd" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 5)" devices ())
(name "ep_funnye" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 6)" devices ())
(name "ep_funnyf" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 7)" devices ())
(name "ep_funnyg" year "199?" manufacturer "Maygay" desc "Funny Money (Maygay) (EPOCH) (set 8)" devices ())
(name "ep_geclb" year "1999" manufacturer "Maygay" desc "Great Escape Club (Maygay) (EPOCH) (1.C, set 1)" devices ())
(name "ep_geclba" year "1999" manufacturer "Maygay" desc "Great Escape Club (Maygay) (EPOCH) (1.C, set 2)" devices ())
(name "ep_geclbb" year "1998" manufacturer "Maygay" desc "Great Escape Club (Maygay) (EPOCH) (1.9, set 3)" devices ())
(name "ep_geron" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_gerona" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_geronb" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_geronc" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_gerond" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_gerone" year "199?" manufacturer "Maygay" desc "Geronimo (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_gesc2" year "2002" manufacturer "Maygay" desc "Great Escape 2 (Maygay) (EPOCH) (2.1, set 1)" devices ())
(name "ep_gesc2a" year "2002" manufacturer "Maygay" desc "Great Escape 2 (Maygay) (EPOCH) (2.1, set 2)" devices ())
(name "ep_gldtp" year "2002" manufacturer "Maygay" desc "Gold Top (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_gldtpa" year "2002" manufacturer "Maygay" desc "Gold Top (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_goldf" year "199?" manufacturer "Impulse" desc "Gold Fever (Impulse) (EPOCH)" devices ())
(name "ep_greed" year "199?" manufacturer "Global" desc "Greed (Global) (EPOCH) (1.3, set 1)" devices ())
(name "ep_greeda" year "199?" manufacturer "Global" desc "Greed (Global) (EPOCH) (1.3, set 2)" devices ())
(name "ep_gresc" year "2002" manufacturer "Maygay" desc "Great Escape (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_gresca" year "2002" manufacturer "Maygay" desc "Great Escape (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_gridr" year "199?" manufacturer "Maygay" desc "Gridrunner (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_gridra" year "199?" manufacturer "Maygay" desc "Gridrunner (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_gridrb" year "199?" manufacturer "Maygay" desc "Gridrunner (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_gridrc" year "199?" manufacturer "Maygay" desc "Gridrunner (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_gridrd" year "199?" manufacturer "Maygay" desc "Gridrunner (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_grncl" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_grncla" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_grnclb" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_grnclc" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_grun" year "199?" manufacturer "Global" desc "Grid Runner (Global) (EPOCH) (set 1)" devices ())
(name "ep_gruna" year "199?" manufacturer "Global" desc "Grid Runner (Global) (EPOCH) (set 2)" devices ())
(name "ep_gtrot" year "199?" manufacturer "Global" desc "Globe Trotter (Global) (EPOCH) (set 1)" devices ())
(name "ep_gtrota" year "199?" manufacturer "Global" desc "Globe Trotter (Global) (EPOCH) (set 2)" devices ())
(name "ep_heybc" year "199?" manufacturer "Global" desc "Hey Big Spender Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_heybca" year "199?" manufacturer "Global" desc "Hey Big Spender Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_heybg" year "199?" manufacturer "Global" desc "Hey Big Spender (Global) (EPOCH) (set 1)" devices ())
(name "ep_heybga" year "199?" manufacturer "Global" desc "Hey Big Spender (Global) (EPOCH) (set 2)" devices ())
(name "ep_heybgb" year "199?" manufacturer "Global" desc "Hey Big Spender (Global) (EPOCH) (set 3)" devices ())
(name "ep_heybgc" year "199?" manufacturer "Global" desc "Hey Big Spender (Global) (EPOCH) (set 4)" devices ())
(name "ep_hhclb" year "2002" manufacturer "Maygay" desc "Haunted House Club (Maygay) (EPOCH) (1.4, set 1)" devices ())
(name "ep_hhclba" year "2002" manufacturer "Maygay" desc "Haunted House Club (Maygay) (EPOCH) (1.4, set 2)" devices ())
(name "ep_hhclbb" year "2000" manufacturer "Maygay" desc "Haunted House Club (Maygay) (EPOCH) (1.1, set 3)" devices ())
(name "ep_hhclbc" year "2000" manufacturer "Maygay" desc "Haunted House Club (Maygay) (EPOCH) (1.1, set 4)" devices ())
(name "ep_highv" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_highva" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_highvb" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_highvc" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_highvd" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_highve" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_highvf" year "199?" manufacturer "Maygay" desc "High Voltage (Maygay - Impulse) (EPOCH) (set 7)" devices ())
(name "ep_hiscl" year "199?" manufacturer "Global" desc "Hi Spirits Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_hiscla" year "199?" manufacturer "Global" desc "Hi Spirits Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_hispr" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (1.A, set 1)" devices ())
(name "ep_hispra" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (1.A, set 2)" devices ())
(name "ep_hisprb" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (4.2, set 3)" devices ())
(name "ep_hisprc" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (4.2, set 4)" devices ())
(name "ep_hisprd" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (3.2, set 5)" devices ())
(name "ep_hispre" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (3.2, set 6)" devices ())
(name "ep_hogmn" year "199?" manufacturer "Maygay" desc "Hog Money (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_hogmna" year "199?" manufacturer "Maygay" desc "Hog Money (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_hogmnb" year "199?" manufacturer "Maygay" desc "Hog Money (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_homer" year "2000" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.A, set 1)" devices ())
(name "ep_homera" year "2002" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (3.2, set 3)" devices ())
(name "ep_homerb" year "2002" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (3.2, set 4)" devices ())
(name "ep_homerc" year "2002" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.B, set 5)" devices ())
(name "ep_homerd" year "2002" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.B, set 6)" devices ())
(name "ep_homere" year "2003" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (3.1, set 7)" devices ())
(name "ep_homerf" year "2003" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (3.1, set 8)" devices ())
(name "ep_homerg" year "2003" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.1, set 9)" devices ())
(name "ep_homerh" year "2003" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.1, set 10)" devices ())
(name "ep_homeri" year "2000" manufacturer "Maygay" desc "The Simpsons - Homer's Meltdown (Maygay) (EPOCH) (2.9, set 2)" devices ())
(name "ep_htdgs" year "199?" manufacturer "Maygay" desc "Hot Dogs (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_htdgsa" year "199?" manufacturer "Maygay" desc "Hot Dogs (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_hubbl" year "199?" manufacturer "Maygay" desc "Hubble Bubble (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_hubbla" year "199?" manufacturer "Maygay" desc "Hubble Bubble (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_hur" year "199?" manufacturer "Global" desc "Hurricane (Global) (EPOCH) (set 1)" devices ())
(name "ep_hura" year "199?" manufacturer "Global" desc "Hurricane (Global) (EPOCH) (set 2)" devices ())
(name "ep_hurb" year "199?" manufacturer "Global" desc "Hurricane (Global) (EPOCH) (set 3)" devices ())
(name "ep_huric" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_hurica" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_huricb" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_huricc" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_huricd" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_hurice" year "199?" manufacturer "Maygay" desc "Hurricane (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_hvns" year "199?" manufacturer "Maygay" desc "Heavens Above (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_hvnsa" year "199?" manufacturer "Maygay" desc "Heavens Above (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_hyst" year "199?" manufacturer "Maygay" desc "Hysteria (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_hysta" year "199?" manufacturer "Maygay" desc "Hysteria (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_icebg" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.4, set 1)" devices ())
(name "ep_icebga" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_icebgb" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.4, set 3)" devices ())
(name "ep_icebgc" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.3, set 4)" devices ())
(name "ep_icebgd" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.1, set 5)" devices ())
(name "ep_icebge" year "2002" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.1, set 6)" devices ())
(name "ep_icebgf" year "2003" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.3, set 7)" devices ())
(name "ep_icebgg" year "2003" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.3, set 8)" devices ())
(name "ep_icebgh" year "2003" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.4, set 9)" devices ())
(name "ep_icebgi" year "2003" manufacturer "Maygay" desc "Ice Burger (Maygay) (EPOCH) (1.4, set 10)" devices ())
(name "ep_ifern" year "199?" manufacturer "Impulse" desc "Inferno (Impulse) (EPOCH) (set 1)" devices ())
(name "ep_iferna" year "199?" manufacturer "Impulse" desc "Inferno (Impulse) (EPOCH) (set 2)" devices ())
(name "ep_ijcl" year "2002" manufacturer "Maygay" desc "The Italian Job Club (Maygay) (EPOCH) (2.6, set 1)" devices ())
(name "ep_ijcla" year "2002" manufacturer "Maygay" desc "The Italian Job Club (Maygay) (EPOCH) (2.5, set 2)" devices ())
(name "ep_ijob" year "2001" manufacturer "Maygay" desc "The Italian Job (Maygay) (EPOCH, v2.1)" devices ())
(name "ep_ijoba" year "2001" manufacturer "Maygay" desc "The Italian Job (Maygay) (EPOCH, v1.1)" devices ())
(name "ep_imj" year "199?" manufacturer "Global" desc "I'm A Jackpot (Global) (EPOCH) (1.5)" devices ())
(name "ep_inca" year "199?" manufacturer "Maygay" desc "Inca Dinka Do (Maygay - Extreme) (EPOCH) (INCA 1.2, set 1)" devices ())
(name "ep_incaa" year "199?" manufacturer "Maygay" desc "Inca Dinka Do (Maygay - Extreme) (EPOCH) (INCA 1.2, set 2)" devices ())
(name "ep_incab" year "199?" manufacturer "Maygay" desc "Inca Dinka Do (Maygay - Extreme) (EPOCH) (INCA 1.1, set 3)" devices ())
(name "ep_itjb2" year "2002" manufacturer "Maygay" desc "The Italian Job 2 (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_itjb2a" year "2002" manufacturer "Maygay" desc "The Italian Job 2 (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_itjb2b" year "2002" manufacturer "Maygay" desc "The Italian Job 2 (Maygay) (EPOCH) (2.3, set 3)" devices ())
(name "ep_itjb2c" year "2002" manufacturer "Maygay" desc "The Italian Job 2 (Maygay) (EPOCH) (2.3, set 4)" devices ())
(name "ep_itjb3" year "199?" manufacturer "Maygay" desc "Italian Job 3 (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_itjb3a" year "199?" manufacturer "Maygay" desc "Italian Job 3 (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_jakbn" year "199?" manufacturer "Maygay" desc "Jackpot & The Beanstreak (Extreme) (EPOCH) (JABS 0.3, set 1)" devices ())
(name "ep_jakbna" year "199?" manufacturer "Maygay" desc "Jackpot & The Beanstreak (Extreme) (EPOCH) (JABS 0.3, set 2)" devices ())
(name "ep_jakbnb" year "199?" manufacturer "Maygay" desc "Jackpot & The Beanstreak (Extreme) (EPOCH) (JABS 0.5, set 3)" devices ())
(name "ep_jakbnc" year "199?" manufacturer "Maygay" desc "Jackpot & The Beanstreak (Extreme) (EPOCH) (JABS 0.5, set 4)" devices ())
(name "ep_jsttt" year "2002" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (4.2, set 1)" devices ())
(name "ep_jsttta" year "2002" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (4.2, set 2)" devices ())
(name "ep_jstttb" year "2002" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.5, set 3)" devices ())
(name "ep_jstttc" year "2002" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.4, set 4)" devices ())
(name "ep_jstttd" year "2003" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.5, set 5)" devices ())
(name "ep_jsttte" year "2003" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.5, set 6)" devices ())
(name "ep_jstttf" year "2003" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.6, set 7)" devices ())
(name "ep_jstttg" year "2003" manufacturer "Maygay" desc "Just The Ticket (Maygay) (EPOCH) (3.6, set 8)" devices ())
(name "ep_kopcl" year "199?" manufacturer "Global" desc "Knockout Punch Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_kopcla" year "199?" manufacturer "Global" desc "Knockout Punch Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_kopclb" year "199?" manufacturer "Global" desc "Knockout Punch Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_ll" year "199?" manufacturer "Extreme" desc "Lucky Ladders (Extreme) (EPOCH) (LULA 0.3, set 1)" devices ())
(name "ep_lla" year "199?" manufacturer "Extreme" desc "Lucky Ladders (Extreme) (EPOCH) (LULA 0.3, set 2)" devices ())
(name "ep_loadd" year "199?" manufacturer "Maygay" desc "Loaded (Maygay) (EPOCH) (LOAD 1.2, set 1)" devices ())
(name "ep_loadda" year "199?" manufacturer "Maygay" desc "Loaded (Maygay) (EPOCH) (LOAD 1.2, set 2)" devices ())
(name "ep_ltt" year "199?" manufacturer "Global" desc "Licence To Thrill (Global) (EPOCH) (set 1)" devices ())
(name "ep_ltta" year "199?" manufacturer "Global" desc "Licence To Thrill (Global) (EPOCH) (set 2)" devices ())
(name "ep_lug" year "1999" manufacturer "Maygay" desc "London Underground (Maygay) (EPOCH) (2.4, set 1)" devices ())
(name "ep_luga" year "1999" manufacturer "Maygay" desc "London Underground (Maygay) (EPOCH) (2.9, set 2)" devices ())
(name "ep_lugb" year "2002" manufacturer "Maygay" desc "London Underground (Maygay) (EPOCH) (3.1, set 3)" devices ())
(name "ep_lugc" year "2002" manufacturer "Maygay" desc "London Underground (Maygay) (EPOCH) (3.1, set 4)" devices ())
(name "ep_lukld" year "199?" manufacturer "Maygay" desc "Lucky Ladders (Maygay) (EPOCH) (LULA 0.2, set 1)" devices ())
(name "ep_luklda" year "199?" manufacturer "Maygay" desc "Lucky Ladders (Maygay) (EPOCH) (LULA 0.2, set 2)" devices ())
(name "ep_makmv" year "199?" manufacturer "Global" desc "Make Your Move (Global) (EPOCH) (set 1)" devices ())
(name "ep_makmva" year "199?" manufacturer "Global" desc "Make Your Move (Global) (EPOCH) (set 2)" devices ())
(name "ep_manic" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_manica" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_manicb" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_manicc" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_manicd" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_manice" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_manicf" year "199?" manufacturer "Maygay" desc "Manic Miner (Maygay - Impulse) (EPOCH) (set 7)" devices ())
(name "ep_mario" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_marioa" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_mariob" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.A, set 3)" devices ())
(name "ep_marioc" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.A, set 4)" devices ())
(name "ep_mariod" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (2.A, set 5)" devices ())
(name "ep_marioe" year "1997" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (2.A, set 6)" devices ())
(name "ep_mariof" year "1999" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.C, set 7)" devices ())
(name "ep_mariog" year "1999" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.C, set 8)" devices ())
(name "ep_marioh" year "1998" manufacturer "Maygay" desc "Super Mario (Maygay) (EPOCH) (1.B, set 9)" devices ())
(name "ep_matrx" year "199?" manufacturer "Maygay" desc "Matrix (Maygay - Impulse) (EPOCH)" devices ())
(name "ep_merln" year "1999" manufacturer "Maygay" desc "Merlin's Magic (Maygay) (EPOCH) (1.91)" devices ())
(name "ep_midas" year "1998" manufacturer "Maygay" desc "Midas Touch Club (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_midasa" year "1998" manufacturer "Maygay" desc "Midas Touch Club (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_milhr" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.2, set 1)" devices ())
(name "ep_milhra" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.2, set 2)" devices ())
(name "ep_milhrb" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.3, set 3)" devices ())
(name "ep_milhrc" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.3, set 4)" devices ())
(name "ep_milhrd" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.6, set 5)" devices ())
(name "ep_milhre" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.6, set 6)" devices ())
(name "ep_milhrf" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.9, set 7)" devices ())
(name "ep_milhrg" year "199?" manufacturer "Global" desc "Who Wants To Be A Millionhare? (Global) (EPOCH) (1.9, set 8)" devices ())
(name "ep_mkart" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_mkarta" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_mkartb" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.6, set 3)" devices ())
(name "ep_mkartc" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.6, set 4)" devices ())
(name "ep_mkartd" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.1, set 5)" devices ())
(name "ep_mkarte" year "1999" manufacturer "Maygay" desc "Mario Kart (Maygay) (EPOCH) (1.5, set 6)" devices ())
(name "ep_mlhrc" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_mlhrca" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_mlhrcb" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_mlhrcc" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_mlhrcd" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_mlhrce" year "199?" manufacturer "Global" desc "Who Whats To Be A Millionhare Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_monbs" year "199?" manufacturer "Maygay" desc "Monte Carlo Or Bust (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_monbsa" year "199?" manufacturer "Maygay" desc "Monte Carlo Or Bust (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_monky" year "199?" manufacturer "Global" desc "Monkey Business (Global) (EPOCH) (1.4, set 1)" devices ())
(name "ep_monkya" year "199?" manufacturer "Global" desc "Monkey Business (Global) (EPOCH) (1.5, set 2)" devices ())
(name "ep_monrt" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_monrta" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_monrtb" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_monrtc" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_monrtd" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_monrte" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_monrtf" year "199?" manufacturer "Global" desc "The Money Returns Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_monsh" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_monsha" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_monshb" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 3)" devices ())
(name "ep_monshc" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 4)" devices ())
(name "ep_monshd" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 5)" devices ())
(name "ep_monshe" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 6)" devices ())
(name "ep_monshf" year "199?" manufacturer "Global" desc "The Moonshine Club (Global) (EPOCH) (set 7)" devices ())
(name "ep_mrmus" year "199?" manufacturer "Maygay" desc "Mr Muscle (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_mrmusa" year "199?" manufacturer "Maygay" desc "Mr Muscle (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_mummy" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 1)" devices ())
(name "ep_mummya" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 2)" devices ())
(name "ep_mummyb" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 3)" devices ())
(name "ep_mummyc" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 4)" devices ())
(name "ep_mummyd" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 5)" devices ())
(name "ep_mummye" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 6)" devices ())
(name "ep_mummyf" year "199?" manufacturer "Impulse" desc "Mummy Talks (Impulse) (EPOCH) (set 7)" devices ())
(name "ep_mwom" year "199?" manufacturer "Maygay" desc "Mortal Wombat (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_mwoma" year "199?" manufacturer "Maygay" desc "Mortal Wombat (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_mwomb" year "199?" manufacturer "Maygay" desc "Mortal Wombat (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_mwomc" year "199?" manufacturer "Maygay" desc "Mortal Wombat (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_mwomd" year "199?" manufacturer "Maygay" desc "Mortal Wombat (Maygay) (EPOCH) (set 5)" devices ())
(name "ep_noter" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 0.1, set 1)" devices ())
(name "ep_notera" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 0.1, set 2)" devices ())
(name "ep_noterb" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 0.2, set 3)" devices ())
(name "ep_noterc" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 0.2, set 4)" devices ())
(name "ep_noterd" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 1.0, set 5)" devices ())
(name "ep_notere" year "199?" manufacturer "Maygay" desc "Note Runner (Maygay) (EPOCH) (NORU 1.0, set 6)" devices ())
(name "ep_nuns" year "199?" manufacturer "Maygay" desc "Nuns Of Navarone (Maygay) (EPOCH) (2.4, set 1)" devices ())
(name "ep_nunsa" year "199?" manufacturer "Maygay" desc "Nuns Of Navarone (Maygay) (EPOCH) (2.4, set 2)" devices ())
(name "ep_nyny" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (3.6, set 1)" devices ())
(name "ep_nynya" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (3.6, set 2)" devices ())
(name "ep_nynyb" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (4.6, set 3)" devices ())
(name "ep_nynyc" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (4.6, set 4)" devices ())
(name "ep_nynyd" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (3.A, set 5)" devices ())
(name "ep_nynye" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (3.A, set 6)" devices ())
(name "ep_nynyf" year "1998" manufacturer "Maygay" desc "New York New York (Maygay) (EPOCH) (3.9, set 7)" devices ())
(name "ep_otm" year "199?" manufacturer "Maygay" desc "Over The Moon (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_otma" year "199?" manufacturer "Maygay" desc "Over The Moon (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_otmcl" year "199?" manufacturer "Maygay" desc "Over The Moon Club (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_otmcla" year "199?" manufacturer "Maygay" desc "Over The Moon Club (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_ozzie" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (2.Z, set 1)" devices ())
(name "ep_ozziea" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) ( .2, set 2)" devices ())
(name "ep_ozzieb" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (5.J, set 3)" devices ())
(name "ep_ozziec" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (6.J, set 4)" devices ())
(name "ep_ozzied" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (1.1, set 5)" devices ())
(name "ep_ozziee" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (1.1, set 6)" devices ())
(name "ep_ozzief" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (2.Z, set 7)" devices ())
(name "ep_ozzieg" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (0.2, set 8)" devices ())
(name "ep_ozzieh" year "199?" manufacturer "Maygay" desc "Ozzie Ozzie Ozzie (Maygay) (EPOCH) (0.2, set 9)" devices ())
(name "ep_party" year "1998" manufacturer "Global" desc "Party Party (Global) (EPOCH) (1.1)" devices ())
(name "ep_pascl" year "199?" manufacturer "Maygay" desc "Passport To Riches Classic Club (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_pascla" year "199?" manufacturer "Maygay" desc "Passport To Riches Classic Club (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_passp" year "199?" manufacturer "Maygay" desc "Passport To Riches Club (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_passpa" year "199?" manufacturer "Maygay" desc "Passport To Riches Club (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_passpb" year "199?" manufacturer "Maygay" desc "Passport To Riches Classic Club (Maygay) (EPOCH) (1.3, set 3)" devices ())
(name "ep_passpc" year "199?" manufacturer "Maygay" desc "Passport To Riches Classic Club (Maygay) (EPOCH) (1.3, set 4)" devices ())
(name "ep_pesos" year "199?" manufacturer "Maygay" desc "Pick Yer Pesos (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_pesosa" year "199?" manufacturer "Maygay" desc "Pick Yer Pesos (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_pesosb" year "199?" manufacturer "Maygay" desc "Pick Yer Pesos (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_pesosc" year "199?" manufacturer "Maygay" desc "Pick Yer Pesos (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_pharo" year "199?" manufacturer "Maygay" desc "Pharaoh's Treasure (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_pharoa" year "199?" manufacturer "Maygay" desc "Pharaoh's Treasure (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_pizza" year "199?" manufacturer "Maygay" desc "Pizza The Action (Maygay) (EPOCH) (2.3, set 1)" devices ())
(name "ep_pizzaa" year "199?" manufacturer "Maygay" desc "Pizza The Action (Maygay) (EPOCH) (2.3, set 2)" devices ())
(name "ep_pizzab" year "199?" manufacturer "Maygay" desc "Pizza The Action (Maygay) (EPOCH) (2.1, set 3)" devices ())
(name "ep_pizzac" year "199?" manufacturer "Maygay" desc "Pizza The Action (Maygay) (EPOCH) (2.1, set 4)" devices ())
(name "ep_pkni" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.1, set 1)" devices ())
(name "ep_pknia" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.1, set 2)" devices ())
(name "ep_pknib" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.3, set 3)" devices ())
(name "ep_pknic" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.3, set 4)" devices ())
(name "ep_pknid" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.4, set 5)" devices ())
(name "ep_pknie" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.7, set 6)" devices ())
(name "ep_pknif" year "199?" manufacturer "Global" desc "The Phoenix Knights (Global) (EPOCH) (1.7, set 7)" devices ())
(name "ep_pwrpl" year "199?" manufacturer "Maygay" desc "Power Play (Maygay) (EPOCH) (PPLY 0.3, set 1)" devices ())
(name "ep_pwrpla" year "199?" manufacturer "Maygay" desc "Power Play (Maygay) (EPOCH) (PPLY 0.3, set 2)" devices ())
(name "ep_rags" year "199?" manufacturer "Maygay" desc "Rags To Riches Club (Maygay) (EPOCH) (1.10, set 1)" devices ())
(name "ep_ragsa" year "199?" manufacturer "Maygay" desc "Rags To Riches Club (Maygay) (EPOCH) (1.10, set 2)" devices ())
(name "ep_rchik" year "199?" manufacturer "Global" desc "Rich Chics Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_rchika" year "199?" manufacturer "Global" desc "Rich Chics Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_react" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_reacta" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_reactb" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_reactc" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_reactd" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_reacte" year "199?" manufacturer "Maygay" desc "Reactor (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_redl" year "199?" manufacturer "Extreme" desc "Red Line (Extreme) (EPOCH) (RELI 0.1, set 1)" devices ())
(name "ep_redla" year "199?" manufacturer "Extreme" desc "Red Line (Extreme) (EPOCH) (RELI 0.1, set 2)" devices ())
(name "ep_rlgdt" year "199?" manufacturer "Global" desc "Reel Good Time (Rebuild) (Global) (Version 1.0) (EPOCH)" devices ())
(name "ep_roost" year "199?" manufacturer "Maygay" desc "Roosters Millions (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_roosta" year "199?" manufacturer "Maygay" desc "Roosters Millions (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_royrc" year "199?" manufacturer "Impulse" desc "Royal Roulette Club (Impulse) (EPOCH) (set 1)" devices ())
(name "ep_royrca" year "199?" manufacturer "Impulse" desc "Royal Roulette Club (Impulse) (EPOCH) (set 2)" devices ())
(name "ep_royrl" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_royrla" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_royrlb" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_royrlc" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_royrld" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 5)" devices ())
(name "ep_royrle" year "199?" manufacturer "Maygay" desc "Royal Roulette (Maygay) (EPOCH) (set 6)" devices ())
(name "ep_rtt" year "199?" manufacturer "Maygay" desc "Round The Twist (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_rtta" year "199?" manufacturer "Maygay" desc "Round The Twist (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_scrm" year "199?" manufacturer "Maygay" desc "Screamin Demon (Maygay) (EPOCH) (SCDE 2.0, set 1)" devices ())
(name "ep_scrma" year "199?" manufacturer "Maygay" desc "Screamin Demon (Maygay) (EPOCH) (SCDE 2.0, set 2)" devices ())
(name "ep_scrmb" year "199?" manufacturer "Maygay" desc "Screamin Demon (Maygay) (EPOCH) (SCDE 1.0, set 3)" devices ())
(name "ep_scrmc" year "199?" manufacturer "Maygay" desc "Screamin Demon (Maygay) (EPOCH) (SCDE 1.0, set 4)" devices ())
(name "ep_sdcla" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 1)" devices ())
(name "ep_sdclaa" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 2)" devices ())
(name "ep_sdclab" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 3)" devices ())
(name "ep_sdclac" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 4)" devices ())
(name "ep_sdclad" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 5)" devices ())
(name "ep_sdclae" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 6)" devices ())
(name "ep_sdclaf" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 7)" devices ())
(name "ep_sdclag" year "199?" manufacturer "Global" desc "Spotted Dick Classic (Global) (EPOCH) (set 8)" devices ())
(name "ep_sdclb" year "199?" manufacturer "Global" desc "Spotted Dick Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_sdclba" year "199?" manufacturer "Global" desc "Spotted Dick Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_secag" year "2002" manufacturer "Maygay" desc "Secret Agent (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_secaga" year "2002" manufacturer "Maygay" desc "Secret Agent (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_secagb" year "2000" manufacturer "Maygay" desc "Secret Agent (Maygay) (EPOCH) (1.3, set 3)" devices ())
(name "ep_simfr" year "199?" manufacturer "Maygay" desc "Simply Fruits (Maygay) (EPOCH) (1.2, set 1)" devices ())
(name "ep_simfra" year "199?" manufacturer "Maygay" desc "Simply Fruits (Maygay) (EPOCH) (1.2, set 2)" devices ())
(name "ep_simp" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (3.6, set 1)" devices ())
(name "ep_simpa" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (3.5, set 2)" devices ())
(name "ep_simpb" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (3.5, set 3)" devices ())
(name "ep_simpc" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (4.5, set 4)" devices ())
(name "ep_simpd" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (4.5, set 5)" devices ())
(name "ep_simpe" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (1.5, set 6)" devices ())
(name "ep_simpf" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (1.5, set 7)" devices ())
(name "ep_simpg" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (2.5, set 8)" devices ())
(name "ep_simph" year "1998" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (2.5, set 9)" devices ())
(name "ep_simpj" year "1999" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (1.8, set 10)" devices ())
(name "ep_simpk" year "1999" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (1.8, set 11)" devices ())
(name "ep_simpl" year "1999" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (3.7, set 12)" devices ())
(name "ep_simpm" year "1999" manufacturer "Maygay" desc "The Simpsons (Maygay) (EPOCH) (3.7, set 13)" devices ())
(name "ep_smoke" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 1)" devices ())
(name "ep_smokea" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 2)" devices ())
(name "ep_smokeb" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 3)" devices ())
(name "ep_smokec" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 4)" devices ())
(name "ep_smoked" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 5)" devices ())
(name "ep_smokee" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 6)" devices ())
(name "ep_smokef" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 7)" devices ())
(name "ep_smokeg" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 8)" devices ())
(name "ep_smokeh" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 9)" devices ())
(name "ep_smokei" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 10)" devices ())
(name "ep_smokej" year "199?" manufacturer "Impulse" desc "Holy Smoke! (Impulse) (EPOCH) (set 11)" devices ())
(name "ep_snbev" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (1.8, set 1)" devices ())
(name "ep_snbeva" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (1.8, set 2)" devices ())
(name "ep_snbevb" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (1.9, set 3)" devices ())
(name "ep_snbevc" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (1.9, set 4)" devices ())
(name "ep_snbevd" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (2.1, set 5)" devices ())
(name "ep_snbeve" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (EPOCH) (2.1, set 6)" devices ())
(name "ep_snset" year "199?" manufacturer "Extreme" desc "Sunset Strip (Extreme) (EPOCH) (SUST 0.1, set 1)" devices ())
(name "ep_snseta" year "199?" manufacturer "Extreme" desc "Sunset Strip (Extreme) (EPOCH) (SUST 0.1, set 2)" devices ())
(name "ep_snw" year "199?" manufacturer "Maygay" desc "Super Nudge Wink (Maygay - Union) (EPOCH) (set 1)" devices ())
(name "ep_snwa" year "199?" manufacturer "Maygay" desc "Super Nudge Wink (Maygay - Union) (EPOCH) (set 2)" devices ())
(name "ep_snwb" year "199?" manufacturer "Maygay" desc "Super Nudge Wink (Maygay - Union) (EPOCH) (set 3)" devices ())
(name "ep_snwc" year "199?" manufacturer "Maygay" desc "Super Nudge Wink (Maygay - Union) (EPOCH) (set 4)" devices ())
(name "ep_snwd" year "199?" manufacturer "Maygay" desc "Super Nudge Wink (Maygay - Union) (EPOCH) (set 5)" devices ())
(name "ep_spart" year "199?" manufacturer "Maygay" desc "Spartacash (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_sparta" year "199?" manufacturer "Maygay" desc "Spartacash (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_spartb" year "199?" manufacturer "Maygay" desc "Spartacash (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_spcbw" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.1, set 1)" devices ())
(name "ep_spcbwa" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.1, set 2)" devices ())
(name "ep_spcbwb" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.3, set 3)" devices ())
(name "ep_spcbwc" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.3, set 4)" devices ())
(name "ep_spcbwd" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.5, set 5)" devices ())
(name "ep_spcbwe" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.5, set 6)" devices ())
(name "ep_spcbwf" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.6, set 7)" devices ())
(name "ep_spcbwg" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.6, set 8)" devices ())
(name "ep_spcbwh" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.4, set 9)" devices ())
(name "ep_spcbwi" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.4, set 10)" devices ())
(name "ep_spcbwj" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.8, set 11)" devices ())
(name "ep_spcbwk" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.8, set 12)" devices ())
(name "ep_spcbwl" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.9, set 13)" devices ())
(name "ep_spcbwm" year "199?" manufacturer "Maygay" desc "Special Brew (Maygay) (EPOCH) (1.9, set 14)" devices ())
(name "ep_spec" year "2002" manufacturer "Maygay" desc "Spectre (Maygay) (EPOCH) (1.6, set 1)" devices ())
(name "ep_speca" year "2002" manufacturer "Maygay" desc "Spectre (Maygay) (EPOCH) (1.6, set 2)" devices ())
(name "ep_specb" year "1999" manufacturer "Maygay" desc "Spectre (Maygay) (EPOCH) (1.3, set 3)" devices ())
(name "ep_spin" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_spina" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_spinb" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_spinc" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_spind" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 5)" devices ())
(name "ep_spine" year "199?" manufacturer "Maygay" desc "Spin On It (Maygay - Impulse) (EPOCH) (set 6)" devices ())
(name "ep_spirt" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (2.3, set 1)" devices ())
(name "ep_spirta" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (2.3, set 2)" devices ())
(name "ep_spirtb" year "199?" manufacturer "Global" desc "Hi Spirits (Global) (EPOCH) (4.1, set 3)" devices ())
(name "ep_spntn" year "199?" manufacturer "Maygay" desc "Spin & Tonic (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_spntna" year "199?" manufacturer "Maygay" desc "Spin & Tonic (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_spntnb" year "199?" manufacturer "Maygay" desc "Spin & Tonic (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_spntnc" year "199?" manufacturer "Maygay" desc "Spin & Tonic (Maygay - Impulse) (EPOCH) (set 4)" devices ())
(name "ep_spook" year "199?" manufacturer "Global" desc "Spooky Hollow (Global) (EPOCH) (1.3, set 1)" devices ())
(name "ep_spooka" year "199?" manufacturer "Global" desc "Spooky Hollow (Global) (EPOCH) (1.3, set 2)" devices ())
(name "ep_spookb" year "199?" manufacturer "Global" desc "Spooky Hollow (Global) (EPOCH) (2.7, set 3)" devices ())
(name "ep_srwin" year "2002" manufacturer "Maygay" desc "Sir Winalot (Maygay) (EPOCH) (2.6, set 1)" devices ())
(name "ep_srwina" year "2002" manufacturer "Maygay" desc "Sir Winalot (Maygay) (EPOCH) (3.3, set 2)" devices ())
(name "ep_srwinb" year "2002" manufacturer "Maygay" desc "Sir Winalot (Maygay) (EPOCH) (3.3, set 3)" devices ())
(name "ep_srwinc" year "2002" manufacturer "Maygay" desc "Sir Winalot (Maygay) (EPOCH) (2.6, set 4)" devices ())
(name "ep_srwind" year "2000" manufacturer "Maygay" desc "Sir Winalot (Maygay) (EPOCH) (2.1, set 5)" devices ())
(name "ep_step" year "199?" manufacturer "Maygay" desc "Stepping Stones (Maygay) (EPOCH) (1.0, set 1)" devices ())
(name "ep_stepa" year "199?" manufacturer "Maygay" desc "Stepping Stones (Maygay) (EPOCH) (1.0, set 2)" devices ())
(name "ep_stm" year "199?" manufacturer "Global" desc "Storm Force (Global) (EPOCH) (set 1)" devices ())
(name "ep_stma" year "199?" manufacturer "Global" desc "Storm Force (Global) (EPOCH) (set 2)" devices ())
(name "ep_stmb" year "199?" manufacturer "Global" desc "Storm Force (Global) (EPOCH) (set 3)" devices ())
(name "ep_stmc" year "199?" manufacturer "Global" desc "Storm Force (Global) (EPOCH) (set 4)" devices ())
(name "ep_stmcl" year "199?" manufacturer "Global" desc "Storm Force Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_stmcla" year "199?" manufacturer "Global" desc "Storm Force Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_strat" year "199?" manufacturer "Maygay" desc "Stratagem (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_strata" year "199?" manufacturer "Maygay" desc "Stratagem (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_subb" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_subba" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_subbb" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_subbc" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_subbd" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 5)" devices ())
(name "ep_subbe" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 6)" devices ())
(name "ep_subbf" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 7)" devices ())
(name "ep_subbg" year "199?" manufacturer "Maygay" desc "Subbuteo (Maygay) (EPOCH) (set 8)" devices ())
(name "ep_survi" year "199?" manufacturer "Maygay" desc "Survival (Maygay) (EPOCH) (1.4, set 1)" devices ())
(name "ep_survia" year "199?" manufacturer "Maygay" desc "Survival (Maygay) (EPOCH) (1.4, set 2)" devices ())
(name "ep_tak5" year "199?" manufacturer "Maygay" desc "Take Five (Maygay - Union) (EPOCH) (set 1)" devices ())
(name "ep_tak5a" year "199?" manufacturer "Maygay" desc "Take Five (Maygay - Union) (EPOCH) (set 2)" devices ())
(name "ep_tcrwn" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (2.2, set 1)" devices ())
(name "ep_tcrwna" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_tcrwnb" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (2.2, set 3)" devices ())
(name "ep_tcrwnc" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (2.2, set 4)" devices ())
(name "ep_tcrwnd" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (3.1, set 5)" devices ())
(name "ep_tcrwne" year "199?" manufacturer "Maygay" desc "Triple Crown (Maygay) (EPOCH) (3.1, set 6)" devices ())
(name "ep_tincn" year "199?" manufacturer "Maygay" desc "Tin Can Alley (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_tincna" year "199?" manufacturer "Maygay" desc "Tin Can Alley (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_tits" year "199?" manufacturer "Maygay" desc "Title Shot Club (Maygay) (EPOCH) (1.7, set 1)" devices ())
(name "ep_titsa" year "199?" manufacturer "Maygay" desc "Title Shot Club (Maygay) (EPOCH) (1.7, set 2)" devices ())
(name "ep_titsb" year "199?" manufacturer "Maygay" desc "Title Shot Club (Maygay) (EPOCH) (1.5, set 3)" devices ())
(name "ep_tod" year "199?" manufacturer "Global" desc "Truth Or Dare (Global) (EPOCH) (set 1)" devices ())
(name "ep_toda" year "199?" manufacturer "Global" desc "Truth Or Dare (Global) (EPOCH) (set 2)" devices ())
(name "ep_tonfn" year "199?" manufacturer "Maygay" desc "Tons Of Fun (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_tonfna" year "199?" manufacturer "Maygay" desc "Tons Of Fun (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_tortr" year "2000" manufacturer "Maygay" desc "Torture TV (Maygay) (EPOCH) (1.3, set 1)" devices ())
(name "ep_tortra" year "2000" manufacturer "Maygay" desc "Torture TV (Maygay) (EPOCH) (1.3, set 2)" devices ())
(name "ep_tp" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (EPOCH) (3.5, set 1)" devices ())
(name "ep_tp2" year "199?" manufacturer "Maygay" desc "Trivial Pursuit 2 (Maygay) (EPOCH) (2.2, set 1)" devices ())
(name "ep_tp2a" year "199?" manufacturer "Maygay" desc "Trivial Pursuit 2 (Maygay) (EPOCH) (2.2, set 2)" devices ())
(name "ep_tpa" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (EPOCH) (3.5, set 2)" devices ())
(name "ep_tpb" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (EPOCH) (2.1, set 3)" devices ())
(name "ep_trail" year "199?" manufacturer "Maygay" desc "Trailblazer (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_traila" year "199?" manufacturer "Maygay" desc "Trailblazer (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_trailb" year "199?" manufacturer "Maygay" desc "Trailblazer (Maygay - Impulse) (EPOCH) (set 3)" devices ())
(name "ep_treas" year "199?" manufacturer "Global" desc "Treasure Hunt (Global) (EPOCH) (Version 1.6)" devices ())
(name "ep_tree" year "199?" manufacturer "Maygay" desc "Tree Amigos (Maygay) (EPOCH) (TRAM 0.3, set 1)" devices ())
(name "ep_treea" year "199?" manufacturer "Maygay" desc "Tree Amigos (Maygay) (EPOCH) (TRAM 0.3, set 2)" devices ())
(name "ep_trics" year "199?" manufacturer "Maygay" desc "Triple Cash (Maygay - Union) (EPOCH) (set 1)" devices ())
(name "ep_tricsa" year "199?" manufacturer "Maygay" desc "Triple Cash (Maygay - Union) (EPOCH) (set 2)" devices ())
(name "ep_tutcl" year "199?" manufacturer "Maygay" desc "Tutankhamun Club (Maygay) (EPOCH) (2.1, set 1)" devices ())
(name "ep_tutcla" year "199?" manufacturer "Maygay" desc "Tutankhamun Club (Maygay) (EPOCH) (2.1, set 2)" devices ())
(name "ep_tutclb" year "199?" manufacturer "Maygay" desc "Tutankhamun Club (Maygay) (EPOCH) (1.8, set 3)" devices ())
(name "ep_twarp" year "199?" manufacturer "Extreme" desc "Time Warp (Extreme) (EPOCH) (TWRP 0.1, set 1)" devices ())
(name "ep_twarpa" year "199?" manufacturer "Extreme" desc "Time Warp (Extreme) (EPOCH) (TWRP 0.1, set 2)" devices ())
(name "ep_twarpb" year "199?" manufacturer "Extreme" desc "Time Warp (Extreme) (EPOCH) (TWRP 0.4, set 3)" devices ())
(name "ep_twarpc" year "199?" manufacturer "Extreme" desc "Time Warp (Extreme) (EPOCH) (TWRP 0.4, set 4)" devices ())
(name "ep_utncl" year "199?" manufacturer "Global" desc "Utter Nutter Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_utncla" year "199?" manufacturer "Global" desc "Utter Nutter Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_utnut" year "199?" manufacturer "Global" desc "Utter Nutter (Global) (EPOCH) (set 1)" devices ())
(name "ep_utnuta" year "199?" manufacturer "Global" desc "Utter Nutter (Global) (EPOCH) (set 2)" devices ())
(name "ep_utnutb" year "199?" manufacturer "Global" desc "Utter Nutter (Global) (EPOCH) (set 3)" devices ())
(name "ep_utnutc" year "199?" manufacturer "Global" desc "Utter Nutter (Global) (EPOCH) (set 4)" devices ())
(name "ep_vipjv" year "199?" manufacturer "Maygay" desc "Viper Jive (Maygay - Extreme) (EPOCH) (JIVE 1.1, set 1)" devices ())
(name "ep_vipjva" year "199?" manufacturer "Maygay" desc "Viper Jive (Maygay - Extreme) (EPOCH) (JIVE 1.1, set 2)" devices ())
(name "ep_vipjvb" year "199?" manufacturer "Maygay" desc "Viper Jive (Maygay - Extreme) (EPOCH) (JIVE 2.2, set 3)" devices ())
(name "ep_vipjvc" year "199?" manufacturer "Maygay" desc "Viper Jive (Maygay - Extreme) (EPOCH) (JIVE 2.2, set 4)" devices ())
(name "ep_vipjvd" year "199?" manufacturer "Maygay" desc "Viper Jive (Maygay - Extreme) (EPOCH) (JIVE 2.1, set 5)" devices ())
(name "ep_wf" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 1)" devices ())
(name "ep_wfa" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 2)" devices ())
(name "ep_wfb" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 3)" devices ())
(name "ep_wfc" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 4)" devices ())
(name "ep_wfd" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 5)" devices ())
(name "ep_wfe" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 6)" devices ())
(name "ep_wff" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 7)" devices ())
(name "ep_wfg" year "199?" manufacturer "Global" desc "Wildfire (Global) (EPOCH) (set 8)" devices ())
(name "ep_wildf" year "199?" manufacturer "Maygay" desc "Wildfire (Maygay - Impulse) (EPOCH) (set 1)" devices ())
(name "ep_wildfa" year "199?" manufacturer "Maygay" desc "Wildfire (Maygay - Impulse) (EPOCH) (set 2)" devices ())
(name "ep_wipeo" year "199?" manufacturer "Maygay" desc "Wipeout (Maygay) (EPOCH) (set 1)" devices ())
(name "ep_wipeoa" year "199?" manufacturer "Maygay" desc "Wipeout (Maygay) (EPOCH) (set 2)" devices ())
(name "ep_wipeob" year "199?" manufacturer "Maygay" desc "Wipeout (Maygay) (EPOCH) (set 3)" devices ())
(name "ep_wipeoc" year "199?" manufacturer "Maygay" desc "Wipeout (Maygay) (EPOCH) (set 4)" devices ())
(name "ep_wipeoe" year "199?" manufacturer "Maygay" desc "Wipeout (Maygay) (EPOCH) (set 5)" devices ())
(name "ep_wleek" year "199?" manufacturer "Global" desc "Weakest Leek Club (Global) (EPOCH) (set 1)" devices ())
(name "ep_wleeka" year "199?" manufacturer "Global" desc "Weakest Leek Club (Global) (EPOCH) (set 2)" devices ())
(name "ep_word" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (1.4, set 1)" devices ())
(name "ep_worda" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (1.4, set 2)" devices ())
(name "ep_wordb" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (2.4, set 3)" devices ())
(name "ep_wordc" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (2.4, set 4)" devices ())
(name "ep_wordd" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (3.1, set 5)" devices ())
(name "ep_worde" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (3.1, set 6)" devices ())
(name "ep_wordf" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (4.1, set 7)" devices ())
(name "ep_wordg" year "199?" manufacturer "Maygay" desc "Word Up (Maygay) (EPOCH) (4.1, set 8)" devices ())
(name "ep_wside" year "199?" manufacturer "Global" desc "Wildside (Global) (EPOCH) (1.2, set 1)" devices ())
(name "ep_wsidea" year "199?" manufacturer "Global" desc "Wildside (Global) (EPOCH) (set 2)" devices ())
(name "ep_wud" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 1)" devices ())
(name "ep_wuda" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 2)" devices ())
(name "ep_wudb" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 3)" devices ())
(name "ep_wudc" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 4)" devices ())
(name "ep_wudd" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 5)" devices ())
(name "ep_wude" year "199?" manufacturer "Global" desc "What's Up Doc (Global) (EPOCH) (set 6)" devices ())
(name "ep_xspot" year "2002" manufacturer "Maygay" desc "X Marks The Spot (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_xspota" year "2002" manufacturer "Maygay" desc "X Marks The Spot (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "ep_xspotb" year "1999" manufacturer "Maygay" desc "X Marks The Spot (Maygay) (EPOCH) (1.4, set 3)" devices ())
(name "ep_xtra" year "199?" manufacturer "Maygay" desc "X-tra X-tra (Maygay) (EPOCH) (1.5, set 1)" devices ())
(name "ep_xtraa" year "199?" manufacturer "Maygay" desc "X-tra X-tra (Maygay) (EPOCH) (1.5, set 2)" devices ())
(name "epacman2" year "1981" manufacturer "Entex" desc "Pac Man 2 (Entex, cyan Pacman)" devices ())
(name "epacman2r" year "1981" manufacturer "Entex" desc "Pac Man 2 (Entex, red Pacman)" devices ())
(name "epc" year "1985" manufacturer "Ericsson Information System" desc "Ericsson PC" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "epic14e" year "1982" manufacturer "Epic Computer Products" desc "Epic 14E (v1.0)" devices ())
(name "epitch" year "2003" manufacturer "Takara / SSD Company LTD" desc "e-pitch (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "epo_bowl" year "2002" manufacturer "Epoch / SSD Company LTD" desc "Excite Bowling (Japan)" devices ())
(name "epo_crok" year "2003" manufacturer "Epoch / SSD Company LTD" desc "Croket! Itada Kinka! Banker Battle!! (Japan)" devices ())
(name "epo_dmon" year "2002" manufacturer "Epoch / SSD Company LTD" desc "Doraemon Wakuwaku Kuukihou (Japan)" devices ())
(name "epo_ebox" year "2002" manufacturer "Epoch / SSD Company LTD" desc "Excite Boxing (Japan)" devices ())
(name "epo_efdx" year "2003" manufacturer "Epoch / SSD Company LTD" desc "Excite Fishing DX (Japan)" devices ())
(name "epo_epp" year "2000" manufacturer "Epoch / SSD Company LTD" desc "Excite Ping Pong (Japan)" devices ())
(name "epo_epp2" year "2003" manufacturer "Epoch / SSD Company LTD" desc "Excite Ping Pong 2 (Japan)" devices ())
(name "epo_epp3" year "2006" manufacturer "Epoch / SSD Company LTD" desc "Challenge Ai-chan! Excite Ping Pong (Japan)" devices ())
(name "epo_eppk" year "2000" manufacturer "Epoch / SSD Company LTD / Sonokong" desc "Real Ping Pong (Korea)" devices ())
(name "epo_esdx" year "2002" manufacturer "Epoch / SSD Company LTD" desc "Excite Stadium DX (Japan)" devices ())
(name "epo_guru" year "2005" manufacturer "Epoch / SSD Company LTD" desc "Gururin World (Japan)" devices ())
(name "epo_sdb" year "2004" manufacturer "Epoch / SSD Company LTD" desc "Super Dash Ball (Japan)" devices ())
(name "epo_tenn" year "2002" manufacturer "Epoch / SSD Company LTD" desc "Excite Tennis (Japan)" devices ())
(name "epo_tfit" year "2004" manufacturer "Epoch / SSD Company LTD" desc "Excite Sports Tennis x Fitness (Japan)" devices ())
(name "epo_tfp2" year "2003" manufacturer "Epoch / SSD Company LTD" desc "Tokyo Friend Park 2 (Japan)" devices ())
(name "eppc" year "1985" manufacturer "Ericsson Information System" desc "Ericsson Portable PC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "eprom" year "1989" manufacturer "Atari Games" desc "Escape from the Planet of the Robot Monsters (set 1)" devices ())
(name "eprom2" year "1989" manufacturer "Atari Games" desc "Escape from the Planet of the Robot Monsters (set 2)" devices ())
(name "eps" year "1988" manufacturer "Ensoniq" desc "EPS" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "eps16p" year "1990" manufacturer "Ensoniq" desc "EPS-16 Plus" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "epsax" year "198?" manufacturer "Epson" desc "PC AX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "epsax2e" year "198?" manufacturer "Epson" desc "PC AX2e" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "epsax3" year "198?" manufacturer "Epson" desc "PC AX3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "equites" year "1984" manufacturer "Alpha Denshi Co." desc "Equites" devices ())
(name "equitess" year "1984" manufacturer "Alpha Denshi Co. (Sega license)" desc "Equites (Sega)" devices ())
(name "ergo201" year "1985" manufacturer "Micro-Term / Kurzweil Computer Products" desc "ERGO 201 (Special #9233)" devices ())
(name "erik" year "1994" manufacturer "<unknown>" desc "Erik" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "erosone" year "1979" manufacturer "Fascination Int." desc "Eros One" devices ())
(name "ertictac" year "1990" manufacturer "Sisteme" desc "Erotictac/Tactic" devices ())
(name "ertictaca" year "1990" manufacturer "Sisteme" desc "Erotictac/Tactic (ver 01)" devices ())
(name "ertictacb" year "1990" manufacturer "Sisteme" desc "Erotictac/Tactic (set 2)" devices ())
(name "es210_es" year "199?" manufacturer "Nakajima" desc "ES-210 (Spain)" devices ())
(name "esb" year "1985" manufacturer "Atari Games" desc "The Empire Strikes Back" devices ())
(name "esbattle" year "1979" manufacturer "Entex" desc "Space Battle (Entex)" devices ())
(name "escape" year "1987" manufacturer "Jac Van Ham (Royal)" desc "Escape" devices ())
(name "esckids" year "1991" manufacturer "Konami" desc "Escape Kids (Asia, 4 Players)" devices ())
(name "esckidsj" year "1991" manufacturer "Konami" desc "Escape Kids (Japan, 2 Players)" devices ())
(name "esclwrld" year "1987" manufacturer "Bally" desc "Escape from the Lost World" devices ())
(name "esclwrldg" year "1987" manufacturer "Bally" desc "Escape from the Lost World (German)" devices ())
(name "escmars" year "1980" manufacturer "bootleg" desc "Escape from Mars (bootleg of Lunar Rescue)" devices ())
(name "escounts" year "1990" manufacturer "BFM" desc "Every Second Counts (39-360-053)" devices ())
(name "esh" year "1983" manufacturer "Funai/Gakken" desc "Esh's Aurunmilla (set 1)" devices ())
(name "esha" year "1983" manufacturer "Funai/Gakken" desc "Esh's Aurunmilla (set 2)" devices ())
(name "esha_la1" year "1988" manufacturer "Williams" desc "Earthshaker (LA-1)" devices ())
(name "esha_la3" year "1988" manufacturer "Williams" desc "Earthshaker (LA-3)" devices ())
(name "esha_lg1" year "1988" manufacturer "Williams" desc "Earthshaker (German) (LG-1)" devices ())
(name "esha_lg2" year "1988" manufacturer "Williams" desc "Earthshaker (German) (LG-2)" devices ())
(name "esha_ma3" year "1989" manufacturer "Williams" desc "Earthshaker (Metallica) (LA-3)" devices ())
(name "esha_pa1" year "1988" manufacturer "Williams" desc "Earthshaker (Prototype) (PA-1)" devices ())
(name "esha_pa4" year "1988" manufacturer "Williams" desc "Earthshaker (Prototype) (PA-4)" devices ())
(name "esha_pr4" year "1989" manufacturer "Williams" desc "Earthshaker (Family version) (PR-4)" devices ())
(name "eshb" year "1983" manufacturer "Funai/Gakken" desc "Esh's Aurunmilla (set 3)" devices ())
(name "eshockey" year "1993" manufacturer "Sega" desc "Exciting Speed Hockey (V19930325)" devices ())
(name "esoccer" year "1979" manufacturer "Entex" desc "Electronic Soccer (Entex)" devices ())
(name "esp250c" year "2005" manufacturer "Esprit Systems" desc "250C" devices ())
(name "espgal" year "2003" manufacturer "Cave (AMI license)" desc "Espgaluda (2003/10/15 Master Ver)" devices ())
(name "espgal2" year "2005" manufacturer "Cave (AMI license)" desc "Espgaluda II (2005/11/14.MASTER VER.)" devices ())
(name "espgal2a" year "2005" manufacturer "Cave (AMI license)" desc "Espgaluda II (2005/11/14 MASTER VER, newer CV1000-B PCB)" devices ())
(name "espgal2b" year "2005" manufacturer "Cave (AMI license)" desc "Espgaluda II (2005/11/14 MASTER VER, original CV1000-B PCB)" devices ())
(name "espgalbl" year "2003" manufacturer "bootleg" desc "Espgaluda (2003/10/15 Master Ver, bootleg cartridge conversion)" devices ())
(name "espial" year "1983" manufacturer "Orca / Thunderbolt" desc "Espial (Europe)" devices ())
(name "espialj" year "1983" manufacturer "Orca / Thunderbolt" desc "Espial (Japan)" devices ())
(name "espialn" year "1983" manufacturer "Orca / Thunderbolt" desc "Espial (Nova Apparate license)" devices ())
(name "espialu" year "1983" manufacturer "Orca / Thunderbolt" desc "Espial (US?)" devices ())
(name "esprade" year "1998" manufacturer "Cave (Atlus license)" desc "ESP Ra.De. (World, 1998 4/22 International Ver.)" devices ())
(name "espradej" year "1998" manufacturer "Cave (Atlus license)" desc "ESP Ra.De. (Japan, 1998 4/21 Master Ver.)" devices ())
(name "espradejo" year "1998" manufacturer "Cave (Atlus license)" desc "ESP Ra.De. (Japan, 1998 4/14 Master Ver.)" devices ())
(name "esprit" year "1981" manufacturer "Hazeltine" desc "Esprit" devices ())
(name "esprit3" year "1981" manufacturer "Hazeltine" desc "Esprit III" devices ())
(name "esq1" year "1986" manufacturer "Ensoniq" desc "ESQ-1 Digital Wave Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "esqm" year "1986" manufacturer "Ensoniq" desc "ESQ-M Digital Wave Synthesizer Module" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "estargte" year "1982" manufacturer "Entex" desc "Stargate (Entex)" devices ())
(name "estrike" year "2010" manufacturer "Aristocrat" desc "Eagle Strike (40289711, NSW/ACT)" devices ())
(name "eswat" year "1989" manufacturer "Sega" desc "E-Swat - Cyber Police (set 4, World) (FD1094 317-0130)" devices ())
(name "eswatbl" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (bootleg, set 1)" devices ())
(name "eswatbl2" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (bootleg, set 2)" devices ())
(name "eswatd" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (set 4, World) (bootleg of FD1094 317-0130 set)" devices ())
(name "eswatj" year "1989" manufacturer "Sega" desc "E-Swat - Cyber Police (set 2, Japan) (FD1094 317-0128)" devices ())
(name "eswatj1" year "1989" manufacturer "Sega" desc "E-Swat - Cyber Police (set 1, Japan) (FD1094 317-0131)" devices ())
(name "eswatj1d" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (set 1, Japan) (bootleg of FD1094 317-0131 set)" devices ())
(name "eswatjd" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (set 2, Japan) (bootleg of FD1094 317-0128 set)" devices ())
(name "eswatu" year "1989" manufacturer "Sega" desc "E-Swat - Cyber Police (set 3, US) (FD1094 317-0129)" devices ())
(name "eswatud" year "1989" manufacturer "bootleg" desc "E-Swat - Cyber Police (set 3, US) (bootleg of FD1094 317-0129 set)" devices ())
(name "et3400" year "1976" manufacturer "Heath Company" desc "Heathkit Model ET-3400 Microprocessor Trainer" devices ((name "cassette" briefname "cass" )))
(name "eti660" year "1981" manufacturer "Electronics Today International" desc "ETI-660 Learners' Microcomputer" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "eto" year "1994" manufacturer "Visco" desc "Kokontouzai Eto Monogatari (Japan)" devices ())
(name "etoa" year "1994" manufacturer "Visco" desc "Kokontouzai Eto Monogatari (Japan, prototype?)" devices ())
(name "eturtles" year "1982" manufacturer "Entex" desc "Turtles (Entex)" devices ())
(name "eurit30" year "1996" manufacturer "Ascom" desc "Eurit 30" devices ())
(name "euro2k2" year "2001" manufacturer "Nazionale Elettronica" desc "Europa 2002 (Ver 2.0, set 1)" devices ())
(name "euro2k2a" year "2001" manufacturer "Nazionale Elettronica" desc "Europa 2002 (Ver 2.0, set 2)" devices ())
(name "euro2k2s" year "2002" manufacturer "Nazionale Elettronica" desc "Europa 2002 Space (Ver 3.0)" devices ())
(name "euroat" year "1989" manufacturer "Schneider Rundfunkwerke AG" desc "Euro AT" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "euroch92" year "1992" manufacturer "Taito Corporation Japan" desc "Euro Champ '92 (World)" devices ())
(name "euroch92j" year "1992" manufacturer "Taito Corporation Japan" desc "Euro Champ '92 (Japan)" devices ())
(name "eurocom2" year "1981" manufacturer "Eltec" desc "Eurocom II V7" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "eurodsr" year "200?" manufacturer "<unknown>" desc "Euro Double Star Record (ver.1.2)" devices ())
(name "eurogael" year "1989" manufacturer "bootleg (Gaelco / Ervisa)" desc "Euro League (Gaelco bootleg, Modular System)" devices ())
(name "eurogame" year "2002?" manufacturer "Novotech" desc "The Euro Game (set 1)" devices ())
(name "eurogamea" year "2002?" manufacturer "Novotech" desc "The Euro Game (set 2)" devices ())
(name "europa" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Europa" devices ())
(name "europass" year "200?" manufacturer "<unknown>" desc "Euro Pass (Ver 1.1)" devices ())
(name "europc" year "1988" manufacturer "Schneider Rdf. AG" desc "EURO PC" devices ((name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "europc2" year "198?" manufacturer "Schneider Rdf. AG" desc "EURO PC II" devices ((name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "europl01" year "2001" manufacturer "Sleic / Petaco" desc "EuroPlay 2001" devices ())
(name "euroxt" year "198?" manufacturer "Schneider Rdf. AG" desc "EURO XT" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ev1806" year "198?" manufacturer "Everex Systems" desc "EV-1806" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ev1815" year "198?" manufacturer "Everex Systems" desc "EV-1815" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "eva11" year "1983" manufacturer "Chrysler" desc "Electronic Voice Alert (11-function)" devices ())
(name "eva24" year "1984" manufacturer "Chrysler" desc "Electronic Voice Alert (24-function)" devices ())
(name "evelknie" year "1977" manufacturer "Bally" desc "Evel Knievel" devices ())
(name "evilngt" year "1998" manufacturer "Konami" desc "Evil Night (ver UBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "evilston" year "1990" manufacturer "Spacy Industrial, Ltd." desc "Evil Stone" devices ())
(name "evio" year "2003" manufacturer "Tomy / SSD Company LTD" desc "Evio (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "evlfight" year "1980" manufacturer "Playmatic" desc "Evil Fight" devices ())
(name "evmbug" year "198?" manufacturer "Texas Instruments" desc "TMAM 6095" devices ())
(name "evolhh" year "2006" manufacturer "Kidz Delight" desc "Evolution Max" devices ())
(name "evosocc" year "2001" manufacturer "Evoga" desc "Evolution Soccer" devices ())
(name "ewf" year "1981" manufacturer "Zaccaria" desc "Earth Wind Fire" devices ())
(name "ews286" year "1986" manufacturer "Ericsson" desc "Ericsson WS286" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "ews4800_310" year "1993" manufacturer "NEC" desc "EWS4800/310" devices ((name "harddisk" briefname "hard" )))
(name "ex8000" year "1985" manufacturer "Korg" desc "EX-8000 Programmable Polyphonic Synthe Module" devices ())
(name "excali64" year "1984" manufacturer "BGR Computers" desc "Excalibur 64" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "excalibr" year "1988" manufacturer "Gottlieb" desc "Excalibur" devices ())
(name "excalibrf" year "1988" manufacturer "Gottlieb" desc "Excalibur (French)" devices ())
(name "excalibrg" year "1988" manufacturer "Gottlieb" desc "Excalibur (German)" devices ())
(name "excelsr" year "1996" manufacturer "Playmark" desc "Excelsior (set 1)" devices ())
(name "excelsra" year "1996" manufacturer "Playmark" desc "Excelsior (set 2)" devices ())
(name "excitbj" year "1989" manufacturer "Sega" desc "Exciting Black Jack" devices ())
(name "excitebk" year "1984" manufacturer "Nintendo" desc "Vs. Excitebike (set EB4-3 E)" devices ())
(name "excitebkj" year "1984" manufacturer "Nintendo" desc "Vs. Excitebike (set EB4-4 A)" devices ())
(name "excitebko" year "1984" manufacturer "Nintendo" desc "Vs. Excitebike (set EB4-3 ?)" devices ())
(name "excthour" year "1985" manufacturer "Technos Japan (Taito license)" desc "Exciting Hour" devices ())
(name "exctleag" year "1988" manufacturer "Sega" desc "Excite League (FD1094 317-0079)" devices ())
(name "exctleagd" year "1988" manufacturer "bootleg" desc "Excite League (bootleg of FD1094 317-0079 set)" devices ())
(name "exctscc2" year "1984" manufacturer "Alpha Denshi Co." desc "Exciting Soccer II" devices ())
(name "exctsccr" year "1983" manufacturer "Alpha Denshi Co." desc "Exciting Soccer" devices ())
(name "exctsccra" year "1983" manufacturer "Alpha Denshi Co." desc "Exciting Soccer (alternate music)" devices ())
(name "exctsccrb" year "1983" manufacturer "bootleg (Kazutomi)" desc "Exciting Soccer (bootleg)" devices ())
(name "exctsccrj" year "1983" manufacturer "Alpha Denshi Co." desc "Exciting Soccer (Japan)" devices ())
(name "exctsccrjo" year "1983" manufacturer "Alpha Denshi Co." desc "Exciting Soccer (Japan, older)" devices ())
(name "exctsccru" year "1983" manufacturer "Alpha Denshi Co." desc "Exciting Soccer (US)" devices ())
(name "exe10102" year "1983" manufacturer "Esprit Systems" desc "Executive 10/102" devices ())
(name "exechess" year "1981" manufacturer "SciSys" desc "Executive Chess" devices ())
(name "exedexes" year "1985" manufacturer "Capcom" desc "Exed Exes" devices ())
(name "exeltel" year "1986" manufacturer "Exelvision" desc "Exeltel" devices ())
(name "exerion" year "1983" manufacturer "Jaleco" desc "Exerion" devices ())
(name "exerionb" year "1983" manufacturer "bootleg" desc "Exerion (bootleg, set 1)" devices ())
(name "exerionb2" year "1983" manufacturer "bootleg" desc "Exerion (bootleg, set 2)" devices ())
(name "exerionba" year "1983" manufacturer "bootleg (Assa)" desc "Exerion (Assa, bootleg)" devices ())
(name "exeriont" year "1983" manufacturer "Jaleco (Taito America license)" desc "Exerion (Taito)" devices ())
(name "exerizer" year "1987" manufacturer "Jaleco" desc "Exerizer (Japan)" devices ())
(name "exerizerb" year "1987" manufacturer "bootleg" desc "Exerizer (bootleg)" devices ())
(name "exl100" year "1984" manufacturer "Exelvision" desc "EXL 100" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "exodus" year "19??" manufacturer "bootleg? (Subelectro)" desc "Exodus (bootleg?)" devices ())
(name "exorciser" year "1975" manufacturer "Motorola" desc "M6800 EXORciser (M68SDT)" devices ((name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "exorterm155" year "1979" manufacturer "Motorola" desc "EXORterm 155" devices ())
(name "exp4044" year "199?" manufacturer "ExpertChip" desc "EXP4044" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "exp85" year "1979" manufacturer "Netronics" desc "Explorer/85" devices ((name "cassette" briefname "cass" )))
(name "expcard" year "1998" manufacturer "Subsino (American Alpha license)" desc "Express Card / Top Card (Ver. 1.5)" devices ())
(name "expchess" year "1983" manufacturer "SciSys" desc "Explorer Chess" devices ())
(name "expert10" year "1985" manufacturer "Gradiente" desc "Expert XP-800 (1.0) (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expert11" year "198?" manufacturer "Gradiente" desc "Expert XP-800 (1.1) / Expert GPC-1 (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expert13" year "198?" manufacturer "Gradiente" desc "Expert 1.3 (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expert20" year "1986" manufacturer "Gradiente" desc "Expert 2.0 (MSX2, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expert3i" year "19??" manufacturer "Ciel" desc "Expert 3 IDE (MSX2+, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expert3t" year "1996" manufacturer "Ciel" desc "Expert 3 Turbo (MSX2+, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expertac" year "19??" manufacturer "Gradiente" desc "Expert AC88+ (MSX2+, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expertdp" year "1989" manufacturer "Gradiente" desc "Expert DDPlus (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expertdx" year "19??" manufacturer "Gradiente" desc "Expert DDX+ (MSX2+, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "expertpl" year "1989" manufacturer "Gradiente" desc "Expert Plus (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "explbrkr" year "1992" manufacturer "Kaneko" desc "Explosive Breaker (World)" devices ())
(name "explbrkrk" year "1992" manufacturer "Kaneko" desc "Explosive Breaker (Korea)" devices ())
(name "explorapro" year "1995" manufacturer "Network Computing Devices" desc "NCD Explora Pro XQ" devices ())
(name "explorer" year "1981" manufacturer "bootleg (Sidam)" desc "Explorer (bootleg of Scramble)" devices ())
(name "exprraid" year "1986" manufacturer "Data East Corporation" desc "Express Raider (World, Rev 4)" devices ())
(name "exprraidi" year "1986" manufacturer "Data East Corporation" desc "Express Raider (Italy)" devices ())
(name "exprraidu" year "1986" manufacturer "Data East USA" desc "Express Raider (US, rev 5)" devices ())
(name "exsafar" year "2003" manufacturer "Extrema" desc "Safari (Extrema, Ukraine, V. 43.14)" devices ())
(name "exsafara" year "2003" manufacturer "Extrema" desc "Safari (Extrema, Ukraine, V. 43.08)" devices ())
(name "exsafarb" year "2003" manufacturer "Extrema" desc "Safari (Extrema, Ukraine, V. 42.07)" devices ())
(name "exsafarc" year "2003" manufacturer "Extrema" desc "Safari (Extrema, Ukraine, V. 42.04)" devices ())
(name "exsprt48" year "200?" manufacturer "Excite" desc "Excite Sports Wireless Interactive TV Game - 48-in-1 (NTSC)" devices ())
(name "extdwnhl" year "1995" manufacturer "Sammy Industries Japan" desc "Extreme Downhill (v1.5)" devices ())
(name "exterm" year "1989" manufacturer "Premier Technology" desc "Exterminator" devices ())
(name "extradrw" year "200?" manufacturer "IGS" desc "Extra Draw" devices ())
(name "extrmatn" year "1987" manufacturer "Taito Corporation Japan" desc "Extermination (World)" devices ())
(name "extrmatnj" year "1987" manufacturer "Taito Corporation" desc "Extermination (Japan)" devices ())
(name "extrmatnu" year "1987" manufacturer "Taito (World Games license)" desc "Extermination (US, World Games)" devices ())
(name "extrmatnur" year "1987" manufacturer "Taito America Corporation (Romstar license)" desc "Extermination (US, Romstar)" devices ())
(name "extrmth" year "200?" manufacturer "Extrema" desc "Treasure Hunt (Extrema, Ukraine, V. 34.03)" devices ())
(name "extrmtha" year "200?" manufacturer "Extrema" desc "Treasure Hunt (Extrema, Ukraine, V. 34.02)" devices ())
(name "extrmti" year "200?" manufacturer "Extrema" desc "Treasure Island (Extrema, Ukraine, V. 32.49)" devices ())
(name "exvania" year "1992" manufacturer "Namco" desc "Exvania (World)" devices ())
(name "exvaniaj" year "1992" manufacturer "Namco" desc "Exvania (Japan)" devices ())
(name "exzisus" year "1987" manufacturer "Taito Corporation" desc "Exzisus (Japan, dedicated)" devices ())
(name "exzisusa" year "1987" manufacturer "Taito Corporation" desc "Exzisus (Japan, conversion)" devices ())
(name "exzisust" year "1987" manufacturer "Taito Corporation (TAD license)" desc "Exzisus (TAD license)" devices ())
(name "eyes" year "1982" manufacturer "Techstar (Rock-Ola license)" desc "Eyes (US set 1)" devices ())
(name "eyes2" year "1982" manufacturer "Techstar (Rock-Ola license)" desc "Eyes (US set 2)" devices ())
(name "eyesb" year "1982" manufacturer "bootleg" desc "Eyes (bootleg set 1)" devices ())
(name "eyeszac" year "1982" manufacturer "Techstar (Zaccaria license)" desc "Eyes (Italy)" devices ())
(name "eyeszacb" year "1982" manufacturer "bootleg" desc "Eyes (bootleg set 2, decrypted)" devices ())
(name "ez2d2m" year "2001" manufacturer "Amuse World" desc "Ez2dancer 2nd Move" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "eztouch" year "200?" manufacturer "IGS" desc "EZ Touch (v116 China)" devices ())
(name "f1" year "1984" manufacturer "ACT" desc "Apricot F1" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "f10" year "1985" manufacturer "ACT" desc "Apricot F10" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "f1392" year "1979" manufacturer "Fountain" desc "Fountain 1392" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "f14_l1" year "1987" manufacturer "Williams" desc "F-14 Tomcat (L-1)" devices ())
(name "f14_p3" year "1987" manufacturer "Williams" desc "F-14 Tomcat (P-3)" devices ())
(name "f14_p4" year "1987" manufacturer "Williams" desc "F-14 Tomcat (P-4)" devices ())
(name "f14_p5" year "1987" manufacturer "Williams" desc "F-14 Tomcat (P-5)" devices ())
(name "f15se" year "1991" manufacturer "Microprose Games Inc." desc "F-15 Strike Eagle (rev. 2.2 02/25/91, 29K ver. 3.1f)" devices ())
(name "f15se21" year "1991" manufacturer "Microprose Games Inc." desc "F-15 Strike Eagle (rev. 2.1 02/04/91)" devices ())
(name "f15se22" year "1991" manufacturer "Microprose Games Inc." desc "F-15 Strike Eagle (rev. 2.2 02/25/91, 29K ver. 2.2a)" devices ())
(name "f1dream" year "1988" manufacturer "Capcom (Romstar license)" desc "F-1 Dream" devices ())
(name "f1dreamb" year "1988" manufacturer "bootleg" desc "F-1 Dream (bootleg, set 1)" devices ())
(name "f1dreamba" year "1988" manufacturer "bootleg" desc "F-1 Dream (bootleg, set 2)" devices ())
(name "f1e" year "1984" manufacturer "ACT" desc "Apricot F1e" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "f1en" year "1991" manufacturer "Sega" desc "F1 Exhaust Note (World, Rev A)" devices ())
(name "f1enj" year "1991" manufacturer "Sega" desc "F1 Exhaust Note (Japan, Rev A)" devices ())
(name "f1enu" year "1991" manufacturer "Sega" desc "F1 Exhaust Note (US, Rev A)" devices ())
(name "f1gp" year "1991" manufacturer "Video System Co." desc "F-1 Grand Prix (set 1)" devices ())
(name "f1gp2" year "1992" manufacturer "Video System Co." desc "F-1 Grand Prix Part II" devices ())
(name "f1gpa" year "1991" manufacturer "Video System Co." desc "F-1 Grand Prix (set 2)" devices ())
(name "f1gpb" year "1991" manufacturer "Video System Co." desc "F-1 Grand Prix (set 3)" devices ())
(name "f1gpbl" year "1991" manufacturer "bootleg (Playmark)" desc "F-1 Grand Prix (Playmark bootleg)" devices ())
(name "f1gpp" year "1987" manufacturer "Nuova Bell Games" desc "F1 Grand Prix (Nuova Bell Games)" devices ())
(name "f1gpstar" year "1992" manufacturer "Jaleco" desc "Grand Prix Star (ver 4.0)" devices ())
(name "f1gpstar2" year "1991" manufacturer "Jaleco" desc "Grand Prix Star (ver 2.0)" devices ())
(name "f1gpstar3" year "1991" manufacturer "Jaleco" desc "Grand Prix Star (ver 3.0)" devices ())
(name "f1gpstr2" year "1993" manufacturer "Jaleco" desc "F-1 Grand Prix Star II" devices ())
(name "f1lap" year "1993" manufacturer "Sega" desc "F1 Super Lap (World)" devices ())
(name "f1lapj" year "1993" manufacturer "Sega" desc "F1 Super Lap (Japan)" devices ())
(name "f1lapt" year "1993" manufacturer "Sega" desc "F1 Super Lap (World, Unprotected)" devices ())
(name "f1superb" year "1994" manufacturer "Jaleco" desc "F-1 Super Battle" devices ())
(name "f2" year "1984" manufacturer "ACT" desc "Apricot F2" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "f2pbball" year "1979" manufacturer "Fonas" desc "2 Player Baseball (Fonas)" devices ())
(name "f355" year "1999" manufacturer "Sega" desc "Ferrari F355 Challenge (deluxe, no link)" devices ())
(name "f355p" year "1999" manufacturer "Sega" desc "Ferrari F355 Challenge (private show version)" devices ())
(name "f355twin" year "1999" manufacturer "Sega" desc "Ferrari F355 Challenge (twin/deluxe)" devices ())
(name "f355twinp" year "1999" manufacturer "Sega" desc "Ferrari F355 Challenge (twin/deluxe, preview)" devices ())
(name "f355twn2" year "2001" manufacturer "Sega" desc "Ferrari F355 Challenge 2 - International Course Edition (twin/deluxe)" devices ())
(name "f387x" year "1979" manufacturer "Fairchild Instrument & Camera Corporation" desc "F387X PEP System" devices ())
(name "f3in1" year "1979" manufacturer "Fonas" desc "3 in 1: Football, Basketball, Soccer" devices ())
(name "f4431" year "1981" manufacturer "Facit" desc "4431" devices ())
(name "f4dxluc4" year "199?" manufacturer "ADI" desc "F4DXL-UC4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fa" year "1992" manufacturer "Namco" desc "F/A (Japan)" devices ())
(name "faceoff" year "1988" manufacturer "Namco" desc "Face Off (Japan 2 Players)" devices ())
(name "faceoffh" year "1983" manufacturer "SoftLogic (Entertainment Enterprises, Ltd. license)" desc "Face-Off (EM Bubble Hockey)" devices ())
(name "facit4440" year "1984" manufacturer "Facit" desc "4440 Twist (30M-F1)" devices ())
(name "faeton" year "1985" manufacturer "Juegos Populares" desc "Faeton (7 digits)" devices ())
(name "faeton6d" year "1985" manufacturer "Juegos Populares" desc "Faeton (6 digits)" devices ())
(name "failgate" year "1991" manufacturer "Success (Seibu Kaihatsu license)" desc "Fail Gate" devices ())
(name "fairyl2" year "2004" manufacturer "Belatra" desc "Fairy Land 2 (set 1)" devices ())
(name "fairyl2a" year "2004" manufacturer "Belatra" desc "Fairy Land 2 (set 2)" devices ())
(name "fairyl2b" year "2004" manufacturer "Belatra" desc "Fairy Land 2 (set 3)" devices ())
(name "fairyl2bl" year "2004" manufacturer "Belatra" desc "Fairy Land 2 (bootleg)" devices ())
(name "falcnwld" year "1991" manufacturer "TVG" desc "Falcons Wild - Wild Card 1991 (TVG)" devices ())
(name "falcnwlda" year "1990" manufacturer "Video Klein" desc "Falcons Wild - World Wide Poker (Video Klein, set 1)" devices ())
(name "falcnwldb" year "1990" manufacturer "Video Klein" desc "Falcons Wild - World Wide Poker (Video Klein, set 2)" devices ())
(name "falcnwldc" year "1983" manufacturer "Falcon" desc "Falcons Wild - World Wide Poker (Falcon original)" devices ())
(name "falco500e" year "1991" manufacturer "Falco Data Products" desc "Falco 500e" devices ())
(name "falco5220e" year "1987" manufacturer "Falco Data Products" desc "Falco 5220e" devices ())
(name "falco5220s" year "1989" manufacturer "Falco Data Products" desc "Falco 5220s" devices ())
(name "falcon" year "1980" manufacturer "bootleg" desc "Falcon (bootleg of Phoenix) (8085A CPU)" devices ())
(name "falcon30" year "1992" manufacturer "Atari" desc "Falcon030" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "falcon40" year "1992" manufacturer "Atari" desc "Falcon040 (prototype)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "falconz" year "1980" manufacturer "bootleg (Digimatic)" desc "Falcon (bootleg of Phoenix) (Z80 CPU)" devices ())
(name "fambowl" year "1997" manufacturer "Namco" desc "Family Bowl (Japan, FB1/VER.A V1.00)" devices ())
(name "famibox" year "1986" manufacturer "Nintendo" desc "FamicomBox" devices ())
(name "famicom" year "1983" manufacturer "Nintendo" desc "Famicom" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "famicomo" year "1983" manufacturer "Nintendo" desc "Famicom (earlier, with RP2A03)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "famistat" year "1986" manufacturer "Nintendo" desc "FamicomStation" devices ())
(name "famitvc1" year "1983" manufacturer "Sharp" desc "My Computer Terebi C1" devices ((name "cartridge" briefname "cart" )))
(name "famitwin" year "1986" manufacturer "Sharp" desc "Twin Famicom" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" )))
(name "famlyfun" year "1979" manufacturer "Game Plan" desc "Family Fun!" devices ())
(name "fantasia" year "1994" manufacturer "Comad & New Japan System" desc "Fantasia (940429 PCB, set 1)" devices ())
(name "fantasiaa" year "1994" manufacturer "Comad & New Japan System" desc "Fantasia (940307 PCB)" devices ())
(name "fantasiab" year "1994" manufacturer "Comad & New Japan System" desc "Fantasia (940429 PCB, set 2)" devices ())
(name "fantasian" year "1994" manufacturer "Comad & New Japan System" desc "Fantasia (940803 PCB)" devices ())
(name "fantastc" year "198?" manufacturer "Taito do Brasil" desc "Fantastic (Galaga conversion on Galaxian hardware)" devices ())
(name "fantasyg" year "1981" manufacturer "SNK" desc "Fantasy (Germany, set 1)" devices ())
(name "fantasyg2" year "1981" manufacturer "SNK" desc "Fantasy (Germany, set 2)" devices ())
(name "fantasyj" year "1981" manufacturer "SNK" desc "Fantasy (Japan)" devices ())
(name "fantasyu" year "1981" manufacturer "SNK (Rock-Ola license)" desc "Fantasy (US)" devices ())
(name "fantazia" year "1980" manufacturer "bootleg (Subelectro)" desc "Fantazia (bootleg?)" devices ())
(name "fantcar" year "19??" manufacturer "Falgas" desc "Fantastic Car (M89 hardware)" devices ())
(name "fantcar87" year "1988" manufacturer "Falgas" desc "Fantastic Car (Micro-87 hardware, newer)" devices ())
(name "fantcar87a" year "1987" manufacturer "Falgas" desc "Fantastic Car (Micro-87 hardware, older)" devices ())
(name "fantjour" year "1994" manufacturer "Konami" desc "Fantastic Journey (ver EAA)" devices ())
(name "fantjoura" year "1994" manufacturer "Konami" desc "Fantastic Journey (ver AAA)" devices ())
(name "fantland" year "19??" manufacturer "Electronic Devices Italy" desc "Fantasy Land (set 1)" devices ())
(name "fantlanda" year "19??" manufacturer "Electronic Devices Italy" desc "Fantasy Land (set 2)" devices ())
(name "fantsia2" year "1997" manufacturer "Comad" desc "Fantasia II (Explicit)" devices ())
(name "fantsia2a" year "1997" manufacturer "Comad" desc "Fantasia II (Less Explicit)" devices ())
(name "fantsia2n" year "1998" manufacturer "Comad" desc "Fantasia II (1998)" devices ())
(name "fantstry" year "2002" manufacturer "Z Soft" desc "Fantasy Story (set 1)" devices ())
(name "fantstrya" year "2002" manufacturer "Z Soft" desc "Fantasy Story (set 2)" devices ())
(name "fantsy95" year "1995" manufacturer "Hi-max Technology Inc." desc "Fantasy '95" devices ())
(name "fantzn2" year "1988" manufacturer "Sega" desc "Fantasy Zone II - The Tears of Opa-Opa (MC-8123, 317-0057)" devices ())
(name "fantzn2x" year "2008" manufacturer "Sega / M2" desc "Fantasy Zone II - The Tears of Opa-Opa (System 16C version)" devices ())
(name "fantzn2xp" year "2008" manufacturer "Sega / M2" desc "Fantasy Zone II - The Tears of Opa-Opa (System 16C version, prototype)" devices ())
(name "fantzone" year "1986" manufacturer "Sega" desc "Fantasy Zone (Rev A, unprotected)" devices ())
(name "fantzone1" year "1986" manufacturer "Sega" desc "Fantasy Zone (unprotected)" devices ())
(name "fantzonee" year "1986" manufacturer "Sega" desc "Fantasy Zone (FD1089B 317-0016)" devices ())
(name "fantzonep" year "1986" manufacturer "Sega" desc "Fantasy Zone (317-5000)" devices ())
(name "fantzonepr" year "1986" manufacturer "Sega" desc "Fantasy Zone (prototype)" devices ())
(name "fantzoneta" year "2008" manufacturer "bootleg" desc "Fantasy Zone (Time Attack, bootleg)" devices ())
(name "fanucs15" year "1990" manufacturer "Fanuc" desc "System 15" devices ())
(name "fanucspg" year "1983" manufacturer "Fanuc" desc "System P Model G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "fanucspgm" year "1983" manufacturer "Fanuc" desc "System P Model G (monochrome)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "fanzonem" year "1999" manufacturer "Sega" desc "Fantasy Zone (medal game, REV.A) (J 990202 V1.000)" devices ())
(name "fapocket" year "2017" manufacturer "<unknown>" desc "Family Pocket 638 in 1" devices ())
(name "farfalla" year "1983" manufacturer "Zaccaria" desc "Farfalla" devices ())
(name "farfallaf" year "1983" manufacturer "Zaccaria" desc "Farfalla (French speech)" devices ())
(name "farfallag" year "1983" manufacturer "Zaccaria" desc "Farfalla (German speech)" devices ())
(name "farfallai" year "1983" manufacturer "Zaccaria" desc "Farfalla (Italian speech)" devices ())
(name "farmer" year "1985" manufacturer "Sun Electronics" desc "Farmers Rebellion" devices ())
(name "farwest" year "1986" manufacturer "bootleg?" desc "Far West" devices ())
(name "fashion" year "2000" manufacturer "High Video" desc "Fashion (Version 2.14)" devices ())
(name "fashiong" year "1997" manufacturer "ADP" desc "Fashion Gambler (set 1)" devices ())
(name "fashiong2" year "1997" manufacturer "ADP" desc "Fashion Gambler (set 2)" devices ())
(name "fastdraw" year "1995" manufacturer "American Laser Games" desc "Fast Draw Showdown (v1.31)" devices ())
(name "fastdraw_130" year "1995" manufacturer "American Laser Games" desc "Fast Draw Showdown (v1.30)" devices ())
(name "fastdrwp" year "198?" manufacturer "Stern Electronics?" desc "Fast Draw (poker conversion kit)?" devices ())
(name "fastfort" year "1998" manufacturer "Aristocrat" desc "Fast Fortune (0100651V, NSW/ACT)" devices ())
(name "fastfred" year "1982" manufacturer "Kaneko (Atari license)" desc "Fast Freddie" devices ())
(name "fastlane" year "1987" manufacturer "Konami" desc "Fast Lane" devices ())
(name "fasttrack" year "1989" manufacturer "Mr Game" desc "Fast Track" devices ())
(name "fateulc" year "2008" manufacturer "Capcom / Namco" desc "Fate: Unlimited Codes (FUD1 ver. A)" devices ())
(name "fateulcb" year "2008" manufacturer "bootleg" desc "Fate: Unlimited Codes (bootleg)" devices ())
(name "fatfursp" year "1993" manufacturer "SNK" desc "Fatal Fury Special / Garou Densetsu Special (NGM-058 ~ NGH-058, set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "fatfurspa" year "1993" manufacturer "SNK" desc "Fatal Fury Special / Garou Densetsu Special (NGM-058 ~ NGH-058, set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "fatfurspb" year "199?" manufacturer "bootleg" desc "Fatal Fury Special (SNES bootleg with timer)" devices ())
(name "fatfurwa" year "1998" manufacturer "SNK" desc "Fatal Fury: Wild Ambition / Garou Densetsu: Wild Ambition (rev.A)" devices ())
(name "fatfury1" year "1991" manufacturer "SNK" desc "Fatal Fury - King of Fighters / Garou Densetsu - Shukumei no Tatakai (NGM-033 ~ NGH-033)" devices ((name "memcard" briefname "memc" ) ()))
(name "fatfury2" year "1992" manufacturer "SNK" desc "Fatal Fury 2 / Garou Densetsu 2 - Arata-naru Tatakai (NGM-047 ~ NGH-047)" devices ((name "memcard" briefname "memc" ) ()))
(name "fatfury3" year "1995" manufacturer "SNK" desc "Fatal Fury 3 - Road to the Final Victory / Garou Densetsu 3 - Haruka-naru Tatakai (NGM-069 ~ NGH-069)" devices ((name "memcard" briefname "memc" ) ()))
(name "fathom" year "1981" manufacturer "Bally" desc "Fathom" devices ())
(name "fax" year "1983" manufacturer "Exidy" desc "FAX" devices ())
(name "fax2" year "1983" manufacturer "Exidy" desc "FAX 2" devices ())
(name "fb01" year "1986" manufacturer "Yamaha" desc "FB-01 FM Sound Generator" devices ((name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" )))
(name "fb2010" year "2009" manufacturer "Amcoe" desc "Fruit Bonus 2010" devices ())
(name "fb2gen" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8E Dual)" devices ())
(name "fb2genc1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8R, set 1)" devices ())
(name "fb2genc2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8LT, set 1)" devices ())
(name "fb2gend1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8R, set 2)" devices ())
(name "fb2gend2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8LT, set 2)" devices ())
(name "fb2geno" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.6XT)" devices ())
(name "fb2geno2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.5)" devices ())
(name "fb2genv1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8R Dual)" devices ())
(name "fb2genv2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Generation (Version 1.8LT Dual)" devices ())
(name "fb2nd" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8R, set 1)" devices ())
(name "fb2ndc2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8LT, set 1)" devices ())
(name "fb2ndd1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8R, set 2)" devices ())
(name "fb2ndd2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8LT, set 2)" devices ())
(name "fb2ndo" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.5)" devices ())
(name "fb2ndv1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8R Dual)" devices ())
(name "fb2ndv2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2nd Edition (Version 1.8LT Dual)" devices ())
(name "fb3g" year "200?" manufacturer "Amcoe" desc "Fruit Bonus 3G (Version 1.0.3)" devices ())
(name "fb4" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5R, set 1)" devices ())
(name "fb4b2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5LT, set 1)" devices ())
(name "fb4c1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5R, set 2)" devices ())
(name "fb4c2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5LT, set 2)" devices ())
(name "fb4d1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5R, set 3)" devices ())
(name "fb4d2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5LT, set 3)" devices ())
(name "fb4exp" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2005 (2004 Export - Version 1.5E Dual)" devices ())
(name "fb4o" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.3XT)" devices ())
(name "fb4o2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.2)" devices ())
(name "fb4v1" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5R Dual)" devices ())
(name "fb4v2" year "2004" manufacturer "Amcoe" desc "Fruit Bonus 2004 (Version 1.5LT Dual)" devices ())
(name "fb5" year "2005" manufacturer "Amcoe" desc "Fruit Bonus 2005 (Version 1.5SH, set 1)" devices ())
(name "fb5c" year "2005" manufacturer "Amcoe" desc "Fruit Bonus 2005 (Version 1.5SH, set 2)" devices ())
(name "fb5d" year "2005" manufacturer "Amcoe" desc "Fruit Bonus 2005 (Version 1.5SH, set 3)" devices ())
(name "fb5v" year "2005" manufacturer "Amcoe" desc "Fruit Bonus 2005 (Version 1.5SH Dual)" devices ())
(name "fb6" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7E CGA)" devices ())
(name "fb6d1" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7R CGA)" devices ())
(name "fb6d2" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7LT CGA)" devices ())
(name "fb6s1" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7R CGA, Compact PCB)" devices ())
(name "fb6s2" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7LT CGA, Compact PCB)" devices ())
(name "fb6s3" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.3R CGA, Compact PCB)" devices ())
(name "fb6se" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4E CGA)" devices ())
(name "fb6sed1" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4R CGA)" devices ())
(name "fb6sed2" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4LT CGA)" devices ())
(name "fb6sev" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4E Dual)" devices ())
(name "fb6sev1" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4R Dual)" devices ())
(name "fb6sev2" year "2006" manufacturer "Amcoe" desc "Fruit Bonus 2006 Special Edition (Version 1.4LT Dual)" devices ())
(name "fb6v" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7E Dual)" devices ())
(name "fb6v1" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7R Dual)" devices ())
(name "fb6v2" year "2006" manufacturer "Amcoe" desc "Fruit Bonus '06 - 10th anniversary (Version 1.7LT Dual)" devices ())
(name "fbait2bc" year "1998" manufacturer "Konami" desc "Fisherman's Bait 2 - A Bass Challenge (GE865 VER. UAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbaitbc" year "1998" manufacturer "Konami" desc "Fisherman's Bait - A Bass Challenge (GE765 VER. UAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbaitmc" year "1999" manufacturer "Konami" desc "Fisherman's Bait - Marlin Challenge (GX889 VER. EA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbaitmca" year "1999" manufacturer "Konami" desc "Fisherman's Bait - Marlin Challenge (GX889 VER. AA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbaitmcj" year "1999" manufacturer "Konami" desc "Fisherman's Bait - Marlin Challenge (GX889 VER. JA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbaitmcu" year "1999" manufacturer "Konami" desc "Fisherman's Bait - Marlin Challenge (GX889 VER. UA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fball" year "1992" manufacturer "FM Work" desc "Fire Ball (FM Work)" devices ())
(name "fball_ii" year "1981" manufacturer "Bally" desc "Fireball II" devices ())
(name "fbclass" year "1984" manufacturer "Bally" desc "Fireball Classic" devices ())
(name "fbcrazy" year "1997" manufacturer "BFM" desc "Football Crazy (Video Quiz)" devices ((name "cdrom" briefname "cdrm" )))
(name "fbdeluxe" year "200?" manufacturer "Amcoe" desc "Fruit Bonus Deluxe (Version 1.0.9)" devices ())
(name "fbdeluxeo" year "200?" manufacturer "Amcoe" desc "Fruit Bonus Deluxe (Version 1.0.7)" devices ())
(name "fbfrenzy" year "1992" manufacturer "SNK" desc "Football Frenzy (NGM-034 ~ NGH-034)" devices ((name "memcard" briefname "memc" ) ()))
(name "fc100" year "1982" manufacturer "Goldstar" desc "FC-100" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "fcnudge" year "2003" manufacturer "Amcoe" desc "Fruit Carnival Nudge (Version 2.1 Dual)" devices ())
(name "fcnudgeo" year "2003" manufacturer "Amcoe" desc "Fruit Carnival Nudge (Version 2.0, set 1)" devices ())
(name "fcnudgeo2" year "2003" manufacturer "Amcoe" desc "Fruit Carnival Nudge (Version 2.0, set 2)" devices ())
(name "fcnudgeo3" year "2003" manufacturer "Amcoe" desc "Fruit Carnival Nudge (Version 1.7)" devices ())
(name "fcockt" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (030505 World)" devices ())
(name "fcockt2" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (080707 Russia)" devices ())
(name "fcockt2_10" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (110111 Entertainment A)" devices ())
(name "fcockt2_11" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (110124 Entertainment A)" devices ())
(name "fcockt2_12" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (110204 Entertainment A)" devices ())
(name "fcockt2_13" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (110311 Entertainment B)" devices ())
(name "fcockt2_14" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (140526 Entertainment B)" devices ())
(name "fcockt2_15" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (110411 Entertainment C)" devices ())
(name "fcockt2_2" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (080904 Russia)" devices ())
(name "fcockt2_3" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (080909 World)" devices ())
(name "fcockt2_4" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (081105 World)" devices ())
(name "fcockt2_4a" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, banking address hack)" devices ())
(name "fcockt2_4b" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, banking address hack, no credit limit)" devices ())
(name "fcockt2_4c" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, VIDEO GAME-1 FR02)" devices ())
(name "fcockt2_4d" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, banking address hack, payout percentage 70)" devices ())
(name "fcockt2_4e" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, LOTTOGAME (I))" devices ())
(name "fcockt2_4f" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 081105, LOTOS FR02)" devices ())
(name "fcockt2_5" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (081106 Russia)" devices ())
(name "fcockt2_6" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (090525 Lottery)" devices ())
(name "fcockt2_7" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (090813 Entertainment)" devices ())
(name "fcockt2_8" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (100412 Entertainment X)" devices ())
(name "fcockt2_9" year "2008" manufacturer "Igrosoft" desc "Fruit Cocktail 2 (101208 Entertainment N)" devices ())
(name "fcockt2a" year "2008" manufacturer "bootleg" desc "Fruit Cocktail 2 (bootleg, 080707, banking address hack)" devices ())
(name "fcockt_10" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (070517 Russia)" devices ())
(name "fcockt_11" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (070822 Russia)" devices ())
(name "fcockt_12" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (070911 Russia)" devices ())
(name "fcockt_14" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (090708 Entertainment)" devices ())
(name "fcockt_15" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (100324 Entertainment X)" devices ())
(name "fcockt_16" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (100331 Entertainment X)" devices ())
(name "fcockt_17" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (101208 Entertainment N)" devices ())
(name "fcockt_18" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (110111 Entertainment A)" devices ())
(name "fcockt_19" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (110124 Entertainment A)" devices ())
(name "fcockt_2" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (030512 World)" devices ())
(name "fcockt_20" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (110204 Entertainment A)" devices ())
(name "fcockt_21" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (110311 Entertainment B)" devices ())
(name "fcockt_22" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (140526 Entertainment B)" devices ())
(name "fcockt_3" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (030623 World)" devices ())
(name "fcockt_4" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (031028 World)" devices ())
(name "fcockt_5" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (031111 World)" devices ())
(name "fcockt_6" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (040216 World)" devices ())
(name "fcockt_6a" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 040216, banking address hack)" devices ())
(name "fcockt_6b" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 040216, backdoor)" devices ())
(name "fcockt_6c" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 040216, LotoRossy+)" devices ())
(name "fcockt_6d" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 040216, VIDEO GAME-1 FR01)" devices ())
(name "fcockt_7" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (050118 World)" devices ())
(name "fcockt_7a" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, backdoor)" devices ())
(name "fcockt_7b" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, VIDEO GAME-1 FR01)" devices ())
(name "fcockt_7c" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, payout percentage 40)" devices ())
(name "fcockt_7d" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, payout percentage 60)" devices ())
(name "fcockt_7e" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, payout percentage 70)" devices ())
(name "fcockt_7f" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, changed version text)" devices ())
(name "fcockt_7g" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, LOTO PROGRAM V-FC2)" devices ())
(name "fcockt_7h" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 050118, LOTOS FR01)" devices ())
(name "fcockt_8" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (060111 World)" devices ())
(name "fcockt_8a" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 060111, LOTO COCKTAIL V01-0001)" devices ())
(name "fcockt_8b" year "2003" manufacturer "bootleg" desc "Fruit Cocktail (bootleg, 060111, LOTTOGAME (I))" devices ())
(name "fcockt_9" year "2003" manufacturer "Igrosoft" desc "Fruit Cocktail (070305 Russia)" devices ())
(name "fcombat" year "1985" manufacturer "Jaleco" desc "Field Combat" devices ())
(name "fcpocket" year "2016" manufacturer "<unknown>" desc "FC Pocket 600 in 1" devices ())
(name "fcrash" year "1990" manufacturer "bootleg (Playmark)" desc "Final Crash (bootleg of Final Fight)" devices ())
(name "fctitler" year "1989" manufacturer "Sharp" desc "Famicom Titler" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "fdes2000" year "1988" manufacturer "Fidelity International" desc "Designer 2000" devices ())
(name "fdes2000d" year "1988" manufacturer "Fidelity International" desc "Designer 2000 Display" devices ())
(name "fdes2100" year "1988" manufacturer "Fidelity International" desc "Designer 2100" devices ())
(name "fdes2100d" year "1988" manufacturer "Fidelity International" desc "Designer 2100 Display (set 1)" devices ())
(name "fdes2100da" year "1988" manufacturer "Fidelity International" desc "Designer 2100 Display (set 2)" devices ())
(name "fdes2265" year "1989" manufacturer "Fidelity Electronics International" desc "Designer Mach III Master 2265 (set 1)" devices ())
(name "fdes2265a" year "1989" manufacturer "Fidelity Electronics International" desc "Designer Mach III Master 2265 (set 2)" devices ())
(name "fdes2325" year "1991" manufacturer "Fidelity Electronics International" desc "Designer Mach IV 68020 Master 2325" devices ())
(name "fdpc200" year "1985" manufacturer "Fenner" desc "DPC-200 (MSX1, Italy)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fds" year "1986" manufacturer "Nintendo" desc "Famicom (w/ Disk System add-on)" devices ((name "floppydisk" briefname "flop" )))
(name "feag" year "1986" manufacturer "Fidelity International" desc "Elite Avant Garde (model 6081)" devices ((name "cartridge" briefname "cart" )))
(name "feag2100" year "1986" manufacturer "Fidelity International" desc "Elite Avant Garde 2100 (set 1)" devices ((name "cartridge" briefname "cart" )))
(name "feag2100a" year "1986" manufacturer "Fidelity International" desc "Elite Avant Garde 2100 (set 2)" devices ((name "cartridge" briefname "cart" )))
(name "feagv10" year "1990" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-10)" devices ((name "cartridge" briefname "cart" )))
(name "feagv11" year "2001" manufacturer "hack (Wilfried Bucke)" desc "Elite Avant Garde 2325 (model 6117-11)" devices ((name "cartridge" briefname "cart" )))
(name "feagv4" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2265 (model 6114-2/3/4, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "feagv4a" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2265 (model 6114-2/3/4, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "feagv5" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2265 (model 6114-5)" devices ((name "cartridge" briefname "cart" )))
(name "feagv7" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-6/7, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "feagv7a" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-6/7, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "feagv7b" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-6/7, set 3)" devices ((name "cartridge" briefname "cart" )))
(name "feagv7c" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-6/7, set 4)" devices ((name "cartridge" briefname "cart" )))
(name "feagv9" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-9, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "feagv9a" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-9, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "feagv9b" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-9, set 3)" devices ((name "cartridge" briefname "cart" )))
(name "feagv9c" year "1989" manufacturer "Fidelity International" desc "Elite Avant Garde 2325 (model 6117-9, set 4)" devices ((name "cartridge" briefname "cart" )))
(name "feap90" year "1989" manufacturer "Siemens" desc "Multitel Fe Ap 90-1.1" devices ())
(name "fearless" year "2006" manufacturer "IGS" desc "Fearless Pinocchio (V101US)" devices ())
(name "feas" year "1983" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (original program)" devices ((name "cartridge" briefname "cart" )))
(name "feasbu" year "1983" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (Budapest program, model EAS)" devices ((name "cartridge" briefname "cart" )))
(name "feasbua" year "1983" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (Budapest program, model EWC)" devices ((name "cartridge" briefname "cart" )))
(name "feasgla" year "1984" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (Glasgow program, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "feasglaa" year "1984" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (Glasgow program, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "feasglab" year "1984" manufacturer "Fidelity Electronics" desc "Elite A/S Challenger (Glasgow program, set 3)" devices ((name "cartridge" briefname "cart" )))
(name "feasx" year "1985" manufacturer "Fidelity Computer Products" desc "Elite A/S Challenger (experimental)" devices ((name "cartridge" briefname "cart" )))
(name "feldo" year "1990" manufacturer "Fidelity Electronics International / CXG Systems" desc "Eldorado Chess Challenger" devices ())
(name "feleg" year "1986" manufacturer "Fidelity International" desc "Elegance Chess Challenger (model 6085)" devices ((name "cartridge" briefname "cart" )))
(name "felega" year "1984" manufacturer "Fidelity Computer Products" desc "Elegance Chess Challenger (model AS12, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "felega1" year "1984" manufacturer "Fidelity Computer Products" desc "Elegance Chess Challenger (model AS12, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "felega2" year "1984" manufacturer "Fidelity Computer Products" desc "Elegance Chess Challenger (model AS12, set 3)" devices ((name "cartridge" briefname "cart" )))
(name "felega3" year "1984" manufacturer "Fidelity Computer Products" desc "Elegance Chess Challenger (model AS12, set 4)" devices ((name "cartridge" briefname "cart" )))
(name "fellow" year "1983" manufacturer "Salora" desc "Fellow (Finland)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "fengyunh" year "1998" manufacturer "BMC" desc "Fengyun Hui" devices ())
(name "fenix" year "1980" manufacturer "bootleg (Orio)" desc "Fenix (Orio bootleg of Phoenix)" devices ())
(name "fenixn" year "1980" manufacturer "bootleg (Niemer)" desc "Fenix (Niemer bootleg of Phoenix)" devices ())
(name "feverch" year "1986" manufacturer "Wing Co., Ltd." desc "Fever Chance (W-6)" devices ())
(name "feversoc" year "2004" manufacturer "Seibu Kaihatsu" desc "Fever Soccer" devices ())
(name "feversos" year "1998" manufacturer "Cave (Nihon System license)" desc "Fever SOS (World, 98/09/25 VER)" devices ())
(name "fex68k" year "1987" manufacturer "Fidelity International" desc "Excel 68000 (set 1)" devices ())
(name "fex68ka" year "1987" manufacturer "Fidelity International" desc "Excel 68000 (set 2)" devices ())
(name "fex68kb" year "1987" manufacturer "Fidelity International" desc "Excel 68000 (set 3)" devices ())
(name "fex68km2" year "1988" manufacturer "Fidelity International" desc "Excel 68000 Mach II (rev. C+, set 1)" devices ())
(name "fex68km2a" year "1988" manufacturer "Fidelity International" desc "Excel 68000 Mach II (rev. C+, set 2)" devices ())
(name "fex68km3" year "1988" manufacturer "Fidelity International" desc "Excel 68000 Mach III Master 2265 (set 1)" devices ())
(name "fex68km3a" year "1988" manufacturer "Fidelity International" desc "Excel 68000 Mach III Master 2265 (set 2)" devices ())
(name "fex68km3b" year "1988" manufacturer "Fidelity International" desc "Excel 68000 Mach III Master 2265 (set 3)" devices ())
(name "fex68km4" year "1989" manufacturer "Fidelity International" desc "Excel 68000 Mach IV 68020 Master 2325" devices ())
(name "fexcel" year "1987" manufacturer "Fidelity International" desc "The Excellence (model 6080B)" devices ())
(name "fexcel12" year "1985" manufacturer "Fidelity International" desc "The Excellence (model EP12, set 1)" devices ())
(name "fexcel124" year "1985" manufacturer "Fidelity International" desc "The Excellence (model EP12, set 2)" devices ())
(name "fexcela" year "1985" manufacturer "Fidelity International" desc "The Excellence (model 6080)" devices ())
(name "fexceld" year "1987" manufacturer "Fidelity International" desc "Excel Display" devices ())
(name "fexcelp" year "1986" manufacturer "Fidelity International" desc "The Par Excellence" devices ())
(name "fexcelpb" year "1986" manufacturer "Fidelity International" desc "The Par Excellence (rev. B)" devices ())
(name "fexcelv" year "1987" manufacturer "Fidelity International" desc "Voice Excellence" devices ())
(name "ffantasy" year "1989" manufacturer "Data East Corporation" desc "Fighting Fantasy (Japan, revision 3)" devices ())
(name "ffantasya" year "1989" manufacturer "Data East Corporation" desc "Fighting Fantasy (Japan)" devices ())
(name "ffantasyb" year "1989" manufacturer "Data East Corporation" desc "Fighting Fantasy (Japan revision ?)" devices ())
(name "ffantasybl" year "1989" manufacturer "bootleg" desc "Fighting Fantasy (bootleg with 68705)" devices ())
(name "ffantasyj" year "1989" manufacturer "Data East Corporation" desc "Fighting Fantasy (Japan, revision 2)" devices ())
(name "ffantasym" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Fighting Fantasy (Modular System)" devices ())
(name "ffight" year "1989" manufacturer "Capcom" desc "Final Fight (World, set 1)" devices ())
(name "ffight2b" year "1996" manufacturer "bootleg" desc "Final Fight 2 (SNES bootleg)" devices ())
(name "ffight3b" year "199?" manufacturer "bootleg" desc "Final Fight 3 (SNES bootleg, set 1)" devices ())
(name "ffight3b2" year "199?" manufacturer "bootleg" desc "Final Fight 3 (SNES bootleg, set 2)" devices ())
(name "ffighta" year "1989" manufacturer "Capcom" desc "Final Fight (World, set 2)" devices ())
(name "ffightae" year "2019" manufacturer "hack" desc "Final Fight 30th Anniversary Edition (World, hack)" devices ())
(name "ffightbl" year "1990" manufacturer "bootleg" desc "Final Fight (bootleg)" devices ())
(name "ffightbla" year "1990" manufacturer "bootleg" desc "Final Fight (bootleg on Final Crash PCB)" devices ())
(name "ffightblb" year "1990" manufacturer "bootleg (Soon Hwa)" desc "Final Fight (bootleg with single OKI)" devices ())
(name "ffightj" year "1989" manufacturer "Capcom" desc "Final Fight (Japan)" devices ())
(name "ffightj1" year "1989" manufacturer "Capcom" desc "Final Fight (Japan 900112)" devices ())
(name "ffightj2" year "1989" manufacturer "Capcom" desc "Final Fight (Japan 900305)" devices ())
(name "ffightj3" year "1989" manufacturer "Capcom" desc "Final Fight (Japan 900405)" devices ())
(name "ffightj4" year "1989" manufacturer "Capcom" desc "Final Fight (Japan 900613)" devices ())
(name "ffightjh" year "1989" manufacturer "bootleg" desc "Street Smart / Final Fight (Japan, hack)" devices ())
(name "ffightu" year "1989" manufacturer "Capcom" desc "Final Fight (USA, set 1)" devices ())
(name "ffightu1" year "1989" manufacturer "Capcom" desc "Final Fight (USA, set 2)" devices ())
(name "ffightua" year "1989" manufacturer "Capcom" desc "Final Fight (USA 900112)" devices ())
(name "ffightub" year "1989" manufacturer "Capcom" desc "Final Fight (USA 900424)" devices ())
(name "ffightuc" year "1989" manufacturer "Capcom" desc "Final Fight (USA 900613)" devices ())
(name "fforce2" year "1979" manufacturer "Fountain" desc "Fountain Force 2" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "ffortune" year "1998" manufacturer "Aristocrat" desc "Fantasy Fortune (1VXFC5460, New Zealand)" devices ())
(name "ffreveng" year "1999" manufacturer "Capcom" desc "Final Fight Revenge / Final Revenge (JUET 990930 V1.100)" devices ())
(name "ffrevng10" year "1999" manufacturer "Capcom" desc "Final Fight Revenge / Final Revenge (JUET 990714 V1.000)" devices ())
(name "ffruits" year "2000" manufacturer "Cromptons Leisure Machines" desc "Frantic Fruits" devices ())
(name "ffv101" year "1996" manufacturer "Capcom" desc "Flipper Football (v1.01)" devices ())
(name "ffv103" year "1996" manufacturer "Capcom" desc "Flipper Football (v1.03)" devices ())
(name "ffv104" year "1996" manufacturer "Capcom" desc "Flipper Football (v1.04)" devices ())
(name "fg_1000af" year "2007" manufacturer "Stern" desc "Family Guy v10.0 (English,French)" devices ())
(name "fg_1000ag" year "2007" manufacturer "Stern" desc "Family Guy v10.0 (English,German)" devices ())
(name "fg_1000ai" year "2007" manufacturer "Stern" desc "Family Guy v10.0 (English,Italian)" devices ())
(name "fg_1000al" year "2007" manufacturer "Stern" desc "Family Guy v10.0 (English,Spanish)" devices ())
(name "fg_110af" year "2007" manufacturer "Stern" desc "Family Guy v11.0 (English,French)" devices ())
(name "fg_110ag" year "2007" manufacturer "Stern" desc "Family Guy v11.0 (English,German)" devices ())
(name "fg_110ai" year "2007" manufacturer "Stern" desc "Family Guy v11.0 (English,Italian)" devices ())
(name "fg_110al" year "2007" manufacturer "Stern" desc "Family Guy v11.0 (English,Spanish)" devices ())
(name "fg_120af" year "2007" manufacturer "Stern" desc "Family Guy v12.0 (English,French)" devices ())
(name "fg_120ag" year "2007" manufacturer "Stern" desc "Family Guy v12.0 (English,German)" devices ())
(name "fg_120ai" year "2007" manufacturer "Stern" desc "Family Guy v12.0 (English,Italian)" devices ())
(name "fg_120al" year "2007" manufacturer "Stern" desc "Family Guy v12.0 (English,Spanish)" devices ())
(name "fg_300ai" year "2007" manufacturer "Stern" desc "Family Guy v3.0 (English,Italian)" devices ())
(name "fg_400a" year "2007" manufacturer "Stern" desc "Family Guy v4.0 (English)" devices ())
(name "fg_400ag" year "2007" manufacturer "Stern" desc "Family Guy v4.0 (English,German)" devices ())
(name "fg_700af" year "2007" manufacturer "Stern" desc "Family Guy v7.0 (English,French)" devices ())
(name "fg_700al" year "2007" manufacturer "Stern" desc "Family Guy v7.0 (English,Spanish)" devices ())
(name "fg_800al" year "2007" manufacturer "Stern" desc "Family Guy v8.0 (English,Spanish)" devices ())
(name "fghtatck" year "1992" manufacturer "Namco" desc "Fighter & Attacker (US)" devices ())
(name "fghtbskt" year "1984" manufacturer "Paradise Co. Ltd." desc "Fighting Basketball" devices ())
(name "fghthist" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (World ver 43-09, DE-0395-1 PCB)" devices ())
(name "fghthista" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (World ver 43-07, DE-0380-2 PCB)" devices ())
(name "fghthistb" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (World ver 43-05, DE-0380-2 PCB)" devices ())
(name "fghthistj" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (Japan ver 41-07, DE-0395-1 PCB)" devices ())
(name "fghthistja" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (Japan ver 41-05, DE-0380-2 PCB)" devices ())
(name "fghthistjb" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (Japan ver 41-04, DE-0380-1 PCB)" devices ())
(name "fghthistu" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (US ver 42-09, DE-0396-0 PCB)" devices ())
(name "fghthistua" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (US ver 42-06, DE-0395-1 PCB)" devices ())
(name "fghthistub" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (US ver 42-05, DE-0395-1 PCB)" devices ())
(name "fghthistuc" year "1993" manufacturer "Data East Corporation" desc "Fighter's History (US ver 42-03, DE-0380-2 PCB)" devices ())
(name "fghtjam" year "2004" manufacturer "Capcom / Namco" desc "Capcom Fighting Jam (JAM1 Ver. A)" devices ())
(name "fghtmn" year "2000" manufacturer "Konami" desc "Fighting Mania (QG918 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fghtmna" year "2000" manufacturer "Konami" desc "Fighting Mania (QG918 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fghtmnk" year "2000" manufacturer "Konami" desc "Fighting Mania (QG918 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fghtmnu" year "2000" manufacturer "Konami" desc "Fighting Mania (QG918 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "fgoal" year "1979" manufacturer "Taito" desc "Field Goal (set 1)" devices ())
(name "fgoala" year "1979" manufacturer "Taito" desc "Field Goal (set 2)" devices ())
(name "fgtlayer" year "1998" manufacturer "Arika / Namco" desc "Fighting Layer (Asia, FTL3/VER.A)" devices ())
(name "fgtlayerj" year "1998" manufacturer "Arika / Namco" desc "Fighting Layer (Japan, FTL0/VER.A)" devices ())
(name "fh_905h" year "1996" manufacturer "Williams" desc "Funhouse (9.05H)" devices ())
(name "fh_l2" year "1990" manufacturer "Williams" desc "Funhouse (L-2)" devices ())
(name "fh_l3" year "1990" manufacturer "Williams" desc "Funhouse (L-3)" devices ())
(name "fh_l4" year "1990" manufacturer "Williams" desc "Funhouse (L-4)" devices ())
(name "fh_l5" year "1990" manufacturer "Williams" desc "Funhouse (L-5)" devices ())
(name "fh_l9" year "1990" manufacturer "Williams" desc "Funhouse (L-9, SL-2m)" devices ())
(name "fh_l9b" year "1990" manufacturer "Williams" desc "Funhouse (L-9, SL-2m, bootleg improved German translation)" devices ())
(name "fh_pa1" year "1990" manufacturer "Williams" desc "Funhouse (L-2, prototype PA-1 System 11 sound)" devices ())
(name "fhawk" year "1988" manufacturer "Taito Corporation Japan" desc "Fighting Hawk (World)" devices ())
(name "fhawkj" year "1988" manufacturer "Taito Corporation" desc "Fighting Hawk (Japan)" devices ())
(name "fhboxers" year "1995" manufacturer "Sega" desc "Funky Head Boxers (JUETBKAL 951218 V1.000)" devices ())
(name "fhunter" year "1996" manufacturer "Aristocrat" desc "Fortune Hunter (2XF5196I01, US)" devices ())
(name "fhuntera" year "1996" manufacturer "Aristocrat" desc "Fortune Hunter (2XF5196I02, US)" devices ())
(name "fi6845" year "1979" manufacturer "Fiberglass" desc "Fast Invaders (6845 version)" devices ())
(name "fi8275" year "1979" manufacturer "Fiberglass" desc "Fast Invaders (8275 version)" devices ())
(name "fic4386vchd" year "199?" manufacturer "First International Computer" desc "4386-VC-HD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fic4386vcv" year "199?" manufacturer "First International Computer" desc "4386-VC-V" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fic486gvt" year "199?" manufacturer "First International Computer" desc "486-GVT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fic486kvd" year "199?" manufacturer "First International Computer" desc "486 KVD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fic486vchd" year "199?" manufacturer "First International Computer" desc "486-VC-HD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ficeli6ii" year "199?" manufacturer "First International Computer" desc "FIC ELI6-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ficgiovt2" year "1994" manufacturer "First International Computer" desc "486-GIO-VT2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fiches" year "1995?" manufacturer "Minivideo" desc "Les Fiches (ver 1.3)" devices ())
(name "fiches12" year "1995?" manufacturer "Minivideo" desc "Les Fiches (ver 1.2)" devices ())
(name "ficpio2" year "1995" manufacturer "First International Computer" desc "486-PIO-2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "ficvipio" year "1994" manufacturer "First International Computer" desc "486-VIP-IO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ficvipio2" year "199?" manufacturer "First International Computer" desc "486-VIP-IO2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ficvt503" year "1997" manufacturer "FIC" desc "VT-503" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fidlstix" year "1995" manufacturer "Quick $ilver Development Co." desc "Fiddle Stix (1st Rev)" devices ())
(name "fieldday" year "1984" manufacturer "Taito Corporation" desc "Field Day" devices ())
(name "fightfev" year "1994" manufacturer "Viccom" desc "Fight Fever / Wang Jung Wang (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "fightfeva" year "1994" manufacturer "Viccom" desc "Fight Fever / Wang Jung Wang (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "fightrol" year "1983" manufacturer "Kaneko (Taito license)" desc "Fighting Roller" devices ())
(name "filetto" year "1990" manufacturer "Novarmatic" desc "Filetto (v1.05 901009)" devices ())
(name "filthyr" year "1997" manufacturer "WMS" desc "Filthy Rich (English)" devices ())
(name "filthyrr" year "1997" manufacturer "WMS" desc "Filthy Rich (Russian)" devices ())
(name "finalap2" year "1990" manufacturer "Namco" desc "Final Lap 2" devices ())
(name "finalap2j" year "1990" manufacturer "Namco" desc "Final Lap 2 (Japan)" devices ())
(name "finalap3" year "1992" manufacturer "Namco" desc "Final Lap 3 (World, Rev C)" devices ())
(name "finalap3a" year "1992" manufacturer "Namco" desc "Final Lap 3 (World, set 2)" devices ())
(name "finalap3bl" year "1992" manufacturer "Namco" desc "Final Lap 3 (bootleg)" devices ())
(name "finalap3j" year "1992" manufacturer "Namco" desc "Final Lap 3 (Japan)" devices ())
(name "finalap3jc" year "1992" manufacturer "Namco" desc "Final Lap 3 (Japan, Rev C)" devices ())
(name "finalapr" year "1994" manufacturer "Namco" desc "Final Lap R (Rev. B)" devices ())
(name "finalapr1" year "1994" manufacturer "Namco" desc "Final Lap R" devices ())
(name "finalaprj" year "1994" manufacturer "Namco" desc "Final Lap R (Japan Rev. C)" devices ())
(name "finalaprj1" year "1994" manufacturer "Namco" desc "Final Lap R (Japan Rev. B)" devices ())
(name "finalb" year "1988" manufacturer "Taito Corporation Japan" desc "Final Blow (World)" devices ())
(name "finalbj" year "1988" manufacturer "Taito Corporation" desc "Final Blow (Japan)" devices ())
(name "finalbny" year "1991" manufacturer "Nichibutsu" desc "Mahjong Final Bunny (Japan)" devices ())
(name "finalbu" year "1988" manufacturer "Taito America Corporation" desc "Final Blow (US, rev 1)" devices ())
(name "finalgdr" year "2001" manufacturer "SemiCom" desc "Final Godori (Korea, version 2.20.5915)" devices ())
(name "finalizr" year "1985" manufacturer "Konami" desc "Finalizer - Super Transformation (set 1)" devices ())
(name "finalizra" year "1985" manufacturer "Konami" desc "Finalizer - Super Transformation (set 2)" devices ())
(name "finalizrb" year "1985" manufacturer "bootleg" desc "Finalizer - Super Transformation (bootleg)" devices ())
(name "finallap" year "1987" manufacturer "Namco" desc "Final Lap (Rev E)" devices ())
(name "finallapc" year "1987" manufacturer "Namco" desc "Final Lap (Rev C)" devices ())
(name "finallapd" year "1987" manufacturer "Namco" desc "Final Lap (Rev D)" devices ())
(name "finallapjb" year "1987" manufacturer "Namco" desc "Final Lap (Japan, Rev B)" devices ())
(name "finallapjc" year "1987" manufacturer "Namco" desc "Final Lap (Japan, Rev C)" devices ())
(name "finalttr" year "1993" manufacturer "Jeil Computer System" desc "Final Tetris" devices ())
(name "findlove" year "1997" manufacturer "Daiki / FCF" desc "Zenkoku Seifuku Bishoujo Grand Prix Find Love (J 971212 V1.000)" devices ())
(name "findout" year "1987" manufacturer "Elettronolo" desc "Find Out (Version 4.04, set 1)" devices ())
(name "findouta" year "1989" manufacturer "Elettronolo" desc "Find Out (Version 4.04, set 2)" devices ())
(name "finehour" year "1989" manufacturer "Namco" desc "Finest Hour (Japan)" devices ())
(name "finfurl" year "1997" manufacturer "Namco" desc "Final Furlong (World, FF2 Ver. A)" devices ())
(name "finfurl2" year "1998" manufacturer "Namco" desc "Final Furlong 2 (World)" devices ())
(name "finfurl2j" year "1998" manufacturer "Namco" desc "Final Furlong 2 (Japan, FFS1 Ver.A)" devices ())
(name "fingbowl" year "1981" manufacturer "Tiger Electronics" desc "Finger Bowl" devices ())
(name "finger" year "1983" manufacturer "bootleg" desc "Finger (bootleg of Stinger)" devices ())
(name "finlarch" year "1995" manufacturer "Sega" desc "Final Arch (J 950714 V1.001)" devices ())
(name "fire_l2" year "1987" manufacturer "Williams" desc "Fire! (L-2)" devices ())
(name "fire_l3" year "1987" manufacturer "Williams" desc "Fire! (L-3)" devices ())
(name "fireact" year "1981" manufacturer "Taito do Brasil" desc "Fire Action" devices ())
(name "fireactd" year "198?" manufacturer "Taito do Brasil" desc "Fire Action Deluxe" devices ())
(name "fireball" year "1989" manufacturer "Valco" desc "Fireball" devices ())
(name "firebarr" year "1993" manufacturer "Irem" desc "Fire Barrel (Japan)" devices ())
(name "firebatl" year "1984" manufacturer "Woodplace Inc. (Taito license)" desc "Fire Battle" devices ())
(name "firebeas" year "1983" manufacturer "Atari" desc "Firebeast (prototype)" devices ())
(name "firebird" year "1985" manufacturer "NSM" desc "Hot Fire Birds" devices ())
(name "firednc" year "2004" manufacturer "Aristocrat" desc "Fire Dancer (20184911, NSW/ACT)" devices ())
(name "firednca" year "2005" manufacturer "Aristocrat" desc "Fire Dancer (10191311, ASP)" devices ())
(name "firefox" year "1984" manufacturer "Atari" desc "Fire Fox (set 1)" devices ())
(name "firefoxa" year "1984" manufacturer "Atari" desc "Fire Fox (set 2)" devices ())
(name "firehawk" year "2001" manufacturer "ESD" desc "Fire Hawk (World) / Huohu Chuanshuo (China) (horizontal)" devices ())
(name "firehawkv" year "2001" manufacturer "ESD" desc "Fire Hawk (World) / Huohu Chuanshuo (China) (switchable orientation)" devices ())
(name "firemntn" year "1980" manufacturer "Zaccaria" desc "Fire Mountain" devices ())
(name "fireone" year "1979" manufacturer "Exidy" desc "Fire One" devices ())
(name "fireshrk" year "1990" manufacturer "Toaplan" desc "Fire Shark" devices ())
(name "fireshrka" year "1989" manufacturer "Toaplan" desc "Fire Shark (earlier)" devices ())
(name "fireshrkd" year "1990" manufacturer "Toaplan (Dooyong license)" desc "Fire Shark (Korea, set 1, easier)" devices ())
(name "fireshrkdh" year "1990" manufacturer "Toaplan (Dooyong license)" desc "Fire Shark (Korea, set 2, harder)" devices ())
(name "firetrap" year "1986" manufacturer "Woodplace Inc. (Data East USA license)" desc "Fire Trap (US, rev A)" devices ())
(name "firetrapa" year "1986" manufacturer "Woodplace Inc. (Data East USA license)" desc "Fire Trap (US)" devices ())
(name "firetrapbl" year "1986" manufacturer "bootleg" desc "Fire Trap (Japan bootleg)" devices ())
(name "firetrapj" year "1986" manufacturer "Woodplace Inc." desc "Fire Trap (Japan)" devices ())
(name "firetrk" year "1978" manufacturer "Atari" desc "Fire Truck / Smokey Joe (PROM version)" devices ())
(name "firetrka" year "1978" manufacturer "Atari" desc "Fire Truck / Smokey Joe (ROM version)" devices ())
(name "firstcl" year "2002?" manufacturer "Novotech" desc "First Class Traveller (set 1)" devices ())
(name "fisco400" year "1977" manufacturer "Taito" desc "Cisco/Fisco 400" devices ())
(name "fishfren" year "1995" manufacturer "Time Warner Interactive" desc "Fishin' Frenzy (prototype)" devices ())
(name "fishingm" year "1997" manufacturer "Capcom" desc "Fishing Master (971107 JPN)" devices ())
(name "fitegolf" year "1988" manufacturer "SNK" desc "Lee Trevino's Fighting Golf (World?)" devices ())
(name "fitegolfu" year "1988" manufacturer "SNK" desc "Lee Trevino's Fighting Golf (US, Ver 2, set 1)" devices ())
(name "fitegolfua" year "1988" manufacturer "SNK" desc "Lee Trevino's Fighting Golf (US, Ver 2, set 2)" devices ())
(name "fitfight" year "199?" manufacturer "bootleg" desc "Fit of Fighting" devices ())
(name "fitter" year "1981" manufacturer "Taito Corporation" desc "Fitter" devices ())
(name "fitterbl" year "1981" manufacturer "bootleg" desc "Fitter (bootleg of Round-Up)" devices ())
(name "fiveside" year "1995" manufacturer "Konami" desc "Five a Side Soccer (ver UAA)" devices ())
(name "fixeight" year "1992" manufacturer "Toaplan" desc "FixEight (Europe)" devices ())
(name "fixeighta" year "1992" manufacturer "Toaplan" desc "FixEight (Southeast Asia)" devices ())
(name "fixeightat" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (Southeast Asia, Taito license)" devices ())
(name "fixeightbl" year "1992" manufacturer "bootleg" desc "FixEight (Korea, bootleg)" devices ())
(name "fixeighth" year "1992" manufacturer "Toaplan" desc "FixEight (Hong Kong)" devices ())
(name "fixeightht" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (Hong Kong, Taito license)" devices ())
(name "fixeightj" year "1992" manufacturer "Toaplan" desc "FixEight - Jigoku no Eiyuu Densetsu (Japan)" devices ())
(name "fixeightjt" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight - Jigoku no Eiyuu Densetsu (Japan, Taito license)" devices ())
(name "fixeightk" year "1992" manufacturer "Toaplan" desc "FixEight (Korea)" devices ())
(name "fixeightkt" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (Korea, Taito license)" devices ())
(name "fixeightt" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (Europe, Taito license)" devices ())
(name "fixeighttw" year "1992" manufacturer "Toaplan" desc "FixEight (Taiwan)" devices ())
(name "fixeighttwt" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (Taiwan, Taito license)" devices ())
(name "fixeightu" year "1992" manufacturer "Toaplan" desc "FixEight (USA)" devices ())
(name "fixeightut" year "1992" manufacturer "Toaplan (Taito license)" desc "FixEight (USA, Taito license)" devices ())
(name "fixitflx" year "2017" manufacturer "Basic Fun" desc "Fix It Felix Jr. (mini arcade)" devices ())
(name "fjbuster" year "1992" manufacturer "Kaneko" desc "Fujiyama Buster (Japan)" devices ())
(name "fjholden" year "1978" manufacturer "Hankin" desc "FJ Holden" devices ())
(name "fk1" year "1989" manufacturer "Statni statek Klicany" desc "FK-1" devices ())
(name "fl100" year "198?" manufacturer "Grundig" desc "FL-100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "fl7_2000" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (Custom Hardware, Main, 2000 Bonus)" devices ())
(name "fl7_2k16" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (Custom Hardware, Egyptian Gold, 2000 Bonus)" devices ())
(name "fl7_3121" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (W4 Hardware, Red, White & Blue 7's + Hollywood Nights)" devices ())
(name "fl7_50" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (Custom Hardware, Main, 50 Bonus)" devices ())
(name "fl7_500" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (Custom Hardware, Main, 500 Bonus)" devices ())
(name "fl7_tw" year "199?" manufacturer "Cyberdyne Systems" desc "Flaming 7 (Taiwanese Hardware, unknown version)" devices ())
(name "flagrall" year "1996" manufacturer "Promat?" desc "'96 Flag Rally" devices ())
(name "flamegun" year "1999" manufacturer "Gaps Inc." desc "Flame Gunner (Export)" devices ())
(name "flamegunj" year "1999" manufacturer "Gaps Inc." desc "Flame Gunner (Japan)" devices ())
(name "flamolce" year "2002" manufacturer "Aristocrat" desc "Flame of Olympus - Cash Express (0351025, US)" devices ())
(name "flamoljc" year "2002" manufacturer "Aristocrat" desc "Flame of Olympus - Jackpot Carnival (0251048, US)" devices ())
(name "flash" year "1980" manufacturer "Ideal Toy Corporation" desc "Flash (Ideal)" devices ())
(name "flash_l1" year "1979" manufacturer "Williams" desc "Flash (Williams, L-1)" devices ())
(name "flash_l2" year "1979" manufacturer "Williams" desc "Flash (Williams, L-2)" devices ())
(name "flash_t1" year "1979" manufacturer "Williams" desc "Flash (Williams, T-1) Ted Estes" devices ())
(name "flashgal" year "1985" manufacturer "Kyugo / Sega" desc "Flashgal (set 1)" devices ())
(name "flashgala" year "1985" manufacturer "Kyugo / Sega" desc "Flashgal (set 2)" devices ())
(name "flashgalk" year "1985" manufacturer "Kyugo / Sega" desc "Flashgal (set 1, Kyugo logo)" devices ())
(name "flashgdn" year "1981" manufacturer "Bally" desc "Flash Gordon" devices ())
(name "flashgdnf" year "1981" manufacturer "Bally" desc "Flash Gordon (French)" devices ())
(name "flashgdnfv" year "1981" manufacturer "Bally" desc "Flash Gordon (French Vocalizer sound)" devices ())
(name "flashgdnp1" year "1981" manufacturer "Bally" desc "Flash Gordon (prototype rev. 1)" devices ())
(name "flashgdnp2" year "1981" manufacturer "Bally" desc "Flash Gordon (prototype rev. 2)" devices ())
(name "flashgdnv" year "1981" manufacturer "Bally" desc "Flash Gordon (Vocalizer sound)" devices ())
(name "flashman" year "1984" manufacturer "Sport Matic" desc "Flashman" devices ())
(name "fldragon" year "1986" manufacturer "Playmatic" desc "Flash Dragon" devices ())
(name "fldragona" year "1986" manufacturer "Playmatic" desc "Flash Dragon (alternate set)" devices ())
(name "flicker" year "1974" manufacturer "Dave Nutting Associates / Bally" desc "Flicker (prototype)" devices ())
(name "flicky" year "1984" manufacturer "Sega" desc "Flicky (128k Version, 315-5051)" devices ())
(name "flickya" year "1984" manufacturer "Sega" desc "Flicky (128k Version, 315-5051, larger ROMs)" devices ())
(name "flickyb" year "1984" manufacturer "Sega" desc "Flicky (128k Version, 315-5051, larger ROMs, newer)" devices ())
(name "flickyo" year "1984" manufacturer "Sega" desc "Flicky (64k Version, 315-5051, set 1)" devices ())
(name "flickys1" year "1984" manufacturer "Sega" desc "Flicky (64k Version, 315-5051, set 2)" devices ())
(name "flickys2" year "1984" manufacturer "Sega" desc "Flicky (128k Version, not encrypted)" devices ())
(name "flickyup" year "1984" manufacturer "Sega" desc "Flicky (64k Version, on Up'n Down boardset, set 1)" devices ())
(name "flickyupa" year "1984" manufacturer "bootleg" desc "Flicky (64k Version, on Up'n Down boardset, set 2)" devices ())
(name "flight2k" year "1980" manufacturer "Stern" desc "Flight 2000" devices ())
(name "flipjack" year "1983?" manufacturer "Jackson Co., Ltd." desc "Flipper Jack" devices ())
(name "flipmaze" year "1999" manufacturer "MOSS / Taito" desc "Flip Maze (V2.04J 1999/09/02 20:00)" devices ((name "harddisk" briefname "hard" )))
(name "flipshot" year "1998" manufacturer "Visco" desc "Battle Flip Shot" devices ((name "memcard" briefname "memc" ) ()))
(name "flipull" year "1989" manufacturer "Taito Corporation" desc "Flipull (Japan)" devices ())
(name "flkatck" year "1987" manufacturer "Konami" desc "Flak Attack (Japan)" devices ())
(name "flkatcka" year "1987" manufacturer "Konami" desc "Flak Attack (Japan, PWB 450593 sub-board)" devices ())
(name "floritas" year "1980" manufacturer "bootleg" desc "Floritas (bootleg of Moon Cresta)" devices ())
(name "floritasm" year "1980" manufacturer "bootleg (Multivideo)" desc "Floritas (Multivideo Spanish bootleg of Moon Cresta)" devices ())
(name "flower" year "1986" manufacturer "Clarue (Komax license)" desc "Flower (US)" devices ())
(name "flowerj" year "1986" manufacturer "Clarue (Sega / Alpha Denshi Co. license)" desc "Flower (Japan)" devices ())
(name "flsbeats" year "1998" manufacturer "Sega" desc "Flash Beats" devices ())
(name "flstory" year "1985" manufacturer "Taito" desc "The FairyLand Story" devices ())
(name "flstoryo" year "1985" manufacturer "Taito" desc "The FairyLand Story (earlier)" devices ())
(name "flyball" year "1976" manufacturer "Atari" desc "Flyball (rev 2)" devices ())
(name "flyball1" year "1976" manufacturer "Atari" desc "Flyball (rev 1)" devices ())
(name "flyboy" year "1982" manufacturer "Kaneko" desc "Fly-Boy" devices ())
(name "flyboyb" year "1982" manufacturer "bootleg" desc "Fly-Boy (bootleg)" devices ())
(name "flyingf" year "1976" manufacturer "Electra" desc "Flying Fortress" devices ())
(name "flytiger" year "1992" manufacturer "Dooyong" desc "Flying Tiger (set 1)" devices ())
(name "flytigera" year "1992" manufacturer "Dooyong" desc "Flying Tiger (set 2)" devices ())
(name "fm11" year "1982" manufacturer "Fujitsu" desc "FM-11 EX" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fm16beta" year "1982" manufacturer "Fujitsu" desc "FM-16β" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fm7" year "1982" manufacturer "Fujitsu" desc "FM-7" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fm7740sx" year "1985" manufacturer "Fujitsu" desc "FM-77AV40SX" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fm77av" year "1985" manufacturer "Fujitsu" desc "FM-77AV" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fm8" year "1981" manufacturer "Fujitsu" desc "FM-8" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fmaniac2p" year "2000" manufacturer "Saero Entertainment" desc "Fishing Maniac 2+" devices ())
(name "fmaniac3" year "2002" manufacturer "Saero Entertainment" desc "Fishing Maniac 3" devices ())
(name "fmnew7" year "1984" manufacturer "Fujitsu" desc "FM-NEW7" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "fmtmarty" year "1993" manufacturer "Fujitsu" desc "FM-Towns Marty" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "fmtmarty2" year "1993" manufacturer "Fujitsu" desc "FM-Towns Marty 2" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "fmtowns" year "1989" manufacturer "Fujitsu" desc "FM-Towns (Model 1 / 2)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "fmtownsftv" year "1994" manufacturer "Fujitsu" desc "FM-Towns II FreshTV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" )))
(name "fmtownshr" year "1992" manufacturer "Fujitsu" desc "FM-Towns II HR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" )))
(name "fmtownsmx" year "1993" manufacturer "Fujitsu" desc "FM-Towns II MX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" )))
(name "fmtownssj" year "19??" manufacturer "Fujitsu" desc "FM-Towns II SJ" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" )))
(name "fmtownsux" year "1991" manufacturer "Fujitsu" desc "FM-Towns II UX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" )))
(name "fmtownsv03" year "1991" manufacturer "Fujitsu" desc "FM-Towns (unknown, V03 L01 00 91/07/09)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "fmx" year "1983" manufacturer "Fujitsu" desc "FM-X (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "fncywld" year "1996" manufacturer "Unico" desc "Fancy World - Earth of Crisis" devices ())
(name "fnf" year "2004" manufacturer "Raw Thrills" desc "The Fast And The Furious (v3.06)" devices ())
(name "fnkyfish" year "1981" manufacturer "Sun Electronics" desc "Funky Fish" devices ())
(name "fnshark" year "1987" manufacturer "bootleg" desc "Flyin' Shark (bootleg of Hishou Zame)" devices ())
(name "fnvision" year "1982" manufacturer "Video Technology" desc "FunVision" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "foathens" year "1978" manufacturer "Allied Leisure" desc "Flame of Athens" devices ())
(name "followst" year "2000" manufacturer "Aristocrat" desc "Follow the Stars (20001411, NSW/ACT)" devices ())
(name "fonz" year "1976" manufacturer "Sega" desc "Fonz" devices ())
(name "foodf" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Food Fight (rev 3)" devices ())
(name "foodf1" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Food Fight (rev 1)" devices ())
(name "foodf2" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Food Fight (rev 2)" devices ())
(name "foodfc" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Food Fight (cocktail)" devices ())
(name "foolrace" year "1979?" manufacturer "EFG Sanremo" desc "Fool Race" devices ())
(name "football" year "1981" manufacturer "Taito do Brasil" desc "Football" devices ())
(name "footbpow" year "1999" manufacturer "Gaelco" desc "Football Power (version 1.2)" devices ())
(name "footbpow11" year "1999" manufacturer "Gaelco" desc "Football Power (version 1.1)" devices ())
(name "footchmp" year "1990" manufacturer "Taito Corporation Japan" desc "Football Champ / Euro Football Champ (World)" devices ())
(name "footchmpbl" year "1992" manufacturer "bootleg" desc "Football Champ / Euro Football Champ (World) (bootleg)" devices ())
(name "force" year "1981" manufacturer "LTD" desc "Force" devices ())
(name "forcebrk" year "1986" manufacturer "bootleg" desc "Force Break (bootleg)" devices ())
(name "forceii" year "1981" manufacturer "Gottlieb" desc "Force II" devices ())
(name "fordrace" year "2006" manufacturer "Excalibur Electronics" desc "Ford Racing" devices ())
(name "forgottn" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (World, newer)" devices ())
(name "forgottna" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (World)" devices ())
(name "forgottnj" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (Japan) (English prototype)" devices ())
(name "forgottnu" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (USA, B-Board 88621B-2, Rev. C)" devices ())
(name "forgottnua" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (USA, B-Board 88618B-2, Rev. A)" devices ())
(name "forgottnuaa" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (USA, B-Board 88618B-2, Rev. AA)" devices ())
(name "forgottnuc" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (USA, B-Board 88618B-2, Rev. C)" devices ())
(name "forgottnue" year "1988" manufacturer "Capcom" desc "Forgotten Worlds (USA, B-Board 88618B-2, Rev. E)" devices ())
(name "formatz" year "1984" manufacturer "Jaleco" desc "Formation Z" devices ())
(name "formula1" year "1988" manufacturer "Jac Van Ham (Royal)" desc "Formula 1" devices ())
(name "fort2b" year "2001" manufacturer "Eolith" desc "Fortress 2 Blue Arcade (World) (ver 1.01 / pcb ver 3.05)" devices ())
(name "fort2ba" year "2001" manufacturer "Eolith" desc "Fortress 2 Blue Arcade (Korea) (ver 1.00 / pcb ver 3.05)" devices ())
(name "fortath" year "2007" manufacturer "Aristocrat" desc "Fortune of Athena (10248611, NSW/ACT)" devices ())
(name "fortecrd" year "1994" manufacturer "Fortex Ltd." desc "Forte Card (Ver 110, Spanish)" devices ())
(name "fortecrde" year "1994" manufacturer "Fortex Ltd." desc "Forte Card (Ver 103, English)" devices ())
(name "fortellr" year "2000" manufacturer "Aristocrat" desc "Fortune Teller (01J00131, NSW/ACT)" devices ())
(name "fortfvr" year "2001" manufacturer "Aristocrat" desc "Fortune Fever (BHG1566, US)" devices ())
(name "fortking" year "2006" manufacturer "Aristocrat" desc "Fortune King (10230911, ASP)" devices ())
(name "fortune1" year "1984" manufacturer "IGT - International Game Technology" desc "Fortune I (PK485-S) Draw Poker" devices ())
(name "fotns" year "2005" manufacturer "Arc System Works / Sega" desc "Fist Of The North Star / Hokuto no Ken" devices ())
(name "fourplay" year "2002" manufacturer "Macro" desc "Four Play" devices ())
(name "fourtrax" year "1989" manufacturer "Namco" desc "Four Trax (World)" devices ())
(name "fourtraxa" year "1989" manufacturer "Namco (Atari license?)" desc "Four Trax (US?, censored banners)" devices ())
(name "fourtraxj" year "1989" manufacturer "Namco" desc "Four Trax (Japan)" devices ())
(name "fourx4" year "1982" manufacturer "Atari" desc "4x4" devices ())
(name "foxsport" year "200?" manufacturer "Excalibur Electronics" desc "Fox Sports 7 in 1 Sports Games Plug n' Play" devices ())
(name "foxylady" year "1978" manufacturer "Game Plan" desc "Foxy Lady" devices ())
(name "fp" year "1984" manufacturer "ACT" desc "Apricot Portable / FP" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "fp1000" year "1982" manufacturer "Casio" desc "FP-1000" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fp1100" year "1983" manufacturer "Casio" desc "FP-1100" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fp200" year "1982" manufacturer "Casio" desc "FP-200 (Japan)" devices ())
(name "fp6000" year "1985" manufacturer "Casio" desc "FP-6000" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "fpc500" year "1985" manufacturer "Fenner" desc "FPC-500 (MSX1, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fpc900" year "1986" manufacturer "Fenner" desc "FPC-900 (MSX2, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fphantom" year "1988" manufacturer "Fidelity International" desc "Phantom (Fidelity)" devices ())
(name "fpoint" year "1989" manufacturer "Sega" desc "Flash Point (set 2, Japan) (FD1094 317-0127A)" devices ())
(name "fpoint1" year "1989" manufacturer "Sega" desc "Flash Point (set 1, Japan) (FD1094 317-0127A)" devices ())
(name "fpoint1d" year "1989" manufacturer "bootleg" desc "Flash Point (set 1, Japan) (bootleg of FD1094 317-0127A set)" devices ())
(name "fpointbj" year "1989" manufacturer "bootleg (Datsu)" desc "Flash Point (Japan, bootleg set 1)" devices ())
(name "fpointbl" year "1989" manufacturer "bootleg (Datsu)" desc "Flash Point (World, bootleg)" devices ())
(name "fpointbla" year "1989" manufacturer "bootleg" desc "Flash Point (Japan, bootleg set 2)" devices ())
(name "fpointd" year "1989" manufacturer "bootleg" desc "Flash Point (set 2, Japan) (bootleg of FD1094 317-0127A set)" devices ())
(name "fpres" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 1)" devices ((name "cartridge" briefname "cart" )))
(name "fpresa" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 2)" devices ((name "cartridge" briefname "cart" )))
(name "fpresb" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 3)" devices ((name "cartridge" briefname "cart" )))
(name "fpresbu" year "1983" manufacturer "Fidelity Electronics" desc "Prestige Challenger (Budapest program)" devices ((name "cartridge" briefname "cart" )))
(name "fpresc" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 4)" devices ((name "cartridge" briefname "cart" )))
(name "fpresd" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 5)" devices ((name "cartridge" briefname "cart" )))
(name "fprese" year "1982" manufacturer "Fidelity Electronics" desc "Prestige Challenger (original program, set 6)" devices ((name "cartridge" briefname "cart" )))
(name "fpresgla" year "1984" manufacturer "Fidelity Electronics" desc "Prestige Challenger (Glasgow program)" devices ((name "cartridge" briefname "cart" )))
(name "fpwr2_l2" year "1983" manufacturer "Williams" desc "Firepower II (L-2)" devices ())
(name "fraking" year "1989" manufacturer "Frael" desc "King" devices ((name "floppydisk" briefname "flop" )))
(name "frankst" year "1994" manufacturer "Sega" desc "Mary Shelley's Frankenstein" devices ())
(name "frankstg" year "1995" manufacturer "Sega" desc "Mary Shelley's Frankenstein (Germany)" devices ())
(name "franksti" year "1995" manufacturer "Sega" desc "Mary Shelley's Frankenstein (Italy)" devices ())
(name "franticf" year "1998" manufacturer "ICE" desc "Frantic Fred (Release 2)" devices ())
(name "franticfa" year "1996" manufacturer "ICE / The Game Room" desc "Frantic Fred" devices ())
(name "freddy" year "1994" manufacturer "Gottlieb" desc "Freddy: A Nightmare on Elm Street (rev.4)" devices ())
(name "freddy3" year "1994" manufacturer "Gottlieb" desc "Freddy: A Nightmare on Elm Street (rev.3)" devices ())
(name "fredmem" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (World?, Ticket version, 3/17/95)" devices ())
(name "fredmemc" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (Mandarin Chinese, 3/17/95)" devices ())
(name "fredmemj" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (Japan, High Score version, 3/20/95)" devices ())
(name "fredmemuk" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (UK, 3/17/95)" devices ())
(name "fredmemus" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (US, High Score version, 3/10/95)" devices ())
(name "fredmesp" year "1994" manufacturer "Coastal Amusements" desc "Fred Flintstone's Memory Match (Spanish, 3/17/95)" devices ())
(name "free120" year "1993" manufacturer "Liberty Electronics" desc "Freedom 120/Aspect 100" devices ())
(name "free200" year "1983" manufacturer "Liberty Electronics" desc "Freedom 200" devices ())
(name "free220" year "1984" manufacturer "Liberty Electronics" desc "Freedom 220" devices ())
(name "freedeal" year "1997" manufacturer "Sigma" desc "Free Deal Twin Jokers Progressive" devices ())
(name "freedom" year "1977" manufacturer "Bally" desc "Freedom" devices ())
(name "freefall" year "1981" manufacturer "Stern" desc "Freefall" devices ())
(name "freekick" year "1987" manufacturer "Nihon System (Merit license)" desc "Free Kick (NS6201-A 1987.10)" devices ())
(name "freekicka" year "1987" manufacturer "Nihon System" desc "Free Kick (NS6201-A 1987.9)" devices ())
(name "freekickb1" year "1987" manufacturer "bootleg" desc "Free Kick (bootleg set 1)" devices ())
(name "freekickb2" year "1987" manufacturer "bootleg" desc "Free Kick (bootleg set 2)" devices ())
(name "freekickb3" year "1987" manufacturer "bootleg" desc "Free Kick (bootleg set 3)" devices ())
(name "freeway" year "1999" manufacturer "NVC Electronica" desc "FreeWay (V5.12)" devices ())
(name "freewaya" year "1997" manufacturer "NVC Electronica" desc "FreeWay (V4.31)" devices ())
(name "freeze" year "1984" manufacturer "Cinematronics" desc "Freeze" devices ())
(name "freezeat" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, English voice, 96/10/25)" devices ())
(name "freezeat2" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, 96/10/18)" devices ())
(name "freezeat3" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, 96/10/07)" devices ())
(name "freezeat4" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, 96/10/03)" devices ())
(name "freezeat5" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, 96/09/20, AMOA-96)" devices ())
(name "freezeat6" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, 96/09/07, Jamma-96)" devices ())
(name "freezeatjp" year "1996" manufacturer "Atari Games" desc "Freeze (Atari) (prototype, Japanese voice, 96/10/25)" devices ())
(name "frenzy" year "1982" manufacturer "Stern Electronics" desc "Frenzy (revision RA1)" devices ())
(name "frenzyxprss" year "2001" manufacturer "ICE / Uniana" desc "Frenzy Express" devices ())
(name "fresh" year "1996" manufacturer "Chain Leisure" desc "Fruit Fresh (Italy)" devices ())
(name "friskyt" year "1981" manufacturer "Nichibutsu" desc "Frisky Tom (set 1)" devices ())
(name "friskyta" year "1981" manufacturer "Nichibutsu" desc "Frisky Tom (set 2)" devices ())
(name "friskytb" year "1981" manufacturer "Nichibutsu" desc "Frisky Tom (set 3)" devices ())
(name "frogf" year "1981" manufacturer "bootleg (Falcon)" desc "Frog (Falcon bootleg)" devices ())
(name "frogg" year "1981" manufacturer "bootleg" desc "Frog (bootleg on Galaxian hardware)" devices ())
(name "froggeg" year "1981" manufacturer "bootleg (Hermatic)" desc "Frog (Hermatic, bootleg on Galaxian hardware from Electro Game)" devices ())
(name "frogger" year "1981" manufacturer "Konami" desc "Frogger" devices ())
(name "froggeram" year "1981" manufacturer "bootleg" desc "Frogger (bootleg on Amigo? hardware)" devices ())
(name "froggereb" year "1992" manufacturer "bootleg (Eurobed)" desc "Frogger - New Serie 92 (bootleg)" devices ())
(name "froggermc" year "1981" manufacturer "Konami (Sega license)" desc "Frogger (Moon Cresta hardware)" devices ())
(name "froggers" year "1981" manufacturer "bootleg" desc "Frog" devices ())
(name "froggers1" year "1981" manufacturer "Konami (Sega license)" desc "Frogger (Sega, set 1)" devices ())
(name "froggers2" year "1981" manufacturer "Konami (Sega license)" desc "Frogger (Sega, set 2)" devices ())
(name "froggers3" year "1981" manufacturer "Konami (Sega license)" desc "Frogger (Sega, set 3)" devices ())
(name "froggert" year "1981" manufacturer "Konami (Sega license)" desc "Frogger (Turtles hardware)" devices ())
(name "froggerv" year "1981" manufacturer "bootleg (Videotron / Gamepack)" desc "Frogger (Videotron bootleg)" devices ())
(name "froggervd" year "1981" manufacturer "bootleg (Hermatic)" desc "Frogger (Hermatic, bootleg on Scramble hardware from Video Dens)" devices ())
(name "froggrs" year "1981" manufacturer "bootleg (Coin Music)" desc "Frogger (Coin Music, bootleg on Scramble hardware)" devices ())
(name "frogs" year "1978" manufacturer "Gremlin" desc "Frogs" devices ())
(name "frogwld" year "2004" manufacturer "Aristocrat" desc "Frog Wild 2 (0251114, US)" devices ())
(name "froman2b" year "1995" manufacturer "bootleg" desc "Idol Mahjong Final Romance 2 (Neo-Geo, bootleg of CD version)" devices ((name "memcard" briefname "memc" ) ()))
(name "fromanc2" year "1995" manufacturer "Video System Co." desc "Taisen Idol-Mahjong Final Romance 2 (Japan, newer)" devices ())
(name "fromanc2o" year "1995" manufacturer "Video System Co." desc "Taisen Idol-Mahjong Final Romance 2 (Japan, older)" devices ())
(name "fromanc4" year "1998" manufacturer "Video System Co." desc "Taisen Mahjong Final Romance 4 (Japan)" devices ())
(name "fromance" year "1991" manufacturer "Video System Co." desc "Idol-Mahjong Final Romance (Japan)" devices ())
(name "fromancr" year "1995" manufacturer "Video System Co." desc "Taisen Mahjong Final Romance R (Japan)" devices ())
(name "frontier" year "1980" manufacturer "Bally" desc "Frontier" devices ())
(name "frontlin" year "1982" manufacturer "Taito Corporation" desc "Front Line (AA1, 4 PCB version)" devices ())
(name "frontlina" year "1982" manufacturer "Taito Corporation" desc "Front Line (FL, 5 PCB version)" devices ())
(name "fround" year "1988" manufacturer "Konami" desc "The Final Round (version M)" devices ())
(name "froundl" year "1988" manufacturer "Konami" desc "The Final Round (version L)" devices ())
(name "frpwr_l2" year "1980" manufacturer "Williams" desc "Firepower (L-2)" devices ())
(name "frpwr_l6" year "1980" manufacturer "Williams" desc "Firepower (L-6)" devices ())
(name "frpwr_t6" year "1980" manufacturer "Williams" desc "Firepower (T-6)" devices ())
(name "frtgenie" year "2003" manufacturer "Global" desc "Fruit Genie (Version 1-1-03)" devices ())
(name "fruitbun" year "1984" manufacturer "Nichibutsu" desc "Fruits & Bunny (World?)" devices ())
(name "fruitpar" year "1999" manufacturer "IGS" desc "Fruit Paradise (V214)" devices ())
(name "fruitpc" year "2006" manufacturer "<unknown>" desc "Fruit Land" devices ((name "harddisk" briefname "hard" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "fruitsmg" year "1996" manufacturer "Konami" desc "Fruits Magic - The Magic Party" devices ())
(name "fruitstb" year "199?" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.2.00ITL)" devices ())
(name "fruitstba" year "199?" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.27PVIE)" devices ())
(name "fruitstbb" year "1997" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.20PIR)" devices ())
(name "fruitstbc" year "1996" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.36UNG-1100)" devices ())
(name "fruitstbd" year "1996" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.30UNG-200)" devices ())
(name "fruitstbe" year "1999" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.23PSTK, Steiermark)" devices ())
(name "fruitstbf" year "1997" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.17BGL-3, Burgenland, set 1)" devices ())
(name "fruitstbg" year "1997" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.17BGL-3, Burgenland, set 2)" devices ())
(name "fruitstbh" year "1996" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.30UNG-25, set 1)" devices ())
(name "fruitstbi" year "1996" manufacturer "Webak Elektronik" desc "Fruit Star Bonus (Ver 8.30UNG-25, set 2)" devices ())
(name "fruitstr" year "1992" manufacturer "Fun World" desc "Fruit Star (T10S, encrypted)" devices ())
(name "fruitstra" year "1992" manufacturer "Fun World" desc "Fruit Star (v810, encrypted)" devices ())
(name "fruitwld" year "2008" manufacturer "I.A.M." desc "Fruit World (V111)" devices ())
(name "fruitwlda" year "2007" manufacturer "I.A.M." desc "Fruit World (V110)" devices ())
(name "frx386c" year "199?" manufacturer "Micro-Express Inc." desc "Forex 386 Cache" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "frxc402" year "199?" manufacturer "<unknown>" desc "386 motherboards with a FOREX FRX46C402/FRX36C300/SIS85C206 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fs1300" year "1985" manufacturer "National" desc "FS-1300 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs3216" year "1982" manufacturer "Fortune Systems" desc "Fortune 32:16" devices ((name "floppydisk" briefname "flop" )))
(name "fs4000" year "1985" manufacturer "National" desc "FS-4000 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs4000a" year "1985" manufacturer "National" desc "FS-4000 (alt) (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs4500" year "1986" manufacturer "National" desc "FS-4500 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs4600f" year "1986" manufacturer "National" desc "FS-4600F (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs4700f" year "1986" manufacturer "National" desc "FS-4700F (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs5000f2" year "1986" manufacturer "National" desc "FS-5000F2 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs5500f1" year "1985" manufacturer "National" desc "FS-5500F1 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs5500f2" year "1985" manufacturer "National" desc "FS-5500F2 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fs_la5" year "1994" manufacturer "Williams" desc "The Flintstones (LA-5)" devices ())
(name "fs_lx2" year "1994" manufacturer "Williams" desc "The Flintstones (LX-2)" devices ())
(name "fs_lx3" year "1994" manufacturer "Williams" desc "The Flintstones (LX-3)" devices ())
(name "fs_lx4" year "1994" manufacturer "Williams" desc "The Flintstones (LX-4)" devices ())
(name "fs_lx5" year "1994" manufacturer "Williams" desc "The Flintstones (LX-5)" devices ())
(name "fs_sp2" year "1994" manufacturer "Williams" desc "The Flintstones (SP-2)" devices ())
(name "fsa1" year "1986" manufacturer "Panasonic" desc "FS-A1 / 1st released version (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1a" year "1986" manufacturer "Panasonic" desc "FS-A1 / 2nd released version (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1f" year "1987" manufacturer "Panasonic" desc "FS-A1F (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1fm" year "1988" manufacturer "Panasonic" desc "FS-A1FM (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1fx" year "1988" manufacturer "Panasonic" desc "FS-A1FX (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1gt" year "1991" manufacturer "Panasonic" desc "FS-A1GT (MSX Turbo-R, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1mk2" year "1987" manufacturer "Panasonic" desc "FS-A1MK2 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1st" year "1991" manufacturer "Panasonic" desc "FS-A1ST (MSX Turbo-R, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1wsx" year "1989" manufacturer "Panasonic" desc "FS-A1WSX (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1wx" year "1988" manufacturer "Panasonic" desc "FS-A1WX / 1st released version (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fsa1wxa" year "1988" manufacturer "Panasonic" desc "FS-A1WX / 2nd released version (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fscc12" year "1986" manufacturer "Fidelity International" desc "Sensory Chess Challenger \"12 B\" (model 6086)" devices ((name "cartridge" briefname "cart" )))
(name "fscc12a" year "1984" manufacturer "Fidelity Computer Products" desc "Sensory Chess Challenger \"12\" (model SC12)" devices ((name "cartridge" briefname "cart" )))
(name "fscc6" year "1982" manufacturer "Fidelity Electronics" desc "Sensory Chess Challenger \"6\"" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "fscc8" year "1980" manufacturer "Fidelity Electronics" desc "Sensory Chess Challenger \"8\"" devices ())
(name "fscc9" year "1982" manufacturer "Fidelity Electronics" desc "Sensory Chess Challenger \"9\" (rev. D)" devices ((name "cartridge" briefname "cart" )))
(name "fscc9b" year "1982" manufacturer "Fidelity Electronics" desc "Sensory Chess Challenger \"9\" (rev. B)" devices ((name "cartridge" briefname "cart" )))
(name "fscc9c" year "1982" manufacturer "Fidelity Electronics" desc "Sensory Chess Challenger \"9\" (rev. C)" devices ((name "cartridge" briefname "cart" )))
(name "fscc9ps" year "1983" manufacturer "Fidelity Deutschland" desc "Sensory 9 Playmatic S" devices ((name "cartridge" briefname "cart" )))
(name "fshark" year "1987" manufacturer "Toaplan / Taito Corporation" desc "Flying Shark (World)" devices ())
(name "fsharkb" year "1987" manufacturer "bootleg" desc "Flying Shark (World, bootleg)" devices ())
(name "fsharkbt" year "1987" manufacturer "bootleg" desc "Flying Shark (bootleg with 8741)" devices ())
(name "fsoccer" year "1988" manufacturer "SNK" desc "Fighting Soccer (version 4)" devices ())
(name "fsoccerb" year "1988" manufacturer "bootleg" desc "Fighting Soccer (Joystick hack bootleg)" devices ())
(name "fsoccerba" year "1988" manufacturer "bootleg" desc "Fighting Soccer (Joystick hack bootleg, alt)" devices ())
(name "fsoccerj" year "1988" manufacturer "SNK" desc "Fighting Soccer (Japan)" devices ())
(name "fspc800" year "1984" manufacturer "Fenner" desc "SPC-800 (MSX1, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fspiderb" year "1981" manufacturer "Taito Corporation" desc "Frog & Spiders (bootleg?)" devices ())
(name "fstarfrc" year "1992" manufacturer "Tecmo" desc "Final Star Force (US)" devices ())
(name "fstarfrcj" year "1992" manufacturer "Tecmo" desc "Final Star Force (Japan, set 1)" devices ())
(name "fstarfrcja" year "1992" manufacturer "Tecmo" desc "Final Star Force (Japan, set 2)" devices ())
(name "fstarfrcw" year "1992" manufacturer "Tecmo" desc "Final Star Force (World?)" devices ())
(name "fstation" year "2000" manufacturer "ADP" desc "Fun Station Spielekoffer 9 Spiele" devices ())
(name "fstgfish" year "2008" manufacturer "Cave" desc "Festival: Goldfish Scoop" devices ())
(name "fstm1" year "1986" manufacturer "Toshiba" desc "FS-TM1 (MSX2, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "fswords" year "1995" manufacturer "SNK" desc "Fighters Swords (Korean release of Samurai Shodown III)" devices ((name "memcard" briefname "memc" ) ()))
(name "ft486f55" year "1995" manufacturer "Freetech" desc "486FT55" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "ft68m" year "198?" manufacturer "Forward Technology" desc "FT-68M" devices ())
(name "ft_l3" year "1992" manufacturer "Williams" desc "Fish Tales (L-3)" devices ())
(name "ft_l4" year "1992" manufacturer "Williams" desc "Fish Tales (L-4)" devices ())
(name "ft_l5" year "1992" manufacturer "Williams" desc "Fish Tales (L-5)" devices ())
(name "ft_p2" year "1992" manufacturer "Williams" desc "Fish Tales (P-2)" devices ())
(name "ft_p4" year "1992" manufacturer "Williams" desc "Fish Tales (P-4)" devices ())
(name "ftimpact" year "1996" manufacturer "Taito" desc "Fighters' Impact (Ver 2.02O)" devices ())
(name "ftimpactj" year "1996" manufacturer "Taito" desc "Fighters' Impact (Ver 2.02J)" devices ())
(name "ftimpactu" year "1996" manufacturer "Taito" desc "Fighters' Impact (Ver 2.02A)" devices ())
(name "ftimpcta" year "1997" manufacturer "Taito" desc "Fighters' Impact A (Ver 2.00J)" devices ())
(name "ftri1" year "1979" manufacturer "Fonas" desc "Tri-1 (Fonas)" devices ())
(name "fts2in1" year "1993" manufacturer "Fun Tech Corporation" desc "Super Two In One" devices ())
(name "ftspeed" year "2004" manufacturer "Sammy" desc "Faster Than Speed" devices ())
(name "ftsserv" year "1991" manufacturer "Apricot" desc "Apricot FTs (Scorpion)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fu340" year "1991" manufacturer "Abit" desc "FU340" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "fullthrl" year "1987" manufacturer "Taito Corporation" desc "Full Throttle (Japan)" devices ())
(name "fun4" year "1976" manufacturer "Bailey International" desc "Fun Four (set 1)" devices ())
(name "fun4a" year "1976" manufacturer "Bailey International" desc "Fun Four (set 2)" devices ())
(name "funcsino" year "1981" manufacturer "Status Games" desc "Status Fun Casino (V1.3s)" devices ())
(name "funcube" year "2000" manufacturer "Namco" desc "Funcube (v1.5)" devices ())
(name "funcube2" year "2001" manufacturer "Namco" desc "Funcube 2 (v1.1)" devices ())
(name "funcube3" year "2001" manufacturer "Namco" desc "Funcube 3 (v1.1)" devices ())
(name "funcube4" year "2001" manufacturer "Namco" desc "Funcube 4 (v1.0)" devices ())
(name "funcube5" year "2002" manufacturer "Namco" desc "Funcube 5 (v1.0)" devices ())
(name "fundr200" year "2015" manufacturer "Funderdome" desc "Funderdome Video Game Entertainment System 200+ Games (FUN-GAME32-1)" devices ())
(name "funeball" year "1997" manufacturer "Fun Industries Inc." desc "Fun-E-Ball" devices ())
(name "funjacks" year "1979" manufacturer "Mattel Electronics" desc "Funtronics: Jacks" devices ())
(name "funkball" year "1998" manufacturer "dgPIX Entertainment Inc." desc "Funky Ball" devices ((name "harddisk" briefname "hard" )))
(name "funkybee" year "1982" manufacturer "Orca" desc "Funky Bee" devices ())
(name "funkybeeb" year "1982" manufacturer "bootleg" desc "Funky Bee (bootleg, harder)" devices ())
(name "funkyfig" year "1993" manufacturer "Nakanihon / East Technology (Taito license)" desc "The First Funky Fighter (USA, Canada, Mexico / Japan, set 1)" devices ())
(name "funkyfiga" year "1993" manufacturer "Nakanihon / East Technology (Taito license)" desc "The First Funky Fighter (USA, Canada, Mexico / Japan, set 2)" devices ())
(name "funkyjet" year "1992" manufacturer "Mitchell" desc "Funky Jet (World, rev 1)" devices ())
(name "funkyjeta" year "1992" manufacturer "Mitchell" desc "Funky Jet (World)" devices ())
(name "funkyjeta2" year "1992" manufacturer "Mitchell" desc "Funky Jet (Korea, prototype?)" devices ())
(name "funkyjetb" year "1992" manufacturer "bootleg" desc "Funky Jet (bootleg)" devices ())
(name "funkyjetj" year "1992" manufacturer "Mitchell (Data East Corporation license)" desc "Funky Jet (Japan, rev 2)" devices ())
(name "funlddlx" year "1999" manufacturer "Stella" desc "Funny Land de Luxe" devices ())
(name "funnyfm" year "2004" manufacturer "Kupidon" desc "Funny Farm (v1.17)" devices ())
(name "funnyfma" year "2004" manufacturer "Kupidon" desc "Funny Farm (v1.26)" devices ())
(name "funnyfmb" year "2004" manufacturer "Kupidon" desc "Funny Farm (v1.30)" devices ())
(name "funnymou" year "1982" manufacturer "Taito Corporation (Chuo Co. Ltd license)" desc "Funny Mouse (Japan)" devices ())
(name "funquiz" year "199?" manufacturer "Fun World" desc "Fun World Quiz (German)" devices ())
(name "funquiza" year "1990" manufacturer "Fun World" desc "Fun World Quiz (German, 12-11-1990)" devices ())
(name "funquizb" year "1990" manufacturer "Fun World" desc "Fun World Quiz (German, 27-04-1990)" devices ())
(name "funriver" year "2005" manufacturer "Amcoe" desc "Fun River (Version 1.4R CGA)" devices ())
(name "funriverd1" year "2005" manufacturer "Amcoe" desc "Fun River (Version 1.3R CGA)" devices ())
(name "funriverv" year "2005" manufacturer "Amcoe" desc "Fun River (Version 1.4R Dual)" devices ())
(name "funrlgl" year "1979" manufacturer "Mattel Electronics" desc "Funtronics: Red Light Green Light" devices ())
(name "funtag" year "1980" manufacturer "Mattel Electronics" desc "Funtronics: Tag" devices ())
(name "funybubl" year "1999" manufacturer "In Chang Electronic Co" desc "Funny Bubble" devices ())
(name "funybublc" year "1999" manufacturer "Comad" desc "Funny Bubble (Comad version)" devices ())
(name "funystrp" year "199?" manufacturer "Microhard / MagicGames" desc "Funny Strip" devices ())
(name "futari10" year "2006" manufacturer "Cave (AMI license)" desc "Mushihime-Sama Futari Ver 1.0 (2006/10/23 MASTER VER.)" devices ())
(name "futari15" year "2006" manufacturer "Cave (AMI license)" desc "Mushihime-Sama Futari Ver 1.5 (2006/12/8.MASTER VER. 1.54.)" devices ())
(name "futari15a" year "2006" manufacturer "Cave (AMI license)" desc "Mushihime-Sama Futari Ver 1.5 (2006/12/8 MASTER VER 1.54)" devices ())
(name "futaribl" year "2007" manufacturer "Cave (AMI license)" desc "Mushihime-Sama Futari Black Label - Another Ver (2009/11/27 INTERNATIONAL BL)" devices ())
(name "futariblj" year "2007" manufacturer "Cave (AMI license)" desc "Mushihime-Sama Futari Black Label (2007/12/11 BLACK LABEL VER)" devices ())
(name "futflash" year "1980" manufacturer "Hoei" desc "Future Flash" devices ())
(name "futrquen" year "1987" manufacturer "Nuova Bell Games" desc "Future Queen" devices ())
(name "futspy" year "1984" manufacturer "Sega" desc "Future Spy (315-5061)" devices ())
(name "futurspa" year "1979" manufacturer "Bally" desc "Future Spa" devices ())
(name "futurwld" year "1978" manufacturer "Zaccaria" desc "Future World" devices ())
(name "fuudol" year "2000" manufacturer "Nichibutsu/eic" desc "Fuudol (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "fuusenpn" year "1993" manufacturer "Konami" desc "Fuusen Pentai" devices ())
(name "fvipers" year "1995" manufacturer "Sega" desc "Fighting Vipers (Revision D)" devices ())
(name "fvipers2" year "1998" manufacturer "Sega" desc "Fighting Vipers 2 (Japan, Revision A)" devices ())
(name "fvipers2o" year "1998" manufacturer "Sega" desc "Fighting Vipers 2 (Japan)" devices ())
(name "fvipersb" year "1995" manufacturer "Sega" desc "Fighting Vipers (Revision B)" devices ())
(name "fvrpitch" year "1986" manufacturer "Ainsworth Nominees P.L." desc "Fever Pitch (2VXEC534, NSW)" devices ())
(name "fw600" year "1994" manufacturer "Sharp" desc "FontWriter FW-600" devices ())
(name "fw700ger" year "1994" manufacturer "Sharp" desc "FontWriter FW-700 (German)" devices ())
(name "fw_a0_1" year "1991" manufacturer "Fun World" desc "unknown Fun World A0-1 game" devices ())
(name "fw_a7_11" year "1985" manufacturer "Fun World" desc "unknown Fun World A7-11 game 1" devices ())
(name "fw_a7_11a" year "1985" manufacturer "Fun World" desc "unknown Fun World A7-11 game 2" devices ())
(name "fwheel" year "1989" manufacturer "Sega" desc "Fortune Wheel" devices ())
(name "fx" year "1986" manufacturer "bootleg" desc "F-X (bootleg of S.R.D. Mission)" devices ())
(name "fxmcr165" year "1981" manufacturer "Gakken" desc "FX-Micom R-165" devices ())
(name "fzeroax" year "2003" manufacturer "Sega / Amusement Vision / Nintendo" desc "F-Zero AX (Rev E) (GDT-0004E)" devices ((name "cdrom" briefname "cdrm" )))
(name "fzeroaxc" year "2003" manufacturer "Sega / Amusement Vision / Nintendo" desc "F-Zero AX (Rev C) (GDT-0004C)" devices ((name "cdrom" briefname "cdrm" )))
(name "fzeroaxd" year "2003" manufacturer "Sega / Amusement Vision / Nintendo" desc "F-Zero AX (Rev D) (GDT-0004D)" devices ((name "cdrom" briefname "cdrm" )))
(name "fzeroaxm" year "2003" manufacturer "Sega / Amusement Vision / Nintendo" desc "F-Zero AX Monster Ride" devices ())
(name "g13jnr" year "2001" manufacturer "Eighting / Raizing / Namco" desc "Golgo 13: Juusei no Requiem (Japan, GLT1 VER.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "g13knd" year "2000" manufacturer "Eighting / Raizing / Namco" desc "Golgo 13 Kiseki no Dandou (Japan, GLS1/VER.A)" devices ())
(name "g4u2" year "2002?" manufacturer "Novotech" desc "Games 4 U 2 (94 5.6-0)" devices ())
(name "g4u3" year "2002?" manufacturer "Novotech" desc "Games 4 U 3 (94 5.6-4)" devices ())
(name "g4u3a" year "2002?" manufacturer "Novotech" desc "Games 4 U 3 (94 5.6-5)" devices ())
(name "g4u4" year "2002?" manufacturer "Novotech" desc "Games 4 U 4 (94 5.6-5)" devices ())
(name "g4u5" year "2002?" manufacturer "Novotech" desc "Games 4 U 5 (94 5.6-5)" devices ())
(name "g4u6" year "2002?" manufacturer "Novotech" desc "Games 4 U 6 (94 5.6-5)" devices ())
(name "g4u7" year "2002?" manufacturer "Novotech" desc "Games 4 U 7 (94 5.6-5a)" devices ())
(name "ga2" year "1992" manufacturer "Sega" desc "Golden Axe: The Revenge of Death Adder (World, Rev B)" devices ())
(name "ga2j" year "1992" manufacturer "Sega" desc "Golden Axe: The Revenge of Death Adder (Japan)" devices ())
(name "ga2u" year "1992" manufacturer "Sega" desc "Golden Axe: The Revenge of Death Adder (US, Rev A)" devices ())
(name "ga486am" year "199?" manufacturer "Gigabyte" desc "GA-486AM/S" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ga486vf" year "199?" manufacturer "Gigabyte" desc "GA-486VF" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ga486vs" year "199?" manufacturer "Gigabyte" desc "GA-486VS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ga6la7" year "1999" manufacturer "Gigabyte" desc "GA-6LA7" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "ga888" year "199?" manufacturer "<unknown>" desc "Block Game & Echo Key GA888" devices ())
(name "gahaha" year "2000" manufacturer "Namco / Metro" desc "GAHAHA Ippatsudou (World, GID2 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gahaha2" year "2001" manufacturer "Namco / Metro" desc "GAHAHA Ippatsudou 2 (Japan, GIS1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gaia" year "1999" manufacturer "Noise Factory" desc "Gaia Crusaders" devices ())
(name "gaialast" year "1999" manufacturer "SemiCom / XESS" desc "Gaia - The Last Choice of Earth" devices ())
(name "gaiapols" year "1993" manufacturer "Konami" desc "Gaiapolis (ver EAF)" devices ())
(name "gaiapolsj" year "1993" manufacturer "Konami" desc "Gaiapolis (ver JAF)" devices ())
(name "gaiapolsu" year "1993" manufacturer "Konami" desc "Gaiapolis (ver UAF)" devices ())
(name "gaiden" year "1988" manufacturer "Tecmo" desc "Ninja Gaiden (US)" devices ())
(name "gakupara" year "1991" manufacturer "NMK" desc "Quiz Gakuen Paradise (Japan)" devices ())
(name "gakusai" year "1997" manufacturer "MakeSoft" desc "Mahjong Gakuensai (Japan, set 1)" devices ())
(name "gakusai2" year "1998" manufacturer "MakeSoft" desc "Mahjong Gakuensai 2 (Japan)" devices ())
(name "gakusaia" year "1997" manufacturer "MakeSoft" desc "Mahjong Gakuensai (Japan, set 2)" devices ())
(name "gal10ren" year "1993" manufacturer "Fujic" desc "Mahjong Gal 10-renpatsu (Japan)" devices ())
(name "gal3" year "1992" manufacturer "Namco" desc "Galaxian 3 - Theater 6 : Project Dragoon" devices ())
(name "galactic" year "1980?" manufacturer "Taito do Brasil" desc "Galactica - Batalha Espacial" devices ())
(name "galactica2" year "1980" manufacturer "bootleg (Cirsa)" desc "Galactica-2 (bootleg of Moon Alien Part 2)" devices ())
(name "galaga" year "1981" manufacturer "Namco" desc "Galaga (Namco rev. B)" devices ())
(name "galaga3" year "1984" manufacturer "Namco" desc "Galaga 3 (GP3 rev. D)" devices ())
(name "galaga3a" year "1984" manufacturer "Namco" desc "Galaga 3 (GP3 rev. C)" devices ())
(name "galaga3b" year "1984" manufacturer "Namco" desc "Galaga 3 (GP3)" devices ())
(name "galaga3c" year "1984" manufacturer "Namco" desc "Galaga 3 (set 4)" devices ())
(name "galaga3m" year "1984" manufacturer "Namco" desc "Galaga 3 (set 5)" devices ())
(name "galaga88" year "1987" manufacturer "Namco" desc "Galaga '88" devices ())
(name "galaga88a" year "1987" manufacturer "Namco" desc "Galaga '88 (02-03-88)" devices ())
(name "galaga88j" year "1987" manufacturer "Namco" desc "Galaga '88 (Japan)" devices ())
(name "galagamf" year "1981" manufacturer "Namco (Midway license)" desc "Galaga (Midway set 1 with fast shoot hack)" devices ())
(name "galagamk" year "1981" manufacturer "Namco (Midway license)" desc "Galaga (Midway set 2)" devices ())
(name "galagamw" year "1981" manufacturer "Namco (Midway license)" desc "Galaga (Midway set 1)" devices ())
(name "galagao" year "1981" manufacturer "Namco" desc "Galaga (Namco)" devices ())
(name "galaktron" year "1979" manufacturer "bootleg (Petaco S.A.)" desc "Galaktron (Petaco S.A.)" devices ())
(name "galap1" year "1979" manufacturer "hack" desc "Space Invaders Galactica (hack of 'Galaxian (Namco set 2)')" devices ())
(name "galap2" year "1979" manufacturer "hack (International Scientific)" desc "GX Part 2 (hack of Galaxian)" devices ())
(name "galap4" year "1979" manufacturer "hack (G.G.I)" desc "Galaxian Part 4 (hack)" devices ())
(name "galapx" year "1979" manufacturer "hack" desc "Galaxian Part X (hack of 'Moon Alien')" devices ())
(name "galartic" year "1979" manufacturer "bootleg (Artic System)" desc "Galaxian (Artic System bootleg)" devices ())
(name "galastrm" year "1992" manufacturer "Taito Corporation" desc "Galactic Storm (Japan)" devices ())
(name "galaxbsf" year "1979" manufacturer "bootleg" desc "Galaxian (bootleg, set 1)" devices ())
(name "galaxbsf2" year "1979" manufacturer "bootleg" desc "Galaxian (bootleg, set 3)" devices ())
(name "galaxcirsa" year "1979" manufacturer "bootleg (Cirsa)" desc "Galaxian (Cirsa Spanish bootleg)" devices ())
(name "galaxi" year "2000" manufacturer "B.R.L." desc "Galaxi (v2.0)" devices ())
(name "galaxia" year "1979" manufacturer "Zaccaria / Zelco" desc "Galaxia (set 1)" devices ())
(name "galaxiaa" year "1979" manufacturer "Zaccaria / Zelco" desc "Galaxia (set 2)" devices ())
(name "galaxiab" year "1979" manufacturer "Zaccaria / Zelco" desc "Galaxia (set 3)" devices ())
(name "galaxiac" year "1979" manufacturer "Zaccaria / Zelco" desc "Galaxia (set 4)" devices ())
(name "galaxiamv" year "1979" manufacturer "bootleg (Multivideo)" desc "Diviertate Galaxia (Multivideo, Spanish bootleg of Galaxian)" devices ())
(name "galaxian" year "1979" manufacturer "Namco" desc "Galaxian (Namco set 1)" devices ())
(name "galaxiana" year "1979" manufacturer "Namco" desc "Galaxian (Namco set 2)" devices ())
(name "galaxianbl" year "1979" manufacturer "bootleg" desc "Galaxian (bootleg, set 2)" devices ())
(name "galaxianbl2" year "1979" manufacturer "bootleg" desc "Galaxian (bootleg, set 4)" devices ())
(name "galaxianbl3" year "1979" manufacturer "bootleg" desc "Galaxian (Spanish bootleg)" devices ())
(name "galaxianem" year "1980" manufacturer "bootleg (Electromar)" desc "Galaxian (Electromar Spanish bootleg)" devices ())
(name "galaxiani" year "1979" manufacturer "Namco (Irem license)" desc "Galaxian (Irem)" devices ())
(name "galaxianiii" year "1979" manufacturer "bootleg" desc "Galaxian III (bootleg of Galaxian)" devices ())
(name "galaxianm" year "1979" manufacturer "Namco (Midway license)" desc "Galaxian (Midway set 1)" devices ())
(name "galaxianmo" year "1979" manufacturer "Namco (Midway license)" desc "Galaxian (Midway set 2)" devices ())
(name "galaxianrp" year "1979" manufacturer "bootleg (Valadon Automation / Rene Pierre)" desc "Galaxian (Rene Pierre bootleg)" devices ())
(name "galaxiant" year "1979" manufacturer "Namco (Taito license)" desc "Galaxian (Taito)" devices ())
(name "galaxrcgg" year "1980" manufacturer "bootleg (Recreativos Covadonga)" desc "Galaxian Growing Galaxip / Galaxian Nave Creciente (Recreativos Covadonga Spanish bootleg)" devices ())
(name "galaxrf" year "1980" manufacturer "bootleg (Recreativos Franco S.A.)" desc "Galaxian (Recreativos Franco S.A. Spanish bootleg)" devices ())
(name "galaxrfgg" year "1980" manufacturer "bootleg (Recreativos Franco S.A.)" desc "Galaxian Growing Galaxip / Galaxian Nave Creciente (Recreativos Franco S.A. Spanish bootleg)" devices ())
(name "galaxy" year "1983" manufacturer "Voja Antonic / Elektronika inzenjering" desc "Galaksija" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "galaxy2" year "1981" manufacturer "Epoch" desc "Galaxy II (VFD rev. D)" devices ())
(name "galaxy2b" year "1981" manufacturer "Epoch" desc "Galaxy II (VFD rev. B)" devices ())
(name "galaxyfg" year "1995" manufacturer "Sunsoft" desc "Galaxy Fight - Universal Warriors" devices ((name "memcard" briefname "memc" ) ()))
(name "galaxygn" year "1989" manufacturer "Electronic Devices Italy" desc "Galaxy Gunners" devices ())
(name "galaxygnh" year "1990" manufacturer "Electronic Devices Italy" desc "Galaxy Gunners (1990 year hack)" devices ())
(name "galaxyp" year "1985" manufacturer "Nenad Dunjic" desc "Galaksija plus" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "galaxypi" year "1980" manufacturer "Stern" desc "Galaxy" devices ())
(name "galaxyr" year "1983" manufacturer "Sega" desc "Galaxy Ranger" devices ())
(name "galaxyrp" year "1983" manufacturer "Sega" desc "Galaxy Ranger (Pioneer LDV1000)" devices ())
(name "galaxyx" year "1979" manufacturer "bootleg" desc "Galaxy X (bootleg of Galaxian)" devices ())
(name "galds" year "1985" manufacturer "Nihon System Corp." desc "Gals Ds - Three Dealers Casino House (bootleg?)" devices ())
(name "galeb" year "1981" manufacturer "PEL Varazdin" desc "Galeb" devices ((name "cassette" briefname "cass" )))
(name "galemp" year "1980" manufacturer "bootleg (Taito do Brasil)" desc "Galaxy Empire (bootleg?)" devices ())
(name "galeone" year "2000" manufacturer "San Remo Games" desc "Il Galeone" devices ())
(name "galgame" year "1971" manufacturer "Computer Recreations, Inc" desc "Galaxy Game" devices ())
(name "galgame2" year "1998" manufacturer "Creative Electronics & Software / Namco" desc "Galaxy Games StarPak 2" devices ())
(name "galgame3" year "1998" manufacturer "Creative Electronics & Software / Atari" desc "Galaxy Games StarPak 3" devices ())
(name "galgame4" year "1998" manufacturer "Creative Electronics & Software" desc "Galaxy Games StarPak 4" devices ())
(name "galgame4p" year "1998" manufacturer "Creative Electronics & Software" desc "Galaxy Games StarPak 4 (prototype)" devices ())
(name "galhustl" year "1997" manufacturer "ACE International" desc "Gals Hustler" devices ())
(name "galileo" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Galileo (v1.4)" devices ())
(name "galilfac" year "2008" manufacturer "Sega" desc "Galileo Factory (main)" devices ())
(name "galivan" year "1985" manufacturer "Nichibutsu" desc "Cosmo Police Galivan (12/26/1985)" devices ())
(name "galivan2" year "1985" manufacturer "Nichibutsu" desc "Cosmo Police Galivan (12/16/1985)" devices ())
(name "galivan3" year "1985" manufacturer "Nichibutsu" desc "Cosmo Police Galivan (12/11/1985)" devices ())
(name "galkaika" year "1989" manufacturer "Nichibutsu / T.R.Tec" desc "Mahjong Gal no Kaika (Japan)" devices ())
(name "galkamika" year "1979" manufacturer "bootleg (Electrogame)" desc "Kamikaze (Electrogame, Spanish bootleg of Galaxian)" devices ())
(name "galkoku" year "1989" manufacturer "Nichibutsu / T.R.Tec" desc "Mahjong Gal no Kokuhaku (Japan)" devices ())
(name "gallag" year "1982" manufacturer "bootleg" desc "Gallag" devices ())
(name "gallag50" year "199?" manufacturer "bootleg" desc "Gallag Video Game / Petalouda (Butterfly, x50)" devices ())
(name "gallgall" year "1992" manufacturer "American Laser Games" desc "Gallagher's Gallery (v2.2)" devices ())
(name "gallgall_21" year "1992" manufacturer "American Laser Games" desc "Gallagher's Gallery (v2.1)" devices ())
(name "gallop" year "1991" manufacturer "Irem" desc "Gallop - Armed Police Unit (Japan, M84 hardware)" devices ())
(name "gallopm72" year "1991" manufacturer "Irem" desc "Gallop - Armed Police Unit (Japan, M72 hardware)" devices ())
(name "galmedes" year "1992" manufacturer "Visco" desc "Galmedes (Japan)" devices ())
(name "galmonst" year "1978" manufacturer "bootleg (Laguna S.A.)" desc "Galaxy Monsters (Laguna S.A. Spanish bootleg of Space Invaders)" devices ())
(name "galpani2" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Asia)" devices ())
(name "galpani2e" year "1993" manufacturer "Kaneko" desc "Gals Panic II (English)" devices ())
(name "galpani2e2" year "1993" manufacturer "Kaneko" desc "Gals Panic II (English, 2 PCB ver.)" devices ())
(name "galpani2g" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Germany, 2 PCB ver.)" devices ())
(name "galpani2gs" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Germany, single PCB)" devices ())
(name "galpani2i" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Italy, single PCB)" devices ())
(name "galpani2i2" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Italy, 2 PCB ver.)" devices ())
(name "galpani2j" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Japan)" devices ())
(name "galpani2k" year "1993" manufacturer "Kaneko (Karam Trading Co., Ltd. license)" desc "Gals Panic II (Korea, single PCB)" devices ())
(name "galpani2t" year "1993" manufacturer "Kaneko" desc "Gals Panic II (Taiwan, 2 PCB ver.)" devices ())
(name "galpani3" year "1995" manufacturer "Kaneko" desc "Gals Panic 3 (Euro)" devices ())
(name "galpani3hk" year "1995" manufacturer "Kaneko" desc "Gals Panic 3 (Hong Kong)" devices ())
(name "galpani3j" year "1995" manufacturer "Kaneko" desc "Gals Panic 3 (Japan)" devices ())
(name "galpani3k" year "1995" manufacturer "Kaneko" desc "Gals Panic 3 (Korea)" devices ())
(name "galpani4" year "1996" manufacturer "Kaneko" desc "Gals Panic 4 (Europe)" devices ())
(name "galpani4j" year "1996" manufacturer "Kaneko" desc "Gals Panic 4 (Japan)" devices ())
(name "galpani4k" year "1996" manufacturer "Kaneko" desc "Gals Panic 4 (Korea)" devices ())
(name "galpanic" year "1990" manufacturer "Kaneko" desc "Gals Panic (unprotected, ver. 2.0)" devices ())
(name "galpanica" year "1990" manufacturer "Kaneko" desc "Gals Panic (unprotected)" devices ())
(name "galpanicb" year "1990" manufacturer "Kaneko" desc "Gals Panic (ULA protected, set 1)" devices ())
(name "galpanicc" year "1990" manufacturer "Kaneko" desc "Gals Panic (ULA protected, set 2)" devices ())
(name "galpanicms" year "1991" manufacturer "bootleg (Kaenko)" desc "New Quiz (Modular System bootleg of Gals Panic)" devices ())
(name "galpanidx" year "2001" manufacturer "Kaneko" desc "Gals Panic DX (Asia)" devices ())
(name "galpaniex" year "2000" manufacturer "Kaneko" desc "Gals Panic EX (Korea)" devices ())
(name "galpanis" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Europe, revision 1)" devices ())
(name "galpanisa" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Asia)" devices ())
(name "galpanise" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Europe, set 2)" devices ())
(name "galpanisj" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Japan, revision 1)" devices ())
(name "galpanisk" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Korea, revision 1)" devices ())
(name "galpaniska" year "1997" manufacturer "Kaneko" desc "Gals Panic S - Extra Edition (Korea)" devices ())
(name "galpanisu" year "2000" manufacturer "Kaneko" desc "Gals Panic SU (Korea, Gals Panic 4 re-release)" devices ())
(name "galpans2" year "1999" manufacturer "Kaneko" desc "Gals Panic S2 (Europe, version 3)" devices ())
(name "galpans2a" year "1999" manufacturer "Kaneko" desc "Gals Panic S2 (Asia, version 1.1)" devices ())
(name "galpans2j" year "1999" manufacturer "Kaneko" desc "Gals Panic S2 (Japan)" devices ())
(name "galpans3" year "2002" manufacturer "Kaneko" desc "Gals Panic S3 (Japan)" devices ())
(name "galpansu" year "1999" manufacturer "Kaneko" desc "Gals Panic SU (Korea, version 5)" devices ())
(name "galpansua" year "1999" manufacturer "Kaneko" desc "Gals Panic SU (Korea)" devices ())
(name "galsnew" year "1990" manufacturer "Kaneko" desc "Gals Panic (Export, EXPRO-02 PCB)" devices ())
(name "galsnewj" year "1990" manufacturer "Kaneko (Taito license)" desc "Gals Panic (Japan, EXPRO-02 PCB)" devices ())
(name "galsnewk" year "1990" manufacturer "Kaneko (Inter license)" desc "Gals Panic (Korea, EXPRO-02 PCB)" devices ())
(name "galsnewt" year "1990" manufacturer "Kaneko" desc "Gals Panic (Taiwan, EXPRO-02 PCB)" devices ())
(name "galsnewu" year "1990" manufacturer "Kaneko" desc "Gals Panic (US, EXPRO-02 PCB)" devices ())
(name "galspnbl" year "1996" manufacturer "Comad" desc "Gals Pinball" devices ())
(name "galturbo" year "1979" manufacturer "hack" desc "Galaxian Turbo (hack of 'Super Galaxians')" devices ())
(name "galwars2" year "1981" manufacturer "bootleg (Sonic)" desc "Galaxy Wars II (bootleg of Defender)" devices ())
(name "galxwars" year "1979" manufacturer "Universal" desc "Galaxy Wars (Universal set 1)" devices ())
(name "galxwars2" year "1979" manufacturer "Universal" desc "Galaxy Wars (Universal set 2)" devices ())
(name "galxwarst" year "1979" manufacturer "Universal (Taito license?)" desc "Galaxy Wars (Taito?)" devices ())
(name "galxwarst2" year "1979" manufacturer "Universal (Taito Corporation license)" desc "Galaxy Wars (Taito)" devices ())
(name "gamate" year "1990" manufacturer "Bit Corp" desc "Gamate" devices ((name "cartridge" briefname "cart" )))
(name "gamatron" year "1985" manufacturer "Pinstar" desc "Gamatron" devices ())
(name "gamatros" year "1986" manufacturer "Sonic" desc "Gamatron (Sonic)" devices ())
(name "gambit" year "1986" manufacturer "Fidelity International" desc "The Gambit" devices ())
(name "gambjack" year "2005" manufacturer "Aristocrat" desc "Gamblin' Jack (20197211, NSW/ACT)" devices ())
(name "gambl186" year "1997" manufacturer "EGD" desc "Multi Game (Italian, Versione 4.0.3 - 1.5.7, 05-FEV-99(397)) (V398?)" devices ())
(name "gambl186a" year "1997" manufacturer "EGD" desc "Multi Game (Italian, Versione 4.0.3 - 1.5.7, 05-FEV-99(397)) (V399?)" devices ())
(name "gambl186b" year "1997" manufacturer "EGD" desc "Multi Game (Italian, Versione 3.8.6T - 1.5.6, 25-AUG-97) (V378?)" devices ())
(name "gambl186c" year "2000" manufacturer "EGD" desc "Multi Game (French / English, Version Soft 4.4.8T - 4.0.5, 26-OCT-00)" devices ())
(name "gambl186d" year "2000" manufacturer "EGD" desc "Multi Game (English, Version Soft 4.1.2T - 1.5.7, 16-MAY-00(397))" devices ())
(name "gambl186e" year "1997" manufacturer "EGD" desc "Multi Game (Italian, Versione 3.9.8 - 1.5.7, 01-JUL-98)" devices ())
(name "gambler" year "1998" manufacturer "Aristocrat" desc "The Gambler (EHG0916-02, US)" devices ())
(name "gameboy" year "1990" manufacturer "Nintendo" desc "Game Boy" devices ((name "cartridge" briefname "cart" )))
(name "gamecom" year "1997" manufacturer "Tiger" desc "Game.com" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "gamecst2" year "2002" manufacturer "Cristaltec" desc "GameCristal (version 2.613)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "gamecstl" year "2002" manufacturer "Cristaltec" desc "GameCristal" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "gamefgtr" year "1993" manufacturer "bootleg" desc "Game Fighter (bootleg)" devices ((name "cartridge" briefname "cart" )))
(name "gamegeaj" year "1990" manufacturer "Sega" desc "Game Gear (Japan)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gamegear" year "1991" manufacturer "Sega" desc "Game Gear (Europe/America)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gamekin3" year "2003" manufacturer "TimeTop" desc "GameKing 3" devices ((name "cartridge" briefname "cart" )))
(name "gameking" year "2003" manufacturer "TimeTop" desc "GameKing GM-218" devices ((name "cartridge" briefname "cart" )))
(name "gamemach" year "1978" manufacturer "VTech / Waddingtons" desc "The Game Machine" devices ())
(name "gamepock" year "1984" manufacturer "Epoch" desc "Game Pocket Computer" devices ((name "cartridge" briefname "cart" )))
(name "gamesnsm" year "1985" manufacturer "NSM" desc "The Games (NSM)" devices ())
(name "gametngk" year "1995" manufacturer "Jaleco" desc "The Game Paradise - Master of Shooting! / Game Tengoku - The Game Paradise (ver 1.0)" devices ())
(name "gametree" year "1978" manufacturer "Project Support Engineering" desc "Game Tree" devices ())
(name "gamezn2" year "200?" manufacturer "<unknown>" desc "Game Zone II 128-in-1" devices ())
(name "gammagic" year "1999" manufacturer "Bally Gaming Co." desc "Game Magic" devices ((name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "gammonm2" year "1978" manufacturer "Tryom" desc "Gammonmaster II" devices ())
(name "gampo812" year "1990" manufacturer "Fun World" desc "Gamble Poker (v812, encrypted)" devices ())
(name "gampo816" year "1990" manufacturer "Fun World" desc "Gamble Poker (v816, encrypted)" devices ())
(name "gamshara" year "2002" manufacturer "Mitchell" desc "Gamshara (20020912A / 10021 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gamsharao" year "2002" manufacturer "Mitchell" desc "Gamshara (20020716A / 10021 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gamt1" year "2002?" manufacturer "Novotech" desc "Gaminator 1 (set 1)" devices ())
(name "gamt10" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 1)" devices ())
(name "gamt10a" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 2)" devices ())
(name "gamt10b" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 3)" devices ())
(name "gamt10bag" year "2002?" manufacturer "bootleg" desc "Gaminator 10 (bootleg, Bag)" devices ())
(name "gamt10c" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 4)" devices ())
(name "gamt10d" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 5)" devices ())
(name "gamt10e" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 6)" devices ())
(name "gamt10ent" year "2002?" manufacturer "bootleg" desc "Gaminator 10 (bootleg, Ent)" devices ())
(name "gamt10f" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 7)" devices ())
(name "gamt10g" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 8)" devices ())
(name "gamt10gmult" year "2002?" manufacturer "bootleg" desc "Gaminator 10 (bootleg, Multiloto)" devices ())
(name "gamt10h" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 9)" devices ())
(name "gamt10i" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 10)" devices ())
(name "gamt10j" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 11)" devices ())
(name "gamt10k" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 12)" devices ())
(name "gamt10l" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 13)" devices ())
(name "gamt10lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 10 (bootleg, C-Loto)" devices ())
(name "gamt10lotm" year "2002?" manufacturer "bootleg" desc "Gaminator 10 (bootleg, Lotomatic)" devices ())
(name "gamt10m" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 14)" devices ())
(name "gamt10n" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 15)" devices ())
(name "gamt10o" year "2002?" manufacturer "Novotech" desc "Gaminator 10 (set 16)" devices ())
(name "gamt11" year "2002?" manufacturer "Novotech" desc "Gaminator 11 (set 1)" devices ())
(name "gamt11a" year "2002?" manufacturer "Novotech" desc "Gaminator 11 (set 2)" devices ())
(name "gamt11b" year "2002?" manufacturer "Novotech" desc "Gaminator 11 (set 3)" devices ())
(name "gamt11bmult" year "2002?" manufacturer "bootleg" desc "Gaminator 11 (bootleg, Multiloto)" devices ())
(name "gamt11c" year "2002?" manufacturer "Novotech" desc "Gaminator 11 (set 4)" devices ())
(name "gamt12" year "2002?" manufacturer "Novotech" desc "Gaminator 12 (set 1)" devices ())
(name "gamt12a" year "2002?" manufacturer "Novotech" desc "Gaminator 12 (set 2)" devices ())
(name "gamt12b" year "2002?" manufacturer "Novotech" desc "Gaminator 12 (set 3)" devices ())
(name "gamt16" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 1)" devices ())
(name "gamt16a" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 2)" devices ())
(name "gamt16b" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 3)" devices ())
(name "gamt16c" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 4)" devices ())
(name "gamt16d" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 5)" devices ())
(name "gamt16e" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 6)" devices ())
(name "gamt16f" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 7)" devices ())
(name "gamt16fmult" year "2002?" manufacturer "bootleg" desc "Gaminator 16 (bootleg, Multiloto)" devices ())
(name "gamt16g" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 8)" devices ())
(name "gamt16h" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 9)" devices ())
(name "gamt16i" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 10)" devices ())
(name "gamt16j" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 11)" devices ())
(name "gamt16k" year "2002?" manufacturer "Novotech" desc "Gaminator 16 (set 12)" devices ())
(name "gamt16lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 16 (bootleg, C-Loto)" devices ())
(name "gamt17" year "2002?" manufacturer "Novotech" desc "Gaminator 17 (set 1)" devices ())
(name "gamt17a" year "2002?" manufacturer "Novotech" desc "Gaminator 17 (set 2)" devices ())
(name "gamt17b" year "2002?" manufacturer "Novotech" desc "Gaminator 17 (set 3)" devices ())
(name "gamt18" year "2002?" manufacturer "Novotech" desc "Gaminator 18 (set 1)" devices ())
(name "gamt18a" year "2002?" manufacturer "Novotech" desc "Gaminator 18 (set 2)" devices ())
(name "gamt18b" year "2002?" manufacturer "Novotech" desc "Gaminator 18 (set 3)" devices ())
(name "gamt18bmult" year "2002?" manufacturer "bootleg" desc "Gaminator 18 (bootleg, Multiloto)" devices ())
(name "gamt18c" year "2002?" manufacturer "Novotech" desc "Gaminator 18 (set 4)" devices ())
(name "gamt18d" year "2002?" manufacturer "Novotech" desc "Gaminator 18 (set 5)" devices ())
(name "gamt18ent" year "2002?" manufacturer "bootleg" desc "Gaminator 18 (bootleg, Ent)" devices ())
(name "gamt18lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 18 (bootleg, C-Loto)" devices ())
(name "gamt19" year "2002?" manufacturer "Novotech" desc "Gaminator 19 (set 1)" devices ())
(name "gamt19a" year "2002?" manufacturer "Novotech" desc "Gaminator 19 (set 2)" devices ())
(name "gamt19ent" year "2002?" manufacturer "bootleg" desc "Gaminator 19 (bootleg, Ent)" devices ())
(name "gamt19lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 19 (bootleg, C-Loto)" devices ())
(name "gamt19mult" year "2002?" manufacturer "bootleg" desc "Gaminator 19 (bootleg, Multiloto)" devices ())
(name "gamt1a" year "2002?" manufacturer "Novotech" desc "Gaminator 1 (set 2)" devices ())
(name "gamt1b" year "2002?" manufacturer "Novotech" desc "Gaminator 1 (set 3)" devices ())
(name "gamt1ent" year "2002?" manufacturer "bootleg" desc "Gaminator 1 (bootleg, Ent)" devices ())
(name "gamt1lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 1 (bootleg, C-Loto)" devices ())
(name "gamt20" year "2002?" manufacturer "Novotech" desc "Gaminator 20 (set 1)" devices ())
(name "gamt20a" year "2002?" manufacturer "Novotech" desc "Gaminator 20 (set 2)" devices ())
(name "gamt20b" year "2002?" manufacturer "Novotech" desc "Gaminator 20 (set 3)" devices ())
(name "gamt20ent" year "2002?" manufacturer "bootleg" desc "Gaminator 20 (bootleg, Ent)" devices ())
(name "gamt20lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 20 (bootleg, C-Loto)" devices ())
(name "gamt20lotm" year "2002?" manufacturer "bootleg" desc "Gaminator 20 (bootleg, Lotomatic)" devices ())
(name "gamt21" year "2002?" manufacturer "Novotech" desc "Gaminator 21 (set 1)" devices ())
(name "gamt21a" year "2002?" manufacturer "Novotech" desc "Gaminator 21 (set 2)" devices ())
(name "gamt21amult" year "2002?" manufacturer "bootleg" desc "Gaminator 21 (bootleg, Multiloto)" devices ())
(name "gamt22" year "2002?" manufacturer "Novotech" desc "Gaminator 22 (set 1)" devices ())
(name "gamt22a" year "2002?" manufacturer "Novotech" desc "Gaminator 22 (set 2)" devices ())
(name "gamt22amult" year "2002?" manufacturer "bootleg" desc "Gaminator 22 (bootleg, Multiloto)" devices ())
(name "gamt22b" year "2002?" manufacturer "Novotech" desc "Gaminator 22 (set 3)" devices ())
(name "gamt23" year "2002?" manufacturer "Novotech" desc "Gaminator 23 (set 1)" devices ())
(name "gamt23a" year "2002?" manufacturer "Novotech" desc "Gaminator 23 (set 2)" devices ())
(name "gamt23b" year "2002?" manufacturer "Novotech" desc "Gaminator 23 (set 3)" devices ())
(name "gamt29" year "2002?" manufacturer "Novotech" desc "Gaminator 29 (set 1)" devices ())
(name "gamt29a" year "2002?" manufacturer "Novotech" desc "Gaminator 29 (set 2)" devices ())
(name "gamt30" year "2002?" manufacturer "Novotech" desc "Gaminator 30 (set 1)" devices ())
(name "gamt31" year "2002?" manufacturer "Novotech" desc "Gaminator 31 (set 1)" devices ())
(name "gamt31mult" year "2002?" manufacturer "bootleg" desc "Gaminator 31 (bootleg, Multiloto)" devices ())
(name "gamt4" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 1)" devices ())
(name "gamt4a" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 2)" devices ())
(name "gamt4b" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 3)" devices ())
(name "gamt4c" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 4)" devices ())
(name "gamt4d" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 5)" devices ())
(name "gamt4dbag" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Bag, set 1)" devices ())
(name "gamt4e" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 6)" devices ())
(name "gamt4ent" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Ent)" devices ())
(name "gamt4f" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 7)" devices ())
(name "gamt4fbag" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Bag, set 2)" devices ())
(name "gamt4g" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 8)" devices ())
(name "gamt4h" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 9)" devices ())
(name "gamt4hbag" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Bag, set 3)" devices ())
(name "gamt4hmult" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Multiloto)" devices ())
(name "gamt4i" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 10)" devices ())
(name "gamt4ibag" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Bag, set 4)" devices ())
(name "gamt4j" year "2002?" manufacturer "Novotech" desc "Gaminator 4 (set 11)" devices ())
(name "gamt4lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, C-Loto)" devices ())
(name "gamt4lotca" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (C-Loto, MK4)" devices ())
(name "gamt4lotm" year "2002?" manufacturer "bootleg" desc "Gaminator 4 (bootleg, Lotomatic)" devices ())
(name "gamt5" year "2002?" manufacturer "Novotech" desc "Gaminator 5 (set 1)" devices ())
(name "gamt6" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 1)" devices ())
(name "gamt6a" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 2)" devices ())
(name "gamt6b" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 3)" devices ())
(name "gamt6c" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 4)" devices ())
(name "gamt6d" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 5)" devices ())
(name "gamt6e" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 6)" devices ())
(name "gamt6ent" year "2002?" manufacturer "bootleg" desc "Gaminator 6 (bootleg, Ent)" devices ())
(name "gamt6f" year "2002?" manufacturer "Novotech" desc "Gaminator 6 (set 7)" devices ())
(name "gamt6lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 6 (bootleg, C-Loto)" devices ())
(name "gamt7" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 1)" devices ())
(name "gamt7a" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 2)" devices ())
(name "gamt7b" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 3)" devices ())
(name "gamt7c" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 4)" devices ())
(name "gamt7d" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 5)" devices ())
(name "gamt7e" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 6)" devices ())
(name "gamt7f" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 7)" devices ())
(name "gamt7g" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 8)" devices ())
(name "gamt7h" year "2002?" manufacturer "Novotech" desc "Gaminator 7 (set 9)" devices ())
(name "gamt8" year "2002?" manufacturer "Novotech" desc "Gaminator 8 (set 1)" devices ())
(name "gamt8a" year "2002?" manufacturer "Novotech" desc "Gaminator 8 (set 2)" devices ())
(name "gamt8b" year "2002?" manufacturer "Novotech" desc "Gaminator 8 (set 3)" devices ())
(name "gamt8c" year "2002?" manufacturer "Novotech" desc "Gaminator 8 (set 4)" devices ())
(name "gamt8d" year "2002?" manufacturer "Novotech" desc "Gaminator 8 (set 5)" devices ())
(name "gamt8lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 8 (bootleg, C-Loto)" devices ())
(name "gamt9" year "2002?" manufacturer "Novotech" desc "Gaminator 9 (set 1)" devices ())
(name "gamt9a" year "2002?" manufacturer "Novotech" desc "Gaminator 9 (set 2)" devices ())
(name "gamt9lotc" year "2002?" manufacturer "bootleg" desc "Gaminator 9 (bootleg, C-Loto)" devices ())
(name "ganbare" year "2000" manufacturer "Capcom" desc "Ganbare! Marine Kun (Japan 2K0411)" devices ())
(name "ganbaremo" year "1992?" manufacturer "Shoken" desc "Ganbare Momotarou Oni Taiji" devices ())
(name "gangonta" year "1995" manufacturer "Mitchell" desc "Ganbare! Gonta!! 2 / Party Time: Gonta the Diver II (Japan Release)" devices ())
(name "gangrose" year "2004" manufacturer "Kupidon" desc "Gangster's Roses (v4.70)" devices ())
(name "gangwars" year "1989" manufacturer "Alpha Denshi Co." desc "Gang Wars" devices ())
(name "gangwarsb" year "1989" manufacturer "bootleg" desc "Gang Wars (bootleg)" devices ())
(name "gangwarsj" year "1989" manufacturer "Alpha Denshi Co." desc "Gang Wars (Japan)" devices ())
(name "gangwarsu" year "1989" manufacturer "Alpha Denshi Co." desc "Gang Wars (US)" devices ())
(name "ganjaja" year "1990" manufacturer "Jaleco" desc "Ganbare Jajamaru Saisho wa Goo / Ganbare Jajamaru Hop Step & Jump" devices ())
(name "ganryu" year "1999" manufacturer "Visco" desc "Ganryu / Musashi Ganryuki" devices ((name "memcard" briefname "memc" ) ()))
(name "gaplus" year "1984" manufacturer "Namco" desc "Gaplus (GP2 rev. B)" devices ())
(name "gaplusa" year "1984" manufacturer "Namco" desc "Gaplus (GP2)" devices ())
(name "gaplusd" year "1984" manufacturer "Namco" desc "Gaplus (GP2 rev D, alternate hardware)" devices ())
(name "gapluse" year "1984" manufacturer "Namco" desc "Gaplus (GP7)" devices ())
(name "gaplust" year "1992" manufacturer "bootleg (Tecfri)" desc "Gaplus (Tecfri PCB)" devices ())
(name "garage" year "2004" manufacturer "Igrosoft" desc "Garage (040122 World)" devices ())
(name "garage_10" year "2004" manufacturer "Igrosoft" desc "Garage (100331 Entertainment X)" devices ())
(name "garage_11" year "2004" manufacturer "Igrosoft" desc "Garage (101208 Entertainment N)" devices ())
(name "garage_12" year "2004" manufacturer "Igrosoft" desc "Garage (110111 Entertainment A)" devices ())
(name "garage_13" year "2004" manufacturer "Igrosoft" desc "Garage (110124 Entertainment A)" devices ())
(name "garage_14" year "2004" manufacturer "Igrosoft" desc "Garage (110204 Entertainment A)" devices ())
(name "garage_15" year "2004" manufacturer "Igrosoft" desc "Garage (110311 Entertainment B)" devices ())
(name "garage_16" year "2004" manufacturer "Igrosoft" desc "Garage (140526 Entertainment B)" devices ())
(name "garage_17" year "2004" manufacturer "Igrosoft" desc "Garage (110411 Entertainment C)" devices ())
(name "garage_2" year "2004" manufacturer "Igrosoft" desc "Garage (040123 World)" devices ())
(name "garage_3" year "2004" manufacturer "Igrosoft" desc "Garage (040216 World)" devices ())
(name "garage_4" year "2004" manufacturer "Igrosoft" desc "Garage (040219 World)" devices ())
(name "garage_4a" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 040219, backdoor)" devices ())
(name "garage_4b" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 040219, changed version text)" devices ())
(name "garage_4c" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 040219, LOTO PROGRAM V-GG2)" devices ())
(name "garage_5" year "2004" manufacturer "Igrosoft" desc "Garage (050311 World)" devices ())
(name "garage_5a" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 050311, backdoor)" devices ())
(name "garage_5b" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 050311, VIDEO GAME-1 GA01)" devices ())
(name "garage_5c" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 050311, payout percentage 70)" devices ())
(name "garage_5d" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 050311, LOTTOGAME (I))" devices ())
(name "garage_5e" year "2004" manufacturer "bootleg" desc "Garage (bootleg, 050311, LOTOS GA01)" devices ())
(name "garage_6" year "2004" manufacturer "Igrosoft" desc "Garage (070213 Russia)" devices ())
(name "garage_7" year "2004" manufacturer "Igrosoft" desc "Garage (070329 Russia)" devices ())
(name "garage_9" year "2004" manufacturer "Igrosoft" desc "Garage (090715 Entertainment)" devices ())
(name "gardia" year "1986" manufacturer "Coreland / Sega" desc "Gardia (317-0006)" devices ())
(name "gardiab" year "1986" manufacturer "bootleg" desc "Gardia (317-0007?, bootleg)" devices ())
(name "gardiaj" year "1986" manufacturer "Coreland / Sega" desc "Gardia (Japan, 317-0006)" devices ())
(name "garogun" year "2000" manufacturer "Yun Sung" desc "Garogun Seroyang (Korea)" devices ())
(name "garou" year "1999" manufacturer "SNK" desc "Garou - Mark of the Wolves (NGM-2530)" devices ((name "memcard" briefname "memc" ) ()))
(name "garoubl" year "1999" manufacturer "bootleg" desc "Garou - Mark of the Wolves (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "garouh" year "1999" manufacturer "SNK" desc "Garou - Mark of the Wolves (NGM-2530 ~ NGH-2530)" devices ((name "memcard" briefname "memc" ) ()))
(name "garouha" year "1999" manufacturer "SNK" desc "Garou - Mark of the Wolves (NGH-2530)" devices ((name "memcard" briefname "memc" ) ()))
(name "garoup" year "1999" manufacturer "SNK" desc "Garou - Mark of the Wolves (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "garuka" year "1988" manufacturer "Konami" desc "Garuka (Japan ver. W)" devices ())
(name "garyoret" year "1987" manufacturer "Data East Corporation" desc "Garyo Retsuden (Japan)" devices ())
(name "gatedoom" year "1990" manufacturer "Data East Corporation" desc "Gate of Doom (US revision 4)" devices ())
(name "gatedoom1" year "1990" manufacturer "Data East Corporation" desc "Gate of Doom (US revision 1)" devices ())
(name "gatsbee" year "1984" manufacturer "hack (Uchida)" desc "Gatsbee" devices ())
(name "gaunt2" year "1986" manufacturer "Atari Games" desc "Gauntlet II" devices ())
(name "gaunt22p" year "1986" manufacturer "Atari Games" desc "Gauntlet II (2 Players, rev 2)" devices ())
(name "gaunt22p1" year "1986" manufacturer "Atari Games" desc "Gauntlet II (2 Players, rev 1)" devices ())
(name "gaunt22pg" year "1986" manufacturer "Atari Games" desc "Gauntlet II (2 Players, German)" devices ())
(name "gaunt2g" year "1986" manufacturer "Atari Games" desc "Gauntlet II (German)" devices ())
(name "gauntdl" year "1999" manufacturer "Midway Games" desc "Gauntlet Dark Legacy (version DL 2.52)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gauntdl24" year "1999" manufacturer "Midway Games" desc "Gauntlet Dark Legacy (version DL 2.4)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gauntleg" year "1998" manufacturer "Atari Games" desc "Gauntlet Legends (version 1.6)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gauntleg12" year "1998" manufacturer "Atari Games" desc "Gauntlet Legends (version 1.2)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gauntlet" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 14)" devices ())
(name "gauntlet2p" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, rev 6)" devices ())
(name "gauntlet2pg" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, German, rev 4)" devices ())
(name "gauntlet2pg1" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, German, rev 1)" devices ())
(name "gauntlet2pj" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, Japanese, rev 5)" devices ())
(name "gauntlet2pj2" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, Japanese, rev 2)" devices ())
(name "gauntlet2pr3" year "1985" manufacturer "Atari Games" desc "Gauntlet (2 Players, rev 3)" devices ())
(name "gauntletg" year "1985" manufacturer "Atari Games" desc "Gauntlet (German, rev 10)" devices ())
(name "gauntletgr3" year "1985" manufacturer "Atari Games" desc "Gauntlet (German, rev 3)" devices ())
(name "gauntletgr6" year "1985" manufacturer "Atari Games" desc "Gauntlet (German, rev 6)" devices ())
(name "gauntletgr8" year "1985" manufacturer "Atari Games" desc "Gauntlet (German, rev 8)" devices ())
(name "gauntletj" year "1985" manufacturer "Atari Games" desc "Gauntlet (Japanese, rev 13)" devices ())
(name "gauntletj12" year "1985" manufacturer "Atari Games" desc "Gauntlet (Japanese, rev 12)" devices ())
(name "gauntletr1" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 1)" devices ())
(name "gauntletr2" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 2)" devices ())
(name "gauntletr4" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 4)" devices ())
(name "gauntletr5" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 5)" devices ())
(name "gauntletr7" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 7)" devices ())
(name "gauntletr9" year "1985" manufacturer "Atari Games" desc "Gauntlet (rev 9)" devices ())
(name "gauntlets" year "1985" manufacturer "Atari Games" desc "Gauntlet (Spanish, rev 15)" devices ())
(name "gaxeduel" year "1994" manufacturer "Sega" desc "Golden Axe - The Duel (JUETL 950117 V1.000)" devices ())
(name "gba" year "2001" manufacturer "Nintendo" desc "Game Boy Advance" devices ((name "cartridge" briefname "cart" )))
(name "gbbchmp" year "2002" manufacturer "Konami" desc "Great Bishi Bashi Champ (GBA48 VER. JAB)" devices ())
(name "gbcolor" year "1998" manufacturer "Nintendo" desc "Game Boy Color" devices ((name "cartridge" briefname "cart" )))
(name "gberet" year "1985" manufacturer "Konami" desc "Green Beret" devices ())
(name "gberetb" year "1985" manufacturer "bootleg" desc "Green Beret (bootleg)" devices ())
(name "gblchmp" year "1994" manufacturer "Taito America Corporation" desc "Global Champion (Ver 2.1A 1994/07/29)" devices ())
(name "gbmoney" year "2002" manufacturer "Aristocrat" desc "The Good, The Bad & The Money (0351016, US)" devices ())
(name "gbpocket" year "1996" manufacturer "Nintendo" desc "Game Boy Pocket" devices ((name "cartridge" briefname "cart" )))
(name "gbs5505x" year "2001" manufacturer "Video Technology" desc "Genius BrainStation 5505X (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gbusters" year "1988" manufacturer "Konami" desc "Gang Busters (set 1)" devices ())
(name "gbustersa" year "1988" manufacturer "Konami" desc "Gang Busters (set 2)" devices ())
(name "gc10a" year "199?" manufacturer "Eagle" desc "EAGLEN486 GC10A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "gcastle" year "1986" manufacturer "Allumer / Taito Corporation" desc "Golden Castle (prototype?)" devices ())
(name "gcbr" year "2002" manufacturer "Nintendo" desc "GameCube (Brazil)" devices ())
(name "gceu" year "2002" manufacturer "Nintendo" desc "GameCube (EUR)" devices ())
(name "gchgchmp" year "1999" manufacturer "Konami" desc "Gachaga Champ (GE877 VER. JAB)" devices ())
(name "gchinatv" year "198?" manufacturer "Golden China" desc "Golden China TV Game" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gcjp" year "2001" manufacturer "Nintendo" desc "GameCube (Japan)" devices ())
(name "gckong" year "1982" manufacturer "Gakken" desc "Crazy Kong (Gakken)" devices ())
(name "gcpinbal" year "1994" manufacturer "Excellent System" desc "Grand Cross (v1.02F)" devices ())
(name "gcs2mgp" year "200?" manufacturer "Jungle's Soft" desc "Mini Game Player 48-in-1" devices ())
(name "gcslottv" year "2002" manufacturer "Takara / Sammy / DCT / SSD Company LTD" desc "Gachinko Shoubu! PachisloTV (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "gcus" year "2001" manufacturer "Nintendo" desc "GameCube (USA)" devices ())
(name "gdarius" year "1997" manufacturer "Taito" desc "G-Darius (Ver 2.02O)" devices ())
(name "gdarius2" year "1997" manufacturer "Taito" desc "G-Darius Ver.2 (Ver 2.03J)" devices ())
(name "gdariusj" year "1997" manufacturer "Taito" desc "G-Darius (Ver 2.01J)" devices ())
(name "gdariusu" year "1997" manufacturer "Taito" desc "G-Darius (Ver 2.02A)" devices ())
(name "gdefender" year "1983" manufacturer "Gakken" desc "Defender (Gakken)" devices ())
(name "gderby" year "1990" manufacturer "hack (CODERE)" desc "Gran Derby (Spanish hack of Jockey Club)" devices ())
(name "gdfs" year "1995" manufacturer "Banpresto" desc "Mobile Suit Gundam Final Shooting (Japan)" devices ())
(name "gdigdug" year "1983" manufacturer "Gakken" desc "Dig Dug (Gakken)" devices ())
(name "gdvsgd" year "2008" manufacturer "Capcom / Bandai" desc "Gundam vs. Gundam (GVS1 Ver. A)" devices ())
(name "gdvsgdnx" year "2009" manufacturer "Capcom / Bandai" desc "Gundam vs. Gundam Next" devices ())
(name "geebee" year "1978" manufacturer "Namco" desc "Gee Bee (Japan)" devices ())
(name "geebeea" year "1978" manufacturer "Namco (Alca license)" desc "Gee Bee (UK)" devices ())
(name "geebeeb" year "1978" manufacturer "Namco (F.lli Bertolino license)" desc "Gee Bee (Europe)" devices ())
(name "geebeeg" year "1978" manufacturer "Namco (Gremlin license)" desc "Gee Bee (US)" devices ())
(name "gegege" year "1997" manufacturer "Sigma / Banpresto" desc "GeGeGe no Kitarou Youkai Slot" devices ())
(name "gegemdb" year "2007" manufacturer "Namco" desc "Gegege no Kitaro Yokai Yokocho Matsuri de Battle Ja (GYM1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "geimulti" year "1992" manufacturer "Grayhound Electronics" desc "GEI Multi Game" devices ())
(name "geisha" year "2001" manufacturer "Aristocrat" desc "Geisha (0101408V, New Zealand)" devices ())
(name "geishaa6" year "2000" manufacturer "Aristocrat" desc "Geisha (10000811, NSW/ACT)" devices ())
(name "geishaa6a" year "2001" manufacturer "Aristocrat" desc "Geisha (10122011, ASP)" devices ())
(name "geishaa6b" year "2001" manufacturer "Aristocrat" desc "Geisha (10112411, ASP)" devices ())
(name "geishajc" year "2001" manufacturer "Aristocrat" desc "Geisha - Jackpot Carnival (0351033, US)" devices ())
(name "gekiretu" year "1992" manufacturer "Face" desc "Quiz Gekiretsu Scramble (Japan)" devices ())
(name "gekiridn" year "1995" manufacturer "Taito Corporation" desc "Gekirindan (Ver 2.3O 1995/09/21)" devices ())
(name "gekiridnj" year "1995" manufacturer "Taito Corporation" desc "Gekirindan (Ver 2.3J 1995/09/21)" devices ())
(name "gekisha" year "1989" manufacturer "Dynax" desc "Mahjong Gekisha (Japan)" devices ())
(name "gekishap2" year "1990" manufacturer "Dynax" desc "Mahjong Gekisha Part II (Japan)" devices ())
(name "gekisou" year "1985" manufacturer "Eastern Corp." desc "Gekisou (Japan)" devices ())
(name "gekitsui" year "1985" manufacturer "Data East Corporation" desc "Gekitsui Oh (Japan)" devices ())
(name "gekpurya" year "2003" manufacturer "Sega / Wow Entertainment" desc "Gekitou Pro Yakyuu Mizushima Shinji All Stars vs. Pro Yakyuu (Rev C) (GDT-0008C)" devices ((name "cdrom" briefname "cdrm" )))
(name "gekpuryb" year "2003" manufacturer "Sega / Wow Entertainment" desc "Gekitou Pro Yakyuu Mizushima Shinji All Stars vs. Pro Yakyuu (Rev B) (GDT-0008B)" devices ((name "cdrom" briefname "cdrm" )))
(name "gemcrush" year "1996" manufacturer "Star Fish" desc "Gemcrush (Japan, prototype)" devices ())
(name "gemini" year "1987" manufacturer "Tecmo" desc "Gemini Wing (World)" devices ())
(name "gemini2k" year "1982" manufacturer "Taito do Brasil" desc "Gemini 2000 (set 1)" devices ())
(name "gemini2k1" year "1982" manufacturer "Taito do Brasil" desc "Gemini 2000 (set 2)" devices ())
(name "geminib" year "1987" manufacturer "bootleg" desc "Gemini Wing (bootleg)" devices ())
(name "geminij" year "1987" manufacturer "Tecmo" desc "Gemini Wing (Japan)" devices ())
(name "gen32" year "1993" manufacturer "Hegener + Glaser" desc "Mephisto Genius 68030 (v4.01)" devices ())
(name "gen32a" year "1993" manufacturer "Hegener + Glaser" desc "Mephisto Genius 68030 (v4.00)" devices ())
(name "gen32l" year "1996" manufacturer "Richard Lang" desc "Mephisto Genius 68030 (London upgrade)" devices ())
(name "gen_nomd" year "1995" manufacturer "Sega" desc "Genesis Nomad (USA Genesis handheld)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "genesis" year "1989" manufacturer "Sega" desc "Genesis (USA, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "genesis_tmss" year "1990" manufacturer "Sega" desc "Genesis (USA, NTSC, with TMSS chip)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "genesisp" year "1986" manufacturer "Gottlieb" desc "Genesis" devices ())
(name "genesispf" year "1986" manufacturer "Gottlieb" desc "Genesis (French)" devices ())
(name "genesispg" year "1986" manufacturer "Gottlieb" desc "Genesis (German)" devices ())
(name "geneve" year "1987" manufacturer "Myarc" desc "Geneve 9640" devices ())
(name "genie" year "198?" manufacturer "Video Fun Games Ltd." desc "Genie (ICP-1, set 1)" devices ())
(name "geniea" year "198?" manufacturer "<unknown>" desc "Genie (ICP-1, set 2)" devices ())
(name "geniep" year "1979" manufacturer "Gottlieb" desc "Genie (Pinball)" devices ())
(name "genius6" year "1998" manufacturer "IGS" desc "Genius 6 (V110F)" devices ())
(name "genius6a" year "1997" manufacturer "IGS" desc "Genius 6 (V133F)" devices ())
(name "genius6b" year "1997" manufacturer "IGS" desc "Genius 6 (V132F)" devices ())
(name "genix" year "1994" manufacturer "NIX" desc "Genix Family" devices ())
(name "genmagi" year "1999" manufacturer "Aristocrat" desc "Genie Magic (0200894V, NSW/ACT)" devices ())
(name "genmod" year "1990" manufacturer "Myarc / Ron G. Walters" desc "Geneve 9640 Mod" devices ())
(name "genpeitd" year "1986" manufacturer "Namco" desc "Genpei ToumaDen" devices ())
(name "gensitou" year "1989" manufacturer "SNK" desc "Genshitou 1930's" devices ())
(name "geostorm" year "1994" manufacturer "Irem" desc "Geo Storm (Japan, 014 custom sound CPU)" devices ())
(name "geostorma" year "1994" manufacturer "Irem" desc "Geo Storm (Japan, 026 custom sound CPU)" devices ())
(name "gepoker" year "1984" manufacturer "Greyhound Electronics" desc "Poker (Version 50.02 ICB, set 1)" devices ())
(name "gepoker1" year "1984" manufacturer "Greyhound Electronics" desc "Poker (Version 50.02 ICB, set 2)" devices ())
(name "gepoker2" year "1984" manufacturer "Greyhound Electronics" desc "Poker (Version 50.02 ICB, set 3)" devices ())
(name "gepoker3" year "1984" manufacturer "Greyhound Electronics" desc "Poker (Version 50.02 ICB, set 4)" devices ())
(name "ges9051n" year "199?" manufacturer "<unknown>" desc "GES 9051N-386C VER -0.01" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "getaway" year "1979" manufacturer "Universal" desc "Get A Way (upright)" devices ())
(name "getbass" year "1997" manufacturer "Sega" desc "Get Bass: Sega Bass Fishing (Japan)" devices ())
(name "getbassdx" year "1997" manufacturer "Sega" desc "Get Bass: Sega Bass Fishing Deluxe (Japan)" devices ())
(name "getbassur" year "1997" manufacturer "Sega" desc "Get Bass: Sega Bass Fishing Upright (Japan)" devices ())
(name "gete486vl" year "199?" manufacturer "GENOA" desc "TurboExpress 486 VL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "getrich" year "200?" manufacturer "Amcoe" desc "Get Rich (Version 1.0.1)" devices ())
(name "getstarb1" year "1986" manufacturer "bootleg" desc "Get Star (bootleg set 1)" devices ())
(name "getstarb2" year "1986" manufacturer "bootleg" desc "Get Star (bootleg set 2)" devices ())
(name "getstarj" year "1986" manufacturer "Toaplan / Taito" desc "Get Star (Japan)" devices ())
(name "gfc1080" year "1985" manufacturer "Goldstar" desc "GFC-1080 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "gfc1080a" year "1985" manufacturer "Goldstar" desc "GFC-1080A (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "gfire2" year "1992" manufacturer "Topis Corp" desc "Golden Fire II" devices ())
(name "gfootbal" year "2002" manufacturer "Gaelco / Zigurat" desc "Gaelco Football" devices ())
(name "gforce2" year "1988" manufacturer "Sega" desc "Galaxy Force 2" devices ())
(name "gforce2j" year "1988" manufacturer "Sega" desc "Galaxy Force 2 (Japan)" devices ())
(name "gforce2ja" year "1988" manufacturer "Sega" desc "Galaxy Force 2 (Japan, Rev A)" devices ())
(name "gforce2sd" year "1988" manufacturer "Sega" desc "Galaxy Force 2 (Super Deluxe unit)" devices ())
(name "ggate" year "19??" manufacturer "Seeben (Belgium)" desc "Golden Gate (set 1) (Bingo)" devices ())
(name "ggatea" year "19??" manufacturer "Seeben (Belgium)" desc "Golden Gate (set 2) (Bingo)" devices ())
(name "ggconnie" year "1996" manufacturer "Eighting" desc "Go! Go! Connie chan Jaka Jaka Janken" devices ())
(name "ggdman" year "1983" manufacturer "Bandai" desc "Go Go Dynaman" devices ())
(name "gghost" year "1984" manufacturer "Bally/Sente" desc "Goalie Ghost" devices ())
(name "ggisuka" year "2004" manufacturer "Arc System Works / Sammy" desc "Guilty Gear Isuka" devices ())
(name "ggm" year "1980" manufacturer "Applied Concepts / Chafitz" desc "Great Game Machine" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "ggoemon" year "1997" manufacturer "Konami" desc "Ganbare Goemon" devices ())
(name "ggram2" year "1999" manufacturer "Sega" desc "Giant Gram: All Japan Pro Wrestling 2 (Japan)" devices ())
(name "ggreats2" year "1994" manufacturer "Konami" desc "Golfing Greats 2 (ver JAC)" devices ())
(name "gground" year "1988" manufacturer "Sega" desc "Gain Ground (World, 3 Players, Floppy Based, FD1094 317-0058-03d Rev A)" devices ())
(name "ggroundj" year "1988" manufacturer "Sega" desc "Gain Ground (Japan, 2 Players, Floppy Based, FD1094 317-0058-03b)" devices ())
(name "ggx" year "2000" manufacturer "Arc System Works" desc "Guilty Gear X" devices ())
(name "ggx15" year "2003" manufacturer "Arc System Works / Sammy" desc "Guilty Gear X ver. 1.5" devices ())
(name "ggxx" year "2002" manufacturer "Arc System Works" desc "Guilty Gear XX (GDL-0011)" devices ((name "cdrom" briefname "cdrm" )))
(name "ggxxac" year "2006" manufacturer "Arc System Works" desc "Guilty Gear XX Accent Core (Japan) (GDL-0041)" devices ((name "cdrom" briefname "cdrm" )))
(name "ggxxrl" year "2003" manufacturer "Arc System Works" desc "Guilty Gear XX #Reload (Japan, Rev A) (GDL-0019A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ggxxrlo" year "2003" manufacturer "Arc System Works" desc "Guilty Gear XX #Reload (Japan) (GDL-0019)" devices ((name "cdrom" briefname "cdrm" )))
(name "ggxxsla" year "2005" manufacturer "Arc System Works" desc "Guilty Gear XX Slash (Japan, Rev A) (GDL-0033A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ghalien" year "1980" manufacturer "Gakken" desc "Heiankyo Alien (Gakken)" devices ())
(name "ghlpanic" year "1999" manufacturer "Eighting / Raizing / Namco" desc "Ghoul Panic (World, OB2/VER.A)" devices ())
(name "ghoshunt" year "1996" manufacturer "Hanaho Games" desc "Ghost Hunter" devices ())
(name "ghostb" year "1987" manufacturer "Data East USA" desc "The Real Ghostbusters (US 2 Players, revision 2)" devices ())
(name "ghostb2a" year "1987" manufacturer "Data East USA" desc "The Real Ghostbusters (US 2 Players)" devices ())
(name "ghostb3" year "1987" manufacturer "Data East USA" desc "The Real Ghostbusters (US 3 Players, revision 3B?)" devices ())
(name "ghostb3a" year "1987" manufacturer "Data East USA" desc "The Real Ghostbusters (US 3 Players, revision 2)" devices ())
(name "ghostlop" year "1996" manufacturer "Data East Corporation" desc "Ghostlop (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "ghostmun" year "1981" manufacturer "bootleg (Leisure and Allied)" desc "Ghost Muncher" devices ())
(name "ghostsev" year "2007" manufacturer "Sega" desc "Ghost Squad Evolution" devices ())
(name "ghostsqo" year "2004" manufacturer "Sega" desc "Ghost Squad (GDX-0012)" devices ((name "cdrom" briefname "cdrm" )))
(name "ghostsqu" year "2004" manufacturer "Sega" desc "Ghost Squad (Rev A) (GDX-0012A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ghouls" year "1988" manufacturer "Capcom" desc "Ghouls'n Ghosts (World)" devices ())
(name "ghoulsu" year "1988" manufacturer "Capcom" desc "Ghouls'n Ghosts (USA)" devices ())
(name "ghox" year "1991" manufacturer "Toaplan" desc "Ghox (spinner)" devices ())
(name "ghoxj" year "1991" manufacturer "Toaplan" desc "Ghox (joystick)" devices ())
(name "ghoxjo" year "1991" manufacturer "Toaplan" desc "Ghox (joystick, older)" devices ())
(name "ghunter" year "1988" manufacturer "Seibu Kaihatsu" desc "Gang Hunter / Dead Angle" devices ())
(name "ghunters" year "1988" manufacturer "Seibu Kaihatsu (SegaSA / Sonic license)" desc "Gang Hunter / Dead Angle (Spain)" devices ())
(name "ghv101" year "1994" manufacturer "Romstar" desc "Goofy Hoops" devices ())
(name "gi_l3" year "1991" manufacturer "Bally" desc "Gilligan's Island (L-3)" devices ())
(name "gi_l4" year "1991" manufacturer "Bally" desc "Gilligan's Island (L-4)" devices ())
(name "gi_l6" year "1991" manufacturer "Bally" desc "Gilligan's Island (L-6)" devices ())
(name "gi_l8" year "1991" manufacturer "Bally" desc "Gilligan's Island (L-8)" devices ())
(name "gi_l9" year "1991" manufacturer "Bally" desc "Gilligan's Island (L-9)" devices ())
(name "giclasex" year "1998" manufacturer "Konami" desc "GI-Classic EX (satellite terminal)" devices ())
(name "giclassvr" year "1998" manufacturer "Konami" desc "GI-Classic EX (server)" devices ())
(name "gigaman2" year "1996" manufacturer "bootleg" desc "Giga Man 2: The Power Fighters (bootleg of Mega Man 2: The Power Fighters)" devices ())
(name "gigandes" year "1989" manufacturer "East Technology" desc "Gigandes" devices ())
(name "gigandesa" year "1989" manufacturer "East Technology" desc "Gigandes (earlier)" devices ())
(name "gigas" year "1986" manufacturer "Sega" desc "Gigas (MC-8123, 317-5002)" devices ())
(name "gigasb" year "1986" manufacturer "bootleg" desc "Gigas (bootleg)" devices ())
(name "gigasm2" year "1986" manufacturer "Sega" desc "Gigas Mark II (MC-8123, 317-5002)" devices ())
(name "gigasm2b" year "1986" manufacturer "bootleg" desc "Gigas Mark II (bootleg)" devices ())
(name "gigatron" year "2018" manufacturer "Marcel van Kervinck / Walter Belgers" desc "Gigatron TTL Microcomputer" devices ())
(name "gigawing" year "1999" manufacturer "Takumi (Capcom license)" desc "Giga Wing (USA 990222)" devices ())
(name "gigawinga" year "1999" manufacturer "Takumi (Capcom license)" desc "Giga Wing (Asia 990222)" devices ())
(name "gigawingb" year "1999" manufacturer "Takumi (Capcom license)" desc "Giga Wing (Brazil 990222)" devices ())
(name "gigawingd" year "1999" manufacturer "bootleg" desc "Giga Wing (USA 990222 Phoenix Edition) (bootleg)" devices ())
(name "gigawingh" year "1999" manufacturer "Takumi (Capcom license)" desc "Giga Wing (Hispanic 990222)" devices ())
(name "gigawingj" year "1999" manufacturer "Takumi (Capcom license)" desc "Giga Wing (Japan 990223)" devices ())
(name "gigawingjd" year "1999" manufacturer "bootleg" desc "Giga Wing (Japan 990223 Phoenix Edition) (bootleg)" devices ())
(name "giglnrdo" year "1982" manufacturer "GiG Electronics" desc "Leonardo (GiG Electronics)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gijoe" year "1992" manufacturer "Konami" desc "G.I. Joe (World, EAB, set 1)" devices ())
(name "gijoea" year "1992" manufacturer "Konami" desc "G.I. Joe (Asia, AA)" devices ())
(name "gijoeea" year "1992" manufacturer "Konami" desc "G.I. Joe (World, EB8, prototype?)" devices ())
(name "gijoej" year "1992" manufacturer "Konami" desc "G.I. Joe (Japan, JAA)" devices ())
(name "gijoeu" year "1992" manufacturer "Konami" desc "G.I. Joe (US, UAB)" devices ())
(name "gijoeua" year "1992" manufacturer "Konami" desc "G.I. Joe (US, UAA)" devices ())
(name "gimeabrk" year "1985" manufacturer "Bally/Sente" desc "Gimme A Break (7/7/85)" devices ())
(name "gimix" year "1980" manufacturer "Gimix" desc "Gimix 6809 System" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "gincribc" year "1982" manufacturer "Fidelity Electronics" desc "Gin & Cribbage Challenger" devices ())
(name "ginganin" year "1987" manufacturer "Jaleco" desc "Ginga Ninkyouden (set 1)" devices ())
(name "ginganina" year "1987" manufacturer "Jaleco" desc "Ginga Ninkyouden (set 2)" devices ())
(name "ginkun" year "1995" manufacturer "Tecmo" desc "Ganbare Ginkun" devices ())
(name "ginv" year "1980" manufacturer "Gakken" desc "Invader (Gakken, cyan version)" devices ())
(name "ginv1000" year "1981" manufacturer "Gakken" desc "Galaxy Invader 1000" devices ())
(name "ginv2000" year "1982" manufacturer "Gakken" desc "Invader 2000" devices ())
(name "gionbana" year "1989" manufacturer "Nichibutsu" desc "Gionbana (Japan 890120)" devices ())
(name "girotutt" year "2000" manufacturer "High Video" desc "GiroTutto" devices ())
(name "gizmondo" year "2005" manufacturer "Tiger Telematics" desc "Gizmondo" devices ())
(name "gj4000" year "1996" manufacturer "VTech" desc "Genius Junior 4000 (Germany)" devices ())
(name "gj5000" year "1998" manufacturer "VTech" desc "Genius Junior 5000 (Germany)" devices ())
(name "gjackpot" year "1980" manufacturer "Gakken" desc "Jackpot: Gin Rummy & Black Jack" devices ())
(name "gjmovie" year "1993" manufacturer "VTech" desc "Genius Junior Movie (Germany)" devices ())
(name "gjrprofi" year "1995" manufacturer "VTech" desc "Genius Junior Profi (Germany)" devices ())
(name "gjrstar" year "1996" manufacturer "VTech" desc "Genius Junior Redstar (Germany)" devices ())
(name "gjrstar2" year "1996" manufacturer "VTech" desc "Genius Junior Redstar 2 (Germany)" devices ())
(name "gjrstar3" year "1998" manufacturer "VTech" desc "Genius Junior Redstar 3 (Germany)" devices ())
(name "gjspace" year "2001" manufacturer "Namco / Metro" desc "GekiToride-Jong Space (10011 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gjungler" year "1982" manufacturer "Gakken / Konami" desc "Jungler (Gakken)" devices ())
(name "gk2000" year "1992" manufacturer "Saitek" desc "Kasparov GK 2000" devices ())
(name "gk2100" year "1994" manufacturer "Saitek" desc "Kasparov GK 2100" devices ())
(name "gkidabc" year "1996" manufacturer "VTech" desc "Genius KID ABC Fan (Germany)" devices ())
(name "gkigt4" year "2003" manufacturer "IGT" desc "Game King (v4.x)" devices ())
(name "gkigt43" year "2003" manufacturer "IGT" desc "Game King (v4.3)" devices ())
(name "gkigt43n" year "2003" manufacturer "IGT" desc "Game King (v4.3, NJ)" devices ())
(name "gkigt4ms" year "2003" manufacturer "IGT" desc "Game King (v4.x, MS)" devices ())
(name "gkigt5p" year "2003" manufacturer "IGT" desc "Game King (Triple-Five Play)" devices ())
(name "gkigtez" year "2003" manufacturer "IGT" desc "Game King (EZ Pay, v4.0)" devices ())
(name "gkigtezms" year "2003" manufacturer "IGT" desc "Game King (EZ Pay, v4.0, MS)" devices ())
(name "gkkey" year "2003" manufacturer "IGT" desc "Game King (Set Chips)" devices ())
(name "gl2000" year "1993" manufacturer "Video Technology" desc "Genius Leader 2000" devices ((name "cartridge" briefname "cart" )))
(name "gl2000c" year "1994" manufacturer "Video Technology" desc "Genius Leader 2000 Compact" devices ((name "cartridge" briefname "cart" )))
(name "gl2000p" year "1995" manufacturer "Video Technology" desc "Genius Leader 2000 Plus" devices ((name "cartridge" briefname "cart" )))
(name "gl3000s" year "1996" manufacturer "Video Technology" desc "Genius Leader 3000S (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl4000" year "1994" manufacturer "Video Technology" desc "Genius Leader 4000 Quadro (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl4004" year "1996" manufacturer "Video Technology" desc "Genius Leader 4004 Quadro L (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl5000" year "1997" manufacturer "Video Technology" desc "Genius Leader 5000 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl5005x" year "1997" manufacturer "Video Technology" desc "Genius Leader 5005X (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl6000sl" year "1997" manufacturer "VTech" desc "Genius Leader 6000SL (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl6600cx" year "1999" manufacturer "VTech" desc "Genius Leader 6600 CX (Germany)" devices ())
(name "gl7007sl" year "1998" manufacturer "VTech" desc "Genius Leader 7007SL (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gl8008cx" year "1999" manufacturer "VTech" desc "Genius Leader 8008 CX (Germany)" devices ())
(name "gl_coc" year "199?" manufacturer "Global" desc "Carry On Clubbin' (Global) (v3.0) (Stealth)" devices ())
(name "gl_coc29" year "199?" manufacturer "Global" desc "Carry On Clubbin' (Global) (v2.9) (Stealth)" devices ())
(name "gl_coc29p" year "199?" manufacturer "Global" desc "Carry On Clubbin' (Global) (v2.9 Protocol) (Stealth)" devices ())
(name "gl_cocp" year "199?" manufacturer "Global" desc "Carry On Clubbin' (Global) (v3.0 Protocol) (Stealth)" devices ())
(name "gl_dow" year "199?" manufacturer "Global" desc "Deals On Wheels (Global) (v1.4) (Stealth)" devices ())
(name "gl_dowcl" year "199?" manufacturer "Global" desc "Deals On Wheels Club (Global) (v1.6) (Stealth)" devices ())
(name "gl_dowclp" year "199?" manufacturer "Global" desc "Deals On Wheels Club (Global) (v1.6 Protocol) (Stealth)" devices ())
(name "gl_dowp" year "199?" manufacturer "Global" desc "Deals On Wheels (Global) (v1.4 Protocol) (Stealth)" devices ())
(name "gl_grncl" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (Stealth?) (set 1)" devices ())
(name "gl_grncla" year "199?" manufacturer "Global" desc "Grid Runner Club (Global) (Stealth?) (set 2)" devices ())
(name "gl_hbh" year "199?" manufacturer "Global" desc "Heartbreak Hotel (Global) (v1.0) (Stealth)" devices ())
(name "gl_hbhcl" year "199?" manufacturer "Global" desc "Heartbreak Hotel Club (Global) (v1.9) (Stealth)" devices ())
(name "gl_hbhcla" year "199?" manufacturer "Global" desc "Heartbreak Hotel Club (Global) (set 2) (Stealth)" devices ())
(name "gl_hbhclp" year "199?" manufacturer "Global" desc "Heartbreak Hotel Club (Global) (v1.9 Protocol) (Stealth)" devices ())
(name "gl_snbev" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (Stealth?) (set 1)" devices ())
(name "gl_snbeva" year "199?" manufacturer "Global" desc "Saturday Night Beaver (Global) (Stealth?) (set 2)" devices ())
(name "gl_uyr" year "199?" manufacturer "Global" desc "Up Yer Riggin Club (Global) (v2.8) (Stealth)" devices ())
(name "gl_uyrp" year "199?" manufacturer "Global" desc "Up Yer Riggin Club (Global) (v2.8 Protocol) (Stealth)" devices ())
(name "gl_wywh" year "199?" manufacturer "Global" desc "Wish You Were Here Club (Global) (v2.9) (Stealth)" devices ())
(name "gl_wywh24" year "199?" manufacturer "Global" desc "Wish You Were Here Club (Global) (v2.4) (Stealth)" devices ())
(name "gl_wywh24p" year "199?" manufacturer "Global" desc "Wish You Were Here Club (Global) (v2.4 Protocol) (Stealth)" devices ())
(name "gl_wywhp" year "199?" manufacturer "Global" desc "Wish You Were Here Club (Global) (v2.9 Protocol) (Stealth)" devices ())
(name "gladiador" year "2008" manufacturer "Unidesa/Cirsa" desc "Gladiadores (V1.0, CAA)" devices ())
(name "gladiatp" year "1993" manufacturer "Gottlieb" desc "Gladiators (pinball)" devices ())
(name "gladiatr" year "1986" manufacturer "Allumer / Taito America Corporation" desc "Gladiator (US)" devices ())
(name "glasgow" year "1984" manufacturer "Hegener + Glaser" desc "Mephisto III-S Glasgow" devices ())
(name "glass" year "1994" manufacturer "OMK / Gaelco" desc "Glass (Ver 1.1, Break Edition, Checksum 49D5E66B, Version 1994)" devices ())
(name "glass10" year "1993" manufacturer "OMK / Gaelco" desc "Glass (Ver 1.0, Break Edition, Checksum C5513F3C)" devices ())
(name "glass10a" year "1993" manufacturer "OMK / Gaelco" desc "Glass (Ver 1.0, Break Edition, Checksum D3864FDB)" devices ())
(name "glasskr" year "1994" manufacturer "OMK / Gaelco (Promat license)" desc "Glass (Ver 1.1, Break Edition, Checksum D419AB69, Version 1994) (censored, unprotected)" devices ())
(name "glck6809" year "198?" manufacturer "General Instrument?" desc "Good Luck! (dual 6809 GI Australasia PCB)" devices ())
(name "glcolor" year "1994" manufacturer "VTech" desc "Genius Leader Color (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gldarrow" year "1984" manufacturer "Meyco Games, Inc." desc "Golden Arrow (Standard G8-03)" devices ())
(name "gldgong" year "2005" manufacturer "Aristocrat" desc "The Golden Gong (20196011, ASP)" devices ())
(name "gldgongq" year "2005" manufacturer "Aristocrat" desc "The Golden Gong (10217411, Queensland)" devices ())
(name "gldgongu" year "2005" manufacturer "Aristocrat" desc "The Golden Gong (0152558, US)" devices ())
(name "gldncrwn" year "1997" manufacturer "BFM/ELAM" desc "Golden Crown (Dutch, Game Card 95-752-011)" devices ())
(name "gldncrwnhop" year "1997" manufacturer "BFM/ELAM" desc "Golden Crown Hopper (Dutch, Game Card)" devices ())
(name "gldneye" year "1996" manufacturer "Sega" desc "Goldeneye (CPU 4.04, display A4.00)" devices ())
(name "gldneye_402" year "1996" manufacturer "Sega" desc "Goldeneye (CPU 4.02, display A4.00)" devices ())
(name "gldnflc" year "2003" manufacturer "Aristocrat" desc "The Golden Fleece (10158311, NSW/ACT)" devices ())
(name "gldnpkr" year "1986" manufacturer "Ainsworth Nominees P.L." desc "Golden Poker (8VXEC037, New Zealand)" devices ())
(name "glfgreat" year "1991" manufacturer "Konami" desc "Golfing Greats (World, version L)" devices ())
(name "glfgreatj" year "1991" manufacturer "Konami" desc "Golfing Greats (Japan, version J)" devices ())
(name "glfgreatu" year "1991" manufacturer "Konami" desc "Golfing Greats (US, version K)" devices ())
(name "glizrdce" year "2001" manufacturer "Aristocrat" desc "Green Lizard - Cash Express (AHG1623, US)" devices ())
(name "glmcolor" year "1996" manufacturer "VTech" desc "Genius Leader Magic Color (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gln" year "1993" manufacturer "VTech" desc "Genius Leader Notebook" devices ())
(name "gloc" year "1990" manufacturer "Sega" desc "G-LOC Air Battle (World)" devices ())
(name "glocr360" year "1990" manufacturer "Sega" desc "G-LOC R360 (World)" devices ())
(name "glocr360j" year "1990" manufacturer "Sega" desc "G-LOC R360 (Japan)" devices ())
(name "glocu" year "1990" manufacturer "Sega" desc "G-LOC Air Battle (US)" devices ())
(name "glpn" year "1997" manufacturer "Video Technology" desc "Genius Leader Power Notebook (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "glpracr" year "1996" manufacturer "Tecmo" desc "Gallop Racer (English Ver 10.17.K)" devices ())
(name "glpracr2" year "1997" manufacturer "Tecmo" desc "Gallop Racer 2 (Export)" devices ())
(name "glpracr2j" year "1997" manufacturer "Tecmo" desc "Gallop Racer 2 (Japan)" devices ())
(name "glpracr2l" year "1997" manufacturer "Tecmo" desc "Gallop Racer 2 Link HW (Japan)" devices ())
(name "glpracr3" year "1999" manufacturer "Tecmo" desc "Gallop Racer 3 (Export)" devices ())
(name "glpracr3j" year "1999" manufacturer "Tecmo" desc "Gallop Racer 3 (Japan)" devices ())
(name "glpracrj" year "1996" manufacturer "Tecmo" desc "Gallop Racer (Japanese Ver 9.01.12)" devices ())
(name "glregion" year "1998" manufacturer "Konami" desc "Golden Region" devices ())
(name "gls" year "1995" manufacturer "VTech" desc "Genius Leader Select" devices ())
(name "glscolor" year "1994" manufacturer "VTech" desc "Genius Leader Super Color (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gluck2" year "1992" manufacturer "Yung Yu / CYE" desc "Good Luck II" devices ())
(name "glxplay" year "1985" manufacturer "CICPlay" desc "Galaxy Play" devices ())
(name "glxplay2" year "1987" manufacturer "CICPlay" desc "Galaxy Play 2" devices ())
(name "gm1000" year "1994" manufacturer "Suzuki (Hammond license)" desc "GM-1000 GM Sound Module" devices ())
(name "gm235upc" year "200?" manufacturer "TimeTop" desc "Ultimate Pocket Console GM-235" devices ())
(name "gmahou" year "2000" manufacturer "Eighting / Raizing (Capcom license)" desc "Great Mahou Daisakusen (Japan 000121)" devices ())
(name "gmaster" year "1990" manufacturer "Hartung" desc "Game Master" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gmb486sg" year "199?" manufacturer "Gemlight" desc "GMB-486SG v2.2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "gmb486unp" year "199?" manufacturer "Gemlight" desc "GMB-486UNP v2.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "gmfamily" year "200?" manufacturer "bootleg" desc "Games Family" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "gmgalax" year "1981" manufacturer "bootleg" desc "Ghostmuncher Galaxian (bootleg)" devices ())
(name "gmine_l2" year "1987" manufacturer "Williams" desc "Gold Mine (Shuffle) (L-2)" devices ())
(name "gmissile" year "1977" manufacturer "Midway" desc "Guided Missile" devices ())
(name "gmmc" year "199?" manufacturer "VTech" desc "Genius Master Mega Color (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gmsshoot" year "1989" manufacturer "GameMasters" desc "Sharpshooter (coin pusher)" devices ())
(name "gmtt" year "1998" manufacturer "Video Technology" desc "Genius Master Table Top (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gnat10" year "1980" manufacturer "GNAT Computers" desc "GNAT System 10" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "gnbarich" year "2001" manufacturer "Psikyo" desc "Gunbarich" devices ())
(name "gng" year "1985" manufacturer "Capcom" desc "Ghosts'n Goblins (World? set 1)" devices ())
(name "gnga" year "1985" manufacturer "Capcom" desc "Ghosts'n Goblins (World? set 2)" devices ())
(name "gngbl" year "1985" manufacturer "bootleg" desc "Ghosts'n Goblins (bootleg with Cross)" devices ())
(name "gngblita" year "1985" manufacturer "bootleg" desc "Ghosts'n Goblins (Italian bootleg, harder)" devices ())
(name "gngc" year "1985" manufacturer "Capcom" desc "Ghosts'n Goblins (World? set 3)" devices ())
(name "gngprot" year "1985" manufacturer "Capcom" desc "Ghosts'n Goblins (prototype)" devices ())
(name "gngt" year "1985" manufacturer "Capcom (Taito America license)" desc "Ghosts'n Goblins (US)" devices ())
(name "gnome" year "2007" manufacturer "Igrosoft" desc "Gnome (070906 Russia)" devices ())
(name "gnome_10" year "2007" manufacturer "Igrosoft" desc "Gnome (100326 Lottery)" devices ())
(name "gnome_11" year "2007" manufacturer "Igrosoft" desc "Gnome (100326 Entertainment)" devices ())
(name "gnome_12" year "2007" manufacturer "Igrosoft" desc "Gnome (100326 Russia)" devices ())
(name "gnome_13" year "2007" manufacturer "Igrosoft" desc "Gnome (100407 Entertainment X)" devices ())
(name "gnome_14" year "2007" manufacturer "Igrosoft" desc "Gnome (101208 Entertainment N)" devices ())
(name "gnome_15" year "2007" manufacturer "Igrosoft" desc "Gnome (110124 Entertainment A)" devices ())
(name "gnome_16" year "2007" manufacturer "Igrosoft" desc "Gnome (110204 Entertainment A)" devices ())
(name "gnome_17" year "2007" manufacturer "Igrosoft" desc "Gnome (110311 Entertainment B)" devices ())
(name "gnome_18" year "2007" manufacturer "Igrosoft" desc "Gnome (140526 Entertainment B)" devices ())
(name "gnome_19" year "2007" manufacturer "Igrosoft" desc "Gnome (110411 Entertainment C)" devices ())
(name "gnome_2" year "2007" manufacturer "Igrosoft" desc "Gnome (071115 Russia)" devices ())
(name "gnome_2a" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 071115, banking address hack)" devices ())
(name "gnome_3" year "2007" manufacturer "Igrosoft" desc "Gnome (080303 World)" devices ())
(name "gnome_3a" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 080303, banking address hack)" devices ())
(name "gnome_3b" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 080303, banking address hack, payout percentage 45)" devices ())
(name "gnome_3c" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 080303, banking address hack, payout percentage 60)" devices ())
(name "gnome_4" year "2007" manufacturer "Igrosoft" desc "Gnome (090402 Russia)" devices ())
(name "gnome_5" year "2007" manufacturer "Igrosoft" desc "Gnome (090406 World)" devices ())
(name "gnome_5a" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 090406, banking address hack, payout percentage 70)" devices ())
(name "gnome_5b" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 090406, LOTTOGAME (I))" devices ())
(name "gnome_7" year "2007" manufacturer "Igrosoft" desc "Gnome (090708 Lottery)" devices ())
(name "gnome_8" year "2007" manufacturer "Igrosoft" desc "Gnome (090810 Entertainment)" devices ())
(name "gnome_9" year "2007" manufacturer "Igrosoft" desc "Gnome (100326 World)" devices ())
(name "gnomea" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 070906, banking address hack set 1)" devices ())
(name "gnomeatw" year "1998" manufacturer "Aristocrat" desc "Gnome Around The World (0100767V, NSW/ACT)" devices ())
(name "gnomeb" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 070906, banking address hack set 2)" devices ())
(name "gnomec" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 070906, banking address hack set 3)" devices ())
(name "gnomed" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 070906, VIDEO GAME-1 GN01)" devices ())
(name "gnomee" year "2007" manufacturer "bootleg" desc "Gnome (bootleg, 070906, LOTOS GN01)" devices ())
(name "gnr_200" year "1994" manufacturer "Data East" desc "Guns N Roses (USA 2.00, display A3.00)" devices ())
(name "gnr_300" year "1994" manufacturer "Data East" desc "Guns N Roses (USA 3.00, display A3.00)" devices ())
(name "gnr_300d" year "1994" manufacturer "Data East" desc "Guns N Roses (Dutch 3.00, display A3.00)" devices ())
(name "gnr_300f" year "1994" manufacturer "Data East" desc "Guns N Roses (French 3.00, display F3.00)" devices ())
(name "gnw_ball" year "1980" manufacturer "Nintendo" desc "Game & Watch: Ball" devices ())
(name "gnw_bfight" year "1986" manufacturer "Nintendo" desc "Game & Watch: Balloon Fight (Crystal Screen)" devices ())
(name "gnw_bfightn" year "1988" manufacturer "Nintendo" desc "Game & Watch: Balloon Fight (New Wide Screen)" devices ())
(name "gnw_bjack" year "1985" manufacturer "Nintendo" desc "Game & Watch: Black Jack" devices ())
(name "gnw_boxing" year "1984" manufacturer "Nintendo" desc "Micro Vs. System: Boxing" devices ())
(name "gnw_bsweep" year "1987" manufacturer "Nintendo" desc "Game & Watch: Bomb Sweeper" devices ())
(name "gnw_cgrab" year "1984" manufacturer "Nintendo" desc "Game & Watch: Crab Grab" devices ())
(name "gnw_chef" year "1981" manufacturer "Nintendo" desc "Game & Watch: Chef" devices ())
(name "gnw_climber" year "1986" manufacturer "Nintendo" desc "Game & Watch: Climber (Crystal Screen)" devices ())
(name "gnw_climbern" year "1988" manufacturer "Nintendo" desc "Game & Watch: Climber (New Wide Screen)" devices ())
(name "gnw_dkcirc" year "1984" manufacturer "Nintendo" desc "Game & Watch: Donkey Kong Circus" devices ())
(name "gnw_dkhockey" year "1984" manufacturer "Nintendo" desc "Micro Vs. System: Donkey Kong Hockey" devices ())
(name "gnw_dkjr" year "1982" manufacturer "Nintendo" desc "Game & Watch: Donkey Kong Jr. (New Wide Screen)" devices ())
(name "gnw_dkjrp" year "1983" manufacturer "Nintendo" desc "Game & Watch: Donkey Kong Jr. (Panorama Screen)" devices ())
(name "gnw_dkong" year "1982" manufacturer "Nintendo" desc "Game & Watch: Donkey Kong" devices ())
(name "gnw_dkong2" year "1983" manufacturer "Nintendo" desc "Game & Watch: Donkey Kong II" devices ())
(name "gnw_dkong3" year "1984" manufacturer "Nintendo" desc "Micro Vs. System: Donkey Kong 3" devices ())
(name "gnw_egg" year "1981" manufacturer "Nintendo" desc "Game & Watch: Egg" devices ())
(name "gnw_fire" year "1981" manufacturer "Nintendo" desc "Game & Watch: Fire (Wide Screen)" devices ())
(name "gnw_fireatk" year "1982" manufacturer "Nintendo" desc "Game & Watch: Fire Attack" devices ())
(name "gnw_fires" year "1980" manufacturer "Nintendo" desc "Game & Watch: Fire (Silver)" devices ())
(name "gnw_flagman" year "1980" manufacturer "Nintendo" desc "Game & Watch: Flagman" devices ())
(name "gnw_gcliff" year "1988" manufacturer "Nintendo" desc "Game & Watch: Gold Cliff" devices ())
(name "gnw_ghouse" year "1982" manufacturer "Nintendo" desc "Game & Watch: Green House" devices ())
(name "gnw_helmet" year "1981" manufacturer "Nintendo" desc "Game & Watch: Helmet (version CN-17)" devices ())
(name "gnw_helmeto" year "1981" manufacturer "Nintendo" desc "Game & Watch: Helmet (version CN-07)" devices ())
(name "gnw_judge" year "1980" manufacturer "Nintendo" desc "Game & Watch: Judge (purple version)" devices ())
(name "gnw_judgeo" year "1980" manufacturer "Nintendo" desc "Game & Watch: Judge (green version)" devices ())
(name "gnw_lboat" year "1983" manufacturer "Nintendo" desc "Game & Watch: Life Boat" devices ())
(name "gnw_lion" year "1981" manufacturer "Nintendo" desc "Game & Watch: Lion" devices ())
(name "gnw_manhole" year "1983" manufacturer "Nintendo" desc "Game & Watch: Manhole (New Wide Screen)" devices ())
(name "gnw_manholeg" year "1981" manufacturer "Nintendo" desc "Game & Watch: Manhole (Gold)" devices ())
(name "gnw_mario" year "1983" manufacturer "Nintendo" desc "Game & Watch: Mario Bros." devices ())
(name "gnw_mariocm" year "1983" manufacturer "Nintendo" desc "Game & Watch: Mario's Cement Factory (New Wide Screen)" devices ())
(name "gnw_mariocmt" year "1983" manufacturer "Nintendo" desc "Game & Watch: Mario's Cement Factory (Table Top, version CM-72)" devices ())
(name "gnw_mariocmta" year "1983" manufacturer "Nintendo" desc "Game & Watch: Mario's Cement Factory (Table Top, version CM-72A)" devices ())
(name "gnw_mariotj" year "1991" manufacturer "Nintendo" desc "Game & Watch: Mario The Juggler" devices ())
(name "gnw_mbaway" year "1983" manufacturer "Nintendo" desc "Game & Watch: Mario's Bombs Away" devices ())
(name "gnw_mickdon" year "1982" manufacturer "Nintendo" desc "Game & Watch: Mickey & Donald" devices ())
(name "gnw_mmouse" year "1981" manufacturer "Nintendo" desc "Game & Watch: Mickey Mouse (Wide Screen)" devices ())
(name "gnw_mmousep" year "1984" manufacturer "Nintendo" desc "Game & Watch: Mickey Mouse (Panorama Screen)" devices ())
(name "gnw_octopus" year "1981" manufacturer "Nintendo" desc "Game & Watch: Octopus" devices ())
(name "gnw_opanic" year "1982" manufacturer "Nintendo" desc "Game & Watch: Oil Panic" devices ())
(name "gnw_pchute" year "1981" manufacturer "Nintendo" desc "Game & Watch: Parachute" devices ())
(name "gnw_pinball" year "1983" manufacturer "Nintendo" desc "Game & Watch: Pinball" devices ())
(name "gnw_popeye" year "1981" manufacturer "Nintendo" desc "Game & Watch: Popeye (Wide Screen)" devices ())
(name "gnw_popeyep" year "1983" manufacturer "Nintendo" desc "Game & Watch: Popeye (Panorama Screen)" devices ())
(name "gnw_rshower" year "1983" manufacturer "Nintendo" desc "Game & Watch: Rain Shower" devices ())
(name "gnw_sbuster" year "1988" manufacturer "Nintendo" desc "Game & Watch: Safe Buster" devices ())
(name "gnw_smb" year "1986" manufacturer "Nintendo" desc "Game & Watch: Super Mario Bros. (Crystal Screen)" devices ())
(name "gnw_smbn" year "1988" manufacturer "Nintendo" desc "Game & Watch: Super Mario Bros. (New Wide Screen)" devices ())
(name "gnw_snoopyp" year "1983" manufacturer "Nintendo" desc "Game & Watch: Snoopy (Panorama Screen)" devices ())
(name "gnw_squish" year "1986" manufacturer "Nintendo" desc "Game & Watch: Squish" devices ())
(name "gnw_ssparky" year "1984" manufacturer "Nintendo" desc "Game & Watch: Spitball Sparky" devices ())
(name "gnw_stennis" year "1982" manufacturer "Nintendo" desc "Game & Watch: Snoopy Tennis" devices ())
(name "gnw_tbridge" year "1982" manufacturer "Nintendo" desc "Game & Watch: Turtle Bridge" devices ())
(name "gnw_tfish" year "1985" manufacturer "Nintendo" desc "Game & Watch: Tropical Fish" devices ())
(name "gnw_vermin" year "1980" manufacturer "Nintendo" desc "Game & Watch: Vermin" devices ())
(name "gnw_zelda" year "1989" manufacturer "Nintendo" desc "Game & Watch: Zelda" devices ())
(name "go2000" year "2000" manufacturer "SunA" desc "Go 2000" devices ())
(name "goal92" year "1992" manufacturer "bootleg" desc "Goal! '92" devices ())
(name "goaltogo" year "1983" manufacturer "Stern Electronics" desc "Goal To Go" devices ())
(name "goalx3" year "1995" manufacturer "Visco" desc "Goal! Goal! Goal!" devices ((name "memcard" briefname "memc" ) ()))
(name "goape" year "2001" manufacturer "Aristocrat" desc "Go Ape (10006211, NSW/ACT)" devices ())
(name "gobyrc" year "1999" manufacturer "Taito" desc "Go By RC (V2.03O 1999/05/25 13:31)" devices ((name "harddisk" briefname "hard" )))
(name "gocowboy" year "2003" manufacturer "Sammy" desc "Go Go Cowboy (English, prize)" devices ())
(name "godzilla" year "1993" manufacturer "Banpresto" desc "Godzilla (Japan)" devices ())
(name "godzillp" year "1998" manufacturer "Sega" desc "Godzilla (pinball, CPU 2.05, display A2.00)" devices ())
(name "godzillp_090" year "1998" manufacturer "Sega" desc "Godzilla (pinball, CPU 0.90, display A0.991)" devices ())
(name "godzillp_100" year "1998" manufacturer "Sega" desc "Godzilla (pinball, CPU 1.00, display A1.00)" devices ())
(name "gogold" year "1988" manufacturer "Taito Corporation" desc "Go For The Gold (Japan)" devices ())
(name "gogomile" year "1995" manufacturer "Fuuki" desc "Susume! Mile Smile / Go Go! Mile Smile (newer)" devices ())
(name "gogomileo" year "1995" manufacturer "Fuuki" desc "Susume! Mile Smile / Go Go! Mile Smile (older)" devices ())
(name "gogostrk" year "2007?" manufacturer "American Alpha / Paokai" desc "Go Go Strike" devices ((name "harddisk" briefname "hard" )))
(name "gogreen" year "2001" manufacturer "Aristocrat" desc "Go For Green (10003411, NSW/ACT)" devices ())
(name "gogreena" year "2001" manufacturer "Aristocrat" desc "Go For Green (10122111, ASP)" devices ())
(name "goindol" year "1987" manufacturer "SunA" desc "Goindol (SunA, World)" devices ())
(name "goindolj" year "1987" manufacturer "SunA" desc "Goindol (SunA, Japan)" devices ())
(name "goindolu" year "1987" manufacturer "SunA" desc "Goindol (SunA, US)" devices ())
(name "goinnuts" year "1983" manufacturer "Gottlieb" desc "Goin' Nuts" devices ())
(name "goketsuj" year "2009" manufacturer "Atlus" desc "Gouketsuji Ichizoku: Senzo Kuyou (v200906230)" devices ())
(name "gokuparo" year "1994" manufacturer "Konami" desc "Gokujou Parodius: Kako no Eikou o Motomete (ver JAD)" devices ())
(name "goldarch" year "2005" manufacturer "Aristocrat" desc "Golden Archer (10197411, NSW/ACT)" devices ())
(name "goldart" year "1994" manufacturer "Covielsa / Gaelco" desc "Goldart (Spain)" devices ())
(name "goldartp" year "1994" manufacturer "Covielsa / Gaelco" desc "Goldart (Portugal)" devices ())
(name "goldball" year "1983" manufacturer "Bally" desc "Gold Ball (set 1)" devices ())
(name "goldballn" year "1983" manufacturer "Bally" desc "Gold Ball (Field Service Upgrade)" devices ())
(name "goldbug" year "1982" manufacturer "Century Electronics" desc "Gold Bug" devices ())
(name "goldcity" year "2002" manufacturer "Atronic" desc "Gold City (Russia) (Atronic)" devices ())
(name "goldcue" year "1998" manufacturer "Sega" desc "Golden Cue (CPU 0.04, display 0.10" devices ())
(name "goldenc" year "1996" manufacturer "Aristocrat" desc "Golden Canaries (1VXFC5462, New Zealand)" devices ())
(name "goldenchip" year "19??" manufacturer "SegaSA / Sonic" desc "Golden Chip" devices ())
(name "goldenra" year "2001" manufacturer "Aristocrat" desc "Golden Ra (0101164V, NSW/ACT)" devices ())
(name "goldfish" year "2002" manufacturer "Igrosoft" desc "Gold Fish (020903, prototype)" devices ())
(name "goldfrts" year "198?" manufacturer "Video Game" desc "Golden Fruits" devices ())
(name "goldfrui" year "199?" manufacturer "bootleg" desc "Gold Fruit" devices ())
(name "goldgame" year "19??" manufacturer "Splin" desc "Golden Game (Bingo)" devices ())
(name "goldgkit1" year "19??" manufacturer "Splin" desc "Golden Game Kit 1 Generation (Bingo)" devices ())
(name "goldgkitb" year "19??" manufacturer "Splin" desc "Golden Game Kit Bingo Stake 6/10 (Bingo)" devices ())
(name "goldglen" year "2002" manufacturer "Atronic" desc "Golden Glenn (Russia) (Atronic)" devices ())
(name "goldgnew" year "19??" manufacturer "Splin" desc "Golden Game Bingo New (Bingo)" devices ())
(name "goldgstake" year "19??" manufacturer "Splin" desc "Golden Game Bingo Stake 6/10 (Bingo)" devices ())
(name "goldinc" year "2004" manufacturer "Aristocrat" desc "Golden Incas (10174011, NSW/ACT, Show Program)" devices ())
(name "goldincu" year "2005" manufacturer "Aristocrat" desc "Golden Incas (0252533, US)" devices ())
(name "goldmedl" year "1988" manufacturer "SNK" desc "Gold Medalist (set 1, Alpha68k II PCB)" devices ())
(name "goldmedla" year "1988" manufacturer "SNK" desc "Gold Medalist (set 2, Alpha68k III PCB)" devices ())
(name "goldmedlb" year "1988" manufacturer "bootleg" desc "Gold Medalist (bootleg, Alpha68k III PCB)" devices ())
(name "goldnaxe" year "1989" manufacturer "Sega" desc "Golden Axe (set 6, US) (8751 317-123A)" devices ())
(name "goldnaxe1" year "1989" manufacturer "Sega" desc "Golden Axe (set 1, World) (FD1094 317-0110)" devices ())
(name "goldnaxe1d" year "1989" manufacturer "bootleg" desc "Golden Axe (set 1, World) (bootleg of FD1094 317-0110 set)" devices ())
(name "goldnaxe2" year "1989" manufacturer "Sega" desc "Golden Axe (set 2, US) (8751 317-0112)" devices ())
(name "goldnaxe3" year "1989" manufacturer "Sega" desc "Golden Axe (set 3, World) (FD1094 317-0120)" devices ())
(name "goldnaxe3d" year "1989" manufacturer "bootleg" desc "Golden Axe (set 3, World) (bootleg of FD1094 317-0120 set)" devices ())
(name "goldnaxeb1" year "1989" manufacturer "bootleg" desc "Golden Axe (encrypted bootleg)" devices ())
(name "goldnaxeb2" year "1989" manufacturer "bootleg" desc "Golden Axe (bootleg)" devices ())
(name "goldnaxej" year "1989" manufacturer "Sega" desc "Golden Axe (set 4, Japan) (FD1094 317-0121)" devices ())
(name "goldnaxejd" year "1989" manufacturer "bootleg" desc "Golden Axe (set 4, Japan) (bootleg of FD1094 317-0121 set)" devices ())
(name "goldnaxeu" year "1989" manufacturer "Sega" desc "Golden Axe (set 5, US) (FD1094 317-0122)" devices ())
(name "goldnaxeud" year "1989" manufacturer "bootleg" desc "Golden Axe (set 5, US) (bootleg of FD1094 317-0122 set)" devices ())
(name "goldnjkr" year "1996" manufacturer "Webak Elektronik" desc "Golden Joker (Ver 16.06UNG-25, set 1)" devices ())
(name "goldnjkra" year "1996" manufacturer "Webak Elektronik" desc "Golden Joker (Ver 16.06UNG-25, set 2)" devices ())
(name "goldnpkb" year "1981" manufacturer "Bonanza Enterprises, Ltd" desc "Golden Poker Double Up (Mini Boy)" devices ())
(name "goldnpkc" year "198?" manufacturer "bootleg" desc "Golden Poker Double Up (bootleg, set 1)" devices ())
(name "goldnpkd" year "198?" manufacturer "bootleg" desc "Golden Poker Double Up (bootleg, set 2)" devices ())
(name "goldnpke" year "1983" manufacturer "Intercoast (bootleg)" desc "Golden Poker Double Up (bootleg, set 3)" devices ())
(name "goldnpkf" year "1983" manufacturer "Intercoast (bootleg)" desc "Golden Poker Double Up (bootleg, set 4)" devices ())
(name "goldnpkr" year "1981" manufacturer "Bonanza Enterprises, Ltd" desc "Golden Poker Double Up (Big Boy)" devices ())
(name "goldpya6" year "2004" manufacturer "Aristocrat" desc "Golden Pyramids (10196511, ASP)" devices ())
(name "goldpym" year "2002" manufacturer "Aristocrat" desc "Golden Pyramids Special Edition - Maximillions (10130811, NSW/ACT)" devices ())
(name "goldpyr" year "1997" manufacturer "Aristocrat" desc "Golden Pyramids (AHG1205-03, US)" devices ())
(name "goldpyra" year "1997" manufacturer "Aristocrat" desc "Golden Pyramids (AHG1206-99, US)" devices ())
(name "goldpyrb" year "1998" manufacturer "Aristocrat" desc "Golden Pyramids (0100878V, ASP)" devices ())
(name "goldsam" year "2007" manufacturer "Aristocrat" desc "Golden Samurai (10247811, NSW/ACT)" devices ())
(name "goldstar" year "199?" manufacturer "IGS" desc "Golden Star" devices ())
(name "goldstbl" year "199?" manufacturer "IGS" desc "Golden Star (Blue version)" devices ())
(name "goldwing" year "1986" manufacturer "Gottlieb" desc "Gold Wings" devices ())
(name "goldwingf" year "1986" manufacturer "Gottlieb" desc "Gold Wings (French)" devices ())
(name "goldwingg" year "1986" manufacturer "Gottlieb" desc "Gold Wings (German)" devices ())
(name "golgo13" year "1999" manufacturer "Eighting / Raizing / Namco" desc "Golgo 13 (Japan, GLG1/VER.A)" devices ())
(name "gollygho" year "1990" manufacturer "Namco" desc "Golly! Ghost!" devices ())
(name "gomoku" year "1981" manufacturer "Nichibutsu" desc "Gomoku Narabe Renju" devices ())
(name "gondo" year "1987" manufacturer "Data East Corporation" desc "Gondomania (World)" devices ())
(name "gondou" year "1987" manufacturer "Data East USA" desc "Gondomania (US)" devices ())
(name "gonefsh2" year "200?" manufacturer "IGS" desc "Gone Fishing 2" devices ())
(name "good" year "1998" manufacturer "<unknown>" desc "Good (Korea)" devices ())
(name "goodejan" year "1991" manufacturer "Seibu Kaihatsu (Tecmo license)" desc "Good E Jong -Kachinuki Mahjong Syoukin Oh!!- (set 1)" devices ())
(name "goodejana" year "1991" manufacturer "Seibu Kaihatsu (Tecmo license)" desc "Good E Jong -Kachinuki Mahjong Syoukin Oh!!- (set 2)" devices ())
(name "goodluck" year "1991" manufacturer "<unknown>" desc "Good Luck" devices ())
(name "goonies" year "1986" manufacturer "Konami" desc "Vs. The Goonies (set E)" devices ())
(name "goori" year "1999" manufacturer "Unico" desc "Goori Goori" devices ())
(name "gorf" year "1981" manufacturer "Dave Nutting Associates / Midway" desc "Gorf" devices ())
(name "gorfirec" year "1981" manufacturer "Dave Nutting Associates / Midway (Irecsa license)" desc "Gorf (Spain, Irecsa license)" devices ())
(name "gorfpgm1" year "1981" manufacturer "Dave Nutting Associates / Midway" desc "Gorf (program 1)" devices ())
(name "gorfpgm1f" year "1981" manufacturer "Dave Nutting Associates / Midway" desc "Gorf (program 1, with French language ROM)" devices ())
(name "gorfpgm1g" year "1981" manufacturer "Dave Nutting Associates / Midway" desc "Gorf (program 1, with German language ROM)" devices ())
(name "gork" year "1982" manufacturer "Taito do Brasil" desc "Gork" devices ())
(name "gorkans" year "1983" manufacturer "Techstar" desc "Gorkans" devices ())
(name "gormiti" year "2013" manufacturer "Giochi Preziosi" desc "Gormiti Game Arena (Spain)" devices ())
(name "gorodki" year "198?" manufacturer "Terminal" desc "Gorodki" devices ())
(name "gostop" year "2001" manufacturer "Visco" desc "Kankoku Hanafuda Go-Stop" devices ())
(name "gostopac" year "2004" manufacturer "Astro Corp." desc "Go & Stop" devices ())
(name "gotcha" year "1997" manufacturer "Dongsung / Para" desc "Got-cha Mini Game Festival" devices ())
(name "gotya" year "1981" manufacturer "T.I.C. (Game-A-Tron license)" desc "Got-Ya (12/24/1981)" devices ())
(name "goupilg1" year "1979" manufacturer "SMT" desc "Goupil G1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "goupilg2" year "1981" manufacturer "SMT" desc "Goupil G2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "gowcaizr" year "1995" manufacturer "Technos Japan" desc "Voltage Fighter - Gowcaizer / Choujin Gakuen Gowcaizer" devices ((name "memcard" briefname "memc" ) ()))
(name "gp2quiz" year "1993" manufacturer "Kaneko" desc "Gals Panic II - Quiz Version" devices ())
(name "gp2se" year "1994" manufacturer "Kaneko" desc "Gals Panic II' - Special Edition (Japan)" devices ())
(name "gp2x" year "2005" manufacturer "Game Park Holdings" desc "GP2X" devices ())
(name "gp32" year "2001" manufacturer "Game Park Holdings" desc "GP32" devices ((name "memcard" briefname "memc" )))
(name "gp98" year "1998" manufacturer "Romtec Co. Ltd" desc "Grand Prix '98 (V100K, set 1)" devices ())
(name "gp98a" year "1998" manufacturer "Romtec Co. Ltd" desc "Grand Prix '98 (V100K, set 2)" devices ())
(name "gpgolf" year "1992" manufacturer "Strata / Incredible Technologies" desc "Golden Par Golf (Joystick, V1.1)" devices ())
(name "gpgolfa" year "1991" manufacturer "Strata / Incredible Technologies" desc "Golden Par Golf (Joystick, V1.0)" devices ())
(name "gpilots" year "1991" manufacturer "SNK" desc "Ghost Pilots (NGM-020 ~ NGH-020)" devices ((name "memcard" briefname "memc" ) ()))
(name "gpilotsh" year "1991" manufacturer "SNK" desc "Ghost Pilots (NGH-020, US)" devices ((name "memcard" briefname "memc" ) ()))
(name "gpilotsp" year "1991" manufacturer "SNK" desc "Ghost Pilots (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "gpoker" year "1979" manufacturer "Gakken" desc "Poker (Gakken, 1979 version)" devices ())
(name "gprider" year "1990" manufacturer "Sega" desc "GP Rider (World, FD1094 317-0163) (Twin setup)" devices ())
(name "gpriderj" year "1990" manufacturer "Sega" desc "GP Rider (Japan, FD1094 317-0161) (Twin setup)" devices ())
(name "gpriderjs" year "1990" manufacturer "Sega" desc "GP Rider (Japan, FD1094 317-0161)" devices ())
(name "gpriders" year "1990" manufacturer "Sega" desc "GP Rider (World, FD1094 317-0163)" devices ())
(name "gprideru" year "1990" manufacturer "Sega" desc "GP Rider (US, FD1094 317-0162) (Twin setup)" devices ())
(name "gpriderus" year "1990" manufacturer "Sega" desc "GP Rider (US, FD1094 317-0162)" devices ())
(name "gprix" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.50, display A4.00)" devices ())
(name "gprix_301" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.01, display A3.01)" devices ())
(name "gprix_340" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.40, display A3.03)" devices ())
(name "gprix_350" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.50, display A3.03)" devices ())
(name "gprix_352" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.52, display A3.03)" devices ())
(name "gprix_400" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.00, display A4.00)" devices ())
(name "gprixf" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.50, display F4.00, France)" devices ())
(name "gprixf_301" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.01, display F3.01, France)" devices ())
(name "gprixf_340" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.40, display F3.03, France)" devices ())
(name "gprixf_350" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.50, display F3.03, France)" devices ())
(name "gprixf_352" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.52, display F3.03, France)" devices ())
(name "gprixf_400" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.00, display F4.00, France)" devices ())
(name "gprixg" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.50, display G4.00, Germany)" devices ())
(name "gprixg_301" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.01, display G3.01, Germany)" devices ())
(name "gprixg_340" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.40, display G3.03, Germany)" devices ())
(name "gprixg_350" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.50, display G3.03, Germany)" devices ())
(name "gprixg_352" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.52, display G3.03, Germany)" devices ())
(name "gprixg_400" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.00, display G4.00, Germany)" devices ())
(name "gprixi" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.50, display I4.00, Italy)" devices ())
(name "gprixi_301" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.01, display I3.01, Italy)" devices ())
(name "gprixi_340" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.40, display I3.03, Italy)" devices ())
(name "gprixi_350" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.50, display I3.03, Italy)" devices ())
(name "gprixi_352" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.52, display I3.03, Italy)" devices ())
(name "gprixi_400" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.00, display I4.00, Italy)" devices ())
(name "gprixl" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.50, display L4.00, Spain)" devices ())
(name "gprixl_301" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.01, display L3.01, Spain)" devices ())
(name "gprixl_340" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.40, display L3.03, Spain)" devices ())
(name "gprixl_350" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.50, display L3.03, Spain)" devices ())
(name "gprixl_352" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 3.52, display L3.03, Spain)" devices ())
(name "gprixl_400" year "2005" manufacturer "Stern" desc "Grand Prix (CPU 4.00, display L4.00, Spain)" devices ())
(name "gprnrs1" year "200?" manufacturer "<unknown>" desc "Game Prince RS-1" devices ())
(name "gprnrs16" year "200?" manufacturer "<unknown>" desc "Game Prince RS-16" devices ())
(name "gpworld" year "1984" manufacturer "Sega" desc "GP World" devices ())
(name "gr700" year "1984" manufacturer "Roland" desc "GR-700 Guitar Synthesizer" devices ((name "cartridge" briefname "cart" )))
(name "gradius" year "1985" manufacturer "Konami" desc "Gradius (Japan, ROM version)" devices ())
(name "gradius2" year "1988" manufacturer "Konami" desc "Gradius II - GOFER no Yabou (Japan New Ver.)" devices ())
(name "gradius2a" year "1988" manufacturer "Konami" desc "Gradius II - GOFER no Yabou (Japan Old Ver.)" devices ())
(name "gradius2b" year "1988" manufacturer "Konami" desc "Gradius II - GOFER no Yabou (Japan Older Ver.)" devices ())
(name "gradius3" year "1989" manufacturer "Konami" desc "Gradius III (World, program code R)" devices ())
(name "gradius3a" year "1989" manufacturer "Konami" desc "Gradius III (Asia)" devices ())
(name "gradius3j" year "1989" manufacturer "Konami" desc "Gradius III (Japan, program code S)" devices ())
(name "gradius3js" year "1989" manufacturer "Konami" desc "Gradius III (Japan, program code S, split)" devices ())
(name "gradius4" year "1998" manufacturer "Konami" desc "Gradius IV: Fukkatsu (ver JAC)" devices ())
(name "gradius4a" year "1998" manufacturer "Konami" desc "Gradius IV (ver AAC)" devices ())
(name "gradius4aa" year "1998" manufacturer "Konami" desc "Gradius IV (ver AAA)" devices ())
(name "gradius4ja" year "1998" manufacturer "Konami" desc "Gradius IV: Fukkatsu (ver JAA)" devices ())
(name "gradius4u" year "1998" manufacturer "Konami" desc "Gradius IV (ver UAC)" devices ())
(name "gradius4ua" year "1998" manufacturer "Konami" desc "Gradius IV (ver UAA)" devices ())
(name "gradiusb" year "1985" manufacturer "Konami" desc "Gradius (Bubble System)" devices ())
(name "grainbow" year "1993" manufacturer "Banpresto" desc "SD Gundam Sangokushi Rainbow Tairiku Senki (Japan)" devices ())
(name "grainbowk" year "1993" manufacturer "Banpresto" desc "SD Gundam Sangokushi Rainbow Tairiku Senki (Korea)" devices ())
(name "grally" year "1984" manufacturer "bootleg (Niemer)" desc "Gran Rally (Spanish bootleg of Pole Position II)" devices ())
(name "gram2000" year "2000" manufacturer "Sega" desc "Giant Gram 2000" devices ())
(name "grancan" year "2003" manufacturer "Extrema" desc "Grand Canyon (Ukraine, V. 43.09)" devices ())
(name "grancana" year "2003" manufacturer "Extrema" desc "Grand Canyon (Ukraine, V. 43.05)" devices ())
(name "grancanb" year "2003" manufacturer "Extrema" desc "Grand Canyon (Ukraine, V. 42.13)" devices ())
(name "grancanc" year "2003" manufacturer "Extrema" desc "Grand Canyon (Ukraine, V. 42.06)" devices ())
(name "grancapi" year "2000" manufacturer "High Video" desc "Gran Capitan (Version 3)" devices ())
(name "grand8" year "1980" manufacturer "Christian Tabart" desc "Le Grand 8" devices ())
(name "grand_l1" year "1986" manufacturer "Williams" desc "Grand Lizard (L-1)" devices ())
(name "grand_l3" year "1986" manufacturer "Williams" desc "Grand Lizard (L-3)" devices ())
(name "grand_l4" year "1986" manufacturer "Williams" desc "Grand Lizard (L-4)" devices ())
(name "grandprx" year "200?" manufacturer "4fun" desc "Grand Prix" devices ())
(name "granfrat" year "200?" manufacturer "<unknown>" desc "Grande Fratello (Ver. 1.7)" devices ())
(name "granits" year "1986" manufacturer "hack (Remote Control Systems)" desc "Granit S" devices ())
(name "granny" year "1984" manufacturer "Bally" desc "Granny and the Gators" devices ())
(name "granslam" year "1983" manufacturer "Bally" desc "Grand Slam" devices ())
(name "granslam4" year "1983" manufacturer "Bally" desc "Grand Slam (4 Players)" devices ())
(name "grasspin" year "1983" manufacturer "Zilec Electronics / Jaleco" desc "Grasspin" devices ())
(name "gratia" year "1996" manufacturer "Jaleco" desc "Gratia - Second Earth (ver 1.0, 92047-01 version)" devices ())
(name "gratiaa" year "1996" manufacturer "Jaleco" desc "Gratia - Second Earth (ver 1.0, 91022-10 version)" devices ())
(name "gratispk" year "199?" manufacturer "Mega Soft" desc "Gratis Poker (V.204, set 1)" devices ())
(name "gratispka" year "199?" manufacturer "Mega Soft" desc "Gratis Poker (V.204, set 2)" devices ())
(name "gravitar" year "1982" manufacturer "Atari" desc "Gravitar (version 3)" devices ())
(name "gravitar1" year "1982" manufacturer "Atari" desc "Gravitar (version 1)" devices ())
(name "gravitar2" year "1982" manufacturer "Atari" desc "Gravitar (version 2)" devices ())
(name "gravity" year "1980" manufacturer "Mattel Electronics" desc "Gravity (Mattel)" devices ())
(name "grchamp" year "1981" manufacturer "Taito" desc "Grand Champion (set 1)" devices ())
(name "grchampa" year "1981" manufacturer "Taito" desc "Grand Champion (set 2)" devices ())
(name "grchampb" year "1981" manufacturer "Taito" desc "Grand Champion (set 3)" devices ())
(name "grdforce" year "1998" manufacturer "Success" desc "Guardian Force (JUET 980318 V0.105)" devices ())
(name "grdian" year "1986" manufacturer "Toaplan / Taito America Corporation (Kitkorp license)" desc "Guardian (US)" devices ())
(name "grdians" year "1995" manufacturer "Winkysoft (Banpresto license)" desc "Guardians / Denjin Makai II (P-FG01-1 PCB)" devices ())
(name "grdiansa" year "1995" manufacturer "Winkysoft (Banpresto license)" desc "Guardians / Denjin Makai II (P0-113A PCB)" devices ())
(name "grdiansbl" year "1998" manufacturer "bootleg (Intac Japan)" desc "Guardians / Denjin Makai II (bootleg)" devices ())
(name "grdnstrm" year "1998" manufacturer "Afega (Apples Industries license)" desc "Guardian Storm (horizontal, not encrypted)" devices ())
(name "grdnstrmau" year "1998" manufacturer "Afega" desc "Guardian Storm (horizontal, Australia)" devices ())
(name "grdnstrmg" year "1998" manufacturer "Afega" desc "Guardian Storm (Germany)" devices ())
(name "grdnstrmj" year "1998" manufacturer "Afega" desc "Sen Jing - Guardian Storm (Japan)" devices ())
(name "grdnstrmk" year "1998" manufacturer "Afega" desc "Jeon Sin - Guardian Storm (Korea)" devices ())
(name "grdnstrmv" year "1998" manufacturer "Afega (Apples Industries license)" desc "Guardian Storm (vertical)" devices ())
(name "greatgun" year "1983" manufacturer "Stern Electronics" desc "Great Guns" devices ())
(name "greatgur" year "1986" manufacturer "Allumer / Taito Corporation" desc "Great Gurianos (bootleg?)" devices ())
(name "greenber" year "1980" manufacturer "Irem" desc "Green Beret (Irem)" devices ())
(name "grescue" year "1979" manufacturer "Taito (Universal license?)" desc "Galaxy Rescue" devices ())
(name "grfd2301" year "198?" manufacturer "Genrad" desc "Futuredata 2301 Network Processor" devices ())
(name "grgar_l1" year "1979" manufacturer "Williams" desc "Gorgar (L-1)" devices ())
(name "grgar_t1" year "1979" manufacturer "Williams" desc "Gorgar (T-1)" devices ())
(name "grid1101" year "1982" manufacturer "GRiD Computers" desc "Compass 1101" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "grid1109" year "1982" manufacturer "GRiD Computers" desc "Compass 1109" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "grid1121" year "1984" manufacturer "GRiD Computers" desc "Compass II 1121" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "grid1129" year "1984" manufacturer "GRiD Computers" desc "Compass II 1129" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "grid1131" year "1984" manufacturer "GRiD Computers" desc "Compass II 1131" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "grid1139" year "1984" manufacturer "GRiD Computers" desc "Compass II 1139" devices ((name "bubble" briefname "mbm" mandatory t)))
(name "gridiron" year "1985" manufacturer "Tehkan" desc "Gridiron Fight" devices ())
(name "gridlee" year "1983" manufacturer "Videa" desc "Gridlee" devices ())
(name "griffon" year "1980" manufacturer "bootleg (Videotron)" desc "Griffon (Videotron bootleg of Phoenix)" devices ())
(name "griffono" year "1980" manufacturer "bootleg (Olympia)" desc "Griffon (Olympia bootleg of Phoenix)" devices ())
(name "grindstm" year "1992" manufacturer "Toaplan" desc "Grind Stormer" devices ())
(name "grindstma" year "1992" manufacturer "Toaplan" desc "Grind Stormer (older set)" devices ())
(name "grizzly" year "2006" manufacturer "Aristocrat" desc "Grizzly (10214711, NSW/ACT)" devices ())
(name "grmatch" year "1989" manufacturer "Yankee Game Technology" desc "Grudge Match (Yankee Game Technology)" devices ())
(name "grndprix" year "1995" manufacturer "bootleg" desc "Grand Prix (Treasure Bonus bootleg)" devices ())
(name "grndtour" year "1993" manufacturer "IGS" desc "Grand Tour (V100U)" devices ())
(name "grnlizrd" year "1994" manufacturer "Aristocrat" desc "Green Lizard (4VXFC811, NSW)" devices ())
(name "grobda" year "1984" manufacturer "Namco" desc "Grobda (New Ver.)" devices ())
(name "grobda2" year "1984" manufacturer "Namco" desc "Grobda (Old Ver. set 1)" devices ())
(name "grobda3" year "1984" manufacturer "Namco" desc "Grobda (Old Ver. set 2)" devices ())
(name "grobot9" year "1980" manufacturer "Takatoku Toys" desc "Game Robot 9" devices ())
(name "groovef" year "1997" manufacturer "Atlus" desc "Groove on Fight - Gouketsuji Ichizoku 3 (J 970416 V1.001)" devices ())
(name "groundfx" year "1992" manufacturer "Taito Corporation" desc "Ground Effects / Super Ground Effects (Japan)" devices ())
(name "growl" year "1990" manufacturer "Taito Corporation Japan" desc "Growl (World, Rev 1)" devices ())
(name "growla" year "1990" manufacturer "Taito Corporation Japan" desc "Growl (World)" devices ())
(name "growlp" year "1990" manufacturer "Taito Corporation Japan" desc "Growl (World, prototype)" devices ())
(name "growlu" year "1990" manufacturer "Taito America Corporation" desc "Growl (US)" devices ())
(name "grudge" year "1987" manufacturer "Bally Midway" desc "Grudge Match (v00.90, prototype)" devices ())
(name "grudgei" year "1987" manufacturer "Bally Midway" desc "Grudge Match (v00.90, Italy, location test?)" devices ())
(name "grudgep" year "1987" manufacturer "Bally Midway" desc "Grudge Match (v00.80, prototype)" devices ())
(name "gryzor" year "1987" manufacturer "Konami" desc "Gryzor (set 1)" devices ())
(name "gryzor1" year "1987" manufacturer "Konami" desc "Gryzor (set 2)" devices ())
(name "gs4002" year "1982" manufacturer "Greyhound Electronics" desc "Selection (Version 40.02TMB, set 1)" devices ())
(name "gs4002a" year "1982" manufacturer "Greyhound Electronics" desc "Selection (Version 40.02TMB, set 2)" devices ())
(name "gs471" year "1997" manufacturer "Konami" desc "unknown medal game GS471" devices ())
(name "gs611606a" year "198?" manufacturer "Goldstar" desc "GOLDSTAR P/N 611-606A Rev 1.0A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "gs6502" year "2013" manufacturer "Grant Searle" desc "Simple 6502 Machine" devices ())
(name "gs6809" year "2011" manufacturer "Grant Searle" desc "Simple 6809 Machine" devices ())
(name "gs_la3" year "1990" manufacturer "Bally" desc "The Bally Game Show (LA-3)" devices ())
(name "gs_lg6" year "1990" manufacturer "Bally" desc "The Bally Game Show (LG-6) Germany" devices ())
(name "gs_lu3" year "1990" manufacturer "Bally" desc "The Bally Game Show (LU-3) Europe" devices ())
(name "gs_lu4" year "1990" manufacturer "Bally" desc "The Bally Game Show (LU-4) Europe" devices ())
(name "gscobra" year "1982" manufacturer "Gakken" desc "Super Cobra (Gakken, green version)" devices ())
(name "gscpm" year "201?" manufacturer "Grant Searle" desc "Simple CP/M Machine" devices ((name "harddisk" briefname "hard" )))
(name "gseeker" year "1992" manufacturer "Taito Corporation Japan" desc "Grid Seeker: Project Storm Hammer (Ver 1.3O)" devices ())
(name "gseekerj" year "1992" manufacturer "Taito Corporation" desc "Grid Seeker: Project Storm Hammer (Ver 1.3J)" devices ())
(name "gseekeru" year "1992" manufacturer "Taito America Corporation" desc "Grid Seeker: Project Storm Hammer (Ver 1.3A)" devices ())
(name "gsfc200" year "1984" manufacturer "Goldstar" desc "FC-200 (MSX1, Europe)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "gsfc80u" year "1984" manufacturer "Goldstar" desc "FC-80U (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "gslgr94j" year "1994" manufacturer "Namco" desc "Great Sluggers '94 (Japan)" devices ())
(name "gslgr94u" year "1994" manufacturer "Namco" desc "Great Sluggers '94" devices ())
(name "gslugrsj" year "1993" manufacturer "Namco" desc "Great Sluggers (Japan)" devices ())
(name "gsp5" year "1989" manufacturer "DigiTech" desc "GSP 5 Guitar Effects Processor/Preamp" devices ())
(name "gsspade" year "199?" manufacturer "Guan Shing" desc "Spade" devices ())
(name "gssytts" year "2009" manufacturer "Senario" desc "Guitar Super Star: You Take The Stage" devices ())
(name "gstream" year "2002" manufacturer "Oriental Soft Japan" desc "G-Stream G2020" devices ())
(name "gstrik2" year "1996" manufacturer "Human Amusement" desc "Grand Striker 2 (Europe and Oceania)" devices ())
(name "gstrik2j" year "1996" manufacturer "Human Amusement" desc "Grand Striker 2 (Japan)" devices ())
(name "gstriker" year "1993" manufacturer "Human" desc "Grand Striker (Europe, Oceania)" devices ())
(name "gstrikera" year "1993" manufacturer "Human" desc "Grand Striker (Americas)" devices ())
(name "gstrikerj" year "1993" manufacturer "Human" desc "Grand Striker (Japan)" devices ())
(name "gsword" year "1984" manufacturer "Allumer / Taito Corporation" desc "Great Swordsman (World?)" devices ())
(name "gsword2" year "1984" manufacturer "Allumer / Taito Corporation" desc "Great Swordsman (Japan?)" devices ())
(name "gsz80" year "2007" manufacturer "Grant Searle" desc "Simple Z-80 Machine" devices ())
(name "gt103a1" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Unsorted question ROMs)" devices ())
(name "gt103aa" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Version 1.03a, alt questions 1)" devices ())
(name "gt103ab" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Version 1.03a, alt questions 2)" devices ())
(name "gt103asx" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Version 1.03a, sex questions)" devices ())
(name "gt103asxa" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Version 1.03a, sex questions, alt revision questions)" devices ())
(name "gt2k" year "2000" manufacturer "Incredible Technologies" desc "Golden Tee 2K (v1.00)" devices ())
(name "gt2kp100" year "2000" manufacturer "Incredible Technologies" desc "Golden Tee 2K (v1.00) (alt protection)" devices ())
(name "gt2ks100" year "2000" manufacturer "Incredible Technologies" desc "Golden Tee 2K (v1.00S)" devices ())
(name "gt2kt500" year "2000" manufacturer "Incredible Technologies" desc "Golden Tee 2K Tournament (v5.00)" devices ())
(name "gt3d" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.93N)" devices ())
(name "gt3dl19" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.9L)" devices ())
(name "gt3dl191" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.91L)" devices ())
(name "gt3dl192" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.92L)" devices ())
(name "gt3ds192" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.92S)" devices ())
(name "gt3dt211" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf Tournament (v2.11)" devices ())
(name "gt3dt231" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf Tournament (v2.31)" devices ())
(name "gt3dv14" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.4)" devices ())
(name "gt3dv15" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.5)" devices ())
(name "gt3dv16" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.6)" devices ())
(name "gt3dv17" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.7)" devices ())
(name "gt3dv18" year "1995" manufacturer "Incredible Technologies" desc "Golden Tee 3D Golf (v1.8)" devices ())
(name "gt507uk" year "1986" manufacturer "Grayhound Electronics" desc "Trivia (UK Version 5.07)" devices ())
(name "gt97" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 (v1.30)" devices ())
(name "gt97s121" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 (v1.21S)" devices ())
(name "gt97t240" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 Tournament (v2.40)" devices ())
(name "gt97t243" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 Tournament (v2.43)" devices ())
(name "gt97v120" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 (v1.20)" devices ())
(name "gt97v121" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 (v1.21)" devices ())
(name "gt97v122" year "1997" manufacturer "Incredible Technologies" desc "Golden Tee '97 (v1.22)" devices ())
(name "gt98" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 (v1.10)" devices ())
(name "gt98c100" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 (v1.00C)" devices ())
(name "gt98s100" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 (v1.00S)" devices ())
(name "gt98t302" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 Tournament (v3.02)" devices ())
(name "gt98t303" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 Tournament (v3.03)" devices ())
(name "gt98v100" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee '98 (v1.00)" devices ())
(name "gt99" year "1999" manufacturer "Incredible Technologies" desc "Golden Tee '99 (v1.00)" devices ())
(name "gt99s100" year "1999" manufacturer "Incredible Technologies" desc "Golden Tee '99 (v1.00S)" devices ())
(name "gt99t400" year "1999" manufacturer "Incredible Technologies" desc "Golden Tee '99 Tournament (v4.00)" devices ())
(name "gtbmcx" year "2000" manufacturer "VTech" desc "Genius Tabletop Black Magic CX (Germany)" devices ())
(name "gtclassc" year "2001" manufacturer "Incredible Technologies" desc "Golden Tee Classic (v1.00)" devices ())
(name "gtclasscp" year "2001" manufacturer "Incredible Technologies" desc "Golden Tee Classic (v1.00) (alt protection)" devices ())
(name "gtclasscs" year "2001" manufacturer "Incredible Technologies" desc "Golden Tee Classic (v1.00S)" devices ())
(name "gtct885" year "201?" manufacturer "Gaming Tech" desc "Gaming Tech CT-885" devices ())
(name "gtdiamond" year "1998" manufacturer "Incredible Technologies" desc "Golden Tee Diamond Edition Tournament (v3.05T ELC)" devices ())
(name "gteikoku" year "1980" manufacturer "Irem" desc "Gingateikoku no Gyakushu" devices ())
(name "gteikokub" year "1980" manufacturer "bootleg" desc "Gingateikoku no Gyakushu (bootleg set 1)" devices ())
(name "gteikokub2" year "1980" manufacturer "bootleg" desc "Gingateikoku no Gyakushu (bootleg set 2)" devices ())
(name "gteikokub3" year "1980" manufacturer "bootleg (Honly)" desc "Gingateikoku no Gyakushu (bootleg set 3)" devices ())
(name "gtfore01" year "2000" manufacturer "Incredible Technologies" desc "Golden Tee Fore! (v1.00.25)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore02" year "2001" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2002 (v2.01.06)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore03" year "2002" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2003 (v3.00.10)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore03a" year "2002" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2003 (v3.00.09)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore04" year "2003" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2004 Extra (v4.00.08)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore04a" year "2003" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2004 (v4.00.00)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore05" year "2004" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2005 Extra (v5.01.06)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore05a" year "2004" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2005 Extra (v5.01.02)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore05b" year "2004" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2005 Extra (v5.01.00)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore05c" year "2004" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2005 Extra (v5.00.00)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfore06" year "2005" manufacturer "Incredible Technologies" desc "Golden Tee Fore! 2006 Complete (v6.00.01)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "gtfrk10m" year "2003" manufacturer "Konami" desc "Guitar Freaks 10th Mix (G*D10 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtfrk10ma" year "2003" manufacturer "Konami" desc "Guitar Freaks 10th Mix (G*D10 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtfrk11m" year "2004" manufacturer "Konami" desc "Guitar Freaks 11th Mix (G*D39 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtfrk3ma" year "2000" manufacturer "Konami" desc "Guitar Freaks 3rd Mix (GE949 VER. JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "gtfrk3mb" year "2000" manufacturer "Konami" desc "Guitar Freaks 3rd Mix - security cassette versionup (949JAZ02)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtg" year "1990" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf (Joystick, v3.3)" devices ())
(name "gtg2" year "1992" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf II (Trackball, V2.2)" devices ())
(name "gtg2j" year "1991" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf II (Joystick, V1.0)" devices ())
(name "gtg2t" year "1989" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf II (Trackball, V1.1)" devices ())
(name "gtgj31" year "1990" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf (Joystick, v3.1)" devices ())
(name "gtgt10" year "1989" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf (Trackball, v1.0)" devices ())
(name "gtgt20" year "1989" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf (Trackball, v2.0)" devices ())
(name "gtgt21" year "1989" manufacturer "Strata / Incredible Technologies" desc "Golden Tee Golf (Trackball, v2.1)" devices ())
(name "gticlub" year "1996" manufacturer "Konami" desc "GTI Club: Rally Cote D'Azur (ver EAA)" devices ())
(name "gticlub2" year "2000" manufacturer "Konami" desc "GTI Club: Corso Italiano (ver JAB)" devices ((name "harddisk" briefname "hard" )))
(name "gticlub2ea" year "2000" manufacturer "Konami" desc "Driving Party: Racing in Italy (ver EAA)" devices ((name "harddisk" briefname "hard" )))
(name "gticluba" year "1996" manufacturer "Konami" desc "GTI Club: Rally Cote D'Azur (ver AAA)" devices ())
(name "gticlubj" year "1996" manufacturer "Konami" desc "GTI Club: Rally Cote D'Azur (ver JAA)" devices ())
(name "gticlubu" year "1996" manufacturer "Konami" desc "GTI Club: Rally Cote D'Azur (ver UAA)" devices ())
(name "gtipoker" year "1983" manufacturer "GTI Inc" desc "GTI Poker" devices ())
(name "gtipokra" year "1983" manufacturer "GTI Inc" desc "GTI Poker? (SMS hardware)" devices ())
(name "gtmr" year "1994" manufacturer "Kaneko" desc "1000 Miglia: Great 1000 Miles Rally (Taiwan 94/07/18)" devices ())
(name "gtmr2" year "1995" manufacturer "Kaneko" desc "Mille Miglia 2: Great 1000 Miles Rally (95/05/24)" devices ())
(name "gtmr2a" year "1995" manufacturer "Kaneko" desc "Mille Miglia 2: Great 1000 Miles Rally (95/04/04)" devices ())
(name "gtmr2u" year "1995" manufacturer "Kaneko" desc "Great 1000 Miles Rally 2 USA (95/07/11)" devices ())
(name "gtmr2ua" year "1995" manufacturer "Kaneko" desc "Great 1000 Miles Rally 2 USA (95/05/18)" devices ())
(name "gtmra" year "1994" manufacturer "Kaneko" desc "1000 Miglia: Great 1000 Miles Rally (94/06/13)" devices ())
(name "gtmrb" year "1994" manufacturer "Kaneko" desc "1000 Miglia: Great 1000 Miles Rally (94/05/26)" devices ())
(name "gtmre" year "1994" manufacturer "Kaneko" desc "Great 1000 Miles Rally: Evolution Model!!! (94/09/06)" devices ())
(name "gtmro" year "1994" manufacturer "Kaneko" desc "1000 Miglia: Great 1000 Miles Rally (94/05/10)" devices ())
(name "gtmrusa" year "1994" manufacturer "Kaneko" desc "Great 1000 Miles Rally: U.S.A Version! (94/09/06)" devices ())
(name "gtrak10" year "1974" manufacturer "Atari/Kee" desc "Gran Trak 10/Trak 10/Formula K" devices ())
(name "gtrak10a" year "1974" manufacturer "Atari/Kee" desc "Gran Trak 10/Trak 10/Formula K (older)" devices ())
(name "gtrak20" year "1974" manufacturer "Atari/Kee" desc "Gran Trak 20/Trak 20/Twin Racer" devices ())
(name "gtrfrk2m" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix Ver 1.01 (GQ883 VER. JAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk2ma" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix (GQ883 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk2maa" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix (GQ883 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk2mja" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix (GQ883 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk2mka" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix (GQ883 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk2ml1" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix Link Kit 1 (GE929 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "gtrfrk2ml2" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix Link Kit 2 (GC929 VER. JBB)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "gtrfrk2mua" year "1999" manufacturer "Konami" desc "Guitar Freaks 2nd Mix (GQ883 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk3m" year "2000" manufacturer "Konami" desc "Guitar Freaks 3rd Mix (GE949 VER. JAC)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "gtrfrk4m" year "2000" manufacturer "Konami" desc "Guitar Freaks 4th Mix (G*A24 VER. JAA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "gtrfrk5m" year "2001" manufacturer "Konami" desc "Guitar Freaks 5th Mix (G*A26 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk5ma" year "2001" manufacturer "Konami" desc "Guitar Freaks 5th Mix (G*A26 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk6m" year "2001" manufacturer "Konami" desc "Guitar Freaks 6th Mix (G*B06 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk7m" year "2001" manufacturer "Konami" desc "Guitar Freaks 7th Mix (G*B17 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk8m" year "2002" manufacturer "Konami" desc "Guitar Freaks 8th Mix power-up ver. (G*C08 VER. JBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk8ma" year "2002" manufacturer "Konami" desc "Guitar Freaks 8th Mix (G*C08 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrk9m" year "2003" manufacturer "Konami" desc "Guitar Freaks 9th Mix (G*C39 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrks" year "1999" manufacturer "Konami" desc "Guitar Freaks Ver 1.01 (GQ886 VER. EAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksa" year "1999" manufacturer "Konami" desc "Guitar Freaks Ver 1.01 (GQ886 VER. AAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksaa" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksac" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. AAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksc" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. EAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksea" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksj" year "1999" manufacturer "Konami" desc "Guitar Freaks Ver 1.01 (GQ886 VER. JAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksja" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksjc" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. JAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksu" year "1999" manufacturer "Konami" desc "Guitar Freaks Ver 1.01 (GQ886 VER. UAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksua" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrksuc" year "1999" manufacturer "Konami" desc "Guitar Freaks (GQ886 VER. UAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "gtrfrkv2a" year "2006" manufacturer "Konami" desc "Guitar Freaks V2 (F03:A:A:A:2006011201)" devices ())
(name "gtrfrkv2aa" year "2005" manufacturer "Konami" desc "Guitar Freaks V2 (F03:A:A:A:2005112800)" devices ())
(name "gtrfrkv2ab" year "2005" manufacturer "Konami" desc "Guitar Freaks V2 (F03:A:A:A:2005101600)" devices ())
(name "gtrfrkv2j" year "2006" manufacturer "Konami" desc "Guitar Freaks V2 (F03:J:A:A:2006011201)" devices ())
(name "gtrfrkv2ja" year "2005" manufacturer "Konami" desc "Guitar Freaks V2 (F03:J:A:A:2005112800)" devices ())
(name "gtrfrkv2jb" year "2005" manufacturer "Konami" desc "Guitar Freaks V2 (F03:J:A:A:2005101600)" devices ())
(name "gtrfrkv3a" year "2006" manufacturer "Konami" desc "Guitar Freaks V3 (F33:A:A:A:2006101800)" devices ())
(name "gtrfrkv3aa" year "2006" manufacturer "Konami" desc "Guitar Freaks V3 (F33:A:A:A:2006072600)" devices ())
(name "gtrfrkv3j" year "2006" manufacturer "Konami" desc "Guitar Freaks V3 (F33:J:A:A:2006101800)" devices ())
(name "gtrfrkv3ja" year "2006" manufacturer "Konami" desc "Guitar Freaks V3 (F33:J:A:A:2006072600)" devices ())
(name "gtrfrkva" year "2005" manufacturer "Konami" desc "Guitar Freaks V (E03:A:A:A:2005050200)" devices ())
(name "gtrfrkvj" year "2005" manufacturer "Konami" desc "Guitar Freaks V (E03:J:A:A:2005050200)" devices ())
(name "gtroppo" year "1986" manufacturer "Ainsworth Nominees P.L." desc "Gone Troppo (1VXEC542, New Zealand)" devices ())
(name "gtroyal" year "1999" manufacturer "Incredible Technologies" desc "Golden Tee Royal Edition Tournament (v4.02T EDM)" devices ())
(name "gtsers1" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 1)" devices ())
(name "gtsers10" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 10)" devices ())
(name "gtsers11" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 11)" devices ())
(name "gtsers11a" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 11, alt question ROM, set 1)" devices ())
(name "gtsers11b" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 11, alt question ROM, set 2)" devices ())
(name "gtsers12" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 12)" devices ())
(name "gtsers12a" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 12, alt question ROM)" devices ())
(name "gtsers14" year "1986" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 14)" devices ())
(name "gtsers14a" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 14, alt question ROM)" devices ())
(name "gtsers15" year "1986" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 15)" devices ())
(name "gtsers18" year "1986" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 18)" devices ())
(name "gtsers2" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 2)" devices ())
(name "gtsers3" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 3)" devices ())
(name "gtsers4" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 4)" devices ())
(name "gtsers5" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 5)" devices ())
(name "gtsers7" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 7)" devices ())
(name "gtsers7a" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 7, alt question ROM)" devices ())
(name "gtsers8" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 8)" devices ())
(name "gtsers8a" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 8, alt question ROM)" devices ())
(name "gtsers9" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Questions Series 9)" devices ())
(name "gtsersa" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Alt revision questions set 1)" devices ())
(name "gtsersb" year "1984" manufacturer "Greyhound Electronics" desc "Trivia (Alt revision questions set 2)" devices ())
(name "gtsupreme" year "2002" manufacturer "Incredible Technologies" desc "Golden Tee Supreme Edition Tournament (v5.10T ELC S)" devices ())
(name "guab" year "1986" manufacturer "JPM" desc "Give us a Break" devices ((name "floppydisk" briefname "flop" )))
(name "guardian" year "1992" manufacturer "Atari Games" desc "Guardians of the 'Hood" devices ())
(name "guiness" year "1984" manufacturer "Sun Electronics" desc "The Guiness (Japan)" devices ())
(name "guitarfv" year "2007" manufacturer "Advance Bright Ltd" desc "Guitar Fever (2007.07.03 Ver 2.7)" devices ())
(name "guitarheroac" year "2008" manufacturer "Raw Thrills (Activision / Konami license)" desc "Guitar Hero Arcade (v1.0.5)" devices ())
(name "guitarss" year "200?" manufacturer "Senario" desc "Guitar Super Star ('Fender Stratocaster' style)" devices ())
(name "guitarssa" year "200?" manufacturer "Senario" desc "Guitar Super Star (red 'Gibson Flying V' style)" devices ())
(name "guitarst" year "200?" manufacturer "Senario" desc "Guitar Star (US, Senario, NTSC)" devices ())
(name "guitarstp" year "200?" manufacturer "<unknown>" desc "Guitar Star (Europe, PAL)" devices ())
(name "guitrbus" year "2012" manufacturer "WinFun" desc "Guitar Buster" devices ())
(name "gulfstrm" year "1991" manufacturer "Dooyong" desc "Gulf Storm (set 1)" devices ())
(name "gulfstrma" year "1991" manufacturer "Dooyong" desc "Gulf Storm (set 2)" devices ())
(name "gulfstrmb" year "1991" manufacturer "Dooyong" desc "Gulf Storm (set 3)" devices ())
(name "gulfstrmk" year "1991" manufacturer "Dooyong" desc "Gulf Storm (Korea)" devices ())
(name "gulfstrmm" year "1991" manufacturer "Dooyong (Media Shoji license)" desc "Gulf Storm (Japan, Media Shoji license)" devices ())
(name "gulfwar2" year "1991" manufacturer "Comad" desc "Gulf War II (set 1)" devices ())
(name "gulfwar2a" year "1991" manufacturer "Comad" desc "Gulf War II (set 2)" devices ())
(name "gulunpa" year "1993" manufacturer "Capcom" desc "Gulun.Pa! (Japan 931220 L) (prototype)" devices ())
(name "gumbo" year "1994" manufacturer "Min Corp." desc "Gumbo" devices ())
(name "gumrally" year "1990" manufacturer "Atari Games" desc "Gumball Rally" devices ())
(name "gunbalina" year "2000" manufacturer "Namco" desc "Gunbalina (Japan, GNN1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "gunball" year "1992" manufacturer "Data East Corporation" desc "Gun Ball (Japan)" devices ())
(name "gunbarl" year "1999" manufacturer "Namco" desc "Gunbarl (Japan, GNB4/VER.A)" devices ())
(name "gunbarla" year "1999" manufacturer "Namco" desc "Gunbarl (Japan, GNB1/VER.A)" devices ())
(name "gunbird" year "1994" manufacturer "Psikyo" desc "Gunbird (World)" devices ())
(name "gunbird2" year "1998" manufacturer "Psikyo" desc "Gunbird 2 (set 1)" devices ())
(name "gunbird2a" year "1998" manufacturer "Psikyo" desc "Gunbird 2 (set 2)" devices ())
(name "gunbirdj" year "1994" manufacturer "Psikyo" desc "Gunbird (Japan)" devices ())
(name "gunbirdk" year "1994" manufacturer "Psikyo" desc "Gunbird (Korea)" devices ())
(name "gunblade" year "1995" manufacturer "Sega" desc "Gunblade NY (Revision A)" devices ())
(name "gunbuletj" year "1994" manufacturer "Namco" desc "Gun Bullet (Japan, GN1)" devices ())
(name "gunbuletw" year "1994" manufacturer "Namco" desc "Gun Bullet (World, GN3 Rev B)" devices ())
(name "gunbustr" year "1992" manufacturer "Taito Corporation Japan" desc "Gunbuster (World)" devices ())
(name "gunbustrj" year "1992" manufacturer "Taito Corporation" desc "Gunbuster (Japan)" devices ())
(name "gunbustru" year "1992" manufacturer "Taito America Corporation" desc "Gunbuster (US)" devices ())
(name "gunchamp" year "1980" manufacturer "Model Racing" desc "Gun Champ" devices ())
(name "gunchamps" year "1980" manufacturer "Model Racing" desc "Gun Champ (newer, Super Shot hardware)" devices ())
(name "gundamex" year "1994" manufacturer "Banpresto" desc "Mobile Suit Gundam EX Revue" devices ())
(name "gundamos" year "2005" manufacturer "Banpresto" desc "Gundam Battle Operating Simulator (GDX-0013)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundcb79" year "2005" manufacturer "Banpresto" desc "Mobile Suit Gundam 0079 Card Builder (CDV-10010)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundcb79a" year "2006" manufacturer "Banpresto" desc "Mobile Suit Gundam 0079 Card Builder Ver.2.02 (CDV-10024B)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundcb83" year "2007" manufacturer "Banpresto" desc "Mobile Suit Gundam 0083 Card Builder (CDV-10030)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundcb83a" year "2007" manufacturer "Banpresto" desc "Mobile Suit Gundam 0083 Card Builder Check Disk (CDV-10031)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundcb83b" year "2008" manufacturer "Banpresto" desc "Mobile Suit Gundam 0083 Card Builder Ver.2.10 (CDV-10037B)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundealr" year "1990" manufacturer "Dooyong" desc "Gun Dealer" devices ())
(name "gundealra" year "1990" manufacturer "Dooyong" desc "Gun Dealer (alt card set)" devices ())
(name "gundealrbl" year "1990" manufacturer "Dooyong" desc "Gun Dealer (Yam! Yam!? hardware, set 1)" devices ())
(name "gundealrbl2" year "1990" manufacturer "Dooyong" desc "Gun Dealer (Yam! Yam!? hardware, set 2)" devices ())
(name "gundealrt" year "1990" manufacturer "Dooyong (Tecmo license)" desc "Gun Dealer (Japan)" devices ())
(name "gundhara" year "1995" manufacturer "Banpresto" desc "Gundhara" devices ())
(name "gundharac" year "1995" manufacturer "Banpresto" desc "Gundhara (Chinese, bootleg?)" devices ())
(name "gundl94" year "1994" manufacturer "Dooyong" desc "Gun Dealer '94" devices ())
(name "gundmct" year "2001" manufacturer "Banpresto / Capcom" desc "Mobile Suit Gundam: Federation Vs. Zeon" devices ())
(name "gundmgd" year "2001" manufacturer "Capcom / Banpresto" desc "Mobile Suit Gundam: Federation Vs. Zeon (GDL-0001)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundmxgd" year "2001" manufacturer "Capcom" desc "Mobile Suit Gundam: Federation Vs. Zeon DX (USA, Japan) (GDL-0006)" devices ((name "cdrom" briefname "cdrm" )))
(name "gundzaft" year "2005" manufacturer "Capcom / Banpresto" desc "Gundam Seed: Federation vs. Z.A.F.T. (SED1 Ver. A)" devices ())
(name "gunfight" year "1975" manufacturer "Dave Nutting Associates / Midway" desc "Gun Fight (set 1)" devices ())
(name "gunfighto" year "1975" manufacturer "Dave Nutting Associates / Midway" desc "Gun Fight (set 2)" devices ())
(name "gunforc2" year "1994" manufacturer "Irem" desc "Gun Force II (US)" devices ())
(name "gunforce" year "1991" manufacturer "Irem" desc "Gunforce - Battle Fire Engulfed Terror Island (World)" devices ())
(name "gunforcej" year "1991" manufacturer "Irem" desc "Gunforce - Battle Fire Engulfed Terror Island (Japan)" devices ())
(name "gunforceu" year "1991" manufacturer "Irem America" desc "Gunforce - Battle Fire Engulfed Terror Island (US)" devices ())
(name "gunfront" year "1990" manufacturer "Taito Corporation Japan" desc "Gun & Frontier (World)" devices ())
(name "gunfrontj" year "1990" manufacturer "Taito Corporation" desc "Gun Frontier (Japan)" devices ())
(name "gungunad" year "2001" manufacturer "Takara / SSD Company LTD" desc "Gun Gun Adventure (Japan)" devices ())
(name "gungunrv" year "2004" manufacturer "Takara / SSD Company LTD" desc "Gun Gun Revolution (Japan)" devices ())
(name "gunhard" year "1994" manufacturer "Data East Corporation" desc "Gun Hard (Japan)" devices ())
(name "gunhohki" year "1992" manufacturer "Irem" desc "Mahou Keibitai Gun Hohki (Japan)" devices ())
(name "gunkids" year "2002" manufacturer "Sammy" desc "Hayauchi Gun Kids" devices ())
(name "gunlock" year "1993" manufacturer "Taito Corporation Japan" desc "Gunlock (Ver 2.3O 1994/01/20)" devices ())
(name "gunlocko" year "1993" manufacturer "Taito Corporation Japan" desc "Gunlock (Ver 2.0O 1993/12/15)" devices ())
(name "gunman" year "1977" manufacturer "Taito" desc "Gunman" devices ())
(name "gunmania" year "2000" manufacturer "Konami" desc "GunMania (GL906 VER. JAA)" devices ())
(name "gunmast" year "1994" manufacturer "Metro" desc "Gun Master" devices ())
(name "gunnail" year "1993" manufacturer "NMK / Tecmo" desc "GunNail (28th May. 1992)" devices ())
(name "gunnailb" year "1992" manufacturer "bootleg" desc "GunNail (bootleg)" devices ())
(name "gunnailp" year "1992" manufacturer "NMK" desc "GunNail (location test)" devices ())
(name "gunnrose" year "1993" manufacturer "Aristocrat" desc "Guns and Roses (C606191SMP, NSW)" devices ())
(name "gunpey" year "2000" manufacturer "Bandai / Banpresto" desc "Gunpey (Japan)" devices ())
(name "gunshot" year "1996" manufacturer "Spinball" desc "Gun Shot" devices ())
(name "gunsmoke" year "1985" manufacturer "Capcom" desc "Gun.Smoke (World, 1985-11-15)" devices ())
(name "gunsmokeb" year "1985" manufacturer "bootleg" desc "Gun.Smoke (World, 1985-11-15) (bootleg)" devices ())
(name "gunsmokeg" year "1985" manufacturer "Capcom" desc "Gun.Smoke (Germany, 1985-11-15, censored)" devices ())
(name "gunsmokej" year "1985" manufacturer "Capcom" desc "Gun.Smoke (Japan, 1985-11-15)" devices ())
(name "gunsmokeu" year "1986" manufacturer "Capcom (Romstar license)" desc "Gun.Smoke (USA and Canada, 1986-04-08)" devices ())
(name "gunsmokeua" year "1985" manufacturer "Capcom (Romstar license)" desc "Gun.Smoke (USA and Canada, 1986-01-20)" devices ())
(name "gunsmokeub" year "1985" manufacturer "Capcom (Romstar license)" desc "Gun.Smoke (USA and Canada, 1985-11-15, set 1)" devices ())
(name "gunsmokeuc" year "1985" manufacturer "Capcom (Romstar license)" desc "Gun.Smoke (USA and Canada, 1985-11-15, set 2)" devices ())
(name "gunsur2" year "2001" manufacturer "Capcom / Namco" desc "Gun Survivor 2 Biohazard Code: Veronica (World, BHF2 Ver.E)" devices ())
(name "gunsur2j" year "2001" manufacturer "Capcom / Namco" desc "Gun Survivor 2 Biohazard Code: Veronica (Japan, BHF1 Ver.E)" devices ())
(name "gunwars" year "1998" manufacturer "Namco" desc "Gunmen Wars (Japan, GM1 Ver. B)" devices ())
(name "gunwarsa" year "1998" manufacturer "Namco" desc "Gunmen Wars (Japan, GM1 Ver. A)" devices ())
(name "gururin" year "1994" manufacturer "Face" desc "Gururin" devices ((name "memcard" briefname "memc" ) ()))
(name "gussun" year "1993" manufacturer "Irem" desc "Gussun Oyoyo (Japan)" devices ())
(name "gutangtn" year "1982" manufacturer "Konami" desc "Guttang Gottong" devices ())
(name "gutangtns" year "1982" manufacturer "Konami (Sega license)" desc "Guttang Gottong (Sega license)" devices ())
(name "guts" year "1989" manufacturer "Atari Games" desc "Guts n' Glory (prototype)" devices ())
(name "gutsn" year "2000" manufacturer "Kaneko / Kouyousha" desc "Guts'n (Japan)" devices ())
(name "guttangt" year "1982" manufacturer "bootleg (Recreativos Franco?)" desc "Guttang Gottong (bootleg on Galaxian hardware)" devices ())
(name "guttangts3" year "1982" manufacturer "bootleg (Sede 3)" desc "Guttang Gottong (Sede 3 bootleg on Galaxian hardware)" devices ())
(name "guwange" year "1999" manufacturer "Cave (Atlus license)" desc "Guwange (Japan, 1999 6/24 Master Ver 16:55)" devices ())
(name "guwanges" year "1999" manufacturer "Cave (Atlus license)" desc "Guwange (Japan, 2000 7/ 7 Special Ver 13:22)" devices ())
(name "guzzler" year "1983" manufacturer "Tehkan" desc "Guzzler" devices ())
(name "guzzlers" year "1983" manufacturer "Tehkan" desc "Guzzler (Swimmer conversion)" devices ())
(name "gvrxpsup" year "2002" manufacturer "Global VR" desc "Global VR XP OS Update/Install - 06/11/02" devices ())
(name "gvrxpsys" year "2001" manufacturer "Global VR" desc "Global VR XP OS Install - 09/30/01" devices ())
(name "gw_l1" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (L-1)" devices ())
(name "gw_l2" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (L-2)" devices ())
(name "gw_l3" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (L-3)" devices ())
(name "gw_l5" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (L-5)" devices ())
(name "gw_p7" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (P-7)" devices ())
(name "gw_pb" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (P-B)" devices ())
(name "gw_pc" year "1992" manufacturer "Williams" desc "The Getaway: High Speed II (P-C)" devices ())
(name "gwar" year "1987" manufacturer "SNK" desc "Guerrilla War (US)" devices ())
(name "gwara" year "1987" manufacturer "SNK" desc "Guerrilla War (Version 1, set 1)" devices ())
(name "gwarab" year "1987" manufacturer "SNK" desc "Guerrilla War (Version 1, set 2)" devices ())
(name "gwarb" year "1987" manufacturer "bootleg" desc "Guerrilla War (Joystick hack bootleg)" devices ())
(name "gwarfare" year "1981" manufacturer "Game Plan" desc "Global Warfare" devices ())
(name "gwarj" year "1987" manufacturer "SNK" desc "Guevara (Japan)" devices ())
(name "gwarrior" year "1985" manufacturer "Konami" desc "Galactic Warriors" devices ())
(name "gwing2" year "2000" manufacturer "Takumi / Capcom" desc "Giga Wing 2" devices ())
(name "gwinggen" year "2004" manufacturer "Takumi Corporation" desc "Giga Wing Generations (v2.02J)" devices ())
(name "gwinner" year "1983" manufacturer "Reben SA" desc "Golden Winner" devices ())
(name "gwnf" year "1999" manufacturer "VTech" desc "Genius Winner Notebook Fun (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "gwnn" year "2004" manufacturer "Aristocrat" desc "The Game With No Name! (0452501, US)" devices ())
(name "gx4000" year "1990" manufacturer "Amstrad plc" desc "Amstrad GX4000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "gx700" year "1996" manufacturer "Roland" desc "Boss GX-700 Guitar Effects Processor" devices ())
(name "gynotai" year "1996" manufacturer "Namco" desc "Gynotai (Japan)" devices ())
(name "gypmagic" year "200?" manufacturer "Konami" desc "Gypsy Magic (Konami Endeavour, Russia)" devices ())
(name "gypsyjug" year "1978" manufacturer "Meadows Games, Inc." desc "Gypsy Juggler" devices ())
(name "gyrodine" year "1984" manufacturer "Crux" desc "Gyrodine" devices ())
(name "gyrodinet" year "1984" manufacturer "Crux (Taito Corporation license)" desc "Gyrodine (Taito Corporation license)" devices ())
(name "gyruss" year "1983" manufacturer "Konami" desc "Gyruss" devices ())
(name "gyrussb" year "1983" manufacturer "bootleg?" desc "Gyruss (bootleg?)" devices ())
(name "gyrussce" year "1983" manufacturer "Konami (Centuri license)" desc "Gyruss (Centuri)" devices ())
(name "gz70sp" year "1996" manufacturer "Casio" desc "GZ-70SP" devices ((name "midiin" briefname "min" )))
(name "h01b" year "1985" manufacturer "China H Computer Company" desc "H-01B" devices ((name "cassette" briefname "cass" )))
(name "h01jce" year "1987" manufacturer "China Jiangmen Computer Equipment Factory" desc "H-01 JCE" devices ((name "cassette" briefname "cass" )))
(name "h19" year "1979" manufacturer "Heath Company" desc "H-19 Terminal" devices ())
(name "h21" year "1982" manufacturer "TRQ" desc "Video Computer H-21" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "h2hbaseb" year "1980" manufacturer "Coleco" desc "Head to Head: Electronic Baseball" devices ())
(name "h2hbaskb" year "1979" manufacturer "Coleco" desc "Head to Head: Electronic Basketball (TMS1000 version)" devices ())
(name "h2hbaskbc" year "1980" manufacturer "Coleco" desc "Head to Head: Electronic Basketball (COP420L version)" devices ())
(name "h2hboxing" year "1981" manufacturer "Coleco" desc "Head to Head: Electronic Boxing" devices ())
(name "h2hfootb" year "1979" manufacturer "Coleco" desc "Head to Head: Electronic Football" devices ())
(name "h2hhockey" year "1979" manufacturer "Coleco" desc "Head to Head: Electronic Hockey (TMS1000 version)" devices ())
(name "h2hhockeyc" year "1980" manufacturer "Coleco" desc "Head to Head: Electronic Hockey (COP420L version)" devices ())
(name "h2hsoccerc" year "1980" manufacturer "Coleco" desc "Head to Head: Electronic Soccer (COP420L version)" devices ())
(name "h8" year "1977" manufacturer "Heath Company" desc "Heathkit H8 Digital Computer" devices ((name "cassette" briefname "cass" )))
(name "h88" year "1979" manufacturer "Heath Company" desc "H-88" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "h89" year "1979" manufacturer "Heath Company" desc "H-89" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "h89_mms" year "1981" manufacturer "Heath Company" desc "H-89 with MMS Equipment" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "floppydisk5" briefname "flop5" ) (name "floppydisk6" briefname "flop6" ) (name "floppydisk7" briefname "flop7" ) (name "floppydisk8" briefname "flop8" )))
(name "h89_sigmasoft" year "1984" manufacturer "Heath Company" desc "H-89 with SigmaSoft IGC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "hachamf" year "1991" manufacturer "NMK" desc "Hacha Mecha Fighter (19th Sep. 1991, protected, set 1)" devices ())
(name "hachamfa" year "1991" manufacturer "NMK" desc "Hacha Mecha Fighter (19th Sep. 1991, protected, set 2)" devices ())
(name "hachamfb" year "1991" manufacturer "bootleg" desc "Hacha Mecha Fighter (19th Sep. 1991, unprotected, bootleg Thunder Dragon conversion)" devices ())
(name "hachamfp" year "1991" manufacturer "NMK" desc "Hacha Mecha Fighter (Location Test Prototype, 19th Sep. 1991)" devices ())
(name "hacher" year "2005" manufacturer "bootleg (Gametron)" desc "Hacher (hack of Win Win Bingo EN.01.6)" devices ())
(name "hachoo" year "1989" manufacturer "Jaleco" desc "Hachoo! (World, set 1)" devices ())
(name "hachooa" year "1989" manufacturer "Jaleco" desc "Hachoo! (World, set 2)" devices ())
(name "hachooj" year "1989" manufacturer "Jaleco" desc "Hachoo! (Japan)" devices ())
(name "haekaka" year "2001" manufacturer "Sammy" desc "Hae Hae Ka Ka Ka" devices ())
(name "hal21" year "1985" manufacturer "SNK" desc "HAL21" devices ())
(name "hal21j" year "1985" manufacturer "SNK" desc "HAL21 (Japan)" devices ())
(name "halley" year "1986" manufacturer "Juegos Populares" desc "Halley Comet (set 1)" devices ())
(name "halleya" year "1986" manufacturer "Juegos Populares" desc "Halley Comet (set 2)" devices ())
(name "halleyb" year "1986" manufacturer "Juegos Populares" desc "Halley Comet (set 3)" devices ())
(name "halleysc" year "1986" manufacturer "Taito America Corporation (Coin-It license)" desc "Halley's Comet (US)" devices ())
(name "halleysc87" year "1986" manufacturer "Taito Corporation" desc "Halley's Comet '87" devices ())
(name "halleyscj" year "1986" manufacturer "Taito Corporation" desc "Halley's Comet (Japan, rev 1)" devices ())
(name "halleyscja" year "1986" manufacturer "Taito Corporation" desc "Halley's Comet (Japan)" devices ())
(name "halleyscjp" year "1985" manufacturer "Taito Corporation" desc "Halley's Comet (Japan, prototype)" devices ())
(name "hamaway" year "1991" manufacturer "Sega / Santos" desc "Hammer Away (Japan, prototype)" devices ())
(name "hamboy" year "1990" manufacturer "Dinamic / Inder" desc "Hammer Boy" devices ())
(name "hamhouse" year "199?" manufacturer "bootleg" desc "Hamburger House" devices ())
(name "hamhouse9" year "199?" manufacturer "bootleg" desc "Hamburger House 9" devices ())
(name "hammer" year "2000" manufacturer "Andamiro" desc "Hammer" devices ())
(name "hammerch" year "1997" manufacturer "Namco" desc "Hammer Champ (Japan)" devices ())
(name "hana6pt2" year "1991" manufacturer "Alba" desc "Hana Awase 6 Part II" devices ())
(name "hanaawas" year "1982" manufacturer "Seta Kikaku" desc "Hana Awase" devices ())
(name "hanagumi" year "1997" manufacturer "Sega" desc "Sakura Taisen - Hanagumi Taisen Columns (J 971007 V1.010)" devices ())
(name "hanakanz" year "1996" manufacturer "Dynax" desc "Hana Kanzashi (Japan)" devices ())
(name "hanamai" year "1988" manufacturer "Dynax" desc "Hana no Mai (Japan)" devices ())
(name "hanamomb" year "1988" manufacturer "Nichibutsu" desc "Mahjong Hana no Momoko gumi (Japan 881125)" devices ())
(name "hanamomo" year "1988" manufacturer "Nichibutsu" desc "Mahjong Hana no Momoko gumi (Japan 881201)" devices ())
(name "hanaoji" year "1991" manufacturer "Nichibutsu" desc "Hana to Ojisan (ver 1.01, 1991/12/09)" devices ())
(name "hanaojia" year "1991" manufacturer "Nichibutsu" desc "Hana to Ojisan (ver 1.00, 1991/08/23)" devices ())
(name "hanaroku" year "1988" manufacturer "Alba" desc "Hanaroku" devices ())
(name "hanayara" year "1991" manufacturer "Dynax" desc "Hana wo Yaraneba! (Japan)" devices ())
(name "hangly" year "1981" manufacturer "hack (Igleck)" desc "Hangly-Man (set 1)" devices ())
(name "hangly2" year "1981" manufacturer "hack (Igleck)" desc "Hangly-Man (set 2)" devices ())
(name "hangly3" year "1981" manufacturer "hack (Igleck)" desc "Hangly-Man (set 3)" devices ())
(name "hangman" year "1984" manufacturer "Status Games" desc "Hangman" devices ())
(name "hangon" year "1985" manufacturer "Sega" desc "Hang-On (Rev A)" devices ())
(name "hangon1" year "1985" manufacturer "Sega" desc "Hang-On" devices ())
(name "hangon2" year "1985" manufacturer "Sega" desc "Hang-On (Rev A, ride-on)" devices ())
(name "hangonjr" year "1985" manufacturer "Sega" desc "Hang-On Jr. (Rev. B)" devices ())
(name "hangonp" year "1988" manufacturer "Sonic" desc "Hang-On (Sonic)" devices ())
(name "hangonvf" year "1985" manufacturer "bootleg" desc "VF (bootleg of Hang-On)" devices ())
(name "hangplt" year "1997" manufacturer "Konami" desc "Hang Pilot (ver JAB)" devices ())
(name "hangpltu" year "1997" manufacturer "Konami" desc "Hang Pilot (ver UAA)" devices ())
(name "hangzo" year "1992" manufacturer "Hot-B" desc "Hangzo (Japan, prototype)" devices ())
(name "hanihac" year "1982" manufacturer "Hanimex" desc "Hanimex Home Arcade Centre" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "hapfarm" year "2008" manufacturer "Astro Corp." desc "Happy Farm (Ver. US.01.02.B)" devices ())
(name "haplucky" year "1985" manufacturer "Taito Corporation" desc "Happy Lucky!" devices ())
(name "happy6" year "2004" manufacturer "IGS" desc "Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V101, ARM ver. V102CN)" devices ())
(name "happy6100cn" year "2004" manufacturer "IGS" desc "Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V100, ARM ver. V100CN)" devices ())
(name "happy6100hk" year "2004" manufacturer "IGS" desc "Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V100HK, ARM ver. V100HK)" devices ())
(name "happy6101" year "2004" manufacturer "IGS" desc "Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V100, ARM ver. V101CN)" devices ())
(name "happyskl" year "2000?" manufacturer "IGS" desc "Happy Skill (Italy, V611IT)" devices ())
(name "hapyfsh2" year "201?" manufacturer "bootleg" desc "Happy Fish (V2 PCB, 302-in-1)" devices ())
(name "hapytour" year "2005" manufacturer "GAV Company" desc "Happy Tour" devices ())
(name "hardbody" year "1987" manufacturer "Bally" desc "Hardbody (rev. D)" devices ())
(name "hardbodyc" year "1987" manufacturer "Bally" desc "Hardbody (rev. C)" devices ())
(name "hardbodyg" year "1987" manufacturer "Bally" desc "Hardbody (German rev. B)" devices ())
(name "harddriv" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, rev 7)" devices ())
(name "harddriv1" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, rev 1)" devices ())
(name "harddriv2" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, rev 2)" devices ())
(name "harddriv3" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, rev 3)" devices ())
(name "harddrivb" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, British, rev 7)" devices ())
(name "harddrivb5" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, British, rev 5)" devices ())
(name "harddrivb6" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, British, rev 6)" devices ())
(name "harddrivc" year "1990" manufacturer "Atari Games" desc "Hard Drivin' (compact, rev 2)" devices ())
(name "harddrivc1" year "1990" manufacturer "Atari Games" desc "Hard Drivin' (compact, rev 1)" devices ())
(name "harddrivcb" year "1990" manufacturer "Atari Games" desc "Hard Drivin' (compact, British, rev 2)" devices ())
(name "harddrivcbl" year "1990" manufacturer "bootleg" desc "Hard Drivin' (compact, rev 2 bootleg)" devices ())
(name "harddrivcg" year "1990" manufacturer "Atari Games" desc "Hard Drivin' (compact, German, rev 2)" devices ())
(name "harddrivg" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, German, rev 7)" devices ())
(name "harddrivg4" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, German, rev 4)" devices ())
(name "harddrivj" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, Japan, rev 7)" devices ())
(name "harddrivj6" year "1988" manufacturer "Atari Games" desc "Hard Drivin' (cockpit, Japan, rev 6)" devices ())
(name "harddunk" year "1994" manufacturer "Sega" desc "Hard Dunk (World)" devices ())
(name "harddunkj" year "1994" manufacturer "Sega" desc "Hard Dunk (Japan)" devices ())
(name "hardhat" year "1982" manufacturer "Exidy" desc "Hard Hat" devices ())
(name "hardhea2" year "1991" manufacturer "SunA" desc "Hard Head 2 (v2.0, Music Program v2.4)" devices ())
(name "hardhea2a" year "1991" manufacturer "SunA" desc "Hard Head 2 (v2.0, Music Program v2.0)" devices ())
(name "hardhea2b" year "1991" manufacturer "bootleg" desc "Hard Head 2 (v2.0, bootleg)" devices ())
(name "hardhead" year "1988" manufacturer "SunA" desc "Hard Head" devices ())
(name "hardheadb" year "1988" manufacturer "bootleg" desc "Hard Head (bootleg, set 1)" devices ())
(name "hardheadb2" year "1988" manufacturer "bootleg" desc "Hard Head (bootleg, set 2)" devices ())
(name "hardheadb3" year "1989" manufacturer "bootleg" desc "Hard Head (bootleg, set 3)" devices ())
(name "hardyard" year "1993" manufacturer "Strata / Incredible Technologies" desc "Hard Yardage (v1.20)" devices ())
(name "hardyard10" year "1993" manufacturer "Strata / Incredible Technologies" desc "Hard Yardage (v1.00)" devices ())
(name "hardyard11" year "1993" manufacturer "Strata / Incredible Technologies" desc "Hard Yardage (v1.10)" devices ())
(name "harem" year "1983" manufacturer "I.G.R." desc "Harem" devices ())
(name "haremchl" year "1995" manufacturer "CD Express" desc "Harem Challenge" devices ((name "cdrom" briefname "cdrm" )))
(name "harl_a10" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display A1.00)" devices ())
(name "harl_a13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display A1.04)" devices ())
(name "harl_a18" year "2003" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 1.08, display A1.05)" devices ())
(name "harl_a30" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 3.00, display A3.00)" devices ())
(name "harl_a40" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 4.00, display A4.00)" devices ())
(name "harl_f13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display F1.04, France)" devices ())
(name "harl_f18" year "2003" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 1.08, display F1.05, France)" devices ())
(name "harl_f30" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 3.00, display F3.00, France)" devices ())
(name "harl_f40" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 4.00, display F4.00, France)" devices ())
(name "harl_g13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display G1.04, Germany)" devices ())
(name "harl_g18" year "2003" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 1.08, display G1.05, Germany)" devices ())
(name "harl_g30" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 3.00, display G3.00, Germany)" devices ())
(name "harl_g40" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 4.00, display G4.00, Germany)" devices ())
(name "harl_i13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display I1.04, Italy)" devices ())
(name "harl_i18" year "2003" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 1.08, display I1.05, Italy)" devices ())
(name "harl_i30" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 3.00, display I3.00, Italy)" devices ())
(name "harl_i40" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 4.00, display I4.00, Italy)" devices ())
(name "harl_l13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display L1.04, Spain)" devices ())
(name "harl_l18" year "2003" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 1.08, display L1.05, Spain)" devices ())
(name "harl_l30" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 3.00, display L3.00, Spain)" devices ())
(name "harl_l40" year "2004" manufacturer "Stern" desc "Harley Davidson (Stern, CPU 4.00, display L4.00, Spain)" devices ())
(name "harl_u13" year "1999" manufacturer "Sega" desc "Harley Davidson (Sega, CPU 1.03, display A1.04, UK)" devices ())
(name "harley" year "1997" manufacturer "Sega" desc "Harley-Davidson and L.A. Riders (Export, Revision B)" devices ())
(name "harleya" year "1997" manufacturer "Sega" desc "Harley-Davidson and L.A. Riders (Export, Revision A)" devices ())
(name "harriet" year "1990" manufacturer "Quantel" desc "Harriet" devices ())
(name "has_wamg" year "2005" manufacturer "Hasbro / Milton Bradley / SSD Company LTD" desc "TV Wild Adventure Mini Golf (NTSC)" devices ())
(name "hasamu" year "1991" manufacturer "Irem" desc "Hasamu (Japan)" devices ())
(name "hatena" year "1990" manufacturer "Capcom" desc "Adventure Quiz 2 - Hatena? no Daibouken (Japan 900228)" devices ())
(name "hatris" year "1990" manufacturer "Video System Co." desc "Hatris (US)" devices ())
(name "hatrisj" year "1990" manufacturer "Video System Co." desc "Hatris (Japan)" devices ())
(name "hatrisp" year "1990" manufacturer "Video System Co." desc "Hatris (show version)" devices ())
(name "hattrick" year "1984" manufacturer "Bally/Sente" desc "Hat Trick (11/12/84)" devices ())
(name "haunthig" year "2008" manufacturer "IGS" desc "Haunted House (IGS, V109US)" devices ())
(name "haunthiga" year "2006" manufacturer "IGS" desc "Haunted House (IGS, V101US)" devices ())
(name "hawaii" year "2004" manufacturer "Astro" desc "Hawaii (Russia)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hawk" year "1987" manufacturer "Husky Computers Ltd" desc "Husky Hawk" devices ())
(name "hawkman" year "1982" manufacturer "Taito do Brasil" desc "Hawkman (set 1)" devices ())
(name "hawkman1" year "1982" manufacturer "Taito do Brasil" desc "Hawkman (set 2)" devices ())
(name "hayaosi1" year "1993" manufacturer "Jaleco" desc "Hayaoshi Quiz Ouza Ketteisen - The King Of Quiz" devices ())
(name "hayaosi2" year "1994" manufacturer "Jaleco" desc "Hayaoshi Quiz Grand Champion Taikai" devices ())
(name "hayaosi3" year "1994" manufacturer "Jaleco" desc "Hayaoshi Quiz Nettou Namahousou (ver 1.5)" devices ())
(name "hayaosi3a" year "1994" manufacturer "Jaleco" desc "Hayaoshi Quiz Nettou Namahousou (ver 1.2)" devices ())
(name "hazl1420" year "1979" manufacturer "Hazeltine" desc "1420 Video Display Terminal" devices ())
(name "hazl1500" year "1977" manufacturer "Hazeltine Corporation" desc "Hazeltine 1500" devices ())
(name "hazl1552" year "1979" manufacturer "Hazeltine Corporation" desc "Hazeltine 1552" devices ())
(name "hb10" year "1985" manufacturer "Sony" desc "HB-10 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb101" year "1984" manufacturer "Sony" desc "HB-101 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb101p" year "1984" manufacturer "Sony" desc "HB-101P (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb10p" year "1986" manufacturer "Sony" desc "HB-10P (MSX1, Netherlands)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb201" year "1985" manufacturer "Sony" desc "HB-201 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb201p" year "1985" manufacturer "Sony" desc "HB-201P (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb20p" year "1986" manufacturer "Sony" desc "HB-20P (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb501p" year "1984" manufacturer "Sony" desc "HB-501P (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb55" year "1983" manufacturer "Sony" desc "HB-55 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb55d" year "1984" manufacturer "Sony" desc "HB-55D (MSX1, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb55p" year "1984" manufacturer "Sony" desc "HB-55P (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb701fd" year "1984" manufacturer "Sony" desc "HB-701FD (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb75" year "1984" manufacturer "Sony" desc "HB-75 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb75d" year "1984" manufacturer "Sony" desc "HB-75D (MSX1, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb75p" year "1984" manufacturer "Sony" desc "HB-75P (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb8000" year "1985" manufacturer "Sharp / Epcom" desc "HB-8000 Hotbit (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hb_bar7" year "200?" manufacturer "Fairgames" desc "Bar Seven (Fairgames) (set 1)" devices ())
(name "hb_bar7a" year "200?" manufacturer "Fairgames" desc "Bar Seven (Fairgames) (set 2)" devices ())
(name "hb_bigx" year "200?" manufacturer "JPM" desc "Big X (JPM) (set 1)" devices ())
(name "hb_bigxa" year "200?" manufacturer "JPM" desc "Big X (JPM) (set 2)" devices ())
(name "hb_bigxb" year "200?" manufacturer "JPM" desc "Big X (JPM) (set 3)" devices ())
(name "hb_bigxc" year "200?" manufacturer "JPM" desc "Big X (JPM) (set 4)" devices ())
(name "hb_bigxd" year "200?" manufacturer "JPM" desc "Big X (JPM) (set 5)" devices ())
(name "hb_cashc" year "200?" manufacturer "Qps" desc "Cash Crusade (Qps) (set 1)" devices ())
(name "hb_cashca" year "200?" manufacturer "Qps" desc "Cash Crusade (Qps) (set 2)" devices ())
(name "hb_cashcb" year "200?" manufacturer "Qps" desc "Cash Crusade (Qps) (set 3)" devices ())
(name "hb_cashx" year "200?" manufacturer "Fairgames" desc "Cash X (Fairgames) (set 1)" devices ())
(name "hb_cashxa" year "200?" manufacturer "Fairgames" desc "Cash X (Fairgames) (set 2)" devices ())
(name "hb_ccow" year "200?" manufacturer "Qps" desc "Cash Cow (Qps) (set 1)" devices ())
(name "hb_ccowa" year "200?" manufacturer "Qps" desc "Cash Cow (Qps) (set 2)" devices ())
(name "hb_ccowb" year "200?" manufacturer "Qps" desc "Cash Cow (Qps) (set 3)" devices ())
(name "hb_cr" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (set 1)" devices ())
(name "hb_cra" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (set 2)" devices ())
(name "hb_crb" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (set 3)" devices ())
(name "hb_cwf" year "200?" manufacturer "Fairgames" desc "Cherry Win Falls (Fairgames) (set 1)" devices ())
(name "hb_cwfa" year "200?" manufacturer "Fairgames" desc "Cherry Win Falls (Fairgames) (set 2)" devices ())
(name "hb_dac" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 1)" devices ())
(name "hb_daca" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 2)" devices ())
(name "hb_dacb" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 3)" devices ())
(name "hb_dacc" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 4)" devices ())
(name "hb_dacd" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 5)" devices ())
(name "hb_dace" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 6)" devices ())
(name "hb_dacf" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 7)" devices ())
(name "hb_dacg" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 8)" devices ())
(name "hb_dacz" year "200?" manufacturer "Qps" desc "Dough & Arrow Club (Qps, set 9)" devices ())
(name "hb_frtcl" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 1)" devices ())
(name "hb_frtcla" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 2)" devices ())
(name "hb_frtclb" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 3)" devices ())
(name "hb_frtclc" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 4)" devices ())
(name "hb_frtcld" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 5)" devices ())
(name "hb_frtcle" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 6)" devices ())
(name "hb_frtclf" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 7)" devices ())
(name "hb_frtclg" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 8)" devices ())
(name "hb_frtclh" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 9)" devices ())
(name "hb_frtcli" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 10)" devices ())
(name "hb_frtclj" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 11)" devices ())
(name "hb_frtclk" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 12)" devices ())
(name "hb_frtcll" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 13)" devices ())
(name "hb_frtclm" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 14)" devices ())
(name "hb_frtcln" year "200?" manufacturer "Qps" desc "Fruitopia Club (Qps) (set 15)" devices ())
(name "hb_gldpl" year "200?" manufacturer "Qps / Mazooma" desc "Golden Palace (Qps / Mazooma) (set 1)" devices ())
(name "hb_gldpla" year "200?" manufacturer "Qps / Mazooma" desc "Golden Palace (Qps / Mazooma) (set 2)" devices ())
(name "hb_gldwn" year "200?" manufacturer "Fairgames" desc "Golden Winner (Fairgames) (set 1)" devices ())
(name "hb_gldwna" year "200?" manufacturer "Fairgames" desc "Golden Winner (Fairgames) (set 2)" devices ())
(name "hb_gpal" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 1)" devices ())
(name "hb_gpala" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 2)" devices ())
(name "hb_gpalb" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 3)" devices ())
(name "hb_gpalc" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 4)" devices ())
(name "hb_gpald" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 5)" devices ())
(name "hb_gpale" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 6)" devices ())
(name "hb_gpalf" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 7)" devices ())
(name "hb_gpalg" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 8)" devices ())
(name "hb_gpalh" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 9)" devices ())
(name "hb_gpali" year "200?" manufacturer "Qps" desc "Golden Palace (Qps) (set 10)" devices ())
(name "hb_hotst" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 1)" devices ())
(name "hb_hotsta" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 2)" devices ())
(name "hb_hotstb" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 3)" devices ())
(name "hb_hotstc" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 4)" devices ())
(name "hb_hotstd" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 5)" devices ())
(name "hb_hotste" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 6)" devices ())
(name "hb_hotstf" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 7)" devices ())
(name "hb_hotstg" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 8)" devices ())
(name "hb_hotsth" year "200?" manufacturer "JPM?" desc "Hot Stuff (JPM?) (set 9)" devices ())
(name "hb_jailb" year "200?" manufacturer "Qps" desc "Jail Break (Qps) (set 1)" devices ())
(name "hb_jailba" year "200?" manufacturer "Qps" desc "Jail Break (Qps) (set 2)" devices ())
(name "hb_jkrwl" year "200?" manufacturer "Fairgames" desc "Jokers Wild (Fairgames) (set 1)" devices ())
(name "hb_jkrwla" year "200?" manufacturer "Fairgames" desc "Jokers Wild (Fairgames) (set 2)" devices ())
(name "hb_junglet" year "2003" manufacturer "Sega" desc "Jungle Treasures" devices ())
(name "hb_medal" year "200?" manufacturer "Qps" desc "Medallion Job (Qps)" devices ())
(name "hb_mrmon" year "200?" manufacturer "Qps" desc "Mr. Money (Qps) (set 1)" devices ())
(name "hb_mrmona" year "200?" manufacturer "Qps" desc "Mr. Money (Qps) (set 2)" devices ())
(name "hb_mrmonb" year "200?" manufacturer "Qps" desc "Mr. Money (Qps) (set 3)" devices ())
(name "hb_mrmonc" year "200?" manufacturer "Qps" desc "Mr. Money (Qps) (set 4)" devices ())
(name "hb_rckrl" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 1)" devices ())
(name "hb_rckrla" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 2)" devices ())
(name "hb_rckrlb" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 3)" devices ())
(name "hb_rckrlc" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 4)" devices ())
(name "hb_rckrld" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 5)" devices ())
(name "hb_rckrle" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 6)" devices ())
(name "hb_rckrlf" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 7)" devices ())
(name "hb_rckrlg" year "200?" manufacturer "Qps" desc "Rock 'n' Roll (Qps) (set 8)" devices ())
(name "hb_rhv" year "200?" manufacturer "Qps" desc "Red Hot Voucher (Qps) (set 1)" devices ())
(name "hb_rhva" year "200?" manufacturer "Qps" desc "Red Hot Voucher (Qps) (set 2)" devices ())
(name "hb_ringb" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 1)" devices ())
(name "hb_ringba" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 2)" devices ())
(name "hb_ringbb" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 3)" devices ())
(name "hb_ringbc" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 4)" devices ())
(name "hb_ringbd" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 5)" devices ())
(name "hb_ringbe" year "200?" manufacturer "JPM" desc "Ring A Bell (JPM) (set 6)" devices ())
(name "hb_ydd" year "200?" manufacturer "Qps" desc "Yabba-Dabba-Dough (Qps) (set 1)" devices ())
(name "hb_ydda" year "200?" manufacturer "Qps" desc "Yabba-Dabba-Dough (Qps) (set 2)" devices ())
(name "hbarrel" year "1987" manufacturer "Data East Corporation" desc "Heavy Barrel (World)" devices ())
(name "hbarrelu" year "1987" manufacturer "Data East USA" desc "Heavy Barrel (US)" devices ())
(name "hbf1" year "1986" manufacturer "Sony" desc "HB-F1 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf1ii" year "1987" manufacturer "Sony" desc "HB-F1II (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf1xd" year "1987" manufacturer "Sony" desc "HB-F1XD (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf1xdj" year "1988" manufacturer "Sony" desc "HB-F1XDJ (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf1xv" year "1989" manufacturer "Sony" desc "HB-F1XV (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf5" year "1985" manufacturer "Sony" desc "HB-F5 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf500" year "1986" manufacturer "Sony" desc "HB-F500 (MSX2, Japan)" devices ((name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf500_2" year "1986" manufacturer "Sony" desc "HB-F500 2nd version (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf500f" year "1986" manufacturer "Sony" desc "HB-F500F (MSX2, France)" devices ((name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf500p" year "1986" manufacturer "Sony" desc "HB-F500P (MSX2, Europe)" devices ((name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf700d" year "1986" manufacturer "Sony" desc "HB-F700D (MSX2, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf700f" year "1986" manufacturer "Sony" desc "HB-F700F (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf700p" year "1986" manufacturer "Sony" desc "HB-F700P (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf700s" year "1986" manufacturer "Sony" desc "HB-F700S (MSX2, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf900" year "1986" manufacturer "Sony" desc "HB-F900 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf900a" year "1986" manufacturer "Sony" desc "HB-F900 (alt) (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf9p" year "1986" manufacturer "Sony" desc "HB-F9P (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf9pr" year "19??" manufacturer "Sony" desc "HB-F9P (MSX2, Russian, prototype)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbf9s" year "1986" manufacturer "Sony" desc "HB-F9S (MSX2, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbg900ap" year "1987" manufacturer "Sony" desc "HB-G900AP (MSX2, Europe)" devices ((name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hbg900p" year "1986" manufacturer "Sony" desc "HB-G900P (MSX2, Europe)" devices ((name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hc110" year "1978" manufacturer "Votrax/Phonic Mirror" desc "HandiVoice HC-110" devices ())
(name "hc120" year "1978" manufacturer "Votrax/Phonic Mirror" desc "HandiVoice HC-120" devices ())
(name "hc128" year "1991" manufacturer "ICE-Felix" desc "HC-91+ (HC-128)" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hc2000" year "1992" manufacturer "ICE-Felix" desc "HC-2000" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hc5" year "1983" manufacturer "Victor" desc "HC-5 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hc6" year "1984" manufacturer "Victor" desc "HC-6 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hc7" year "1985" manufacturer "Victor" desc "HC-7 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hc85" year "1985" manufacturer "ICE-Felix" desc "HC-85" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hc88" year "1988" manufacturer "ICE-Felix" desc "HC-88" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hc90" year "1990" manufacturer "ICE-Felix" desc "HC-90" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hc91" year "1991" manufacturer "ICE-Felix" desc "HC-91" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "hcastle" year "1988" manufacturer "Konami" desc "Haunted Castle (version M)" devices ())
(name "hcastlee" year "1988" manufacturer "Konami" desc "Haunted Castle (version E)" devices ())
(name "hcastlek" year "1988" manufacturer "Konami" desc "Haunted Castle (version K)" devices ())
(name "hccbaskb" year "1979" manufacturer "Tiger Electronics" desc "Half Court Computer Basketball" devices ())
(name "hclimber" year "1992" manufacturer "Irem" desc "Hill Climber" devices ())
(name "hcrash" year "1987" manufacturer "Konami" desc "Hyper Crash (version D)" devices ())
(name "hcrashc" year "1987" manufacturer "Konami" desc "Hyper Crash (version C)" devices ())
(name "hd_l1" year "1991" manufacturer "Bally" desc "Harley Davidson (L-1)" devices ())
(name "hd_l2" year "1991" manufacturer "Bally" desc "Harley Davidson (L-2)" devices ())
(name "hd_l3" year "1991" manufacturer "Bally" desc "Harley Davidson (L-3)" devices ())
(name "hdrivair" year "1993" manufacturer "Atari Games" desc "Hard Drivin's Airborne (prototype)" devices ())
(name "hdrivairp" year "1993" manufacturer "Atari Games" desc "Hard Drivin's Airborne (prototype, early rev)" devices ())
(name "hds200" year "1985" manufacturer "Human Designed Systems" desc "HDS200" devices ())
(name "headg2" year "199?" manufacturer "<unknown>" desc "286 motherboards with Headland G2 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "headon" year "1979" manufacturer "Gremlin" desc "Head On (2 players)" devices ())
(name "headon1" year "1979" manufacturer "Gremlin" desc "Head On (1 player)" devices ())
(name "headon2" year "1979" manufacturer "Sega" desc "Head On 2" devices ())
(name "headon2s" year "1979" manufacturer "bootleg (Sidam)" desc "Head On 2 (Sidam bootleg)" devices ())
(name "headonch" year "1994" manufacturer "hack" desc "Monita to Rimoko no Head On Channel (prototype, hack)" devices ())
(name "headoni" year "1979" manufacturer "Irem" desc "Head On (Irem, M-15 Hardware)" devices ())
(name "headonmz" year "1979" manufacturer "bootleg" desc "Head On (bootleg, alt maze)" devices ())
(name "headonn" year "1979" manufacturer "Nintendo" desc "Head On N" devices ())
(name "headons" year "1979" manufacturer "bootleg (Sidam)" desc "Head On (Sidam bootleg, set 1)" devices ())
(name "headonsa" year "1979" manufacturer "bootleg (Sidam)" desc "Head On (Sidam bootleg, set 2)" devices ())
(name "heartatk" year "1983" manufacturer "Century Electronics" desc "Heart Attack" devices ())
(name "heartgld" year "2003" manufacturer "Aristocrat" desc "Heart of Gold (20169511, NSW/ACT)" devices ())
(name "heartglda" year "2004" manufacturer "Aristocrat" desc "Heart of Gold (10184211, ASP)" devices ())
(name "heartspd" year "1978" manufacturer "Allied Leisure" desc "Hearts & Spades" devices ())
(name "heartveg" year "2006" manufacturer "Aristocrat" desc "Heart of Vegas (10232911, NSW/ACT)" devices ())
(name "heatbrl" year "1992" manufacturer "TAD Corporation" desc "Heated Barrel (World version 3)" devices ())
(name "heatbrl2" year "1992" manufacturer "TAD Corporation" desc "Heated Barrel (World version 2)" devices ())
(name "heatbrl3" year "1992" manufacturer "TAD Corporation" desc "Heated Barrel (World version ?)" devices ())
(name "heatbrle" year "1992" manufacturer "TAD Corporation (Electronic Devices license)" desc "Heated Barrel (Electronic Devices license)" devices ())
(name "heatbrlo" year "1992" manufacturer "TAD Corporation" desc "Heated Barrel (World old version)" devices ())
(name "heatbrlu" year "1992" manufacturer "TAD Corporation" desc "Heated Barrel (US)" devices ())
(name "heatof11" year "1998" manufacturer "Konami" desc "Heat of Eleven '98 (ver EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "heavymtl" year "198?" manufacturer "Rowamet" desc "Heavy Metal" devices ())
(name "heberpop" year "1994" manufacturer "Sunsoft / Atlus" desc "Hebereke no Popoon (Japan)" devices ())
(name "hec2hr" year "1983" manufacturer "Micronique" desc "Hector 2HR" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "hec2hrp" year "1983" manufacturer "Micronique" desc "Hector 2HR+" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "hec2hrx" year "1984" manufacturer "Micronique" desc "Hector HRX + Disc2" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hec2mdhrx" year "1985" manufacturer "Micronique" desc "Hector HRX + mini Disc" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "hec2mx40" year "1985" manufacturer "Micronique" desc "Hector MX 40c + Disc2" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hec2mx80" year "1985" manufacturer "Micronique" desc "Hector MX 80c + Disc2" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hector1" year "1983" manufacturer "Micronique" desc "Hector 1" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "hedpanic" year "2000" manufacturer "ESD" desc "Head Panic (ver. 0117, 17/01/2000)" devices ())
(name "hedpanica" year "1999" manufacturer "ESD" desc "Head Panic (ver. 0702, 02/07/1999)" devices ())
(name "hedpanicf" year "2000" manufacturer "ESD / Fuuki" desc "Head Panic (ver. 0315, 15/03/2000)" devices ())
(name "hedpanico" year "1999" manufacturer "ESD" desc "Head Panic (ver. 0615, 15/06/1999)" devices ())
(name "heiankyo" year "1979" manufacturer "Denki Onkyo" desc "Heiankyo Alien" devices ())
(name "hektor" year "1981" manufacturer "The Open University" desc "Hektor" devices ((name "cassette" briefname "cass" )))
(name "hektor2" year "1982" manufacturer "The Open University" desc "Hektor II" devices ((name "cassette" briefname "cass" )))
(name "hektor3" year "1984" manufacturer "The Open University" desc "Hektor III" devices ((name "cassette" briefname "cass" )))
(name "helifire" year "1980" manufacturer "Nintendo" desc "HeliFire (set 1)" devices ())
(name "helifirea" year "1980" manufacturer "Nintendo" desc "HeliFire (set 2)" devices ())
(name "hellfire" year "1989" manufacturer "Toaplan (Taito license)" desc "Hellfire (2P set)" devices ())
(name "hellfire1" year "1989" manufacturer "Toaplan (Taito license)" desc "Hellfire (1P set)" devices ())
(name "hellfire1a" year "1989" manufacturer "Toaplan (Taito license)" desc "Hellfire (1P set, older)" devices ())
(name "hellfire2a" year "1989" manufacturer "Toaplan (Taito license)" desc "Hellfire (2P set, older)" devices ())
(name "hellngt" year "1998" manufacturer "Konami" desc "Hell Night (ver EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "herbiedk" year "1984" manufacturer "Seatongrove UK, Ltd." desc "Herbie at the Olympics (DK conversion)" devices ())
(name "hercules" year "1979" manufacturer "Atari" desc "Hercules" devices ())
(name "hermit" year "1995" manufacturer "Dugamex" desc "The Hermit (Ver. 1.14)" devices ())
(name "hero" year "1984" manufacturer "Seatongrove UK, Ltd." desc "Hero" devices ())
(name "herodk" year "1984" manufacturer "Seatongrove UK, Ltd. (Crown license)" desc "Hero in the Castle of Doom (DK conversion)" devices ())
(name "herodku" year "1984" manufacturer "Seatongrove UK, Ltd. (Crown license)" desc "Hero in the Castle of Doom (DK conversion, not encrypted)" devices ())
(name "heromem" year "1997" manufacturer "Taito" desc "Heroine's Memory" devices ())
(name "heuksun" year "1997" manufacturer "Oksan / F2 System" desc "Heuk Sun Baek Sa (Korea)" devices ())
(name "hexa" year "199?" manufacturer "D.R. Korea" desc "Hexa" devices ())
(name "hexaa" year "199?" manufacturer "D.R. Korea" desc "Hexa (with 2xZ80, protected)" devices ())
(name "hexagone" year "1986" manufacturer "Christian Tabart" desc "L'Hexagone (France)" devices ())
(name "hexaprs" year "1995" manufacturer "Yuvo / Yubis" desc "Hexa President (YM2610 set)" devices ())
(name "hexaprsz" year "1995" manufacturer "Yuvo / Yubis" desc "Hexa President (YMZ280B set)" devices ())
(name "hexion" year "1992" manufacturer "Konami" desc "Hexion (Japan ver JAB)" devices ())
(name "hexionb" year "1992" manufacturer "bootleg (Impeuropex Corp.)" desc "Hexion (Asia ver AAA, bootleg)" devices ())
(name "hexpool" year "1986" manufacturer "Senko Industries (Shinkai Inc. license)" desc "Hex Pool (Shinkai)" devices ())
(name "hexpoola" year "1985" manufacturer "Senko Industries" desc "Hex Pool (Senko)" devices ())
(name "hg_frd" year "198?" manufacturer "Hazel Grove" desc "Fruit Deuce (Hazel Grove)" devices ())
(name "hginga" year "1994" manufacturer "Dynax" desc "Hanafuda Hana Ginga (Japan)" devices ())
(name "hgkairak" year "1998" manufacturer "Psikyo" desc "Taisen Hot Gimmick Kairakuten (Japan)" devices ())
(name "hglbtrtr" year "1979" manufacturer "Bally" desc "Harlem Globetrotters On Tour" devices ())
(name "hgokbang" year "1995" manufacturer "Dynax" desc "Hanafuda Hana Gokou Bangaihen (Japan)" devices ())
(name "hgokou" year "1995" manufacturer "Dynax (Alba license)" desc "Hanafuda Hana Gokou (Japan)" devices ())
(name "hh" year "1982" manufacturer "Gottlieb" desc "Haunted House (Rev. 2)" devices ())
(name "hh_1" year "1982" manufacturer "Gottlieb" desc "Haunted House (Rev. 1)" devices ())
(name "hharry" year "1990" manufacturer "Irem" desc "Hammerin' Harry (World, M81 hardware)" devices ())
(name "hharryb" year "1990" manufacturer "bootleg" desc "Hammerin' Harry (World, M84 hardware bootleg)" devices ())
(name "hharryb2" year "1990" manufacturer "bootleg (Playmark)" desc "Hammerin' Harry (Playmark bootleg)" devices ())
(name "hharryu" year "1990" manufacturer "Irem America" desc "Hammerin' Harry (US, M84 hardware)" devices ())
(name "hhhippos" year "1991" manufacturer "ICE (Innovative Concepts in Entertainment)" desc "Hungry Hungry Hippos (redemption game)" devices ())
(name "hhotel" year "1981" manufacturer "LTD" desc "Haunted Hotel" devices ())
(name "hhtiger" year "1983" manufacturer "H/H Microcomputers" desc "H/H Tiger" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hidctch2" year "1999" manufacturer "Eolith" desc "Hidden Catch 2 (pcb ver 3.03) (Kor/Eng) (AT89c52 protected)" devices ())
(name "hidctch2a" year "1999" manufacturer "Eolith" desc "Hidden Catch 2 (pcb ver 1.00) (Kor/Eng/Jpn/Chi)" devices ())
(name "hidctch3" year "2000" manufacturer "Eolith" desc "Hidden Catch 3 (ver 1.00 / pcb ver 3.05)" devices ())
(name "hideseek" year "200?" manufacturer "<unknown>" desc "Hide & Seek" devices ())
(name "hidnc2k" year "1999" manufacturer "Eolith" desc "Hidden Catch 2000 (AT89c52 protected)" devices ())
(name "hidnctch" year "1998" manufacturer "Eolith" desc "Hidden Catch (World) / Tul Lin Gu Lim Chat Ki '98 (Korea) (pcb ver 3.03)" devices ())
(name "hidnctcha" year "1998" manufacturer "Eolith" desc "Hidden Catch (World) / Tul Lin Gu Lim Chat Ki '98 (Korea) (pcb ver 3.02)" devices ())
(name "higemaru" year "1984" manufacturer "Capcom" desc "Pirate Ship Higemaru" devices ())
(name "highnoon" year "2001" manufacturer "Aristocrat" desc "High Noon (20004111, NSW/ACT)" devices ())
(name "highroll" year "1982" manufacturer "bootleg?" desc "High Roller" devices ())
(name "highsplt" year "1979" manufacturer "Nintendo" desc "SF-HiSplitter (set 1)" devices ())
(name "highsplta" year "1979" manufacturer "Nintendo" desc "SF-HiSplitter (set 2)" devices ())
(name "highspltb" year "1979" manufacturer "Nintendo" desc "SF-HiSplitter (alt sound)" devices ())
(name "higurashi" year "2009" manufacturer "AQ Interactive" desc "Higurashi no Naku Koro ni Jong (Japan)" devices ())
(name "hiimpact" year "1990" manufacturer "Williams" desc "High Impact Football (rev LA5 02/15/91)" devices ())
(name "hiimpact1" year "1990" manufacturer "Williams" desc "High Impact Football (rev LA1 12/16/90)" devices ())
(name "hiimpact2" year "1990" manufacturer "Williams" desc "High Impact Football (rev LA2 12/26/90)" devices ())
(name "hiimpact3" year "1990" manufacturer "Williams" desc "High Impact Football (rev LA3 12/27/90)" devices ())
(name "hiimpact4" year "1990" manufacturer "Williams" desc "High Impact Football (rev LA4 02/04/91)" devices ())
(name "hiimpactp" year "1990" manufacturer "Williams" desc "High Impact Football (prototype, revision0 proto 8.6 12/09/90)" devices ())
(name "hikara" year "2008" manufacturer "Takara Tomy / SSD Company LTD" desc "Hi-kara (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "hikcheck" year "2000" manufacturer "Sega" desc "Hikaru Check ROM Board" devices ())
(name "himesiki" year "1989" manufacturer "Hi-Soft" desc "Himeshikibu (Japan)" devices ())
(name "hipai" year "2003" manufacturer "Aruze / Seta" desc "Hi Pai Paradise" devices ())
(name "hipai2" year "2004" manufacturer "Aruze / Seta / Paon" desc "Hi Pai Paradise 2" devices ())
(name "hipoly" year "1983" manufacturer "bootleg" desc "Hipoly (bootleg of Hyper Olympic)" devices ())
(name "hippodrm" year "1989" manufacturer "Data East USA" desc "Hippodrome (US)" devices ())
(name "hirol_fr" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 3.00, display F3.00, France)" devices ())
(name "hirol_gr" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 3.00, display G3.00, Germany)" devices ())
(name "hirol_gr_210" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 2.10, display G2.01, Germany)" devices ())
(name "hirol_it" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 3.00, display I3.00, Italy)" devices ())
(name "hirolcas" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 3.00, display A3.00)" devices ())
(name "hirolcas_210" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 2.10, display A2.00)" devices ())
(name "hirolcat" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 2.90, display A2.99)" devices ())
(name "hironew" year "2001" manufacturer "Stern" desc "High Roller Casino (CPU 3.00, display A3.00, ARM7 sound board)" devices ())
(name "hiryuken" year "1985" manufacturer "Taiyo System (Taito license)" desc "Hokuha Syourin Hiryu no Ken" devices ())
(name "hisaturn" year "1995" manufacturer "Hitachi" desc "HiSaturn" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "hishouza" year "1987" manufacturer "Toaplan / Taito Corporation" desc "Hishou Zame (Japan)" devices ())
(name "hishouzab" year "1987" manufacturer "bootleg" desc "Hishou Zame (Japan, bootleg)" devices ())
(name "histryma" year "199?" manufacturer "bootleg" desc "The History of Martial Arts (set 1)" devices ())
(name "histryma2" year "199?" manufacturer "bootleg" desc "The History of Martial Arts (set 2)" devices ())
(name "hitice" year "1990" manufacturer "Taito Corporation (Williams license)" desc "Hit the Ice (US)" devices ())
(name "hiticej" year "1990" manufacturer "Taito Corporation (licensed from Midway)" desc "Hit the Ice (Japan)" devices ())
(name "hiticerb" year "1990" manufacturer "Taito Corporation (Williams license)" desc "Hit the Ice (US, with riser board)" devices ())
(name "hitme" year "1976" manufacturer "Ramtek" desc "Hit Me (set 1)" devices ())
(name "hitme1" year "1976" manufacturer "Ramtek" desc "Hit Me (set 2)" devices ())
(name "hitnmiss" year "1987" manufacturer "Exidy" desc "Hit 'n Miss (version 3.0)" devices ())
(name "hitnmiss2" year "1987" manufacturer "Exidy" desc "Hit 'n Miss (version 2.0)" devices ())
(name "hitpar" year "1977" manufacturer "Atari Europe" desc "Hit Parade 108 / 144 / 160" devices ())
(name "hitpoker" year "1997" manufacturer "Accept Ltd." desc "Hit Poker (Bulgaria)" devices ())
(name "hjingi" year "1990" manufacturer "Dynax" desc "Hana Jingi (Japan set 1)" devices ())
(name "hjingia" year "1990" manufacturer "Dynax" desc "Hana Jingi (Japan set 2)" devices ())
(name "hk1000" year "198?" manufacturer "Orla" desc "HK1000" devices ())
(name "hkagerou" year "1997" manufacturer "Nakanihon / Dynax" desc "Hana Kagerou (Japan)" devices ())
(name "hkb502" year "201?" manufacturer "<unknown>" desc "HKB-502 268-in-1 (set 1)" devices ())
(name "hkb502a" year "201?" manufacturer "<unknown>" desc "HKB-502 268-in-1 (set 2)" devices ())
(name "hkc8800a" year "1984" manufacturer "China HKC" desc "HKC 8800A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "hldspin1" year "2000" manufacturer "Amcoe" desc "Hold & Spin I (Version 2.7T, set 1)" devices ())
(name "hldspin1dt" year "2000" manufacturer "Amcoe" desc "Hold & Spin I (Version 2.7T, set 2)" devices ())
(name "hldspin1o" year "2000" manufacturer "Amcoe" desc "Hold & Spin I (Version 2.5T)" devices ())
(name "hldspin1vt" year "2000" manufacturer "Amcoe" desc "Hold & Spin I (Version 2.7T Dual)" devices ())
(name "hldspin2" year "2000" manufacturer "Amcoe" desc "Hold & Spin II (Version 2.8R, set 1)" devices ())
(name "hldspin2d1" year "2000" manufacturer "Amcoe" desc "Hold & Spin II (Version 2.8R, set 2)" devices ())
(name "hldspin2o" year "2000" manufacturer "Amcoe" desc "Hold & Spin II (Version 2.6)" devices ())
(name "hldspin2v1" year "2000" manufacturer "Amcoe" desc "Hold & Spin II (Version 2.8R Dual)" devices ())
(name "hlntroy" year "2002" manufacturer "Aristocrat" desc "Helen of Troy (1J008311, NSW/ACT)" devices ())
(name "hlntroya" year "2002" manufacturer "Aristocrat" desc "Helen of Troy (10129121, ASP)" devices ())
(name "hlntroyb" year "2002" manufacturer "Aristocrat" desc "Helen of Troy (10122711, ASP)" devices ())
(name "hlntroyc" year "2002" manufacturer "Aristocrat" desc "Helen of Troy (10116411, ASP)" devices ())
(name "hlntroyu" year "2004" manufacturer "Aristocrat" desc "Helen of Troy (0151336, US)" devices ())
(name "hlywoodh" year "1986" manufacturer "Gottlieb" desc "Hollywood Heat" devices ())
(name "hlywoodhf" year "1986" manufacturer "Gottlieb" desc "Hollywood Heat (French)" devices ())
(name "hlywoodhg" year "1986" manufacturer "Gottlieb" desc "Hollywood Heat (German)" devices ())
(name "hmcompm2" year "2000" manufacturer "Konami" desc "hiphopmania complete MIX 2 (ver UA-A)" devices ((name "harddisk" briefname "hard" )))
(name "hmcompmx" year "1999" manufacturer "Konami" desc "hiphopmania complete MIX (ver UA-B)" devices ((name "harddisk" briefname "hard" )))
(name "hmg1292" year "1979" manufacturer "Hanimex" desc "HMG 1292" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "hmg1392" year "1979" manufacturer "Hanimex" desc "HMG 1392" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "hmg2650" year "1982" manufacturer "Hanimex" desc "HMG-2650" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "hmgeo" year "2001" manufacturer "Capcom" desc "Heavy Metal: Geomatrix (Rev B)" devices ())
(name "hmxpro" year "1994" manufacturer "Network Computing Devices" desc "NCD HMX PRO" devices ())
(name "hnageman" year "1990" manufacturer "Nichibutsu / AV Japan" desc "AV Hanafuda Hana no Ageman (Japan 900716)" devices ())
(name "hnayayoi" year "1987" manufacturer "Dyna Electronics" desc "Hana Yayoi (Japan)" devices ())
(name "hncholms" year "1984" manufacturer "Seatongrove UK, Ltd." desc "Hunchback Olympic (Scramble hardware)" devices ())
(name "hndlchmp" year "1997" manufacturer "Konami" desc "Handle Champ (GQ710 97/12/18 VER. SAA)" devices ())
(name "hndlchmpj" year "1997" manufacturer "Konami" desc "Handle Champ (GQ710 1997/12/08 VER. JAB)" devices ())
(name "hnfubuki" year "1987" manufacturer "Dynax" desc "Hana Fubuki (Japan)" devices ())
(name "hngmnjpm" year "1998" manufacturer "JPM" desc "Hangman (JPM)" devices ())
(name "hngmnjpmd" year "1998" manufacturer "JPM" desc "Hangman (JPM) (Protocol)" devices ())
(name "hnkochou" year "1989" manufacturer "Dynax" desc "Hana Kochou (Japan)" devices ())
(name "hnktonku" year "2001" manufacturer "Aristocrat" desc "Honky Tonk (BHG1455, US)" devices ())
(name "hnoridur" year "1989" manufacturer "Dynax" desc "Hana Oriduru (Japan)" devices ())
(name "hnxmasev" year "1990" manufacturer "Nichibutsu / AV Japan" desc "AV Hanafuda Hana no Christmas Eve (Japan 901204)" devices ())
(name "hobby" year "1987" manufacturer "BP EVM" desc "PK8000 Sura/Hobby" devices ((name "cassette" briefname "cass" )))
(name "hoccer" year "1983" manufacturer "Eastern Micro Electronics, Inc." desc "Hoccer (newer)" devices ())
(name "hoccer2" year "1983" manufacturer "Eastern Micro Electronics, Inc." desc "Hoccer (earlier)" devices ())
(name "hockyrmt" year "1973" manufacturer "Ramtek" desc "Hockey (Ramtek)" devices ())
(name "hocrash" year "1979" manufacturer "bootleg (Fraber)" desc "Crash (bootleg of Head On)" devices ())
(name "hod" year "1978" manufacturer "Zaccaria" desc "House of Diamonds" devices ())
(name "hoedown" year "1978" manufacturer "Allied Leisure" desc "Hoe Down" devices ())
(name "hogalley" year "1985" manufacturer "Nintendo" desc "Vs. Hogan's Alley (set HA4-1 E-1)" devices ())
(name "hogwild" year "2003" manufacturer "Uniana" desc "Hog Wild (US)" devices ())
(name "hohnadam" year "1994" manufacturer "Hohner" desc "ADAM Advanced Digital/Analog Musical Instrument" devices ())
(name "holddraw" year "1981" manufacturer "Amstar" desc "Hold & Draw" devices ())
(name "holdrma6" year "2002" manufacturer "Aristocrat" desc "Hollywood Dreams (10100511, NSW/ACT)" devices ())
(name "holdrma6a" year "2002" manufacturer "Aristocrat" desc "Hollywood Dreams (10122811, ASP)" devices ())
(name "holeland" year "1984" manufacturer "Tecfri" desc "Hole Land (Japan)" devices ())
(name "holeland2" year "1984" manufacturer "Tecfri" desc "Hole Land (Spain)" devices ())
(name "holo" year "1992" manufacturer "Sega" desc "Holosseum (US, Rev A)" devices ())
(name "homelab2" year "1982" manufacturer "Jozsef and Endre Lukacs" desc "Homelab 2 / Aircomp 16" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "homelab3" year "1983" manufacturer "Jozsef and Endre Lukacs" desc "Homelab 3" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "homelab4" year "1984" manufacturer "Jozsef and Endre Lukacs" desc "Homelab 4" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "homerun" year "1988" manufacturer "Jaleco" desc "Moero!! Pro Yakyuu Homerun Kyousou" devices ())
(name "homez80" year "2008" manufacturer "Kun-Szabo Marton" desc "Homebrew Z80 Computer" devices ())
(name "homo" year "1987" manufacturer "bootleg" desc "Homo" devices ())
(name "homura" year "2005" manufacturer "SKonec Entertainment" desc "Homura (v2.04J)" devices ())
(name "honeydol" year "1995" manufacturer "Barko Corp." desc "Honey Doll" devices ())
(name "honeypot" year "2000" manufacturer "Aristocrat" desc "Honey Pot (03J00241, NSW/ACT)" devices ())
(name "honooinv" year "1997" manufacturer "Taito Corporation" desc "Honoo no Invader (Japan, main ver. 1.35, video ver. 1.35)" devices ())
(name "hook" year "1992" manufacturer "Irem" desc "Hook (World)" devices ())
(name "hook_400" year "1992" manufacturer "Data East" desc "Hook (USA 4.01, display A4.00)" devices ())
(name "hook_401" year "1992" manufacturer "Data East" desc "Hook (USA 4.01, display A4.01)" devices ())
(name "hook_401_p" year "1992" manufacturer "Data East" desc "Hook (USA 4.01 with prototype sound, display A4.01)" devices ())
(name "hook_404" year "1992" manufacturer "Data East" desc "Hook (USA 4.04, display A4.01)" devices ())
(name "hook_408" year "1992" manufacturer "Data East" desc "Hook (USA 4.08, display A4.01)" devices ())
(name "hook_e406" year "1992" manufacturer "Data East" desc "Hook (UK 4.06, display A4.01)" devices ())
(name "hook_f401" year "1992" manufacturer "Data East" desc "Hook (USA 4.01, display F4.01)" devices ())
(name "hookj" year "1992" manufacturer "Irem" desc "Hook (Japan)" devices ())
(name "hooku" year "1992" manufacturer "Irem America" desc "Hook (US)" devices ())
(name "hoopitup" year "1995" manufacturer "Atari Games" desc "Hoop it Up World Tour - 3 on 3 (Rev 23)" devices ())
(name "hoopitup21" year "1995" manufacturer "Atari Games" desc "Hoop it Up World Tour - 3 on 3 (Rev 21)" devices ())
(name "hoops" year "1991" manufacturer "Gottlieb" desc "Hoops" devices ())
(name "hoops95" year "1995" manufacturer "Data East Corporation" desc "Hoops (Europe/Asia 1.7)" devices ())
(name "hoops96" year "1996" manufacturer "Data East Corporation" desc "Hoops '96 (Europe/Asia 2.0)" devices ())
(name "hoopshot" year "1992" manufacturer "Doyle & Assoc." desc "Hoop Shot (version 05.22)" devices ())
(name "hopmappy" year "1986" manufacturer "Namco" desc "Hopping Mappy" devices ())
(name "hopper" year "2002" manufacturer "Sega" desc "SWP Hopper Board" devices ())
(name "hopprobo" year "1983" manufacturer "Sega" desc "Hopper Robo" devices ())
(name "horekid" year "1987" manufacturer "Nichibutsu" desc "Kid no Hore Hore Daisakusen" devices ())
(name "horekidb" year "1987" manufacturer "bootleg" desc "Kid no Hore Hore Daisakusen (bootleg set 1)" devices ())
(name "horekidb2" year "1987" manufacturer "bootleg" desc "Kid no Hore Hore Daisakusen (bootleg set 2)" devices ())
(name "horizon" year "1985" manufacturer "Irem" desc "Horizon (Irem)" devices ())
(name "horocomp" year "1979" manufacturer "Mattel Electronics" desc "Horoscope Computer" devices ())
(name "horseran" year "1979" manufacturer "Mattel Electronics" desc "Thoroughbred Horse Race Analyzer" devices ())
(name "horses4c" year "2000" manufacturer "Konami" desc "Horses For Courses (NSW, Australia)" devices ())
(name "horshoes" year "1990" manufacturer "Taito America Corporation" desc "American Horseshoes (US)" devices ())
(name "hostinv" year "1998" manufacturer "The Game Room" desc "Host Invaders" devices ((name "cdrom" briefname "cdrm" )))
(name "hot304" year "198?" manufacturer "Shuttle Computer International" desc "HOT-304" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "hot307h" year "198?" manufacturer "Shuttle Computer International" desc "HOT-307H" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "hot409" year "199?" manufacturer "Shuttle Computer International" desc "HOT-409" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "hot419" year "199?" manufacturer "Shuttle Computer International" desc "HOT-419" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "hot433" year "199?" manufacturer "Shuttle Computer International" desc "HOT-433" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "hotbi13b" year "198?" manufacturer "Sharp / Epcom" desc "HB-8000 Hotbit 1.3b (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hotbi13p" year "198?" manufacturer "Sharp / Epcom" desc "HB-8000 Hotbit 1.3p (MSX1, Brazil)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hotbit20" year "1986" manufacturer "Sharp / Epcom" desc "HB-8000 Hotbit 2.0 (MSX2)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hotblock" year "1993" manufacturer "NIX?" desc "Hot Blocks - Tetrix II (set 1)" devices ())
(name "hotblocka" year "1993" manufacturer "NIX?" desc "Hot Blocks - Tetrix II (set 2)" devices ())
(name "hotblockb" year "1993" manufacturer "NIX?" desc "Hot Blocks - Tetrix II (set 3)" devices ())
(name "hotbody" year "1995" manufacturer "Gameace" desc "Hot Body I" devices ())
(name "hotbody2" year "1995" manufacturer "Gameace" desc "Hot Body II" devices ())
(name "hotbubl" year "1998" manufacturer "Afega (Pandora license)" desc "Hot Bubble (Korea, with adult pictures)" devices ())
(name "hotbubla" year "1998" manufacturer "Afega (Pandora license)" desc "Hot Bubble (Korea)" devices ())
(name "hotchase" year "1988" manufacturer "Konami" desc "Hot Chase (set 1)" devices ())
(name "hotchasea" year "1988" manufacturer "Konami" desc "Hot Chase (set 2)" devices ())
(name "hotchili" year "1995" manufacturer "Pacific Gaming Pty Ltd." desc "Hot Chilli (95103, v0104)" devices ())
(name "hotd" year "1997" manufacturer "Sega" desc "The House of the Dead (Revision A)" devices ())
(name "hotd2" year "1998" manufacturer "Sega" desc "The House of the Dead 2 (USA)" devices ())
(name "hotd2e" year "1998" manufacturer "Sega" desc "The House of the Dead 2 (Export)" devices ())
(name "hotd2o" year "1998" manufacturer "Sega" desc "The House of the Dead 2" devices ())
(name "hotd2p" year "1998" manufacturer "Sega" desc "The House of the Dead 2 (prototype)" devices ())
(name "hotd3" year "2002" manufacturer "Sega / Wow Entertainment" desc "The House of the Dead III (GDX-0001)" devices ((name "cdrom" briefname "cdrm" )))
(name "hotd4" year "2005" manufacturer "Sega" desc "The House of the Dead 4 (Export) (Rev B)" devices ())
(name "hotd4a" year "2005" manufacturer "Sega" desc "The House of the Dead 4 (Export) (Rev A)" devices ())
(name "hotdebut" year "2000" manufacturer "MOSS / Psikyo" desc "Quiz de Idol! Hot Debut (Japan)" devices ())
(name "hotdex" year "2008" manufacturer "Sega" desc "The House of the Dead EX (Japan)" devices ())
(name "hotdo" year "1997" manufacturer "Sega" desc "The House of the Dead" devices ())
(name "hotdoggn" year "1980" manufacturer "Bally" desc "Hotdoggin'" devices ())
(name "hotdogst" year "1996" manufacturer "Marble (Ace International license)" desc "Hotdog Storm (Korea)" devices ())
(name "hotdp" year "1997" manufacturer "Sega" desc "The House of the Dead (prototype)" devices ())
(name "hotgm4ev" year "2000" manufacturer "Psikyo" desc "Taisen Hot Gimmick 4 Ever (Japan)" devices ())
(name "hotgmck" year "1997" manufacturer "Psikyo" desc "Taisen Hot Gimmick (Japan)" devices ())
(name "hotgmck3" year "1999" manufacturer "Psikyo" desc "Taisen Hot Gimmick 3 Digital Surfing (Japan)" devices ())
(name "hotgmcki" year "2001" manufacturer "Psikyo" desc "Mahjong Hot Gimmick Integral (Japan)" devices ())
(name "hotgmkmp" year "2005" manufacturer "XNauts" desc "Taisen Hot Gimmick Mix Party" devices ())
(name "hothand" year "1979" manufacturer "Stern" desc "Hot Hand" devices ())
(name "hotmemry" year "1994" manufacturer "Incredible Technologies (Tuning license)" desc "Hot Memory (V1.2, Germany, 12/28/94)" devices ())
(name "hotmemry11" year "1994" manufacturer "Incredible Technologies (Tuning license)" desc "Hot Memory (V1.1, Germany, 11/30/94)" devices ())
(name "hotmind" year "1995" manufacturer "Playmark" desc "Hot Mind (Hard Times hardware)" devices ())
(name "hotminda" year "1995" manufacturer "Playmark" desc "Hot Mind (adjustable prize)" devices ())
(name "hotmindff" year "199?" manufacturer "Playmark" desc "Hot Mind (Fit of Fighting hardware)" devices ())
(name "hotnight" year "1994" manufacturer "Bulldog Amusements Inc." desc "Hot Night" devices ())
(name "hotpinbl" year "1995" manufacturer "Comad & New Japan System" desc "Hot Pinball" devices ())
(name "hotrod" year "1988" manufacturer "Sega" desc "Hot Rod (World, 3 Players, Turbo set 1, Floppy Based)" devices ())
(name "hotroda" year "1988" manufacturer "Sega" desc "Hot Rod (World, 3 Players, Turbo set 2, Floppy Based)" devices ())
(name "hotrodj" year "1988" manufacturer "Sega" desc "Hot Rod (Japan, 4 Players, Floppy Based, Rev C)" devices ())
(name "hotrodja" year "1988" manufacturer "Sega" desc "Hot Rod (Japan, 4 Players, Floppy Based, Rev B)" devices ())
(name "hotshock" year "1982" manufacturer "E.G. Felaco (Domino license)" desc "Hot Shocker" devices ())
(name "hotshockb" year "1982" manufacturer "E.G. Felaco" desc "Hot Shocker (early revision?)" devices ())
(name "hotshots" year "1989" manufacturer "Gottlieb" desc "Hot Shots" devices ())
(name "hotshotsf" year "1989" manufacturer "Gottlieb" desc "Hot Shots (French)" devices ())
(name "hotshotsg" year "1989" manufacturer "Gottlieb" desc "Hot Shots (German)" devices ())
(name "hotslot" year "1996" manufacturer "ABM Games" desc "Hot Slot (ver. 05.01)" devices ())
(name "hotslots" year "2002" manufacturer "Impera" desc "Hot Slots (6.00)" devices ())
(name "hotsmash" year "1987" manufacturer "Kaneko / Taito" desc "Vs. Hot Smash" devices ())
(name "hotstuff" year "????" manufacturer "Olympic Video Gaming" desc "Olympic Hot Stuff (TAS 5 Reel System)" devices ())
(name "hottop" year "2003" manufacturer "WMS" desc "Hot Toppings (English)" devices ())
(name "hottopa" year "2001" manufacturer "WMS" desc "Hot Toppings (Russian?)" devices ())
(name "hotwheel" year "1979" manufacturer "Zaccaria" desc "Hot Wheels" devices ())
(name "hotwhl2p" year "2006" manufacturer "Mattel" desc "Hot Wheels (2 player, pad controllers)" devices ())
(name "hourouki" year "1987" manufacturer "Home Data" desc "Mahjong Hourouki Part 1 - Seishun Hen (Japan)" devices ())
(name "houseball" year "1989" manufacturer "Olakoa" desc "House Ball" devices ())
(name "housecard" year "1983" manufacturer "Merit" desc "House of Cards (HSC1)" devices ())
(name "househrt" year "2004" manufacturer "Aristocrat" desc "House of Hearts (10200311, NSW/ACT)" devices ())
(name "househrta" year "2005" manufacturer "Aristocrat" desc "House of Hearts (10208411, ASP)" devices ())
(name "housemn2" year "1987" manufacturer "Nichibutsu" desc "House Mannequin Roppongi Live hen (Japan 870418)" devices ())
(name "housemnq" year "1987" manufacturer "Nichibutsu" desc "House Mannequin (Japan 870217)" devices ())
(name "howzat" year "1980" manufacturer "Hankin" desc "Howzat!" devices ())
(name "hp16500b" year "1991" manufacturer "Hewlett Packard" desc "HP 16500b" devices ())
(name "hp1650b" year "1989" manufacturer "Hewlett Packard" desc "HP 1650b" devices ())
(name "hp1651b" year "1989" manufacturer "Hewlett Packard" desc "HP 1651b" devices ())
(name "hp165ka0" year "1991" manufacturer "Hewlett Packard" desc "HP 16500a" devices ())
(name "hp2100" year "1966" manufacturer "Hewlett-Packard" desc "HP 2100" devices ())
(name "hp2622a" year "1982" manufacturer "HP" desc "HP-2622A" devices ())
(name "hp2641" year "1976" manufacturer "Hewlett-Packard" desc "HP 2641A" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" )))
(name "hp2645" year "1976" manufacturer "Hewlett-Packard" desc "HP 2645A" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" )))
(name "hp3478a" year "1983" manufacturer "HP" desc "HP 3478A Multimeter" devices ())
(name "hp38g" year "1995" manufacturer "Hewlett Packard" desc "HP38G" devices ())
(name "hp39g" year "2000" manufacturer "Hewlett Packard" desc "HP39G" devices ())
(name "hp48g" year "1993" manufacturer "Hewlett Packard" desc "HP48G" devices ())
(name "hp48gp" year "1998" manufacturer "Hewlett Packard" desc "HP48G+" devices ())
(name "hp48gx" year "1993" manufacturer "Hewlett Packard" desc "HP48GX" devices ((name "port1" briefname "p1" ) (name "port2" briefname "p2" )))
(name "hp48s" year "1991" manufacturer "Hewlett Packard" desc "HP48S" devices ())
(name "hp48sx" year "1990" manufacturer "Hewlett Packard" desc "HP48SX" devices ((name "port1" briefname "p1" ) (name "port2" briefname "p2" )))
(name "hp49g" year "1999" manufacturer "Hewlett Packard" desc "HP49G" devices ())
(name "hp49gp" year "2009" manufacturer "Hewlett Packard" desc "HP49G+" devices ())
(name "hp64k" year "1979" manufacturer "HP" desc "HP 64000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp700_70" year "1994" manufacturer "Hewlett-Packard" desc "HP 700/70 Windowing Terminal" devices ())
(name "hp700_92" year "1987" manufacturer "Hewlett-Packard" desc "HP 700/92 Display Terminal" devices ())
(name "hp7596a" year "1988" manufacturer "Hewlett-Packard" desc "HP 7596A DraftMaster II" devices ())
(name "hp85" year "1980" manufacturer "HP" desc "HP 85" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "microtape" briefname "utap" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp86b" year "1983" manufacturer "HP" desc "HP 86B" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "hp86b_001" year "1983" manufacturer "HP" desc "HP 86B Opt 001" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "hp86b_004" year "1983" manufacturer "HP" desc "HP 86B Opt 004" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "hp95lx" year "1991" manufacturer "Hewlett-Packard" desc "HP 95LX" devices ())
(name "hp9808a" year "1985" manufacturer "Hewlett-Packard" desc "Integral Personal Computer 9808A" devices ((name "floppydisk" briefname "flop" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "hp9816" year "1982" manufacturer "Hewlett Packard" desc "HP 9816" devices ())
(name "hp9816a" year "1982" manufacturer "Hewlett-Packard" desc "HP 9816A" devices ())
(name "hp9825a" year "1976" manufacturer "Hewlett-Packard" desc "HP 9825A" devices ((name "microtape" briefname "utap" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9825b" year "1980" manufacturer "Hewlett-Packard" desc "HP 9825B" devices ((name "microtape" briefname "utap" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9825t" year "1980" manufacturer "Hewlett-Packard" desc "HP 9825T" devices ((name "microtape" briefname "utap" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9826a" year "1981" manufacturer "Hewlett-Packard" desc "HP 9826A" devices ((name "floppydisk" briefname "flop" )))
(name "hp9831" year "1977" manufacturer "Hewlett-Packard" desc "HP 9831A" devices ((name "microtape" briefname "utap" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" )))
(name "hp9835a" year "1979" manufacturer "Hewlett-Packard" desc "9835A" devices ())
(name "hp9835b" year "1979" manufacturer "Hewlett-Packard" desc "9835B" devices ())
(name "hp9836a" year "1981" manufacturer "Hewlett-Packard" desc "HP 9836A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp9836c" year "1983" manufacturer "Hewlett-Packard" desc "HP 9836C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp9845a" year "1977" manufacturer "Hewlett-Packard" desc "9845A" devices ())
(name "hp9845b" year "1979" manufacturer "Hewlett-Packard" desc "9845B" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9845b_de" year "1979" manufacturer "Hewlett-Packard" desc "9845B (Germany)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9845c" year "1980" manufacturer "Hewlett-Packard" desc "9845C" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9845c_de" year "1980" manufacturer "Hewlett-Packard" desc "9845C (Germany)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9845s" year "1977" manufacturer "Hewlett-Packard" desc "9845S" devices ())
(name "hp9845t" year "1982" manufacturer "Hewlett-Packard" desc "9845T" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9845t_de" year "1982" manufacturer "Hewlett-Packard" desc "9845T (Germany)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" ) (name "romimage8" briefname "rom8" ) (name "bitbanger1" briefname "bitb1" ) (name "bitbanger2" briefname "bitb2" )))
(name "hp9k310" year "1985" manufacturer "Hewlett-Packard" desc "HP9000/310" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp9k320" year "1985" manufacturer "Hewlett-Packard" desc "HP9000/320" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp9k330" year "1987" manufacturer "Hewlett-Packard" desc "HP9000/330" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp9k332" year "1987" manufacturer "Hewlett-Packard" desc "HP9000/332" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "hp9k340" year "1989" manufacturer "Hewlett-Packard" desc "HP9000/340" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp9k360" year "1988" manufacturer "Hewlett-Packard" desc "HP9000/360" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp9k370" year "1988" manufacturer "Hewlett-Packard" desc "HP9000/370" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp9k380" year "1991" manufacturer "Hewlett-Packard" desc "HP9000/380" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp9k382" year "1991" manufacturer "Hewlett-Packard" desc "HP9000/382" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "hp_ipc" year "1985" manufacturer "Hewlett-Packard" desc "Integral Personal Computer 9807A" devices ((name "floppydisk" briefname "flop" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "hparadis" year "1994" manufacturer "Dynax" desc "Super Hana Paradise (Japan)" devices ())
(name "hpierrot" year "1996" manufacturer "NTC / NMK" desc "Happy Pierrot" devices ())
(name "hpolym84" year "1984" manufacturer "Konami" desc "Hyper Olympic '84" devices ())
(name "hppyvideo" year "20??" manufacturer "Leyaoyao Happy Kids?" desc "Happy Video" devices ())
(name "hprot1" year "2002" manufacturer "HENRY" desc "Henry Prot I v19 (REV.1)" devices ())
(name "hprot2r6" year "2003" manufacturer "HENRY" desc "Henry Prot CARD II (REV.6)" devices ())
(name "hprotr8a" year "2006" manufacturer "HENRY" desc "Henry Prot CARD I (REV.08A)" devices ())
(name "hpuncher" year "1988" manufacturer "Konami" desc "Hard Puncher (Japan)" devices ())
(name "hpyagu98" year "1998" manufacturer "Deniam" desc "Hanguk Pro Yagu 98" devices ())
(name "hpz80unk" year "1977" manufacturer "Hewlett-Packard" desc "unknown Z80-based mainframe" devices ())
(name "hr16" year "1987" manufacturer "Alesis" desc "HR-16" devices ((name "cassette" briefname "cass" )))
(name "hr16b" year "1989" manufacturer "Alesis" desc "HR-16B" devices ((name "cassette" briefname "cass" )))
(name "hr84" year "1982" manufacturer "Iskra" desc "HR-84" devices ((name "cassette" briefname "cass" )))
(name "hrclass" year "1997" manufacturer "Creative Electronics And Software" desc "Home Run Classic (v1.21 12-feb-1997)" devices ())
(name "hrdtimes" year "1994" manufacturer "Playmark" desc "Hard Times (set 1)" devices ())
(name "hrdtimesa" year "1994" manufacturer "Playmark" desc "Hard Times (set 2)" devices ())
(name "hrtthrob" year "2006" manufacturer "Aristocrat" desc "Heart Throb (01J02866, Venezuela)" devices ())
(name "hs36blk" year "2010" manufacturer "HengSheng" desc "HengSheng 36-in-1 (Black pad)" devices ())
(name "hs36red" year "2010" manufacturer "HengSheng" desc "HengSheng 36-in-1 (Red pad)" devices ())
(name "hs80" year "1986" manufacturer "Roland" desc "HS-80 Programmable Polyphonic Synthesizer" devices ())
(name "hs_l3" year "1986" manufacturer "Williams" desc "High Speed (L-3)" devices ())
(name "hs_l4" year "1986" manufacturer "Williams" desc "High Speed (L-4)" devices ())
(name "hsf2" year "2004" manufacturer "Capcom" desc "Hyper Street Fighter II: The Anniversary Edition (USA 040202)" devices ())
(name "hsf2a" year "2004" manufacturer "Capcom" desc "Hyper Street Fighter II: The Anniversary Edition (Asia 040202)" devices ())
(name "hsf2d" year "2004" manufacturer "bootleg" desc "Hyper Street Fighter II: The Anniversary Edition (Asia 040202 Phoenix Edition) (bootleg)" devices ())
(name "hsf2j" year "2004" manufacturer "Capcom" desc "Hyper Street Fighter II: The Anniversary Edition (Japan 040202)" devices ())
(name "hsf2j1" year "2004" manufacturer "Capcom" desc "Hyper Street Fighter II: The Anniversary Edition (Japan 031222)" devices ())
(name "hshavoc" year "1993" manufacturer "Data East Corporation" desc "High Seas Havoc" devices ())
(name "hshot_p8" year "1992" manufacturer "Midway" desc "Hot Shot Basketball (P-8)" devices ())
(name "hspot2" year "2002?" manufacturer "Novotech" desc "Hot Spot 2" devices ())
(name "hspot3" year "2002?" manufacturer "Novotech" desc "Hot Spot 3" devices ())
(name "hstennis" year "1990" manufacturer "Strata / Incredible Technologies" desc "Hot Shots Tennis (V1.1)" devices ())
(name "hstennis10" year "1990" manufacturer "Strata / Incredible Technologies" desc "Hot Shots Tennis (V1.0)" devices ())
(name "hstrtpls" year "198?" manufacturer "Vendex" desc "HeadStart Plus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ht108064" year "1985" manufacturer "Hiradastechnika Szovetkezet" desc "HT-1080Z/64" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ht1080z" year "1983" manufacturer "Hiradastechnika Szovetkezet" desc "HT-1080Z Series I" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ht1080z2" year "1984" manufacturer "Hiradastechnika Szovetkezet" desc "HT-1080Z Series II" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ht12a" year "19??" manufacturer "<unknown>" desc "unknown 286 AT clones (HT12/A chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ht18c" year "19??" manufacturer "<unknown>" desc "unknown 386sx AT clones (HT18/C chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ht6000" year "1987" manufacturer "Casio" desc "HT-6000" devices ())
(name "ht68k" year "1987" manufacturer "Hawthorne Technology" desc "TinyGiant HT68k" devices ((name "floppydisk" briefname "flop" )))
(name "htchctch" year "1995" manufacturer "SemiCom" desc "Hatch Catch" devices ())
(name "htengoku" year "1992" manufacturer "Dynax" desc "Hanafuda Hana Tengoku (Japan)" devices ())
(name "hthero93" year "1993" manufacturer "Taito Corporation" desc "Hat Trick Hero '93 (Ver 1.0J 1993/02/28)" devices ())
(name "hthero93u" year "1993" manufacturer "Taito Corporation" desc "Hat Trick Hero '93 (Ver 1.0A 1993/02/28)" devices ())
(name "hthero94" year "1994" manufacturer "Taito America Corporation" desc "Hat Trick Hero '94 (Ver 2.2A 1994/05/26)" devices ())
(name "hthero95" year "1994" manufacturer "Taito Corporation" desc "Hat Trick Hero '95 (Ver 2.5J 1994/11/03)" devices ())
(name "hthero95a" year "1994" manufacturer "Taito Corporation Japan" desc "Hat Trick Hero '95 (Ver 2.6Asia 1994/11/17)" devices ())
(name "hthero95u" year "1994" manufacturer "Taito America Corporation" desc "Hat Trick Hero '95 (Ver 2.5A 1994/11/03)" devices ())
(name "htheroj" year "1990" manufacturer "Taito Corporation" desc "Hat Trick Hero (Japan)" devices ())
(name "htherou" year "1990" manufacturer "Taito Corporation" desc "Hat Trick Hero (US)" devices ())
(name "httip_l1" year "1977" manufacturer "Williams" desc "Hot Tip (L-1)" devices ())
(name "huhimage" year "2019" manufacturer "Sega" desc "Heat Up Hockey Image (Ver.1.003R)" devices ())
(name "hulk" year "1979" manufacturer "Gottlieb" desc "The Incredible Hulk" devices ())
(name "humlan" year "2001" manufacturer "Subsino (Truemax license)" desc "Humlan's Lyckohjul (Sweden, Ver. 402)" devices ())
(name "hummerxt" year "2009" manufacturer "Sega" desc "Hummer Extreme" devices ())
(name "hunchbak" year "1983" manufacturer "Century Electronics" desc "Hunchback (set 1)" devices ())
(name "hunchbaka" year "1983" manufacturer "Century Electronics" desc "Hunchback (set 2)" devices ())
(name "hunchbgb" year "1983" manufacturer "bootleg (FAR S.A.)" desc "Hunchback (FAR S.A. bootleg on Galaxian hardware)" devices ())
(name "hunchbkd" year "1983" manufacturer "Century Electronics" desc "Hunchback (DK conversion)" devices ())
(name "hunchbkg" year "1983" manufacturer "Century Electronics" desc "Hunchback (Galaxian hardware)" devices ())
(name "hunchbks" year "1983" manufacturer "Century Electronics" desc "Hunchback (Scramble hardware)" devices ())
(name "hunchbks2" year "1983" manufacturer "bootleg (Sig)" desc "Hunchback (Scramble hardware, bootleg)" devices ())
(name "huncholy" year "1984" manufacturer "Seatongrove UK, Ltd." desc "Hunchback Olympic" devices ())
(name "hunter" year "1983" manufacturer "Husky Computers Ltd" desc "Husky Hunter" devices ())
(name "hunter16" year "1989" manufacturer "Husky Computers Ltd" desc "Husky Hunter 16" devices ())
(name "hunter1680" year "1989" manufacturer "Husky Computers Ltd" desc "Husky Hunter 16/80" devices ())
(name "hunter2" year "1984" manufacturer "Husky Computers Ltd" desc "Husky Hunter 2" devices ())
(name "hunter216" year "1990" manufacturer "Husky Computers Ltd" desc "Husky Hunter 2/16" devices ())
(name "hurr_l2" year "1991" manufacturer "Williams" desc "Hurricane (L-2)" devices ())
(name "husky" year "1981" manufacturer "DVW Microelectronics" desc "Husky" devices ())
(name "hustle" year "1977" manufacturer "Gremlin" desc "Hustle" devices ())
(name "hustler" year "1981" manufacturer "Konami" desc "Video Hustler" devices ())
(name "hustlerb" year "1981" manufacturer "bootleg (Digimatic)" desc "Video Hustler (bootleg, set 1)" devices ())
(name "hustlerb2" year "1981" manufacturer "bootleg" desc "Fatsy Gambler (bootleg of Video Hustler)" devices ())
(name "hustlerb3" year "1981" manufacturer "bootleg (Videotron)" desc "Video Pool (bootleg of Video Hustler)" devices ())
(name "hustlerb4" year "1981" manufacturer "bootleg" desc "Video Hustler (bootleg, set 2)" devices ())
(name "hustlerb5" year "1981" manufacturer "bootleg" desc "Video Hustler (bootleg, set 3)" devices ())
(name "hustlerb6" year "1981" manufacturer "bootleg" desc "Video Hustler (bootleg, set 4)" devices ())
(name "hustlerb7" year "1981" manufacturer "bootleg (Marti Colls)" desc "Video Hustler (bootleg, set 5)" devices ())
(name "hustlerd" year "1981" manufacturer "Konami (Dynamo Games license)" desc "Video Hustler (Dynamo Games)" devices ())
(name "hustlerp" year "1981" manufacturer "LTD" desc "Hustler" devices ())
(name "hvnsgate" year "1996" manufacturer "Racdym / Atlus" desc "Heaven's Gate" devices ())
(name "hvoltage" year "1985" manufacturer "Alpha Denshi Co." desc "High Voltage" devices ())
(name "hvymetal" year "1985" manufacturer "Sega" desc "Heavy Metal (315-5135)" devices ())
(name "hvymetap" year "1987" manufacturer "Bally" desc "Heavy Metal Meltdown" devices ())
(name "hvymetapg" year "1987" manufacturer "Bally" desc "Heavy Metal Meltdown (German)" devices ())
(name "hvysmsh" year "1993" manufacturer "Data East Corporation" desc "Heavy Smash (Europe version -2)" devices ())
(name "hvysmsha" year "1993" manufacturer "Data East Corporation" desc "Heavy Smash (Asia version -4)" devices ())
(name "hvysmshj" year "1993" manufacturer "Data East Corporation" desc "Heavy Smash (Japan version -2)" devices ())
(name "hvyunit" year "1988" manufacturer "Kaneko / Taito" desc "Heavy Unit (World)" devices ())
(name "hvyunitj" year "1988" manufacturer "Kaneko / Taito" desc "Heavy Unit (Japan, newer)" devices ())
(name "hvyunitja" year "1988" manufacturer "Kaneko / Taito" desc "Heavy Unit (Japan, alternate ROM format)" devices ())
(name "hvyunitjo" year "1988" manufacturer "Kaneko / Taito" desc "Heavy Unit (Japan, older)" devices ())
(name "hvyunitu" year "1988" manufacturer "Kaneko / Taito" desc "Heavy Unit -U.S.A. Version- (US)" devices ())
(name "hwchamp" year "1987" manufacturer "Sega" desc "Heavyweight Champ (set 1)" devices ())
(name "hwchampa" year "1987" manufacturer "Sega" desc "Heavyweight Champ (set 2)" devices ())
(name "hwchampj" year "1987" manufacturer "Sega" desc "Heavyweight Champ (Japan) (FD1094 317-0046)" devices ())
(name "hwchampjd" year "1987" manufacturer "bootleg" desc "Heavyweight Champ (Japan) (bootleg of FD1094 317-0046 set)" devices ())
(name "hwchiptn" year "2007" manufacturer "Linus Åkesson / kryo" desc "The Hardware Chiptune Project" devices ())
(name "hwrace" year "1983" manufacturer "Taito Corporation" desc "High Way Race" devices ())
(name "hx10" year "1984" manufacturer "Toshiba" desc "HX-10AA (MSX1, Europe)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx10d" year "1983" manufacturer "Toshiba" desc "HX-10D (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "hx10dp" year "1984" manufacturer "Toshiba" desc "HX-10DP (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx10e" year "1984" manufacturer "Toshiba" desc "HX-10E (MSX1, Spain)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx10f" year "1984" manufacturer "Toshiba" desc "HX-10F (MSX1, France)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx10s" year "1983" manufacturer "Toshiba" desc "HX-10S (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "hx10sa" year "1984" manufacturer "Toshiba" desc "HX-10SA (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "hx20" year "1984" manufacturer "Toshiba" desc "HX-20 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx20e" year "1985" manufacturer "Toshiba" desc "HX-20E (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx20i" year "1985" manufacturer "Toshiba" desc "HX-20I (MSX1, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx21" year "1984" manufacturer "Toshiba" desc "HX-21 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx21f" year "1985" manufacturer "Toshiba" desc "HX-21F (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx22" year "1984" manufacturer "Toshiba" desc "HX-22 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx22i" year "1985" manufacturer "Toshiba" desc "HX-22I (MSX1, Italy)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx23" year "1985" manufacturer "Toshiba" desc "HX-23 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx23f" year "1985" manufacturer "Toshiba" desc "HX-23F (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx32" year "1985" manufacturer "Toshiba" desc "HX-32 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx33" year "1985" manufacturer "Toshiba" desc "HX-33 w/HX-R702 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx34" year "1985" manufacturer "Toshiba" desc "HX-34 w/HX-R703 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hx51i" year "1985" manufacturer "Toshiba" desc "HX-51I (MSX1, Italy, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "hxhdci2k" year "2008" manufacturer "HUMAX" desc "HUMAX HDCI-2000" devices ())
(name "hydra" year "1990" manufacturer "Atari Games" desc "Hydra" devices ())
(name "hydrap" year "1990" manufacturer "Atari Games" desc "Hydra (prototype 5/14/90)" devices ())
(name "hydrap2" year "1990" manufacturer "Atari Games" desc "Hydra (prototype 5/25/90)" devices ())
(name "hydrthnd" year "1999" manufacturer "Midway Games" desc "Hydro Thunder" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "hydrthnd100d" year "1999" manufacturer "Midway Games" desc "Hydro Thunder (v1.00d)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "hydrthnd101b" year "1999" manufacturer "Midway Games" desc "Hydro Thunder (v1.01b)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "hyhoo" year "1987" manufacturer "Nichibutsu" desc "Hayaoshi Taisen Quiz Hyhoo (Japan)" devices ())
(name "hyhoo2" year "1987" manufacturer "Nichibutsu" desc "Hayaoshi Taisen Quiz Hyhoo 2 (Japan)" devices ())
(name "hyo88t" year "198?" manufacturer "Hyosung" desc "Topstar 88T" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "hyouban" year "1989" manufacturer "Nichibutsu / T.R.Tec" desc "Mahjong Hyouban Musume (Japan)" devices ())
(name "hypbbc2p" year "1999" manufacturer "Konami" desc "Hyper Bishi Bashi Champ - 2 Player (GX908 1999/08/24 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "hypbbc2pk" year "1999" manufacturer "Konami" desc "Hyper Bishi Bashi Champ - 2 Player (GX908 1999/08/24 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "hypbl_l2" year "1981" manufacturer "Williams" desc "HyperBall (L-2)" devices ())
(name "hypbl_l3" year "1981" manufacturer "Williams" desc "HyperBall (L-3)" devices ())
(name "hypbl_l4" year "1981" manufacturer "Williams" desc "HyperBall (L-4)" devices ())
(name "hyperath" year "1996" manufacturer "Konami" desc "Hyper Athlete (GV021 Japan 1.00)" devices ((name "cdrom" briefname "cdrm" )))
(name "hyperbbc" year "1998" manufacturer "Konami" desc "Hyper Bishi Bashi Champ (GQ876 VER. EAA)" devices ())
(name "hyperbbca" year "1998" manufacturer "Konami" desc "Hyper Bishi Bashi Champ (GQ876 VER. AAA)" devices ())
(name "hyperbbck" year "1998" manufacturer "Konami" desc "Hyper Bishi Bashi Champ (GE876 VER. KAA)" devices ())
(name "hyperpac" year "1995" manufacturer "SemiCom" desc "Hyper Pacman" devices ())
(name "hyperpacb" year "1995" manufacturer "bootleg" desc "Hyper Pacman (bootleg)" devices ())
(name "hyperspc" year "1979" manufacturer "bootleg (Rumiano)" desc "Hyperspace (bootleg of Asteroids)" devices ())
(name "hyperspt" year "1984" manufacturer "Konami (Centuri license)" desc "Hyper Sports" devices ())
(name "hypersptb" year "1984" manufacturer "bootleg" desc "Hyper Sports (bootleg)" devices ())
(name "hyperv2" year "2002" manufacturer "Global VR" desc "Hyper V2 (Global VR) Install - 06/12/02" devices ())
(name "hyperv2a" year "2001" manufacturer "Global VR" desc "Hyper V2 (Global VR) Install - 09/30/01" devices ())
(name "hyprdriv" year "1998" manufacturer "Midway Games" desc "Hyperdrive (ver 1.40, Oct 23 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "hyprduel" year "1993" manufacturer "Technosoft" desc "Hyper Duel (Japan set 1)" devices ())
(name "hyprduel2" year "1993" manufacturer "Technosoft" desc "Hyper Duel (Japan set 2)" devices ())
(name "hypreac2" year "1997" manufacturer "Sammy" desc "Mahjong Hyper Reaction 2 (Japan)" devices ())
(name "hypreact" year "1995" manufacturer "Sammy" desc "Mahjong Hyper Reaction (Japan)" devices ())
(name "hyprolym" year "1983" manufacturer "Konami" desc "Hyper Olympic" devices ())
(name "hyprolyma" year "1983" manufacturer "Konami" desc "Hyper Olympic (bugfixed)" devices ())
(name "hyprolymb" year "1983" manufacturer "bootleg" desc "Hyper Olympic (bootleg, set 1)" devices ())
(name "hyprolymba" year "1983" manufacturer "bootleg" desc "Hyper Olympic (bootleg, set 2)" devices ())
(name "hyprscan" year "2006" manufacturer "Mattel" desc "HyperScan" devices ((name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" ) (name "quickload" briefname "quik" )))
(name "hypsptsp" year "1988" manufacturer "Konami" desc "Hyper Sports Special (Japan)" devices ())
(name "hyu16t" year "1986" manufacturer "Hyundai" desc "Super 16 T" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "hyu16te" year "1987" manufacturer "Hyundai" desc "Super 16 TE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "i500_10r" year "1995" manufacturer "Bally" desc "Indianapolis 500 (1.0R)" devices ())
(name "i500_11b" year "1995" manufacturer "Bally" desc "Indianapolis 500 (1.1 Belgium)" devices ())
(name "i500_11r" year "1995" manufacturer "Bally" desc "Indianapolis 500 (1.1R)" devices ())
(name "i7000" year "1982" manufacturer "Itautec" desc "I-7000" devices ((name "cartridge" briefname "cart" )))
(name "i8530286" year "1988" manufacturer "International Business Machines" desc "IBM PS/2 Model 30-286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "i8530h31" year "1990" manufacturer "International Business Machines" desc "IBM PS/2 8530-H31 (Model 30/286)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "i8535043" year "198?" manufacturer "International Business Machines" desc "IBM PS/2 8535-043 (Model 35SX)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "i8550021" year "198?" manufacturer "International Business Machines" desc "IBM PS/2 8550-021 (Model 50)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "i8550061" year "198?" manufacturer "International Business Machines" desc "IBM PS/2 8550-061 (Model 50Z)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "i8555081" year "1989" manufacturer "International Business Machines" desc "IBM PS/2 8555-081 (Model 55SX)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "i8580071" year "198?" manufacturer "International Business Machines" desc "IBM PS/2 8580-071 (Model 80)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "i8580111" year "198?" manufacturer "International Business Machines" desc "IBM PS/2 8580-111 (Model 80)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ibara" year "2005" manufacturer "Cave (AMI license)" desc "Ibara (2005/03/22 MASTER VER.., '06. 3. 7 ver.)" devices ())
(name "ibarablk" year "2006" manufacturer "Cave (AMI license)" desc "Ibara Kuro Black Label (2006/02/06. MASTER VER.)" devices ())
(name "ibarablka" year "2006" manufacturer "Cave (AMI license)" desc "Ibara Kuro Black Label (2006/02/06 MASTER VER.)" devices ())
(name "ibarao" year "2005" manufacturer "Cave (AMI license)" desc "Ibara (2005/03/22 MASTER VER..)" devices ())
(name "ibm2011" year "1989" manufacturer "International Business Machines" desc "PS/1 2011" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm2011rd" year "1989" manufacturer "International Business Machines" desc "PS/1 2011 (international models with ROM DOS)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm2121" year "199?" manufacturer "International Business Machines" desc "PS/1 2121" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm2121rd" year "199?" manufacturer "International Business Machines" desc "PS/1 2121 (international models with ROM DOS)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm2123" year "199?" manufacturer "International Business Machines" desc "PS/1 2123" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm2133" year "199?" manufacturer "International Business Machines" desc "PS/1 2133" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ibm3153" year "1999?" manufacturer "IBM" desc "IBM 3153 Terminal" devices ())
(name "ibm5100" year "1975" manufacturer "International Business Machines" desc "IBM 5100" devices ())
(name "ibm5110" year "1978" manufacturer "International Business Machines" desc "IBM 5110" devices ())
(name "ibm5140" year "1985" manufacturer "International Business Machines" desc "IBM PC 5140 Convertible" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ibm5150" year "1981" manufacturer "International Business Machines" desc "IBM PC 5150" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ibm5155" year "1982" manufacturer "International Business Machines" desc "IBM PC 5155" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ibm5160" year "1982" manufacturer "International Business Machines" desc "IBM XT 5160" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ibm5162" year "1985" manufacturer "International Business Machines" desc "PC/XT-286 5162" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm5170" year "1984" manufacturer "International Business Machines" desc "PC/AT 5170" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm5170a" year "1985" manufacturer "International Business Machines" desc "PC/AT 5170 8MHz" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ibm5550" year "1983" manufacturer "International Business Machines" desc "Multistation 5550" devices ())
(name "ibm6580" year "1980" manufacturer "IBM" desc "IBM 6580 Displaywriter" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ibmpcjr" year "1983" manufacturer "International Business Machines" desc "IBM PC Jr" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "ibmpcjx" year "1985" manufacturer "International Business Machines" desc "IBM PC JX" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "icanguit" year "2007" manufacturer "Fisher-Price" desc "I Can Play Guitar" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "icanpian" year "2006" manufacturer "Fisher-Price" desc "I Can Play Piano" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "icatel" year "1995" manufacturer "Icatel" desc "TPCI (Brazilian public payphone)" devices ())
(name "iccash" year "2002" manufacturer "Atronic" desc "I C Cash (Russia) (Atronic)" devices ())
(name "ice_bozo" year "1997?" manufacturer "Innovative Creations in Entertainment" desc "Bozo's Pail Toss (v2.07)" devices ())
(name "ice_tbd" year "1988" manufacturer "Innovative Creations in Entertainment" desc "Turbo Drive (ICE)" devices ())
(name "icebox" year "19??" manufacturer "Nutting Associates" desc "ICEBOX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "iceclimb" year "1984" manufacturer "Nintendo" desc "Vs. Ice Climber (set IC4-4 B-1)" devices ())
(name "iceclimba" year "1984" manufacturer "Nintendo" desc "Vs. Ice Climber (set IC4-4 ?)" devices ())
(name "iceclmrd" year "1984" manufacturer "Nintendo" desc "Vs. Ice Climber Dual (set IC4-4 A-1)" devices ())
(name "icecold" year "1983" manufacturer "Taito" desc "Ice Cold Beer (set 1)" devices ())
(name "icecoldf" year "1983" manufacturer "Taito" desc "Ice Cold Beer (set 2)" devices ())
(name "icecoldice" year "2003?" manufacturer "ICE" desc "Ice Cold Beer (ICE)" devices ())
(name "icefever" year "1985" manufacturer "Gottlieb" desc "Ice Fever" devices ())
(name "icemania" year "1986" manufacturer "Jac Van Ham (Royal)" desc "Ice Mania" devices ())
(name "icescape" year "2006" manufacturer "IGS" desc "Icescape (V104FA)" devices ())
(name "ichiban" year "1993" manufacturer "Excel" desc "Ichi Ban Jyan" devices ())
(name "ichir" year "1994" manufacturer "Sega" desc "Puzzle & Action: Ichidant-R (World)" devices ())
(name "ichirbl" year "1994" manufacturer "bootleg" desc "Puzzle & Action: Ichidant-R (World) (bootleg)" devices ())
(name "ichirj" year "1994" manufacturer "Sega" desc "Puzzle & Action: Ichidant-R (Japan)" devices ())
(name "ichirjbl" year "1994" manufacturer "bootleg" desc "Puzzle & Action: Ichidant-R (Japan) (bootleg)" devices ())
(name "ichirk" year "1994" manufacturer "Sega" desc "Puzzle & Action: Ichidant-R (Korea)" devices ())
(name "icldrsm40" year "198?" manufacturer "ICL" desc "DRS M40" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "icm3216" year "1985" manufacturer "National Semiconductor" desc "ICM-3216" devices ())
(name "ics8080" year "19??" manufacturer "<unknown>" desc "ICS8080" devices ())
(name "id4" year "1996" manufacturer "Sega" desc "Independence Day (CPU 2.02, display A2.00)" devices ())
(name "id4_201" year "1996" manufacturer "Sega" desc "Independence Day (CPU 2.01, display A2.00)" devices ())
(name "id4f" year "1996" manufacturer "Sega" desc "Independence Day (CPU 2.02, display F2.00, France)" devices ())
(name "id4f_201" year "1996" manufacturer "Sega" desc "Independence Day (CPU 2.01, display F2.00, France)" devices ())
(name "idhimitu" year "1989" manufacturer "Digital Soft" desc "Idol no Himitsu (Japan 890304)" devices ())
(name "idolmj" year "1988" manufacturer "System Service" desc "Idol-Mahjong Housoukyoku (Japan)" devices ())
(name "idsoccer" year "1985" manufacturer "Universal" desc "Indoor Soccer (set 1)" devices ())
(name "idsoccera" year "1985" manufacturer "Universal" desc "Indoor Soccer (set 2)" devices ())
(name "idsoccert" year "1985" manufacturer "Universal (Tecfri license)" desc "Indoor Soccer (Tecfri license PCB)" devices ())
(name "ie15" year "1980" manufacturer "USSR" desc "15IE-00-013" devices ())
(name "iemoto" year "1987" manufacturer "Nichibutsu" desc "Iemoto (Japan 871020)" devices ())
(name "iemotom" year "1987" manufacturer "Nichibutsu" desc "Iemoto (Japan 871118, medal)" devices ())
(name "iez80" year "1983" manufacturer "Insight Enterprises" desc "Z80 SBC (prototype?)" devices ())
(name "if800" year "1985" manufacturer "Oki Electric" desc "if800 model 60" devices ())
(name "iganinju" year "1988" manufacturer "Jaleco" desc "Iga Ninjyutsuden (Japan)" devices ())
(name "iganinjub" year "1988" manufacturer "bootleg" desc "Iga Ninjyutsuden (Japan, bootleg)" devices ())
(name "igmo" year "1984" manufacturer "Epos Corporation" desc "IGMO" devices ())
(name "igor" year "1997" manufacturer "Excalibur Electronics" desc "Igor (Excalibur)" devices ())
(name "igromula" year "2003" manufacturer "bootleg" desc "Igrosoft Multigame Bootleg (15 Games)" devices ())
(name "igromult" year "2003" manufacturer "bootleg" desc "Igrosoft Multigame Bootleg (10 Games)" devices ())
(name "igs_ncs" year "198?" manufacturer "IGS" desc "New Champion Skill (v100n)" devices ())
(name "igs_ncs2" year "2000" manufacturer "IGS" desc "New Champion Skill (v100n 2000)" devices ())
(name "igsm312" year "200?" manufacturer "IGS" desc "unknown 'IGS 6POKER2' game (V312CN)" devices ())
(name "igstet341" year "199?" manufacturer "IGS" desc "Tetris (v341R)" devices ())
(name "igstet342" year "199?" manufacturer "IGS" desc "Tetris (v342R)" devices ())
(name "igtsc" year "2003" manufacturer "IGT" desc "Super Cherry" devices ())
(name "ii32in1" year "200?" manufacturer "Intec" desc "InterAct 32-in-1" devices ())
(name "ii8in1" year "200?" manufacturer "Intec" desc "InterAct 8-in-1" devices ())
(name "ij_l3" year "1993" manufacturer "Williams" desc "Indiana Jones (L-3)" devices ())
(name "ij_l4" year "1993" manufacturer "Williams" desc "Indiana Jones (L-4)" devices ())
(name "ij_l5" year "1993" manufacturer "Williams" desc "Indiana Jones (L-5)" devices ())
(name "ij_l6" year "1993" manufacturer "Williams" desc "Indiana Jones (L-6)" devices ())
(name "ij_l7" year "1993" manufacturer "Williams" desc "Indiana Jones (L-7)" devices ())
(name "ij_lg7" year "1993" manufacturer "Williams" desc "Indiana Jones (LG-7)" devices ())
(name "ikari" year "1986" manufacturer "SNK" desc "Ikari Warriors (US JAMMA)" devices ())
(name "ikari3" year "1989" manufacturer "SNK" desc "Ikari III - The Rescue (World version 1, 8-Way Joystick)" devices ())
(name "ikari3j" year "1989" manufacturer "SNK" desc "Ikari Three (Japan, Rotary Joystick)" devices ())
(name "ikari3k" year "1989" manufacturer "SNK" desc "Ikari Three (Korea, 8-Way Joystick)" devices ())
(name "ikari3u" year "1989" manufacturer "SNK" desc "Ikari III - The Rescue (US, Rotary Joystick)" devices ())
(name "ikari3w" year "1989" manufacturer "SNK" desc "Ikari III - The Rescue (World, Rotary Joystick)" devices ())
(name "ikaria" year "1986" manufacturer "SNK" desc "Ikari Warriors (US, set 1)" devices ())
(name "ikaria2" year "1986" manufacturer "SNK" desc "Ikari Warriors (US, set 2)" devices ())
(name "ikarijp" year "1986" manufacturer "SNK" desc "Ikari (Japan No Continues)" devices ())
(name "ikarijpb" year "1986" manufacturer "bootleg" desc "Ikari (Joystick hack bootleg)" devices ())
(name "ikarinc" year "1986" manufacturer "SNK" desc "Ikari Warriors (US No Continues)" devices ())
(name "ikariram" year "1986" manufacturer "bootleg" desc "Rambo 3 (bootleg of Ikari, Joystick hack)" devices ())
(name "ikaruga" year "2001" manufacturer "Treasure" desc "Ikaruga (GDL-0010)" devices ((name "cdrom" briefname "cdrm" )))
(name "ikki" year "1985" manufacturer "Sun Electronics" desc "Ikki (Japan)" devices ())
(name "ikt5a" year "1993" manufacturer "Creator / Fura Elektronik" desc "IKT-5A" devices ())
(name "illvelo" year "2008" manufacturer "Milestone" desc "Illvelo (Illmatic Envelope) (Japan)" devices ())
(name "ilm396b" year "199?" manufacturer "ILON USA, INC." desc "M-396B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ilpag" year "199?" manufacturer "<unknown>" desc "Il Pagliaccio (Italy, Ver. 2.7C)" devices ())
(name "im01" year "1986" manufacturer "Svetlana" desc "Elektronika IM-01" devices ())
(name "im01t" year "1991" manufacturer "Svetlana" desc "Elektronika IM-01T" devices ())
(name "im05" year "1993" manufacturer "Svetlana" desc "Elektronika IM-05" devices ())
(name "im1p1952" year "1995" manufacturer "IGT - International Game Technology" desc "Imperial (1P1952IZ) Blue Moon" devices ())
(name "im1p19s1" year "1995" manufacturer "IGT - International Game Technology" desc "Imperial (1P19S1IZ) Sheer Magic" devices ())
(name "im2_100" year "2010" manufacturer "Stern" desc "Iron Man 2 v1.00" devices ())
(name "im2_110" year "2010" manufacturer "Stern" desc "Iron Man 2 v1.10" devices ())
(name "im2_120" year "2010" manufacturer "Stern" desc "Iron Man 2 v1.20" devices ())
(name "im2_140" year "2010" manufacturer "Stern" desc "Iron Man 2 v1.40" devices ())
(name "im2p1929" year "1995" manufacturer "IGT - International Game Technology" desc "Imperial (2P1929IZ) Castaway Stampede" devices ())
(name "im3p1940" year "1995" manufacturer "IGT - International Game Technology" desc "Imperial (3P1940IZ) Cashline D Bucks" devices ())
(name "imac" year "1998" manufacturer "Apple Computer" desc "iMac (Bondi blue)" devices ((name "floppydisk" briefname "flop" )))
(name "imago" year "1984" manufacturer "Acom" desc "Imago (cocktail set)" devices ())
(name "imagoa" year "1983" manufacturer "Acom" desc "Imago (no cocktail set)" devices ())
(name "imds2" year "1979" manufacturer "Intel" desc "Intellec MDS-II" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "imekura" year "1994" manufacturer "Sphinx / AV Japan" desc "Imekura Mahjong (Japan)" devices ())
(name "imgame" year "2012" manufacturer "I'm Game / Senca" desc "I'm Game! GP120 (Family Sport 120-in-1)" devices ())
(name "imgfight" year "1988" manufacturer "Irem" desc "Image Fight (World)" devices ())
(name "imgfightj" year "1988" manufacturer "Irem" desc "Image Fight (Japan)" devices ())
(name "imgfightjb" year "1988" manufacturer "Irem" desc "Image Fight (Japan, bootleg)" devices ())
(name "imolagp" year "1983?" manufacturer "RB Bologna" desc "Imola Grand Prix (set 1)" devices ())
(name "imolagpo" year "1983?" manufacturer "RB Bologna" desc "Imola Grand Prix (set 2)" devices ())
(name "impuls03" year "1986" manufacturer "<unknown>" desc "Impuls-03" devices ((name "cassette" briefname "cass" )))
(name "imsai" year "1978" manufacturer "Imsai" desc "MPU-B" devices ())
(name "imsorry" year "1985" manufacturer "Coreland / Sega" desc "I'm Sorry (315-5110, US)" devices ())
(name "imsorryj" year "1985" manufacturer "Coreland / Sega" desc "Gonbee no I'm Sorry (315-5110, Japan)" devices ())
(name "in207100" year "1983" manufacturer "Informer" desc "Informer 207/100" devices ())
(name "in207376" year "1986" manufacturer "Informer" desc "Informer 207/376" devices ())
(name "in213" year "1990" manufacturer "Informer" desc "Informer 213" devices ())
(name "in213ae" year "1992" manufacturer "Informer" desc "Informer 213 AE" devices ())
(name "inca" year "199?" manufacturer "<unknown>" desc "Inca" devices ())
(name "incachf" year "2005" manufacturer "Aristocrat" desc "Inca Chief (20190711, NSW/ACT)" devices ())
(name "incanp" year "200?" manufacturer "Konami" desc "Incan Pyramid (Konami Endeavour, Russia)" devices ())
(name "incanpq" year "200?" manufacturer "Konami" desc "Incan Pyramid (Konami Endeavour, Queensland)" devices ())
(name "incasun" year "1999" manufacturer "Aristocrat" desc "Inca Sun (0100872V, NSW/ACT)" devices ())
(name "incasunnz" year "2000" manufacturer "Aristocrat" desc "Inca Sun (0101108V, New Zealand)" devices ())
(name "incasunsp" year "1999" manufacturer "Aristocrat" desc "Inca Sun (0100872V, NSW/ACT, Show Program)" devices ())
(name "incasunu" year "2000" manufacturer "Aristocrat" desc "Inca Sun (CHG1458, US)" devices ())
(name "incasunua" year "2000" manufacturer "Aristocrat" desc "Inca Sun (DHG1577, US)" devices ())
(name "incasunv" year "1999" manufacturer "Aristocrat" desc "Inca Sun (01J01946, Venezuela)" devices ())
(name "ind250cc" year "1992" manufacturer "Inder" desc "250 CC" devices ())
(name "indgldcm" year "2001" manufacturer "Aristocrat" desc "Indian Gold - Mr. Cashman (10102511, NSW/ACT)" devices ())
(name "indiana" year "1993" manufacturer "Indiana University" desc "Indiana University 68030 board" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "indianbt" year "1980" manufacturer "Taito" desc "Indian Battle" devices ())
(name "indianbtbr" year "1983" manufacturer "Taito do Brasil" desc "Indian Battle (Brazil)" devices ())
(name "indigo" year "1991" manufacturer "Silicon Graphics" desc "IRIS Indigo" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "indigo2_4415" year "1993" manufacturer "Silicon Graphics Inc" desc "Indigo2 (R4400, 150MHz)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "indigo_r4000" year "1992" manufacturer "Silicon Graphics" desc "IRIS Indigo R4000" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "indigo_r4400" year "1991" manufacturer "Silicon Graphics" desc "IRIS Indigo R4400" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "indprncs" year "2004" manufacturer "Aristocrat" desc "Indian Princess (10174111, NSW/ACT)" devices ())
(name "indream" year "2001" manufacturer "Aristocrat" desc "Indian Dreaming (10004211, NSW/ACT)" devices ())
(name "indreama" year "2004" manufacturer "Aristocrat" desc "Indian Dreaming (10192211, ASP)" devices ())
(name "indrem2c" year "2003" manufacturer "Aristocrat" desc "Indian Dreaming 2nd Chance (10150611, NSW/ACT)" devices ())
(name "indrema5" year "2000" manufacturer "Aristocrat" desc "Indian Dreaming (0100845V, NSW/ACT)" devices ())
(name "indrema5q" year "2000" manufacturer "Aristocrat" desc "Indian Dreaming (0101340V, Queensland)" devices ())
(name "indrema5v" year "1998" manufacturer "Aristocrat" desc "Indian Dreaming (02J01856, Venezuela)" devices ())
(name "indremce" year "2002" manufacturer "Aristocrat" desc "Indian Dreaming - Cash Express (20109411, NSW/ACT)" devices ())
(name "indremll" year "2003" manufacturer "Aristocrat" desc "Indian Dreaming - Lady Luck (20151911, NSW/ACT)" devices ())
(name "indremmm" year "2003" manufacturer "Aristocrat" desc "Indian Dreaming - Maximillions (10130711, NSW/ACT)" devices ())
(name "indunkgam" year "1991" manufacturer "Inder" desc "unknown gambling game on Inder pinball hardware" devices ())
(name "indy4" year "1976" manufacturer "Atari/Kee" desc "Indy 4" devices ())
(name "indy500" year "1995" manufacturer "Sega" desc "INDY 500 Twin (Revision A, Newer)" devices ())
(name "indy500d" year "1995" manufacturer "Sega" desc "INDY 500 Deluxe (Revision A)" devices ())
(name "indy500to" year "1995" manufacturer "Sega" desc "INDY 500 Twin (Revision A)" devices ())
(name "indy800" year "1975" manufacturer "Atari/Kee" desc "Indy 800" devices ())
(name "indy_113a" year "2008" manufacturer "Stern" desc "Indiana Jones v1.13" devices ())
(name "indy_113f" year "2008" manufacturer "Stern" desc "Indiana Jones v1.13 (French)" devices ())
(name "indy_113g" year "2008" manufacturer "Stern" desc "Indiana Jones v1.13 (German)" devices ())
(name "indy_113i" year "2008" manufacturer "Stern" desc "Indiana Jones v1.13 (Italian)" devices ())
(name "indy_113l" year "2008" manufacturer "Stern" desc "Indiana Jones v1.13 (Spanish)" devices ())
(name "indy_114a" year "2008" manufacturer "Stern" desc "Indiana Jones v1.14" devices ())
(name "indy_114f" year "2008" manufacturer "Stern" desc "Indiana Jones v1.14 (French)" devices ())
(name "indy_114g" year "2008" manufacturer "Stern" desc "Indiana Jones v1.14 (German)" devices ())
(name "indy_114i" year "2008" manufacturer "Stern" desc "Indiana Jones v1.14 (Italian)" devices ())
(name "indy_114l" year "2008" manufacturer "Stern" desc "Indiana Jones v1.14 (Spanish)" devices ())
(name "indy_116a" year "2008" manufacturer "Stern" desc "Indiana Jones v1.16" devices ())
(name "indy_116f" year "2008" manufacturer "Stern" desc "Indiana Jones v1.16 (French)" devices ())
(name "indy_116g" year "2008" manufacturer "Stern" desc "Indiana Jones v1.16 (German)" devices ())
(name "indy_116i" year "2008" manufacturer "Stern" desc "Indiana Jones v1.16 (Italian)" devices ())
(name "indy_116l" year "2008" manufacturer "Stern" desc "Indiana Jones v1.16 (Spanish)" devices ())
(name "indy_210" year "2008" manufacturer "Stern" desc "Indiana Jones v2.10" devices ())
(name "indy_210f" year "2008" manufacturer "Stern" desc "Indiana Jones v2.10 (French)" devices ())
(name "indy_4610" year "1993" manufacturer "Silicon Graphics Inc" desc "Indy (R4600, 100MHz)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" ) (name "picture" briefname "pic" ) (name "vidfile" briefname "vid" )))
(name "indy_4613" year "1993" manufacturer "Silicon Graphics Inc" desc "Indy (R4600, 133MHz)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" ) (name "picture" briefname "pic" ) (name "vidfile" briefname "vid" )))
(name "indy_5015" year "1996" manufacturer "Silicon Graphics Inc" desc "Indy (R5000, 150MHz)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" ) (name "picture" briefname "pic" ) (name "vidfile" briefname "vid" )))
(name "indyheat" year "1991" manufacturer "Leland Corporation" desc "Danny Sullivan's Indy Heat (rev 1)" devices ())
(name "indytemp" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (set 1)" devices ())
(name "indytemp2" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (set 2)" devices ())
(name "indytemp3" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (set 3)" devices ())
(name "indytemp4" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (set 4)" devices ())
(name "indytempc" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (cocktail)" devices ())
(name "indytempd" year "1985" manufacturer "Atari Games" desc "Indiana Jones and the Temple of Doom (German)" devices ())
(name "inferno" year "1984" manufacturer "Williams" desc "Inferno (Williams)" devices ())
(name "ingtelma" year "1978" manufacturer "Ingelen" desc "Ingelen Tele-Match Processor" devices ((name "cartridge" briefname "cart" )))
(name "inidv3ca" year "2004" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 3 Cycraft Edition (Export, Rev A) (GDS-0039A)" devices ((name "cdrom" briefname "cdrm" )))
(name "inidv3cy" year "2006" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 3 Cycraft Edition (Export, Rev B) (GDS-0039B)" devices ((name "cdrom" briefname "cdrm" )))
(name "initd" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage (Japan, Rev B) (GDS-0020B)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdexp" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage (Export, Rev A) (GDS-0025A)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdexpo" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage (Export) (GDS-0025)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdo" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage (Japan) (GDS-0020)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv2e" year "2003" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 2 (Export) (GDS-0027)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv2j" year "2003" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 2 (Japan, Rev B) (GDS-0026B)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv2ja" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 2 (Japan, Rev A) (GDS-0026A)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv2jo" year "2002" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 2 (Japan) (GDS-0026)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv3e" year "2004" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 3 (Export) (GDS-0033)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv3j" year "2004" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 3 (Japan, Rev C) (GDS-0032C)" devices ((name "cdrom" briefname "cdrm" )))
(name "initdv3jb" year "2004" manufacturer "Sega" desc "Initial D Arcade Stage Ver. 3 (Japan, Rev B) (GDS-0032B)" devices ((name "cdrom" briefname "cdrm" )))
(name "initiad4" year "2007" manufacturer "Sega" desc "Initial D4 (Rev D)" devices ())
(name "initiad4c" year "2007" manufacturer "Sega" desc "Initial D4 (Rev C)" devices ())
(name "innotab2" year "2011" manufacturer "VTech" desc "InnoTAB 2 (UK)" devices ((name "cartridge" briefname "cart" )))
(name "innotv" year "2015" manufacturer "VTech" desc "InnoTV" devices ((name "cartridge" briefname "cart" )))
(name "inquiztr" year "1989" manufacturer "BFM" desc "Inquizitor" devices ())
(name "insector" year "1982" manufacturer "Gottlieb" desc "Insector (prototype)" devices ())
(name "insectx" year "1989" manufacturer "Taito Corporation Japan" desc "Insector X (World)" devices ())
(name "insectxbl" year "1990" manufacturer "bootleg (Nagoya Kaihatsu)" desc "Insector X (bootleg)" devices ())
(name "insectxj" year "1989" manufacturer "Taito Corporation" desc "Insector X (Japan)" devices ())
(name "instantm" year "199?" manufacturer "Capcom / Polaroid" desc "Polaroid Instant Memories" devices ())
(name "instruct" year "1978" manufacturer "Signetics" desc "Signetics Instructor 50" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "intact89" year "200?" manufacturer "Intec" desc "InterAct Complete Video Game - 89-in-1" devices ())
(name "intchess" year "1980" manufacturer "SciSys / Intelligent Games" desc "Intelligent Chess" devices ((name "cassette" briefname "cass" )))
(name "intcup94" year "1994" manufacturer "Taito Corporation Japan" desc "International Cup '94 (Ver 2.2O 1994/05/26)" devices ())
(name "intel02" year "1985" manufacturer "BREA Research Institute" desc "Intellect-02" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "inteladv" year "2005" manufacturer "VTech" desc "Intelligence Advance E/R (Germany)" devices ())
(name "interact" year "1979" manufacturer "Interact Electronics" desc "Interact Family Computer" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "intervsn" year "198?" manufacturer "Intervision" desc "Intervision 2001" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "intg5410" year "200?" manufacturer "Intec" desc "InterAct Complete Video Game - 111 Games & 42 Songs (G5410)" devices ())
(name "inthunt" year "1993" manufacturer "Irem" desc "In The Hunt (World)" devices ())
(name "inthuntu" year "1993" manufacturer "Irem America" desc "In The Hunt (US)" devices ())
(name "intlaser" year "1987" manufacturer "Bally Midway" desc "International Team Laser (prototype)" devices ())
(name "intlc44" year "1973?" manufacturer "Intel" desc "INTELLEC 4/MOD 4" devices ((name "promimage1" briefname "prom1" ) (name "punchtape" briefname "ptap" ) (name "promimage2" briefname "prom2" )))
(name "intlc440" year "1974?" manufacturer "Intel" desc "INTELLEC 4/MOD 40" devices ((name "promimage1" briefname "prom1" ) (name "punchtape" briefname "ptap" ) (name "promimage2" briefname "prom2" )))
(name "intlc8" year "1973" manufacturer "Intel" desc "Intellec 8 MCS" devices ())
(name "intmpt03" year "198?" manufacturer "Intelligent Game" desc "Intelligent Game MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "intrepid" year "1983" manufacturer "Nova Games Ltd." desc "Intrepid (set 1)" devices ())
(name "intrepid2" year "1983" manufacturer "Nova Games Ltd." desc "Intrepid (set 2)" devices ())
(name "intrepidb" year "1984" manufacturer "bootleg (Elsys)" desc "Intrepid (Elsys bootleg, set 1)" devices ())
(name "intrepidb2" year "1984" manufacturer "bootleg (Loris)" desc "Intrepid (Loris bootleg)" devices ())
(name "intrepidb3" year "1984" manufacturer "bootleg (Elsys)" desc "Intrepid (Elsys bootleg, set 2)" devices ())
(name "intrgirl" year "1995" manufacturer "Barko" desc "Intergirl" devices ())
(name "intrgmes" year "1991" manufacturer "Inter Games" desc "Joker Card (Inter Games)" devices ())
(name "introdon" year "1996" manufacturer "Sunsoft / Success" desc "Karaoke Quiz Intro Don Don! (J 960213 V1.000)" devices ())
(name "intrscti" year "19??" manufacturer "<unknown>" desc "Intersecti" devices ())
(name "intruder" year "1980" manufacturer "Taito (Game Plan license)" desc "Intruder" devices ())
(name "inttoote" year "1998" manufacturer "bootleg (Coinmaster)" desc "International Toote (Germany, P523.V01)" devices ())
(name "inttoote2" year "1993" manufacturer "bootleg (Coinmaster)" desc "International Toote II (v1.24, P387.V01)" devices ())
(name "intv" year "1979" manufacturer "Mattel Electronics" desc "Intellivision" devices ((name "cartridge" briefname "cart" )))
(name "intv2" year "1982" manufacturer "Mattel Electronics" desc "Intellivision II" devices ((name "cartridge" briefname "cart" )))
(name "intvecs" year "1983" manufacturer "Mattel Electronics" desc "Intellivision w/Entertainment Computer System + Intellivoice expansions" devices ((name "cartridge" briefname "cart" )))
(name "intvkbd" year "1981" manufacturer "Mattel Electronics" desc "Intellivision Keyboard Component (Unreleased)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "intvoice" year "1982" manufacturer "Mattel Electronics" desc "Intellivision w/IntelliVoice expansion" devices ((name "cartridge" briefname "cart" )))
(name "intvsrs" year "1981" manufacturer "Sears" desc "Super Video Arcade" devices ((name "cartridge" briefname "cart" )))
(name "inufuku" year "1998" manufacturer "Video System Co." desc "Quiz & Variety Sukusuku Inufuku (Japan)" devices ())
(name "inunoos" year "2001" manufacturer "Wow Entertainment / Sega" desc "Inu no Osanpo / Dog Walking (Japan, Export, Rev A)" devices ())
(name "invad2ct" year "1980" manufacturer "Midway" desc "Space Invaders II (Midway, cocktail)" devices ())
(name "invaddlx" year "1980" manufacturer "Taito (Midway license)" desc "Space Invaders Deluxe" devices ())
(name "invader4" year "1980" manufacturer "bootleg" desc "Space Invaders Part Four (bootleg of Space Attack II)" devices ())
(name "invaderl" year "1978" manufacturer "Taito / Logitec" desc "Space Invaders (Logitec)" devices ())
(name "invadernc" year "1978" manufacturer "bootleg (Nas Corp)" desc "Space Invaders (Nas Corp bootleg)" devices ())
(name "invaders" year "1978" manufacturer "Taito / Midway" desc "Space Invaders / Space Invaders M" devices ())
(name "invadersem" year "19??" manufacturer "Electromar" desc "Space Invaders (Electromar, Spanish)" devices ())
(name "invadpt2" year "1979" manufacturer "Taito" desc "Space Invaders Part II (Taito, bigger ROMs)" devices ())
(name "invadpt2a" year "1979" manufacturer "Taito" desc "Space Invaders Part II (Taito, smaller ROMs)" devices ())
(name "invadpt2br" year "1979" manufacturer "Taito do Brasil" desc "Space Invaders Part II (Brazil)" devices ())
(name "invadrmr" year "1978" manufacturer "Taito / Model Racing" desc "Space Invaders (Model Racing)" devices ())
(name "invasion" year "19??" manufacturer "bootleg (Sidam)" desc "Invasion (Sidam)" devices ())
(name "invasiona" year "1979" manufacturer "bootleg" desc "UFO Robot Attack (bootleg of Invasion, newer set)" devices ())
(name "invasiona2" year "1979" manufacturer "bootleg" desc "UFO Robot Attack (bootleg of Invasion, older set)" devices ())
(name "invasionb" year "1979" manufacturer "bootleg" desc "Invasion (Italian bootleg)" devices ())
(name "invasionrz" year "1979" manufacturer "bootleg (R Z SRL Bologna)" desc "Invasion (bootleg set 1, R Z SRL Bologna)" devices ())
(name "invasionrza" year "1979" manufacturer "bootleg (R Z SRL Bologna)" desc "Invasion (bootleg set 2, R Z SRL Bologna)" devices ())
(name "invasnab" year "1999" manufacturer "Midway" desc "Invasion - The Abductors (version 5.0)" devices ())
(name "invasnab3" year "1999" manufacturer "Midway" desc "Invasion - The Abductors (version 3.0)" devices ())
(name "invasnab4" year "1999" manufacturer "Midway" desc "Invasion - The Abductors (version 4.0)" devices ())
(name "invcarht" year "1979" manufacturer "Sega" desc "Invinco / Car Hunt (Germany)" devices ())
(name "invds" year "1979" manufacturer "Sega" desc "Invinco / Deep Scan" devices ())
(name "inves" year "1986" manufacturer "Investronica" desc "Inves Spectrum 48K+" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "invho2" year "1979" manufacturer "Sega" desc "Invinco / Head On 2 (set 1)" devices ())
(name "invho2a" year "1979" manufacturer "Sega" desc "Invinco / Head On 2 (set 2)" devices ())
(name "invinco" year "1979" manufacturer "Sega" desc "Invinco" devices ())
(name "invmulti" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (M8.03D)" devices ())
(name "invmultim1a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (M8.01A)" devices ())
(name "invmultim2a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (M8.02A)" devices ())
(name "invmultim2c" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (M8.02C)" devices ())
(name "invmultim3a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (M8.03A)" devices ())
(name "invmultip" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (prototype)" devices ())
(name "invmultis1a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (S0.81A)" devices ())
(name "invmultis2a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (S0.82A)" devices ())
(name "invmultis3a" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (S0.83A)" devices ())
(name "invmultit3d" year "2002" manufacturer "hack (Braze Technologies)" desc "Space Invaders Multigame (T8.03D)" devices ())
(name "invqix" year "2003" manufacturer "Taito / Namco" desc "Space Invaders / Qix Silver Anniversary Edition (Ver. 2.03)" devices ())
(name "invrvnge" year "1980?" manufacturer "Zenitone-Microsec Ltd." desc "Invader's Revenge (set 1)" devices ())
(name "invrvngea" year "1980?" manufacturer "Zenitone-Microsec Ltd." desc "Invader's Revenge (set 2)" devices ())
(name "invrvngeb" year "1980?" manufacturer "Zenitone-Microsec Ltd." desc "Invader's Revenge (set 3)" devices ())
(name "invrvngedu" year "1980?" manufacturer "Zenitone-Microsec Ltd. (Dutchford license)" desc "Invader's Revenge (Dutchford, single PCB)" devices ())
(name "invrvngegw" year "1980?" manufacturer "Zenitone-Microsec Ltd. (Game World license)" desc "Invader's Revenge (Game World, single PCB)" devices ())
(name "inwinner" year "1998" manufacturer "WMS" desc "Instant Winner (Russian)" devices ())
(name "inwinners" year "1998" manufacturer "WMS" desc "Instant Winner (Spanish)" devices ())
(name "inyourfa" year "1991" manufacturer "Jaleco" desc "In Your Face (North America, prototype)" devices ())
(name "iomoon" year "1994" manufacturer "Sleic" desc "Io Moon" devices ())
(name "iowapp" year "1990" manufacturer "Merit" desc "Iowa Premium Player (2131-21, U5-1)" devices ())
(name "ip2000" year "1990" manufacturer "Intergraph" desc "InterPro/InterServe 20x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip2400" year "1992" manufacturer "Intergraph" desc "InterPro/InterServe 24x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip2500" year "1993" manufacturer "Intergraph" desc "InterPro/InterServe 25x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip2700" year "1993" manufacturer "Intergraph" desc "InterPro/InterServe 27x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip2800" year "1994" manufacturer "Intergraph" desc "InterPro/InterServe 28x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip6000" year "1990" manufacturer "Intergraph" desc "InterPro/InterServe 60x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip6400" year "1992" manufacturer "Intergraph" desc "InterPro/InterServe 64x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip6700" year "1993" manufacturer "Intergraph" desc "InterPro/InterServe 67x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ip6800" year "1993" manufacturer "Intergraph" desc "InterPro/InterServe 68x0" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "ipb" year "19??" manufacturer "Intel" desc "iPB" devices ())
(name "ipc" year "19??" manufacturer "Intel" desc "iPC" devices ())
(name "ipds" year "1982" manufacturer "Intel" desc "iPDS" devices ())
(name "iphone2g" year "2007" manufacturer "Apple" desc "iPhone (A1203)" devices ())
(name "ipminvad" year "1979" manufacturer "IPM" desc "IPM Invader (set 1)" devices ())
(name "ipminvad1" year "1979" manufacturer "IPM" desc "IPM Invader (set 2)" devices ())
(name "ippatsu" year "1986" manufacturer "Public Software / Paradais" desc "Ippatsu Gyakuten (Japan)" devices ())
(name "ippo2" year "2002" manufacturer "Taito" desc "Hard Puncher Hajime no Ippo 2 - The Fighting! - Ouja e no chousen (VER.2.00J)" devices ((name "cdrom" briefname "cdrm" )))
(name "iq128" year "1997" manufacturer "Video Technology" desc "Genius IQ 128 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "iq128_fr" year "1997" manufacturer "Video Technology" desc "Genius IQ 128 (France)" devices ((name "cartridge" briefname "cart" )))
(name "iq151" year "198?" manufacturer "ZPA Novy Bor" desc "IQ-151" devices ((name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "cartridge4" briefname "cart4" ) (name "cartridge5" briefname "cart5" )))
(name "iq501" year "1992" manufacturer "Micro Genius" desc "IQ-501" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "iq502" year "1992" manufacturer "Micro Genius" desc "IQ-502" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "iq7000" year "1988" manufacturer "Sharp" desc "IQ-7000" devices ((name "cartridge" briefname "cart" )))
(name "iqblock" year "1993" manufacturer "IGS" desc "IQ-Block (V100U)" devices ())
(name "iqblocka" year "1996" manufacturer "IGS" desc "Shuzi Leyuan (China, V127M, gambling)" devices ())
(name "iqblockf" year "1997" manufacturer "IGS" desc "IQ Block (V113FR, gambling)" devices ())
(name "iqpipe" year "1991" manufacturer "AMT" desc "IQ Pipe" devices ())
(name "iqtv512" year "1998" manufacturer "Video Technology" desc "Genius IQ TV 512 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "iquest" year "2004" manufacturer "LeapFrog" desc "IQuest 4.0 (US)" devices ((name "cartridge" briefname "cart" )))
(name "iqunlim" year "1995" manufacturer "VTech / Integrated Systems Inc." desc "IQ Unlimited" devices ((name "cartridge" briefname "cart" )))
(name "iqunlimgr" year "1995" manufacturer "VTech / Integrated Systems Inc." desc "IQ Unlimited (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "iqunlimz" year "1991" manufacturer "Video Technology" desc "IQ Unlimited (Z80)" devices ((name "cartridge" briefname "cart" )))
(name "irion" year "1983" manufacturer "bootleg" desc "Irion" devices ())
(name "iris3130" year "1985" manufacturer "Silicon Graphics Inc" desc "IRIS 3130 (IP2)" devices ((name "quickload" briefname "quik" )))
(name "irisha" year "1983" manufacturer "MGU" desc "Irisha" devices ())
(name "irobot" year "1983" manufacturer "Atari" desc "I, Robot" devices ())
(name "iron" year "1996" manufacturer "bootleg" desc "Iron (SNES bootleg)" devices ())
(name "ironball" year "1987" manufacturer "Stargame" desc "Iron Balls" devices ())
(name "ironclad" year "1996" manufacturer "Saurus" desc "Choutetsu Brikin'ger / Iron Clad (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "ironclado" year "1996" manufacturer "bootleg" desc "Choutetsu Brikin'ger / Iron Clad (prototype, bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "ironfort" year "1998" manufacturer "Eolith" desc "Iron Fortress" devices ())
(name "ironfortc" year "1998" manufacturer "Eolith (Excellent Competence Ltd. license)" desc "Gongtit Jiucoi Iron Fortress (Hong Kong)" devices ())
(name "ironhors" year "1986" manufacturer "Konami" desc "Iron Horse (version K)" devices ())
(name "ironhorsh" year "1986" manufacturer "Konami" desc "Iron Horse (version H)" devices ())
(name "ironmaid" year "1981" manufacturer "Stern" desc "Iron Maiden" devices ())
(name "irrmaze" year "1997" manufacturer "SNK / Saurus" desc "The Irritating Maze / Ultra Denryu Iraira Bou" devices (()))
(name "is482" year "199?" manufacturer "Decision Data" desc "IS-482 Workstation" devices ())
(name "isa386c" year "1989" manufacturer "Asus" desc "ISA-386C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "isa386u30" year "199?" manufacturer "Asus" desc "ISA-386U30 REV.2.2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "isbc286" year "19??" manufacturer "Intel" desc "iSBC 286" devices ((name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "isbc2861" year "1983" manufacturer "Intel" desc "iSBC 286/10" devices ((name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "isbc28612" year "1983" manufacturer "Intel" desc "iSBC 286/12" devices ((name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "isbc660" year "1985" manufacturer "Intel" desc "iSBC 660" devices ())
(name "isbc8010" year "1975" manufacturer "Intel" desc "iSBC 80/10" devices ())
(name "isbc8010a" year "1977" manufacturer "Intel" desc "iSBC 80/10A" devices ())
(name "isbc8010b" year "1979" manufacturer "Intel" desc "iSBC 80/10B" devices ())
(name "isbc8030" year "1978" manufacturer "Intel" desc "iSBC 80/30" devices ())
(name "isbc86" year "1978" manufacturer "Intel" desc "iSBC 86/12A" devices ())
(name "isbc8605" year "1981" manufacturer "Intel" desc "iSBC 86/05" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "isbc8630" year "1981" manufacturer "Intel" desc "iSBC 86/30" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "iskr1030m" year "1989" manufacturer "Schetmash" desc "Iskra 1030M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "iskr1031" year "1989" manufacturer "<unknown>" desc "Iskra 1031" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "iskr3104" year "1992" manufacturer "Schetmash" desc "Iskra 3104" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "island" year "2005" manufacturer "Igrosoft" desc "Island (050713 World)" devices ())
(name "island2" year "2006" manufacturer "Igrosoft" desc "Island 2 (060529 World)" devices ())
(name "island2_10" year "2006" manufacturer "Igrosoft" desc "Island 2 (110124 Entertainment A)" devices ())
(name "island2_11" year "2006" manufacturer "Igrosoft" desc "Island 2 (110204 Entertainment A)" devices ())
(name "island2_12" year "2006" manufacturer "Igrosoft" desc "Island 2 (110311 Entertainment B)" devices ())
(name "island2_13" year "2006" manufacturer "Igrosoft" desc "Island 2 (140526 Entertainment B)" devices ())
(name "island2_14" year "2006" manufacturer "Igrosoft" desc "Island 2 (110411 Entertainment C)" devices ())
(name "island2_2" year "2006" manufacturer "Igrosoft" desc "Island 2 (061214 World)" devices ())
(name "island2_3" year "2006" manufacturer "Igrosoft" desc "Island 2 (061218 World)" devices ())
(name "island2_3a" year "2006" manufacturer "bootleg" desc "Island 2 (bootleg, 061218, VIDEO GAME-1 OS2-01)" devices ())
(name "island2_4" year "2006" manufacturer "Igrosoft" desc "Island 2 (070205 Russia)" devices ())
(name "island2_4a" year "2006" manufacturer "bootleg" desc "Island 2 (bootleg, 070205, banking address hack)" devices ())
(name "island2_5" year "2006" manufacturer "Igrosoft" desc "Island 2 (090528 Lottery)" devices ())
(name "island2_6" year "2006" manufacturer "Igrosoft" desc "Island 2 (090724 Entertainment)" devices ())
(name "island2_7" year "2006" manufacturer "Igrosoft" desc "Island 2 (100401 Entertainment X)" devices ())
(name "island2_8" year "2006" manufacturer "Igrosoft" desc "Island 2 (101208 Entertainment N)" devices ())
(name "island2_9" year "2006" manufacturer "Igrosoft" desc "Island 2 (110111 Entertainment A)" devices ())
(name "island2a" year "2006" manufacturer "bootleg" desc "Island 2 (bootleg, 060529, banking address hack)" devices ())
(name "island2b" year "2006" manufacturer "bootleg" desc "Island 2 (bootleg, 060529, banking address hack, changed version text)" devices ())
(name "island2c" year "2006" manufacturer "bootleg" desc "Island 2 (bootleg, 060529, LOTTOGAME (I))" devices ())
(name "island_2" year "2005" manufacturer "Igrosoft" desc "Island (070409 Russia)" devices ())
(name "island_3" year "2005" manufacturer "Igrosoft" desc "Island (090806 Entertainment)" devices ())
(name "islanda" year "2005" manufacturer "bootleg" desc "Island (bootleg, 050713, backdoor)" devices ())
(name "islandb" year "2005" manufacturer "bootleg" desc "Island (bootleg, 050713, VIDEO GAME-1 OS01)" devices ())
(name "islandc" year "2005" manufacturer "bootleg" desc "Island (bootleg, 050713, LOTOS OS01)" devices ())
(name "isld_vortex" year "1995" manufacturer "Island Design" desc "Vortex (Island Design)" devices ())
(name "isshoni" year "2008" manufacturer "Sega" desc "Isshoni Wanwan Waiwai Puppy 2008" devices ())
(name "istellar" year "1983" manufacturer "Funai/Gakken" desc "Inter Stellar (Laser Fantasy)" devices ())
(name "istellar2" year "1984" manufacturer "Funai/Gakken" desc "Inter Stellar Zangus (Laser Fantasy vol. 2)" devices ())
(name "istreb" year "198?" manufacturer "Terminal" desc "Istrebiteli" devices ())
(name "itaten" year "1984" manufacturer "Nichibutsu / Alice" desc "Itazura Tenshi (Japan)" devices ())
(name "itazuram" year "2000" manufacturer "Sammy" desc "Itazura Monkey" devices ())
(name "itc4" year "1988" manufacturer "Oxford Instruments" desc "ITC-4 Intelligent Temperature Controller (Version 2.04)" devices ())
(name "itmcmtp3" year "198?" manufacturer "ITMC" desc "ITMC MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "itt1700" year "1983" manufacturer "ITT Courier" desc "ITT 1700" devices ())
(name "itt3030" year "1982" manufacturer "ITT RFA" desc "ITT3030" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "itt9216" year "1986" manufacturer "ITT Courier" desc "ITT 9216-X" devices ())
(name "itttelma" year "197?" manufacturer "ITT" desc "ITT Tele-Match Processor" devices ((name "cartridge" briefname "cart" )))
(name "ittxtra" year "1984" manufacturer "ITT Information Systems" desc "ITT XTRA" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "itunlim" year "1998" manufacturer "Video Technology" desc "VTech IT Unlimited (UK)" devices ((name "cartridge" briefname "cart" )))
(name "itvg48" year "200?" manufacturer "TaiKee" desc "Interactive TV Games 48-in-1 (PAL)" devices ())
(name "itvg49" year "2009" manufacturer "TaiKee / Waixing" desc "Interactive TV Games 49-in-1 (PAL)" devices ())
(name "itvphone" year "2007" manufacturer "Taikee / Oregon Scientific / V-Tac Technology Co Ltd." desc "Teléfono interactivo de TV (Spain)" devices ())
(name "ivant" year "1997" manufacturer "Excalibur Electronics" desc "Ivan The Terrible (H8/3216 version)" devices ())
(name "ivanto" year "1996" manufacturer "Excalibur Electronics" desc "Ivan The Terrible (H8/3256 version)" devices ())
(name "ivelultr" year "1984" manufacturer "Ivasim" desc "Ivel Ultra" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "ivg09" year "1983" manufacturer "C. Tavernier" desc "CPU09 with IVG09 and IFD09" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "ivorytsk" year "199?" manufacturer "Konami" desc "Ivory Tusk" devices ())
(name "ixion" year "1983" manufacturer "Sega" desc "Ixion (prototype)" devices ())
(name "ixl2000" year "198?" manufacturer "Intercord" desc "Intercord XL 2000 System" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "j2008" year "198?" manufacturer "<unknown>" desc "unknown '008' (Unk) (MPS)" devices ())
(name "j2adnote" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 1)" devices ())
(name "j2adnotea" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 2)" devices ())
(name "j2adnoteb" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 3)" devices ())
(name "j2adnotec" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 4)" devices ())
(name "j2adnoted" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 5)" devices ())
(name "j2adnotee" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 6)" devices ())
(name "j2adnotef" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 7)" devices ())
(name "j2adnoteg" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 8)" devices ())
(name "j2adnoteh" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 9)" devices ())
(name "j2adnotei" year "198?" manufacturer "JPM" desc "Add A Note (JPM) (MPS, set 10)" devices ())
(name "j2always" year "198?" manufacturer "Bwb" desc "Always Eight (Bwb) (MPS)" devices ())
(name "j2b7" year "198?" manufacturer "JPM" desc "Bar 7? (JPM) (MPS)" devices ())
(name "j2bankch" year "198?" manufacturer "JPM" desc "Bank Chase (JPM) (MPS)" devices ())
(name "j2bankrd" year "198?" manufacturer "JPM" desc "Bank Raid (JPM) (MPS)" devices ())
(name "j2bigbnk" year "198?" manufacturer "JPM" desc "Big Banker (JPM) (MPS)" devices ())
(name "j2bigbox" year "198?" manufacturer "JPM" desc "Big Box (JPM) (MPS)" devices ())
(name "j2bigbuk" year "198?" manufacturer "JPM" desc "Big Buck$ (JPM) (MPS)" devices ())
(name "j2bigdl" year "198?" manufacturer "JPM" desc "Big Deal (JPM) (MPS)" devices ())
(name "j2bkroll" year "198?" manufacturer "JPM" desc "Bank Roll (JPM) (MPS)" devices ())
(name "j2blkchy" year "198?" manufacturer "JPM" desc "Black Cherry (JPM) (MPS)" devices ())
(name "j2blustr" year "198?" manufacturer "Pcp" desc "Blue Streak (Pcp) (MPS)" devices ())
(name "j2bodym" year "198?" manufacturer "JPM" desc "Body Match (JPM) (MPS)" devices ())
(name "j2bonanz" year "198?" manufacturer "Eurocoin" desc "Bonanza (Eurocoin) (MPS)" devices ())
(name "j2cashab" year "198?" manufacturer "JPM" desc "Cashablanca (JPM) (MPS)" devices ())
(name "j2cashbn" year "198?" manufacturer "JPM" desc "Cash Bonus Club (JPM) (MPS)" devices ())
(name "j2cashfl" year "198?" manufacturer "JPM" desc "Cash Falls (JPM) (MPS)" devices ())
(name "j2cashrl" year "198?" manufacturer "JPM" desc "Cash Reels (JPM) (MPS)" devices ())
(name "j2cashro" year "198?" manufacturer "JPM" desc "Cash Rolls (JPM) (MPS)" devices ())
(name "j2cashrv" year "198?" manufacturer "JPM" desc "Cash Reserve (JPM) (MPS)" devices ())
(name "j2cashry" year "198?" manufacturer "Pcp" desc "Cashino Royale (Pcp) (MPS)" devices ())
(name "j2cashtd" year "198?" manufacturer "JPM" desc "Cash Track Deluxe (JPM) (MPS)" devices ())
(name "j2cashtk" year "198?" manufacturer "JPM" desc "Cash Track (JPM) (MPS)" devices ())
(name "j2casino" year "198?" manufacturer "Pcp" desc "Casino Classic (Pcp) (MPS)" devices ())
(name "j2chsn" year "198?" manufacturer "<unknown>" desc "unknown 'chsnsn05' (Unk) (MPS)" devices ())
(name "j2clbbin" year "198?" manufacturer "Crystal?" desc "Club Bingo (Crystal) (MPS)" devices ())
(name "j2club77" year "198?" manufacturer "<unknown>" desc "Club 77 (Unk) (MPS)" devices ())
(name "j2coinct" year "198?" manufacturer "JPM" desc "Coin Count (JPM) (MPS)" devices ())
(name "j2coinsh" year "198?" manufacturer "Bwb" desc "Coin Shoot (Bwb) (MPS)" devices ())
(name "j2contnd" year "198?" manufacturer "Mdm" desc "Continuous Nudger (Mdm) (MPS)" devices ())
(name "j2coppot" year "198?" manufacturer "JPM" desc "Copper Pot (JPM) (MPS)" devices ())
(name "j2coprun" year "198?" manufacturer "JPM" desc "Copper Run (JPM) (MPS)" devices ())
(name "j2cprndx" year "198?" manufacturer "JPM" desc "Copper Run Deluxe (JPM) (MPS)" devices ())
(name "j2criscr" year "198?" manufacturer "Pcp" desc "Criss Cross Jackpot (Pcp) (MPS)" devices ())
(name "j2crkbnk" year "198?" manufacturer "JPM" desc "Crack The Bank (JPM) (MPS)" devices ())
(name "j2crown" year "198?" manufacturer "<unknown>" desc "Crown Dealer (Unk) (MPS)" devices ())
(name "j2cshalm" year "198?" manufacturer "Pcp" desc "Cash Alarm (Pcp) (MPS)" devices ())
(name "j2cshcrd" year "198?" manufacturer "Pcp" desc "Cash Cards (Pcp) (MPS)" devices ())
(name "j2cshfil" year "198?" manufacturer "Pcp" desc "Cash-Filla (Pcp) (MPS)" devices ())
(name "j2cshnud" year "198?" manufacturer "Mdm" desc "Cash Nudger (Mdm) (MPS)" devices ())
(name "j2cshsmh" year "198?" manufacturer "Pcp" desc "Cash Smash (Pcp) (MPS)" devices ())
(name "j2cvault" year "198?" manufacturer "JPM" desc "Cash Vault (JPM) (MPS)" devices ())
(name "j2dropld" year "198?" manufacturer "JPM" desc "Drop The Lot Deluxe (JPM) (MPS)" devices ())
(name "j2droplt" year "198?" manufacturer "JPM" desc "Drop The Lot (JPM) (MPS)" devices ())
(name "j2ewn" year "198?" manufacturer "JPM" desc "Each Way Nudger (JPM) (MPS)" devices ())
(name "j2ews" year "198?" manufacturer "JPM" desc "Each Way Shuffle (JPM) (MPS)" devices ())
(name "j2exec" year "198?" manufacturer "JPM" desc "Executive Club (JPM) (MPS)" devices ())
(name "j2fasttk" year "198?" manufacturer "JPM" desc "Fast Trak (JPM) (MPS)" devices ())
(name "j2fiveal" year "198?" manufacturer "JPM" desc "Five Alive (JPM) (MPS)" devices ())
(name "j2fiveln" year "198?" manufacturer "JPM" desc "Five Liner (JPM) (MPS)" devices ())
(name "j2fivepn" year "198?" manufacturer "Mdm" desc "Fivepenny Nudger (Mdm) (MPS)" devices ())
(name "j2fqueen" year "198?" manufacturer "JPM" desc "Find The Queen (JPM) (MPS)" devices ())
(name "j2frmtch" year "198?" manufacturer "JPM" desc "Fruit Match (JPM) (MPS)" devices ())
(name "j2frucnx" year "198?" manufacturer "Pcp" desc "Fruit Connexion (Pcp) (MPS)" devices ())
(name "j2fullhs" year "198?" manufacturer "JPM" desc "Full House Club (JPM) (MPS)" devices ())
(name "j2fws" year "198?" manufacturer "JPM" desc "Five Way Shuffle (set 1) (JPM) (MPS)" devices ())
(name "j2fwsa" year "198?" manufacturer "JPM" desc "Five Way Shuffle (set 2) (JPM) (MPS)" devices ())
(name "j2ghostb" year "198?" manufacturer "JPM" desc "Ghostbuster (JPM) (MPS)" devices ())
(name "j2gldchy" year "198?" manufacturer "JPM" desc "Golden Cherry (JPM) (MPS)" devices ())
(name "j2gldwin" year "198?" manufacturer "JPM" desc "Golden Win (JPM) (MPS)" devices ())
(name "j2goldbr" year "198?" manufacturer "JPM" desc "Golden Bars (JPM) (MPS)" devices ())
(name "j2goldrn" year "198?" manufacturer "JPM" desc "Gold Run (JPM) (MPS)" devices ())
(name "j2hcash" year "198?" manufacturer "<unknown>" desc "Hot Cash (Unk) (MPS)" devices ())
(name "j2hilocl" year "198?" manufacturer "Crystal" desc "Hi Lo Climber Club (Crystal) (MPS)" devices ())
(name "j2hinote" year "198?" manufacturer "JPM" desc "Hi Note (JPM) (MPS)" devices ())
(name "j2hirola" year "198?" manufacturer "<unknown>" desc "Hi Roll (Unk) (MPS)" devices ())
(name "j2hiroll" year "198?" manufacturer "JPM" desc "Hi Roller (JPM) (MPS)" devices ())
(name "j2hitmon" year "198?" manufacturer "Pcp" desc "Hit Money (Pcp) (MPS)" devices ())
(name "j2hotpot" year "198?" manufacturer "JPM" desc "Hot Pot (JPM) (MPS)" devices ())
(name "j2hotptd" year "198?" manufacturer "JPM" desc "Hot Pot Deluxe (JPM) (MPS)" devices ())
(name "j2hotsht" year "198?" manufacturer "JPM" desc "Hot Shot Club (JPM) (MPS)" devices ())
(name "j2hypnot" year "198?" manufacturer "JPM" desc "Hypernote (JPM) (MPS)" devices ())
(name "j2jackbr" year "198?" manufacturer "JPM" desc "Jackpot Bars (JPM) (MPS)" devices ())
(name "j2jackdc" year "198?" manufacturer "JPM" desc "Jackpot Dice (JPM) (MPS)" devices ())
(name "j2jokers" year "198?" manufacturer "JPM" desc "Jokers (JPM) (MPS)" devices ())
(name "j2kingcl" year "198?" manufacturer "JPM" desc "King Of Clubs (JPM) (MPS)" devices ())
(name "j2lhs" year "198?" manufacturer "<unknown>" desc "unknown 'lhs' (Unk) (MPS)" devices ())
(name "j2litean" year "198?" manufacturer "JPM" desc "Lite A Nudge (JPM) (MPS)" devices ())
(name "j2litnot" year "198?" manufacturer "Crystal" desc "Lite A Note Club (Crystal) (MPS)" devices ())
(name "j2loots" year "198?" manufacturer "Pcp" desc "Loot Shoot (Pcp) (MPS)" devices ())
(name "j2lovshd" year "198?" manufacturer "JPM" desc "Loot Shoot Deluxe (JPM) (MPS)" devices ())
(name "j2lovsht" year "198?" manufacturer "JPM" desc "Loot Shoot (JPM) (MPS)" devices ())
(name "j2luckar" year "198?" manufacturer "JPM" desc "Lucky Arrows (JPM) (MPS)" devices ())
(name "j2lucky2" year "198?" manufacturer "JPM" desc "Lucky 2s (JPM) (MPS)" devices ())
(name "j2match" year "198?" manufacturer "JPM" desc "Match It (JPM) (MPS)" devices ())
(name "j2maxima" year "198?" manufacturer "Pcp" desc "Maxima (Pcp) (MPS)" devices ())
(name "j2missis" year "198?" manufacturer "Crystal" desc "Mississippi Gambler Club (Crystal) (MPS)" devices ())
(name "j2monblt" year "198?" manufacturer "JPM" desc "Money Belt (JPM) (MPS)" devices ())
(name "j2monbnd" year "198?" manufacturer "JPM" desc "Money Bands (JPM) (MPS)" devices ())
(name "j2mongam" year "198?" manufacturer "JPM" desc "Money Game (JPM) (MPS)" devices ())
(name "j2mongmd" year "198?" manufacturer "JPM" desc "Money Game Deluxe (JPM) (MPS)" devices ())
(name "j2monmin" year "198?" manufacturer "<unknown>" desc "Money Mine (Unk) (MPS)" devices ())
(name "j2monmtx" year "198?" manufacturer "Bwb" desc "Money Matrix (Bwb) (MPS)" devices ())
(name "j2montrp" year "198?" manufacturer "Pcp" desc "Money Trapper (Pcp) (MPS)" devices ())
(name "j2multwn" year "198?" manufacturer "JPM" desc "Multi Win (JPM) (MPS)" devices ())
(name "j2nbz" year "198?" manufacturer "JPM" desc "Nudge Bonanza (JPM) (MPS)" devices ())
(name "j2ncsp" year "198?" manufacturer "Bwb" desc "unknown 'ncsp0pp' (Bwb) (MPS)" devices ())
(name "j2nn2" year "198?" manufacturer "<unknown>" desc "unknown 'nn_2' (Unk) (MPS)" devices ())
(name "j2nolimt" year "198?" manufacturer "Mdm" desc "No Limit Nudge (Mdm) (MPS)" devices ())
(name "j2notesh" year "198?" manufacturer "JPM" desc "Note Shoot (JPM) (MPS)" devices ())
(name "j2notexc" year "198?" manufacturer "JPM" desc "Note Exchange (set 1) (JPM) (MPS)" devices ())
(name "j2notexca" year "198?" manufacturer "JPM" desc "Note Exchange (set 2) (JPM) (MPS)" devices ())
(name "j2notexcb" year "198?" manufacturer "JPM" desc "Note Exchange (set 3) (JPM) (MPS)" devices ())
(name "j2notspn" year "198?" manufacturer "<unknown>" desc "Note Spinner (Unk) (MPS)" devices ())
(name "j2nrrp" year "198?" manufacturer "Bwb" desc "unknown 'nprpopp' (Bwb) (MPS)" devices ())
(name "j2nsc15" year "198?" manufacturer "Pcp" desc "unknown 'nsc15' (Pcp) (MPS)" devices ())
(name "j2nsw12" year "198?" manufacturer "Pcp" desc "unknown 'nsw12' (Pcp) (MPS)" devices ())
(name "j2nud5p" year "198?" manufacturer "JPM" desc "5p Nudger (JPM) (MPS)" devices ())
(name "j2nudbnz" year "198?" manufacturer "JPM" desc "Nudge Bonanza Deluxe (set 1) (JPM) (MPS)" devices ())
(name "j2nudbnza" year "198?" manufacturer "JPM" desc "Nudge Bonanza Deluxe (set 2) (JPM) (MPS)" devices ())
(name "j2nuddud" year "198?" manufacturer "JPM" desc "Nudge Double Up Deluxe (JPM) (MPS)" devices ())
(name "j2nuddup" year "198?" manufacturer "JPM" desc "Nudge Double Up (JPM) (MPS)" devices ())
(name "j2nudfev" year "198?" manufacturer "Bwb" desc "Nudge Fever (Bwb) (MPS)" devices ())
(name "j2nudmon" year "198?" manufacturer "Pcp" desc "Nudge Money (Pcp) (MPS)" devices ())
(name "j2nudnud" year "198?" manufacturer "JPM" desc "Nudge Nudge (JPM) (MPS)" devices ())
(name "j2nudshf" year "198?" manufacturer "JPM" desc "Nudge Shuffler (JPM) (MPS)" devices ())
(name "j2nudup3" year "198?" manufacturer "JPM" desc "Nudge Double Up MkIII (JPM) (MPS)" devices ())
(name "j2paypkt" year "198?" manufacturer "Pcp" desc "Pay Packet (Pcp) (MPS)" devices ())
(name "j2penny" year "198?" manufacturer "Pcp" desc "In For A Penny In For A Pound (Pcp) (MPS)" devices ())
(name "j2pharo" year "198?" manufacturer "<unknown>" desc "Pharoah (Unk) (MPS)" devices ())
(name "j2pinac" year "198?" manufacturer "JPM" desc "Pinnacle (JPM) (MPS)" devices ())
(name "j2pinclb" year "198?" manufacturer "JPM" desc "Pinnacle Club (JPM) (MPS)" devices ())
(name "j2plsmnd" year "198?" manufacturer "JPM" desc "Plus Money Deluxe (JPM) (MPS)" devices ())
(name "j2plsmon" year "198?" manufacturer "JPM" desc "Plus Money (JPM) (MPS)" devices ())
(name "j2plsnud" year "198?" manufacturer "JPM" desc "Plus Nudge (JPM) (MPS)" devices ())
(name "j2pndrsh" year "198?" manufacturer "JPM" desc "Pound Rush (JPM) (MPS)" devices ())
(name "j2potlck" year "198?" manufacturer "JPM" desc "Pot Luck (JPM) (MPS)" devices ())
(name "j2pyramd" year "198?" manufacturer "JPM" desc "Pyramid (JPM) (MPS)" devices ())
(name "j2rdclb" year "198?" manufacturer "JPM" desc "Royal Deal Club (JPM) (MPS)" devices ())
(name "j2reelbn" year "198?" manufacturer "JPM" desc "Reel Bingo Club (set 1) (JPM) (MPS)" devices ())
(name "j2reelbna" year "198?" manufacturer "JPM" desc "Reel Bingo Club (set 2) (JPM) (MPS)" devices ())
(name "j2reelbo" year "198?" manufacturer "JPM" desc "Reel Bonus (JPM) (MPS)" devices ())
(name "j2reelcz" year "198?" manufacturer "JPM" desc "Reel Crazy (JPM) (MPS)" devices ())
(name "j2reeldc" year "198?" manufacturer "JPM" desc "Reel Deal Club (JPM) (MPS)" devices ())
(name "j2reelmc" year "198?" manufacturer "JPM" desc "Reel Magic Club (JPM) (MPS)" devices ())
(name "j2reelmg" year "198?" manufacturer "JPM" desc "Reel Magic (JPM) (MPS)" devices ())
(name "j2reelmgd" year "198?" manufacturer "JPM" desc "Reel Magic (JPM) [Dutch] (MPS)" devices ())
(name "j2reelmo" year "198?" manufacturer "JPM" desc "Reel Money (JPM) (MPS)" devices ())
(name "j2rm941" year "198?" manufacturer "<unknown>" desc "unknown 'rm941' (Unk) (MPS)" devices ())
(name "j2rotnot" year "198?" manufacturer "JPM" desc "Rota Note (JPM) (MPS)" devices ())
(name "j2roulcl" year "198?" manufacturer "JPM" desc "Roulette Club (JPM) [Mps] (MPS)" devices ())
(name "j2sex" year "198?" manufacturer "<unknown>" desc "Super Exchanger (Unk) (MPS)" devices ())
(name "j2silvcl" year "198?" manufacturer "Pcp" desc "Silver Classic (Pcp) (MPS)" devices ())
(name "j2silvsh" year "198?" manufacturer "Pcp" desc "Silver Shot (Pcp) (MPS)" devices ())
(name "j2sirich" year "198?" manufacturer "JPM" desc "Strike It Rich (JPM) (MPS) (set 1)" devices ())
(name "j2siricha" year "198?" manufacturer "JPM" desc "Strike It Rich (JPM) (MPS) (set 2)" devices ())
(name "j2sldgld" year "198?" manufacturer "JPM" desc "Solid Gold (JPM) (MPS)" devices ())
(name "j2slvrgh" year "198?" manufacturer "JPM" desc "Silver Ghost (JPM) (MPS)" devices ())
(name "j2sng" year "198?" manufacturer "Cotswold Microsystems" desc "Super Nudge Gambler (Cotswold Microsystems) (MPS)" devices ())
(name "j2spcrsv" year "198?" manufacturer "JPM" desc "Special Reserve (JPM) (MPS)" devices ())
(name "j2ss" year "198?" manufacturer "JPM" desc "Supa Stepper (JPM) (MPS)" devices ())
(name "j2sset" year "198?" manufacturer "<unknown>" desc "Sunset Strip (v2.0) (Unk) (MPS?)" devices ())
(name "j2sstrea" year "198?" manufacturer "Pcp" desc "Supa Streak (Pcp) (MPS)" devices ())
(name "j2stahed" year "198?" manufacturer "JPM" desc "Streets Ahead (JPM) (MPS)" devices ())
(name "j2strk10" year "198?" manufacturer "Ace?" desc "Strike Ten (Ace) (MPS)" devices ())
(name "j2supchy" year "198?" manufacturer "Eurocoin" desc "Super Cherry (Eurocoin) (MPS)" devices ())
(name "j2super7" year "198?" manufacturer "<unknown>" desc "Super 7's (Unk) (MPS)" devices ())
(name "j2supfrc" year "198?" manufacturer "JPM" desc "Supa Fruit Club (JPM) (MPS)" devices ())
(name "j2supfrt" year "198?" manufacturer "JPM" desc "Supa Fruit (JPM) (MPS)" devices ())
(name "j2supln" year "198?" manufacturer "JPM" desc "Super Line (JPM) (MPS)" devices ())
(name "j2suppot" year "198?" manufacturer "JPM" desc "Super Pots (JPM) (MPS)" devices ())
(name "j2suprft" year "198?" manufacturer "JPM" desc "Super Fruit (JPM) (MPS)" devices ())
(name "j2suprl" year "198?" manufacturer "JPM" desc "Super Reel (JPM) (MPS)" devices ())
(name "j2suprsh" year "198?" manufacturer "JPM" desc "Supershot (JPM) (MPS)" devices ())
(name "j2supsft" year "1987" manufacturer "JPM" desc "Supashifta (JPM) (MPS)" devices ())
(name "j2supstp" year "198?" manufacturer "JPM" desc "Supa Steppa (JPM) (MPS)" devices ())
(name "j2supstr" year "198?" manufacturer "JPM" desc "Superstars (JPM) (MPS)" devices ())
(name "j2suptrk" year "198?" manufacturer "JPM" desc "Supa Track (JPM) (MPS)" devices ())
(name "j2swbank" year "198?" manufacturer "JPM" desc "Switch Back (JPM) (MPS)" devices ())
(name "j2take2" year "198?" manufacturer "JPM" desc "Take 2 (JPM) (MPS)" devices ())
(name "j2topcd" year "198?" manufacturer "Bwb" desc "Top Card (Bwb) (MPS)" devices ())
(name "j2topsht" year "198?" manufacturer "JPM" desc "Top Shot (JPM) (MPS)" devices ())
(name "j2trail" year "198?" manufacturer "Bwb" desc "Trailblazer (Bwb) (MPS)" devices ())
(name "j2tst" year "198?" manufacturer "JPM" desc "MPS 1 Test Rom (JPM) (MPS)" devices ())
(name "j2tstplt" year "198?" manufacturer "Pcp" desc "Test Pilot (set 1) (Pcp) (MPS)" devices ())
(name "j2tstplta" year "198?" manufacturer "Pcp" desc "Test Pilot (set 2) (Pcp) (MPS)" devices ())
(name "j2tupnd" year "198?" manufacturer "Mdm" desc "Tuppenny Nudger (Mdm) (MPS)" devices ())
(name "j2tupnud" year "198?" manufacturer "JPM" desc "Tuppenny Nudger (JPM) (MPS)" devices ())
(name "j2wag" year "198?" manufacturer "Bwb" desc "Win-A-Gain (Bwb) (MPS)" devices ())
(name "j2westrn" year "198?" manufacturer "JPM" desc "Western (JPM) (MPS)" devices ())
(name "j2wrb" year "198?" manufacturer "JPM" desc "Wild Reel Bingo (JPM) (MPS)" devices ())
(name "j2xxx" year "198?" manufacturer "Bwb" desc "Triple X (Bwb) (MPS)" devices ())
(name "j5ar80" year "199?" manufacturer "JPM" desc "Around The World In Eighty Days (JPM) (SYSTEM5, set 1)" devices ())
(name "j5ar80a" year "199?" manufacturer "JPM" desc "Around The World In Eighty Days (JPM) (SYSTEM5, set 2)" devices ())
(name "j5ar80b" year "199?" manufacturer "JPM" desc "Around The World In Eighty Days (JPM) (SYSTEM5, set 3)" devices ())
(name "j5ar80c" year "199?" manufacturer "JPM" desc "Around The World In Eighty Days (JPM) (SYSTEM5, set 4)" devices ())
(name "j5ar80cl" year "199?" manufacturer "JPM" desc "Around The World Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5ar80cla" year "199?" manufacturer "JPM" desc "Around The World Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j5ar80clb" year "199?" manufacturer "JPM" desc "Around The World Club (JPM) (SYSTEM5, set 3)" devices ())
(name "j5ar80clc" year "199?" manufacturer "JPM" desc "Around The World Club (JPM) (SYSTEM5, set 4)" devices ())
(name "j5ar80d" year "199?" manufacturer "JPM" desc "Around The World In Eighty Days (JPM) (SYSTEM5, set 5)" devices ())
(name "j5buc" year "199?" manufacturer "JPM" desc "Buccaneer (JPM) (SYSTEM5)" devices ())
(name "j5cir" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 1)" devices ())
(name "j5cira" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 2)" devices ())
(name "j5cirb" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 3)" devices ())
(name "j5circ" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 4)" devices ())
(name "j5cird" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 5)" devices ())
(name "j5cire" year "199?" manufacturer "JPM" desc "Circus (JPM) (SYSTEM5, set 6)" devices ())
(name "j5clbnud" year "199?" manufacturer "JPM" desc "Club Nudger (JPM) (SYSTEM5-SAA, set 1)" devices ())
(name "j5clbnuda" year "199?" manufacturer "JPM" desc "Club Nudger (JPM) (SYSTEM5-SAA, set 2)" devices ())
(name "j5daycls" year "199?" manufacturer "JPM" desc "Daytona Classic (JPM) (SYSTEM5, set 1)" devices ())
(name "j5dayclsa" year "199?" manufacturer "JPM" desc "Daytona Classic (JPM) (SYSTEM5, set 2)" devices ())
(name "j5daytn" year "199?" manufacturer "JPM" desc "Daytona (JPM) (SYSTEM5, set 1)" devices ())
(name "j5daytna" year "199?" manufacturer "JPM" desc "Daytona (JPM) (SYSTEM5, set 2)" devices ())
(name "j5dirty" year "199?" manufacturer "JPM" desc "Dirty Dozen (JPM) (SYSTEM5, set 1)" devices ())
(name "j5dirtya" year "199?" manufacturer "JPM" desc "Dirty Dozen (JPM) (SYSTEM5, set 2)" devices ())
(name "j5dirtyb" year "199?" manufacturer "JPM" desc "Dirty Dozen (JPM) (SYSTEM5, set 3)" devices ())
(name "j5dirtyc" year "199?" manufacturer "JPM" desc "Dirty Dozen (JPM) (SYSTEM5, set 4)" devices ())
(name "j5fair" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 1)" devices ())
(name "j5faira" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 2)" devices ())
(name "j5fairb" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 3)" devices ())
(name "j5fairc" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 4)" devices ())
(name "j5faird" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 5)" devices ())
(name "j5faire" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 6)" devices ())
(name "j5fairf" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 7)" devices ())
(name "j5fairg" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 8)" devices ())
(name "j5fairgd" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5fairgda" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j5fairgdb" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 3)" devices ())
(name "j5fairgdc" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 4)" devices ())
(name "j5fairgdd" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 5)" devices ())
(name "j5fairgde" year "199?" manufacturer "JPM" desc "Fairground Attraction Club (JPM) (SYSTEM5, set 6)" devices ())
(name "j5fairh" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 9)" devices ())
(name "j5fairi" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 10)" devices ())
(name "j5fairj" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 11)" devices ())
(name "j5fairk" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 12)" devices ())
(name "j5fairl" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 13)" devices ())
(name "j5fairm" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 14)" devices ())
(name "j5fairn" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 15)" devices ())
(name "j5fairo" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 16)" devices ())
(name "j5fairp" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 17)" devices ())
(name "j5fairq" year "199?" manufacturer "JPM" desc "Fairground (JPM) (SYSTEM5, set 18)" devices ())
(name "j5fifth" year "199?" manufacturer "JPM" desc "5th Avenue (JPM) (SYSTEM5-SAA)" devices ())
(name "j5filth" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 1)" devices ())
(name "j5filtha" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 2)" devices ())
(name "j5filthb" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 3)" devices ())
(name "j5filthc" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 4)" devices ())
(name "j5filthd" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 5)" devices ())
(name "j5filthe" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 6)" devices ())
(name "j5filthf" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 7)" devices ())
(name "j5filthg" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 8)" devices ())
(name "j5filthh" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 9)" devices ())
(name "j5filthi" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 10)" devices ())
(name "j5filthj" year "199?" manufacturer "JPM" desc "Filthy Rich (JPM) (SYSTEM5, set 11)" devices ())
(name "j5firebl" year "199?" manufacturer "JPM" desc "Fireball (JPM) (SYSTEM5-SAA, set 1)" devices ())
(name "j5firebla" year "199?" manufacturer "JPM" desc "Fireball (JPM) (SYSTEM5-SAA, set 2)" devices ())
(name "j5fireblb" year "199?" manufacturer "JPM" desc "Fireball (JPM) (SYSTEM5-SAA, set 3)" devices ())
(name "j5frmag" year "199?" manufacturer "JPM" desc "Fruit Magic (JPM) (SYSTEM5-SAA)" devices ())
(name "j5goldbr" year "199?" manufacturer "JPM" desc "Golden Bars (JPM) (SYSTEM5-SAA)" devices ())
(name "j5hagar" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 1)" devices ())
(name "j5hagara" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 2)" devices ())
(name "j5hagarb" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 3)" devices ())
(name "j5hagarc" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 4)" devices ())
(name "j5hagard" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 5)" devices ())
(name "j5hagare" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 6)" devices ())
(name "j5hagarf" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 7)" devices ())
(name "j5hagarg" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 8)" devices ())
(name "j5hagarh" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 9)" devices ())
(name "j5hagari" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 10)" devices ())
(name "j5hagarj" year "199?" manufacturer "JPM" desc "Hagar (JPM) (SYSTEM5, set 11)" devices ())
(name "j5hagsho" year "199?" manufacturer "JPM" desc "Hagar Showcase (JPM) (SYSTEM5, set 1)" devices ())
(name "j5hagshoa" year "199?" manufacturer "JPM" desc "Hagar Showcase (JPM) (SYSTEM5, set 2)" devices ())
(name "j5hagshob" year "199?" manufacturer "JPM" desc "Hagar Showcase (JPM) (SYSTEM5, set 3)" devices ())
(name "j5hagshoc" year "199?" manufacturer "JPM" desc "Hagar Showcase (JPM) (SYSTEM5, set 4)" devices ())
(name "j5hilos" year "1990" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (SYSTEM5)" devices ())
(name "j5holly" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 1)" devices ())
(name "j5hollya" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 2)" devices ())
(name "j5hollyb" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 3)" devices ())
(name "j5hollyc" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 4)" devices ())
(name "j5hollyd" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 5)" devices ())
(name "j5hollye" year "199?" manufacturer "JPM" desc "Hollywood Nights (JPM) (SYSTEM5, set 6)" devices ())
(name "j5hotdog" year "199?" manufacturer "JPM" desc "Hot Dogs (JPM) (SYSTEM5, set 1)" devices ())
(name "j5hotdoga" year "199?" manufacturer "JPM" desc "Hot Dogs (JPM) (SYSTEM5, set 2)" devices ())
(name "j5indsum" year "199?" manufacturer "JPM" desc "Indian Summer (JPM) (SYSTEM5)" devices ())
(name "j5intr" year "199?" manufacturer "JPM" desc "Intrigue (JPM) (SYSTEM5, set 1)" devices ())
(name "j5intra" year "199?" manufacturer "JPM" desc "Intrigue (JPM) (SYSTEM5, set 2)" devices ())
(name "j5intrb" year "199?" manufacturer "JPM" desc "Intrigue (JPM) (SYSTEM5, set 3)" devices ())
(name "j5intrc" year "199?" manufacturer "JPM" desc "Intrigue (JPM) (SYSTEM5, set 4)" devices ())
(name "j5jokgld" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 1)" devices ())
(name "j5jokglda" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 2)" devices ())
(name "j5jokgldb" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 3)" devices ())
(name "j5jokgldc" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 4)" devices ())
(name "j5jokgldd" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 5)" devices ())
(name "j5jokglde" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 6)" devices ())
(name "j5jokgldf" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 7)" devices ())
(name "j5jokgldg" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 8)" devices ())
(name "j5jokgldh" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (SYSTEM5, set 9)" devices ())
(name "j5movie" year "199?" manufacturer "Crystal" desc "Movie Magic Club (Crystal) (SYSTEM5)" devices ())
(name "j5nite" year "199?" manufacturer "JPM" desc "Nite Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5nitea" year "199?" manufacturer "JPM" desc "Nite Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j5nudfic" year "199?" manufacturer "JPM" desc "Nudge Fiction (JPM) (SYSTEM5)" devices ())
(name "j5palm" year "199?" manufacturer "JPM" desc "Palm Springs (JPM) (SYSTEM5, set 1)" devices ())
(name "j5palma" year "199?" manufacturer "JPM" desc "Palm Springs (JPM) (SYSTEM5, set 2)" devices ())
(name "j5phnx" year "199?" manufacturer "JPM" desc "Phoenix (JPM) (SYSTEM5, set 1)" devices ())
(name "j5phnxa" year "199?" manufacturer "JPM" desc "Phoenix (JPM) (SYSTEM5, set 2)" devices ())
(name "j5popeye" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 1)" devices ())
(name "j5popeyea" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 2)" devices ())
(name "j5popeyeb" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 3)" devices ())
(name "j5popeyec" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 4)" devices ())
(name "j5popeyed" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 5)" devices ())
(name "j5popeyee" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 6)" devices ())
(name "j5popeyef" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 7)" devices ())
(name "j5popeyeg" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 8)" devices ())
(name "j5popeyeh" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 9)" devices ())
(name "j5popeyei" year "199?" manufacturer "JPM" desc "Popeye (JPM) (SYSTEM5, set 10)" devices ())
(name "j5popprz" year "199?" manufacturer "JPM" desc "Prize Popeye Vending (JPM) (SYSTEM5, set 1)" devices ())
(name "j5popprza" year "199?" manufacturer "JPM" desc "Prize Popeye Vending (JPM) (SYSTEM5, set 2)" devices ())
(name "j5popth" year "199?" manufacturer "JPM" desc "Popeye's Treasure Hunt (JPM) (SYSTEM5, set 1)" devices ())
(name "j5poptha" year "199?" manufacturer "JPM" desc "Popeye's Treasure Hunt (JPM) (SYSTEM5, set 2)" devices ())
(name "j5popthb" year "199?" manufacturer "JPM" desc "Popeye's Treasure Hunt (JPM) (SYSTEM5, set 3)" devices ())
(name "j5reelgh" year "199?" manufacturer "JPM" desc "Reel Ghost (JPM) (SYSTEM5-SAA)" devices ())
(name "j5revo" year "199?" manufacturer "JPM" desc "Revolver (JPM) (SYSTEM5, set 1)" devices ())
(name "j5revoa" year "199?" manufacturer "JPM" desc "Revolver (JPM) (SYSTEM5, set 2)" devices ())
(name "j5roul" year "199?" manufacturer "JPM" desc "Roulette (JPM) (SYSTEM5)" devices ())
(name "j5roulcl" year "199?" manufacturer "JPM" desc "Roulette Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5roulcla" year "199?" manufacturer "JPM" desc "Roulette Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j5roulclb" year "199?" manufacturer "JPM" desc "Roulette Club (JPM) (SYSTEM5, set 3)" devices ())
(name "j5roulclc" year "199?" manufacturer "JPM" desc "Roulette Club (JPM) (SYSTEM5, set 4)" devices ())
(name "j5sizl" year "199?" manufacturer "JPM" desc "Sizzling (JPM) (SYSTEM5)" devices ())
(name "j5slvree" year "199?" manufacturer "JPM" desc "Silver Reels (JPM) (SYSTEM5, set 1)" devices ())
(name "j5slvreea" year "199?" manufacturer "JPM" desc "Silver Reels (JPM) (SYSTEM5, set 2)" devices ())
(name "j5slvstr" year "199?" manufacturer "JPM" desc "Silver Streak (JPM) (SYSTEM5, set 1)" devices ())
(name "j5slvstra" year "199?" manufacturer "JPM" desc "Silver Streak (JPM) (SYSTEM5, set 2)" devices ())
(name "j5slvstrb" year "199?" manufacturer "JPM" desc "Silver Streak (JPM) (SYSTEM5, set 3)" devices ())
(name "j5street" year "199?" manufacturer "JPM" desc "Streetwise (JPM) (SYSTEM5)" devices ())
(name "j5sup4" year "199?" manufacturer "JPM" desc "Super 4 (JPM) (SYSTEM5-SAA)" devices ())
(name "j5supbar" year "199?" manufacturer "JPM" desc "Super Bars (JPM) (SYSTEM5, set 1)" devices ())
(name "j5supbara" year "199?" manufacturer "JPM" desc "Super Bars (JPM) (SYSTEM5, set 2)" devices ())
(name "j5suphi" year "199?" manufacturer "JPM" desc "Super Hi-Lo (JPM) (SYSTEM5-SAA)" devices ())
(name "j5swop" year "199?" manufacturer "JPM" desc "Swop A Fruit Club (JPM) (SYSTEM5-SAA)" devices ())
(name "j5td" year "199?" manufacturer "JPM" desc "Tumbling Dice (JPM) (SYSTEM5-SAA)" devices ())
(name "j5term" year "199?" manufacturer "JPM" desc "Terminator (JPM) (SYSTEM5)" devices ())
(name "j5topshp" year "199?" manufacturer "JPM" desc "Top Of The Shop Club (JPM) (SYSTEM5)" devices ())
(name "j5trail" year "199?" manufacturer "JPM" desc "Trailblazer Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5traila" year "199?" manufacturer "JPM" desc "Trailblazer Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j5trailb" year "199?" manufacturer "JPM" desc "Trailblazer Club (JPM) (SYSTEM5, set 3)" devices ())
(name "j5tst1" year "199?" manufacturer "JPM" desc "JPM System 5 Test Set (JPM) (SYSTEM5, set 1)" devices ())
(name "j5tst2" year "199?" manufacturer "JPM" desc "JPM System 5 Test Set (JPM) (SYSTEM5, set 2)" devices ())
(name "j5tstal" year "199?" manufacturer "JPM" desc "JPM System 5 Alpha Display Test Utility (JPM) (SYSTEM5)" devices ())
(name "j5uj" year "199?" manufacturer "JPM" desc "Union Jackpot (JPM) (SYSTEM5, set 1)" devices ())
(name "j5uja" year "199?" manufacturer "JPM" desc "Union Jackpot (JPM) (SYSTEM5, set 2)" devices ())
(name "j5ujb" year "199?" manufacturer "JPM" desc "Union Jackpot (JPM) (SYSTEM5, set 3)" devices ())
(name "j5wsc" year "199?" manufacturer "JPM" desc "Wall Street Club (JPM) (SYSTEM5, set 1)" devices ())
(name "j5wsca" year "199?" manufacturer "JPM" desc "Wall Street Club (JPM) (SYSTEM5, set 2)" devices ())
(name "j6aceclb" year "199?" manufacturer "Crystal" desc "Ace Of Clubs (Crystal) (IMPACT, GND D 4)" devices ())
(name "j6aceclba" year "199?" manufacturer "Crystal" desc "Ace Of Clubs (Crystal) (IMPACT, GND D 4 P, Protocol)" devices ())
(name "j6acehi" year "199?" manufacturer "Ace" desc "Aces High (Ace) (IMPACT)" devices ())
(name "j6amdrm" year "199?" manufacturer "Mdm" desc "American Dream (Mdm) (IMPACT)" devices ())
(name "j6arcade" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR9 C10, V9, set 1)" devices ())
(name "j6arcadea" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR9 A C10, V9, set 2)" devices ())
(name "j6arcadeb" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR9 C10, V9, set 3)" devices ())
(name "j6arcadec" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR9 P, V9, set 4, Protocol)" devices ())
(name "j6arcaded" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR9 P C10, V9, set 5, Protocol)" devices ())
(name "j6arcadee" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 C11, V10, set 1, Protocol)" devices ())
(name "j6arcadef" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 A C11, V10, set 2, Protocol)" devices ())
(name "j6arcadeg" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 C11, V10, set 3, Protocol)" devices ())
(name "j6arcadeh" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 P, V10, set 4, Protocol)" devices ())
(name "j6arcadei" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 P C11, V10, set 5, Protocol)" devices ())
(name "j6arcadej" year "199?" manufacturer "JPM" desc "Arcadia (JPM) (IMPACT) (AR10 C11, V10, set 6, Protocol?)" devices ())
(name "j6bags" year "199?" manufacturer "JPM" desc "Three Bags Full (JPM) (IMPACT)" devices ())
(name "j6bbankr" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB 2  T 2)" devices ())
(name "j6big50" year "199?" manufacturer "JPM" desc "Big 50 (JPM) (IMPACT) (BF12 L12)" devices ())
(name "j6big50a" year "199?" manufacturer "JPM" desc "Big 50 (JPM) (IMPACT) (BF12P F12, Protocol)" devices ())
(name "j6big50b" year "199?" manufacturer "JPM" desc "Big 50 (JPM) (IMPACT) (BF12 AH12)" devices ())
(name "j6big50c" year "199?" manufacturer "JPM" desc "Big 50 (JPM) (IMPACT) (BF12 L12, Whitbread)" devices ())
(name "j6big50d" year "199?" manufacturer "JPM" desc "Big 50 (JPM) (IMPACT) (BF L8)" devices ())
(name "j6bigbnk" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB10C  20) (set 1)" devices ())
(name "j6bigbnka" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB10C  20) (set 2, Protocol)" devices ())
(name "j6bigbnkb" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB10C  20) (set 3)" devices ())
(name "j6bigbnkc" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB10C  20) (set 4)" devices ())
(name "j6bigbnkd" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB8   H18)" devices ())
(name "j6bigbnke" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB8 P H18) (Protocol)" devices ())
(name "j6bigbnkf" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB8  AH18)" devices ())
(name "j6bigbnkg" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB6 C  16) (set 1, Protocol)" devices ())
(name "j6bigbnkh" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB6 C  16) (set 2)" devices ())
(name "j6bigbnki" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB2B  H11)" devices ())
(name "j6bigbnkj" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB2BP H11) (Protocol)" devices ())
(name "j6bigbnkk" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB2B AH11)" devices ())
(name "j6bigbnkl" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB2BI H11)" devices ())
(name "j6bigbnkm" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB2II H08)" devices ())
(name "j6bigbnkn" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB 9C  19)" devices ())
(name "j6bigbnko" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB5 I H15)" devices ())
(name "j6bigbnkp" year "199?" manufacturer "JPM" desc "Big Banker (JPM) (IMPACT) (BB4 I H09)" devices ())
(name "j6bigbuk" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 1)" devices ())
(name "j6bigbuka" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 2)" devices ())
(name "j6bigbukb" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 3)" devices ())
(name "j6bigbukc" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 4)" devices ())
(name "j6bigbukd" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 5)" devices ())
(name "j6bigbuke" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 6)" devices ())
(name "j6bigbukf" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 7)" devices ())
(name "j6bigbukg" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 8)" devices ())
(name "j6bigbukh" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 9)" devices ())
(name "j6bigbuki" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 10)" devices ())
(name "j6bigbukj" year "199?" manufacturer "JPM" desc "Big Bucks (JPM) (IMPACT) (set 11)" devices ())
(name "j6bigcsh" year "199?" manufacturer "Empire" desc "Big Cash Machine (Empire) (IMPACT)" devices ())
(name "j6bigpct" year "199?" manufacturer "Ace" desc "Big Picture (Ace) (IMPACT) (set 1)" devices ())
(name "j6bigpcta" year "199?" manufacturer "Ace" desc "Big Picture (Ace) (IMPACT) (set 2, Protocol)" devices ())
(name "j6bigpctb" year "199?" manufacturer "Ace" desc "Big Picture (Ace) (IMPACT) (set 3)" devices ())
(name "j6bigtop" year "199?" manufacturer "JPM" desc "Big Top Club (JPM) (IMPACT) (BT3 BT6) set 1)" devices ())
(name "j6bigtopa" year "199?" manufacturer "JPM" desc "Big Top Club (JPM) (IMPACT) (BT4 BT8) (set 2)" devices ())
(name "j6bigtopb" year "199?" manufacturer "JPM" desc "Big Top Club (JPM) (IMPACT) (BT4 BT8P) (set 3, Protocol)" devices ())
(name "j6bigtopc" year "199?" manufacturer "JPM" desc "Big Top Club (JPM) (IMPACT) (BT4 BT8F) (set 4)" devices ())
(name "j6bigwhl" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 1)" devices ())
(name "j6bigwhla" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 2, Protocol)" devices ())
(name "j6bigwhlb" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 3)" devices ())
(name "j6bigwhlc" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 4)" devices ())
(name "j6bigwhld" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 5)" devices ())
(name "j6bigwhle" year "199?" manufacturer "JPM" desc "Big Wheel (JPM) (IMPACT) (set 6)" devices ())
(name "j6bmc" year "199?" manufacturer "Crystal" desc "Big Money Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6bmca" year "199?" manufacturer "Crystal" desc "Big Money Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6bnkrcl" year "199?" manufacturer "JPM" desc "Banker Club (JPM) (IMPACT) (V6, set 1)" devices ())
(name "j6bnkrcla" year "199?" manufacturer "JPM" desc "Banker Club (JPM) (IMPACT) (V6, set 2)" devices ())
(name "j6bnkrclb" year "199?" manufacturer "JPM" desc "Banker Club (JPM) (IMPACT) (V6, set 3)" devices ())
(name "j6bnkrclc" year "199?" manufacturer "JPM" desc "Banker Club (JPM) (IMPACT) (V2)" devices ())
(name "j6bno" year "199?" manufacturer "Crystal" desc "Big Nite Out (Crystal) (IMPACT) (set 1)" devices ())
(name "j6bnoa" year "199?" manufacturer "Crystal" desc "Big Nite Out (Crystal) (IMPACT) (set 2)" devices ())
(name "j6bnob" year "199?" manufacturer "Crystal" desc "Big Nite Out (Crystal) (IMPACT) (set 3)" devices ())
(name "j6bnoc" year "199?" manufacturer "Crystal" desc "Big Nite Out (Crystal) (IMPACT) (set 4)" devices ())
(name "j6bnza" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO1   H06)" devices ())
(name "j6bnzaa" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO1 P H06) (Protocol)" devices ())
(name "j6bnzab" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO1  AH06)" devices ())
(name "j6bnzac" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO1 I H06)" devices ())
(name "j6bnzad" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO 9   14)" devices ())
(name "j6bnzae" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO 9P  14) (Protocol)" devices ())
(name "j6bnzaf" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO 9 A 14)" devices ())
(name "j6bnzag" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO 9I  14)" devices ())
(name "j6bnzah" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO5   H10)" devices ())
(name "j6bnzai" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO5 I H10)" devices ())
(name "j6bnzaj" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (incomplete pair)" devices ())
(name "j6bnzak" year "199?" manufacturer "JPM" desc "Bonanza (JPM) (IMPACT) (BO06   11)" devices ())
(name "j6brkout" year "199?" manufacturer "JPM" desc "Breakout (JPM) (IMPACT) (set 1)" devices ())
(name "j6brkouta" year "199?" manufacturer "JPM" desc "Breakout (JPM) (IMPACT) (set 2)" devices ())
(name "j6btbw" year "199?" manufacturer "Crystal" desc "Born To Be Wild Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6btbwa" year "199?" manufacturer "Crystal" desc "Born To Be Wild Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6btbwb" year "199?" manufacturer "Crystal" desc "Born To Be Wild Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6btbwc" year "199?" manufacturer "Crystal" desc "Born To Be Wild Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6btbwd" year "199?" manufacturer "Crystal" desc "Born To Be Wild Club (Crystal) (IMPACT) (set 5)" devices ())
(name "j6bucks" year "199?" manufacturer "Ace" desc "Bucks Fizz (Ace) (IMPACT)" devices ())
(name "j6camelt" year "199?" manufacturer "JPM" desc "Camelot (JPM) (IMPACT) (CA8 C10)" devices ())
(name "j6camelta" year "199?" manufacturer "JPM" desc "Camelot (JPM) (IMPACT) (CA8P C10, Protocol)" devices ())
(name "j6cameltb" year "199?" manufacturer "JPM" desc "Camelot (JPM) (IMPACT) (CA8 AC10)" devices ())
(name "j6cameltc" year "199?" manufacturer "JPM" desc "Camelot (JPM) (IMPACT) (CA8 C10, Whitbread)" devices ())
(name "j6cameltd" year "199?" manufacturer "JPM" desc "Camelot (JPM) (IMPACT) (CA6 C8)" devices ())
(name "j6cas5" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 1)" devices ())
(name "j6cas5a" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 2)" devices ())
(name "j6cas5b" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 3)" devices ())
(name "j6cas5c" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 4)" devices ())
(name "j6cas5d" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 5)" devices ())
(name "j6cas5e" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 6)" devices ())
(name "j6cas5f" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 7)" devices ())
(name "j6cas5g" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 8, Whitbread)" devices ())
(name "j6cas5h" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 9)" devices ())
(name "j6cas5i" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 10)" devices ())
(name "j6cas5j" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 11)" devices ())
(name "j6cas5k" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 12, Whitbread)" devices ())
(name "j6cas5l" year "199?" manufacturer "JPM" desc "Casino 5ive Liner (JPM) (IMPACT) (set 13)" devices ())
(name "j6cascla" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6casclaa" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6casclab" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6casclac" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6casclad" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6casclae" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 6)" devices ())
(name "j6casclaf" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 7)" devices ())
(name "j6casclag" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 8)" devices ())
(name "j6casclah" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 9)" devices ())
(name "j6casclai" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 10)" devices ())
(name "j6casclaj" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 11)" devices ())
(name "j6casclak" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 12)" devices ())
(name "j6casclal" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 13)" devices ())
(name "j6casclam" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 14)" devices ())
(name "j6casclan" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 15)" devices ())
(name "j6casclao" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 16)" devices ())
(name "j6casclap" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 17)" devices ())
(name "j6casclaq" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 18)" devices ())
(name "j6casclar" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 19)" devices ())
(name "j6casclas" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 20)" devices ())
(name "j6casclat" year "199?" manufacturer "JPM" desc "Casino Crazy Classic Club (JPM) (IMPACT) (set 21)" devices ())
(name "j6casclb" year "199?" manufacturer "JPM" desc "Casino Crazy Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6casclba" year "199?" manufacturer "JPM" desc "Casino Crazy Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6cascz" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 1)" devices ())
(name "j6cascza" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 2)" devices ())
(name "j6casczb" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (set 3)" devices ())
(name "j6casczc" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC11C L16) (set 4)" devices ())
(name "j6casczd" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (set 5)" devices ())
(name "j6cascze" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 6)" devices ())
(name "j6casczf" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 7)" devices ())
(name "j6casczg" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC16C AL23) (set 8)" devices ())
(name "j6casczh" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 9)" devices ())
(name "j6casczi" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC15C L22) (set 10)" devices ())
(name "j6casczj" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (set 11)" devices ())
(name "j6casczk" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC12C L17) (set 12)" devices ())
(name "j6casczl" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (set 13)" devices ())
(name "j6casczm" year "199?" manufacturer "JPM" desc "Casino Crazy (JPM) (IMPACT) (CC02C L08) (set 14)" devices ())
(name "j6caslas" year "199?" manufacturer "JPM" desc "Casino Las Vegas (JPM) (IMPACT) (set 1)" devices ())
(name "j6caslasa" year "199?" manufacturer "JPM" desc "Casino Las Vegas (JPM) (IMPACT) (set 2)" devices ())
(name "j6caslasb" year "199?" manufacturer "JPM" desc "Casino Las Vegas (JPM) (IMPACT) (set 3)" devices ())
(name "j6caslasc" year "199?" manufacturer "JPM" desc "Casino Las Vegas (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6ccc" year "199?" manufacturer "Crystal" desc "Casino Crazy Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6ccca" year "199?" manufacturer "Crystal" desc "Casino Crazy Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6cccb" year "199?" manufacturer "Crystal" desc "Casino Crazy Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6cccc" year "199?" manufacturer "Crystal" desc "Casino Crazy Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6cccla" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 1)" devices ())
(name "j6ccclaa" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 2)" devices ())
(name "j6ccclab" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 3)" devices ())
(name "j6ccclac" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 4)" devices ())
(name "j6ccclad" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 5)" devices ())
(name "j6ccclae" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 6)" devices ())
(name "j6ccclaf" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 7)" devices ())
(name "j6ccclag" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 8)" devices ())
(name "j6ccclah" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 9)" devices ())
(name "j6ccclai" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 10)" devices ())
(name "j6ccclaj" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 11)" devices ())
(name "j6ccclak" year "199?" manufacturer "JPM" desc "Casino Crazy Classic (JPM) (IMPACT) (set 12)" devices ())
(name "j6cdivr" year "199?" manufacturer "Crystal" desc "Cash Diver (Crystal) (IMPACT)" devices ())
(name "j6cheque" year "199?" manufacturer "JPM / Predator" desc "Cheque Mate (JPM) (IMPACT)" devices ())
(name "j6cluclb" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6cluclba" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6cluclbb" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6cluclbc" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6cluclbd" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6cluclbe" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 6)" devices ())
(name "j6cluclbf" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 7)" devices ())
(name "j6cluclbg" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 8)" devices ())
(name "j6cluclbh" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 9)" devices ())
(name "j6cluclbi" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 10)" devices ())
(name "j6cluclbj" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 11)" devices ())
(name "j6cluclbk" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 12)" devices ())
(name "j6cluclbl" year "199?" manufacturer "JPM" desc "Cluedo Club (JPM) (IMPACT) (set 13)" devices ())
(name "j6col" year "199?" manufacturer "Mdm" desc "Coliseum (Mdm) (IMPACT) (set 1)" devices ())
(name "j6cola" year "199?" manufacturer "Mdm" desc "Coliseum (Mdm) (IMPACT) (set 2)" devices ())
(name "j6colb" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 6)" devices ())
(name "j6colc" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 7)" devices ())
(name "j6colcsh" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 1)" devices ())
(name "j6colcsha" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 2)" devices ())
(name "j6colcshb" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 3)" devices ())
(name "j6colcshc" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 4)" devices ())
(name "j6colcshd" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 5)" devices ())
(name "j6cold" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 8)" devices ())
(name "j6cole" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 9)" devices ())
(name "j6colf" year "199?" manufacturer "JPM" desc "Coliseum Cash (JPM) (IMPACT) (set 10)" devices ())
(name "j6colic" year "199?" manufacturer "Crystal" desc "Coliseum (Crystal) (IMPACT) (set 1)" devices ())
(name "j6colica" year "199?" manufacturer "Crystal" desc "Coliseum (Crystal) (IMPACT) (set 2)" devices ())
(name "j6colicb" year "199?" manufacturer "Crystal" desc "Coliseum (Crystal) (IMPACT) (set 3)" devices ())
(name "j6colicc" year "199?" manufacturer "Crystal" desc "Coliseum (Crystal) (IMPACT) (set 4)" devices ())
(name "j6colicd" year "199?" manufacturer "Crystal" desc "Coliseum (Crystal) (IMPACT) (set 5)" devices ())
(name "j6colmon" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 1, Whitbread)" devices ())
(name "j6colmona" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 2)" devices ())
(name "j6colmonb" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 3)" devices ())
(name "j6colmonc" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 4)" devices ())
(name "j6colmond" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 5)" devices ())
(name "j6colmone" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6colmonf" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 7)" devices ())
(name "j6colmong" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 8)" devices ())
(name "j6colmonh" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 9)" devices ())
(name "j6colmoni" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 10)" devices ())
(name "j6colmonj" year "199?" manufacturer "JPM" desc "Colour Of Money (JPM) (IMPACT) (set 11)" devices ())
(name "j6coprob" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 1)" devices ())
(name "j6coproba" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 2)" devices ())
(name "j6coprobb" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 3)" devices ())
(name "j6coprobc" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 4)" devices ())
(name "j6coprobd" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 5)" devices ())
(name "j6coprobe" year "199?" manufacturer "Qps" desc "Cops 'n' Robbers (Qps) (IMPACT) (set 6)" devices ())
(name "j6cpal" year "199?" manufacturer "Ace" desc "Caesars Palace (Ace) (IMPACT) (set 1)" devices ())
(name "j6cpala" year "199?" manufacturer "Ace" desc "Caesars Palace (Ace) (IMPACT) (set 2)" devices ())
(name "j6cpalb" year "1998" manufacturer "Ace" desc "Caesars Palace (Ace) (IMPACT) (set 3)" devices ())
(name "j6cpalc" year "1998" manufacturer "Ace" desc "Caesars Palace (Ace) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6cpald" year "1998" manufacturer "Crystal" desc "Caesars Palace (Crystal) (IMPACT) (set 1)" devices ())
(name "j6cpale" year "1998" manufacturer "Crystal" desc "Caesars Palace (Crystal) (IMPACT) (set 2)" devices ())
(name "j6cpalf" year "1998" manufacturer "Crystal" desc "Caesars Palace (Crystal) (IMPACT) (set 3)" devices ())
(name "j6cpalg" year "1998" manufacturer "Ace" desc "Caesars Palace (Ace) (IMPACT) (set 5)" devices ())
(name "j6cpclb" year "199?" manufacturer "Crystal / JPM" desc "Caesar's Palace Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6cpclba" year "199?" manufacturer "Crystal / JPM" desc "Caesar's Palace Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6cpclbb" year "199?" manufacturer "Crystal / JPM" desc "Caesar's Palace Club (JPM) (IMPACT) (set 3, Protocol)" devices ())
(name "j6crack" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 1)" devices ())
(name "j6cracka" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 2)" devices ())
(name "j6crackb" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 3)" devices ())
(name "j6crackc" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 4)" devices ())
(name "j6crackd" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 5)" devices ())
(name "j6cracke" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6crackf" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 7)" devices ())
(name "j6crackg" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 8)" devices ())
(name "j6crackh" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 9)" devices ())
(name "j6cracki" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 10)" devices ())
(name "j6crackj" year "199?" manufacturer "JPM" desc "Cracker (JPM) (IMPACT) (set 11)" devices ())
(name "j6crakr" year "199?" manufacturer "Crystal" desc "Cracker (Crystal) (IMPACT) (set 1)" devices ())
(name "j6crakra" year "199?" manufacturer "Crystal" desc "Cracker (Crystal) (IMPACT) (set 2)" devices ())
(name "j6crakrb" year "199?" manufacturer "Crystal" desc "Cracker (Crystal) (IMPACT) (set 3)" devices ())
(name "j6crsfir" year "199?" manufacturer "JPM" desc "Cross Fire (JPM) (IMPACT) (set 1)" devices ())
(name "j6crsfira" year "199?" manufacturer "JPM" desc "Cross Fire (JPM) (IMPACT) (set 2)" devices ())
(name "j6crzclb" year "199?" manufacturer "JPM" desc "Crazy Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6crzclba" year "199?" manufacturer "JPM" desc "Crazy Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6crzclbb" year "199?" manufacturer "JPM" desc "Crazy Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6crzclbc" year "199?" manufacturer "JPM" desc "Crazy Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6cshbeu" year "199?" manufacturer "Empire" desc "Cash Box Club (Empire) (Euro) (IMPACT)" devices ())
(name "j6cshbox" year "199?" manufacturer "Empire" desc "Cash Box Club (Empire) (IMPACT) (set 1)" devices ())
(name "j6cshboxa" year "199?" manufacturer "Empire" desc "Cash Box Club (Empire) (IMPACT) (set 2)" devices ())
(name "j6cshboxb" year "199?" manufacturer "Empire" desc "Cash Box Club (Empire) (IMPACT) (set 3)" devices ())
(name "j6cshbst" year "199?" manufacturer "JPM" desc "Cash Buster (JPM) (IMPACT) (set 1)" devices ())
(name "j6cshbsta" year "199?" manufacturer "JPM" desc "Cash Buster (JPM) (IMPACT) (set 2)" devices ())
(name "j6cshbstb" year "199?" manufacturer "JPM" desc "Cash Buster (JPM) (IMPACT) (set 3)" devices ())
(name "j6cshbstc" year "199?" manufacturer "JPM" desc "Cash Buster (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6cshbstd" year "199?" manufacturer "JPM" desc "Cash Buster (JPM) (IMPACT) (set 5)" devices ())
(name "j6cshcnt" year "199?" manufacturer "JPM" desc "Cash Countdown (JPM) (IMPACT) (set 1)" devices ())
(name "j6cshcnta" year "199?" manufacturer "JPM" desc "Cash Countdown (JPM) (IMPACT) (set 2)" devices ())
(name "j6cshrd" year "199?" manufacturer "Ace" desc "Cash Raider (Ace) (IMPACT) (set 1)" devices ())
(name "j6cshrda" year "199?" manufacturer "Ace" desc "Cash Raider (Ace) (IMPACT) (set 2)" devices ())
(name "j6cshrdb" year "199?" manufacturer "Ace" desc "Cash Raider (Ace) (IMPACT) (set 3)" devices ())
(name "j6cshrdc" year "199?" manufacturer "Ace" desc "Cash Raider (Ace) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6cshrdd" year "199?" manufacturer "Ace" desc "Cash Raider (Ace) (IMPACT) (set 5)" devices ())
(name "j6cshtwr" year "199?" manufacturer "JPM" desc "Cash Towers (JPM) (IMPACT)" devices ())
(name "j6cshvgs" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 1)" devices ())
(name "j6cshvgsa" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 2)" devices ())
(name "j6cshvgsb" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 3)" devices ())
(name "j6cshvgsc" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 4)" devices ())
(name "j6cshvgsd" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 5)" devices ())
(name "j6cshvgse" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 6)" devices ())
(name "j6cshvgsf" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 7)" devices ())
(name "j6cshvgsg" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 8)" devices ())
(name "j6cshvgsh" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 9)" devices ())
(name "j6cshvgsi" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 10)" devices ())
(name "j6cshvgsj" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 11)" devices ())
(name "j6cshvgsk" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 12)" devices ())
(name "j6cshvgsl" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 13)" devices ())
(name "j6cshvgsm" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 14)" devices ())
(name "j6cshvgsn" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 15)" devices ())
(name "j6cshvgso" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 16)" devices ())
(name "j6cshvgsp" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 17)" devices ())
(name "j6cshvgsq" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 18)" devices ())
(name "j6cshvgsr" year "199?" manufacturer "JPM" desc "Cash Vegas Strip (JPM) (IMPACT) (set 19)" devices ())
(name "j6daygld" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 1)" devices ())
(name "j6dayglda" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 2)" devices ())
(name "j6daygldb" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 3)" devices ())
(name "j6daygldc" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 4)" devices ())
(name "j6daygldd" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 5)" devices ())
(name "j6dayglde" year "199?" manufacturer "JPM" desc "Daytona Gold (JPM) (IMPACT) (set 6)" devices ())
(name "j6dayml" year "199?" manufacturer "JPM" desc "Daytona Millennium (JPM) (IMPACT) (set 1)" devices ())
(name "j6daymla" year "199?" manufacturer "JPM" desc "Daytona Millennium (JPM) (IMPACT) (set 2)" devices ())
(name "j6daymlb" year "199?" manufacturer "JPM" desc "Daytona Millennium (JPM) (IMPACT) (set 3)" devices ())
(name "j6dmngz" year "199?" manufacturer "JPM" desc "Diamond Geezer (JPM) (IMPACT)" devices ())
(name "j6dmnjkr" year "199?" manufacturer "JPM" desc "Demon Jokers (JPM) (IMPACT) (set 1)" devices ())
(name "j6dmnjkra" year "199?" manufacturer "JPM" desc "Demon Jokers (JPM) (IMPACT) (set 2)" devices ())
(name "j6dmnjkrb" year "199?" manufacturer "JPM" desc "Demon Jokers (JPM) (IMPACT) (set 3)" devices ())
(name "j6dmnjkrc" year "199?" manufacturer "JPM" desc "Demon Jokers (JPM) (IMPACT) (set 4)" devices ())
(name "j6drdogh" year "199?" manufacturer "Qps" desc "Dr Dough (Qps) (IMPACT)" devices ())
(name "j6dyfl" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 1)" devices ())
(name "j6dyfla" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 2)" devices ())
(name "j6dyflb" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 3)" devices ())
(name "j6dyflc" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 4)" devices ())
(name "j6dyfld" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 5)" devices ())
(name "j6dyfle" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6dyflf" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 7)" devices ())
(name "j6dyflg" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 8)" devices ())
(name "j6dyflh" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 9)" devices ())
(name "j6dyfli" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 10)" devices ())
(name "j6dyflj" year "199?" manufacturer "JPM" desc "Do You Feel Lucky (JPM) (IMPACT) (set 11)" devices ())
(name "j6easy" year "199?" manufacturer "Crystal" desc "Easy Money (Crystal) (IMPACT) (set 1)" devices ())
(name "j6easya" year "199?" manufacturer "Crystal" desc "Easy Money (Crystal) (IMPACT) (set 2)" devices ())
(name "j6easyb" year "199?" manufacturer "Crystal" desc "Easy Money (Crystal) (IMPACT) (set 3)" devices ())
(name "j6easyc" year "199?" manufacturer "Crystal" desc "Easy Money (Crystal) (IMPACT) (set 4)" devices ())
(name "j6euphor" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 1)" devices ())
(name "j6euphora" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 2)" devices ())
(name "j6euphorb" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 3)" devices ())
(name "j6euphorc" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 4)" devices ())
(name "j6euphord" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 5)" devices ())
(name "j6euphore" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 6)" devices ())
(name "j6euphorf" year "199?" manufacturer "Ace" desc "Euphoria (Ace) (IMPACT) (set 7)" devices ())
(name "j6ewn" year "199?" manufacturer "Crystal" desc "Each Way Nudger Mark 3 (Crystal) (IMPACT) (set 1)" devices ())
(name "j6ewndg" year "199?" manufacturer "Crystal" desc "Each Way Nudger Mark 3 (Crystal) (IMPACT) (set 2)" devices ())
(name "j6ewndga" year "199?" manufacturer "Crystal" desc "Each Way Nudger Mark 3 (Crystal) (IMPACT) (set 3)" devices ())
(name "j6ewndgb" year "199?" manufacturer "Crystal" desc "Each Way Nudger Mark 3 (Crystal) (IMPACT) (set 4)" devices ())
(name "j6fastfr" year "199?" manufacturer "Qps" desc "Fast Fruits Club (Qps) (IMPACT) (set 1)" devices ())
(name "j6fastfra" year "199?" manufacturer "Qps" desc "Fast Fruits Club (Qps) (IMPACT) (set 2)" devices ())
(name "j6fasttk" year "199?" manufacturer "JPM" desc "Fast?Trak (JPM) (IMPACT) (set 1)" devices ())
(name "j6fasttka" year "199?" manufacturer "JPM" desc "Fast?Trak (JPM) (IMPACT) (set 2)" devices ())
(name "j6fasttkb" year "199?" manufacturer "JPM" desc "Fast?Trak (JPM) (IMPACT) (set 3)" devices ())
(name "j6fasttkc" year "199?" manufacturer "JPM" desc "Fast?Trak (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6fbcrz" year "199?" manufacturer "JPM" desc "Football Crazy (JPM) (IMPACT)" devices ())
(name "j6ffc" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6ffca" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6ffcb" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6ffcc" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6ffcd" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 5)" devices ())
(name "j6ffce" year "199?" manufacturer "Crystal" desc "Frame & Fortune Club (Crystal) (IMPACT) (set 6)" devices ())
(name "j6fifth" year "199?" manufacturer "Ace" desc "5th Dimension (Ace) (IMPACT)" devices ())
(name "j6filth" year "199?" manufacturer "JPM" desc "Filthy Rich Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6filtha" year "199?" manufacturer "JPM" desc "Filthy Rich Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6filthb" year "199?" manufacturer "JPM" desc "Filthy Rich Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6filthc" year "199?" manufacturer "JPM" desc "Filthy Rich Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6firbl" year "199?" manufacturer "Ace" desc "Fireball (Ace) (IMPACT) (set 1, Whitbread)" devices ())
(name "j6firbla" year "199?" manufacturer "Ace" desc "Fireball (Ace) (IMPACT) (set 2)" devices ())
(name "j6firblb" year "199?" manufacturer "Ace" desc "Fireball (Ace) (IMPACT) (set 3)" devices ())
(name "j6firblc" year "199?" manufacturer "Ace" desc "Fireball (Ace) (IMPACT) (set 4)" devices ())
(name "j6firbld" year "199?" manufacturer "Ace" desc "Fireball (Ace) (IMPACT) (set 5, Whitbread)" devices ())
(name "j6firclb" year "199?" manufacturer "JPM" desc "Firecracker Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6firclba" year "199?" manufacturer "JPM" desc "Firecracker Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6firclbb" year "199?" manufacturer "JPM" desc "Firecracker Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6firclbc" year "199?" manufacturer "JPM" desc "Firecracker Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6fireck" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 1)" devices ())
(name "j6firecka" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 2)" devices ())
(name "j6fireckb" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 3)" devices ())
(name "j6fireckc" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 4)" devices ())
(name "j6fireckd" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 5)" devices ())
(name "j6firecke" year "199?" manufacturer "JPM" desc "Firecracker (JPM) (IMPACT) (set 6)" devices ())
(name "j6fivalv" year "199?" manufacturer "JPM" desc "Five Alive Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6fivalva" year "199?" manufacturer "JPM" desc "Five Alive Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6fivalvb" year "199?" manufacturer "JPM" desc "Five Alive Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6fiveln" year "199?" manufacturer "JPM" desc "Five Liner (JPM) (IMPACT) (set 1)" devices ())
(name "j6fivelna" year "199?" manufacturer "JPM" desc "Five Liner (JPM) (IMPACT) (set 2)" devices ())
(name "j6fivelnb" year "199?" manufacturer "JPM" desc "Five Liner (JPM) (IMPACT) (set 3)" devices ())
(name "j6fivelnc" year "199?" manufacturer "JPM" desc "Five Liner (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6footy" year "199?" manufacturer "Empire" desc "Football Fever (Empire) (IMPACT) (set 1)" devices ())
(name "j6footya" year "199?" manufacturer "Empire" desc "Football Fever (Empire) (IMPACT) (set 2)" devices ())
(name "j6footyb" year "199?" manufacturer "Empire" desc "Football Fever (Empire) (IMPACT) (set 3)" devices ())
(name "j6framft" year "199?" manufacturer "JPM" desc "Frame & Fortune Club (JPM) (IMPACT)" devices ())
(name "j6frc10" year "199?" manufacturer "JPM" desc "Force 10 (JPM) (IMPACT) (set 1)" devices ())
(name "j6frc10a" year "199?" manufacturer "JPM" desc "Force 10 (JPM) (IMPACT) (set 2)" devices ())
(name "j6frc10b" year "199?" manufacturer "JPM" desc "Force 10 (JPM) (IMPACT) (set 3)" devices ())
(name "j6frc10c" year "199?" manufacturer "JPM" desc "Force 10 (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6frc10d" year "199?" manufacturer "JPM" desc "Force 10 (JPM) (IMPACT) (set 5)" devices ())
(name "j6frtmch" year "199?" manufacturer "JPM" desc "The Fruit Machine (JPM) (IMPACT)" devices ())
(name "j6frtpot" year "199?" manufacturer "Qps" desc "Fruitpots (Qps) (IMPACT) (set 1)" devices ())
(name "j6frtpota" year "199?" manufacturer "Qps" desc "Fruitpots (Qps) (IMPACT) (set 2)" devices ())
(name "j6frtpotb" year "199?" manufacturer "Qps" desc "Fruitpots (Qps) (IMPACT) (set 3)" devices ())
(name "j6frtpotc" year "199?" manufacturer "Qps" desc "Fruitpots (Qps) (IMPACT) (set 4)" devices ())
(name "j6gforce" year "199?" manufacturer "JPM" desc "G Force Roller Coaster (JPM) (IMPACT) (set 1)" devices ())
(name "j6gforcea" year "199?" manufacturer "JPM" desc "G Force Roller Coaster (JPM) (IMPACT) (set 2)" devices ())
(name "j6gforceb" year "199?" manufacturer "JPM" desc "G Force Roller Coaster (JPM) (IMPACT) (set 3)" devices ())
(name "j6gforcec" year "199?" manufacturer "JPM" desc "G Force Roller Coaster (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6gforced" year "199?" manufacturer "JPM" desc "G Force Roller Coaster (JPM) (IMPACT) (set 5)" devices ())
(name "j6gidogh" year "199?" manufacturer "Ace" desc "G.I. Dough (Ace) (IMPACT)" devices ())
(name "j6gldclb" year "199?" manufacturer "JPM" desc "Gladiator Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6gldclba" year "199?" manufacturer "JPM" desc "Gladiator Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6gldclbb" year "199?" manufacturer "JPM" desc "Gladiator Club (JPM) (IMPACT) (set 3, Protocol)" devices ())
(name "j6gldday" year "199?" manufacturer "JPM" desc "Golden Day (JPM) (IMPACT)" devices ())
(name "j6gldmin" year "199?" manufacturer "Empire" desc "Gold Mine (Empire) (IMPACT)" devices ())
(name "j6gldpl" year "199?" manufacturer "Qps" desc "Golden Palace (Qps) (IMPACT)" devices ())
(name "j6gogold" year "199?" manufacturer "JPM" desc "Go For Gold (JPM) (IMPACT) (set 1)" devices ())
(name "j6gogolda" year "199?" manufacturer "JPM" desc "Go For Gold (JPM) (IMPACT) (set 2, Protocol)" devices ())
(name "j6gogoldb" year "199?" manufacturer "JPM" desc "Go For Gold (JPM) (IMPACT) (set 3)" devices ())
(name "j6gogoldc" year "199?" manufacturer "JPM" desc "Go For Gold (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6golddm" year "199?" manufacturer "JPM" desc "Golden Demons (JPM) (IMPACT) (set 1)" devices ())
(name "j6golddma" year "199?" manufacturer "JPM" desc "Golden Demons (JPM) (IMPACT) (set 2)" devices ())
(name "j6goldgl" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 1)" devices ())
(name "j6goldgla" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 2)" devices ())
(name "j6goldglb" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 3)" devices ())
(name "j6goldglc" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 4)" devices ())
(name "j6goldgld" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 5)" devices ())
(name "j6goldgle" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 6)" devices ())
(name "j6goldglf" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 7)" devices ())
(name "j6goldglg" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 8)" devices ())
(name "j6goldglh" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 9)" devices ())
(name "j6goldgli" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 10)" devices ())
(name "j6goldglj" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 11)" devices ())
(name "j6goldglk" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 12)" devices ())
(name "j6goldgll" year "199?" manufacturer "JPM" desc "Golden Goal (JPM) (IMPACT) (set 13)" devices ())
(name "j6grc" year "199?" manufacturer "Crystal" desc "Gold Rush Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6grca" year "199?" manufacturer "Crystal" desc "Gold Rush Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6guab" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 1)" devices ())
(name "j6guaba" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 5P C 8) (set 2, Protocol)" devices ())
(name "j6guabb" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 3, Whitbread)" devices ())
(name "j6guabc" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 4)" devices ())
(name "j6guabcl" year "199?" manufacturer "JPM" desc "Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12) (set 1)" devices ())
(name "j6guabcla" year "199?" manufacturer "JPM" desc "Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12P) (set 2, Protocol)" devices ())
(name "j6guabd" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 6P C 9) (set 5, Protocol)" devices ())
(name "j6guabe" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 6)" devices ())
(name "j6guabf" year "199?" manufacturer "JPM" desc "Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 7, Whitbread)" devices ())
(name "j6h5clb" year "199?" manufacturer "JPM" desc "High Five Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6h5clba" year "199?" manufacturer "JPM" desc "High Five Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6hapyhr" year "199?" manufacturer "JPM" desc "Happy Hour (JPM) (IMPACT) (HH2 C5) (set 1)" devices ())
(name "j6hapyhra" year "199?" manufacturer "JPM" desc "Happy Hour (JPM) (IMPACT) (HH2 C5) (set 2)" devices ())
(name "j6hapyhrb" year "199?" manufacturer "JPM" desc "Happy Hour (JPM) (IMPACT) (HH2 C5) (set 3)" devices ())
(name "j6hdc" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6hdca" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6hdcb" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6hdcc" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6hdcd" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 5)" devices ())
(name "j6hdce" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 6)" devices ())
(name "j6hdcf" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 7)" devices ())
(name "j6hdcg" year "199?" manufacturer "Crystal" desc "Hot Dogs Club (Crystal) (IMPACT) (set 8)" devices ())
(name "j6hifly" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (IMPACT)" devices ())
(name "j6hikar" year "199?" manufacturer "Crystal" desc "Hi Karate (Crystal) (IMPACT) (set 1)" devices ())
(name "j6hikara" year "199?" manufacturer "Crystal" desc "Hi Karate (Crystal) (IMPACT) (set 2)" devices ())
(name "j6hikarb" year "199?" manufacturer "Crystal" desc "Hi Karate (Crystal) (IMPACT) (set 3)" devices ())
(name "j6hilosv" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 1)" devices ())
(name "j6hilosva" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 2)" devices ())
(name "j6hilosvb" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 3)" devices ())
(name "j6hilosvc" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6hilosvd" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 5)" devices ())
(name "j6hilosve" year "199?" manufacturer "JPM" desc "Hi-Lo Silver (JPM) (IMPACT) (set 6)" devices ())
(name "j6hiphop" year "199?" manufacturer "Ace" desc "Hip Hopper (Ace) (IMPACT) (set 1)" devices ())
(name "j6hiphopa" year "199?" manufacturer "Ace" desc "Hip Hopper (Ace) (IMPACT) (set 2)" devices ())
(name "j6hiphopb" year "199?" manufacturer "Ace" desc "Hip Hopper (Ace) (IMPACT) (set 3)" devices ())
(name "j6hiphopc" year "199?" manufacturer "Ace" desc "Hip Hopper (Ace) (IMPACT) (set 4)" devices ())
(name "j6hiphopd" year "199?" manufacturer "Ace" desc "Hip Hopper (Ace) (IMPACT) (set 5)" devices ())
(name "j6hirlcl" year "199?" manufacturer "JPM" desc "Hi Roller Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6hirlcla" year "199?" manufacturer "JPM" desc "Hi Roller Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6hirlclb" year "199?" manufacturer "JPM" desc "Hi Roller Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6hirlclc" year "199?" manufacturer "JPM" desc "Hi Roller Club (JPM) (IMPACT) (set 4, Protocol)" devices ())
(name "j6hirol" year "199?" manufacturer "JPM" desc "Hi Roller (JPM) (IMPACT) (set 1)" devices ())
(name "j6hirola" year "199?" manufacturer "JPM" desc "Hi Roller (JPM) (IMPACT) (set 2)" devices ())
(name "j6hirolb" year "199?" manufacturer "JPM" desc "Hi Roller (JPM) (IMPACT) (set 3)" devices ())
(name "j6hirolc" year "199?" manufacturer "JPM" desc "Hi Roller (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6hirold" year "199?" manufacturer "JPM" desc "Hi Roller (JPM) (IMPACT) (set 5, Whitbread)" devices ())
(name "j6hisprt" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (IMPACT) (prototype?)" devices ())
(name "j6histk" year "199?" manufacturer "Qps" desc "Hi Stakes (Qps) (IMPACT) (set 1)" devices ())
(name "j6histka" year "199?" manufacturer "Qps" desc "Hi Stakes (Qps) (IMPACT) (set 2)" devices ())
(name "j6hotsht" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 1)" devices ())
(name "j6hotshta" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 2)" devices ())
(name "j6hotshtb" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 3)" devices ())
(name "j6hotshtc" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6hotshtd" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 5)" devices ())
(name "j6hotshte" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 6)" devices ())
(name "j6hotshtf" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 7)" devices ())
(name "j6hotshtg" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 8)" devices ())
(name "j6hotshth" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 9)" devices ())
(name "j6hotshti" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 10)" devices ())
(name "j6hotshtj" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 11)" devices ())
(name "j6hotshtk" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 12)" devices ())
(name "j6hotshtl" year "199?" manufacturer "Ace" desc "Hot Shot (Ace) (IMPACT) (set 13)" devices ())
(name "j6impact" year "199?" manufacturer "JPM" desc "Hi Impact (JPM) (IMPACT) (set 1)" devices ())
(name "j6impacta" year "199?" manufacturer "JPM" desc "Hi Impact (JPM) (IMPACT) (set 2)" devices ())
(name "j6impactb" year "199?" manufacturer "JPM" desc "Hi Impact (JPM) (IMPACT) (set 3)" devices ())
(name "j6impactc" year "199?" manufacturer "JPM" desc "Hi Impact (JPM) (IMPACT) (15GBP Jackpot)" devices ())
(name "j6impls" year "199?" manufacturer "Crystal" desc "Impulse (Crystal) (IMPACT)" devices ())
(name "j6impuls" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 5 C13) (set 1)" devices ())
(name "j6impulsa" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 6 C14) (set 2)" devices ())
(name "j6impulsb" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 6 AC14) (set 3)" devices ())
(name "j6impulsc" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 7 C15) (set 4)" devices ())
(name "j6impulsd" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 7 AC13) (set 5)" devices ())
(name "j6impulse" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 7P C15) (set 6)" devices ())
(name "j6impulsf" year "199?" manufacturer "JPM" desc "Impulse (JPM) (IMPACT) (IP 7P C15) (set 7, Whitbread)" devices ())
(name "j6indy" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ6 L11) (set 1)" devices ())
(name "j6indya" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ6P L11) (set 2, Protocol)" devices ())
(name "j6indyb" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ6 I L11) (set 3)" devices ())
(name "j6indyc" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ6A AL13) (set 4)" devices ())
(name "j6indyd" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ6AP AL13) (set 5, Protocol)" devices ())
(name "j6indye" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ8 L18) (set 6)" devices ())
(name "j6indyf" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ8P L18) (set 7, Protocol)" devices ())
(name "j6indyg" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ8 AL18) (set 8)" devices ())
(name "j6indyge" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT, German set 1)" devices ())
(name "j6indyge2" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT, German set 2)" devices ())
(name "j6indyh" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ8 I L18) (set 9)" devices ())
(name "j6indyi" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ11 L22) (set 10)" devices ())
(name "j6indyj" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ11P L22) (set 11, Protocol)" devices ())
(name "j6indyk" year "199?" manufacturer "JPM" desc "Indiana Jones (JPM) (IMPACT) (IJ11 AL22) (set 12)" devices ())
(name "j6jackjs" year "199?" manufacturer "Qps" desc "Jackpot Justice (Qps) (IMPACT) (set 1)" devices ())
(name "j6jackjsa" year "199?" manufacturer "Qps" desc "Jackpot Justice (Qps) (IMPACT) (set 2)" devices ())
(name "j6jackjsb" year "199?" manufacturer "Qps" desc "Jackpot Justice (Qps) (IMPACT) (set 3)" devices ())
(name "j6jackjsc" year "199?" manufacturer "Qps" desc "Jackpot Justice (Qps) (IMPACT) (set 4)" devices ())
(name "j6jkpldx" year "199?" manufacturer "JPM" desc "Jokers Plus Deluxe (JPM) (IMPACT) (set 1)" devices ())
(name "j6jkpldxa" year "199?" manufacturer "JPM" desc "Jokers Plus Deluxe (JPM) (IMPACT) (set 2)" devices ())
(name "j6jkrgld" year "199?" manufacturer "JPM" desc "Jokers Gold (JPM) (IMPACT)" devices ())
(name "j6jkrpls" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 1)" devices ())
(name "j6jkrplsa" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 2)" devices ())
(name "j6jkrplsb" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 3)" devices ())
(name "j6jkrplsc" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 4)" devices ())
(name "j6jkrplsd" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 5)" devices ())
(name "j6jkrplse" year "199?" manufacturer "JPM" desc "Jokers Plus (JPM) (IMPACT) (set 6)" devices ())
(name "j6jkwld" year "199?" manufacturer "JPM" desc "Jokers Wild (JPM) (IMPACT)" devices ())
(name "j6jungfv" year "199?" manufacturer "Ace" desc "Jungle Fever (Ace) (IMPACT)" devices ())
(name "j6kamel" year "199?" manufacturer "JPM" desc "Kameleon (JPM) (IMPACT)" devices ())
(name "j6kapang" year "199?" manufacturer "Crystal" desc "Kapang! (Crystal) (IMPACT) (set 1)" devices ())
(name "j6kapanga" year "199?" manufacturer "Crystal" desc "Kapang! (Crystal) (IMPACT) (set 2)" devices ())
(name "j6kfc" year "199?" manufacturer "Crystal" desc "Kung Fu Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6kfca" year "199?" manufacturer "Crystal" desc "Kung Fu Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6kfcb" year "199?" manufacturer "Crystal" desc "Kung Fu Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6knight" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 1)" devices ())
(name "j6knighta" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 2)" devices ())
(name "j6knightb" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 3)" devices ())
(name "j6knightc" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 4)" devices ())
(name "j6knightd" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 5)" devices ())
(name "j6knighte" year "199?" manufacturer "JPM" desc "Your Lucky Knight (JPM) (IMPACT) (set 6)" devices ())
(name "j6kungfu" year "199?" manufacturer "Ace" desc "Kung Fu (Ace) (IMPACT) (set 1)" devices ())
(name "j6kungfua" year "199?" manufacturer "Ace" desc "Kung Fu (Ace) (IMPACT) (set 2)" devices ())
(name "j6kungfub" year "199?" manufacturer "Ace" desc "Kung Fu (Ace) (IMPACT) (set 3)" devices ())
(name "j6kungfuc" year "199?" manufacturer "Ace" desc "Kung Fu (Ace) (IMPACT) (set 4)" devices ())
(name "j6kungfud" year "199?" manufacturer "Ace" desc "Kung Fu (Ace) (IMPACT) (set 5, Whitbread)" devices ())
(name "j6luckla" year "199?" manufacturer "Crystal" desc "Lucky Las Vegas (Crystal) (IMPACT) (set 1)" devices ())
(name "j6lucklaa" year "199?" manufacturer "Crystal" desc "Lucky Las Vegas (Crystal) (IMPACT) (set 2)" devices ())
(name "j6lucklab" year "199?" manufacturer "Crystal" desc "Lucky Las Vegas (Crystal) (IMPACT) (set 3)" devices ())
(name "j6lucklo" year "199?" manufacturer "Crystal" desc "Lucky Lottery Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6luckloa" year "199?" manufacturer "Crystal" desc "Lucky Lottery Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6magcir" year "199?" manufacturer "JPM" desc "Magic Circle Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6magcira" year "199?" manufacturer "JPM" desc "Magic Circle Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6magcirb" year "199?" manufacturer "JPM" desc "Magic Circle Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6magcirc" year "199?" manufacturer "JPM" desc "Magic Circle Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6magcird" year "199?" manufacturer "JPM" desc "Magic Circle Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6mavrk" year "199?" manufacturer "JPM" desc "Maverick (JPM) (IMPACT) (set 1)" devices ())
(name "j6mavrka" year "199?" manufacturer "JPM" desc "Maverick (JPM) (IMPACT) (set 2)" devices ())
(name "j6mavrkb" year "199?" manufacturer "JPM" desc "Maverick (JPM) (IMPACT) (set 3)" devices ())
(name "j6mavrkc" year "199?" manufacturer "JPM" desc "Maverick (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6mavrkd" year "199?" manufacturer "JPM" desc "Maverick (JPM) (IMPACT) (set 5)" devices ())
(name "j6maxcsh" year "199?" manufacturer "JPM" desc "Maximus Cash (JPM) (IMPACT)" devices ())
(name "j6maxod" year "199?" manufacturer "JPM" desc "Maximum Overdrive (JPM) (IMPACT) (set 1)" devices ())
(name "j6maxoda" year "199?" manufacturer "JPM" desc "Maximum Overdrive (JPM) (IMPACT) (set 2)" devices ())
(name "j6maxodb" year "199?" manufacturer "JPM" desc "Maximum Overdrive (JPM) (IMPACT) (set 3)" devices ())
(name "j6maxodc" year "199?" manufacturer "JPM" desc "Maximum Overdrive (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6medal" year "199?" manufacturer "Qps" desc "Medallion Job (Qps) (IMPACT) (set 1)" devices ())
(name "j6medala" year "199?" manufacturer "Qps" desc "Medallion Job (Qps) (IMPACT) (set 2)" devices ())
(name "j6medalb" year "199?" manufacturer "Qps" desc "Medallion Job (Qps) (IMPACT) (set 3)" devices ())
(name "j6medalc" year "199?" manufacturer "Qps" desc "Medallion Job (Qps) (IMPACT) (set 4)" devices ())
(name "j6medald" year "199?" manufacturer "Qps" desc "Medallion Job (Qps) (IMPACT) (set 5)" devices ())
(name "j6megbck" year "199?" manufacturer "JPM" desc "Mega Bucks (JPM) (IMPACT) (set 1)" devices ())
(name "j6megbcka" year "199?" manufacturer "JPM" desc "Mega Bucks (JPM) (IMPACT) (set 2)" devices ())
(name "j6megbckb" year "199?" manufacturer "JPM" desc "Mega Bucks (JPM) (IMPACT) (set 3)" devices ())
(name "j6megbckc" year "199?" manufacturer "JPM" desc "Mega Bucks (JPM) (IMPACT) (set 4)" devices ())
(name "j6megbckd" year "199?" manufacturer "JPM" desc "Mega Bucks (JPM) (IMPACT) (set 5, Whitbread)" devices ())
(name "j6milln" year "199?" manufacturer "JPM" desc "Millionaire (JPM) (IMPACT) (set 1)" devices ())
(name "j6millna" year "199?" manufacturer "JPM" desc "Millionaire (JPM) (IMPACT) (set 2)" devices ())
(name "j6monmad" year "199?" manufacturer "Ace" desc "Money Madness (Ace) (IMPACT)" devices ())
(name "j6mono60" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 1)" devices ())
(name "j6mono60a" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 2)" devices ())
(name "j6mono60b" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 3)" devices ())
(name "j6mono60c" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 4, Whitbread)" devices ())
(name "j6mono60d" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 5)" devices ())
(name "j6mono60e" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11P L22)(set 6, Protocol)" devices ())
(name "j6mono60f" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 AL22 (set 7)" devices ())
(name "j6mono60g" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 8, Whitbread)" devices ())
(name "j6mono60h" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 9)" devices ())
(name "j6mono60i" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 10)" devices ())
(name "j6mono60j" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO8 L16) (set 11)" devices ())
(name "j6mono60k" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (set 12)" devices ())
(name "j6mono60l" year "199?" manufacturer "JPM" desc "Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO3 L11) (set 13)" devices ())
(name "j6monobn" year "199?" manufacturer "JPM" desc "Monopoly Bingo (JPM) (IMPACT) (set 1)" devices ())
(name "j6monobna" year "199?" manufacturer "JPM" desc "Monopoly Bingo (JPM) (IMPACT) (set 2)" devices ())
(name "j6monobnb" year "199?" manufacturer "JPM" desc "Monopoly Bingo (JPM) (IMPACT) (set 3)" devices ())
(name "j6monst" year "199?" manufacturer "Crystal" desc "Monster Cash Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6monsta" year "199?" manufacturer "Crystal" desc "Monster Cash Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6monstb" year "199?" manufacturer "Crystal" desc "Monster Cash Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6monstc" year "199?" manufacturer "Crystal" desc "Monster Cash Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6monstd" year "199?" manufacturer "Crystal" desc "Monster Cash Club (Crystal) (IMPACT) (set 5)" devices ())
(name "j6montlk" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT5 L17) (set 1)" devices ())
(name "j6montlka" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT5 I L17) (set 2)" devices ())
(name "j6montlkb" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT3 L12) (set 3)" devices ())
(name "j6montlkc" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT3 P L12) (set 4, Protocol)" devices ())
(name "j6montlkd" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT3 A L12) (set 5)" devices ())
(name "j6montlke" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT3 P GL12) (set 6, Protocol)" devices ())
(name "j6montlkf" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT7 L19) (set 7)" devices ())
(name "j6montlkg" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT7 P L19) (set 8, Protocol)" devices ())
(name "j6montlkh" year "199?" manufacturer "JPM" desc "Money Talks (JPM) (IMPACT) (MT7 A L19) (set 9)" devices ())
(name "j6outlaw" year "199?" manufacturer "JPM" desc "Outlaw (JPM) (IMPACT, v3)" devices ())
(name "j6outlawc" year "199?" manufacturer "JPM" desc "Outlaw (JPM) (IMPACT, Club?)" devices ())
(name "j6outlawd" year "199?" manufacturer "JPM" desc "Outlaw (JPM) (IMPACT, v3) (Protocol)" devices ())
(name "j6oxo" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 1)" devices ())
(name "j6oxoa" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 2)" devices ())
(name "j6oxob" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 3)" devices ())
(name "j6oxobin" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX6 L12) (set 1)" devices ())
(name "j6oxobina" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX6 L12) (set 2)" devices ())
(name "j6oxobinb" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX8 AC14) (set 3)" devices ())
(name "j6oxobinc" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX8 AC14) (set 4)" devices ())
(name "j6oxobind" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX11 AC17) (set 5)" devices ())
(name "j6oxobine" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (set 6)" devices ())
(name "j6oxobinf" year "199?" manufacturer "JPM" desc "Oxo Bingo (JPM) (IMPACT) (OX11 AC17) (set 7)" devices ())
(name "j6oxoc" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 4)" devices ())
(name "j6oxod" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 5)" devices ())
(name "j6oxoe" year "199?" manufacturer "JPM" desc "Oxo (JPM) (IMPACT) (set 6)" devices ())
(name "j6pacman" year "199?" manufacturer "Qps" desc "Pac Man Plus (Qps) (IMPACT)" devices ())
(name "j6papa" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 1)" devices ())
(name "j6papaa" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 2)" devices ())
(name "j6papab" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 3)" devices ())
(name "j6papac" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 4)" devices ())
(name "j6papad" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 5)" devices ())
(name "j6papae" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 6)" devices ())
(name "j6papaf" year "199?" manufacturer "Empire" desc "Paparazzi (Empire) (IMPACT) (set 7)" devices ())
(name "j6phxgld" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 1)" devices ())
(name "j6phxglda" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 2)" devices ())
(name "j6phxgldb" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 3)" devices ())
(name "j6phxgldc" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 4)" devices ())
(name "j6phxgldd" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 5)" devices ())
(name "j6phxglde" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 6)" devices ())
(name "j6phxgldf" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 7)" devices ())
(name "j6phxgldg" year "199?" manufacturer "JPM" desc "Phoenix Gold (JPM) (IMPACT) (set 8)" devices ())
(name "j6pinfvr" year "199?" manufacturer "Crystal" desc "Pinball Fever (Crystal) (IMPACT)" devices ())
(name "j6pinwzc" year "199?" manufacturer "Crystal" desc "Pinball Wizard (Crystal) (IMPACT) (set 1)" devices ())
(name "j6pinwzca" year "199?" manufacturer "Crystal" desc "Pinball Wizard (Crystal) (IMPACT) (set 2)" devices ())
(name "j6pinwzcb" year "199?" manufacturer "Crystal" desc "Pinball Wizard (Crystal) (IMPACT) (set 3)" devices ())
(name "j6pinwzd" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 1)" devices ())
(name "j6pinwzda" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 2)" devices ())
(name "j6pinwzdb" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 3)" devices ())
(name "j6pinwzdc" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6pinwzdd" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 5)" devices ())
(name "j6pinwzde" year "199?" manufacturer "JPM" desc "Pinball Wizard (JPM) (IMPACT) (set 6)" devices ())
(name "j6pirgld" year "199?" manufacturer "JPM" desc "Pirates Gold (JPM) (IMPACT) (set 1)" devices ())
(name "j6pirglda" year "199?" manufacturer "JPM" desc "Pirates Gold (JPM) (IMPACT) (set 2)" devices ())
(name "j6pnxgd" year "199?" manufacturer "JPM" desc "Phoenix Gold De Luxe (JPM) (IMPACT)" devices ())
(name "j6pnxmil" year "199?" manufacturer "JPM" desc "Phoenix Millennium (JPM) (IMPACT) (set 1)" devices ())
(name "j6pnxmila" year "199?" manufacturer "JPM" desc "Phoenix Millennium (JPM) (IMPACT) (set 2)" devices ())
(name "j6pnxmilb" year "199?" manufacturer "JPM" desc "Phoenix Millennium (JPM) (IMPACT) (set 3)" devices ())
(name "j6pnxmilc" year "199?" manufacturer "JPM" desc "Phoenix Millennium (JPM) (IMPACT) (set 4)" devices ())
(name "j6pog" year "199?" manufacturer "Ace" desc "Pot Of Gold (Ace) (IMPACT) (set 1)" devices ())
(name "j6poga" year "199?" manufacturer "Ace" desc "Pot Of Gold (Ace) (IMPACT) (set 2)" devices ())
(name "j6pogb" year "199?" manufacturer "Ace" desc "Pot Of Gold (Ace) (IMPACT) (set 3)" devices ())
(name "j6pogc" year "199?" manufacturer "Ace" desc "Pot Of Gold (Ace) (IMPACT) (set 4)" devices ())
(name "j6pogcls" year "199?" manufacturer "Ace" desc "Pot Of Gold Classic (Ace) (IMPACT) (set 1)" devices ())
(name "j6pogclsa" year "199?" manufacturer "Ace" desc "Pot Of Gold Classic (Ace) (IMPACT) (set 2)" devices ())
(name "j6pogclsb" year "199?" manufacturer "Ace" desc "Pot Of Gold Classic (Ace) (IMPACT) (set 3)" devices ())
(name "j6pogd" year "199?" manufacturer "Ace" desc "Pot Of Gold (Ace) (IMPACT) (set 5)" devices ())
(name "j6pompay" year "199?" manufacturer "Ace" desc "Up Pompay (Ace) (IMPACT) (set 1)" devices ())
(name "j6pompaya" year "199?" manufacturer "Ace" desc "Up Pompay (Ace) (IMPACT) (set 2)" devices ())
(name "j6pompayb" year "199?" manufacturer "Ace" desc "Up Pompay (Ace) (IMPACT) (set 3)" devices ())
(name "j6pompayc" year "199?" manufacturer "Ace" desc "Up Pompay (Ace) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6popoli" year "199?" manufacturer "JPM" desc "Popeye & Olive (JPM) (IMPACT) (set 1)" devices ())
(name "j6popolia" year "199?" manufacturer "JPM" desc "Popeye & Olive (JPM) (IMPACT) (set 2)" devices ())
(name "j6potg" year "199?" manufacturer "Crystal" desc "Pot Of Gold (Crystal) (IMPACT) (set 1)" devices ())
(name "j6potga" year "199?" manufacturer "Crystal" desc "Pot Of Gold (Crystal) (IMPACT) (set 2)" devices ())
(name "j6potgb" year "199?" manufacturer "Crystal" desc "Pot Of Gold (Crystal) (IMPACT) (set 3)" devices ())
(name "j6pwrlin" year "199?" manufacturer "JPM" desc "Power Lines (JPM) (IMPACT) (set 1)" devices ())
(name "j6pwrlina" year "199?" manufacturer "JPM" desc "Power Lines (JPM) (IMPACT) (set 2)" devices ())
(name "j6pwrspn" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 1)" devices ())
(name "j6pwrspna" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 2)" devices ())
(name "j6pwrspnb" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 3)" devices ())
(name "j6pwrspnc" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6pwrspnd" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 5)" devices ())
(name "j6pwrspne" year "199?" manufacturer "JPM" desc "Powerspin (JPM) (IMPACT) (set 6)" devices ())
(name "j6quantm" year "199?" manufacturer "JPM" desc "Quantum Leap (JPM) (IMPACT) (set 1)" devices ())
(name "j6quantma" year "199?" manufacturer "JPM" desc "Quantum Leap (JPM) (IMPACT) (set 2)" devices ())
(name "j6quantmb" year "199?" manufacturer "JPM" desc "Quantum Leap (JPM) (IMPACT) (set 3)" devices ())
(name "j6quantmc" year "199?" manufacturer "JPM" desc "Quantum Leap (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6quick" year "199?" manufacturer "RAL" desc "Quicksilver (RAL) (HLB AC2) (IMPACT)" devices ())
(name "j6r2rum" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 1)" devices ())
(name "j6r2ruma" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 2)" devices ())
(name "j6r2rumb" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 3)" devices ())
(name "j6r2rumc" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 4)" devices ())
(name "j6r2rumd" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 5)" devices ())
(name "j6r2rume" year "199?" manufacturer "Crystal" desc "Ready To Rumble (Crystal) (IMPACT) (set 6)" devices ())
(name "j6ra" year "199?" manufacturer "JPM" desc "Red Alert (JPM) (IMPACT) (set 1)" devices ())
(name "j6raa" year "199?" manufacturer "JPM" desc "Red Alert (JPM) (IMPACT) (set 2)" devices ())
(name "j6rab" year "199?" manufacturer "JPM" desc "Red Alert (JPM) (IMPACT) (set 3)" devices ())
(name "j6rac" year "199?" manufacturer "JPM" desc "Red Alert (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6raclb" year "199?" manufacturer "JPM" desc "Red Alert Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6raclba" year "199?" manufacturer "JPM" desc "Red Alert Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6raclbb" year "199?" manufacturer "JPM" desc "Red Alert Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6raclbc" year "199?" manufacturer "JPM" desc "Red Alert Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6raclbd" year "199?" manufacturer "JPM" desc "Red Alert Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6rad" year "199?" manufacturer "JPM" desc "Red Alert (JPM) (IMPACT) (set 5)" devices ())
(name "j6rager" year "199?" manufacturer "JPM" desc "Red Alert (JPM) [German] (IMPACT)" devices ())
(name "j6ramese" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6ramesea" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6rameseb" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 3)" devices ())
(name "j6ramesec" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 4)" devices ())
(name "j6ramesed" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 5)" devices ())
(name "j6ramesee" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 6)" devices ())
(name "j6ramesef" year "199?" manufacturer "Crystal" desc "Rameses' Riches Club (Crystal) (IMPACT) (set 7)" devices ())
(name "j6rccls" year "199?" manufacturer "JPM" desc "Roller Coaster Classic (JPM) (IMPACT) (set 1)" devices ())
(name "j6rcclsa" year "199?" manufacturer "JPM" desc "Roller Coaster Classic (JPM) (IMPACT) (set 2)" devices ())
(name "j6rcclsb" year "199?" manufacturer "JPM" desc "Roller Coaster Classic (JPM) (IMPACT) (set 3)" devices ())
(name "j6rcclub" year "199?" manufacturer "JPM" desc "Roller Coaster Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6rccluba" year "199?" manufacturer "JPM" desc "Roller Coaster Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6rcclubb" year "199?" manufacturer "JPM" desc "Roller Coaster Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6redal" year "199?" manufacturer "Crystal" desc "Red Alert (Crystal) (IMPACT) (set 1)" devices ())
(name "j6redala" year "199?" manufacturer "Crystal" desc "Red Alert (Crystal) (IMPACT) (set 2)" devices ())
(name "j6redarw" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 1)" devices ())
(name "j6redarwa" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 2)" devices ())
(name "j6redarwb" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 3)" devices ())
(name "j6redarwc" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 4)" devices ())
(name "j6redarwd" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 5)" devices ())
(name "j6redarwe" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6redarwf" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 7)" devices ())
(name "j6redarwg" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 8)" devices ())
(name "j6redarwh" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 9)" devices ())
(name "j6redarwi" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 10)" devices ())
(name "j6redarwj" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 11)" devices ())
(name "j6redarww" year "199?" manufacturer "JPM" desc "Red Arrow (JPM) (IMPACT) (set 12, Whitbread)" devices ())
(name "j6reddmn" year "199?" manufacturer "JPM" desc "Red Demon (JPM) (IMPACT)" devices ())
(name "j6reelb" year "199?" manufacturer "Crystal" desc "Reel Bingo Classic Club (Crystal) (IMPACT) (set 1)" devices ())
(name "j6reelba" year "199?" manufacturer "Crystal" desc "Reel Bingo Classic Club (Crystal) (IMPACT) (set 2)" devices ())
(name "j6reelmn" year "199?" manufacturer "JPM" desc "Reel Money (JPM) (IMPACT) (RE 9) (set 1)" devices ())
(name "j6reelmna" year "199?" manufacturer "JPM" desc "Reel Money (JPM) (IMPACT) (RE 9) (set 2)" devices ())
(name "j6reelmnb" year "199?" manufacturer "JPM" desc "Reel Money (JPM) (IMPACT) (RE 9) (set 3)" devices ())
(name "j6reelmnc" year "199?" manufacturer "JPM" desc "Reel Money (JPM) (IMPACT) (RE 9) (set 4)" devices ())
(name "j6reelmnd" year "199?" manufacturer "JPM" desc "Reel Money (JPM) (IMPACT) (RE 7) (set 5)" devices ())
(name "j6reelth" year "199?" manufacturer "Ace" desc "Reel Thing (Ace) (IMPACT) set 1)" devices ())
(name "j6reeltha" year "199?" manufacturer "Crystal" desc "Reel Thing (Crystal) (IMPACT) (set 1)" devices ())
(name "j6reelthb" year "199?" manufacturer "Crystal" desc "Reel Thing (Crystal) (IMPACT) (set 2)" devices ())
(name "j6rh6" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 1)" devices ())
(name "j6rh6a" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 2)" devices ())
(name "j6rh6b" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 3)" devices ())
(name "j6rh6c" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 4)" devices ())
(name "j6rh6cl" year "199?" manufacturer "JPM" desc "Red Hot Six Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6rh6cla" year "199?" manufacturer "JPM" desc "Red Hot Six Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6rh6clb" year "199?" manufacturer "JPM" desc "Red Hot Six Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6rh6clc" year "199?" manufacturer "JPM" desc "Red Hot Six Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6rh6cld" year "199?" manufacturer "JPM" desc "Red Hot Six Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6rh6d" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 5)" devices ())
(name "j6rh6e" year "2002" manufacturer "JPM" desc "Red Hot 6 (JPM) (IMPACT) (set 6)" devices ())
(name "j6rhchil" year "199?" manufacturer "Ace" desc "Red Hot Chili Stepper (Ace) (IMPACT) (set 1)" devices ())
(name "j6rhchila" year "199?" manufacturer "Ace" desc "Red Hot Chili Stepper (Ace) (IMPACT) (set 2)" devices ())
(name "j6rhchilb" year "199?" manufacturer "Ace" desc "Red Hot Chili Stepper (Ace) (IMPACT) (set 3)" devices ())
(name "j6rhchilc" year "199?" manufacturer "Ace" desc "Red Hot Chili Stepper (Ace) (IMPACT) (set 4)" devices ())
(name "j6rhchild" year "199?" manufacturer "Ace" desc "Red Hot Chili Stepper (Ace) (IMPACT) (set 5)" devices ())
(name "j6richpk" year "199?" manufacturer "Ace" desc "Rich Pickings (Ace) (IMPACT)" devices ())
(name "j6rico" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R I) (set 1)" devices ())
(name "j6ricoa" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R IP) (set 2)" devices ())
(name "j6ricob" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R IA) (set 3)" devices ())
(name "j6ricoc" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R I) (set 4)" devices ())
(name "j6ricod" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R IS) (set 5)" devices ())
(name "j6ricoe" year "199?" manufacturer "JPM" desc "Ricochet (JPM) (IMPACT) (R IS) (set 6)" devices ())
(name "j6robin" year "199?" manufacturer "Ace" desc "Robin Hood (Ace) (IMPACT) (set 1)" devices ())
(name "j6robina" year "199?" manufacturer "Ace" desc "Robin Hood (Ace) (IMPACT) (set 2)" devices ())
(name "j6robinb" year "199?" manufacturer "Ace" desc "Robin Hood (Ace) (IMPACT) (set 3)" devices ())
(name "j6robinc" year "199?" manufacturer "Ace" desc "Robin Hood (Ace) (IMPACT) (set 4)" devices ())
(name "j6roller" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC11 C30, 30p Stake, £15 Jackpot)" devices ())
(name "j6rollera" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC11P C30, 30p Stake, £15 Jackpot, Protocol)" devices ())
(name "j6rollerb" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC11 AC30, 30p Stake, £15 Jackpot)" devices ())
(name "j6rollerc" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC11 C30, 30p Stake, £15 Jackpot, Whitbread)" devices ())
(name "j6rollerd" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC11 C29, 30p Stake, £15 Jackpot)" devices ())
(name "j6rollere" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC10 C20, 20p Stake, £10 Jackpot)" devices ())
(name "j6rollerf" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC9 L26, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollerg" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC9P L26, 20p Stake, £8 Jackpot, Protocol)" devices ())
(name "j6rollerh" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC9 AL26, 20p Stake, £8 Jackpot)" devices ())
(name "j6rolleri" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC9 L26, 20p Stake, £10 Jackpot, Whitbread)" devices ())
(name "j6rollerj" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC5 L14, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollerk" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC4 L15, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollerl" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC4P L15, 20p Stake, £8 Jackpot, Protocol)" devices ())
(name "j6rollerm" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC4 AL15, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollern" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC4 I L15, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollero" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC2 L07, 20p Stake, £8 Jackpot)" devices ())
(name "j6rollerp" year "199?" manufacturer "JPM" desc "Roller Coaster (JPM) (IMPACT) (RC2 I L07, 20p Stake, £8 Jackpot)" devices ())
(name "j6roof" year "199?" manufacturer "Ace" desc "Thru' The Roof (Ace) (IMPACT) (set 1)" devices ())
(name "j6roofa" year "199?" manufacturer "Ace" desc "Thru' The Roof (Ace) (IMPACT) (set 2)" devices ())
(name "j6royfls" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6royflsa" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6royflsb" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6royflsc" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6royflsd" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6royflse" year "199?" manufacturer "JPM" desc "Royal Flush Club (JPM) (IMPACT) (set 6)" devices ())
(name "j6samur" year "199?" manufacturer "JPM" desc "Samurai Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6samura" year "199?" manufacturer "JPM" desc "Samurai Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6samurb" year "199?" manufacturer "JPM" desc "Samurai Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6samurc" year "199?" manufacturer "JPM" desc "Samurai Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6samurd" year "199?" manufacturer "JPM" desc "Samurai Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6scarlt" year "199?" manufacturer "Ace" desc "Captain Scarlet (Ace) (IMPACT)" devices ())
(name "j6shoot" year "199?" manufacturer "JPM" desc "ShootOut (JPM) (IMPACT) (Whitbread)" devices ())
(name "j6showtm" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 1)" devices ())
(name "j6showtma" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 2)" devices ())
(name "j6showtmb" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 3)" devices ())
(name "j6showtmc" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 4)" devices ())
(name "j6showtmd" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 5)" devices ())
(name "j6showtme" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 6)" devices ())
(name "j6showtmf" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 7)" devices ())
(name "j6showtmg" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 8)" devices ())
(name "j6showtmh" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 9)" devices ())
(name "j6showtmi" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 10)" devices ())
(name "j6showtmj" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 11)" devices ())
(name "j6showtmk" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 12)" devices ())
(name "j6showtml" year "199?" manufacturer "JPM" desc "It's Showtime (JPM) (IMPACT) (set 13)" devices ())
(name "j6sidewd" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 1)" devices ())
(name "j6sidewda" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 2)" devices ())
(name "j6sidewdb" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 3)" devices ())
(name "j6sidewdc" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 4, Whitbread)" devices ())
(name "j6sidewdd" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 5)" devices ())
(name "j6sidewde" year "199?" manufacturer "JPM" desc "Sidewinder (JPM) (IMPACT) (set 6)" devices ())
(name "j6slagn" year "199?" manufacturer "Crystal" desc "Snakes & Ladders Slides Again (Crystal) (IMPACT) (set 1)" devices ())
(name "j6slagna" year "199?" manufacturer "Crystal" desc "Snakes & Ladders Slides Again (Crystal) (IMPACT) (set 2)" devices ())
(name "j6slagnb" year "199?" manufacturer "Crystal" desc "Snakes & Ladders Slides Again (Crystal) (IMPACT) (set 3)" devices ())
(name "j6slagnc" year "199?" manufacturer "Crystal" desc "Snakes & Ladders Slides Again (Crystal) (IMPACT) (set 4)" devices ())
(name "j6slvgst" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 1)" devices ())
(name "j6slvgsta" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 2)" devices ())
(name "j6slvgstb" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 3)" devices ())
(name "j6slvgstc" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 4)" devices ())
(name "j6slvgstd" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 5)" devices ())
(name "j6slvgste" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 6)" devices ())
(name "j6slvgstf" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 7)" devices ())
(name "j6slvgstg" year "199?" manufacturer "JPM" desc "Silver Ghost (JPM) (IMPACT) (set 8)" devices ())
(name "j6snakes" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL18 C22) (set 1)" devices ())
(name "j6snakesa" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL18P C22) (set 2, Protocol)" devices ())
(name "j6snakesb" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL18 AC22) (set 3)" devices ())
(name "j6snakesc" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL18 C22) (set 4, Whitbread)" devices ())
(name "j6snakesd" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL16 C20) (set 5)" devices ())
(name "j6snakese" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL17 C21) (set 6)" devices ())
(name "j6snakesf" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL10 C13) (set 7)" devices ())
(name "j6snakesg" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (IMPACT) (SL8P C11) (set 8)" devices ())
(name "j6snakesh" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (SL11 C14) (IMPACT) (set 9)" devices ())
(name "j6snakesi" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (SL11 AC14) (IMPACT) (set 10)" devices ())
(name "j6snakesj" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (SL11P CA4) (IMPACT) (set 11, Protocol)" devices ())
(name "j6snakesk" year "199?" manufacturer "JPM" desc "Snakes & Ladders (JPM) (SL15 C18) (IMPACT) (set 12)" devices ())
(name "j6snakesl" year "199?" manufacturer "JPM / Crystal" desc "Snakes & Ladders (JPM) (SLB C2) (IMPACT) (set 13)" devices ())
(name "j6sonic" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO10 C13)" devices ())
(name "j6sonica" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO10P C13, Protocol)" devices ())
(name "j6sonicb" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO10 AC13)" devices ())
(name "j6sonicc" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO10 C13, Whitbread)" devices ())
(name "j6sonicd" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO9 C12)" devices ())
(name "j6sonice" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO7 C10)" devices ())
(name "j6sonicf" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO7 AC10)" devices ())
(name "j6sonicg" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (SO1 AC2)" devices ())
(name "j6sonich" year "199?" manufacturer "JPM" desc "Sonic The Hedgehog (JPM) (IMPACT) (set 9)" devices ())
(name "j6spcinv" year "199?" manufacturer "Crystal" desc "Space Invaders (Crystal) (IMPACT)" devices ())
(name "j6stards" year "199?" manufacturer "JPM" desc "Stardust (JPM) (IMPACT) (SD 2 C 7) (set 1)" devices ())
(name "j6stardsa" year "199?" manufacturer "JPM" desc "Stardust (JPM) (IMPACT) (SD 2P C 7) (set 2, Protocol)" devices ())
(name "j6stardsb" year "199?" manufacturer "JPM" desc "Stardust (JPM) (IMPACT) (SD 2 AC 7) (set 3)" devices ())
(name "j6stardsc" year "199?" manufacturer "JPM" desc "Stardust (JPM) (IMPACT) (SD 2 C 7) (set 4, Whitbread)" devices ())
(name "j6start" year "199?" manufacturer "Showcase Ltd" desc "Starturn (JPM / Showcase) (IMPACT) (set 1)" devices ())
(name "j6starta" year "199?" manufacturer "Showcase Ltd" desc "Starturn (JPM / Showcase) (IMPACT) (set 2)" devices ())
(name "j6strk10" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 1)" devices ())
(name "j6strk10a" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 2)" devices ())
(name "j6strk10b" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 3)" devices ())
(name "j6strk10c" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 4)" devices ())
(name "j6strk10d" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 5)" devices ())
(name "j6strk10e" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 6)" devices ())
(name "j6strk10f" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 7)" devices ())
(name "j6strk10g" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 8)" devices ())
(name "j6strk10h" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 9)" devices ())
(name "j6strk10i" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 10)" devices ())
(name "j6strk10j" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 11)" devices ())
(name "j6strk10k" year "199?" manufacturer "Ace" desc "Strike 10 (Ace) (IMPACT) (set 12)" devices ())
(name "j6supbrk" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 1)" devices ())
(name "j6supbrka" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 2)" devices ())
(name "j6supbrkb" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 3)" devices ())
(name "j6supbrkc" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 4)" devices ())
(name "j6supbrkd" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 5)" devices ())
(name "j6supbrke" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6supbrkf" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 7)" devices ())
(name "j6supbrkg" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 8)" devices ())
(name "j6supbrkh" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 9)" devices ())
(name "j6supbrki" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 10)" devices ())
(name "j6supbrkj" year "199?" manufacturer "JPM" desc "Super Breakout (JPM) (IMPACT) (set 11)" devices ())
(name "j6svndb" year "199?" manufacturer "Ace" desc "7 Deadly Bins (Ace) (IMPACT)" devices ())
(name "j6swpdrp" year "199?" manufacturer "JPM" desc "Swop Till Ya Drop (JPM) (IMPACT)" devices ())
(name "j6tbirds" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 1)" devices ())
(name "j6tbirdsa" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 2)" devices ())
(name "j6tbirdsb" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 3)" devices ())
(name "j6tbirdsc" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 4)" devices ())
(name "j6tbirdsd" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 5)" devices ())
(name "j6tbirdse" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 6, Whitbread)" devices ())
(name "j6tbirdsf" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 7)" devices ())
(name "j6tbirdsg" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 8)" devices ())
(name "j6tbirdsh" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 9)" devices ())
(name "j6tbirdsi" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 10)" devices ())
(name "j6tbirdsj" year "199?" manufacturer "JPM" desc "Thunderbirds (JPM) (IMPACT) (set 11)" devices ())
(name "j6tbirdsk" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 1)" devices ())
(name "j6tbirdsl" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 2)" devices ())
(name "j6tbirdsm" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 3)" devices ())
(name "j6tbirdsn" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 4)" devices ())
(name "j6tbirdso" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 5)" devices ())
(name "j6tbirdsp" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 6)" devices ())
(name "j6tbirdsq" year "199?" manufacturer "Crystal" desc "Thunderbirds (Crystal) (IMPACT) (set 7)" devices ())
(name "j6tbirdsr" year "199?" manufacturer "JPM / Predator" desc "Thunderbirds (JPM / Predator) (IMPACT)" devices ())
(name "j6tbrdcl" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 1)" devices ())
(name "j6tbrdcla" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 2)" devices ())
(name "j6tbrdclb" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 3)" devices ())
(name "j6tbrdclc" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 4)" devices ())
(name "j6tbrdcld" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 5)" devices ())
(name "j6tbrdcle" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 6)" devices ())
(name "j6tbrdclf" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 7)" devices ())
(name "j6tbrdclg" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 8)" devices ())
(name "j6tbrdclh" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 9)" devices ())
(name "j6tbrdcli" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 10)" devices ())
(name "j6tbrdclj" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 11)" devices ())
(name "j6tbrdclk" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 12)" devices ())
(name "j6tbrdcll" year "199?" manufacturer "JPM" desc "Thunderbirds Club (JPM) (IMPACT) (set 13)" devices ())
(name "j6thril" year "199?" manufacturer "Crystal" desc "Thriller (Crystal) (IMPACT) (set 1)" devices ())
(name "j6thrila" year "199?" manufacturer "Crystal" desc "Thriller (Crystal) (IMPACT) (set 2)" devices ())
(name "j6tomb" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 1)" devices ())
(name "j6tomba" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 2)" devices ())
(name "j6tombb" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 3)" devices ())
(name "j6tombc" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 4)" devices ())
(name "j6tombd" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 5)" devices ())
(name "j6tombe" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 6)" devices ())
(name "j6tombf" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 7)" devices ())
(name "j6tombg" year "199?" manufacturer "JPM" desc "Tomb Raider (JPM) (IMPACT) (set 8)" devices ())
(name "j6topflg" year "199?" manufacturer "Ace" desc "Top Flight (Ace) (IMPACT)" devices ())
(name "j6tqust" year "199?" manufacturer "Crystal" desc "Treasure Quest (Crystal) (IMPACT) (set 1)" devices ())
(name "j6tqusta" year "199?" manufacturer "Crystal" desc "Treasure Quest (Crystal) (IMPACT) (set 2)" devices ())
(name "j6tqustb" year "199?" manufacturer "Crystal" desc "Treasure Quest (Crystal) (IMPACT) (set 3)" devices ())
(name "j6tqustc" year "199?" manufacturer "Crystal" desc "Treasure Quest (Crystal) (IMPACT) (set 4)" devices ())
(name "j6tutti" year "199?" manufacturer "Qps" desc "Tutti Frutti (Qps) (IMPACT)" devices ())
(name "j6twst" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 1)" devices ())
(name "j6twsta" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 2)" devices ())
(name "j6twstb" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 3)" devices ())
(name "j6twstc" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 4)" devices ())
(name "j6twstd" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 5)" devices ())
(name "j6twstdt" year "199?" manufacturer "JPM" desc "Twister (JPM) [Dutch] (IMPACT)" devices ())
(name "j6twste" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 6)" devices ())
(name "j6twstf" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 7)" devices ())
(name "j6twstg" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 8)" devices ())
(name "j6twsth" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 9)" devices ())
(name "j6twsti" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 10)" devices ())
(name "j6twstj" year "199?" manufacturer "Ace" desc "Twister (Ace) (IMPACT) (set 11)" devices ())
(name "j6untch" year "199?" manufacturer "JPM" desc "Untouchable (JPM) (IMPACT) (UN3B LO6)" devices ())
(name "j6untcha" year "199?" manufacturer "JPM" desc "Untouchable (JPM) (IMPACT) (UN3BI LO6)" devices ())
(name "j6vindal" year "199?" manufacturer "JPM" desc "Vindaloot (JPM) (IMPACT)" devices ())
(name "j6vivark" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 1)" devices ())
(name "j6vivarka" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 2)" devices ())
(name "j6vivarkb" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 3)" devices ())
(name "j6vivarkc" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 4)" devices ())
(name "j6vivarkd" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 5, Whitbread)" devices ())
(name "j6vivarke" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 6)" devices ())
(name "j6vivarkf" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 7)" devices ())
(name "j6vivarkg" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 8)" devices ())
(name "j6vivarkh" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 9)" devices ())
(name "j6vivarki" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 10)" devices ())
(name "j6vivarkj" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 11)" devices ())
(name "j6vivarkk" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (JPM) (IMPACT) (set 12)" devices ())
(name "j6vivrkc" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (Club) (JPM) (IMPACT) (set 1)" devices ())
(name "j6vivrkca" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (Club) (JPM) (IMPACT) (set 2)" devices ())
(name "j6vivrkcb" year "199?" manufacturer "JPM" desc "The Flintstones in Viva Rock Vegas (Club) (JPM) (IMPACT) (set 3)" devices ())
(name "j6wildw" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 1)" devices ())
(name "j6wildwa" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 2)" devices ())
(name "j6wildwb" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 3, Whitbread)" devices ())
(name "j6wildwc" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 4)" devices ())
(name "j6wildwd" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 5)" devices ())
(name "j6wildwe" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 6)" devices ())
(name "j6wildwf" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 7)" devices ())
(name "j6wildwg" year "199?" manufacturer "Ace" desc "Wild West (Ace) (IMPACT) (set 8, Whitbread)" devices ())
(name "j6wizard" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 7 C 8) (set 1)" devices ())
(name "j6wizarda" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 7P C 8) (set 2, Protocol)" devices ())
(name "j6wizardb" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 7 AC 8) (set 3)" devices ())
(name "j6wizardc" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 7 C 8) (set 4, Whitbread)" devices ())
(name "j6wizardd" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 4 C 5) (set 5)" devices ())
(name "j6wizarde" year "199?" manufacturer "JPM" desc "Wizard Of Odds (JPM) (IMPACT) (WZ 5 C 6) (set 6)" devices ())
(name "j6wldkng" year "199?" manufacturer "JPM" desc "Wild King Club (JPM) (IMPACT) (WK 5) (set 1)" devices ())
(name "j6wldknga" year "199?" manufacturer "JPM" desc "Wild King Club (JPM) (IMPACT) (WK 5P) (set 2, Protocol)" devices ())
(name "j6wthing" year "199?" manufacturer "Empire" desc "Wild Thing (Empire) (IMPACT) (set 1)" devices ())
(name "j6wthinga" year "199?" manufacturer "Empire" desc "Wild Thing (Empire) (IMPACT) (set 2)" devices ())
(name "j6wthingb" year "199?" manufacturer "Empire" desc "Wild Thing (Empire) (IMPACT) (set 3)" devices ())
(name "j7bmagic" year "200?" manufacturer "JPM" desc "Black Magic (JPM)" devices ())
(name "j7bullio" year "200?" manufacturer "Ace" desc "Bullionaire (Ace)" devices ())
(name "j7cexprs" year "200?" manufacturer "JPM" desc "Cash Xpress (JPM)" devices ())
(name "j7clbmag" year "200?" manufacturer "Qps" desc "Club Magic (JPM)" devices ())
(name "j7crztrl" year "200?" manufacturer "JPM" desc "Crazy Trails (JPM)" devices ())
(name "j7fantaz" year "200?" manufacturer "JPM" desc "Fantaztec (JPM)" devices ())
(name "j7kerchn" year "200?" manufacturer "JPM" desc "Ker - Chinq (JPM)" devices ())
(name "j7r2roll" year "200?" manufacturer "JPM" desc "Ready To Roll (JPM)" devices ())
(name "j7razzma" year "200?" manufacturer "JPM" desc "Razzamataz (JPM) (set 1)" devices ())
(name "j7razzmaa" year "200?" manufacturer "JPM" desc "Razzamataz (JPM) (set 2)" devices ())
(name "j7tubgld" year "200?" manufacturer "JPM" desc "Turbo Gold (JPM)" devices ())
(name "j7wldwkd" year "200?" manufacturer "JPM" desc "Wild 'N' Wicked (JPM)" devices ())
(name "j80alad" year "198?" manufacturer "JPM" desc "Aladdin's Cave (PCP)" devices ())
(name "j80bac" year "198?" manufacturer "JPM" desc "Bank A Coin (JPM) (SYSTEM80)" devices ())
(name "j80blbnk" year "198?" manufacturer "PCP" desc "Blankity Bank (PCP) (SYSTEM80)" devices ())
(name "j80bounc" year "198?" manufacturer "JPM" desc "Bouncer (JPM) (SYSTEM80)" devices ())
(name "j80fortr" year "198?" manufacturer "JPM" desc "Fortune Trail (JPM)" devices ())
(name "j80frogh" year "198?" manufacturer "JPM" desc "Frog Hop (JPM) (SYSTEM80)" devices ())
(name "j80fruit" year "198?" manufacturer "JPM" desc "Fruit Snappa (JPM) (SYSTEM80)" devices ())
(name "j80golds" year "198?" manufacturer "JPM" desc "Golden Steppa (JPM) (SYSTEM80)" devices ())
(name "j80hotln" year "198?" manufacturer "JPM" desc "Hot Lines (JPM) (SYSTEM80)" devices ())
(name "j80mster" year "198?" manufacturer "JPM" desc "Masterspy (Pcp)" devices ())
(name "j80myspn" year "198?" manufacturer "JPM" desc "Mystery Spin (JPM) (SYSTEM80)" devices ())
(name "j80nudg2" year "198?" manufacturer "JPM" desc "Nudge Double Up MkII (JPM) (SYSTEM80)" devices ())
(name "j80plsnd" year "198?" manufacturer "JPM" desc "Plus Nudge (JPM)" devices ())
(name "j80rr" year "198?" manufacturer "JPM" desc "Road Runner (JPM) (SYSTEM80, set 1)" devices ())
(name "j80rra" year "198?" manufacturer "JPM" desc "Road Runner (JPM) (SYSTEM80, set 2)" devices ())
(name "j80supbk" year "198?" manufacturer "JPM" desc "Superbank (JPM) (SYSTEM80)" devices ())
(name "j80supst" year "198?" manufacturer "JPM" desc "Supa Steppa (JPM) (SYSTEM80)" devices ())
(name "j80topsp" year "198?" manufacturer "JPM" desc "Top Sprint (JPM) (SYSTEM80)" devices ())
(name "j80topup" year "198?" manufacturer "JPM" desc "Top Up (JPM) (SYSTEM80)" devices ())
(name "j80tumbl" year "198?" manufacturer "JPM" desc "Tumble (JPM) (SYSTEM80)" devices ())
(name "j80wsprt" year "198?" manufacturer "JPM" desc "Winsprint (JPM) (V4, 5x20p) (SYSTEM80)" devices ())
(name "j80wsprt2" year "198?" manufacturer "JPM" desc "Winsprint (JPM) (V2, 10x10p) (SYSTEM80)" devices ())
(name "j80wsprt3" year "198?" manufacturer "JPM" desc "Winsprint (JPM) (V3, 50p, 5 credits) (SYSTEM80)" devices ())
(name "j_cnudgr" year "198?" manufacturer "<unknown>" desc "Cash Nudger? (SRU) (5p Stake, £2 Jackpot)" devices ())
(name "j_dt" year "1981?" manufacturer "JPM" desc "Double Top (JPM) (SRU) (revision 13, 5p/10p Stake, £2 Jackpot)" devices ())
(name "j_dud" year "1980?" manufacturer "JPM" desc "Nudge Double Up Deluxe (JPM) (SRU) (revision 10, 5p Stake, £1 Jackpot)" devices ())
(name "j_duda" year "1981?" manufacturer "JPM" desc "Nudge Double Up Deluxe (JPM) (SRU) (5p/10p Stake, £2 Jackpot)" devices ())
(name "j_dudb" year "1981?" manufacturer "JPM" desc "Nudge Double Up Deluxe (JPM) (SRU) (revision 12, £2 Jackpot)" devices ())
(name "j_ewn" year "1979?" manufacturer "JPM" desc "Each Way Nudger (JPM) (SRU) (revision 20, 5p Stake, £1 Jackpot)" devices ())
(name "j_ewna" year "1981?" manufacturer "JPM" desc "Each Way Nudger (JPM) (SRU) (revision 26A, 5p/10p Stake, £2 Jackpot)" devices ())
(name "j_ewnb" year "1981?" manufacturer "JPM" desc "Each Way Nudger (JPM) (SRU) (5p/10p Stake, £2 Jackpot)" devices ())
(name "j_ewnc" year "1979?" manufacturer "JPM" desc "Each Way Nudger (JPM) (SRU) (earlier, 5p Stake, £1 Jackpot)" devices ())
(name "j_ewnd" year "1979?" manufacturer "JPM" desc "Each Way Nudger (JPM) (SRU) (revision 23C, 5p Stake, £1 Jackpot)" devices ())
(name "j_ews" year "1981" manufacturer "JPM" desc "Each Way Shuffle (JPM) (SRU) (revision 8A, 5p/10p Stake, £2 Jackpot)" devices ())
(name "j_ewsa" year "1981" manufacturer "JPM" desc "Each Way Shuffle (JPM) (SRU) (revision 13A, 5p/10p Stake, £2 Jackpot)" devices ())
(name "j_ewsb" year "1981" manufacturer "JPM" desc "Each Way Shuffle (JPM) (SRU) (revision 13C, 5p/10p Stake, £2 Jackpot)" devices ())
(name "j_ewsdlx" year "1984?" manufacturer "CTL" desc "Each Way Shuffle Deluxe (CTL) (SRU) (5p/10p Stake, £3 Jackpot)" devices ())
(name "j_goldn2" year "1984?" manufacturer "CTL" desc "Golden 2's (CTL) (SRU) (2p Stake, £1.50 Jackpot)" devices ())
(name "j_la" year "1984?" manufacturer "<unknown>" desc "Lucky Aces (SRU) (1p/2p Stake, £1.50 Jackpot)" devices ())
(name "j_lal" year "1979?" manufacturer "JPM" desc "Lite a Line (Dutch) (JPM) (SRU) (revision 52)" devices ())
(name "j_lan" year "1980?" manufacturer "JPM" desc "Lite A Nudge (JPM) (SRU) (revision 17F, 5p Stake, £1 Jackpot)" devices ())
(name "j_lana" year "1981?" manufacturer "JPM" desc "Lite A Nudge (JPM) (SRU) (5p/10p Stake, £2 Jackpot)" devices ())
(name "j_lanb" year "1980?" manufacturer "JPM" desc "Lite A Nudge (JPM) (SRU) (earlier, 5p Stake, £1 Jackpot)" devices ())
(name "j_lc" year "1981" manufacturer "JPM" desc "Lucky Casino (JPM) (SRU) (revision 8A)" devices ())
(name "j_lca" year "1981" manufacturer "JPM" desc "Lucky Casino (JPM) (SRU) (revision 8, lower %)" devices ())
(name "j_lt" year "1981" manufacturer "JPM" desc "Lucky 2's (JPM) (SRU) (revision 9, 10p Stake, £2 Jackpot)" devices ())
(name "j_ndu" year "1979?" manufacturer "JPM" desc "Nudge Double Up (JPM) (SRU) (revision 17, 5p Stake, £1 Jackpot)" devices ())
(name "j_ndua" year "1979?" manufacturer "JPM" desc "Nudge Double Up (JPM) (SRU) (revision 17, 5p Stake, £1 Jackpot, lower %)" devices ())
(name "j_ndub" year "1979?" manufacturer "JPM" desc "Nudge Double Up (JPM) (SRU) (earlier?, 5p Stake, £1 Jackpot)" devices ())
(name "j_plus2" year "198?" manufacturer "CTL" desc "Plus 2 (CTL) (SRU) (2p Stake, £1 Jackpot)" devices ())
(name "j_ssh" year "1984?" manufacturer "CTL" desc "Silver Shuffle (CTL) (SRU) (2p Stake, £1.50 Jackpot)" devices ())
(name "j_sup2p" year "198?" manufacturer "Mdm" desc "Super 2p Shuffle (Mdm) (SRU) (2p Stake, £1 Jackpot)" devices ())
(name "j_super2" year "198?" manufacturer "<unknown>" desc "Super 2 (SRU) (2p Stake, £1 Jackpot)" devices ())
(name "j_supsh" year "1984?" manufacturer "Louth Coin" desc "Super Shuffle (Louth Coin) (SRU) (10p Stake, £3 Jackpot)" devices ())
(name "j_supsha" year "1984?" manufacturer "Louth Coin" desc "Super Shuffle (Louth Coin) (SRU) (5p Stake, £1.50 Jackpot)" devices ())
(name "j_ts" year "1982" manufacturer "JPM" desc "Two Step (JPM) (SRU) (5p Stake, £2 Jackpot)" devices ())
(name "jack" year "1982" manufacturer "Hara Industries (Cinematronics license)" desc "Jack the Giantkiller (set 1)" devices ())
(name "jack2" year "1982" manufacturer "Hara Industries (Cinematronics license)" desc "Jack the Giantkiller (set 2)" devices ())
(name "jack2opn" year "1984" manufacturer "Gottlieb" desc "Jacks to Open" devices ())
(name "jack3" year "1982" manufacturer "Hara Industries (Cinematronics license)" desc "Jack the Giantkiller (set 3)" devices ())
(name "jackal" year "1986" manufacturer "Konami" desc "Jackal (World, 8-way Joystick)" devices ())
(name "jackalbl" year "1986" manufacturer "bootleg" desc "Jackal (bootleg, Rotary Joystick)" devices ())
(name "jackalj" year "1986" manufacturer "Konami" desc "Tokushu Butai Jackal (Japan, 8-way Joystick)" devices ())
(name "jackalr" year "1986" manufacturer "Konami" desc "Jackal (World, Rotary Joystick)" devices ())
(name "jackbean" year "199?" manufacturer "Doyle & Assoc." desc "Jack & The Beanstalk (Doyle & Assoc.?)" devices ())
(name "jackhous" year "1994" manufacturer "Chain Leisure Co., Ltd" desc "Jack House" devices ())
(name "jackie" year "1993" manufacturer "IGS" desc "Happy Jackie (v110U)" devices ())
(name "jackler" year "1982" manufacturer "bootleg" desc "Jackler (bootleg of Jungler)" devices ())
(name "jackpool" year "1997" manufacturer "Electronic Projects" desc "Jackpot Cards / Jackpot Pool (Italy)" devices ())
(name "jackpot" year "1998" manufacturer "Electronic Projects" desc "Jackpot Bowling (Ver 16.16L)" devices ())
(name "jackpota" year "1998" manufacturer "Electronic Projects" desc "Jackpot Bowling (Ver 1.16L)" devices ())
(name "jackrabt" year "1984" manufacturer "Zaccaria" desc "Jack Rabbit (set 1)" devices ())
(name "jackrabt2" year "1984" manufacturer "Zaccaria" desc "Jack Rabbit (set 2)" devices ())
(name "jackrabts" year "1984" manufacturer "Zaccaria" desc "Jack Rabbit (special)" devices ())
(name "jackuse" year "1982" manufacturer "Interflip" desc "Jack Use (Jackpot settings for Interflip slots machines)" devices ())
(name "jade" year "1983" manufacturer "Jade Computer Products" desc "unknown S-100 computer with Serial/Parallel/Interrupt Controller" devices ())
(name "jaguar" year "1993" manufacturer "Atari" desc "Jaguar (NTSC)" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "jaguarcd" year "1995" manufacturer "Atari" desc "Jaguar CD (NTSC)" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" ) (name "cdrom" briefname "cdrm" )))
(name "jailbrek" year "1986" manufacturer "Konami" desc "Jail Break" devices ())
(name "jailbrekb" year "1986" manufacturer "bootleg" desc "Jail Break (bootleg)" devices ())
(name "jailbrk" year "2002" manufacturer "Aristocrat" desc "Jailbreak (10125611, NSW/ACT)" devices ())
(name "jajamaru" year "1985" manufacturer "Jaleco" desc "Vs. Ninja Jajamaru Kun (Japan)" devices ())
(name "jak_batm" year "2004" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "The Batman (JAKKS Pacific TV Game)" devices ())
(name "jak_bbh" year "2009" manufacturer "JAKKS Pacific Inc" desc "Big Buck Hunter Pro (JAKKS Pacific TV Game)" devices ())
(name "jak_bbsf" year "2011" manufacturer "JAKKS Pacific Inc" desc "Big Buck Safari (JAKKS Pacific TV Game)" devices ())
(name "jak_camp" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Camp Rock - Guitar Video Game (JAKKS Pacific TV Game)" devices ())
(name "jak_capb" year "2004" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Classic Arcade Pinball (JAKKS Pacific TV Game)" devices ())
(name "jak_capc" year "2005" manufacturer "JAKKS Pacific Inc / Capcom / HotGen Ltd" desc "Capcom 3-in-1 (1942, Commando, Ghosts'n Goblins) (JAKKS Pacific TV Game, Game-Key Ready) (29 MAR 2005 B)" devices ((name "cartridge" briefname "cart" )))
(name "jak_car2" year "200?" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Cars 2 (JAKKS Pacific TV Game)" devices ())
(name "jak_care" year "2005" manufacturer "JAKKS Pacific Inc / Backbone Entertainment" desc "Care Bears TV Games (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dbz" year "2005" manufacturer "JAKKS Pacific Inc / Handheld Games" desc "Dragon Ball Z (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dchp" year "200?" manufacturer "JAKKS Pacific Inc" desc "DC Super Heroes The Watchtower Hero Portal" devices ())
(name "jak_ddhp" year "200?" manufacturer "JAKKS Pacific Inc" desc "DreamWorks Dragons Hero Portal" devices ())
(name "jak_disf" year "2005" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Disney Friends (JAKKS Pacific TV Game, Game-Key Ready) (17 MAY 2005 A)" devices ((name "cartridge" briefname "cart" )))
(name "jak_disn" year "2005" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Disney (JAKKS Pacific TV Game, Game-Key Ready) (08 FEB 2005 A)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dora" year "2005" manufacturer "JAKKS Pacific Inc / Handheld Games" desc "Dora the Explorer - Nursery Rhyme Adventure (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dorr" year "2005" manufacturer "JAKKS Pacific Inc / Handheld Games" desc "Dora the Explorer - Race to Play Park (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dpr" year "2005" manufacturer "JAKKS Pacific Inc / 5000ft, Inc" desc "Disney Princess (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dprs" year "2005" manufacturer "JAKKS Pacific Inc / 5000ft, Inc" desc "Disney Princesses (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_duck" year "2013" manufacturer "JAKKS Pacific Inc / Merge Interactive" desc "Duck Commander (JAKKS Pacific TV Game)" devices ())
(name "jak_dwmn" year "2006" manufacturer "JAKKS Pacific Inc / Amaze Entertainment" desc "Dreamworks Movie Night (JAKKS Pacific TV Game, Oct 18 2006, prototype)" devices ((name "cartridge" briefname "cart" )))
(name "jak_dwmno" year "2006" manufacturer "JAKKS Pacific Inc / Amaze Entertainment" desc "Dreamworks Movie Night (JAKKS Pacific TV Game, Apr 24 2006, test program)" devices ((name "cartridge" briefname "cart" )))
(name "jak_fan4" year "2005" manufacturer "JAKKS Pacific Inc / Digital Eclipse" desc "Fantastic Four (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_gtg" year "2011" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Golden Tee Golf (JAKKS Pacific TV Game)" devices ())
(name "jak_hmg2" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Hannah Montana G2 Deluxe - All in One (JAKKS Pacific TV Game)" devices ())
(name "jak_hmhsm" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Hannah Montana G2 Deluxe / High School Musical G2 Deluxe - Two in One (JAKKS Pacific TV Game)" devices ())
(name "jak_hmpt" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Hannah Montana Pop Tour - Guitar Video Game (JAKKS Pacific TV Game) (May 16 2008)" devices ())
(name "jak_hsmg2" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "High School Musical G2 Deluxe - All in One (JAKKS Pacific TV Game)" devices ())
(name "jak_just" year "2005" manufacturer "JAKKS Pacific Inc / Taniko" desc "Justice League (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_mk" year "2004" manufacturer "JAKKS Pacific Inc / Digital Eclipse" desc "Mortal Kombat (JAKKS Pacific TV Game)" devices ())
(name "jak_mpac" year "2005" manufacturer "JAKKS Pacific Inc / Namco / HotGen Ltd" desc "Ms. Pac-Man 5-in-1 (Ms. Pac-Man, Pole Position, Galaga, Xevious, Mappy) (JAKKS Pacific TV Game, Game-Key Ready) (07 FEB 2005 A SKU F)" devices ((name "cartridge" briefname "cart" )))
(name "jak_mpacw" year "2004" manufacturer "JAKKS Pacific Inc / Namco / HotGen Ltd" desc "Ms. Pac-Man 7-in-1 (Wireless) (Ms. Pac-Man, Pole Position, Galaga, Xevious, Mappy, New Rally X, Bosconian) (18 AUG 2004 A)" devices ())
(name "jak_nick" year "2004" manufacturer "JAKKS Pacific Inc / Handheld Games" desc "Nicktoons (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_pf" year "2010" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Phineas and Ferb: Best Game Ever! (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_pooh" year "2005" manufacturer "JAKKS Pacific Inc / Backbone Entertainment" desc "Winnie the Pooh - Piglet's Special Day (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_prft" year "2009" manufacturer "JAKKS Pacific Inc / Santa Cruz Games" desc "Power Rangers Force In Time (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_prhp" year "200?" manufacturer "JAKKS Pacific Inc" desc "Power Rangers Super Megaforce Hero Portal" devices ())
(name "jak_s500" year "2009" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "SpongeBob SquarePants Bikini Bottom 500 (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_sbfc" year "2005" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "SpongeBob SquarePants - The Fry Cook Games (JAKKS Pacific TV Game, Game-Key Ready) (AUG 18 2005 21:31:56)" devices ((name "cartridge" briefname "cart" )))
(name "jak_sbjd" year "2007" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "SpongeBob SquarePants Jellyfish Dodge (JAKKS Pacific TV Game) (Apr 5 2007)" devices ())
(name "jak_sdoo" year "2005" manufacturer "JAKKS Pacific Inc / Jolliford Management" desc "Scooby-Doo! and the Mystery of the Castle (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_sith" year "2005" manufacturer "JAKKS Pacific Inc / Griptonite Games" desc "Star Wars - Revenge of the Sith (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_sithp" year "2005" manufacturer "JAKKS Pacific Inc / Griptonite Games" desc "Star Wars - Revenge of the Sith (JAKKS Pacific TV Game, Game-Key Ready, prototype)" devices ((name "cartridge" briefname "cart" )))
(name "jak_smwm" year "2009" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Spider-Man Web Master (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_spdm" year "2004" manufacturer "JAKKS Pacific Inc / Digital Eclipse" desc "Spider-Man (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_spdmo" year "2004" manufacturer "JAKKS Pacific Inc / Digital Eclipse" desc "Spider-Man (JAKKS Pacific TV Game) (older hardware, set 1)" devices ())
(name "jak_spdmoa" year "2004" manufacturer "JAKKS Pacific Inc / Digital Eclipse" desc "Spider-Man (JAKKS Pacific TV Game) (older hardware, set 2)" devices ())
(name "jak_sspop" year "2009" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Sing Scene Pop (JAKKS Pacific TV Game)" devices ())
(name "jak_swbstrik" year "200?" manufacturer "JAKKS Pacific Inc" desc "Star Wars Blaster Strike" devices ())
(name "jak_swc" year "2013" manufacturer "JAKKS Pacific Inc / Merge Interactive" desc "Star Wars Clone Trooper (JAKKS Pacific TV Game)" devices ())
(name "jak_swot" year "2006" manufacturer "JAKKS Pacific Inc / Amaze Entertainment" desc "Star Wars - Original Trilogy (JAKKS Pacific TV Game, prototype)" devices ((name "cartridge" briefname "cart" )))
(name "jak_ths" year "2009" manufacturer "JAKKS Pacific Inc / Super Happy Fun Fun" desc "Triple Header Sports (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_tink" year "2009" manufacturer "JAKKS Pacific Inc / Santa Cruz Games" desc "Tinker Bell and the Lost Treasure (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_tmnthp" year "200?" manufacturer "JAKKS Pacific Inc" desc "Teenage Mutant Ninja Turtles Hero Portal" devices ())
(name "jak_totm" year "200?" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Toy Story - Toys on the Move (JAKKS Pacific TV Motion Game)" devices ())
(name "jak_tsm" year "2010" manufacturer "JAKKS Pacific Inc / Schell Games" desc "Toy Story Mania (JAKKS Pacific TV Game)" devices ())
(name "jak_umdf" year "2008" manufacturer "JAKKS Pacific Inc / Handheld Games" desc "Ultimotion - Disney Fairies Sleeping Beauty & TinkerBell (JAKKS Pacific TV Game)" devices ())
(name "jak_wall" year "2008" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Wall-E (JAKKS Pacific TV Game) (Dec 18 2007 11:34:25)" devices ())
(name "jak_wdbg" year "2014" manufacturer "JAKKS Pacific Inc / Super Happy Fun Fun" desc "The Walking Dead: Battleground (JAKKS Pacific TV Game)" devices ())
(name "jak_wdzh" year "2012" manufacturer "JAKKS Pacific Inc / Merge Interactive" desc "The Walking Dead: Zombie Hunter (JAKKS Pacific TV Game)" devices ())
(name "jak_wof" year "2005" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "Wheel of Fortune (JAKKS Pacific TV Game, Game-Key Ready) (Jul 11 2005 ORIG)" devices ((name "cartridge" briefname "cart" )))
(name "jak_wwe" year "2005" manufacturer "JAKKS Pacific Inc / HotGen Ltd" desc "WWE (JAKKS Pacific TV Game, Game-Key Ready)" devices ((name "cartridge" briefname "cart" )))
(name "jak_xmenp" year "2005" manufacturer "JAKKS Pacific Inc / Amaze Entertainment" desc "X-Men - Mutant Reign (JAKKS Pacific TV Game, prototype)" devices ((name "cartridge" briefname "cart" )))
(name "jakms41" year "199?" manufacturer "Jamicon" desc "KM-S4-1 VER 1.1" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "jambo" year "1999" manufacturer "Sega" desc "Jambo! Safari (Rev A)" devices ())
(name "jamesb" year "1980" manufacturer "Gottlieb" desc "James Bond (Timed Play)" devices ())
(name "jamesb2" year "1980" manufacturer "Gottlieb" desc "James Bond (3/5-Ball)" devices ())
(name "jaminator" year "1990" manufacturer "Noise Toys Inc." desc "Jaminator" devices ((name "cartridge" briefname "cart" )))
(name "janbari" year "1992" manufacturer "Nichibutsu / Yubis / AV Japan" desc "Mahjong Janjan Baribari (Japan)" devices ())
(name "jangou" year "1983" manufacturer "Nichibutsu" desc "Jangou (Japan)" devices ())
(name "jangtaku" year "1986" manufacturer "Dyna Computer" desc "Jang Taku (V 1.3)" devices ())
(name "janjans1" year "1996" manufacturer "Visco" desc "Lovely Pop Mahjong JangJang Shimasho (Japan)" devices ())
(name "janjans2" year "2000" manufacturer "Visco" desc "Lovely Pop Mahjong JangJang Shimasho 2 (Japan)" devices ())
(name "jankenmn" year "1991" manufacturer "Sunwise" desc "Janken Man Kattara Ageru" devices ())
(name "janoh" year "1984" manufacturer "Toaplan" desc "Jan Oh (set 1)" devices ())
(name "janoha" year "1984" manufacturer "Toaplan" desc "Jan Oh (set 2)" devices ())
(name "janptr96" year "1996" manufacturer "Dynax" desc "Janputer '96 (Japan)" devices ())
(name "janptrsp" year "1997" manufacturer "Dynax" desc "Janputer Special (Japan)" devices ())
(name "janputer" year "1981" manufacturer "bootleg (Paradise Denshi Ltd. / Mes)" desc "New Double Bet Mahjong (bootleg of Royal Mahjong)" devices ())
(name "janshi" year "1992" manufacturer "Eagle" desc "Janshi" devices ())
(name "janshin" year "1994" manufacturer "Aicom" desc "Janshin Densetsu - Quest of Jongmaster" devices ((name "memcard" briefname "memc" ) ()))
(name "janshinp" year "1996" manufacturer "Dynax / Sigma" desc "Mahjong Janshin Plus (Japan)" devices ())
(name "jansou" year "1985" manufacturer "Dyna Computer" desc "Jansou (set 1)" devices ())
(name "jansoua" year "1985" manufacturer "Dyna Computer" desc "Jansou (V 1.1)" devices ())
(name "jantotsu" year "1983" manufacturer "Sanritsu" desc "4nin-uchi Mahjong Jantotsu" devices ())
(name "jantouki" year "1990" manufacturer "Dynax" desc "Jong Tou Ki (Japan)" devices ())
(name "janyoup2" year "1983" manufacturer "Cosmo Denshi" desc "Janyou Part II (ver 7.03, July 1 1983)" devices ())
(name "janyuki" year "1988" manufacturer "Dynax" desc "Jong Yu Ki (Japan)" devices ())
(name "jarajal" year "2003" manufacturer "Takara / SSD Company LTD" desc "Jara-Ja Land (Japan, home version)" devices ())
(name "jb3000" year "1982" manufacturer "Panasonic" desc "JB-3000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "printout" briefname "prin" )))
(name "jb_04a" year "1995" manufacturer "Williams" desc "Jack*Bot (0.4A prototype)" devices ())
(name "jb_10b" year "1995" manufacturer "Williams" desc "Jack*Bot (1.0B) (Belgium/Canada)" devices ())
(name "jb_10r" year "1995" manufacturer "Williams" desc "Jack*Bot (1.0R)" devices ())
(name "jbell" year "1997" manufacturer "IGS" desc "Jingle Bell (v200US)" devices ())
(name "jbell133i" year "1995?" manufacturer "IGS" desc "Jingle Bell (Italy, V133I)" devices ())
(name "jbell141ue" year "1995" manufacturer "IGS" desc "Jingle Bell (EU, V141UE)" devices ())
(name "jbell153ue" year "1997" manufacturer "IGS" desc "Jingle Bell (EU, V153UE)" devices ())
(name "jbell155ue" year "1997" manufacturer "IGS" desc "Jingle Bell (EU, V155UE)" devices ())
(name "jbell157us" year "1997" manufacturer "IGS" desc "Jingle Bell (US, V157US)" devices ())
(name "jchan" year "1995" manufacturer "Kaneko" desc "Jackie Chan - The Kung-Fu Master (rev 4?)" devices ())
(name "jchan2" year "1995" manufacturer "Kaneko" desc "Jackie Chan in Fists of Fire" devices ())
(name "jchana" year "1995" manufacturer "Kaneko" desc "Jackie Chan - The Kung-Fu Master (rev 3?)" devices ())
(name "jclub2bl" year "1997" manufacturer "bootleg" desc "Jockey Club II (USA v4.00, bootleg)" devices ())
(name "jclub2v100" year "1994" manufacturer "Seta" desc "Jockey Club II (v1.00, older hardware)" devices ())
(name "jclub2v101" year "1995" manufacturer "Seta" desc "Jockey Club II (v1.01, older hardware)" devices ())
(name "jclub2v110" year "1996" manufacturer "Seta" desc "Jockey Club II (v1.10X, older hardware)" devices ())
(name "jclub2v112" year "1996" manufacturer "Seta" desc "Jockey Club II (v1.12X, older hardware)" devices ())
(name "jclub2v200" year "1996" manufacturer "Seta" desc "Jockey Club II (v2.00, newer hardware)" devices ())
(name "jclub2v201" year "1996" manufacturer "Seta" desc "Jockey Club II (v2.01X, newer hardware)" devices ())
(name "jclub2v203" year "1997" manufacturer "Seta" desc "Jockey Club II (v2.03X RC, older hardware, prototype)" devices ())
(name "jclub2v204" year "1997" manufacturer "Seta" desc "Jockey Club II (v2.04, newer hardware)" devices ())
(name "jclub2v205" year "1997" manufacturer "Seta" desc "Jockey Club II (v2.05, newer hardware)" devices ())
(name "jclub2v220" year "1998" manufacturer "Seta" desc "Jockey Club II (v2.20X, newer hardware)" devices ())
(name "jcross" year "1984" manufacturer "SNK" desc "Jumping Cross (set 1)" devices ())
(name "jcrossa" year "1984" manufacturer "SNK" desc "Jumping Cross (set 2)" devices ())
(name "jd800" year "1991" manufacturer "Roland" desc "JD-800 Programmable Synthesizer" devices ())
(name "jd_l1" year "1993" manufacturer "Bally" desc "Judge Dredd (L-1)" devices ())
(name "jd_l4" year "1993" manufacturer "Bally" desc "Judge Dredd (L-4)" devices ())
(name "jd_l5" year "1993" manufacturer "Bally" desc "Judge Dredd (L-5)" devices ())
(name "jd_l6" year "1993" manufacturer "Bally" desc "Judge Dredd (L-6)" devices ())
(name "jd_l7" year "1993" manufacturer "Bally" desc "Judge Dredd (L-7)" devices ())
(name "jdredd" year "1996" manufacturer "Acclaim" desc "Judge Dredd (Rev C Dec. 17 1997)" devices ((name "harddisk" briefname "hard" )))
(name "jdreddb" year "1996" manufacturer "Acclaim" desc "Judge Dredd (Rev B Nov. 26 1997)" devices ((name "harddisk" briefname "hard" )))
(name "jdreddp" year "1993" manufacturer "Midway" desc "Judge Dredd (rev TA1 7/12/92, location test)" devices ())
(name "jedi" year "1984" manufacturer "Atari" desc "Return of the Jedi" devices ())
(name "jefffox" year "2003" manufacturer "Aristocrat" desc "You Might Be A Redneck If... - Jeff Foxworthy (0351068, US)" devices ())
(name "jesterch" year "1987" manufacturer "Tranex Australia Pty Ltd." desc "Jester Chance (dual 6809 GI Australasia PCB)" devices ())
(name "jestmagi" year "200?" manufacturer "Konami" desc "Jester Magic (Konami Endeavour, Russia)" devices ())
(name "jet" year "1990" manufacturer "Electromagnetica" desc "JET" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "jetfight" year "1975" manufacturer "Atari" desc "Jet Fighter/Jet Fighter Cocktail/Launch Aircraft (set 1)" devices ())
(name "jetfighta" year "1975" manufacturer "Atari" desc "Jet Fighter/Jet Fighter Cocktail/Launch Aircraft (set 2)" devices ())
(name "jetwave" year "1996" manufacturer "Konami" desc "Jet Wave (EAB, Euro v1.04)" devices ())
(name "jetwavej" year "1996" manufacturer "Konami" desc "Jet Wave (JAB, Japan v1.04)" devices ())
(name "jeuint" year "2007" manufacturer "Taikee / V-Tac" desc "Jeu Intéractif TV (France)" devices ())
(name "jewelcm" year "2003" manufacturer "Aristocrat" desc "Jewel of the Enchantress - Mr. Cashman (0151051, US)" devices ())
(name "jgakuen" year "1997" manufacturer "Capcom" desc "Shiritsu Justice Gakuen: Legion of Heroes (Japan 971216)" devices ())
(name "jgakuen1" year "1997" manufacturer "Capcom" desc "Shiritsu Justice Gakuen: Legion of Heroes (Japan 971117)" devices ())
(name "jigkmgri" year "1988" manufacturer "Taito Corporation" desc "Jigoku Meguri (Japan, rev 1)" devices ())
(name "jigkmgria" year "1988" manufacturer "Taito Corporation" desc "Jigoku Meguri (Japan)" devices ())
(name "jin" year "1982" manufacturer "Falcon" desc "Jin" devices ())
(name "jingling" year "2000" manufacturer "IBS Co. Ltd" desc "Jingling Jiazu Genie 2000" devices ())
(name "jingystm" year "2006" manufacturer "Atrativa Japan" desc "Jingi Storm - The Arcade (Japan) (GDL-0037)" devices ((name "cdrom" briefname "cdrm" )))
(name "jitsupro" year "1989" manufacturer "Jaleco" desc "Jitsuryoku!! Pro Yakyuu (Japan)" devices ())
(name "jituroku" year "1993" manufacturer "Windom" desc "Jitsuroku Maru-chi Mahjong (Japan)" devices ())
(name "jjack" year "1984" manufacturer "Universal" desc "Jumping Jack" devices ())
(name "jjparad2" year "1997" manufacturer "Electro Design" desc "Jan Jan Paradise 2" devices ())
(name "jjparads" year "1996" manufacturer "Electro Design" desc "Jan Jan Paradise" devices ())
(name "jjpoker" year "1983" manufacturer "Enter-Tech, Ltd." desc "Jackpot Joker Poker (set 1)" devices ())
(name "jjpokerb" year "1983" manufacturer "Enter-Tech, Ltd." desc "Jackpot Joker Poker (set 2)" devices ())
(name "jjsquawk" year "1993" manufacturer "Athena / Able" desc "J. J. Squawkers" devices ())
(name "jjsquawkb" year "1999" manufacturer "bootleg" desc "J. J. Squawkers (bootleg)" devices ())
(name "jjsquawkb2" year "1999" manufacturer "bootleg" desc "J. J. Squawkers (bootleg, Blandia Conversion)" devices ())
(name "jjsquawko" year "1993" manufacturer "Athena / Able" desc "J. J. Squawkers (older)" devices ())
(name "jjstrip" year "200?" manufacturer "Shiggles Inc." desc "Club Jenna Presents: Jenna Jameson's Strip Poker" devices ())
(name "jking02" year "200?" manufacturer "IGS" desc "Jungle King 2002 (V209US)" devices ())
(name "jkrmast" year "1998" manufacturer "Pick-A-Party USA" desc "Joker Master 2000 Special Edition (V515)" devices ())
(name "jkrmasta" year "1998" manufacturer "Pick-A-Party USA" desc "Joker Master 2000 Special Edition (V512)" devices ())
(name "jl2050" year "200?" manufacturer "LexiBook / JungleTac / NiceCode" desc "Cyber Console Center 200-in-1 (JL2050)" devices ())
(name "jlasvegas" year "198?" manufacturer "Jeutel" desc "Las Vegas (Jeutel, set 1)" devices ())
(name "jlasvegasa" year "198?" manufacturer "Jeutel" desc "Las Vegas (Jeutel, set 2)" devices ())
(name "jleague" year "1994" manufacturer "Sega" desc "The J.League 1994 (Japan, Rev A)" devices ())
(name "jleagueo" year "1994" manufacturer "Sega" desc "The J.League 1994 (Japan)" devices ())
(name "jm_05r" year "1995" manufacturer "Williams" desc "Johnny Mnemonic (0.5R)" devices ())
(name "jm_12b" year "1995" manufacturer "Williams" desc "Johnny Mnemonic (1.2B) Belgium" devices ())
(name "jm_12r" year "1995" manufacturer "Williams" desc "Johnny Mnemonic (1.2R)" devices ())
(name "jmpbreak" year "1999" manufacturer "F2 System" desc "Jumping Break (set 1)" devices ())
(name "jmpbreaka" year "1999" manufacturer "F2 System" desc "Jumping Break (set 2)" devices ())
(name "jnero" year "2004" manufacturer "ICE/Play Mechanix" desc "Johnny Nero Action Hero (v01.01.08)" devices ((name "harddisk" briefname "hard" )))
(name "jngld_l1" year "1981" manufacturer "Williams" desc "Jungle Lord (L-1)" devices ())
(name "jngld_l2" year "1981" manufacturer "Williams" desc "Jungle Lord (L-2)" devices ())
(name "jngolady" year "1984" manufacturer "Nichibutsu" desc "Jangou Lady (Japan)" devices ())
(name "jockeyc" year "1990" manufacturer "Seta (Visco license)" desc "Jockey Club (v1.18)" devices ())
(name "jockeygp" year "2001" manufacturer "Sun Amusement / BrezzaSoft" desc "Jockey Grand Prix (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "jockeygpa" year "2001" manufacturer "Sun Amusement / BrezzaSoft" desc "Jockey Grand Prix (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "joemac" year "1991" manufacturer "Data East Corporation" desc "Tatakae Genshizin Joe & Mac (Japan ver 1)" devices ())
(name "joemacr" year "1994" manufacturer "Data East Corporation" desc "Joe & Mac Returns (World, Version 1.1, 1994.05.27)" devices ())
(name "joemacra" year "1994" manufacturer "Data East Corporation" desc "Joe & Mac Returns (World, Version 1.0, 1994.05.19)" devices ())
(name "joemacrj" year "1994" manufacturer "Data East Corporation" desc "Joe & Mac Returns (Japan, Version 1.2, 1994.06.06)" devices ())
(name "jogakuen" year "1992?" manufacturer "Windom" desc "Mahjong Jogakuen (Japan)" devices ())
(name "joinem" year "1983" manufacturer "Global Corporation" desc "Joinem" devices ())
(name "jojo" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Europe 990128)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoa" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 990128)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoar1" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 990108)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoar2" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 981202)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoba" year "1999" manufacturer "Capcom" desc "JoJo's Bizarre Adventure (Europe 991015, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobajr1" year "1999" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken: Mirai e no Isan (Japan 990927)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobajr2" year "1999" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken: Mirai e no Isan (Japan 990913)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoban" year "1999" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken: Mirai e no Isan (Japan 991015, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobaner1" year "1999" manufacturer "Capcom" desc "JoJo's Bizarre Adventure (Europe 990927, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobaner2" year "1999" manufacturer "Capcom" desc "JoJo's Bizarre Adventure (Europe 990913, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobanr1" year "1999" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken: Mirai e no Isan (Japan 990927, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobanr2" year "1999" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken: Mirai e no Isan (Japan 990913, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobar1" year "1999" manufacturer "Capcom" desc "JoJo's Bizarre Adventure (Europe 990927)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojobar2" year "1999" manufacturer "Capcom" desc "JoJo's Bizarre Adventure (Europe 990913)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojoj" year "1998" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken (Japan 990128)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojojr1" year "1998" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken (Japan 990108)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojojr2" year "1998" manufacturer "Capcom" desc "JoJo no Kimyou na Bouken (Japan 981202)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojon" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 990128, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojonr1" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 990108, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojonr2" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Asia 981202, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojor1" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Europe 990108)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojor2" year "1998" manufacturer "Capcom" desc "JoJo's Venture (Europe 981202)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojou" year "1998" manufacturer "Capcom" desc "JoJo's Venture (USA 990128)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojour1" year "1998" manufacturer "Capcom" desc "JoJo's Venture (USA 990108)" devices ((name "cdrom" briefname "cdrm" )))
(name "jojour2" year "1998" manufacturer "Capcom" desc "JoJo's Venture (USA 981202)" devices ((name "cdrom" briefname "cdrm" )))
(name "jokcrdep" year "1991" manufacturer "Fun World" desc "Joker Card / Multi Card (Epoxy brick CPU)" devices ())
(name "jokercar" year "199?" manufacturer "<unknown>" desc "Joker Card (witch game)" devices ())
(name "jokercrd" year "1993" manufacturer "Amatic Trading" desc "Joker Card 300 (Ver.A267BC, encrypted)" devices ())
(name "jokpoker" year "1982" manufacturer "Greyhound Electronics" desc "Joker Poker (Version 16.03B)" devices ())
(name "jokpokera" year "1983" manufacturer "Greyhound Electronics" desc "Joker Poker (Version 16.03BI 5-10-85, Joker Poker ICB 9-30-86)" devices ())
(name "jokpokerb" year "1983" manufacturer "Greyhound Electronics" desc "Joker Poker (Version 16.04BI 10-19-88, Joker Poker ICB 9-30-86)" devices ())
(name "jokpokerc" year "1983" manufacturer "Greyhound Electronics" desc "Joker Poker (Version 16.03BI 5-10-85, Poker No Raise ICB 9-30-86)" devices ())
(name "jokrlady" year "1995?" manufacturer "Videos A A" desc "Joker Lady" devices ())
(name "jokrpokr" year "1978" manufacturer "Gottlieb" desc "Joker Poker" devices ())
(name "jokrwild" year "1988" manufacturer "Sigma" desc "Joker's Wild (encrypted)" devices ())
(name "jokrz_g4" year "1989" manufacturer "Williams" desc "Jokerz! (G-4)" devices ())
(name "jokrz_l3" year "1989" manufacturer "Williams" desc "Jokerz! (L-3)" devices ())
(name "jokrz_l6" year "1989" manufacturer "Williams" desc "Jokerz! (L-6)" devices ())
(name "jollycrd" year "1985" manufacturer "TAB Austria" desc "Jolly Card (German, set 1)" devices ())
(name "jollycrda" year "1985" manufacturer "TAB Austria" desc "Jolly Card (German, set 2)" devices ())
(name "jollyjgr" year "1982" manufacturer "Taito Corporation" desc "Jolly Jogger" devices ())
(name "jolyc3x3" year "1985" manufacturer "TAB Austria" desc "Jolly Card (3x3 deal)" devices ())
(name "jolyc980" year "2000" manufacturer "Spale Soft" desc "Jolly Card Professional 2.0 (Spale Soft)" devices ())
(name "jolyccra" year "1985" manufacturer "TAB Austria" desc "Jolly Card (Croatian, set 1)" devices ())
(name "jolyccrb" year "1993" manufacturer "Soft Design" desc "Jolly Card (Croatian, set 2)" devices ())
(name "jolycdab" year "1986" manufacturer "Inter Games" desc "Jolly Card (German, Fun World, bootleg)" devices ())
(name "jolycdcy" year "1993" manufacturer "bootleg (Cleco)" desc "Zabavni Karti (Bulgarian, cyrillic, encrypted)" devices ())
(name "jolycdev" year "1998" manufacturer "TAB Austria / Evona Electronic" desc "Jolly Card (Evona Electronic)" devices ())
(name "jolycdib" year "1990" manufacturer "bootleg" desc "Jolly Card (Italian, encrypted bootleg, set 1)" devices ())
(name "jolycdic" year "1993" manufacturer "bootleg" desc "Jolly Card (Italian, encrypted bootleg, set 2)" devices ())
(name "jolycdid" year "1990" manufacturer "bootleg" desc "Jolly Card (Italian, different colors, set 1)" devices ())
(name "jolycdie" year "1990" manufacturer "bootleg" desc "Jolly Card (Italian, different colors, set 2)" devices ())
(name "jolycdif" year "1990" manufacturer "bootleg" desc "Jolly Card (Italian, bootleg, set 1)" devices ())
(name "jolycdig" year "1993" manufacturer "bootleg" desc "Jolly Card (Italian, bootleg, set 2)" devices ())
(name "jolycdih" year "1990" manufacturer "bootleg" desc "Jolly Card (Italian, bootleg, set 3)" devices ())
(name "jolycdii" year "1993" manufacturer "bootleg (Cleco)" desc "Jolly Card (Italian, encrypted bootleg, set 3)" devices ())
(name "jolycdit" year "199?" manufacturer "bootleg" desc "Jolly Card (Italian, blue TAB board, encrypted)" devices ())
(name "jolycdsp" year "1992" manufacturer "TAB Austria" desc "Jolly Card (Spanish, blue TAB board, encrypted)" devices ())
(name "jolycmzs" year "1993" manufacturer "MZS Tech" desc "Jolly Card Professional 2.0 (MZS Tech)" devices ())
(name "jolygame" year "1993" manufacturer "bootleg" desc "Jolly Game (V1, Otti Karl logo)" devices ())
(name "jolyjokr" year "199?" manufacturer "Impera" desc "Jolly Joker (98bet, set 1)" devices ())
(name "jolyjokra" year "199?" manufacturer "Impera" desc "Jolly Joker (98bet, set 2)" devices ())
(name "jolyjokrb1" year "199?" manufacturer "Impera" desc "Jolly Joker (40bet, higher paytable)" devices ())
(name "jolyjokrb2" year "199?" manufacturer "Impera" desc "Jolly Joker (40bet, lower paytable)" devices ())
(name "jolyjokrc" year "199?" manufacturer "Apple Time" desc "Jolly Joker (Apple Time)" devices ())
(name "jolyjokrm" year "199?" manufacturer "Impera" desc "Jolly Joker (Solid State module in suicide board)" devices ())
(name "jolyjokro" year "199?" manufacturer "Impera" desc "Jolly Joker (original program, interleaved GFX, Impera logo)" devices ())
(name "jolyjokrp" year "199?" manufacturer "Impera" desc "Jolly Joker (original program, interleaved GFX, no logo)" devices ())
(name "jolyjokrs" year "199?" manufacturer "Impera" desc "Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 1)" devices ())
(name "jolyjokrt" year "199?" manufacturer "Impera" desc "Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 2)" devices ())
(name "jolypark" year "1996" manufacturer "Spinball" desc "Jolly Park" devices ())
(name "jongbou" year "1987" manufacturer "SNK" desc "Mahjong Block Jongbou (Japan)" devices ())
(name "jongbou2" year "1987" manufacturer "SNK" desc "Mahjong Block Jongbou 2 (Japan)" devices ())
(name "jongkyo" year "1985" manufacturer "Kiwako" desc "Jongkyo" devices ())
(name "jongpute" year "1981" manufacturer "Alpha Denshi Co." desc "Jongputer" devices ())
(name "jongshin" year "1986" manufacturer "Dyna Electronics" desc "Jong Shin (Japan)" devices ())
(name "jongtei" year "1999" manufacturer "Dynax" desc "Mahjong Jong-Tei (Japan, NM532-01)" devices ())
(name "jongteia" year "2000" manufacturer "Dynax (Techno-Top license)" desc "Mahjong Jong-Tei (Japan, Techno-Top license)" devices ())
(name "jonos" year "198?" manufacturer "Jonos" desc "Escort" devices ())
(name "jopac" year "1983" manufacturer "Philips (Brandt license)" desc "Jopac JO7400 (France)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "jorn720" year "2000" manufacturer "Hewlett Packard" desc "Jornada 720" devices ())
(name "josvolly" year "1983" manufacturer "Allumer / Taito Corporation" desc "Joshi Volleyball" devices ())
(name "jouet" year "200?" manufacturer "<unknown>" desc "10 Jeux Interactifs / Jeux Pour Filles (France)" devices ())
(name "journey" year "1983" manufacturer "Bally Midway" desc "Journey" devices ())
(name "joust" year "1982" manufacturer "Williams" desc "Joust (Green label)" devices ())
(name "joust2" year "1986" manufacturer "Williams" desc "Joust 2 - Survival of the Fittest (revision 2)" devices ())
(name "joust2r1" year "1986" manufacturer "Williams" desc "Joust 2 - Survival of the Fittest (revision 1)" devices ())
(name "joustr" year "1982" manufacturer "Williams" desc "Joust (Red label)" devices ())
(name "jousty" year "1982" manufacturer "Williams" desc "Joust (Yellow label)" devices ())
(name "joyfulr" year "1983" manufacturer "SNK" desc "Joyful Road (Japan)" devices ())
(name "joyjoy" year "1990" manufacturer "SNK" desc "Puzzled / Joy Joy Kid (NGM-021 ~ NGH-021)" devices ((name "memcard" briefname "memc" ) ()))
(name "joyman" year "1982" manufacturer "hack" desc "Joyman" devices ())
(name "joypad65" year "200?" manufacturer "WinFun / JungleTac" desc "Joypad 65" devices ())
(name "joystand" year "1997" manufacturer "Yuvo" desc "Joy Stand Private" devices ())
(name "joysti30" year "200?" manufacturer "WinFun / JungleTac" desc "Joystick 30" devices ())
(name "jpark" year "1993" manufacturer "Sega" desc "Jurassic Park (World, Rev A)" devices ())
(name "jpark3" year "2001" manufacturer "Konami" desc "Jurassic Park III (ver EBC)" devices ((name "harddisk" briefname "hard" )))
(name "jpark3u" year "2001" manufacturer "Konami" desc "Jurassic Park III (ver UBC)" devices ((name "harddisk" briefname "hard" )))
(name "jparkj" year "1993" manufacturer "Sega" desc "Jurassic Park (Japan, Rev A, Deluxe)" devices ())
(name "jparkja" year "1993" manufacturer "Sega" desc "Jurassic Park (Japan, Deluxe)" devices ())
(name "jparkjc" year "1993" manufacturer "Sega" desc "Jurassic Park (Japan, Rev A, Conversion)" devices ())
(name "jparkmb" year "1993" manufacturer "bootleg / Sega" desc "Jurassic Park (bootleg of Mega Drive version)" devices ())
(name "jpcoin" year "1985" manufacturer "Coinmaster" desc "Joker Poker (Coinmaster set 1)" devices ())
(name "jpcoin2" year "1990" manufacturer "Coinmaster" desc "Joker Poker (Coinmaster, Amusement Only)" devices ())
(name "jpinball" year "1986" manufacturer "Joctronic" desc "Pin Ball" devices ())
(name "jpjcoin" year "1988" manufacturer "<unknown>" desc "Jackpot Joker Poker (Version 88V 01)" devices ())
(name "jplstw20" year "1997" manufacturer "Sega" desc "The Lost World: Jurassic Park (pinball, CPU 2.00, display A2.01)" devices ())
(name "jplstw22" year "1997" manufacturer "Sega" desc "The Lost World: Jurassic Park (pinball, CPU 2.02, display A2.01)" devices ())
(name "jpopira" year "2004" manufacturer "Takara / SSD Company LTD" desc "Jumping Popira (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "jpopnics" year "1992" manufacturer "Nics" desc "Jumping Pop (Nics, Korean hack of Plump Pop)" devices ())
(name "jppyex98" year "1998" manufacturer "Konami" desc "Jikkyou Pawafuru Puro Yakyu EX '98 (GC811 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "jptparty" year "1998" manufacturer "WMS" desc "Jackpot Party (Russian)" devices ())
(name "jr100" year "1981" manufacturer "National" desc "JR-100" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "jr100u" year "1981" manufacturer "Panasonic" desc "JR-100U" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "jr200" year "1982" manufacturer "National" desc "JR-200" devices ())
(name "jr200u" year "1982" manufacturer "Panasonic" desc "JR-200U" devices ())
(name "jrking" year "1982" manufacturer "bootleg" desc "Junior King (bootleg of Donkey Kong Jr.)" devices ())
(name "jrpacman" year "1983" manufacturer "Bally Midway" desc "Jr. Pac-Man (11/9/83)" devices ())
(name "jrpacmanf" year "1983" manufacturer "hack" desc "Jr. Pac-Man (speedup hack)" devices ())
(name "jrpacmbl" year "1983" manufacturer "bootleg" desc "Jr. Pac-Man (Pengo hardware, bootleg)" devices ())
(name "jsc_dora" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Handheld Games" desc "Dora the Explorer - Dora Saves the Mermaids (Sharp Cookie) (PAL, UK)" devices ())
(name "jsc_gdg" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Pronto Games" desc "Go Diego Go! - Aztec ABC Adventure (Sharp Cookie) (PAL, UK)" devices ())
(name "jsc_sdoo" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Handheld Games" desc "Scooby-Doo! and The Pirate's Puzzles (Sharp Cookie) (PAL, UK)" devices ())
(name "jsc_spid" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Pronto Games" desc "The Amazing Spider-Man - Great Math Caper (Sharp Cookie) (NTSC, US)" devices ())
(name "jsc_thom" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Pronto Games" desc "Thomas & Friends - Learning Circus Express (Sharp Cookie) (PAL, UK)" devices ())
(name "jsc_thomu" year "2007" manufacturer "JAKKS Pacific Inc / Child Guidance / Pronto Games" desc "Thomas & Friends - Learning Circus Express (Sharp Cookie) (NTSC, US)" devices ())
(name "jsk" year "1997" manufacturer "Visco" desc "Joryuu Syougi Kyoushitsu (Japan)" devices ())
(name "jspecter" year "1979" manufacturer "bootleg (Jatre)" desc "Jatre Specter (set 1)" devices ())
(name "jspecter2" year "1979" manufacturer "bootleg (Jatre)" desc "Jatre Specter (set 2)" devices ())
(name "jst_l1" year "1983" manufacturer "Williams" desc "Joust (L-1)" devices ())
(name "jst_l2" year "1983" manufacturer "Williams" desc "Joust (L-2)" devices ())
(name "jt104" year "1987" manufacturer "UPL (United Amusements license)" desc "JT 104 / NinjaKun Ashura no Shou" devices ())
(name "jtc" year "1987" manufacturer "Jugend+Technik" desc "CompJU+TEr" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "quickload" briefname "quik" )))
(name "jtces23" year "1989" manufacturer "Jugend+Technik" desc "CompJU+TEr (ES 2.3)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "quickload" briefname "quik" )))
(name "jtces40" year "1990" manufacturer "Jugend+Technik" desc "CompJU+TEr (ES 4.0)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "quickload" briefname "quik" )))
(name "jtces88" year "1988" manufacturer "Jugend+Technik" desc "CompJU+TEr (EMR-ES 1988)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "quickload" briefname "quik" )))
(name "jubileep" year "1985" manufacturer "Jubilee" desc "Double-Up Poker (Jubilee)" devices ())
(name "juicebox" year "2004" manufacturer "Mattel" desc "Juice Box" devices ((name "memcard" briefname "memc" )))
(name "juju" year "1989" manufacturer "TAD Corporation" desc "JuJu Densetsu (Japan)" devices ())
(name "jujub" year "1990" manufacturer "bootleg (Playmark)" desc "JuJu Densetsu (Playmark bootleg)" devices ())
(name "jujuba" year "1989" manufacturer "bootleg" desc "JuJu Densetsu (Japan, bootleg)" devices ())
(name "juko16" year "198?" manufacturer "JUKO" desc "NEST 8086 and V30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "juko8" year "198?" manufacturer "JUKO" desc "NEST 8088 and V20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "juku" year "1988" manufacturer "Estron" desc "Juku E5101" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "jumanji" year "2007" manufacturer "I.A.M." desc "Jumanji (V502)" devices ())
(name "jumbogod" year "1995" manufacturer "Namco" desc "Jumbo Godzilla" devices ())
(name "jumpbean" year "1996" manufacturer "Aristocrat" desc "Jumping Beans (0100161V, NSW/ACT)" devices ())
(name "jumpbug" year "1981" manufacturer "Hoei (Rock-Ola license)" desc "Jump Bug" devices ())
(name "jumpbugb" year "1981" manufacturer "bootleg" desc "Jump Bug (bootleg, set 1)" devices ())
(name "jumpbugbrf" year "1982" manufacturer "bootleg (Recreativos Franco)" desc "Jump Bug (bootleg, set 2)" devices ())
(name "jumpcoas" year "1983" manufacturer "Kaneko Elc. Co." desc "Jump Coaster (World)" devices ())
(name "jumpcoasa" year "1983" manufacturer "Kaneko" desc "Jump Coaster" devices ())
(name "jumpcoast" year "1983" manufacturer "Kaneko (Taito license)" desc "Jump Coaster (Taito)" devices ())
(name "jumping" year "1989" manufacturer "bootleg" desc "Jumping (set 1)" devices ())
(name "jumpinga" year "1988" manufacturer "bootleg (Seyutu)" desc "Jumping (set 2)" devices ())
(name "jumpingi" year "1988" manufacturer "bootleg (Seyutu)" desc "Jumping (set 3, Imnoe PCB)" devices ())
(name "jumpjkpt" year "2002" manufacturer "Atronic" desc "Jumping Jackpots (Russia) (Atronic)" devices ())
(name "jumpjoey" year "1996" manufacturer "Aristocrat" desc "Jumpin' Joeys (0100383V, NSW/ACT)" devices ())
(name "jumpjump" year "1999" manufacturer "dgPIX Entertainment Inc." desc "Jump Jump" devices ())
(name "jumpkids" year "1993" manufacturer "Comad" desc "Jump Kids" devices ())
(name "jumpkun" year "1984" manufacturer "Kaneko" desc "Jump Kun (prototype)" devices ())
(name "jumppop" year "2001" manufacturer "ESD" desc "Jumping Pop (set 1)" devices ())
(name "jumppope" year "2001" manufacturer "Emag Soft" desc "Jumping Pop (set 2)" devices ())
(name "jumpshot" year "1985" manufacturer "Bally Midway" desc "Jump Shot" devices ())
(name "jumpshotp" year "1985" manufacturer "Bally Midway" desc "Jump Shot Engineering Sample" devices ())
(name "junai" year "1998" manufacturer "Nichibutsu/eic" desc "Junai - Manatsu no First Kiss (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "junai2" year "1998" manufacturer "Nichibutsu/eic" desc "Junai 2 - White Love Story (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "jungjuic" year "1996" manufacturer "Aristocrat" desc "Jungle Juice (0200240V, ASP)" devices ())
(name "jungleani" year "1999" manufacturer "New Impeuropex Corp. / New Chitarrina" desc "Jungle's Animals (v3.0)" devices ())
(name "jungleby" year "1982" manufacturer "bootleg" desc "Jungle Boy (bootleg)" devices ())
(name "jungleh" year "1982" manufacturer "Taito America Corporation" desc "Jungle Hunt (US)" devices ())
(name "junglehbr" year "1983" manufacturer "Taito do Brasil" desc "Jungle Hunt (Brazil)" devices ())
(name "junglek" year "1982" manufacturer "Taito Corporation" desc "Jungle King (Japan)" devices ())
(name "junglekas" year "1982" manufacturer "Taito Corporation" desc "Jungle King (alternate sound)" devices ())
(name "junglekj2" year "1982" manufacturer "Taito Corporation" desc "Jungle King (Japan, earlier)" devices ())
(name "junglekj2a" year "1982" manufacturer "Taito Corporation" desc "Jungle King (Japan, earlier, alt)" devices ())
(name "jungler" year "1981" manufacturer "Konami" desc "Jungler" devices ())
(name "junglero" year "1981" manufacturer "Konami (Olympia license)" desc "Jungler (Olympia)" devices ())
(name "junglers" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Jungler (Stern Electronics)" devices ())
(name "jungleyo" year "2001" manufacturer "Yonshi" desc "Jungle (Italy VI3.02)" devices ())
(name "jungsub" year "1981" manufacturer "bootleg (Subelectro)" desc "Jungler (Subelectro, bootleg on Scramble hardware)" devices ())
(name "junior" year "1980" manufacturer "Elektor" desc "Junior Computer" devices ())
(name "junior80" year "1988" manufacturer "<unknown>" desc "Junior 80" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "juno106" year "1984" manufacturer "Roland" desc "Juno-106 Programmable Polyphonic Synthesizer" devices ())
(name "juno6" year "1982" manufacturer "Roland" desc "Juno-6 (JU-6) Polyphonic Synthesizer" devices ())
(name "junofrst" year "1983" manufacturer "Konami" desc "Juno First" devices ())
(name "junofrstg" year "1983" manufacturer "Konami (Gottlieb license)" desc "Juno First (Gottlieb)" devices ())
(name "jupace" year "1981" manufacturer "Jupiter Cantab" desc "Jupiter Ace" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" ) (name "printout" briefname "prin" )))
(name "jupiter2" year "1976" manufacturer "Wave Mate" desc "Jupiter II" devices ((name "floppydisk" briefname "flop" )))
(name "jupiter3" year "1976" manufacturer "Wave Mate" desc "Jupiter III" devices ((name "floppydisk" briefname "flop" )))
(name "jupk_305" year "1993" manufacturer "Data East" desc "Jurassic Park (USA 3.05, display A4.00)" devices ())
(name "jupk_307" year "1993" manufacturer "Data East" desc "Jurassic Park (USA 3.07, display A4.00)" devices ())
(name "jupk_501" year "1993" manufacturer "Data East" desc "Jurassic Park (USA 5.01, display A5.01)" devices ())
(name "jupk_501g" year "1993" manufacturer "Data East" desc "Jurassic Park (USA 5.01, display G5.01)" devices ())
(name "jupk_513" year "1993" manufacturer "Data East" desc "Jurassic Park (USA 5.13, display A5.10)" devices ())
(name "jurassic99" year "1993" manufacturer "bootleg" desc "Jurassic 99 (Cadillacs and Dinosaurs bootleg with EM78P447AP)" devices ())
(name "jv880" year "1992" manufacturer "Roland" desc "JV-880 Multi Timbral Synthesizer Module" devices ())
(name "jvchc7gb" year "1985" manufacturer "JVC" desc "HC-7E / HC-7GB (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "jwildb52" year "199?" manufacturer "Sigma" desc "Joker's Wild (B52 system, BP55114-V1104, Ver.054NMV)" devices ())
(name "jwildb52a" year "1989" manufacturer "Sigma" desc "Joker's Wild (B52 system, WP02001-054, Ver.031WM)" devices ())
(name "jwildb52h" year "199?" manufacturer "Sigma" desc "Joker's Wild (B52 system, BP55114-V1104, Ver.054NMV, Harrah's GFX)" devices ())
(name "jwj403tg" year "199?" manufacturer "Jetway" desc "J-403TG" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "jwj446a" year "199?" manufacturer "Jetway" desc "J-446A" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "jx10" year "1986" manufacturer "Roland" desc "JX-10 Super JX Polyphonic Synthesizer" devices ((name "cartridge" briefname "cart" )))
(name "jx3p" year "1983" manufacturer "Roland" desc "JX-3P Programmable Preset Polyphonic Synthesizer" devices ())
(name "jx8p" year "1985" manufacturer "Roland" desc "JX-8P Polyphonic Synthesizer (Ver. 3.x)" devices ((name "cartridge" briefname "cart" )))
(name "jx8po" year "1985" manufacturer "Roland" desc "JX-8P Polyphonic Synthesizer (Ver. 2.x)" devices ((name "cartridge" briefname "cart" )))
(name "jxzh" year "1996" manufacturer "BMC" desc "Jinxiu Zhonghua" devices ())
(name "jy_03" year "1996" manufacturer "Williams" desc "Junk Yard (0.3)" devices ())
(name "jy_11" year "1996" manufacturer "Williams" desc "Junk Yard (1.1)" devices ())
(name "jy_12" year "1996" manufacturer "Williams" desc "Junk Yard (1.2)" devices ())
(name "jyangoku" year "1999" manufacturer "Capcom" desc "Jyangokushi: Haoh no Saihai (Japan 990527)" devices ())
(name "jzth" year "2000" manufacturer "<unknown>" desc "Juezhan Tianhuang" devices ())
(name "k1" year "1988" manufacturer "Kawai Musical Instrument Manufacturing" desc "K1 Digital Multi-Dimensional Synthesizer" devices ())
(name "k1003" year "1978" manufacturer "Robotron" desc "K1003" devices ())
(name "k1m" year "1988" manufacturer "Kawai Musical Instrument Manufacturing" desc "K1m Digital Multi-Dimensional Synthesizer Module" devices ())
(name "k1r" year "1988" manufacturer "Kawai Musical Instrument Manufacturing" desc "K1r Digital Multi-Dimensional Synthesizer Module" devices ())
(name "k1rii" year "1989" manufacturer "Kawai Musical Instrument Manufacturing" desc "K1rII Digital Multi-Dimensional Synthesizer Module" devices ())
(name "k2000" year "1990" manufacturer "Kurzweil Music Systems" desc "K2000" devices ())
(name "k28" year "1985" manufacturer "Tiger Electronics" desc "K-2-8: Talking Learning Computer (model 7-232)" devices ((name "cartridge" briefname "cart" )))
(name "k286i" year "1985" manufacturer "Kaypro" desc "286i" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "k28o" year "1981" manufacturer "Tiger Electronics" desc "K-2-8: Talking Learning Computer (model 7-230)" devices ())
(name "k4" year "1989" manufacturer "Kawai Musical Instrument Manufacturing" desc "K4 16-bit Digital Synthesizer" devices ())
(name "k4r" year "1989" manufacturer "Kawai Musical Instrument Manufacturing" desc "K4r 16-bit Digital Synthesizer Module" devices ())
(name "k5" year "1987" manufacturer "Kawai Musical Instrument Manufacturing" desc "K5 Digital Multi-Dimensional Synthesizer" devices ())
(name "k5m" year "1987" manufacturer "Kawai Musical Instrument Manufacturing" desc "K5m Digital Multi-Dimensional Synthesizer Module" devices ())
(name "k7_olym" year "1994" manufacturer "K7 Kursaal / NMI Electronics" desc "Olympic Darts K7 (v3.11)" devices ())
(name "k7_olym30" year "1994" manufacturer "K7 Kursaal / NMI Electronics" desc "Olympic Darts K7 (v3.00)" devices ())
(name "k8915" year "1982" manufacturer "Robotron" desc "K8915" devices ())
(name "kabukikl" year "1995" manufacturer "Hudson" desc "Far East of Eden - Kabuki Klash / Tengai Makyou - Shin Den" devices ((name "memcard" briefname "memc" ) ()))
(name "kabukiz" year "1988" manufacturer "Kaneko / Taito Corporation Japan" desc "Kabuki-Z (World)" devices ())
(name "kabukizj" year "1988" manufacturer "Kaneko / Taito Corporation" desc "Kabuki-Z (Japan)" devices ())
(name "kageki" year "1988" manufacturer "Kaneko / Taito Corporation" desc "Kageki (World)" devices ())
(name "kagekih" year "1992" manufacturer "hack" desc "Kageki (hack)" devices ())
(name "kagekij" year "1988" manufacturer "Kaneko / Taito Corporation" desc "Kageki (Japan)" devices ())
(name "kagekiu" year "1988" manufacturer "Kaneko / Taito America Corporation (Romstar license)" desc "Kageki (US)" devices ())
(name "kaguya" year "1988" manufacturer "Miki Syouji" desc "Mahjong Kaguyahime (Japan 880521)" devices ())
(name "kaguya2" year "1989" manufacturer "Miki Syouji" desc "Mahjong Kaguyahime Sono2 (Japan 890829)" devices ())
(name "kaguya2f" year "2001" manufacturer "Miki Syouji" desc "Mahjong Kaguyahime Sono2 Fukkokuban (Japan 010808)" devices ())
(name "kaiserkn" year "1994" manufacturer "Taito Corporation Japan" desc "Kaiser Knuckle (Ver 2.1O 1994/07/29)" devices ())
(name "kaiserknj" year "1994" manufacturer "Taito Corporation" desc "Kaiser Knuckle (Ver 2.1J 1994/07/29)" devices ())
(name "kaitei" year "1980" manufacturer "K.K. Tokki" desc "Kaitei Takara Sagashi" devices ())
(name "kaiteids" year "1993" manufacturer "Irem" desc "Kaitei Daisensou (Japan)" devices ())
(name "kaitein" year "1980" manufacturer "K.K. Tokki (Namco license)" desc "Kaitei Takara Sagashi (Namco license)" devices ())
(name "kaiunqz" year "1999" manufacturer "Namco" desc "Kaiun Quiz (Japan, KW1/VER.A)" devices ())
(name "kajotcrd" year "1993" manufacturer "Amatic" desc "Kajot Card (Version 1.01, Wien Euro)" devices ())
(name "kakumei" year "1990" manufacturer "Jaleco" desc "Mahjong Kakumei (Japan)" devices ())
(name "kakumei2" year "1992" manufacturer "Jaleco" desc "Mahjong Kakumei 2 - Princess League (Japan)" devices ())
(name "kamakazi3" year "1979" manufacturer "hack" desc "Kamakazi III (hack of 'Super Galaxians')" devices ())
(name "kamenrid" year "1993" manufacturer "Banpresto" desc "Masked Riders Club Battle Race / Kamen Rider Club Battle Racer" devices ())
(name "kamikaze" year "1980" manufacturer "Leijac Corporation" desc "Kamikaze" devices ())
(name "kamikazesp" year "1981" manufacturer "bootleg (Euromatic S.A.)" desc "Kamikaze (Euromatic S.A., Spanish bootleg of Scramble)" devices ())
(name "kamikazp" year "1979" manufacturer "bootleg (Potomac Games)" desc "Kamikaze (Potomac Games, bootleg of Galaxian)" devices ())
(name "kamikcab" year "1984" manufacturer "Data East Corporation" desc "Kamikaze Cabbie" devices ())
(name "kanatuen" year "1988" manufacturer "Panac" desc "Kanatsuen no Onna (Japan 880905)" devices ())
(name "kangaroo" year "1982" manufacturer "Sun Electronics" desc "Kangaroo" devices ())
(name "kangarooa" year "1982" manufacturer "Sun Electronics (Atari license)" desc "Kangaroo (Atari)" devices ())
(name "kangaroob" year "1982" manufacturer "bootleg" desc "Kangaroo (bootleg)" devices ())
(name "kangarool" year "1982" manufacturer "Sun Electronics (Loewen-Automaten license)" desc "Kangaroo (Loewen-Automaten)" devices ())
(name "kaos" year "1981" manufacturer "Pacific Polytechnical Corp. (Game Plan license)" desc "Kaos" devices ())
(name "karams" year "2003" manufacturer "IVL Technologies (Lexibook license)" desc "KaraokeMicro Star (France)" devices ((name "cartridge" briefname "cart" )))
(name "karatblz" year "1991" manufacturer "Video System Co." desc "Karate Blazers (World, set 1)" devices ())
(name "karatblza" year "1991" manufacturer "Video System Co." desc "Karate Blazers (World, set 2)" devices ())
(name "karatblzbl" year "1991" manufacturer "bootleg" desc "Karate Blazers (bootleg with Street Smart sound hardware)" devices ())
(name "karatblzj" year "1991" manufacturer "Video System Co. (Tecmo license)" desc "Toushin Blazers (Japan, Tecmo license)" devices ())
(name "karatblzt" year "1991" manufacturer "Video System Co. (Tecmo license)" desc "Karate Blazers (World, Tecmo license)" devices ())
(name "karatblzu" year "1991" manufacturer "Video System Co." desc "Karate Blazers (US)" devices ())
(name "karateda" year "1984" manufacturer "bootleg (Arfyc)" desc "Karate Dou (Arfyc bootleg)" devices ())
(name "karatedo" year "1984" manufacturer "Data East Corporation" desc "Karate Dou (Japan)" devices ())
(name "karatevs" year "1984" manufacturer "Data East Corporation" desc "Taisen Karate Dou (Japan VS version)" devices ())
(name "karatour" year "1992" manufacturer "Mitchell" desc "The Karate Tournament" devices ())
(name "karatourj" year "1992" manufacturer "Mitchell" desc "Chatan Yara Kuushanku - The Karate Tournament (Japan)" devices ())
(name "karatvst" year "2002" manufacturer "IVL Technologies" desc "KaraokeTV Star (US, with 50 songs)" devices ())
(name "karatvsta" year "2002" manufacturer "IVL Technologies" desc "KaraokeTV Star (US, with 25 songs, 'FREE 35 Hit Songs / $35 value' packaging)" devices ())
(name "karianx" year "1996" manufacturer "Deniam" desc "Karian Cross (Rev. 1.0)" devices ())
(name "karnov" year "1987" manufacturer "Data East USA" desc "Karnov (US, rev 6)" devices ())
(name "karnova" year "1987" manufacturer "Data East USA" desc "Karnov (US, rev 5)" devices ())
(name "karnovj" year "1987" manufacturer "Data East Corporation" desc "Karnov (Japan)" devices ())
(name "karnovjbl" year "1987" manufacturer "bootleg (K. J. Corporation)" desc "Karnov (Japan, bootleg with NEC D8748HD)" devices ())
(name "karnovr" year "1994" manufacturer "Data East Corporation" desc "Karnov's Revenge / Fighter's History Dynamite" devices ((name "memcard" briefname "memc" ) ()))
(name "karous" year "2006" manufacturer "Milestone" desc "Karous (Japan) (GDL-0040)" devices ((name "cdrom" briefname "cdrm" )))
(name "kartduel" year "2000" manufacturer "Gaps / Namco" desc "Kart Duel (World, KTD2/VER.A)" devices ())
(name "kartduelj" year "2000" manufacturer "Gaps / Namco" desc "Kart Duel (Japan, KTD1/VER.A)" devices ())
(name "kas89" year "1989" manufacturer "SFC S.R.L." desc "Kasino '89" devices ())
(name "kattobas" year "1998" manufacturer "Konami" desc "Kattobase Power Pro Kun" devices ())
(name "kay1024" year "1998" manufacturer "NEMO" desc "Kay 1024" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "kaypro1" year "1986" manufacturer "Kaypro Corporation" desc "Kaypro 1" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypro10" year "1983" manufacturer "Non-Linear Systems" desc "Kaypro 10 - 1983" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "kaypro1084" year "1984" manufacturer "Kaypro Corporation" desc "Kaypro 10" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "kaypro16" year "1985" manufacturer "Kaypro Corporation" desc "Kaypro 16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "kaypro284" year "1984" manufacturer "Kaypro Corporation" desc "Kaypro 2/84" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypro2x" year "1985" manufacturer "Kaypro Corporation" desc "Kaypro 2x" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypro484" year "1984" manufacturer "Kaypro Corporation" desc "Kaypro 4/84" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypro484p88" year "1984" manufacturer "Kaypro Corporation" desc "Kaypro 4/84 plus88" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypro4x" year "1985" manufacturer "Kaypro Corporation" desc "Kaypro 4x" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kayproii" year "1982" manufacturer "Non-Linear Systems" desc "Kaypro II - 2/83" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kayproiip88" year "1983" manufacturer "Kaypro Corporation" desc "Kaypro 4 plus88 - 4/83" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kayproiv" year "1983" manufacturer "Non-Linear Systems" desc "Kaypro IV - 4/83" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kaypronew2" year "1985" manufacturer "Kaypro Corporation" desc "Kaypro New 2" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "kaypropc" year "198?" manufacturer "Kaypro Corporation" desc "PC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "kazan" year "1988" manufacturer "Jaleco" desc "Ninja Kazan (World)" devices ())
(name "kbadlands" year "1984" manufacturer "Konami" desc "Badlands (Konami, set 1)" devices ())
(name "kbadlandsh" year "1984" manufacturer "Konami" desc "Badlands (Konami, set 2)" devices ())
(name "kbash" year "1993" manufacturer "Toaplan / Atari" desc "Knuckle Bash" devices ())
(name "kbash2" year "1999" manufacturer "bootleg" desc "Knuckle Bash 2 (bootleg)" devices ())
(name "kbashk" year "1993" manufacturer "Toaplan / Taito" desc "Knuckle Bash (Korean PCB)" devices ())
(name "kbashp" year "1993" manufacturer "Toaplan / Taito" desc "Knuckle Bash (location test)" devices ())
(name "kbh" year "2000" manufacturer "Konami" desc "Keyboardheaven (Korea)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "kbilly" year "1990" manufacturer "Konami" desc "The Adventures of Bayou Billy (handheld)" devices ())
(name "kblades" year "1990" manufacturer "Konami" desc "Blades of Steel (handheld)" devices ())
(name "kbm" year "2000" manufacturer "Konami" desc "Keyboardmania" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "kbm2nd" year "2000" manufacturer "Konami" desc "Keyboardmania 2nd Mix" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "kbm3rd" year "2001" manufacturer "Konami" desc "Keyboardmania 3rd Mix" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "kbottom9" year "1990" manufacturer "Konami" desc "Bottom of the Ninth (handheld)" devices ())
(name "kbucky" year "1991" manufacturer "Konami" desc "Bucky O'Hare (handheld)" devices ())
(name "kc85" year "1983" manufacturer "Kyosei" desc "Kyotronic 85 (Japan)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "kc85_111" year "1986" manufacturer "Robotron" desc "KC 85/1.11" devices ((name "cassette" briefname "cass" )))
(name "kc85_2" year "1987" manufacturer "VEB Mikroelektronik \"Wilhelm Pieck\" Mühlhausen" desc "HC900 / KC 85/2" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "kc85_3" year "1987" manufacturer "VEB Mikroelektronik \"Wilhelm Pieck\" Mühlhausen" desc "KC 85/3" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "kc85_4" year "1989" manufacturer "VEB Mikroelektronik \"Wilhelm Pieck\" Mühlhausen" desc "KC 85/4" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "kc85_5" year "1989" manufacturer "VEB Mikroelektronik \"Wilhelm Pieck\" Mühlhausen" desc "KC 85/5" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "kc87_10" year "1987" manufacturer "Robotron" desc "KC 87.10" devices ((name "cassette" briefname "cass" )))
(name "kc87_11" year "1987" manufacturer "Robotron" desc "KC 87.11" devices ((name "cassette" briefname "cass" )))
(name "kc87_20" year "1987" manufacturer "Robotron" desc "KC 87.20" devices ((name "cassette" briefname "cass" )))
(name "kc87_21" year "1987" manufacturer "Robotron" desc "KC 87.21" devices ((name "cassette" briefname "cass" )))
(name "kccomp" year "1989" manufacturer "VEB Mikroelektronik \"Wilhelm Pieck\" M?hlhausen" desc "KC Compact" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "kchamp" year "1984" manufacturer "Data East USA" desc "Karate Champ (US)" devices ())
(name "kchamp2p" year "1984" manufacturer "Data East USA" desc "Karate Champ (US, 2 players)" devices ())
(name "kchamptec" year "1984" manufacturer "bootleg (Tecfri)" desc "Karate Champ (Tecfri bootleg)" devices ())
(name "kchampvs" year "1984" manufacturer "Data East USA" desc "Karate Champ (US VS version, set 1)" devices ())
(name "kchampvs2" year "1984" manufacturer "Data East USA" desc "Karate Champ (US VS version, set 2)" devices ())
(name "kchampvs3" year "1984" manufacturer "Data East USA" desc "Karate Champ (US VS version, set 3)" devices ())
(name "kchampvs4" year "1984" manufacturer "Data East USA" desc "Karate Champ (US VS version, set 4)" devices ())
(name "kcontra" year "1989" manufacturer "Konami" desc "Contra (handheld)" devices ())
(name "kd2001" year "2001" manufacturer "Namco" desc "Knock Down 2001 (Japan, KD11 Ver. B)" devices ((name "cdrom" briefname "cdrm" )))
(name "kdeadeye" year "1996" manufacturer "Konami" desc "Dead Eye (GV054 UAA01)" devices ((name "cdrom" briefname "cdrm" )))
(name "kdribble" year "1989" manufacturer "Konami" desc "Double Dribble (handheld)" devices ())
(name "kdynastg" year "1999" manufacturer "EZ Graphics" desc "King of Dynast Gear (version 1.8)" devices ())
(name "keirinou" year "1987" manufacturer "Excellent System" desc "Keirin Ou" devices ())
(name "keith" year "1989" manufacturer "Hudson Soft" desc "Keith Courage In Alpha Zones (United Amusements PC Engine)" devices ())
(name "keithlcy" year "1993" manufacturer "Visco" desc "Dramatic Adventure Quiz Keith & Lucy (Japan)" devices ())
(name "keks" year "2006" manufacturer "Igrosoft" desc "Keks (060328 World)" devices ())
(name "keks_10" year "2006" manufacturer "Igrosoft" desc "Keks (110816 Entertainment X)" devices ())
(name "keks_11" year "2006" manufacturer "Igrosoft" desc "Keks (101209 Entertainment N)" devices ())
(name "keks_12" year "2006" manufacturer "Igrosoft" desc "Keks (110816 Entertainment N)" devices ())
(name "keks_13" year "2006" manufacturer "Igrosoft" desc "Keks (110204 Entertainment A)" devices ())
(name "keks_14" year "2006" manufacturer "Igrosoft" desc "Keks (110208 Entertainment A)" devices ())
(name "keks_15" year "2006" manufacturer "Igrosoft" desc "Keks (110816 Entertainment A)" devices ())
(name "keks_16" year "2006" manufacturer "Igrosoft" desc "Keks (110311 Entertainment B)" devices ())
(name "keks_17" year "2006" manufacturer "Igrosoft" desc "Keks (110816 Entertainment B)" devices ())
(name "keks_18" year "2006" manufacturer "Igrosoft" desc "Keks (140526 Entertainment B)" devices ())
(name "keks_19" year "2006" manufacturer "Igrosoft" desc "Keks (110411 Entertainment C)" devices ())
(name "keks_2" year "2006" manufacturer "Igrosoft" desc "Keks (060403 World)" devices ())
(name "keks_2a" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, banking address hack)" devices ())
(name "keks_2b" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, banking address hack, changed version text)" devices ())
(name "keks_2c" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, VIDEO GAME-1 KS01 set 1)" devices ())
(name "keks_2d" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, VIDEO GAME-1 KS01 set 2)" devices ())
(name "keks_2e" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, banking address hack, payout percentage 60)" devices ())
(name "keks_2f" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, LOTTOGAME (I))" devices ())
(name "keks_2g" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060403, LOTOS KS01)" devices ())
(name "keks_3" year "2006" manufacturer "Igrosoft" desc "Keks (070119 Russia)" devices ())
(name "keks_3a" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 070119, banking address hack set 1)" devices ())
(name "keks_3b" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 070119, banking address hack set 2)" devices ())
(name "keks_4" year "2006" manufacturer "Igrosoft" desc "Keks (090604 Lottery)" devices ())
(name "keks_5" year "2006" manufacturer "Igrosoft" desc "Keks (090727 Entertainment)" devices ())
(name "keks_6" year "2006" manufacturer "Igrosoft" desc "Keks (110816 World)" devices ())
(name "keks_7" year "2006" manufacturer "Igrosoft" desc "Keks (110816 Russia)" devices ())
(name "keks_8" year "2006" manufacturer "Igrosoft" desc "Keks (100330 Entertainment X)" devices ())
(name "keks_9" year "2006" manufacturer "Igrosoft" desc "Keks (100331 Entertainment X)" devices ())
(name "keksa" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060328, banking address hack)" devices ())
(name "keksb" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060328, backdoor)" devices ())
(name "keksc" year "2006" manufacturer "bootleg" desc "Keks (bootleg, 060328, banking address hack, changed version text)" devices ())
(name "kengo" year "1991" manufacturer "Irem" desc "Ken-Go (World)" devices ())
(name "kengoj" year "1991" manufacturer "Irem" desc "Ken-Go (Japan)" devices ())
(name "kenseim" year "1994" manufacturer "Capcom / Togo / Sigma" desc "Ken Sei Mogura: Street Fighter II (Japan 940418, Ver 1.00)" devices ())
(name "keroppi" year "1995" manufacturer "American Sammy" desc "Kero Kero Keroppi's Let's Play Together (USA, Version 2.0)" devices ())
(name "keroppij" year "1993" manufacturer "Sammy Industries" desc "Kero Kero Keroppi no Isshoni Asobou (Japan)" devices ())
(name "keroro" year "2006" manufacturer "Namco / Banpresto" desc "Keroro Gunsou: Pekopon Shinryaku Shirei...De Arimasu! (KRG1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ket" year "2002" manufacturer "Cave (AMI license)" desc "Ketsui: Kizuna Jigoku Tachi (2003/01/01. Master Ver.)" devices ())
(name "ket1" year "2002" manufacturer "Cave (AMI license)" desc "Ketsui: Kizuna Jigoku Tachi (2003/01/01. Master Ver.) (alt rom fill)" devices ())
(name "keta" year "2002" manufacturer "Cave (AMI license)" desc "Ketsui: Kizuna Jigoku Tachi (2003/01/01 Master Ver.)" devices ())
(name "ketarr" year "2014" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2014/07/16 ARRANGE 1.7 VER) (hack)" devices ())
(name "ketarr10" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/04/17 ARRANGE VER) (hack)" devices ())
(name "ketarr15" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/06/26 ARRANGE 1.5 VER) (hack)" devices ())
(name "ketarr151" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/06/26 ARRANGE 1.51 VER) (hack)" devices ())
(name "ketarrf" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/04/17 FAST. VER) (hack)" devices ())
(name "ketarrs15" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/06/27 MR.STOIC 1.5 VER) (hack)" devices ())
(name "ketarrs151" year "2012" manufacturer "hack (trap15)" desc "Ketsui: Kizuna Jigoku Tachi (2012/06/27 MR.STOIC 1.51 VER) (hack)" devices ())
(name "ketb" year "2002" manufacturer "Cave (AMI license)" desc "Ketsui: Kizuna Jigoku Tachi (2003/01/01 Master Ver)" devices ())
(name "ketbl" year "2002" manufacturer "bootleg" desc "Ketsui: Kizuna Jigoku Tachi (2003/01/01. Master Ver., bootleg cartridge conversion)" devices ())
(name "keyboard" year "2001" manufacturer "Sega / G.Rev" desc "La Keyboard (GDS-0017)" devices ((name "cdrom" briefname "cdrm" )))
(name "kf10thep" year "2005" manufacturer "bootleg" desc "The King of Fighters 10th Anniversary Extra Plus (bootleg of The King of Fighters 2002)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k2mp" year "2002" manufacturer "bootleg" desc "The King of Fighters 2002 Magic Plus (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k2mp2" year "2002" manufacturer "bootleg" desc "The King of Fighters 2002 Magic Plus II (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k2pla" year "2002" manufacturer "bootleg" desc "The King of Fighters 2002 Plus (bootleg set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k2pls" year "2002" manufacturer "bootleg" desc "The King of Fighters 2002 Plus (bootleg set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k3bl" year "2003" manufacturer "bootleg" desc "The King of Fighters 2003 (bootleg set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k3bla" year "2003" manufacturer "bootleg" desc "The King of Fighters 2003 (bootleg set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k3pcb" year "2003" manufacturer "SNK Playmore" desc "The King of Fighters 2003 (Japan, JAMMA PCB)" devices ())
(name "kf2k3pl" year "2003" manufacturer "bootleg" desc "The King of Fighters 2004 Plus / Hero (bootleg of The King of Fighters 2003)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k3upl" year "2003" manufacturer "bootleg" desc "The King of Fighters 2004 Ultra Plus (bootleg of The King of Fighters 2003)" devices ((name "memcard" briefname "memc" ) ()))
(name "kf2k5uni" year "2004" manufacturer "bootleg" desc "The King of Fighters 10th Anniversary 2005 Unique (bootleg of The King of Fighters 2002)" devices ((name "memcard" briefname "memc" ) ()))
(name "kftgoal" year "1994" manufacturer "Jaleco" desc "Kick for the Goal" devices ())
(name "kgalah" year "1995" manufacturer "Aristocrat" desc "King Galah (0200536V, NSW/ACT)" devices ())
(name "kgalaha" year "1995" manufacturer "Aristocrat" desc "King Galah (0100536V, NSW/ACT)" devices ())
(name "kgalahce" year "2001" manufacturer "Aristocrat" desc "King Galah - Cash Express (AHG1625, US)" devices ())
(name "kgarfld" year "1991" manufacturer "Konami" desc "Garfield (Konami)" devices ())
(name "kgbird" year "1996" manufacturer "Aristocrat" desc "K.G. Bird (4VXFC5341, New Zealand, 5c)" devices ())
(name "kgbirda" year "1996" manufacturer "Aristocrat" desc "K.G. Bird (4VXFC5341, New Zealand, 10c)" devices ())
(name "kgbirda5" year "1994" manufacturer "Aristocrat" desc "K.G. Bird (0200024V, NSW/ACT)" devices ())
(name "kgradius" year "1989" manufacturer "Konami" desc "Gradius (handheld)" devices ())
(name "kharkovsky" year "198?" manufacturer "<unknown>" desc "Kharkovsky" devices ((name "cassette" briefname "cass" )))
(name "kick" year "1981" manufacturer "Midway" desc "Kick (upright)" devices ())
(name "kick4csh" year "2004" manufacturer "Sega" desc "Kick '4' Cash (Export)" devices ())
(name "kickball" year "1998" manufacturer "Seoung Youn" desc "Kick Ball" devices ())
(name "kickboy" year "1983" manufacturer "Nichibutsu" desc "Kick Boy" devices ())
(name "kickc" year "1981" manufacturer "Midway" desc "Kick (cocktail)" devices ())
(name "kicker" year "1985" manufacturer "Konami" desc "Kicker" devices ())
(name "kickgoal" year "1995" manufacturer "TCH / Proyesel" desc "Kick Goal (set 1)" devices ())
(name "kickgoala" year "1995" manufacturer "TCH / Proyesel" desc "Kick Goal (set 2)" devices ())
(name "kickman" year "1981" manufacturer "Midway" desc "Kickman (upright)" devices ())
(name "kicknkick" year "2001" manufacturer "Konami" desc "Kick & Kick (GNA36 VER. EAA)" devices ())
(name "kicknrun" year "1986" manufacturer "Taito Corporation" desc "Kick and Run (World)" devices ())
(name "kicknrunu" year "1986" manufacturer "Taito America Corp" desc "Kick and Run (US)" devices ())
(name "kickoff" year "1988" manufacturer "Jaleco" desc "Kick Off - Jaleco Cup (Japan)" devices ())
(name "kickoffb" year "1988" manufacturer "bootleg (Comodo)" desc "Kick Off - World Cup (bootleg)" devices ())
(name "kickridr" year "1984" manufacturer "Universal" desc "Kick Rider" devices ())
(name "kidizmb" year "201?" manufacturer "VTech" desc "Kidizoom (Germany, blue camera)" devices ((name "cartridge" briefname "cart" )))
(name "kidizmp" year "2013" manufacturer "VTech" desc "Kidizoom Connect (Germany, pink camera)" devices ((name "cartridge" briefname "cart" )))
(name "kidnap" year "1986" manufacturer "CICPlay" desc "Kidnap" devices ())
(name "kidniki" year "1986" manufacturer "Irem" desc "Kid Niki - Radical Ninja (World)" devices ())
(name "kidnikib" year "1986" manufacturer "bootleg" desc "Kid Niki (bootleg)" devices ())
(name "kidnikiu" year "1986" manufacturer "Irem (Data East USA license)" desc "Kid Niki - Radical Ninja (US)" devices ())
(name "kidsupstar" year "2016" manufacturer "VTech" desc "Kidi SuperStar LightShow" devices ())
(name "kikaioh" year "1998" manufacturer "Capcom" desc "Choukou Senki Kikaioh (Japan 980914)" devices ())
(name "kikcubic" year "1988" manufacturer "Irem" desc "Meikyu Jima (Japan)" devices ())
(name "kikcubicb" year "1988" manufacturer "bootleg" desc "Kickle Cubele" devices ())
(name "kikikai" year "1986" manufacturer "Taito Corporation" desc "KiKi KaiKai" devices ())
(name "kiko_a10" year "1990" manufacturer "Data East" desc "King Kong (1.0)" devices ())
(name "kikstart" year "1984" manufacturer "Taito Corporation" desc "Kick Start: Wheelie King" devices ())
(name "killbld" year "1998" manufacturer "IGS" desc "The Killing Blade / Ao Jian Kuang Dao (ver. 109, Chinese Board)" devices ())
(name "killbld100" year "1998" manufacturer "IGS" desc "The Killing Blade / Ao Jian Kuang Dao (ver. 100)" devices ())
(name "killbld104" year "1998" manufacturer "IGS" desc "The Killing Blade / Ao Jian Kuang Dao (ver. 104)" devices ())
(name "killbld106" year "1998" manufacturer "IGS" desc "The Killing Blade / Ao Jian Kuang Dao (ver. 106)" devices ())
(name "killbldp" year "2005" manufacturer "IGS" desc "The Killing Blade Plus / Ao Jian Kuang Dao Jiaqiang Ban (China, ver. 300)" devices ())
(name "killcom" year "1980" manufacturer "Centuri (Game Plan license)" desc "Killer Comet" devices ())
(name "kim1" year "1976" manufacturer "MOS Technology" desc "KIM-1" devices ((name "cassette" briefname "cass" )))
(name "kimbldhl" year "198?" manufacturer "Kimble Ireland" desc "Kimble Double HI-LO" devices ())
(name "kimblz80" year "198?" manufacturer "Kimble Ireland" desc "Kimble Double HI-LO (z80 version)" devices ())
(name "kingball" year "1980" manufacturer "Namco" desc "King & Balloon (US)" devices ())
(name "kingballj" year "1980" manufacturer "Namco" desc "King & Balloon (Japan)" devices ())
(name "kingdmgp" year "1994" manufacturer "Raizing / Eighting" desc "Kingdom Grandprix" devices ())
(name "kingdrbb" year "1986" manufacturer "bootleg (Casino Electronics)" desc "King Derby (Taiwan bootleg)" devices ())
(name "kingdrbb2" year "198?" manufacturer "bootleg" desc "King Derby (bootleg set 2)" devices ())
(name "kingdrby" year "1981" manufacturer "Tazmi" desc "King Derby (1981)" devices ())
(name "kingman" year "1982" manufacturer "Tomy" desc "Kingman" devices ())
(name "kingnep" year "2005" manufacturer "Aristocrat" desc "King Neptune (20189111, NSW/ACT)" devices ())
(name "kingnile" year "2003" manufacturer "Aristocrat" desc "King of the Nile (30106331, NSW/ACT)" devices ())
(name "kingnilea" year "2002" manufacturer "Aristocrat" desc "King of the Nile (20106321, NSW/ACT)" devices ())
(name "kingnileb" year "2003" manufacturer "Aristocrat" desc "King of the Nile (10127511, ASP)" devices ())
(name "kingofb" year "1985" manufacturer "Woodplace Inc." desc "King of Boxer (World)" devices ())
(name "kingofbj" year "1985" manufacturer "Woodplace Inc." desc "King of Boxer (Japan)" devices ())
(name "kingpeng" year "2002" manufacturer "Aristocrat" desc "King Penguin (20109021, NSW/ACT)" devices ())
(name "kingpengsp" year "2002" manufacturer "Aristocrat" desc "King Penguin (40109021, NSW/ACT, Show Program)" devices ())
(name "kingpin" year "1983" manufacturer "ACL Manufacturing" desc "Kingpin" devices ())
(name "kingrt66" year "2002" manufacturer "Sega" desc "The King of Route 66 (Rev A)" devices ())
(name "kingrt66p" year "2002" manufacturer "Sega" desc "The King of Route 66 (prototype)" devices ())
(name "kingt_l1" year "1979" manufacturer "Williams/United" desc "King Tut (Shuffle) (L-1)" devices ())
(name "kingtut" year "199?" manufacturer "Konami" desc "King Tut (NSW, Australia)" devices ())
(name "kingyo" year "2009" manufacturer "Sega" desc "Yataimura Kingyosukui (1-player, Japan, Ver 1.005)" devices ())
(name "kingyoch" year "2009" manufacturer "Sega" desc "Yataimura Kingyosukui (4-player, China, Ver 1.000)" devices ())
(name "kinniku" year "2006" manufacturer "Namco" desc "Kinnikuman Muscle Grand Prix (KN1 Ver. A)" devices ())
(name "kinniku2" year "2007" manufacturer "Namco" desc "Kinnikuman Muscle Grand Prix 2 (KN2 Ver. A)" devices ())
(name "kinst" year "1994" manufacturer "Rare (Midway license)" desc "Killer Instinct" devices ((name "harddisk" briefname "hard" )))
(name "kinst2" year "1996" manufacturer "Rare (Midway license)" desc "Killer Instinct 2" devices ((name "harddisk" briefname "hard" )))
(name "kinst2uk" year "1996" manufacturer "Rare (Midway license)" desc "Killer Instinct 2 (upgrade kit)" devices ((name "harddisk" briefname "hard" )))
(name "kinstb" year "199?" manufacturer "bootleg" desc "Killer Instinct (SNES bootleg)" devices ())
(name "kinstsnes" year "199?" manufacturer "bootleg" desc "Killer Instinct (SNES bootleg with timer)" devices ())
(name "kirameki" year "1997" manufacturer "Taito Corporation" desc "Kirameki Star Road (Ver 2.10J 1997/08/29)" devices ())
(name "kirarast" year "1996" manufacturer "Jaleco" desc "Ryuusei Janshi Kirara Star" devices ())
(name "kisekaeh" year "1995" manufacturer "I'Max" desc "Kisekae Hanafuda" devices (() ()))
(name "kisekaem" year "1995" manufacturer "I'Max" desc "Kisekae Mahjong" devices (() ()))
(name "kishon" year "1991" manufacturer "Fidelity Electronics International" desc "Kishon Chesster (v2.3)" devices ())
(name "kishona" year "1991" manufacturer "Fidelity Electronics International" desc "Kishon Chesster (v2.2)" devices ())
(name "kiss" year "1979" manufacturer "Bally" desc "Kiss" devices ())
(name "kissp" year "1979" manufacturer "Bally" desc "Kiss (prototype)" devices ())
(name "kissp2" year "1979" manufacturer "Bally" desc "Kiss (prototype v.2)" devices ())
(name "kisssite" year "200?" manufacturer "Tomy" desc "Kiss-Site" devices ((name "cdrom" briefname "cdrm" )))
(name "kittenk" year "1988" manufacturer "Konami" desc "Kitten Kaboodle" devices ())
(name "kiugames" year "200?" manufacturer "VideoJet" desc "Kiu Games" devices ())
(name "kiwame" year "1994" manufacturer "Athena" desc "Pro Mahjong Kiwame" devices ())
(name "kiwames" year "1995" manufacturer "Athena" desc "Pro Mahjong Kiwame S (J 951020 V1.208)" devices ())
(name "kizuna" year "1996" manufacturer "SNK" desc "Kizuna Encounter - Super Tag Battle / Fu'un Super Tag Battle" devices ((name "memcard" briefname "memc" ) ()))
(name "kizuna4p" year "1996" manufacturer "SNK" desc "Kizuna Encounter - Super Tag Battle 4 Way Battle Version / Fu'un Super Tag Battle Special Version" devices (()))
(name "kkcount" year "2005" manufacturer "Komaya" desc "Circlun - Kuru.Kuru-Count" devices ())
(name "kkongltd" year "1981" manufacturer "LTD" desc "King Kong" devices ())
(name "kkotnoli" year "198?" manufacturer "hack" desc "Kkot No Li (Kill the Bees)" devices ())
(name "klax" year "1989" manufacturer "Atari Games" desc "Klax (version 6)" devices ())
(name "klax4" year "1989" manufacturer "Atari Games" desc "Klax (version 4)" devices ())
(name "klax5" year "1989" manufacturer "Atari Games" desc "Klax (version 5)" devices ())
(name "klax5bl" year "1989" manufacturer "bootleg" desc "Klax (version 5, bootleg set 1)" devices ())
(name "klax5bl2" year "1989" manufacturer "bootleg" desc "Klax (version 5, bootleg set 2)" devices ())
(name "klax5bl3" year "1989" manufacturer "bootleg (Playmark)" desc "Klax (version 5, bootleg set 3)" devices ())
(name "klaxd2" year "1989" manufacturer "Atari Games" desc "Klax (Germany, version 2)" devices ())
(name "klaxj3" year "1989" manufacturer "Atari Games" desc "Klax (Japan, version 3)" devices ())
(name "klaxj4" year "1989" manufacturer "Atari Games" desc "Klax (Japan, version 4)" devices ())
(name "klaxp1" year "1989" manufacturer "Atari Games" desc "Klax (prototype set 1)" devices ())
(name "klaxp2" year "1989" manufacturer "Atari Games" desc "Klax (prototype set 2)" devices ())
(name "klondkp" year "1999" manufacturer "Eolith" desc "KlonDike+" devices ())
(name "kloneran" year "1990" manufacturer "Konami" desc "The Lone Ranger (handheld)" devices ())
(name "klxyj" year "200?" manufacturer "IGS" desc "Kuai Le Xi You Ji" devices ())
(name "kma202f" year "199?" manufacturer "<unknown>" desc "KMA-202F-12R (Winbond chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "kma300g" year "199?" manufacturer "Arche Technologies Inc." desc "KMA-300G-25" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "kmc5000" year "1987" manufacturer "Kawai" desc "KMC-5000 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "kminus" year "1982" manufacturer "Kyber Calcolatori" desc "Kyber Minus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "knascar" year "1990" manufacturer "Konami" desc "Bill Elliott's NASCAR Racing (handheld)" devices ())
(name "knckhead" year "1992" manufacturer "Namco" desc "Knuckle Heads (World)" devices ())
(name "knckheadj" year "1992" manufacturer "Namco" desc "Knuckle Heads (Japan)" devices ())
(name "knckheadjp" year "1992" manufacturer "Namco" desc "Knuckle Heads (Japan, Prototype?)" devices ())
(name "kncljoe" year "1985" manufacturer "Seibu Kaihatsu (Taito license)" desc "Knuckle Joe (set 1)" devices ())
(name "kncljoea" year "1985" manufacturer "Seibu Kaihatsu (Taito license)" desc "Knuckle Joe (set 2)" devices ())
(name "knd" year "2005" manufacturer "Tech2Go / One Man Band" desc "Codename: Kids Next Door - Operation: P.L.U.G.G.U.H.S." devices ())
(name "knfl" year "1990" manufacturer "Konami" desc "NFL Football (Konami, handheld)" devices ())
(name "kngtmare" year "1983" manufacturer "Gottlieb" desc "Knightmare (prototype)" devices ())
(name "knightar" year "1976" manufacturer "Project Support Engineering" desc "Knights in Armor" devices ())
(name "knightb" year "1986" manufacturer "bootleg" desc "Knight Boy (bootleg of KiKi KaiKai, set 1)" devices ())
(name "knightba" year "1986" manufacturer "bootleg (Game Corporation)" desc "Knight Boy (bootleg of KiKi KaiKai, set 2)" devices ())
(name "knights" year "1991" manufacturer "Capcom" desc "Knights of the Round (World 911127)" devices ())
(name "knightsb" year "1991" manufacturer "bootleg" desc "Knights of the Round (bootleg with 2xMSM5205, set 1)" devices ())
(name "knightsb2" year "1991" manufacturer "Capcom" desc "Knights of the Round (bootleg, World 911127)" devices ())
(name "knightsb3" year "1991" manufacturer "bootleg" desc "Knights of the Round (bootleg with 2xMSM5205, set 2)" devices ())
(name "knightsj" year "1991" manufacturer "Capcom" desc "Knights of the Round (Japan 911127, B-Board 91634B-2)" devices ())
(name "knightsja" year "1991" manufacturer "Capcom" desc "Knights of the Round (Japan 911127, B-Board 89625B-1)" devices ())
(name "knightsu" year "1991" manufacturer "Capcom" desc "Knights of the Round (USA 911127)" devices ())
(name "knockout" year "1982" manufacturer "bootleg? (KKK)" desc "Knock Out!! (bootleg, set 1)" devices ())
(name "knockoutb" year "1982" manufacturer "bootleg" desc "Knock Out!! (bootleg, set 2)" devices ())
(name "knockoutc" year "1982" manufacturer "bootleg (ESG)" desc "Knock Out!! (bootleg, set 3)" devices ())
(name "knpuzzle" year "2001" manufacturer "Namco" desc "Kotoba no Puzzle Mojipittan (Japan, KPM1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "koalama6" year "2000" manufacturer "Aristocrat" desc "Koala Mint (30001011, NSW/ACT)" devices ())
(name "koalamnt" year "2001" manufacturer "Aristocrat" desc "Koala Mint (CHG1573, US)" devices ())
(name "kod" year "1991" manufacturer "Capcom" desc "The King of Dragons (World 910805)" devices ())
(name "kodb" year "1991" manufacturer "bootleg (Playmark)" desc "The King of Dragons (bootleg)" devices ())
(name "kodj" year "1991" manufacturer "Capcom" desc "The King of Dragons (Japan 910805, B-Board 90629B-3)" devices ())
(name "kodja" year "1991" manufacturer "Capcom" desc "The King of Dragons (Japan 910805, B-Board 89625B-1)" devices ())
(name "kodr1" year "1991" manufacturer "Capcom" desc "The King of Dragons (World 910711)" devices ())
(name "kodr2" year "1991" manufacturer "Capcom" desc "The King of Dragons (World 910731)" devices ())
(name "kodu" year "1991" manufacturer "Capcom" desc "The King of Dragons (USA 910910)" devices ())
(name "kof10th" year "2002" manufacturer "bootleg" desc "The King of Fighters 10th Anniversary (bootleg of The King of Fighters 2002)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2000" year "2000" manufacturer "SNK" desc "The King of Fighters 2000 (NGM-2570 ~ NGH-2570)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2000n" year "2000" manufacturer "SNK" desc "The King of Fighters 2000 (not encrypted)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2001" year "2001" manufacturer "Eolith / SNK" desc "The King of Fighters 2001 (NGM-262?)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2001h" year "2001" manufacturer "Eolith / SNK" desc "The King of Fighters 2001 (NGH-2621)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2002" year "2002" manufacturer "Eolith / Playmore" desc "The King of Fighters 2002 (NGM-2650 ~ NGH-2650)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2002b" year "2002" manufacturer "bootleg" desc "The King of Fighters 2002 (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2002um" year "2009" manufacturer "SNK Playmore / New Channel" desc "The King of Fighters - Fuchou Zhi Lu/Road to Revenge / The King of Fighters 2002 Unlimited Match (China)" devices ())
(name "kof2002umj" year "2009" manufacturer "SNK Playmore" desc "The King of Fighters 2002 Unlimited Match (Japan)" devices ())
(name "kof2003" year "2003" manufacturer "SNK Playmore" desc "The King of Fighters 2003 (NGM-2710, Export)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2003h" year "2003" manufacturer "SNK Playmore" desc "The King of Fighters 2003 (NGH-2710)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof2k4se" year "2004" manufacturer "bootleg" desc "The King of Fighters Special Edition 2004 (bootleg of The King of Fighters 2002)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof94" year "1994" manufacturer "SNK" desc "The King of Fighters '94 (NGM-055 ~ NGH-055)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof95" year "1995" manufacturer "SNK" desc "The King of Fighters '95 (NGM-084)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof95a" year "1995" manufacturer "SNK" desc "The King of Fighters '95 (NGM-084, alt board)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof95h" year "1995" manufacturer "SNK" desc "The King of Fighters '95 (NGH-084)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof96" year "1996" manufacturer "SNK" desc "The King of Fighters '96 (NGM-214)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof96h" year "1996" manufacturer "SNK" desc "The King of Fighters '96 (NGH-214)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof97" year "1997" manufacturer "SNK" desc "The King of Fighters '97 (NGM-2320)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof97h" year "1997" manufacturer "SNK" desc "The King of Fighters '97 (NGH-2320)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof97k" year "1997" manufacturer "SNK" desc "The King of Fighters '97 (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof97oro" year "1997" manufacturer "bootleg" desc "The King of Fighters '97 Chongchu Jianghu Plus 2003 (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof97pls" year "1997" manufacturer "bootleg" desc "The King of Fighters '97 Plus (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98" year "1998" manufacturer "SNK" desc "The King of Fighters '98 - The Slugfest / King of Fighters '98 - Dream Match Never Ends (NGM-2420)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98a" year "1998" manufacturer "SNK" desc "The King of Fighters '98 - The Slugfest / King of Fighters '98 - Dream Match Never Ends (NGM-2420, alt board)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98h" year "1998" manufacturer "SNK" desc "The King of Fighters '98 - The Slugfest / King of Fighters '98 - Dream Match Never Ends (NGH-2420)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98k" year "1998" manufacturer "SNK" desc "The King of Fighters '98 - The Slugfest / King of Fighters '98 - Dream Match Never Ends (Korean board, set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98ka" year "1998" manufacturer "SNK" desc "The King of Fighters '98 - The Slugfest / King of Fighters '98 - Dream Match Never Ends (Korean board, set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof98um" year "2008" manufacturer "SNK" desc "The King of Fighters '98: Ultimate Match (v1.00)" devices ())
(name "kof98umh" year "2009" manufacturer "IGS / SNK Playmore / New Channel" desc "The King of Fighters '98: Ultimate Match HERO (China, V100, 09-08-23)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kof99" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (NGM-2510)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof99e" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (earlier)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof99h" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (NGH-2510)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof99k" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof99ka" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (Korean release, non-encrypted program)" devices ((name "memcard" briefname "memc" ) ()))
(name "kof99p" year "1999" manufacturer "SNK" desc "The King of Fighters '99 - Millennium Battle (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "kofnw" year "2004" manufacturer "Sammy / SNK Playmore" desc "The King of Fighters Neowave" devices ())
(name "kofnwj" year "2004" manufacturer "Sammy / SNK Playmore" desc "The King of Fighters Neowave (Japan)" devices ())
(name "kofskyst" year "2010" manufacturer "Moss / SNK Playmore" desc "KOF Sky Stage (v1.00J)" devices ())
(name "koftball" year "1995" manufacturer "BMC" desc "King of Football" devices ())
(name "kofxi" year "2005" manufacturer "Sammy / SNK Playmore" desc "The King of Fighters XI" devices ())
(name "kofxii" year "2009" manufacturer "SNK Playmore" desc "The King of Fighters XII (v1.00)" devices ())
(name "kog" year "1997" manufacturer "bootleg" desc "King of Gladiator (bootleg of The King of Fighters '97)" devices ((name "memcard" briefname "memc" ) ()))
(name "kohinoor" year "2003" manufacturer "Aristocrat" desc "Kohinoor (10136711, NSW/ACT)" devices ())
(name "koikoi" year "1982" manufacturer "Kiwako" desc "Koi Koi Part 2" devices ())
(name "koikois" year "1995" manufacturer "Visco" desc "Koi Koi Shimasho - Super Real Hanafuda" devices ())
(name "koikois2" year "1997" manufacturer "Visco" desc "Koi Koi Shimasho 2 - Super Real Hanafuda (Japan)" devices ())
(name "koinomp" year "1992" manufacturer "Nichibutsu" desc "Mahjong Koi no Magic Potion (Japan)" devices ())
(name "kok" year "19??" manufacturer "bootleg" desc "Povar / Sobrat' Buran / Agroprom (Arcade multi-game bootleg of ZX Spectrum 'Cookie', 'Jetpac' & 'Pssst')" devices ())
(name "kokoroj" year "1992" manufacturer "Sega" desc "Soreike Kokology (Rev A)" devices ((name "cdrom" briefname "cdrm" )))
(name "kokoroj2" year "1993" manufacturer "Sega" desc "Soreike Kokology Vol. 2 - Kokoro no Tanteikyoku" devices ((name "cdrom" briefname "cdrm" )))
(name "kokoroja" year "1992" manufacturer "Sega" desc "Soreike Kokology" devices ((name "cdrom" briefname "cdrm" )))
(name "kollon" year "2003" manufacturer "Taito" desc "Kollon (V2.04JA 2003/11/01 12:00)" devices ((name "harddisk" briefname "hard" )))
(name "kollonc" year "2003" manufacturer "Taito" desc "Kollon (V2.04JC 2003/11/01 12:00)" devices ((name "harddisk" briefname "hard" )))
(name "komemokos" year "199?" manufacturer "hack" desc "Komemokos (hack of 'Pac-Man (Cirsa, Spanish bootleg)')" devices ())
(name "komocomo" year "1995" manufacturer "bootleg" desc "Komo Como (Topmar, bootleg?)" devices ())
(name "konam80a" year "1998" manufacturer "Konami" desc "Konami 80's AC Special (GC826 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "konam80j" year "1998" manufacturer "Konami" desc "Konami 80's Gallery (GC826 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "konam80k" year "1998" manufacturer "Konami" desc "Konami 80's AC Special (GC826 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "konam80s" year "1998" manufacturer "Konami" desc "Konami 80's AC Special (GC826 VER. EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "konam80u" year "1998" manufacturer "Konami" desc "Konami 80's AC Special (GC826 VER. UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "konami88" year "1988" manufacturer "Konami" desc "Konami '88" devices ())
(name "konamigt" year "1985" manufacturer "Konami" desc "Konami GT" devices ())
(name "konek" year "198?" manufacturer "Terminal" desc "Konek-Gorbunok" devices ())
(name "kong" year "198?" manufacturer "Taito do Brasil" desc "Kong (Donkey Kong conversion on Galaxian hardware)" devices ())
(name "kongball" year "1997" manufacturer "TCH / Digital Dreams Multimedia" desc "Kong Ball (prototype)" devices ())
(name "konhaji" year "2001" manufacturer "Nichibutsu/Love Factory" desc "Konnano Hajimete! (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "konin" year "198?" manufacturer "Mera-Elzab" desc "Konin" devices ())
(name "konotako" year "2003" manufacturer "Mitchell" desc "Kono e Tako (10021 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "kontest" year "1987?" manufacturer "Konami" desc "Konami Test Board (GX800, Japan)" devices ())
(name "kontiki" year "1984" manufacturer "Kontiki Data A/S" desc "KONTIKI 100" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "kontur" year "1987" manufacturer "<unknown>" desc "PK8020 Kontur" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "konzero" year "200?" manufacturer "Konami" desc "Zero (Konami Endeavour)" devices ())
(name "kookabuk" year "1999" manufacturer "Aristocrat" desc "Kooka Bucks (0100677V, NSW/ACT)" devices ())
(name "kopunch" year "1981" manufacturer "Sega" desc "KO Punch" devices ())
(name "korg707" year "1987" manufacturer "Korg" desc "707 Performing Synthesizer" devices ((name "cartridge" briefname "cart" )))
(name "korgm1" year "1988" manufacturer "Korg" desc "M1 Music Workstation (Rev 19)" devices ())
(name "korgm1ex" year "1988" manufacturer "Korg" desc "M1 EX Music Workstation (v1.29)" devices ())
(name "korgm1p1" year "1993" manufacturer "InVision Interactive" desc "M1 Plus+1 Music Workstation" devices ())
(name "korgm1r" year "1988" manufacturer "Korg" desc "M1R Music Workstation (v1.06)" devices ())
(name "korgm1rex" year "1988" manufacturer "Korg" desc "M1R EX Music Workstation (v1.12)" devices ())
(name "korgwsad" year "1991" manufacturer "Korg" desc "WaveStation A/D" devices ())
(name "korgwsex" year "1992" manufacturer "Korg" desc "WaveStation EX" devices ())
(name "korgwssr" year "1992" manufacturer "Korg" desc "WaveStation SR" devices ())
(name "korgz3" year "1988" manufacturer "Korg" desc "Z3 Guitar Synthesizer" devices ())
(name "korinai" year "1988" manufacturer "Nichibutsu" desc "Mahjong-zukino Korinai Menmen (Japan 880425)" devices ())
(name "korinaim" year "1988" manufacturer "Nichibutsu" desc "Mahjong-zukino Korinai Menmen (Japan 880920, medal)" devices ())
(name "korokoro" year "1999" manufacturer "Takumi" desc "Koro Koro Quest (Japan)" devices ())
(name "koroleva" year "198?" manufacturer "Terminal" desc "Snezhnaja Koroleva" devices ())
(name "koropens" year "1997" manufacturer "Konami" desc "Korokoro Pensuke" devices ())
(name "korosuke" year "1981" manufacturer "Alpha Denshi Co. / Kural Electric, Ltd." desc "Korosuke Roller (Japan)" devices ())
(name "korvet" year "1987" manufacturer "<unknown>" desc "PK8020 Korvet" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "koshien" year "1990" manufacturer "Taito Corporation" desc "Ah Eikou no Koshien (Japan)" devices ())
(name "kosmicmt" year "1989" manufacturer "bootleg (Elektronika)" desc "Kosmicheskiy most" devices ())
(name "kosmicpt" year "19??" manufacturer "bootleg (Elektronika)" desc "Kosmicheskiy polyot" devices ())
(name "kosmokil" year "1980?" manufacturer "bootleg (BEM)" desc "Kosmo Killer" devices ())
(name "kosteel" year "1984" manufacturer "Bally" desc "Kings of Steel" devices ())
(name "kot" year "198?" manufacturer "Terminal" desc "Kot-Rybolov (Terminal)" devices ())
(name "kotbinsp" year "1997" manufacturer "Dynax / Shinwhajin" desc "Kkot Bi Nyo Special (Korea)" devices ())
(name "kotbinyo" year "1997" manufacturer "Dynax / Shinwhajin" desc "Kkot Bi Nyo (Korea)" devices ())
(name "kothello" year "1990" manufacturer "Success" desc "Kyuukyoku no Othello" devices ())
(name "kotm" year "1991" manufacturer "SNK" desc "King of the Monsters (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "kotm2" year "1992" manufacturer "SNK" desc "King of the Monsters 2 - The Next Thing (NGM-039 ~ NGH-039)" devices ((name "memcard" briefname "memc" ) ()))
(name "kotm2a" year "1992" manufacturer "SNK" desc "King of the Monsters 2 - The Next Thing (older)" devices ((name "memcard" briefname "memc" ) ()))
(name "kotm2p" year "1992" manufacturer "SNK" desc "King of the Monsters 2 - The Next Thing (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "kotmh" year "1991" manufacturer "SNK" desc "King of the Monsters (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "kouyakyu" year "1985" manufacturer "Alpha Denshi Co." desc "The Koukou Yakyuu" devices ())
(name "kov" year "1999" manufacturer "IGS" desc "Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (ver. 117, Hong Kong)" devices ())
(name "kov111" year "1999" manufacturer "IGS" desc "Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (ver. 111, Japanese Board)" devices ())
(name "kov114" year "1999" manufacturer "IGS" desc "Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (ver. 114, Hong Kong)" devices ())
(name "kov115" year "1999" manufacturer "IGS" desc "Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (ver. 115)" devices ())
(name "kov2" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 107, 102, 100HK)" devices ())
(name "kov2100" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 100, 100, 100HK)" devices ())
(name "kov2101" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 101, 101, 100HK)" devices ())
(name "kov2102" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 102, 101, 100HK)" devices ())
(name "kov21022" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 102, 102, 100HK)" devices ())
(name "kov2103" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 103, 101, 100HK)" devices ())
(name "kov2104" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 104, 102, 100HK)" devices ())
(name "kov2106" year "2000" manufacturer "IGS" desc "Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 106, 102, 100HK)" devices ())
(name "kov2nl" year "2008" manufacturer "IGS" desc "Knights of Valour 2 New Legend / Sanguo Zhan Ji 2 Guang Sao Yu Jun (V302, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2nl_300" year "2008" manufacturer "IGS" desc "Knights of Valour 2 New Legend / Sanguo Zhan Ji 2 Guang Sao Yu Jun (V300, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2nl_300cn" year "2008" manufacturer "IGS (Huatong license)" desc "Sanguo Zhan Ji 2 Gaishi Yingxiong (V300, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2nl_301" year "2008" manufacturer "IGS" desc "Knights of Valour 2 New Legend / Sanguo Zhan Ji 2 Guang Sao Yu Jun (V301, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2nl_301cn" year "2008" manufacturer "IGS (Huatong license)" desc "Sanguo Zhan Ji 2 Gaishi Yingxiong (V301, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2nl_302cn" year "2008" manufacturer "IGS (Huatong license)" desc "Sanguo Zhan Ji 2 Gaishi Yingxiong (V302, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov2p" year "2001" manufacturer "IGS" desc "Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki Busyou Souha (ver. M205XX, 200, 100CN)" devices ())
(name "kov2p200" year "2001" manufacturer "IGS" desc "Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki Busyou Souha (ver. M200XX, 200, 100CN)" devices ())
(name "kov2p202" year "2001" manufacturer "IGS" desc "Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki Busyou Souha (ver. M202XX, 200, 100CN)" devices ())
(name "kov2p203" year "2001" manufacturer "IGS" desc "Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki Busyou Souha (ver. M203XX, 200, 100CN)" devices ())
(name "kov2p204" year "2001" manufacturer "IGS" desc "Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki Busyou Souha (ver. M204XX, 200, 100CN)" devices ())
(name "kov3" year "2011" manufacturer "IGS (Huatong license)" desc "Knights of Valour 3 / Sanguo Zhan Ji 3 (V104, China, Hong Kong, Taiwan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov3_100" year "2011" manufacturer "IGS (Huatong license)" desc "Knights of Valour 3 / Sanguo Zhan Ji 3 (V100, China, Hong Kong, Taiwan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov3_101" year "2011" manufacturer "IGS (Huatong license)" desc "Knights of Valour 3 / Sanguo Zhan Ji 3 (V101, China, Hong Kong, Taiwan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov3_102" year "2011" manufacturer "IGS (Huatong license)" desc "Knights of Valour 3 / Sanguo Zhan Ji 3 (V102, China, Hong Kong, Taiwan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "kov3hd" year "2011" manufacturer "IGS" desc "Knights of Valour 3 HD (M-105CN 13-07-04 18:54:01)" devices ())
(name "kov3hd101" year "2011" manufacturer "IGS" desc "Knights of Valour 3 HD (V101)" devices ())
(name "kov3hd102" year "2011" manufacturer "IGS" desc "Knights of Valour 3 HD (V102)" devices ())
(name "kov3hd103" year "2011" manufacturer "IGS" desc "Knights of Valour 3 HD (V103)" devices ())
(name "kov3hd104" year "2011" manufacturer "IGS" desc "Knights of Valour 3 HD (V104)" devices ())
(name "kov7sprt" year "2003" manufacturer "IGS / Sammy" desc "Knights of Valour - The Seven Spirits" devices ())
(name "kovlsjb" year "200?" manufacturer "bootleg" desc "Luanshi Jie Ba (bootleg of Knights of Valour Super Heroes Plus, ver. 200CN, set 1)" devices ())
(name "kovlsjba" year "200?" manufacturer "bootleg" desc "Luanshi Jie Ba (bootleg of Knights of Valour Super Heroes Plus, ver. 200CN, set 2)" devices ())
(name "kovlsqh" year "200?" manufacturer "bootleg" desc "Luanshi Quanhuang (bootleg of Knights of Valour Super Heroes Plus, ver. 200CN)" devices ())
(name "kovlsqh2" year "200?" manufacturer "bootleg" desc "Luanshi Quanhuang 2 (bootleg of Knights of Valour Super Heroes Plus, ver. 200CN)" devices ())
(name "kovplus" year "1999" manufacturer "IGS" desc "Knights of Valour Plus / Sanguo Zhan Ji Zhengzong Plus / Sangoku Senki Masamune Plus (ver. 119, set 1)" devices ())
(name "kovplusa" year "1999" manufacturer "IGS" desc "Knights of Valour Plus / Sanguo Zhan Ji Zhengzong Plus / Sangoku Senki Masamune Plus (ver. 119, set 2)" devices ())
(name "kovqhsgs" year "2008" manufacturer "bootleg" desc "Quanhuang Sanguo Tebie Ban (bootleg of Knights of Valour Super Heroes, V303CN, Nov 21 2008 19:03:49)" devices ())
(name "kovsgqyz" year "1999" manufacturer "bootleg" desc "Sanguo Qunying Zhuan Zhengzong Plus (bootleg of Knights of Valour Plus, set 1)" devices ())
(name "kovsgqyza" year "1999" manufacturer "bootleg" desc "Sanguo Qunying Zhuan Zhengzong Plus (bootleg of Knights of Valour Plus, set 2)" devices ())
(name "kovsgqyzb" year "1999" manufacturer "bootleg" desc "Sanguo Qunying Zhuan Zhengzong Plus (bootleg of Knights of Valour Plus, set 3)" devices ())
(name "kovsh" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (ver. 104, CN)" devices ())
(name "kovsh100" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (ver. 100, CN)" devices ())
(name "kovsh101" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (ver. 101, CN)" devices ())
(name "kovsh102" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (ver. 102, CN)" devices ())
(name "kovsh103" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (ver. 103, CN)" devices ())
(name "kovshp" year "2004" manufacturer "IGS" desc "Knights of Valour Super Heroes Plus / Sanguo Zhan Ji Luanshi Xiaoxiong (ver. 101)" devices ())
(name "kovshp100" year "2004" manufacturer "IGS" desc "Knights of Valour Super Heroes Plus / Sanguo Zhan Ji Luanshi Xiaoxiong (ver. 100)" devices ())
(name "kovshxas" year "2008" manufacturer "bootleg" desc "Aoshi Sanguo (bootleg of Knights of Valour Super Heroes Plus, V202CN, Oct 6 2008 09:59:26)" devices ())
(name "kovytzy" year "1999" manufacturer "IGS" desc "Knights of Valour Super Heroes / Sanguo Zhan Ji Fengyun Zaiqi / Sangoku Senki Super Heroes (SANGO EX+) (ver. 201 'Yitong Zhongyuan', China)" devices ())
(name "kozure" year "1987" manufacturer "Nichibutsu" desc "Kozure Ookami (Japan)" devices ())
(name "kpontoon" year "1993" manufacturer "Konami" desc "Pontoon (Konami)" devices ())
(name "kpv106" year "1996" manufacturer "Capcom" desc "Kingpin (Pinball)" devices ())
(name "kr03" year "1986" manufacturer "Elektronika" desc "KR-03" devices ((name "cassette" briefname "cass" )))
(name "kram" year "1982" manufacturer "Taito America Corporation" desc "Kram (rev 1)" devices ())
(name "krama" year "1982" manufacturer "Taito America Corporation" desc "Kram" devices ())
(name "krame" year "1982" manufacturer "Taito America Corporation" desc "Kram (encrypted)" devices ())
(name "kramermc" year "1987" manufacturer "Manfred Kramer" desc "Kramer MC" devices ())
(name "krista2" year "1987" manufacturer "<unknown>" desc "Krista-2" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" )))
(name "kristall2" year "1987" manufacturer "<unknown>" desc "Kristall-2" devices ((name "cassette" briefname "cass" )))
(name "krokha" year "1990" manufacturer "SKB Kontur" desc "Krokha" devices ())
(name "kron180" year "1995" manufacturer "Kron Ltd" desc "Kron K-180" devices ())
(name "kroozr" year "1982" manufacturer "Bally Midway" desc "Kozmik Kroozr" devices ())
(name "krull" year "1983" manufacturer "Gottlieb" desc "Krull" devices ())
(name "krullp" year "1983" manufacturer "Gottlieb" desc "Krull (Pinball)" devices ())
(name "krvnjvtv" year "1979" manufacturer "SOE" desc "OC Jeu Video TV Karvan" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "krybolov" year "1989" manufacturer "bootleg (Elektronika)" desc "Kot-rybolov (Elektronika)" devices ())
(name "krzybowl" year "1994" manufacturer "American Sammy" desc "Krazy Bowl" devices ())
(name "ks32" year "1992" manufacturer "Ensoniq" desc "KS-32" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "ksayakyu" year "1985" manufacturer "Taito Corporation" desc "Kusayakyuu" devices ())
(name "kskatedie" year "1989" manufacturer "Konami" desc "Skate or Die (Konami, handheld)" devices ())
(name "ksp10" year "199?" manufacturer "Kawai Musical Instruments Manufacturing" desc "KSP10 Digital Piano" devices ())
(name "kst25" year "1991" manufacturer "Konami" desc "Star Trek: 25th Anniversary (handheld)" devices ())
(name "kt216wb5" year "19??" manufacturer "KT Technology" desc "KT216WB5-HI Rev.2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "kt76" year "1996" manufacturer "Ensoniq" desc "KT-76" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ktiger" year "1989" manufacturer "Toaplan / Taito Corporation" desc "Kyukyoku Tiger (Japan, 2 player cooperative)" devices ())
(name "ktiger2" year "1995" manufacturer "Taito Corporation" desc "Kyukyoku Tiger II (Ver 2.1J 1995/11/30)" devices ())
(name "ktigera" year "1987" manufacturer "Toaplan / Taito Corporation" desc "Kyukyoku Tiger (Japan, 2 player alternate)" devices ())
(name "ktm3" year "1980" manufacturer "Synertek Systems" desc "KTM-3" devices ())
(name "ktmnt" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (handheld)" devices ())
(name "ktmnt2" year "1990" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles II: Splinter Speaks (handheld)" devices ())
(name "ktmnt3" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles 3: Shredder's Last Stand (handheld)" devices ())
(name "ktmntbb" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles: Basketball" devices ())
(name "ktopgun" year "1989" manufacturer "Konami" desc "Top Gun (handheld)" devices ())
(name "ktopgun2" year "1991" manufacturer "Konami" desc "Top Gun: Second Mission (handheld)" devices ())
(name "ktparman" year "1983" manufacturer "Bandai" desc "Kiteyo Parman" devices ())
(name "ktx20t02" year "198?" manufacturer "Quadtel" desc "QTC-SXM KT X20T02/HI Rev.3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "kuhga" year "1989" manufacturer "Data East Corporation" desc "Kuhga - Operation Code 'Vapor Trail' (Japan revision 3)" devices ())
(name "kungfu" year "1992" manufacturer "IGS" desc "Kung Fu Fighters (IGS, v202N)" devices ())
(name "kungfua" year "1992" manufacturer "IGS" desc "Kung Fu Fighters (IGS, v100)" devices ())
(name "kungfub" year "1984" manufacturer "bootleg" desc "Kung-Fu Master (bootleg set 1)" devices ())
(name "kungfub2" year "1984" manufacturer "bootleg" desc "Kung-Fu Master (bootleg set 2)" devices ())
(name "kungfub3s" year "1984" manufacturer "bootleg" desc "Kung-Fu Senjyo (bootleg, Spanish)" devices ())
(name "kungfum" year "1984" manufacturer "Irem" desc "Kung-Fu Master (World)" devices ())
(name "kungfumd" year "1984" manufacturer "Irem (Data East USA license)" desc "Kung-Fu Master (US)" devices ())
(name "kungfur" year "1987" manufacturer "Namco" desc "Kung-Fu Roushi" devices ())
(name "kungfut" year "1984" manufacturer "Seibu Kaihatsu" desc "Kung-Fu Taikun (set 1)" devices ())
(name "kungfuta" year "1984" manufacturer "Seibu Kaihatsu" desc "Kung-Fu Taikun (set 2)" devices ())
(name "kuniokun" year "1986" manufacturer "Technos Japan" desc "Nekketsu Kouha Kunio-kun (Japan)" devices ())
(name "kuniokunb" year "1986" manufacturer "bootleg" desc "Nekketsu Kouha Kunio-kun (Japan bootleg)" devices ())
(name "kurdart" year "199?" manufacturer "K7 Kursaal" desc "Kursaal Darts" devices ())
(name "kurikint" year "1988" manufacturer "Taito Corporation Japan" desc "Kuri Kinton (World)" devices ())
(name "kurikinta" year "1988" manufacturer "Taito Corporation Japan" desc "Kuri Kinton (World, prototype?)" devices ())
(name "kurikintj" year "1988" manufacturer "Taito Corporation" desc "Kuri Kinton (Japan)" devices ())
(name "kurikintu" year "1988" manufacturer "Taito America Corporation" desc "Kuri Kinton (US)" devices ())
(name "kurikintw" year "1988" manufacturer "Taito Corporation (World Games, Inc. license)" desc "Kuri Kinton (US, World Games license)" devices ())
(name "kurucham" year "2006" manufacturer "Able" desc "Kurukuru Chameleon (Japan) (GDL-0034)" devices ((name "cdrom" briefname "cdrm" )))
(name "kurufev" year "2003" manufacturer "Aruze / Takumi" desc "Kurukuru Fever" devices ())
(name "kurukuru" year "1990" manufacturer "Success / Taiyo Jidoki" desc "Kuru Kuru Pyon Pyon (Japan)" devices ())
(name "kuzmich" year "199?" manufacturer "Nippel" desc "Kuzmich-Egorych" devices ())
(name "kvakazad" year "1989" manufacturer "bootleg (Elektronika)" desc "Kvaka-zadavaka" devices ())
(name "kyhatonu" year "2000" manufacturer "Aristocrat" desc "Keep Your Hat On (BHG1204, US)" devices ())
(name "kyoxt" year "198?" manufacturer "Kyocera" desc "XT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "kyros" year "1987" manufacturer "Alpha Denshi Co. (World Games Inc. license)" desc "Kyros" devices ())
(name "kyrosj" year "1986" manufacturer "Alpha Denshi Co." desc "Kyros no Yakata (Japan)" devices ())
(name "kyuhito" year "1988" manufacturer "Roller Tron" desc "Kyukyoku no Hito (Japan 880824)" devices ())
(name "kyukaidk" year "1990" manufacturer "Namco" desc "Kyuukai Douchuuki (Japan, new version (Rev B))" devices ())
(name "kyukaidko" year "1990" manufacturer "Namco" desc "Kyuukai Douchuuki (Japan, old version)" devices ())
(name "kyustrkr" year "1989" manufacturer "East Technology" desc "Last Striker / Kyuukyoku no Striker" devices ())
(name "kz26" year "1984" manufacturer "Playmatic" desc "KZ-26" devices ())
(name "kzaurus" year "1995" manufacturer "Konami" desc "Pittanko Zaurus" devices ())
(name "l9nibble" year "19??" manufacturer "Nibble" desc "Lucky 9" devices ())
(name "la120" year "1978" manufacturer "Digital Equipment Corporation" desc "DECwriter III (LA120)" devices ())
(name "labrinth" year "2001" manufacturer "Nazionale Elettronica" desc "Labyrinth (Ver 1.5)" devices ())
(name "labtam" year "1983" manufacturer "Labtam International" desc "3006" devices ((name "floppydisk" briefname "flop" )))
(name "labyrunr" year "1987" manufacturer "Konami" desc "Labyrinth Runner (Japan)" devices ())
(name "labyrunrk" year "1987" manufacturer "Konami" desc "Labyrinth Runner (World Ver. K)" devices ())
(name "lacrazyc" year "1996" manufacturer "Konami" desc "Let's Attack Crazy Cross (GV027 Asia 1.10)" devices ((name "cdrom" briefname "cdrm" )))
(name "ladybug" year "1981" manufacturer "Universal" desc "Lady Bug" devices ())
(name "ladybugb" year "1981" manufacturer "bootleg" desc "Lady Bug (bootleg)" devices ())
(name "ladybugb2" year "1981" manufacturer "bootleg (Model Racing)" desc "Coccinelle (bootleg of Lady Bug)" devices ())
(name "ladybugg" year "1983" manufacturer "bootleg" desc "Lady Bug (bootleg on Galaxian hardware)" devices ())
(name "ladyfrog" year "1990" manufacturer "Mondial Games" desc "Lady Frog" devices ())
(name "ladygolf" year "1984" manufacturer "Nintendo" desc "Vs. Stroke & Match Golf (Ladies Version, set LG4 ?)" devices ())
(name "ladygolfe" year "1984" manufacturer "Nintendo" desc "Vs. Stroke & Match Golf (Ladies Version, set LG4 E)" devices ())
(name "ladygum" year "1995?" manufacturer "Videos A A" desc "Lady Gum" devices ())
(name "ladykill" year "1993" manufacturer "Yanyaka (Mitchell license)" desc "Lady Killer" devices ())
(name "ladylinr" year "198?" manufacturer "TAB Austria" desc "Lady Liner (set 1)" devices ())
(name "ladylinra" year "198?" manufacturer "TAB Austria" desc "Lady Liner (set 2)" devices ())
(name "ladylinrb" year "198?" manufacturer "TAB Austria" desc "Lady Liner (encrypted, set 1)" devices ())
(name "ladylinrc" year "198?" manufacturer "TAB Austria" desc "Lady Liner (encrypted, set 2)" devices ())
(name "ladylinrd" year "198?" manufacturer "TAB Austria" desc "Lady Liner (encrypted, set 3)" devices ())
(name "ladylinre" year "198?" manufacturer "TAB Austria" desc "Lady Liner (encrypted, set 4)" devices ())
(name "ladyluck" year "1986" manufacturer "Bally" desc "Lady Luck" devices ())
(name "ladylukt" year "1981" manufacturer "Taito do Brasil" desc "Lady Luck (Taito)" devices ())
(name "ladymakr" year "1991" manufacturer "Nichibutsu" desc "Lady Maker (Japan)" devices ())
(name "ladymstr" year "1985" manufacturer "Kaneko / Taito" desc "Lady Master of Kung Fu (rev 1)" devices ())
(name "ladymstra" year "1985" manufacturer "Kaneko / Taito" desc "Lady Master of Kung Fu" devices ())
(name "ladyshot" year "1985" manufacturer "Game Plan" desc "Lady Sharpshooter (set 1)" devices ())
(name "ladyshota" year "1985" manufacturer "Game Plan" desc "Lady Sharpshooter (set 2)" devices ())
(name "lafootb" year "1980" manufacturer "Mattel Electronics" desc "Look Alive! Football" devices ())
(name "lagirl" year "1992" manufacturer "bootleg" desc "LA Girl" devices ())
(name "lagunar" year "1977" manufacturer "Midway" desc "Laguna Racer" devices ())
(name "lah_104f" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.04, display F1.01)" devices ())
(name "lah_104s" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.04, display L1.02)" devices ())
(name "lah_106c" year "1993" manufacturer "Data East" desc "Last Action Hero (Canada 1.06, display A1.04)" devices ())
(name "lah_107" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.07, display A1.06)" devices ())
(name "lah_108s" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.08, display L1.04)" devices ())
(name "lah_110" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.10, display A1.06)" devices ())
(name "lah_112" year "1993" manufacturer "Data East" desc "Last Action Hero (USA 1.12, display A1.06)" devices ())
(name "lah_xxx_s105" year "1993" manufacturer "Data East" desc "Last Action Hero (unknown CPU, display L1.05)" devices ())
(name "lamachin" year "1998" manufacturer "Sega" desc "L.A. Machineguns (Japan)" devices ())
(name "lambda" year "1982" manufacturer "Lambda Electronics Ltd" desc "Lambda 8300" devices ((name "cassette" briefname "cass" )))
(name "lancelot" year "1994" manufacturer "Peyper" desc "Sir Lancelot" devices ())
(name "landbrk" year "1999" manufacturer "Eolith" desc "Land Breaker (World) / Miss Tang Ja Ru Gi (Korea) (pcb ver 3.02)" devices ())
(name "landbrka" year "1999" manufacturer "Eolith" desc "Land Breaker (World) / Miss Tang Ja Ru Gi (Korea) (pcb ver 3.03) (AT89c52 protected)" devices ())
(name "landbrkb" year "1999" manufacturer "Eolith" desc "Land Breaker (World) / Miss Tang Ja Ru Gi (Korea) (pcb ver 1.0) (AT89c52 protected)" devices ())
(name "landgear" year "1995" manufacturer "Taito" desc "Landing Gear (Ver 4.2 O)" devices ())
(name "landgeara" year "1995" manufacturer "Taito" desc "Landing Gear (Ver 3.1 O)" devices ())
(name "landgearj" year "1995" manufacturer "Taito" desc "Landing Gear (Ver 4.2 J)" devices ())
(name "landgearja" year "1995" manufacturer "Taito" desc "Landing Gear (Ver 3.0 J)" devices ())
(name "landhigh" year "1999" manufacturer "Taito" desc "Landing High Japan (Ver 2.01 OK)" devices ((name "harddisk" briefname "hard" )))
(name "landhigha" year "1999" manufacturer "Taito" desc "Landing High Japan (Ver 2.02 O)" devices ((name "harddisk" briefname "hard" )))
(name "landmakr" year "1998" manufacturer "Taito Corporation" desc "Land Maker (Ver 2.02O 1998/06/02)" devices ())
(name "landmakrj" year "1998" manufacturer "Taito Corporation" desc "Land Maker (Ver 2.01J 1998/06/01)" devices ())
(name "landmakrp" year "1998" manufacturer "Taito Corporation" desc "Land Maker (Ver 2.02O 1998/06/02, prototype)" devices ())
(name "lans2004" year "1998" manufacturer "bootleg" desc "Lansquenet 2004 (bootleg of Shock Troopers - 2nd Squad)" devices ((name "memcard" briefname "memc" ) ()))
(name "lanteach" year "1980" manufacturer "Texas Instruments" desc "Language Teacher" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "lantrans" year "1979" manufacturer "Texas Instruments" desc "Language Translator" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "lantransp" year "1979" manufacturer "Texas Instruments" desc "Language Translator (patent)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "lapbylap" year "1986" manufacturer "Inder" desc "Lap By Lap" devices ())
(name "laperla" year "2002" manufacturer "Nazionale Elettronica" desc "La Perla Nera (Ver 2.0)" devices ())
(name "laperlag" year "2001" manufacturer "Nazionale Elettronica" desc "La Perla Nera Gold (Ver 2.0)" devices ())
(name "larana" year "1991" manufacturer "Inder" desc "La Rana (set 1)" devices ())
(name "larana2" year "1991" manufacturer "Inder" desc "La Rana (set 2)" devices ())
(name "las128e2" year "1988" manufacturer "Video Technology" desc "Laser 128ex2 (version 6.1)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "las128ex" year "1988" manufacturer "Video Technology" desc "Laser 128ex (version 4.5)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "las3000" year "1983" manufacturer "Video Technology" desc "Laser 3000" devices ((name "cassette" briefname "cass" )))
(name "laser" year "1980" manufacturer "bootleg (Leisure Time Electronics)" desc "Astro Laser (bootleg of Space Laser)" devices ())
(name "laser110" year "1983" manufacturer "Video Technology" desc "Laser 110" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "laser128" year "1987" manufacturer "Video Technology" desc "Laser 128" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "laser128o" year "1987" manufacturer "Video Technology" desc "Laser 128 (original hardware)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "laser200" year "1983" manufacturer "Video Technology" desc "Laser 200" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "laser210" year "1984" manufacturer "Video Technology" desc "Laser 210" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "laser2c" year "1985" manufacturer "Milmar" desc "Laser //c" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "laser2k1" year "2001" manufacturer "<unknown>" desc "Laser 2001 (Ver 1.2)" devices ())
(name "laser310" year "1984" manufacturer "Video Technology" desc "Laser 310" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "laser310h" year "1984" manufacturer "Video Technology" desc "Laser 310 (SHRG)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "laser350" year "1985" manufacturer "Video Technology" desc "Laser 350" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" )))
(name "laser500" year "1985" manufacturer "Video Technology" desc "Laser 500" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" )))
(name "laser700" year "1985" manufacturer "Video Technology" desc "Laser 700" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "laser_turbo_xt" year "1988" manufacturer "VTech" desc "Laser Turbo XT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "laser_xt3" year "1989" manufacturer "VTech" desc "Laser XT/3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "laseract" year "1993" manufacturer "Pioneer / Sega" desc "LaserActive with Genesis Pack PAC-S10 (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "laseractj" year "1993" manufacturer "Pioneer / Sega" desc "LaserActive with Mega Drive Pack PAC-S1 (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "laserbas" year "1981" manufacturer "Hoei (Amstar license)" desc "Laser Base (set 1)" devices ())
(name "laserbasa" year "1981" manufacturer "Hoei (Amstar license)" desc "Laser Base (set 2)" devices ())
(name "laserbat" year "1981" manufacturer "Zaccaria" desc "Laser Battle" devices ())
(name "lasr2001" year "1983" manufacturer "Video Technology" desc "Laser 2001" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "lasso" year "1982" manufacturer "SNK" desc "Lasso" devices ())
(name "lasstixx" year "1995" manufacturer "CD Express" desc "Laser Strixx 2" devices ((name "cdrom" briefname "cdrm" )))
(name "lastapos" year "1988" manufacturer "Home Data" desc "The Last Apostle Puppetshow" devices ())
(name "lastbank" year "1994" manufacturer "Excellent System" desc "Last Bank (v1.16)" devices ())
(name "lastbh" year "1994" manufacturer "American Laser Games" desc "The Last Bounty Hunter (v1.01)" devices ())
(name "lastbh_006" year "1994" manufacturer "American Laser Games" desc "The Last Bounty Hunter (v0.06)" devices ())
(name "lastblad" year "1997" manufacturer "SNK" desc "The Last Blade / Bakumatsu Roman - Gekka no Kenshi (NGM-2340)" devices ((name "memcard" briefname "memc" ) ()))
(name "lastbladh" year "1997" manufacturer "SNK" desc "The Last Blade / Bakumatsu Roman - Gekka no Kenshi (NGH-2340)" devices ((name "memcard" briefname "memc" ) ()))
(name "lastbld2" year "1998" manufacturer "SNK" desc "The Last Blade 2 / Bakumatsu Roman - Dai Ni Maku Gekka no Kenshi (NGM-2430 ~ NGH-2430)" devices ((name "memcard" briefname "memc" ) ()))
(name "lastbrnx" year "1996" manufacturer "Sega" desc "Last Bronx (Export, Revision A)" devices ())
(name "lastbrnxj" year "1996" manufacturer "Sega" desc "Last Bronx: Tokyo Bangaichi (Japan, Revision A)" devices ())
(name "lastbrnxu" year "1996" manufacturer "Sega" desc "Last Bronx (USA, Revision A)" devices ())
(name "lastday" year "1990" manufacturer "Dooyong" desc "The Last Day (set 1)" devices ())
(name "lastdaya" year "1990" manufacturer "Dooyong" desc "The Last Day (set 2)" devices ())
(name "lastduel" year "1988" manufacturer "Capcom" desc "Last Duel (US New Ver.)" devices ())
(name "lastduelb" year "1988" manufacturer "bootleg" desc "Last Duel (bootleg)" devices ())
(name "lastduelj" year "1988" manufacturer "Capcom" desc "Last Duel (Japan)" devices ())
(name "lastduelo" year "1988" manufacturer "Capcom" desc "Last Duel (US Old Ver.)" devices ())
(name "lastfght" year "2000" manufacturer "Subsino" desc "Last Fighting" devices ())
(name "lastfort" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (Japan, VG420 PCB)" devices ())
(name "lastforte" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (China, Rev C)" devices ())
(name "lastfortea" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (China, Rev A)" devices ())
(name "lastfortg" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (Germany)" devices ())
(name "lastfortj" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (Japan, VG460 PCB)" devices ())
(name "lastfortk" year "1994" manufacturer "Metro" desc "Last Fortress - Toride (Korea)" devices ())
(name "lastfour" year "2001" manufacturer "B.R.L." desc "Last Four (09:12 16/01/2001)" devices ())
(name "lasthope" year "2005" manufacturer "NG:DEV.TEAM" desc "Last Hope (bootleg AES to MVS conversion, no coin support)" devices ((name "memcard" briefname "memc" ) ()))
(name "lastkm" year "1995" manufacturer "Gaelco / Zeus" desc "Last KM (ver 1.0.0275, checksum 13bff751, prototype)" devices ())
(name "lastlap" year "1978" manufacturer "Playmatic" desc "Last Lap" devices ())
(name "lastmisn" year "1986" manufacturer "Data East Corporation" desc "Last Mission (World revision 8)" devices ())
(name "lastmisnj" year "1986" manufacturer "Data East Corporation" desc "Last Mission (Japan)" devices ())
(name "lastmisnu5" year "1986" manufacturer "Data East USA" desc "Last Mission (US revision 5)" devices ())
(name "lastmisnu6" year "1986" manufacturer "Data East USA" desc "Last Mission (US revision 6)" devices ())
(name "lastsold" year "1997" manufacturer "SNK" desc "The Last Soldier (Korean release of The Last Blade)" devices ((name "memcard" briefname "memc" ) ()))
(name "laststar" year "1984" manufacturer "Atari Games" desc "The Last Starfighter (prototype)" devices ())
(name "lastsurv" year "1989" manufacturer "Sega" desc "Last Survivor (Japan) (FD1094 317-0083)" devices ())
(name "lastsurvd" year "1989" manufacturer "bootleg" desc "Last Survivor (Japan) (bootleg of FD1094 317-0083 set)" devices ())
(name "lasvegas" year "198?" manufacturer "hack" desc "Las Vegas, Nevada" devices ())
(name "lazarian" year "1981" manufacturer "Zaccaria (Bally Midway license)" desc "Lazarian" devices ())
(name "lazercmd" year "1976" manufacturer "Meadows Games, Inc." desc "Lazer Command" devices ())
(name "lazertag" year "2008" manufacturer "Tiger Electronics" desc "Lazer Tag Video Game Module" devices ())
(name "lazrlord" year "1984" manufacturer "Stern" desc "Lazer Lord" devices ())
(name "lb186" year "1985" manufacturer "Ampro Computers" desc "Little Board/186" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "lbeach" year "1979" manufacturer "Seletron / Olympia" desc "Long Beach" devices ())
(name "lbgrande" year "1997" manufacturer "Namco" desc "Libero Grande (World, LG2/VER.A)" devices ())
(name "lbowling" year "1990" manufacturer "SNK" desc "League Bowling (NGM-019 ~ NGH-019)" devices ((name "memcard" briefname "memc" ) ()))
(name "lbpc" year "1989" manufacturer "Ampro Computers" desc "Little Board/PC" devices ((name "floppydisk" briefname "flop" )))
(name "lbvbiosu" year "200?" manufacturer "Sega" desc "VBIOS updater" devices ())
(name "lc80" year "1984" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Lerncomputer LC 80 (set 1)" devices ((name "cassette" briefname "cass" )))
(name "lc80_2" year "1991" manufacturer "hack (Eckart Buschendorf)" desc "Lerncomputer LC 80.2" devices ((name "cassette" briefname "cass" )))
(name "lc80a" year "1984" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Lerncomputer LC 80 (set 2)" devices ((name "cassette" briefname "cass" )))
(name "lc80e" year "1984" manufacturer "VEB Mikroelektronik \"Karl Marx\" Erfurt" desc "Lerncomputer LC 80 (export)" devices ((name "cassette" briefname "cass" )))
(name "lc_11" year "1996" manufacturer "Bally" desc "League Champ (1.1) (Shuffle)" devices ())
(name "lca" year "1989" manufacturer "Gottlieb" desc "Lights...Camera...Action!" devices ())
(name "lca2" year "1989" manufacturer "Gottlieb" desc "Lights...Camera...Action! (rev.2)" devices ())
(name "lchicken" year "1980" manufacturer "LJN Toys" desc "I Took a Lickin' From a Chicken" devices ())
(name "lckydraw" year "1979" manufacturer "Mirco" desc "Lucky Draw (pinball, set 1)" devices ())
(name "lckydrawa" year "1979" manufacturer "Mirco" desc "Lucky Draw (pinball, set 2)" devices ())
(name "lcmate2" year "1984" manufacturer "VTech" desc "Laser Compumate 2" devices ())
(name "ld50" year "2002" manufacturer "Casio" desc "LD-50" devices ())
(name "ldmj1mbh" year "1991" manufacturer "Nichibutsu / AV Japan" desc "LD Mahjong #1 Marine Blue no Hitomi (Japan)" devices ())
(name "ldquiz4" year "1992" manufacturer "Nichibutsu / AV Japan" desc "LD Quiz dai 4-dan - Kotaetamon Gachi! (Japan)" devices ())
(name "ldrink" year "2004" manufacturer "Belatra" desc "Lucky Drink (set 1)" devices ())
(name "ldrinka" year "2004" manufacturer "Belatra" desc "Lucky Drink (set 2)" devices ())
(name "ldrun" year "1984" manufacturer "Irem (licensed from Broderbund)" desc "Lode Runner (set 1)" devices ())
(name "ldrun2" year "1984" manufacturer "Irem (licensed from Broderbund)" desc "Lode Runner II - The Bungeling Strikes Back" devices ())
(name "ldrun3" year "1985" manufacturer "Irem (licensed from Broderbund)" desc "Lode Runner III - The Golden Labyrinth" devices ())
(name "ldrun3j" year "1985" manufacturer "Irem (licensed from Broderbund)" desc "Lode Runner III - Majin no Fukkatsu (Japan)" devices ())
(name "ldrun4" year "1986" manufacturer "Irem (licensed from Broderbund)" desc "Lode Runner IV - Teikoku Karano Dasshutsu (Japan)" devices ())
(name "ldruna" year "1984" manufacturer "Irem (licensed from Broderbund, Digital Controls Inc. license)" desc "Lode Runner (set 2)" devices ())
(name "le2" year "1994" manufacturer "Konami" desc "Lethal Enforcers II: Gun Fighters (ver EAA)" devices ())
(name "le2j" year "1994" manufacturer "Konami" desc "Lethal Enforcers II: The Western (ver JAA)" devices ())
(name "le2u" year "1994" manufacturer "Konami" desc "Lethal Enforcers II: Gun Fighters (ver UAA)" devices ())
(name "leadang" year "1988" manufacturer "Seibu Kaihatsu" desc "Lead Angle (Japan)" devices ())
(name "leader" year "1995" manufacturer "bootleg" desc "Leader (version Z 2E, Greece)" devices ())
(name "leadera" year "1995" manufacturer "bootleg" desc "Leader (version Z 2F, Greece)" devices ())
(name "leaguemn" year "1993" manufacturer "Irem" desc "Yakyuu Kakutou League-Man (Japan, set 1)" devices ())
(name "leaguemna" year "1993" manufacturer "Irem" desc "Yakyuu Kakutou League-Man (Japan, set 2)" devices ())
(name "leapexpr" year "2010" manufacturer "LeapFrog" desc "Leapster Explorer" devices ((name "cartridge" briefname "cart" )))
(name "leappad" year "2001" manufacturer "LeapFrog" desc "LeapPad" devices ((name "cartridge" briefname "cart" )))
(name "leappadmic" year "2004" manufacturer "LeapFrog" desc "LeapPad Plus Microphone" devices ((name "cartridge" briefname "cart" )))
(name "leapster" year "2003" manufacturer "LeapFrog" desc "Leapster" devices ((name "cartridge" briefname "cart" )))
(name "leapster2" year "2009" manufacturer "LeapFrog" desc "Leapster 2" devices ((name "cartridge" briefname "cart" )))
(name "leapsterlmx" year "2005" manufacturer "LeapFrog" desc "Leapster L-MAX" devices ((name "cartridge" briefname "cart" )))
(name "leapstertv" year "2005" manufacturer "LeapFrog" desc "Leapster TV" devices ((name "cartridge" briefname "cart" )))
(name "learnwin" year "1986" manufacturer "VTech" desc "Learning-Window Teaching Machine (Rev 3)" devices ())
(name "learnwin1" year "1986" manufacturer "VTech" desc "Learning-Window Teaching Machine (Rev 1)" devices ())
(name "learnwin2" year "1986" manufacturer "VTech" desc "Learning-Window Teaching Machine (Rev 2)" devices ())
(name "learnwinf" year "1986" manufacturer "VTech" desc "Learning-Window Teaching Machine (French)" devices ())
(name "leboom" year "1980" manufacturer "Lakeside" desc "Le Boom" devices ())
(name "lectrono" year "1978" manufacturer "Stern" desc "Lectronamo" devices ())
(name "ledgmodd" year "198?" manufacturer "Leading Edge Hardware Products, Inc." desc "Model D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ledgmodm" year "198?" manufacturer "Leading Edge Hardware Products, Inc." desc "Model M" devices ((name "cassette" briefname "cass" ) (name "printout1" briefname "prin1" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout2" briefname "prin2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "leds2011" year "1988" manufacturer "Capcom" desc "Led Storm Rally 2011 (World)" devices ())
(name "leds2011p" year "1988" manufacturer "Capcom" desc "Led Storm Rally 2011 (US, prototype 12)" devices ())
(name "leds2011u" year "1988" manufacturer "Capcom" desc "Led Storm Rally 2011 (US)" devices ())
(name "ledstorm" year "1988" manufacturer "Capcom" desc "Led Storm (US)" devices ())
(name "lee1214d" year "1985" manufacturer "Lee Data" desc "1214D Display Terminal" devices ())
(name "lee1220" year "1983" manufacturer "Lee Data" desc "1220 Display Terminal" devices ())
(name "legend" year "1986" manufacturer "Kyugo / Sega" desc "Legend" devices ())
(name "legendb" year "1986" manufacturer "bootleg" desc "Legion (bootleg of Legend)" devices ())
(name "legendoh" year "2000" manufacturer "Limenko" desc "Legend of Heroes" devices ())
(name "legendos" year "1991" manufacturer "SNK / Wave" desc "Legend of Success Joe / Ashita no Joe Densetsu" devices ((name "memcard" briefname "memc" ) ()))
(name "legendsb" year "1996" manufacturer "bootleg" desc "Legend (SNES bootleg)" devices ())
(name "legion" year "1987" manufacturer "Nichibutsu" desc "Legion - Spinner-87 (World ver 2.03)" devices ())
(name "legionj" year "1987" manufacturer "Nichibutsu" desc "Chouji Meikyuu Legion (Japan ver 1.05, set 1)" devices ())
(name "legionj2" year "1987" manufacturer "Nichibutsu" desc "Chouji Meikyuu Legion (Japan ver 1.05, set 2)" devices ())
(name "legionjb" year "1987" manufacturer "bootleg" desc "Chouji Meikyuu Legion (Japan ver 1.05, bootleg set 1)" devices ())
(name "legionjb2" year "1987" manufacturer "bootleg" desc "Chouji Meikyuu Legion (Japan ver 1.05, bootleg set 2)" devices ())
(name "legionna" year "1992" manufacturer "TAD Corporation" desc "Legionnaire (World)" devices ())
(name "legionnaj" year "1992" manufacturer "TAD Corporation" desc "Legionnaire (Japan)" devices ())
(name "legionnau" year "1992" manufacturer "TAD Corporation (Fabtek license)" desc "Legionnaire (US)" devices ())
(name "legofair" year "1988" manufacturer "SNK" desc "Koukuu Kihei Monogatari - The Legend of Air Cavalry (Japan)" devices ())
(name "legrandc" year "198?" manufacturer "Isermatic France S.A." desc "Le Grandchamps" devices ())
(name "leking" year "1983" manufacturer "Jeutel" desc "Le King" devices ())
(name "lemans" year "1976" manufacturer "Atari" desc "Le Mans" devices ())
(name "lemans24" year "1997" manufacturer "Sega" desc "Le Mans 24 (Japan, Revision B)" devices ())
(name "lemmings" year "1991" manufacturer "Data East USA" desc "Lemmings (US prototype)" devices ())
(name "lemnangl" year "1990" manufacturer "Home Data" desc "Mahjong Lemon Angel (Japan)" devices ())
(name "lemrol" year "2004" manufacturer "Aristocrat" desc "Let 'em Roll (0151115, US)" devices ())
(name "leonardo" year "1986" manufacturer "SciSys / Heuristic Software" desc "Kasparov Leonardo (v1.4)" devices ())
(name "leonardoa" year "1986" manufacturer "SciSys / Heuristic Software" desc "Kasparov Leonardo (v1.2)" devices ())
(name "leonardob" year "1986" manufacturer "SciSys / Heuristic Software" desc "Kasparov Leonardo (v1.0)" devices ())
(name "lependu" year "198?" manufacturer "Avenir Amusement Inc." desc "Le Pendu (Bilingue, Version 04)" devices ())
(name "leprechn" year "1982" manufacturer "Pacific Polytechnical Corp." desc "Leprechaun (set 1)" devices ())
(name "leprechna" year "1982" manufacturer "Pacific Polytechnical Corp. (Tong Electronic license)" desc "Leprechaun (set 2)" devices ())
(name "leprgld" year "2001" manufacturer "WMS" desc "Leprechaun's Gold (Russian)" devices ())
(name "leprglds" year "2001" manufacturer "WMS" desc "Leprechaun's Gold (Spanish)" devices ())
(name "lespendu" year "198?" manufacturer "Voyageur de L'Espace Inc." desc "Le Super Pendu (V1, words set #1)" devices ())
(name "lespenduj" year "198?" manufacturer "Voyageur de L'Espace Inc." desc "Le Super Pendu (V1, words set #2)" devices ())
(name "lethalen" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver UAE, 11/19/92 15:04)" devices ())
(name "lethaleneaa" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver EAA, 09/09/92 09:44)" devices ())
(name "lethaleneab" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver EAB, 10/14/92 19:53)" devices ())
(name "lethalenead" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver EAD, 11/11/92 10:52)" devices ())
(name "lethaleneae" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver EAE, 11/19/92 16:24)" devices ())
(name "lethalenj" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver JAD, 12/04/92 17:16)" devices ())
(name "lethalenua" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver UAA, 08/17/92 21:38)" devices ())
(name "lethalenub" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver UAB, 09/01/92 11:12)" devices ())
(name "lethalenux" year "1992" manufacturer "Konami" desc "Lethal Enforcers (ver unknown, US, 08/06/92 15:11, hacked/proto?)" devices ())
(name "lethalj" year "1996" manufacturer "The Game Room" desc "Lethal Justice (Version 2.3)" devices ())
(name "lethalth" year "1991" manufacturer "Irem" desc "Lethal Thunder (World)" devices ())
(name "letsdnce" year "1999" manufacturer "dgPIX Entertainment Inc." desc "Let's Dance" devices ())
(name "letsgoju" year "2006" manufacturer "Sega" desc "Let's Go Jungle (Export)" devices ())
(name "letterlf" year "1980" manufacturer "Texas Instruments" desc "Letterlogic (France)" devices ())
(name "letterlg" year "1980" manufacturer "Texas Instruments" desc "Letterlogic (Germany)" devices ())
(name "levers" year "1983" manufacturer "Rock-Ola" desc "Levers" devices ())
(name "lexiart" year "200?" manufacturer "Lexibook" desc "Lexibook Junior My 1st Drawing Studio" devices ())
(name "lexifit" year "2009" manufacturer "Lexibook" desc "TV Fitness Center (Lexibook)" devices ())
(name "lexipcm" year "1999" manufacturer "Lexibook" desc "LexiPC Mega 2000 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "lexiseal" year "200?" manufacturer "Lexibook / Sit Up Limited / JungleTac" desc "Seal 50-in-1" devices ())
(name "lexitvsprt" year "200?" manufacturer "Lexibook" desc "TV Sports Plug & Play 5-in-1 (JG7000)" devices ())
(name "lexizeus" year "200?" manufacturer "Lexibook / JungleTac" desc "Zeus IG900 20-in-1 (US?)" devices ())
(name "lft1230" year "1985" manufacturer "L/F Technologies" desc "A1230 186 Master Processor" devices ())
(name "lft1510" year "1986" manufacturer "L/F Technologies" desc "A1510 186 User Processor" devices ())
(name "lgfish" year "2006" manufacturer "Aristocrat" desc "Let's Go Fish'n (10220111, NSW/ACT)" devices ())
(name "lgfisha" year "2006" manufacturer "Aristocrat" desc "Let's Go Fish'n (10223911, ASP)" devices ())
(name "lggp40" year "2011" manufacturer "LG" desc "GP40NW10 dvd writer" devices ())
(name "lghost" year "1990" manufacturer "Sega" desc "Laser Ghost (World) (FD1094 317-0166)" devices ())
(name "lghostd" year "1990" manufacturer "bootleg" desc "Laser Ghost (World) (bootleg of FD1094 317-0166 set)" devices ())
(name "lghostj" year "1990" manufacturer "Sega" desc "Laser Ghost (Japan) (FD1094 317-0164)" devices ())
(name "lghostu" year "1990" manufacturer "Sega" desc "Laser Ghost (US) (FD1094 317-0165)" devices ())
(name "lghostud" year "1990" manufacturer "bootleg" desc "Laser Ghost (US) (bootleg of FD1094 317-0165 set)" devices ())
(name "lgp" year "1983" manufacturer "Taito" desc "Laser Grand Prix" devices ())
(name "lgpalt" year "1983" manufacturer "Taito" desc "Laser Grand Prix (alternate)" devices ())
(name "lgtnfght" year "1990" manufacturer "Konami" desc "Lightning Fighters (World)" devices ())
(name "lgtnfghta" year "1990" manufacturer "Konami" desc "Lightning Fighters (Asia)" devices ())
(name "lgtnfghtu" year "1990" manufacturer "Konami" desc "Lightning Fighters (US)" devices ())
(name "lhaunt" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (030707 World)" devices ())
(name "lhaunt_10" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (090712 Entertainment)" devices ())
(name "lhaunt_11" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (100331 Entertainment X)" devices ())
(name "lhaunt_12" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (101209 Entertainment N)" devices ())
(name "lhaunt_13" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (110111 Entertainment A)" devices ())
(name "lhaunt_14" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (110204 Entertainment A)" devices ())
(name "lhaunt_15" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (110311 Entertainment B)" devices ())
(name "lhaunt_16" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (140526 Entertainment B)" devices ())
(name "lhaunt_2" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (030804 World)" devices ())
(name "lhaunt_3" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (031027 World)" devices ())
(name "lhaunt_4" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (031111 World)" devices ())
(name "lhaunt_4a" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 031111, backdoor)" devices ())
(name "lhaunt_5" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (040216 World)" devices ())
(name "lhaunt_5a" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040216, backdoor)" devices ())
(name "lhaunt_6" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (040825 World)" devices ())
(name "lhaunt_6a" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, backdoor)" devices ())
(name "lhaunt_6b" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, VIDEO GAME-1 PB01)" devices ())
(name "lhaunt_6c" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, changed version text)" devices ())
(name "lhaunt_6d" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, LOTTOGAME (I))" devices ())
(name "lhaunt_6e" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, LOTO PROGRAM V-LH2)" devices ())
(name "lhaunt_6f" year "2003" manufacturer "bootleg" desc "Lucky Haunter (bootleg, 040825, LOTOS PB01)" devices ())
(name "lhaunt_7" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (070402 Russia)" devices ())
(name "lhaunt_8" year "2003" manufacturer "Igrosoft" desc "Lucky Haunter (070604 Russia)" devices ())
(name "lhb" year "1995" manufacturer "IGS" desc "Long Hu Bang (China, V035C)" devices ())
(name "lhb2" year "1996" manufacturer "IGS" desc "Lung Fu Bong II (Hong Kong, V185H)" devices ())
(name "lhbv33c" year "1995" manufacturer "IGS" desc "Long Hu Bang (China, V033C)" devices ())
(name "lhfy" year "2010" manufacturer "IGS" desc "Long Hu Feng Yun Gao Qing Ban (V206CN)" devices ())
(name "lhtb" year "2009" manufacturer "IGS" desc "Long Hu Tebie Ban (V101CN)" devices ())
(name "lhzb2" year "1998" manufacturer "IGS" desc "Long Hu Zhengba 2 (China, set 1)" devices ())
(name "lhzb2a" year "1998" manufacturer "IGS" desc "Long Hu Zhengba 2 (China, VS221M)" devices ())
(name "lhzb3" year "200?" manufacturer "IGS" desc "Long Hu Zhengba III" devices ())
(name "lhzb3in1" year "200?" manufacturer "IGS" desc "Long Hu Zhengba San He Yi (V100CN)" devices ())
(name "lhzb4" year "2004" manufacturer "IGS" desc "Long Hu Zhengba 4" devices ())
(name "lhzbgqb" year "2010" manufacturer "IGS" desc "Long Hu Zheng Ba Gao Qing Ban (V105CN)" devices ())
(name "liberate" year "1984" manufacturer "Data East Corporation" desc "Liberation" devices ())
(name "liberateb" year "1984" manufacturer "bootleg" desc "Liberation (bootleg)" devices ())
(name "liberatr" year "1982" manufacturer "Atari" desc "Liberator (version 2)" devices ())
(name "liberatrp" year "1982" manufacturer "Atari" desc "Liberator (prototype)" devices ())
(name "liblrabl" year "1983" manufacturer "Namco" desc "Libble Rabble" devices ())
(name "librie" year "2004" manufacturer "Sony" desc "Librie EBR 1000" devices ())
(name "lifefrce" year "1986" manufacturer "Konami" desc "Lifeforce (US)" devices ())
(name "lifefrcej" year "1987" manufacturer "Konami" desc "Lifeforce (Japan)" devices ())
(name "lightbr" year "1993" manufacturer "Taito Corporation Japan" desc "Light Bringer (Ver 2.2O 1994/04/08)" devices ())
(name "lightbrj" year "1993" manufacturer "Taito Corporation" desc "Light Bringer (Ver 2.1J 1994/02/18)" devices ())
(name "lightfgt" year "1981" manufacturer "Milton Bradley" desc "Electronic Lightfight: The Games of Dueling Lights" devices ())
(name "lightnin" year "1981" manufacturer "Stern" desc "Lightning" devices ())
(name "lik" year "1985" manufacturer "<unknown>" desc "Lik" devices ((name "cassette" briefname "cass" )))
(name "lilcomp" year "1989" manufacturer "Texas Instruments" desc "My Little Computer" devices ())
(name "lilith" year "1984" manufacturer "DISER" desc "Lilith" devices ())
(name "lilprof" year "1978" manufacturer "Texas Instruments" desc "Little Professor (1978 version)" devices ())
(name "lilprofo" year "1976" manufacturer "Texas Instruments" desc "Little Professor (1976 version, rev. C)" devices ())
(name "lilprofoa" year "1976" manufacturer "Texas Instruments" desc "Little Professor (1976 version, rev. A)" devices ())
(name "lilprofob" year "1976" manufacturer "Texas Instruments" desc "Little Professor (1976 version, rev. B)" devices ())
(name "lineking" year "2005" manufacturer "Aristocrat" desc "Line King (0252534, US)" devices ())
(name "link" year "1988" manufacturer "bootleg" desc "Link (Korean bootleg of Atari Tetris)" devices ())
(name "linkypip" year "1998" manufacturer "Eolith" desc "Linky Pipe" devices ())
(name "lion3500" year "1993" manufacturer "Lion" desc "3500" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "liquidk" year "1990" manufacturer "Taito Corporation Japan" desc "Liquid Kids (World)" devices ())
(name "liquidku" year "1990" manufacturer "Taito America Corporation" desc "Liquid Kids (US)" devices ())
(name "lisa" year "1983" manufacturer "Apple Computer" desc "Lisa" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "lisa2" year "1984" manufacturer "Apple Computer" desc "Lisa2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "lisa210" year "1984" manufacturer "Apple Computer" desc "Lisa2/10" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "litelrn" year "1978" manufacturer "Concept 2000" desc "Lite 'n Learn: Electronic Organ" devices ())
(name "lithero" year "1987" manufacturer "bootleg" desc "Little Hero" devices ())
(name "littlerb" year "1994" manufacturer "TCH" desc "Little Robin" devices ())
(name "liveafb" year "1980" manufacturer "Kenner" desc "Live Action Football" devices ())
(name "livegal" year "1987" manufacturer "Central Denshi" desc "Live Gal (Japan 870530)" devices ())
(name "livequiz" year "1999" manufacturer "Andamiro" desc "Live Quiz Show" devices ())
(name "lizard" year "1980" manufacturer "Game Plan" desc "Pinball Lizard" devices ())
(name "lizwiz" year "1985" manufacturer "Techstar (Sunn license)" desc "Lizard Wizard" devices ())
(name "lk3000" year "1979" manufacturer "Lexicon" desc "LK-3000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "lkage" year "1984" manufacturer "Taito Corporation" desc "The Legend of Kage (rev 2)" devices ())
(name "lkagea" year "1984" manufacturer "Taito Corporation" desc "The Legend of Kage (rev 1)" devices ())
(name "lkageb" year "1984" manufacturer "Taito Corporation" desc "The Legend of Kage" devices ())
(name "lkagebl1" year "1984" manufacturer "bootleg" desc "The Legend of Kage (bootleg set 1)" devices ())
(name "lkagebl2" year "1984" manufacturer "bootleg" desc "The Legend of Kage (bootleg set 2)" devices ())
(name "lkagebl3" year "1984" manufacturer "bootleg" desc "The Legend of Kage (bootleg set 3)" devices ())
(name "lkagebl4" year "1984" manufacturer "bootleg" desc "The Legend of Kage (bootleg set 4)" devices ())
(name "lkagem" year "1984" manufacturer "Taito Corporation" desc "The Legend of Kage (rev 2, MSM5232 sound)" devices ())
(name "ll3" year "199?" manufacturer "bootleg" desc "Lucky Line III" devices ())
(name "llander" year "1979" manufacturer "Atari" desc "Lunar Lander (rev 2)" devices ())
(name "llander1" year "1979" manufacturer "Atari" desc "Lunar Lander (rev 1)" devices ())
(name "llandert" year "1979" manufacturer "Atari" desc "Lunar Lander (screen test)" devices ())
(name "llc1" year "1984" manufacturer "SCCH" desc "LLC-1" devices ())
(name "llc2" year "1984" manufacturer "SCCH" desc "LLC-2" devices ((name "cassette" briefname "cass" )))
(name "llcharm" year "2002?" manufacturer "Novotech" desc "Lucky Lady's Charm (set 1)" devices ())
(name "llcharma" year "2002?" manufacturer "Novotech" desc "Lucky Lady's Charm (set 2)" devices ())
(name "lluck3x3" year "1991" manufacturer "TAB Austria" desc "Lucky Lady (3x3 deal)" devices ())
(name "lluck4x1" year "1991" manufacturer "TAB Austria" desc "Lucky Lady (4x1 aces)" devices ())
(name "lm103s" year "198?" manufacturer "<unknown>" desc "LM-103S" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "lms46" year "1988" manufacturer "Litek Information Systems" desc "LMS46-V9" devices ())
(name "lnc" year "1981" manufacturer "Data East Corporation" desc "Lock'n'Chase" devices ())
(name "lnsy1392" year "1979" manufacturer "Lansay" desc "Lansay 1392" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "lnw80" year "1981" manufacturer "LNW Research" desc "LNW-80" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "lockload" year "1994" manufacturer "Data East Corporation" desc "Locked 'n Loaded (World)" devices ())
(name "lockloadu" year "1994" manufacturer "Data East Corporation" desc "Locked 'n Loaded (US, Dragon Gun conversion)" devices ())
(name "lockon" year "1986" manufacturer "Tatsumi" desc "Lock-On (rev. E)" devices ())
(name "lockonc" year "1986" manufacturer "Tatsumi" desc "Lock-On (rev. C)" devices ())
(name "lockonph" year "1991" manufacturer "Philko" desc "Lock On (Philko)" devices ())
(name "locoboot" year "1982" manufacturer "bootleg" desc "Loco-Motion (bootleg)" devices ())
(name "locoloot" year "1998" manufacturer "Aristocrat" desc "Loco Loot (0100473V, NSW/ACT)" devices ())
(name "locoloota" year "1997" manufacturer "Aristocrat" desc "Loco Loot (0100472V, NSW/ACT)" devices ())
(name "locolootnz" year "1998" manufacturer "Aristocrat" desc "Loco Loot (0600725V, New Zealand)" devices ())
(name "locolootq" year "1997" manufacturer "Aristocrat" desc "Loco Loot (0300670V, Queensland)" devices ())
(name "locolootu" year "2001" manufacturer "Aristocrat" desc "Loco Loot (AHG1513, US)" devices ())
(name "locomotn" year "1982" manufacturer "Konami (Centuri license)" desc "Loco-Motion" devices ())
(name "locomotp" year "1981" manufacturer "Zaccaria" desc "Locomotion" devices ())
(name "loderndf" year "2000" manufacturer "Psikyo" desc "Lode Runner - The Dig Fight (ver. B)" devices ())
(name "loderndfa" year "2000" manufacturer "Psikyo" desc "Lode Runner - The Dig Fight (ver. A)" devices ())
(name "loewe715" year "1988" manufacturer "Loewe" desc "Multicom 715L" devices ())
(name "loewed" year "1992" manufacturer "Loewe" desc "Multitel D" devices ())
(name "loffire" year "1989" manufacturer "Sega" desc "Line of Fire / Bakudan Yarou (World) (FD1094 317-0136)" devices ())
(name "loffired" year "1989" manufacturer "bootleg" desc "Line of Fire / Bakudan Yarou (World) (bootleg of FD1094 317-0136 set)" devices ())
(name "loffirej" year "1989" manufacturer "Sega" desc "Line of Fire / Bakudan Yarou (Japan) (FD1094 317-0134)" devices ())
(name "loffirejd" year "1989" manufacturer "bootleg" desc "Line of Fire / Bakudan Yarou (Japan) (bootleg of FD1094 317-0134 set)" devices ())
(name "loffireu" year "1989" manufacturer "Sega" desc "Line of Fire / Bakudan Yarou (US) (FD1094 317-0135)" devices ())
(name "loffireud" year "1989" manufacturer "bootleg" desc "Line of Fire / Bakudan Yarou (US) (bootleg of FD1094 317-0135 set)" devices ())
(name "logger" year "1982" manufacturer "Century Electronics" desc "Logger (Rev.3)" devices ())
(name "loggerr2" year "1982" manufacturer "Century Electronics (Enter-Tech, Ltd. license)" desc "Logger (Rev.2)" devices ())
(name "logicpr2" year "1997" manufacturer "Deniam" desc "Logic Pro 2 (Japan)" devices ())
(name "logicpro" year "1996" manufacturer "Deniam" desc "Logic Pro (Japan)" devices ())
(name "loht" year "1989" manufacturer "Irem" desc "Legend of Hero Tonma (World)" devices ())
(name "loht_ms" year "1989" manufacturer "bootleg (Gaelco / Ervisa)" desc "Legend of Hero Tonma (Gaelco bootleg, Modular System)" devices ())
(name "lohtb" year "1989" manufacturer "bootleg (Playmark)" desc "Legend of Hero Tonma (Playmark unprotected bootleg)" devices ())
(name "lohtb2" year "1989" manufacturer "bootleg" desc "Legend of Hero Tonma (Japan, bootleg with i8751)" devices ())
(name "lohtb3" year "1997" manufacturer "bootleg" desc "Legend of Hero Tonma (World, bootleg with i8751)" devices ())
(name "lohtj" year "1989" manufacturer "Irem" desc "Legend of Hero Tonma (Japan)" devices ())
(name "lol" year "2000" manufacturer "WMS" desc "Life of Luxury (Russian)" devices ())
(name "lola8" year "1985" manufacturer "Institut Ivo Lola Ribar" desc "Lola 8" devices ((name "cassette" briefname "cass" )))
(name "lola8a" year "1986" manufacturer "Institut Ivo Lola Ribar" desc "Lola 8A" devices ((name "cassette" briefname "cass" )))
(name "lola8nk" year "1985" manufacturer "Institut Ivo Lola Ribar" desc "Lola 8 NK" devices ((name "cassette" briefname "cass" )))
(name "lomakai" year "1988" manufacturer "Jaleco" desc "Legend of Makai (World)" devices ())
(name "lond16" year "1996" manufacturer "Richard Lang" desc "Mephisto London 16 Bit" devices ())
(name "lond32" year "1996" manufacturer "Richard Lang" desc "Mephisto London 32 Bit" devices ())
(name "lond32t" year "1996" manufacturer "Saitek" desc "Mephisto London 68030" devices ())
(name "lond32t8" year "1996" manufacturer "Saitek" desc "Mephisto TM London" devices ())
(name "lonewolf" year "1997" manufacturer "Aristocrat" desc "Lone Wolf (0100587V, NSW/ACT)" devices ())
(name "looper" year "1982" manufacturer "Orca" desc "Looper" devices ())
(name "looping" year "1982" manufacturer "Video Games GmbH" desc "Looping" devices ())
(name "loopingv" year "1982" manufacturer "Video Games GmbH (Venture Line license)" desc "Looping (Venture Line license, set 1)" devices ())
(name "loopingva" year "1982" manufacturer "Video Games GmbH (Venture Line license)" desc "Looping (Venture Line license, set 2)" devices ())
(name "lordgun" year "1994" manufacturer "IGS" desc "Lord of Gun (World)" devices ())
(name "lordgunu" year "1994" manufacturer "IGS" desc "Lord of Gun (USA)" devices ())
(name "lordleo" year "2002" manufacturer "Aristocrat" desc "Lord Leopard (30111211, NSW/ACT)" devices ())
(name "lordofk" year "1989" manufacturer "Jaleco" desc "The Lord of King (Japan)" devices ())
(name "lordofkb" year "1989" manufacturer "bootleg" desc "The Lord of King (bootleg, not protected)" devices ())
(name "lordofkbp" year "1989" manufacturer "bootleg" desc "The Lord of King (bootleg, protected)" devices ())
(name "lortium" year "1987" manufacturer "Juegos Populares / Automáticos Montecarlo" desc "Lortium" devices ())
(name "lostreas" year "1982" manufacturer "Parker Brothers" desc "Lost Treasure: The Electronic Deep-Sea Diving Game (Electronic Dive-Control Center)" devices ())
(name "lostspc" year "1998" manufacturer "Sega" desc "Lost in Space (CPU 1.01, display A1.02)" devices ())
(name "lostspc_d1" year "1998" manufacturer "Sega" desc "Lost in Space (CPU 1.01, display A1.01)" devices ())
(name "lostspcf" year "1998" manufacturer "Sega" desc "Lost in Space (CPU 1.01, display F1.02, France)" devices ())
(name "lostspcg" year "1998" manufacturer "Sega" desc "Lost in Space (CPU 1.01, display G1.02, Germany)" devices ())
(name "losttomb" year "1982" manufacturer "Stern Electronics" desc "Lost Tomb (easy)" devices ())
(name "losttombh" year "1982" manufacturer "Stern Electronics" desc "Lost Tomb (hard)" devices ())
(name "losttrea" year "2001" manufacturer "<unknown>" desc "Lost Treasure (V1.03)" devices ())
(name "lostwrld" year "1988" manufacturer "Capcom" desc "Lost Worlds (Japan)" devices ())
(name "lostwrldo" year "1988" manufacturer "Capcom" desc "Lost Worlds (Japan Old Ver.)" devices ())
(name "lostwrlp" year "1978" manufacturer "Bally" desc "Lost World" devices ())
(name "lostwsga" year "1997" manufacturer "Sega" desc "The Lost World: Jurassic Park (Japan, Revision A)" devices ())
(name "lostwsgp" year "1997" manufacturer "Sega" desc "The Lost World: Jurassic Park (location test)" devices ())
(name "lotlot" year "1985" manufacturer "Irem (licensed from Tokuma Shoten)" desc "Lot Lot" devices ())
(name "lotr" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.00, display A10.00)" devices ())
(name "lotr3" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 3.00, display A3.00)" devices ())
(name "lotr401" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.01, display A4.03)" devices ())
(name "lotr410" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.10, display A4.04)" devices ())
(name "lotr5" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.00, display A5.00)" devices ())
(name "lotr501" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.01, display A5.01)" devices ())
(name "lotr6" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 6.00, display A6.00)" devices ())
(name "lotr7" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 7.00, display A7.00)" devices ())
(name "lotr8" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 8.00, display A8.00)" devices ())
(name "lotr9" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 9.00, display A9.00)" devices ())
(name "lotr_fr" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.00, display F10.00, France)" devices ())
(name "lotr_fr401" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.01, display F4.03, France)" devices ())
(name "lotr_fr410" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.10, display F4.04, France)" devices ())
(name "lotr_fr5" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.00, display F5.00, France)" devices ())
(name "lotr_fr501" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.01, display F5.01, France)" devices ())
(name "lotr_fr6" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 6.00, display F6.00, France)" devices ())
(name "lotr_fr7" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 7.00, display F7.00, France)" devices ())
(name "lotr_fr8" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 8.00, display F8.00, France)" devices ())
(name "lotr_fr9" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 9.00, display F9.00, France)" devices ())
(name "lotr_gr" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.00, display G10.00, Germany)" devices ())
(name "lotr_gr401" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.01, display G4.03, Germany)" devices ())
(name "lotr_gr410" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.10, display G4.04, Germany)" devices ())
(name "lotr_gr5" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.00, display G5.00, Germany)" devices ())
(name "lotr_gr501" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.01, display G5.01, Germany)" devices ())
(name "lotr_gr6" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 6.00, display G6.00, Germany)" devices ())
(name "lotr_gr7" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 7.00, display G7.00, Germany)" devices ())
(name "lotr_gr8" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 8.00, display G8.00, Germany)" devices ())
(name "lotr_gr9" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 9.00, display G9.00, Germany)" devices ())
(name "lotr_it" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.00, display I10.00, Italy)" devices ())
(name "lotr_it401" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.01, display I4.03, Italy)" devices ())
(name "lotr_it410" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.10, display I4.04, Italy)" devices ())
(name "lotr_it5" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.00, display I5.00, Italy)" devices ())
(name "lotr_it501" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.01, display I5.01, Italy)" devices ())
(name "lotr_it6" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 6.00, display I6.00, Italy)" devices ())
(name "lotr_it7" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 7.00, display I7.00, Italy)" devices ())
(name "lotr_it8" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 8.00, display I8.00, Italy)" devices ())
(name "lotr_it9" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 9.00, display I9.00, Italy)" devices ())
(name "lotr_le" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.02, display A10.00, Limited Edition)" devices ())
(name "lotr_sp" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 10.00, display L10.00, Spain)" devices ())
(name "lotr_sp401" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 4.01, display L4.03, Spain)" devices ())
(name "lotr_sp5" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.00, display L5.00, Spain)" devices ())
(name "lotr_sp501" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 5.01, display L5.01, Spain)" devices ())
(name "lotr_sp6" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 6.00, display L6.00, Spain)" devices ())
(name "lotr_sp7" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 7.00, display L7.00, Spain)" devices ())
(name "lotr_sp8" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 8.00, display L8.00, Spain)" devices ())
(name "lotr_sp9" year "2003" manufacturer "Stern" desc "The Lord Of The Rings (CPU 9.00, display L9.00, Spain)" devices ())
(name "lottof2" year "1993" manufacturer "HAR Management" desc "Lotto Fun 2" devices ())
(name "lottofun" year "1987" manufacturer "HAR Management" desc "Lotto Fun" devices ())
(name "lougcm" year "2001" manufacturer "Aristocrat" desc "Louie's Gold - Mr. Cashman (20006911, NSW/ACT)" devices ())
(name "loveber3" year "2007" manufacturer "Sega" desc "Love And Berry - 3rd-5th Collection (USA, Export, Ver 1.002) (MDA-C0042)" devices ())
(name "loveber3cn" year "2010" manufacturer "Sega" desc "Love And Berry - 3rd-5th Collection (China, Ver 1.001) (MDA-C0071)" devices ())
(name "lovebero" year "2006" manufacturer "Sega" desc "Love And Berry - 1st-2nd Collection (Export, Ver 1.003)" devices ())
(name "lovebery" year "2006" manufacturer "Sega" desc "Love And Berry - 1st-2nd Collection (Export, Ver 2.000)" devices ())
(name "lovehous" year "1990" manufacturer "Nichibutsu" desc "Mahjong Love House (Japan 901024)" devices ())
(name "loverboy" year "1983" manufacturer "G.T Enterprise Inc" desc "Lover Boy" devices ())
(name "lovestuk" year "200?" manufacturer "Aristocrat" desc "Love Stuck (0152583, US)" devices ())
(name "lovewin" year "2001" manufacturer "WMS" desc "Love To Win (Russian)" devices ())
(name "lpadv" year "1999" manufacturer "Amuse World" desc "Logic Pro Adventure (Japan)" devices ())
(name "lpgm240" year "200?" manufacturer "<unknown>" desc "Let's Play! Game Machine 240 in 1" devices ())
(name "lrescue" year "1979" manufacturer "Taito" desc "Lunar Rescue" devices ())
(name "lrescuem" year "1979" manufacturer "bootleg (Model Racing)" desc "Lunar Rescue (Model Racing bootleg, set 1)" devices ())
(name "lrescuem2" year "1979" manufacturer "bootleg (Model Racing)" desc "Lunar Rescue (Model Racing bootleg, set 2)" devices ())
(name "lresort" year "1992" manufacturer "SNK" desc "Last Resort" devices ((name "memcard" briefname "memc" ) ()))
(name "lresortp" year "1992" manufacturer "SNK" desc "Last Resort (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "ls486e" year "199?" manufacturer "LuckyStar" desc "LS-486E Rev:C" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "lsasquad" year "1986" manufacturer "Taito" desc "Land Sea Air Squad / Riku Kai Kuu Saizensen" devices ())
(name "lsrcu_l2" year "1983" manufacturer "Williams" desc "Laser Cue (L-2)" devices ())
(name "lsrquiz" year "1995" manufacturer "CD Express" desc "Laser Quiz Italy" devices ((name "cdrom" briefname "cdrm" )))
(name "lsrquiz2i" year "1995" manufacturer "CD Express" desc "Laser Quiz 2 Italy (v1.0)" devices ((name "cdrom" briefname "cdrm" )))
(name "lsrquizg" year "1995" manufacturer "CD Express" desc "Laser Quiz Greece" devices ((name "cdrom" briefname "cdrm" )))
(name "lsucm486v30" year "199?" manufacturer "Lucky Star" desc "UCM-486V30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ltcasin2" year "1984" manufacturer "Digital Controls Inc." desc "Little Casino II (v30.0)" devices ())
(name "ltcasin2a" year "1984" manufacturer "Digital Controls Inc." desc "Little Casino II (v18.1)" devices ())
(name "ltcasin2b" year "1984" manufacturer "Digital Controls Inc." desc "Little Casino II (v17.0)" devices ())
(name "ltcasino" year "1982" manufacturer "Digital Controls Inc." desc "Little Casino (set 1)" devices ())
(name "ltcasinoa" year "1982" manufacturer "Digital Controls Inc." desc "Little Casino (set 2)" devices ())
(name "ltleappad" year "2005" manufacturer "LeapFrog" desc "Little Touch LeapPad" devices ((name "cartridge" briefname "cart" )))
(name "ltmpbp" year "1985" manufacturer "Lawrie T&M Ltd." desc "LTM Portable (B+)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "ltmpm" year "1986" manufacturer "Lawrie T&M Ltd." desc "LTM Portable (Master)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "ltswords" year "1991" manufacturer "Irem" desc "Lightning Swords (World)" devices ())
(name "ltv_naru" year "2006" manufacturer "Bandai / SSD Company LTD" desc "Let's TV Play Naruto" devices ())
(name "ltv_tam" year "2006" manufacturer "Bandai / SSD Company LTD" desc "Let's! TV Play Chou Ninki Spot! Korogashi-Houdai Tamagotchi Resort (Japan)" devices ())
(name "luckboom" year "1996" manufacturer "Playmark" desc "Lucky Boom" devices ())
(name "luckboomh" year "1996" manufacturer "Playmark" desc "Lucky Boom (Hard Times hardware)" devices ())
(name "luckfoun" year "200?" manufacturer "Konami" desc "Lucky Fountain (Konami Endeavour, Russia)" devices ())
(name "luckgrln" year "1991" manufacturer "Wing Co., Ltd." desc "Lucky Girl (newer Z180 based hardware)" devices ())
(name "luckshel" year "2003" manufacturer "Extrema" desc "Lucky Shell (Ukraine, V. 42.25)" devices ())
(name "luckshela" year "2003" manufacturer "Extrema" desc "Lucky Shell (Ukraine, V. 42.10)" devices ())
(name "lucky21" year "199?" manufacturer "Wing Co., Ltd." desc "Lucky 21" devices ())
(name "lucky21d" year "199?" manufacturer "Wing Co., Ltd." desc "Lucky 21-D" devices ())
(name "lucky25" year "199?" manufacturer "Wing Co., Ltd." desc "Lucky 25" devices ())
(name "lucky37" year "199?" manufacturer "Wing Co., Ltd." desc "Lucky 37" devices ())
(name "lucky74" year "1988" manufacturer "Wing Co., Ltd." desc "Lucky 74 (bootleg, set 1)" devices ())
(name "lucky74a" year "1988" manufacturer "Wing Co., Ltd." desc "Lucky 74 (bootleg, set 3)" devices ())
(name "lucky74b" year "1988" manufacturer "Wing Co., Ltd." desc "Lucky 74 (bootleg, set 2)" devices ())
(name "lucky7i" year "1991" manufacturer "Impera" desc "Lucky 7 (Impera, V04/91a, set 1)" devices ())
(name "lucky7x" year "1991" manufacturer "Impera" desc "Lucky 7 (Impera, V04/91a, set 2)" devices ())
(name "lucky8" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 1, W-4)" devices ())
(name "lucky88" year "2007" manufacturer "Aristocrat" desc "Lucky 88 (10241411, NSW/ACT)" devices ())
(name "lucky8a" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 2, W-4)" devices ())
(name "lucky8b" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 3, W-4, extended gfx)" devices ())
(name "lucky8c" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 4, W-4)" devices ())
(name "lucky8d" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 5, W-4, main 40%, d-up 60%)" devices ())
(name "lucky8e" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 6, W-4, main 40%, d-up 60%)" devices ())
(name "lucky8f" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 7, W-4, encrypted)" devices ())
(name "lucky8g" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 8, W-4)" devices ())
(name "lucky8h" year "1991" manufacturer "<unknown>" desc "New Lucky 8 Lines Super Turbo (Hack)" devices ())
(name "lucky8i" year "1989" manufacturer "Eagle/Wing" desc "New Lucky 8 Lines (set 9, W-4, Eagle, licensed by Wing)" devices ())
(name "lucky8j" year "199?" manufacturer "<unknown>" desc "New Lucky 8 Lines Crown Turbo (Hack)" devices ())
(name "lucky8k" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 10, W-4, encrypted NEC D315-5136)" devices ())
(name "lucky8l" year "1989" manufacturer "Wing Co., Ltd." desc "New Lucky 8 Lines (set 11, W-4)" devices ())
(name "lucky_l1" year "1977" manufacturer "Williams" desc "Lucky Seven (L-1)" devices ())
(name "luckybal" year "1999" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 4.01)" devices ())
(name "luckybala" year "1996" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 3.50 - 627)" devices ())
(name "luckybalb" year "1996" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 3.50 - 626)" devices ())
(name "luckybalc" year "1996" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 3.50 - 623)" devices ())
(name "luckybald" year "1996" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 3.50 - 616)" devices ())
(name "luckybale" year "1996" manufacturer "Sielcon Games" desc "Lucky Ball 96 (Ver 3.01)" devices ())
(name "luckybar" year "198?" manufacturer "<unknown>" desc "Lucky Bar (W-4 with mc68705 MCU)" devices ())
(name "luckyclo" year "1995" manufacturer "Aristocrat" desc "Lucky Clover (0300109V, NSW/ACT)" devices ())
(name "luckycoin" year "2002" manufacturer "Astro Corp." desc "Lucky Coin (Jun 24 2002)" devices ())
(name "luckycrs" year "200?" manufacturer "IGS" desc "Lucky Cross (V106SA)" devices ())
(name "luckygrl" year "1985" manufacturer "Wing Co., Ltd." desc "Lucky Girl (Wing)" devices ())
(name "luckylad" year "1985" manufacturer "Wing Co., Ltd." desc "Lucky Lady (Wing, encrypted)" devices ())
(name "luckypkr" year "1994" manufacturer "bootleg" desc "Lucky Poker (bootleg/hack of Major Poker)" devices ())
(name "luckyplr" year "1981" manufacturer "Cirsa" desc "Lucky Player" devices ())
(name "luckyrlt" year "1990" manufacturer "<unknown>" desc "Lucky Roulette Plus (6-players, Spanish)" devices ())
(name "luckyseven" year "1995" manufacturer "bootleg" desc "Lucky Seven" devices ())
(name "luckywld" year "1992" manufacturer "Namco" desc "Lucky & Wild" devices ())
(name "luckywldj" year "1992" manufacturer "Namco" desc "Lucky & Wild (Japan)" devices ())
(name "luctoday" year "1980" manufacturer "Sigma" desc "Lucky Today" devices ())
(name "lufykzku" year "2001" manufacturer "Banpresto / Eiichiro Oda / Shueisha - Fuji TV - Toho Animation" desc "Otakara Itadaki Luffy Kaizoku-Dan! (Japan, v1.02)" devices ())
(name "luigibal" year "2007" manufacturer "Aristocrat" desc "Luigi's Ball (10235411, NSW/ACT)" devices ())
(name "luna" year "1989?" manufacturer "Omron" desc "Luna" devices ())
(name "luna88k" year "1991?" manufacturer "Omron" desc "Luna 88K" devices ((name "harddisk" briefname "hard" )))
(name "luna88k2" year "1992?" manufacturer "Omron" desc "Luna 88K²" devices ((name "harddisk" briefname "hard" )))
(name "lunapark" year "1998" manufacturer "<unknown>" desc "Luna Park (set 1, dual program)" devices ())
(name "lunaparkb" year "1998" manufacturer "<unknown>" desc "Luna Park (set 2, dual program)" devices ())
(name "lunaparkc" year "1998" manufacturer "<unknown>" desc "Luna Park (set 3)" devices ())
(name "lunaprk" year "1998" manufacturer "ABM Games" desc "Luna Park (ver. 1.2)" devices ())
(name "lunarba1" year "1982" manufacturer "Atari" desc "Lunar Battle (prototype, earlier)" devices ())
(name "lunarbat" year "1982" manufacturer "Atari" desc "Lunar Battle (prototype, later)" devices ())
(name "lunelle" year "1982" manufacturer "Taito do Brasil" desc "Lunelle" devices ())
(name "lupin3" year "1980" manufacturer "Taito" desc "Lupin III (set 1)" devices ())
(name "lupin3a" year "1980" manufacturer "Taito" desc "Lupin III (set 2)" devices ())
(name "lupinsho" year "2001" manufacturer "Sega / Eighting" desc "Lupin The Third - The Shooting (Rev A) (GDS-0018A)" devices ((name "cdrom" briefname "cdrm" )))
(name "lupinshoo" year "2001" manufacturer "Sega / Eighting" desc "Lupin The Third - The Shooting (GDS-0018)" devices ((name "cdrom" briefname "cdrm" )))
(name "luplup" year "1999" manufacturer "Omega System" desc "Lup Lup Puzzle / Zhuan Zhuan Puzzle (version 3.0 / 990128)" devices ())
(name "luplup10" year "1999" manufacturer "Omega System (Adko license)" desc "Lup Lup Puzzle / Zhuan Zhuan Puzzle (version 1.05 / 981214)" devices ())
(name "luplup29" year "1999" manufacturer "Omega System" desc "Lup Lup Puzzle / Zhuan Zhuan Puzzle (version 2.9 / 990108)" devices ())
(name "luptype" year "2002" manufacturer "Sega" desc "Lupin The Third - The Typing (Rev A) (GDS-0021A)" devices ((name "cdrom" briefname "cdrm" )))
(name "luxorvec" year "197?" manufacturer "Luxor" desc "Luxor Video Entertainment Computer" devices ((name "cartridge" briefname "cart" )))
(name "luxorves" year "197?" manufacturer "Luxor" desc "Luxor Video Entertainment System" devices ((name "cartridge" briefname "cart" )))
(name "lvcards" year "1985" manufacturer "Tehkan" desc "Lovely Cards" devices ())
(name "lvcardsa" year "1985" manufacturer "Tehkan" desc "Lovely Cards (encrypted)" devices ())
(name "lvgirl94" year "1994" manufacturer "Comad" desc "Las Vegas Girl (Girl '94)" devices ())
(name "lvision" year "1982" manufacturer "Leisure-Dynamics" desc "Leisure-Vision" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "lviv" year "1989" manufacturer "Lviv Polytechnical Institute" desc "PK-01 Lviv" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "lvpoker" year "1985" manufacturer "Tehkan" desc "Lovely Poker" devices ())
(name "lw30" year "1991" manufacturer "Brother" desc "LW-30" devices ((name "floppydisk" briefname "flop" )))
(name "lw350" year "1995" manufacturer "Brother" desc "LW-350" devices ((name "floppydisk" briefname "flop" )))
(name "lw3_200" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (USA 2.00, display A2.04)" devices ())
(name "lw3_203" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (USA 2.03, display A2.04)" devices ())
(name "lw3_204e" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (England 2.04, display A2.02)" devices ())
(name "lw3_205" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (USA 2.05, display A2.05)" devices ())
(name "lw3_207" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (USA 2.07, display A2.06)" devices ())
(name "lw3_207c" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (Canada 2.07, display A2.06)" devices ())
(name "lw3_208" year "1992" manufacturer "Data East" desc "Lethal Weapon 3 (USA 2.08, display A2.06)" devices ())
(name "lw450" year "1992" manufacturer "Brother" desc "LW-450" devices ((name "floppydisk" briefname "flop" )))
(name "lw700i" year "1995" manufacturer "Brother" desc "LW-700i" devices ((name "floppydisk" briefname "flop" )))
(name "lw840" year "1997" manufacturer "Brother" desc "LW-840ic" devices ((name "floppydisk" briefname "flop" )))
(name "lwar_a81" year "1987" manufacturer "Data East" desc "Laser War (8.1)" devices ())
(name "lwar_a83" year "1987" manufacturer "Data East" desc "Laser War (8.3)" devices ())
(name "lwar_e90" year "1987" manufacturer "Data East" desc "Laser War (9.0 Europe)" devices ())
(name "lwings" year "1986" manufacturer "Capcom" desc "Legendary Wings (US, rev. C)" devices ())
(name "lwingsa" year "1986" manufacturer "Capcom" desc "Legendary Wings (US)" devices ())
(name "lwingsb" year "1986" manufacturer "bootleg" desc "Legendary Wings (bootleg)" devices ())
(name "lwingsj" year "1986" manufacturer "Capcom" desc "Ares no Tsubasa (Japan, rev. B)" devices ())
(name "lwingsja" year "1986" manufacturer "Capcom" desc "Ares no Tsubasa (Japan, rev. A)" devices ())
(name "lwriter" year "1985" manufacturer "Apple Computer" desc "LaserWriter" devices ())
(name "lwriter2nt" year "1988" manufacturer "Apple Computer" desc "LaserWriter II NT" devices ())
(name "lwriterplus" year "1986" manufacturer "Apple Computer" desc "LaserWriter Plus" devices ())
(name "lx_aven" year "2016" manufacturer "Lexibook" desc "Marvel Avengers TV Game Console (32-bit, Lexibook)" devices ())
(name "lx_frozen" year "2016" manufacturer "Lexibook" desc "Disney Frozen TV Game Console (32-bit, Lexibook, JG7420FZ)" devices ())
(name "lx_jg7410" year "2012" manufacturer "Lexibook / JungleTac" desc "Lexibook JG7410 100-in-1" devices ())
(name "lx_jg7415" year "2011" manufacturer "Lexibook / JungleTac" desc "Lexibook JG7415 120-in-1" devices ())
(name "lx_jg7420" year "201?" manufacturer "Lexibook" desc "Lexibook JG7420 200-in-1" devices ((name "harddisk" briefname "hard" )))
(name "lx_jg7425" year "2015" manufacturer "Lexibook" desc "Lexibook JG7425 221-in-1" devices ())
(name "lxairjet" year "2007" manufacturer "Lexibook" desc "Super TV Air Jet 6-in-1 (Lexibook Junior)" devices ())
(name "lxcap" year "201?" manufacturer "Lexibook" desc "Cyber Arcade Pocket (JL1895)" devices ())
(name "lxccatv" year "2012" manufacturer "Lexibook" desc "Compact Cyber Arcade TV - 120 in 1 (JL2370)" devices ())
(name "lxccminn" year "200?" manufacturer "Lexibook" desc "Console Colour - Minnie Mouse" devices ())
(name "lxccplan" year "200?" manufacturer "Lexibook" desc "Console Colour - Disney's Planes" devices ())
(name "lxcmc250" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - 250-in-1 (JL2375)" devices ())
(name "lxcmcy" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade" devices ())
(name "lxcmcycr" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Cars" devices ())
(name "lxcmcydp" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Disney Princess" devices ())
(name "lxcmcyfz" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Frozen" devices ())
(name "lxcmcypj" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - PJ Masks" devices ())
(name "lxcmcypp" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Paw Patrol" devices ())
(name "lxcmcysp" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Marvel Ultimate Spider-Man" devices ())
(name "lxcmcysw" year "200?" manufacturer "Lexibook" desc "Compact Cyber Arcade - Star Wars Rebels" devices ())
(name "lxcyber" year "201?" manufacturer "Lexibook" desc "Cyber Arcade 200-in-1" devices ())
(name "lxnoddy" year "2005" manufacturer "Lexibook" desc "Noddy's TV Console" devices ())
(name "lxspidaj" year "2007" manufacturer "Lexibook" desc "Spider-Man Super TV Air Jet (Lexibook Junior, JG6000SP)" devices ())
(name "lxts3" year "2010" manufacturer "Lexibook" desc "Toy Story 3 (Lexibook)" devices ())
(name "lynx" year "1989" manufacturer "Atari" desc "Lynx" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" mandatory t)))
(name "lynx128k" year "1983" manufacturer "Camputers" desc "Lynx 128k" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "lynx48k" year "1983" manufacturer "Camputers" desc "Lynx 48k" devices ((name "cassette" briefname "cass" )))
(name "lynx96k" year "1983" manufacturer "Camputers" desc "Lynx 96k" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "lyon16" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Lyon 16 Bit" devices ())
(name "lyon32" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Lyon 32 Bit" devices ())
(name "lyon32t" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Lyon 68030" devices ())
(name "lyon32t8" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto TM Lyon" devices ())
(name "lzbal_l2" year "1979" manufacturer "Williams" desc "Laser Ball (L-2)" devices ())
(name "lzbal_l2sp" year "1979" manufacturer "Williams" desc "Laser Ball (L-2, PROM sound)" devices ())
(name "lzbal_t2" year "1980" manufacturer "Williams" desc "Laser Ball (T-2)" devices ())
(name "lzcolor64" year "1983" manufacturer "Novo Tempo / LZ Equipamentos" desc "Color64" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "m10" year "1983" manufacturer "Olivetti" desc "M-10" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "m1albsq" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v4.1 (M1A/B)" devices ())
(name "m1albsq1" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v1.1 (M1A/B)" devices ())
(name "m1albsq1p" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1albsq2" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v2.2 (M1A/B)" devices ())
(name "m1albsq3" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v3.0 (M1A/B)" devices ())
(name "m1albsqp" year "1993" manufacturer "Maygay" desc "Albert Square (Maygay) v4.1 (Protocol) (M1A/B)" devices ())
(name "m1alley" year "199?" manufacturer "Maygay" desc "Alley Cat (Maygay) (M1A/B)" devices ())
(name "m1apollo" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Newer) (M1A/B)" devices ())
(name "m1apollo11" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v11? (M1A/B)" devices ())
(name "m1apollo11b" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v11? (BwB Rebuild) (M1A/B)" devices ())
(name "m1apollo11p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v11? (Protocol) (M1A/B)" devices ())
(name "m1apollo2" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v2.1 (M1A/B)" devices ())
(name "m1apollo2p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1apollo3" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v3.1 (M1A/B)" devices ())
(name "m1apollo3p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1apollo4" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v4.1 (Newer) (M1A/B)" devices ())
(name "m1apollo4o" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v4.1 (Older, Token)(M1A/B)" devices ())
(name "m1apollo4p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v4.1 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1apollo5" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v5.1 (M1A/B)" devices ())
(name "m1apollo5p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v5.1 (Protocol) (M1A/B)" devices ())
(name "m1apollo7" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v7.1 (M1A/B)" devices ())
(name "m1apollo7p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v7.1 (Protocol) (M1A/B)" devices ())
(name "m1apollo8" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v8.1 (M1A/B)" devices ())
(name "m1apollo8p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v8.1 (Protocol) (M1A/B)" devices ())
(name "m1apollo9" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v9.1 (M1A/B)" devices ())
(name "m1apollo9p" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) v9.1 (Protocol) (M1A/B)" devices ())
(name "m1apolloa" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Older) (M1A/B)" devices ())
(name "m1apolloao" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Older, 15GBP) (M1A/B)" devices ())
(name "m1apolloap" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1apolloh" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Newer) (Hack?) (M1A/B)" devices ())
(name "m1apollop" year "1997" manufacturer "Maygay" desc "Apollo 9 (Maygay) vA.1 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1atunk" year "19??" manufacturer "Avantime?" desc "Random Runner (Avantime?)" devices ())
(name "m1bankbs" year "199?" manufacturer "Maygay" desc "Bank Buster Club (Maygay) v2.9 (M1A/B)" devices ())
(name "m1bankbso" year "199?" manufacturer "Maygay" desc "Bank Buster Club (Maygay) v2.8 (M1A/B)" devices ())
(name "m1bankbsp" year "199?" manufacturer "Maygay" desc "Bank Buster Club (Maygay) v2.9 (Protocol) (M1A/B)" devices ())
(name "m1bankrl" year "1995" manufacturer "Maygay" desc "Bank Roll (Maygay) v1.1 (M1A/B)" devices ())
(name "m1bankrl2p" year "1995" manufacturer "Maygay" desc "Bank Roll (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1bankrlp" year "1995" manufacturer "Maygay" desc "Bank Roll (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1bargn" year "1990" manufacturer "Maygay" desc "Bar-gain (Maygay) v7.1 (M1A/B)" devices ())
(name "m1bargnc" year "1990" manufacturer "Maygay" desc "Casino Bar-gain (Maygay) v5.1 (M1A/B)" devices ())
(name "m1bargncp" year "1990" manufacturer "Maygay" desc "Casino Bar-gain (Maygay) v5.1 (Protocol)(M1A/B)" devices ())
(name "m1bargnp" year "1990" manufacturer "Maygay" desc "Bar-gain (Maygay) v7.1 (Protocol) (M1A/B)" devices ())
(name "m1bghou" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 1)" devices ())
(name "m1bghoua" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 2)" devices ())
(name "m1bghoub" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 3)" devices ())
(name "m1bghouc" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 4)" devices ())
(name "m1bghoud" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 5)" devices ())
(name "m1bghoue" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 6)" devices ())
(name "m1bghouf" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 7)" devices ())
(name "m1bghoug" year "199?" manufacturer "Gemini" desc "Big Ghoulies (Gemini) (M1A/B) (set 8)" devices ())
(name "m1bigdel" year "2000" manufacturer "Maygay" desc "Big Deal (Maygay) (M1A/B)" devices ())
(name "m1bignit" year "199?" manufacturer "Maygay" desc "Mike Reid's Big Night Out (Maygay) (M1A/B) (set 1)" devices ())
(name "m1bignita" year "199?" manufacturer "Maygay" desc "Mike Reid's Big Night Out (Maygay) (M1A/B) (set 2)" devices ())
(name "m1bignitb" year "199?" manufacturer "Maygay" desc "Mike Reid's Big Night Out (Maygay) (M1A/B) (set 3)" devices ())
(name "m1bignitc" year "199?" manufacturer "Maygay" desc "Mike Reid's Big Night Out (Maygay) (M1A/B) (set 4)" devices ())
(name "m1blkhol" year "199?" manufacturer "Maygay" desc "Black Hole (Dutch) (Maygay) (M1A/B)" devices ())
(name "m1bluemx" year "1992" manufacturer "Maygay" desc "Blue Max (Maygay) v2.1 (M1A/B)" devices ())
(name "m1bluemxp" year "1992" manufacturer "Maygay" desc "Blue Max (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1bondi" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v1.1 (Newer) (M1A/B)" devices ())
(name "m1bondi1" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v1.1 (M1A/B)" devices ())
(name "m1bondi1p" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1bondi2" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v2.1 (M1A/B)" devices ())
(name "m1bondi2p" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1bondi2po" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v2.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1bondi3" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v3.1 (M1A/B)" devices ())
(name "m1bondi4" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v4.1 (M1A/B)" devices ())
(name "m1bondi4p" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v4.1 (Protocol) (M1A/B)" devices ())
(name "m1bondip" year "1996" manufacturer "Maygay" desc "Bondi Beach (Maygay) v1.1 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1bountc" year "199?" manufacturer "Maygay" desc "Bounty Hunter Club (Maygay) v1.3 (M1A/B)" devices ())
(name "m1bountcp" year "199?" manufacturer "Maygay" desc "Bounty Hunter Club (Maygay) v1.3 (Protocol) (M1A/B)" devices ())
(name "m1calyps" year "199?" manufacturer "Maygay" desc "Calypso (Maygay) (M1A/B) (set 1)" devices ())
(name "m1calypsa" year "199?" manufacturer "Maygay" desc "Calypso (Maygay) (M1A/B) (set 2)" devices ())
(name "m1calypsb" year "199?" manufacturer "Maygay" desc "Calypso (Maygay) (M1A/B) (set 3)" devices ())
(name "m1casclb" year "1990" manufacturer "Maygay" desc "Casino Club (Maygay) v1.2 (M1A/B)" devices ())
(name "m1casclb1" year "1990" manufacturer "Maygay" desc "Casino Club (Maygay) v1.1 (M1A/B)" devices ())
(name "m1casclbp" year "1990" manufacturer "Maygay" desc "Casino Club (Maygay) v1.2 (Protocol) (M1A/B)" devices ())
(name "m1casgcl" year "1990" manufacturer "Maygay" desc "Casino Gambler Club (Maygay) v1.2 (M1A/B)" devices ())
(name "m1casgclp" year "1990" manufacturer "Maygay" desc "Casino Gambler Club (Maygay) v1.2 (Protocol) (M1A/B)" devices ())
(name "m1cashc" year "1994" manufacturer "Maygay" desc "Cash Classic (Maygay) (M1A/B) (set 1)" devices ())
(name "m1cashca" year "1994" manufacturer "Maygay" desc "Cash Classic (Maygay) (M1A/B) (set 2)" devices ())
(name "m1cashln" year "199?" manufacturer "Maygay" desc "Cash Lines (Maygay) (M1A/B)" devices ())
(name "m1casroy" year "1990" manufacturer "Maygay" desc "Casino Royale Club (Maygay) v1.2 (M1A/B)" devices ())
(name "m1casroy1" year "1990" manufacturer "Maygay" desc "Casino Royale Club (Maygay) v1.1 (M1A/B)" devices ())
(name "m1casroyp" year "1990" manufacturer "Maygay" desc "Casino Royale Club (Maygay) v1.2 (Protocol) (M1A/B)" devices ())
(name "m1chain" year "1996" manufacturer "Maygay" desc "Chain Reaction (Maygay) (M1A/B)" devices ())
(name "m1cik" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v11? (M1A/B)" devices ())
(name "m1cik11" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v1.1 (M1A/B)" devices ())
(name "m1cik11n" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v1.1 (alternate) (M1A/B)" devices ())
(name "m1cik11np" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v1.1 (alternate,Protocol) (M1A/B)" devices ())
(name "m1cik11p" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1cik12" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v1.2 (M1A/B)" devices ())
(name "m1cik21" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v2.1 (M1A/B)" devices ())
(name "m1cik21p" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1cik31" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v3.1 (M1A/B)" devices ())
(name "m1cik31p" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1cik41" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v4.1 (M1A/B)" devices ())
(name "m1cik41p" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v4.1 (Protocol) (M1A/B)" devices ())
(name "m1cik51" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v5.1 (M1A/B)" devices ())
(name "m1cik51o" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v5.1 (Older) (M1A/B)" devices ())
(name "m1cik51p" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v5.1 (Protocol) (M1A/B)" devices ())
(name "m1cikh" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v11? (Hack?) (M1A/B)" devices ())
(name "m1cikp" year "1997" manufacturer "Maygay" desc "Cash Is King (Maygay) v11? (Protocol) (M1A/B)" devices ())
(name "m1clbfvr" year "199?" manufacturer "Maygay" desc "Club Fever (Maygay) v1.1 (M1A/B)" devices ())
(name "m1clbfvrp" year "199?" manufacturer "Maygay" desc "Club Fever (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1cluecb" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v3.1 (M1A/B)" devices ())
(name "m1cluecb1" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v1.1 (M1A/B)" devices ())
(name "m1cluecb1p" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1cluecb2" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v2.1 (M1A/B)" devices ())
(name "m1cluecb2p" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1cluecbp" year "1993" manufacturer "Maygay" desc "Cluedo Club (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedo" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v6.1 (M1A/B)" devices ())
(name "m1cluedo1" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v1.1 (M1A/B)" devices ())
(name "m1cluedo1h" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v1.1 (Hack?) (M1A/B)" devices ())
(name "m1cluedo1p" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedo3" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v3.1 (M1A/B)" devices ())
(name "m1cluedo3h" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v3.1 (Hack?) (M1A/B)" devices ())
(name "m1cluedo3p" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedo4" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v4.1 (M1A/B)" devices ())
(name "m1cluedo4p" year "1993" manufacturer "Maygay" desc "Cluedo (Maygay) v4.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedo5" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v5.1 (M1A/B)" devices ())
(name "m1cluedo5p" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v5.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedob1" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v1.1 (M1A/B)" devices ())
(name "m1cluedob1h" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v1.1 (Hack?) (M1A/B)" devices ())
(name "m1cluedob1p" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedob2" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v2.1 (M1A/B)" devices ())
(name "m1cluedob2h" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v2.1 (Hack?) (M1A/B)" devices ())
(name "m1cluedob2p" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1cluedobi2" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v2.1 (Isle of Man) (M1A/B)" devices ())
(name "m1cluedobi2p" year "1995" manufacturer "Maygay/BwB" desc "Cluedo (Maygay/BwB) v2.1 (Isle of Man) (Protocol) (M1A/B)" devices ())
(name "m1cluedoi" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v7.2 (Isle of Man) (M1A/B)" devices ())
(name "m1cluedoip" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v7.2 (Isle of Man) (Protocol) (M1A/B)" devices ())
(name "m1cluedon" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v1.2 (Newer) (M1A/B)" devices ())
(name "m1cluedonp" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v1.2 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1cluedop" year "1995" manufacturer "Maygay" desc "Cluedo (Maygay) v6.1 (Protocol) (M1A/B)" devices ())
(name "m1cluesh" year "1993" manufacturer "Maygay" desc "Super Cluedo Showcase (Maygay) v1.2 (M1A/B)" devices ())
(name "m1cluesho" year "1993" manufacturer "Maygay" desc "Super Cluedo Showcase (Maygay) v1.2 (Older) (M1A/B)" devices ())
(name "m1clueshop" year "1993" manufacturer "Maygay" desc "Super Cluedo Showcase (Maygay) v1.2 (Older) (Protocol) (M1A/B)" devices ())
(name "m1clueshp" year "1993" manufacturer "Maygay" desc "Super Cluedo Showcase (Maygay) v1.2 (Protocol) (M1A/B)" devices ())
(name "m1cluess" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.3 (M1A/B)" devices ())
(name "m1cluessa" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.2 (Newer) (M1A/B)" devices ())
(name "m1cluessap" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.2 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1cluessb" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v7.1 (Older) (M1A/B)" devices ())
(name "m1cluessbp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v7.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessc" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v6.1 (Older) (M1A/B)" devices ())
(name "m1cluesscp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v6.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessd" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v5.1 (Older) (M1A/B)" devices ())
(name "m1cluessdp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v5.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluesse" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.1 (Older) (M1A/B)" devices ())
(name "m1cluessep" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessf" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.1 (Older) (M1A/B)" devices ())
(name "m1cluessfp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessg" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v7.1 (15GBP Jackpot) (Older) (M1A/B)" devices ())
(name "m1cluessh" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.3 (Newer) (Hack) (M1A/B)" devices ())
(name "m1cluessi" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.1 (10GBP Jackpot) (Older) (M1A/B)" devices ())
(name "m1cluessj" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.3 (5GBP Jackpot) (Older) (M1A/B)" devices ())
(name "m1cluessk" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.2 (Older) (M1A/B)" devices ())
(name "m1cluessl" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v4.1 (Older) (M1A/B)" devices ())
(name "m1cluesslp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v4.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessm" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v3.1 (Older) (M1A/B)" devices ())
(name "m1cluessmp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v3.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1cluessn" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v1.1 (10GBP Jackpot) (Older) (M1A/B)" devices ())
(name "m1cluesso" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.1 (Older, alternate) (M1A/B)" devices ())
(name "m1cluessop" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.1 (Older, alternate) (Protocol) (M1A/B)" devices ())
(name "m1cluessp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v2.3 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1cluessq" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v5.1 (Older, alternate) (M1A/B)" devices ())
(name "m1cluessqp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v5.1 (Older, alternate) (Protocol) (M1A/B)" devices ())
(name "m1cluessr" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v3.1 (Older, alternate) (M1A/B)" devices ())
(name "m1cluessrp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v3.1 (Older, alternate) (Protocol) (M1A/B)" devices ())
(name "m1cluesss" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v4.1? (Older, alternate) (M1A/B)" devices ())
(name "m1cluesssp" year "1996" manufacturer "Maygay" desc "Cluedo Super Sleuth (Maygay) v4.1? (Older, alternate) (Protocol) (M1A/B)" devices ())
(name "m1coderd" year "199?" manufacturer "Maygay" desc "Code Red Club (Maygay) v2.1 (M1A/B)" devices ())
(name "m1coderdp" year "199?" manufacturer "Maygay" desc "Code Red Club (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1coro" year "1996" manufacturer "Maygay" desc "Coronation Street (Maygay) (M1A/B)" devices ())
(name "m1coro10h1" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.0 (Hack 1) (M1A/B)" devices ())
(name "m1coro10h2" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.0 (Hack 2) (M1A/B)" devices ())
(name "m1coro10h3" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.0 (Hack 3) (M1A/B)" devices ())
(name "m1coro11n" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.1 (Newer) (M1A/B)" devices ())
(name "m1coro11np" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.1 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1coro12a" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.2 (Newer, G?) (Alternate) (M1A/B)" devices ())
(name "m1coro12g" year "1995" manufacturer "Maygay/BwB?" desc "Coronation Street (Maygay) v1.2 (Newer, G?) (M1A/B)" devices ())
(name "m1coro12gp" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.2 (Newer, G?) (Protocol) (M1A/B)" devices ())
(name "m1coro12n" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.2 (Newer) (M1A/B)" devices ())
(name "m1coro12np" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v1.2 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1coro21n" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v2.1 (Newer) (M1A/B)" devices ())
(name "m1coro21np" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v2.1 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1coro21v" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v2.1 (Multivend) (M1A/B)" devices ())
(name "m1coro21vp" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v2.1 (Multivend) (Protocol)(M1A/B)" devices ())
(name "m1coro22n" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v2.2 (Newer) (M1A/B)" devices ())
(name "m1coro30h" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.0 (Hack) (M1A/B)" devices ())
(name "m1coro31" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.1 (Older) (M1A/B)" devices ())
(name "m1coro31p" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1coro32g" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.2 (Newer, G?) (M1A/B)" devices ())
(name "m1coro32gh" year "1995" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.2 (Newer, G?) (Hack) (M1A/B)" devices ())
(name "m1coro32n" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.2 (Newer) (M1A/B)" devices ())
(name "m1coro32np" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v3.2 (Newer) (Protocol) (M1A/B)" devices ())
(name "m1coro81" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v8.1 (M1A/B)" devices ())
(name "m1coro81p" year "1993" manufacturer "Maygay" desc "Coronation Street (Maygay) v8.1 (Protocol) (M1A/B)" devices ())
(name "m1corocb" year "1994" manufacturer "Maygay" desc "Coronation Street Club (Maygay) v2.1 (M1A/B)" devices ())
(name "m1corocb1" year "1994" manufacturer "Maygay" desc "Coronation Street Club (Maygay) v1.1 (M1A/B)" devices ())
(name "m1corocb1p" year "1994" manufacturer "Maygay" desc "Coronation Street Club (Maygay) v1.1 (Protocol)(M1A/B)" devices ())
(name "m1corocbp" year "1994" manufacturer "Maygay" desc "Coronation Street Club (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1corop" year "1996" manufacturer "Maygay" desc "Coronation Street (Maygay) (Protocol) (M1A/B)" devices ())
(name "m1cororr" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 1) (M1A/B)" devices ())
(name "m1cororra" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 1) (Alternate) (M1A/B)" devices ())
(name "m1cororrb" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 2) (M1A/B)" devices ())
(name "m1cororrb1" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 2) (Alternate) (M1A/B)" devices ())
(name "m1cororrbh" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 2) (Hack) (M1A/B)" devices ())
(name "m1cororrbp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 2) (Protocol) (M1A/B)" devices ())
(name "m1cororrc" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 3) (M1A/B)" devices ())
(name "m1cororrc1" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 3) (Alternate 1) (M1A/B)" devices ())
(name "m1cororrc2" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 3) (Alternate 2) (M1A/B)" devices ())
(name "m1cororrd" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 4) (M1A/B)" devices ())
(name "m1cororrdp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 4) (Protocol) (M1A/B)" devices ())
(name "m1cororre" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 5) (M1A/B)" devices ())
(name "m1cororrf" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 6) (BW) (M1A/B)" devices ())
(name "m1cororrfp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 6) (BW) (Protocol) (M1A/B)" devices ())
(name "m1cororrg" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 7) (M1A/B)" devices ())
(name "m1cororrgp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 7) (Protocol) (M1A/B)" devices ())
(name "m1cororrh" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 8) (M1A/B)" devices ())
(name "m1cororri" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 9) (M1A/B)" devices ())
(name "m1cororrip" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 9) (Protocol) (M1A/B)" devices ())
(name "m1cororrj" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 10) (M1A/B)" devices ())
(name "m1cororrjp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 10) (Protocol) (M1A/B)" devices ())
(name "m1cororrk" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 11) (M1A/B)" devices ())
(name "m1cororrl" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 12) (M1A/B)" devices ())
(name "m1cororrlp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 12) (Protocol) (M1A/B)" devices ())
(name "m1cororrp" year "1995" manufacturer "Maygay" desc "Coronation Street - Rovers Return (Maygay) (set 1) (Protocol) (M1A/B)" devices ())
(name "m1corosh" year "1993" manufacturer "Maygay" desc "Coronation Street Showcase (Maygay) v1.1 (M1A/B)" devices ())
(name "m1coroshp" year "1993" manufacturer "Maygay" desc "Coronation Street Showcase (Maygay) v1.1 (Protocol)(M1A/B)" devices ())
(name "m1criss" year "199?" manufacturer "Maygay" desc "Criss Cross Club (Maygay) (Dutch) (M1A/B)" devices ())
(name "m1crzco" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 1)" devices ())
(name "m1crzcoa" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 2)" devices ())
(name "m1crzcob" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 3)" devices ())
(name "m1crzcoc" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 4)" devices ())
(name "m1crzcod" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 5)" devices ())
(name "m1crzcoe" year "199?" manufacturer "Gemini" desc "Crazy Cobra (Gemini) (M1A/B) (set 6)" devices ())
(name "m1digdel" year "199?" manufacturer "Global" desc "Diggers Delight (Global) (M1A/B) (set 1)" devices ())
(name "m1digdela" year "199?" manufacturer "Global" desc "Diggers Delight (Global) (M1A/B) (set 2)" devices ())
(name "m1dkong" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.2 (M1A/B)" devices ())
(name "m1dkong11" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v1.1 (M1A/B)" devices ())
(name "m1dkong11p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v1.1 (M1A/B) (Protocol?)" devices ())
(name "m1dkong21" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v2.1 (Older) (M1A/B)" devices ())
(name "m1dkong21n" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v2.1 (M1A/B)" devices ())
(name "m1dkong21p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v2.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1dkong31" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v3.1 (M1A/B)" devices ())
(name "m1dkong31p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1dkong41" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v4.1 (M1A/B)" devices ())
(name "m1dkong41p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v4.1 (Protocol) (M1A/B)" devices ())
(name "m1dkong51" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v5.1 (M1A/B)" devices ())
(name "m1dkong51p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v5.1 (Protocol) (M1A/B)" devices ())
(name "m1dkong81" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v8.1 (Older) (M1A/B)" devices ())
(name "m1dkong81n" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v8.1 (M1A/B)" devices ())
(name "m1dkong81na" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v8.1 (Alternate) (M1A/B)" devices ())
(name "m1dkong81np" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v8.1 (Protocol) (M1A/B)" devices ())
(name "m1dkong81p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v8.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1dkong91" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Older) (M1A/B)" devices ())
(name "m1dkong91a" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Older) (Alternate) (M1A/B)" devices ())
(name "m1dkong91h1" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Older) (Hack 1) (M1A/B)" devices ())
(name "m1dkong91h2" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Older) (Hack 2) (M1A/B)" devices ())
(name "m1dkong91n" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (M1A/B)" devices ())
(name "m1dkong91na" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Alternate) (M1A/B)" devices ())
(name "m1dkong91np" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Protocol) (M1A/B)" devices ())
(name "m1dkong91p" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1dkonga" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.2 (Alternate) (M1A/B)" devices ())
(name "m1dkonga2" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v?.? (M1A/B)" devices ())
(name "m1dkongp" year "1996" manufacturer "Maygay" desc "Donkey Kong (Maygay) v9.2 (Protocol) (M1A/B)" devices ())
(name "m1dm4ev" year "199?" manufacturer "Maygay" desc "Diamonds Are Forever Club (Maygay) v5.1 (M1A/B)" devices ())
(name "m1dm4ev11" year "199?" manufacturer "Maygay" desc "Diamonds Are Forever Club (Maygay) v1.1 (M1A/B)" devices ())
(name "m1dm4evp" year "199?" manufacturer "Maygay" desc "Diamonds Are Forever Club (Maygay) v5.1 (Protocol) n(M1A/B)" devices ())
(name "m1dmnhrt" year "199?" manufacturer "Maygay" desc "Diamond Hearts (Maygay) (M1A/B)" devices ())
(name "m1dxmono" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v5.1 (M1A/B)" devices ())
(name "m1dxmono11" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.1 (M1A/B)" devices ())
(name "m1dxmono11m" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.1 (Code M) (M1A/B)" devices ())
(name "m1dxmono11mb" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.1 (Code M, Alternate) (M1A/B)" devices ())
(name "m1dxmono11o" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.1 (Older) (M1A/B)" devices ())
(name "m1dxmono11p" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.1 (Protocol) (M1A/B)" devices ())
(name "m1dxmono12" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.2 (M1A/B)" devices ())
(name "m1dxmono12a" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.2 (Alternate) (M1A/B)" devices ())
(name "m1dxmono12n" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.2 (Newer) (M1A/B)" devices ())
(name "m1dxmono12p" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v1.2 (Protocol) (M1A/B)" devices ())
(name "m1dxmono21p" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v2.1 (Protocol) (M1A/B)" devices ())
(name "m1dxmono30h" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v3.0 (Hack) (M1A/B)" devices ())
(name "m1dxmono31b" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v3.1 (BwB set) (M1A/B)" devices ())
(name "m1dxmono31h" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v3.1 (Hack) (M1A/B)" devices ())
(name "m1dxmono31h2" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v3.1 (Alternate Hack) (M1A/B)" devices ())
(name "m1dxmono31p" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v3.1 (Protocol) (M1A/B)" devices ())
(name "m1dxmono51" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v5.1 (Older) (M1A/B)" devices ())
(name "m1dxmono51o" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v5.1 (Older) (M1A/B) (alt?)" devices ())
(name "m1dxmono51p" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v5.1 (Older) (Protocol) (M1A/B)" devices ())
(name "m1dxmonop" year "1992" manufacturer "Maygay" desc "Deluxe Monopoly (Maygay) v5.1 (Protocol) (M1A/B)" devices ())
(name "m1eastnd" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 1)" devices ())
(name "m1eastnd0" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 28)" devices ())
(name "m1eastnd1" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 29)" devices ())
(name "m1eastnd2" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 30)" devices ())
(name "m1eastnd3" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 31)" devices ())
(name "m1eastnd4" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 32)" devices ())
(name "m1eastnd5" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 33)" devices ())
(name "m1eastnd6" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 34)" devices ())
(name "m1eastnd7" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 35)" devices ())
(name "m1eastnd8" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 36)" devices ())
(name "m1eastnd9" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 37)" devices ())
(name "m1eastnda" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 2)" devices ())
(name "m1eastndaa" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 38)" devices ())
(name "m1eastndab" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 39)" devices ())
(name "m1eastndac" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 40)" devices ())
(name "m1eastndad" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 41)" devices ())
(name "m1eastndae" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 42)" devices ())
(name "m1eastndaf" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 43)" devices ())
(name "m1eastndb" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 3)" devices ())
(name "m1eastndc" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 4)" devices ())
(name "m1eastndd" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 5)" devices ())
(name "m1eastnde" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 6)" devices ())
(name "m1eastndf" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 7)" devices ())
(name "m1eastndg" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 8)" devices ())
(name "m1eastndh" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 9)" devices ())
(name "m1eastndi" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 10)" devices ())
(name "m1eastndj" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 11)" devices ())
(name "m1eastndk" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 12)" devices ())
(name "m1eastndl" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 13)" devices ())
(name "m1eastndn" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 15)" devices ())
(name "m1eastndp" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 17)" devices ())
(name "m1eastndq" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 18)" devices ())
(name "m1eastndr" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 19)" devices ())
(name "m1eastnds" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 20)" devices ())
(name "m1eastndt" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 21)" devices ())
(name "m1eastndu" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 22)" devices ())
(name "m1eastndv" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 23)" devices ())
(name "m1eastndw" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 24)" devices ())
(name "m1eastndx" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 25)" devices ())
(name "m1eastndy" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 26)" devices ())
(name "m1eastndz" year "199?" manufacturer "Maygay" desc "Eastenders (Maygay) (M1A/B) (set 27)" devices ())
(name "m1eastqv" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 1)" devices ())
(name "m1eastqv0" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 28)" devices ())
(name "m1eastqv1" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 29)" devices ())
(name "m1eastqv2" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 30)" devices ())
(name "m1eastqv3" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 31)" devices ())
(name "m1eastqv5" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 33)" devices ())
(name "m1eastqv6" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 34)" devices ())
(name "m1eastqv7" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 35)" devices ())
(name "m1eastqv8" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 36)" devices ())
(name "m1eastqva" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 2)" devices ())
(name "m1eastqvaa" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 38)" devices ())
(name "m1eastqvb" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 3)" devices ())
(name "m1eastqvc" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 4)" devices ())
(name "m1eastqvd" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 5)" devices ())
(name "m1eastqvf" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 7)" devices ())
(name "m1eastqvg" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 8)" devices ())
(name "m1eastqvh" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 9)" devices ())
(name "m1eastqvi" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 10)" devices ())
(name "m1eastqvj" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 11)" devices ())
(name "m1eastqvk" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 12)" devices ())
(name "m1eastqvl" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 13)" devices ())
(name "m1eastqvm" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 14)" devices ())
(name "m1eastqvn" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 15)" devices ())
(name "m1eastqvo" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 16)" devices ())
(name "m1eastqvp" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 17)" devices ())
(name "m1eastqvq" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 18)" devices ())
(name "m1eastqvr" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 19)" devices ())
(name "m1eastqvs" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 20)" devices ())
(name "m1eastqvt" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 21)" devices ())
(name "m1eastqvu" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 22)" devices ())
(name "m1eastqvv" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 23)" devices ())
(name "m1eastqvw" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 24)" devices ())
(name "m1eastqvx" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 25)" devices ())
(name "m1eastqvy" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 26)" devices ())
(name "m1eastqvz" year "199?" manufacturer "Maygay" desc "Eastenders - Queen Vic (Maygay) (M1A/B) (set 27)" devices ())
(name "m1expclb" year "199?" manufacturer "Maygay" desc "Explorer Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1expclba" year "199?" manufacturer "Maygay" desc "Explorer Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1fantfb" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 1)" devices ())
(name "m1fantfba" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 2)" devices ())
(name "m1fantfbb" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 3)" devices ())
(name "m1fantfbc" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 4)" devices ())
(name "m1fantfbd" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 5)" devices ())
(name "m1fantfbf" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 7)" devices ())
(name "m1fantfbg" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 8)" devices ())
(name "m1fantfbh" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 9)" devices ())
(name "m1fantfbj" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 11)" devices ())
(name "m1fantfbk" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 12)" devices ())
(name "m1fantfbl" year "199?" manufacturer "Maygay" desc "Fantasy Football (Maygay) (M1A/B) (set 13)" devices ())
(name "m1fight" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 1)" devices ())
(name "m1fighta" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 2)" devices ())
(name "m1fightb" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 3)" devices ())
(name "m1fightc" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 4)" devices ())
(name "m1fightd" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 5)" devices ())
(name "m1fighte" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 6)" devices ())
(name "m1fightg" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 8)" devices ())
(name "m1fighth" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 9)" devices ())
(name "m1fighti" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 10)" devices ())
(name "m1fightj" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 11)" devices ())
(name "m1fightk" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 12)" devices ())
(name "m1fightl" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 13)" devices ())
(name "m1fightm" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 14)" devices ())
(name "m1fightn" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 15)" devices ())
(name "m1fighto" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 16)" devices ())
(name "m1fightp" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 17)" devices ())
(name "m1fightq" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 18)" devices ())
(name "m1fightr" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 19)" devices ())
(name "m1fights" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 20)" devices ())
(name "m1fightt" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 21)" devices ())
(name "m1fightu" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 22)" devices ())
(name "m1fightv" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 23)" devices ())
(name "m1fightw" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 24)" devices ())
(name "m1fightx" year "199?" manufacturer "Maygay" desc "Fight Night (Maygay) (M1A/B) (set 25)" devices ())
(name "m1fivest" year "199?" manufacturer "Maygay" desc "Five Star (Dutch) (Maygay) (M1A/B)" devices ())
(name "m1frexpl" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 1)" devices ())
(name "m1frexpla" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 2)" devices ())
(name "m1frexplc" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 4)" devices ())
(name "m1frexpld" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 5)" devices ())
(name "m1frexple" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 6)" devices ())
(name "m1frexplg" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 8)" devices ())
(name "m1frexplh" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 9)" devices ())
(name "m1frexpli" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 10)" devices ())
(name "m1frexplj" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 11)" devices ())
(name "m1frexplk" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 12)" devices ())
(name "m1frexpll" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 13)" devices ())
(name "m1frexplm" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 14)" devices ())
(name "m1frexpln" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 15)" devices ())
(name "m1frexplo" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 16)" devices ())
(name "m1frexplp" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 17)" devices ())
(name "m1frexplq" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 18)" devices ())
(name "m1frexplr" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 19)" devices ())
(name "m1frexpls" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 20)" devices ())
(name "m1frexplt" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 21)" devices ())
(name "m1frexplu" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 22)" devices ())
(name "m1frexplv" year "199?" manufacturer "Maygay" desc "Fruit Explosion (Maygay) (M1A/B) (set 23)" devices ())
(name "m1glad" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 1)" devices ())
(name "m1glad0" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 28)" devices ())
(name "m1glad1" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 29)" devices ())
(name "m1glada" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 2)" devices ())
(name "m1gladb" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 3)" devices ())
(name "m1gladc" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 4)" devices ())
(name "m1gladd" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 5)" devices ())
(name "m1glade" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 6)" devices ())
(name "m1gladf" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 7)" devices ())
(name "m1gladg" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 8)" devices ())
(name "m1gladh" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 9)" devices ())
(name "m1gladj" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 11)" devices ())
(name "m1gladk" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 12)" devices ())
(name "m1gladl" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 13)" devices ())
(name "m1gladm" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 14)" devices ())
(name "m1gladn" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 15)" devices ())
(name "m1glado" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 16)" devices ())
(name "m1gladp" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 17)" devices ())
(name "m1gladq" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 18)" devices ())
(name "m1gladr" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 19)" devices ())
(name "m1glads" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 20)" devices ())
(name "m1gladt" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 21)" devices ())
(name "m1gladu" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 22)" devices ())
(name "m1gladv" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 23)" devices ())
(name "m1gladw" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 24)" devices ())
(name "m1gladx" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 25)" devices ())
(name "m1glady" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 26)" devices ())
(name "m1gladz" year "199?" manufacturer "Maygay" desc "Gladiators (Maygay) (M1A/B) (set 27)" devices ())
(name "m1gold10" year "199?" manufacturer "Maygay" desc "Golden 10 (German) (Maygay) (M1A/B)" devices ())
(name "m1goldng" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1goldnga" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1goldngb" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1goldngc" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 4)" devices ())
(name "m1goldngd" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 5)" devices ())
(name "m1goldnge" year "199?" manufacturer "Maygay" desc "Golden Nugget Club (Maygay) (M1A/B) (set 6)" devices ())
(name "m1goldsv" year "199?" manufacturer "Maygay" desc "Gold & Silver (Maygay) (M1A/B) (set 1)" devices ())
(name "m1goldsva" year "199?" manufacturer "Maygay" desc "Gold & Silver (Maygay) (M1A/B) (set 2)" devices ())
(name "m1gresc" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 1)" devices ())
(name "m1gresca" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 2)" devices ())
(name "m1grescb" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 3)" devices ())
(name "m1grescc" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 4)" devices ())
(name "m1grescd" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 5)" devices ())
(name "m1gresce" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 6)" devices ())
(name "m1grescf" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 7)" devices ())
(name "m1grescg" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 8)" devices ())
(name "m1gresch" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 9)" devices ())
(name "m1gresci" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 10)" devices ())
(name "m1grescj" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 11)" devices ())
(name "m1gresck" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 12)" devices ())
(name "m1grescl" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 13)" devices ())
(name "m1grescm" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 14)" devices ())
(name "m1grescn" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 15)" devices ())
(name "m1gresco" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 16)" devices ())
(name "m1grescp" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 17)" devices ())
(name "m1grescq" year "199?" manufacturer "Maygay" desc "The Great Escape (Maygay) (M1A/B) (set 18)" devices ())
(name "m1gskill" year "199?" manufacturer "Hitech Amusement" desc "Greek Skill (Hitech Amusement)" devices ())
(name "m1guvnor" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 1)" devices ())
(name "m1guvnora" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 2)" devices ())
(name "m1guvnorb" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 3)" devices ())
(name "m1guvnorc" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 4)" devices ())
(name "m1guvnord" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 5)" devices ())
(name "m1guvnore" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 6)" devices ())
(name "m1guvnorf" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 7)" devices ())
(name "m1guvnorg" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 8)" devices ())
(name "m1guvnorh" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 9)" devices ())
(name "m1guvnori" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 10)" devices ())
(name "m1guvnorj" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 11)" devices ())
(name "m1guvnork" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 12)" devices ())
(name "m1guvnorl" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 13)" devices ())
(name "m1guvnorm" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 14)" devices ())
(name "m1guvnorn" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 15)" devices ())
(name "m1guvnoro" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 16)" devices ())
(name "m1guvnorp" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 17)" devices ())
(name "m1guvnorq" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 18)" devices ())
(name "m1guvnorr" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 19)" devices ())
(name "m1guvnors" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 20)" devices ())
(name "m1guvnort" year "199?" manufacturer "Maygay" desc "The Guvnor (Maygay) (M1A/B) (set 21)" devices ())
(name "m1hiloc" year "199?" manufacturer "Global" desc "Hi Lo Casino (Global) (M1A/B) (set 1)" devices ())
(name "m1hiloca" year "199?" manufacturer "Global" desc "Hi Lo Casino (Global) (M1A/B) (set 2)" devices ())
(name "m1hotpot" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 1)" devices ())
(name "m1hotpot0" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 28)" devices ())
(name "m1hotpotd" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 5)" devices ())
(name "m1hotpote" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 6)" devices ())
(name "m1hotpoth" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 9)" devices ())
(name "m1hotpoti" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 10)" devices ())
(name "m1hotpotj" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 11)" devices ())
(name "m1hotpotk" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 12)" devices ())
(name "m1hotpotl" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 13)" devices ())
(name "m1hotpotm" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 14)" devices ())
(name "m1hotpotn" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 15)" devices ())
(name "m1hotpoto" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 16)" devices ())
(name "m1hotpotp" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 17)" devices ())
(name "m1hotpotq" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 18)" devices ())
(name "m1hotpotr" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 19)" devices ())
(name "m1hotpots" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 20)" devices ())
(name "m1hotpott" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 21)" devices ())
(name "m1hotpotu" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 22)" devices ())
(name "m1hotpotv" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 23)" devices ())
(name "m1hotpotw" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 24)" devices ())
(name "m1hotpotx" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 25)" devices ())
(name "m1hotpoty" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 26)" devices ())
(name "m1hotpotz" year "199?" manufacturer "Maygay" desc "Hot Pots (Maygay) (M1A/B) (set 27)" devices ())
(name "m1htclb" year "199?" manufacturer "Maygay" desc "Hi Tension Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1htclba" year "199?" manufacturer "Maygay" desc "Hi Tension Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1imclb" year "199?" manufacturer "Maygay" desc "Instant Millionaire Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1imclba" year "199?" manufacturer "Maygay" desc "Instant Millionaire Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1imclbb" year "199?" manufacturer "Maygay" desc "Instant Millionaire Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1infern" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 1)" devices ())
(name "m1inferna" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 2)" devices ())
(name "m1infernb" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 3)" devices ())
(name "m1infernc" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 4)" devices ())
(name "m1infernd" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 5)" devices ())
(name "m1inferne" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 6)" devices ())
(name "m1infernf" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 7)" devices ())
(name "m1inferng" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 8)" devices ())
(name "m1infernh" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 9)" devices ())
(name "m1inferni" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 10)" devices ())
(name "m1infernj" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 11)" devices ())
(name "m1infernk" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 12)" devices ())
(name "m1infernl" year "199?" manufacturer "Maygay" desc "Inferno (Maygay) (M1A/B) (set 13)" devices ())
(name "m1inwin" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 1)" devices ())
(name "m1inwina" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 2)" devices ())
(name "m1inwinb" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 3)" devices ())
(name "m1inwinc" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 4)" devices ())
(name "m1inwinf" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 7)" devices ())
(name "m1inwinh" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 9)" devices ())
(name "m1inwini" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 10)" devices ())
(name "m1inwinj" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 11)" devices ())
(name "m1inwink" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 12)" devices ())
(name "m1inwinl" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 13)" devices ())
(name "m1inwinm" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 14)" devices ())
(name "m1inwinn" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 15)" devices ())
(name "m1inwino" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 16)" devices ())
(name "m1inwinp" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 17)" devices ())
(name "m1inwinq" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 18)" devices ())
(name "m1inwinr" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 19)" devices ())
(name "m1inwins" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 20)" devices ())
(name "m1inwint" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 21)" devices ())
(name "m1inwinu" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 22)" devices ())
(name "m1inwinv" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 23)" devices ())
(name "m1inwinw" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 24)" devices ())
(name "m1inwinx" year "199?" manufacturer "Maygay" desc "Instant Win (Maygay) (M1A/B) (set 25)" devices ())
(name "m1itjob" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 1)" devices ())
(name "m1itjobc" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 4)" devices ())
(name "m1itjobd" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 5)" devices ())
(name "m1itjobe" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 6)" devices ())
(name "m1itjobf" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 7)" devices ())
(name "m1itjobg" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 8)" devices ())
(name "m1itjobh" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 9)" devices ())
(name "m1itjobi" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 10)" devices ())
(name "m1itjobj" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 11)" devices ())
(name "m1itjobk" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 12)" devices ())
(name "m1itjobl" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 13)" devices ())
(name "m1itjobm" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 14)" devices ())
(name "m1itjobn" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 15)" devices ())
(name "m1itjobo" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 16)" devices ())
(name "m1itjobp" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 17)" devices ())
(name "m1itjobq" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 18)" devices ())
(name "m1itjobr" year "199?" manufacturer "Maygay" desc "The Italian Job (Maygay) (M1A/B) (set 19)" devices ())
(name "m1itsko" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 1)" devices ())
(name "m1itsko0" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 28)" devices ())
(name "m1itsko1" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 29)" devices ())
(name "m1itsko2" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 30)" devices ())
(name "m1itsko3" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 31)" devices ())
(name "m1itsko4" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 32)" devices ())
(name "m1itsko5" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 33)" devices ())
(name "m1itsko6" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 34)" devices ())
(name "m1itsko7" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 35)" devices ())
(name "m1itsko8" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 36)" devices ())
(name "m1itskoa" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 2)" devices ())
(name "m1itskob" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 3)" devices ())
(name "m1itskoc" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 4)" devices ())
(name "m1itskod" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 5)" devices ())
(name "m1itskoe" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 6)" devices ())
(name "m1itskof" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 7)" devices ())
(name "m1itskog" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 8)" devices ())
(name "m1itskoh" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 9)" devices ())
(name "m1itskoi" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 10)" devices ())
(name "m1itskoj" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 11)" devices ())
(name "m1itskok" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 12)" devices ())
(name "m1itskol" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 13)" devices ())
(name "m1itskom" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 14)" devices ())
(name "m1itskon" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 15)" devices ())
(name "m1itskoo" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 16)" devices ())
(name "m1itskop" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 17)" devices ())
(name "m1itskoq" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 18)" devices ())
(name "m1itskor" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 19)" devices ())
(name "m1itskos" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 20)" devices ())
(name "m1itskot" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 21)" devices ())
(name "m1itskou" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 22)" devices ())
(name "m1itskov" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 23)" devices ())
(name "m1itskow" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 24)" devices ())
(name "m1itskox" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 25)" devices ())
(name "m1itskoy" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 26)" devices ())
(name "m1itskoz" year "199?" manufacturer "Maygay" desc "It's A Knockout (Maygay) (M1A/B) (set 27)" devices ())
(name "m1jbond" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 1)" devices ())
(name "m1jbonda" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 2)" devices ())
(name "m1jbondb" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 3)" devices ())
(name "m1jbondc" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 4)" devices ())
(name "m1jbondd" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 5)" devices ())
(name "m1jbonde" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 6)" devices ())
(name "m1jbondf" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 7)" devices ())
(name "m1jbondg" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 8)" devices ())
(name "m1jbondh" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 9)" devices ())
(name "m1jbondi" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 10)" devices ())
(name "m1jbondj" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 11)" devices ())
(name "m1jbondk" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 12)" devices ())
(name "m1jbondl" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 13)" devices ())
(name "m1jbondm" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 14)" devices ())
(name "m1jbondn" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 15)" devices ())
(name "m1jbondo" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 16)" devices ())
(name "m1jbondp" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 17)" devices ())
(name "m1jbondq" year "199?" manufacturer "Maygay" desc "James Bond (Maygay) (M1A/B) (set 18)" devices ())
(name "m1jdwins" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 1)" devices ())
(name "m1jdwinsa" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 2)" devices ())
(name "m1jdwinsb" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 3)" devices ())
(name "m1jdwinsc" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 4)" devices ())
(name "m1jdwinsd" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 5)" devices ())
(name "m1jdwinse" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 6)" devices ())
(name "m1jdwinsf" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 7)" devices ())
(name "m1jdwinsg" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 8)" devices ())
(name "m1jdwinsh" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 9)" devices ())
(name "m1jdwinsi" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 10)" devices ())
(name "m1jdwinsj" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 11)" devices ())
(name "m1jdwinsk" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 12)" devices ())
(name "m1jdwinsl" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 13)" devices ())
(name "m1jdwinsm" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 14)" devices ())
(name "m1jdwinsn" year "199?" manufacturer "Maygay" desc "Jim Davison's Winning Streak (Maygay) (M1A/B) (set 15)" devices ())
(name "m1jpmult" year "199?" manufacturer "Maygay" desc "Jackpot Multiplier (Maygay) (M1A/B) (set 1)" devices ())
(name "m1jpmulta" year "199?" manufacturer "Maygay" desc "Jackpot Multiplier (Maygay) (M1A/B) (set 2)" devices ())
(name "m1jtjob" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 1)" devices ())
(name "m1jtjoba" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 2)" devices ())
(name "m1jtjobb" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 3)" devices ())
(name "m1jtjobc" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 4)" devices ())
(name "m1jtjobd" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 5)" devices ())
(name "m1jtjobe" year "199?" manufacturer "Global" desc "Just The Job (Global) (M1A/B) (set 6)" devices ())
(name "m1kingsw" year "199?" manufacturer "Global" desc "King Of The Swingers (Global) (M1A/B) (set 1)" devices ())
(name "m1kingswa" year "199?" manufacturer "Global" desc "King Of The Swingers (Global) (M1A/B) (set 2)" devices ())
(name "m1kingswb" year "199?" manufacturer "Global" desc "King Of The Swingers (Global) (M1A/B) (set 3)" devices ())
(name "m1kingswc" year "199?" manufacturer "Global" desc "King Of The Swingers (Global) (M1A/B) (set 4)" devices ())
(name "m1lca" year "199?" manufacturer "Global" desc "Lights Camera Action (Global) (M1A/B) (set 1)" devices ())
(name "m1lcaa" year "199?" manufacturer "Global" desc "Lights Camera Action (Global) (M1A/B) (set 2)" devices ())
(name "m1lcab" year "199?" manufacturer "Global" desc "Lights Camera Action (Global) (M1A/B) (set 3)" devices ())
(name "m1lcac" year "199?" manufacturer "Global" desc "Lights Camera Action (Global) (M1A/B) (set 4)" devices ())
(name "m1liveam" year "1993" manufacturer "Maygay" desc "Living In America (Maygay) (M1A/B) (set 1)" devices ())
(name "m1liveama" year "1993" manufacturer "Maygay" desc "Living In America (Maygay) (M1A/B) (set 2)" devices ())
(name "m1liveamb" year "1993" manufacturer "Maygay" desc "Living In America (Maygay) (M1A/B) (set 3)" devices ())
(name "m1lotmil" year "199?" manufacturer "Maygay" desc "Lottery Millionaire Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1lotmila" year "199?" manufacturer "Maygay" desc "Lottery Millionaire Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1lotmilb" year "199?" manufacturer "Maygay" desc "Lottery Millionaire Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1lotmilc" year "199?" manufacturer "Maygay" desc "Lottery Millionaire Club (Maygay) (M1A/B) (set 4)" devices ())
(name "m1luckno" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 1)" devices ())
(name "m1lucknoa" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 2)" devices ())
(name "m1lucknob" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 3)" devices ())
(name "m1lucknoc" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 4)" devices ())
(name "m1lucknod" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 5)" devices ())
(name "m1lucknoe" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 6)" devices ())
(name "m1lucknof" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 7)" devices ())
(name "m1lucknog" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 8)" devices ())
(name "m1lucknoh" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 9)" devices ())
(name "m1lucknoi" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 10)" devices ())
(name "m1lucknoj" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 11)" devices ())
(name "m1lucknok" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 12)" devices ())
(name "m1lucknol" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 13)" devices ())
(name "m1lucknom" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 14)" devices ())
(name "m1lucknon" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 15)" devices ())
(name "m1lucknoo" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 16)" devices ())
(name "m1lucknop" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 17)" devices ())
(name "m1lucknoq" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 18)" devices ())
(name "m1lucknor" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 19)" devices ())
(name "m1lucknos" year "199?" manufacturer "Maygay" desc "Lucky Numbers (Maygay) (M1A/B) (set 20)" devices ())
(name "m1luxor" year "1994" manufacturer "Gemini" desc "Luxor Casino (Gemini) (M1A/B) (set 1)" devices ())
(name "m1luxora" year "1994" manufacturer "Gemini" desc "Luxor Casino (Gemini) (M1A/B) (set 2)" devices ())
(name "m1luxorb" year "1994" manufacturer "Gemini" desc "Luxor Casino (Gemini) (M1A/B) (set 3)" devices ())
(name "m1luxorc" year "1994" manufacturer "Gemini" desc "Luxor Casino (Gemini) (M1A/B) (set 4)" devices ())
(name "m1magic" year "199?" manufacturer "Maygay" desc "Magic Squares (Maygay) (M1A/B) (set 1)" devices ())
(name "m1magica" year "199?" manufacturer "Maygay" desc "Magic Squares (Maygay) (M1A/B) (set 2)" devices ())
(name "m1magicb" year "199?" manufacturer "Maygay" desc "Magic Squares (Maygay) (M1A/B) (set 3)" devices ())
(name "m1magicc" year "199?" manufacturer "Maygay" desc "Magic Squares (Maygay) (M1A/B) (set 4)" devices ())
(name "m1manhat" year "199?" manufacturer "Maygay" desc "Manhattan Skylines (Maygay) (M1A/B)" devices ())
(name "m1mb" year "199?" manufacturer "Global" desc "Monkey Business (Global) (M1A/B) (set 1)" devices ())
(name "m1mba" year "199?" manufacturer "Global" desc "Monkey Business (Global) (M1A/B) (set 2)" devices ())
(name "m1mbb" year "199?" manufacturer "Global" desc "Monkey Business (Global) (M1A/B) (set 3)" devices ())
(name "m1mbc" year "199?" manufacturer "Global" desc "Monkey Business (Global) (M1A/B) (set 4)" devices ())
(name "m1mbclb" year "199?" manufacturer "Global" desc "Monkey Business Club (Global) (M1A/B)" devices ())
(name "m1monclb" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1monclba" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1monclbb" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1monclbc" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 4)" devices ())
(name "m1monclbd" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 5)" devices ())
(name "m1monclbe" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 6)" devices ())
(name "m1monclbf" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 7)" devices ())
(name "m1monclbg" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 8)" devices ())
(name "m1monclbh" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 9)" devices ())
(name "m1monclbi" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 10)" devices ())
(name "m1monclbj" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 11)" devices ())
(name "m1monclbk" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 12)" devices ())
(name "m1monclbl" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 13)" devices ())
(name "m1monclbm" year "199?" manufacturer "Maygay" desc "Monopoly Club (Maygay) (M1A/B) (set 14)" devices ())
(name "m1moncls" year "199?" manufacturer "Maygay" desc "Monopoly Classic (Maygay) (M1A/B) (set 1)" devices ())
(name "m1monclsa" year "199?" manufacturer "Maygay" desc "Monopoly Classic (Maygay) (M1A/B) (set 2)" devices ())
(name "m1monclsb" year "199?" manufacturer "Maygay" desc "Monopoly Classic (Maygay) (M1A/B) (set 3)" devices ())
(name "m1monclsc" year "199?" manufacturer "Maygay" desc "Monopoly Classic (Maygay) (M1A/B) (set 4)" devices ())
(name "m1monclsd" year "199?" manufacturer "Maygay" desc "Monopoly Classic (Maygay) (M1A/B) (set 5)" devices ())
(name "m1mongam" year "199?" manufacturer "Maygay" desc "Money Game Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1mongama" year "199?" manufacturer "Maygay" desc "Money Game Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1mongamb" year "199?" manufacturer "Maygay" desc "Money Game Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1monmon" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 1)" devices ())
(name "m1monmona" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 2)" devices ())
(name "m1monmonb" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 3)" devices ())
(name "m1monmonc" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 4)" devices ())
(name "m1monmond" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 5)" devices ())
(name "m1monmone" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 6)" devices ())
(name "m1monmonf" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 7)" devices ())
(name "m1monmong" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 8)" devices ())
(name "m1monmonh" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 9)" devices ())
(name "m1monmoni" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 10)" devices ())
(name "m1monmonj" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 11)" devices ())
(name "m1monmonk" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 12)" devices ())
(name "m1monmonl" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 13)" devices ())
(name "m1monmonm" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 14)" devices ())
(name "m1monmonn" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 15)" devices ())
(name "m1monmono" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 16)" devices ())
(name "m1monmonp" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 17)" devices ())
(name "m1monmonq" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 18)" devices ())
(name "m1monmonr" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 19)" devices ())
(name "m1monmons" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 20)" devices ())
(name "m1monmont" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 21)" devices ())
(name "m1monmonu" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 22)" devices ())
(name "m1monmonv" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 23)" devices ())
(name "m1monmonw" year "199?" manufacturer "Maygay" desc "Money Money Money (Maygay) (M1A/B) (set 24)" devices ())
(name "m1mono" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 1)" devices ())
(name "m1mono0" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 28)" devices ())
(name "m1mono1" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 29)" devices ())
(name "m1mono2" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 30)" devices ())
(name "m1mono3" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 31)" devices ())
(name "m1mono4" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 32)" devices ())
(name "m1mono5" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 33)" devices ())
(name "m1mono6" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 34)" devices ())
(name "m1mono7" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 35)" devices ())
(name "m1mono8" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 36)" devices ())
(name "m1mono9" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 37)" devices ())
(name "m1monoa" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 2)" devices ())
(name "m1monoaa" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 38)" devices ())
(name "m1monoc" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 4)" devices ())
(name "m1monod" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 5)" devices ())
(name "m1monodt" year "199?" manufacturer "Maygay" desc "Monopoly (Dutch) (Maygay) (M1A/B)" devices ())
(name "m1monoe" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 6)" devices ())
(name "m1monof" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 7)" devices ())
(name "m1monog" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 8)" devices ())
(name "m1monoh" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 9)" devices ())
(name "m1monoi" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 10)" devices ())
(name "m1monok" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 12)" devices ())
(name "m1monol" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 13)" devices ())
(name "m1monom" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 14)" devices ())
(name "m1monon" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 15)" devices ())
(name "m1monoo" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 16)" devices ())
(name "m1monop" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 17)" devices ())
(name "m1monoq" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 18)" devices ())
(name "m1monor" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 19)" devices ())
(name "m1monos" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 20)" devices ())
(name "m1monot" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 21)" devices ())
(name "m1monou" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 22)" devices ())
(name "m1monov" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 23)" devices ())
(name "m1monow" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 24)" devices ())
(name "m1monox" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 25)" devices ())
(name "m1monoy" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 26)" devices ())
(name "m1monoz" year "199?" manufacturer "Maygay" desc "Monopoly (Maygay) (M1A/B) (set 27)" devices ())
(name "m1monstr" year "199?" manufacturer "Maygay" desc "Monster Cash (Maygay) (M1A/B) (set 1)" devices ())
(name "m1monstra" year "199?" manufacturer "Maygay" desc "Monster Cash (Maygay) (M1A/B) (set 2)" devices ())
(name "m1monstrb" year "199?" manufacturer "Maygay" desc "Monster Cash (Maygay) (M1A/B) (set 3)" devices ())
(name "m1monstrc" year "199?" manufacturer "Maygay" desc "Monster Cash (Maygay) (M1A/B) (set 4)" devices ())
(name "m1nhp" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 1)" devices ())
(name "m1nhpa" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 2)" devices ())
(name "m1nhpb" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 3)" devices ())
(name "m1nhpc" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 4)" devices ())
(name "m1nhpd" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 5)" devices ())
(name "m1nhpe" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 6)" devices ())
(name "m1nhpf" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 7)" devices ())
(name "m1nhpg" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 8)" devices ())
(name "m1nhph" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 9)" devices ())
(name "m1nhpi" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 10)" devices ())
(name "m1nhpj" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 11)" devices ())
(name "m1nhpk" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 12)" devices ())
(name "m1nhpl" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 13)" devices ())
(name "m1nhpm" year "199?" manufacturer "Maygay" desc "Noel's House Party (Maygay) (M1A/B) (set 14)" devices ())
(name "m1nudbnk" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 1)" devices ())
(name "m1nudbnka" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 2)" devices ())
(name "m1nudbnkb" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 3)" devices ())
(name "m1nudbnkc" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 4)" devices ())
(name "m1nudbnkd" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 5)" devices ())
(name "m1nudbnke" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 6)" devices ())
(name "m1nudbnkf" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 7)" devices ())
(name "m1nudbnkg" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 8)" devices ())
(name "m1nudbnkh" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 9)" devices ())
(name "m1nudbnki" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 10)" devices ())
(name "m1nudbnkj" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 11)" devices ())
(name "m1nudbnkk" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 12)" devices ())
(name "m1nudbnkl" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 13)" devices ())
(name "m1nudbnkm" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 14)" devices ())
(name "m1nudbnkn" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 15)" devices ())
(name "m1nudbnko" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 16)" devices ())
(name "m1nudbnkp" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 17)" devices ())
(name "m1nudbnkq" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 18)" devices ())
(name "m1nudbnkr" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 19)" devices ())
(name "m1nudbnks" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 20)" devices ())
(name "m1nudbnkt" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 21)" devices ())
(name "m1nudbnku" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 22)" devices ())
(name "m1nudbnkv" year "199?" manufacturer "Maygay" desc "Nudge Banker (Maygay) (M1A/B) (set 23)" devices ())
(name "m1nudunl" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 1)" devices ())
(name "m1nudunla" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 2)" devices ())
(name "m1nudunlb" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 3)" devices ())
(name "m1nudunlc" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 4)" devices ())
(name "m1nudunld" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 5)" devices ())
(name "m1nudunle" year "199?" manufacturer "Maygay" desc "Nudges Unlimited (Maygay) (M1A/B) (set 6)" devices ())
(name "m1omega" year "199?" manufacturer "Maygay" desc "Omega (Maygay) (M1A/B) (set 1)" devices ())
(name "m1omegaa" year "199?" manufacturer "Maygay" desc "Omega (Maygay) (M1A/B) (set 2)" devices ())
(name "m1onbus" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 1)" devices ())
(name "m1onbusa" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 2)" devices ())
(name "m1onbusb" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 3)" devices ())
(name "m1onbusc" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 4)" devices ())
(name "m1onbusd" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 5)" devices ())
(name "m1onbuse" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 6)" devices ())
(name "m1onbusf" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 7)" devices ())
(name "m1onbusg" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 8)" devices ())
(name "m1onbush" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 9)" devices ())
(name "m1onbusi" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 10)" devices ())
(name "m1onbusj" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 11)" devices ())
(name "m1onbusk" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 12)" devices ())
(name "m1onbusl" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 13)" devices ())
(name "m1onbusm" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 14)" devices ())
(name "m1onbusn" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 15)" devices ())
(name "m1onbuso" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 16)" devices ())
(name "m1onbusp" year "199?" manufacturer "Maygay" desc "On The Buses (Maygay) (M1A/B) (set 17)" devices ())
(name "m1ott" year "199?" manufacturer "Maygay" desc "Over The Top (Maygay) (M1A/B) (set 1)" devices ())
(name "m1otta" year "199?" manufacturer "Maygay" desc "Over The Top (Maygay) (M1A/B) (set 2)" devices ())
(name "m1piggy" year "199?" manufacturer "Maygay" desc "Piggy Bank (Maygay) (M1A/B) (set 1)" devices ())
(name "m1piggya" year "199?" manufacturer "Maygay" desc "Piggy Bank (Maygay) (M1A/B) (set 2)" devices ())
(name "m1piggyb" year "199?" manufacturer "Maygay" desc "Piggy Bank (Maygay) (M1A/B) (set 3)" devices ())
(name "m1piggyc" year "199?" manufacturer "Maygay" desc "Piggy Bank (Maygay) (M1A/B) (set 4)" devices ())
(name "m1pinkp" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 1)" devices ())
(name "m1pinkpa" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 2)" devices ())
(name "m1pinkpb" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 3)" devices ())
(name "m1pinkpc" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 4)" devices ())
(name "m1pinkpd" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 5)" devices ())
(name "m1pinkpe" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 6)" devices ())
(name "m1pinkpf" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 7)" devices ())
(name "m1pinkpg" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 8)" devices ())
(name "m1pinkph" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 9)" devices ())
(name "m1pinkpi" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 10)" devices ())
(name "m1pinkpj" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 11)" devices ())
(name "m1pinkpk" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 12)" devices ())
(name "m1pinkpl" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 13)" devices ())
(name "m1pinkpm" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 14)" devices ())
(name "m1pinkpn" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 15)" devices ())
(name "m1pinkpo" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 16)" devices ())
(name "m1pinkpp" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 17)" devices ())
(name "m1pinkpq" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 18)" devices ())
(name "m1pinkpr" year "199?" manufacturer "Maygay" desc "Pink Panther (Maygay) (M1A/B) (set 19)" devices ())
(name "m1ppc" year "199?" manufacturer "Maygay" desc "Pink Panther Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1ppca" year "199?" manufacturer "Maygay" desc "Pink Panther Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1ppcb" year "199?" manufacturer "Maygay" desc "Pink Panther Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1ppdt" year "199?" manufacturer "Maygay" desc "Pink Panther (German) (Maygay) (M1A/B)" devices ())
(name "m1przclu" year "199?" manufacturer "Maygay" desc "Prize Cluedo (Maygay) (M1A/B) (set 1)" devices ())
(name "m1przclua" year "199?" manufacturer "Maygay" desc "Prize Cluedo (Maygay) (M1A/B) (set 2)" devices ())
(name "m1przclub" year "199?" manufacturer "Maygay" desc "Prize Cluedo (Maygay) (M1A/B) (set 3)" devices ())
(name "m1przee" year "199?" manufacturer "Maygay" desc "Prize Eastenders (Maygay) (M1A/B) (set 1)" devices ())
(name "m1przeea" year "199?" manufacturer "Maygay" desc "Prize Eastenders (Maygay) (M1A/B) (set 2)" devices ())
(name "m1przeeb" year "199?" manufacturer "Maygay" desc "Prize Eastenders (Maygay) (M1A/B) (set 3)" devices ())
(name "m1przeec" year "199?" manufacturer "Maygay" desc "Prize Eastenders (Maygay) (M1A/B) (set 4)" devices ())
(name "m1races" year "199?" manufacturer "Maygay" desc "A Day At The Races (Maygay) (M1A/B) (set 1)" devices ())
(name "m1racesa" year "199?" manufacturer "Maygay" desc "A Day At The Races (Maygay) (M1A/B) (set 2)" devices ())
(name "m1racesb" year "199?" manufacturer "Maygay" desc "A Day At The Races (Maygay) (M1A/B) (set 3)" devices ())
(name "m1racesc" year "199?" manufacturer "Maygay" desc "A Day At The Races (Maygay) (M1A/B) (set 4)" devices ())
(name "m1reeldm" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 1)" devices ())
(name "m1reeldma" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 2)" devices ())
(name "m1reeldmb" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 3)" devices ())
(name "m1reeldmc" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 4)" devices ())
(name "m1reeldmd" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 5)" devices ())
(name "m1reeldme" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 6)" devices ())
(name "m1reeldmf" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 7)" devices ())
(name "m1reeldmg" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 8)" devices ())
(name "m1reeldmh" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 9)" devices ())
(name "m1reeldmi" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 10)" devices ())
(name "m1reeldmj" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 11)" devices ())
(name "m1reeldmk" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 12)" devices ())
(name "m1reeldml" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 13)" devices ())
(name "m1reeldmm" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 14)" devices ())
(name "m1reeldmn" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 15)" devices ())
(name "m1reeldmo" year "199?" manufacturer "Maygay" desc "Reel Diamonds (Maygay) (M1A/B) (set 16)" devices ())
(name "m1retpp" year "199?" manufacturer "Maygay" desc "Return Of The Pink Panther (Maygay) (M1A/B) (set 1)" devices ())
(name "m1retppa" year "199?" manufacturer "Maygay" desc "Return Of The Pink Panther (Maygay) (M1A/B) (set 2)" devices ())
(name "m1retppb" year "199?" manufacturer "Maygay" desc "Return Of The Pink Panther (Maygay) (M1A/B) (set 3)" devices ())
(name "m1retppc" year "199?" manufacturer "Maygay" desc "Return Of The Pink Panther (Maygay) (M1A/B) (set 4)" devices ())
(name "m1retppd" year "199?" manufacturer "Maygay" desc "Return Of The Pink Panther (Maygay) (M1A/B) (set 5)" devices ())
(name "m1search" year "199?" manufacturer "Maygay" desc "Search Light (Maygay) (M1A/B) (set 1)" devices ())
(name "m1searcha" year "199?" manufacturer "Maygay" desc "Search Light (Maygay) (M1A/B) (set 2)" devices ())
(name "m1searchb" year "199?" manufacturer "Maygay" desc "Search Light (Maygay) (M1A/B) (set 3)" devices ())
(name "m1simps" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 1)" devices ())
(name "m1simpsa" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 2)" devices ())
(name "m1simpsb" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 3)" devices ())
(name "m1simpsc" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 4)" devices ())
(name "m1simpsd" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 5)" devices ())
(name "m1simpse" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 6)" devices ())
(name "m1simpsf" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 7)" devices ())
(name "m1simpsg" year "199?" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 8)" devices ())
(name "m1simpsh" year "1993" manufacturer "Maygay" desc "The Simpsons (Maygay) (M1A/B) (set 9)" devices ())
(name "m1sirich" year "199?" manufacturer "Maygay" desc "Strike It Rich (Maygay) (M1A/B) (set 1)" devices ())
(name "m1siricha" year "199?" manufacturer "Maygay" desc "Strike It Rich (Maygay) (M1A/B) (set 2)" devices ())
(name "m1sirichb" year "199?" manufacturer "Maygay" desc "Strike It Rich (Maygay) (M1A/B) (set 3)" devices ())
(name "m1sirichc" year "199?" manufacturer "Maygay" desc "Strike It Rich (Maygay) (M1A/B) (set 4)" devices ())
(name "m1sixspn" year "199?" manufacturer "Maygay" desc "Six Spinner (Maygay) (M1A/B)" devices ())
(name "m1spid" year "199?" manufacturer "Maygay" desc "Spiderman (Maygay) (M1A/B) (set 1)" devices ())
(name "m1spida" year "199?" manufacturer "Maygay" desc "Spiderman (Maygay) (M1A/B) (set 2)" devices ())
(name "m1spidb" year "199?" manufacturer "Maygay" desc "Spiderman (Maygay) (M1A/B) (set 3)" devices ())
(name "m1sprint" year "1990" manufacturer "Maygay" desc "SPRINT (Maygay) (M1A/B)" devices ())
(name "m1sprnov" year "199?" manufacturer "Maygay" desc "Super Nova (Dutch) (Maygay) (M1A/B)" devices ())
(name "m1sptlgt" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 1)" devices ())
(name "m1sptlgta" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 2)" devices ())
(name "m1sptlgtb" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 3)" devices ())
(name "m1sptlgtc" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 4)" devices ())
(name "m1sptlgtd" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 5)" devices ())
(name "m1sptlgte" year "199?" manufacturer "Maygay" desc "Spotlight (Maygay) (M1A/B) (set 6)" devices ())
(name "m1startr" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 1)" devices ())
(name "m1startra" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 2)" devices ())
(name "m1startrb" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 3)" devices ())
(name "m1startrc" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 4)" devices ())
(name "m1startrd" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 5)" devices ())
(name "m1startre" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 6)" devices ())
(name "m1startrf" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 7)" devices ())
(name "m1startrg" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 8)" devices ())
(name "m1startrh" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 9)" devices ())
(name "m1startri" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 10)" devices ())
(name "m1startrj" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 11)" devices ())
(name "m1startrk" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 12)" devices ())
(name "m1startrm" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 14)" devices ())
(name "m1startrn" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 15)" devices ())
(name "m1startro" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 16)" devices ())
(name "m1startrp" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 17)" devices ())
(name "m1startrq" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 18)" devices ())
(name "m1startrr" year "199?" manufacturer "Mdm" desc "Star Trekking (Mdm) (M1A/B) (set 19)" devices ())
(name "m1sudnim" year "199?" manufacturer "Maygay" desc "Sudden Impact (Maygay) (M1A/B) (set 1)" devices ())
(name "m1sudnima" year "199?" manufacturer "Maygay" desc "Sudden Impact (Maygay) (M1A/B) (set 2)" devices ())
(name "m1sudnimb" year "199?" manufacturer "Maygay" desc "Sudden Impact (Maygay) (M1A/B) (set 3)" devices ())
(name "m1sudnimc" year "199?" manufacturer "Maygay" desc "Sudden Impact (Maygay) (M1A/B) (set 4)" devices ())
(name "m1suppot" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 1)" devices ())
(name "m1suppot0" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 28)" devices ())
(name "m1suppota" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 2)" devices ())
(name "m1suppotb" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 3)" devices ())
(name "m1suppotc" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 4)" devices ())
(name "m1suppotd" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 5)" devices ())
(name "m1suppote" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 6)" devices ())
(name "m1suppotf" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 7)" devices ())
(name "m1suppotg" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 8)" devices ())
(name "m1suppoti" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 10)" devices ())
(name "m1suppotj" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 11)" devices ())
(name "m1suppotk" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 12)" devices ())
(name "m1suppotl" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 13)" devices ())
(name "m1suppotm" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 14)" devices ())
(name "m1suppotn" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 15)" devices ())
(name "m1suppoto" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 16)" devices ())
(name "m1suppotp" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 17)" devices ())
(name "m1suppotq" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 18)" devices ())
(name "m1suppotr" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 19)" devices ())
(name "m1suppots" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 20)" devices ())
(name "m1suppott" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 21)" devices ())
(name "m1suppotu" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 22)" devices ())
(name "m1suppotv" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 23)" devices ())
(name "m1suppotw" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 24)" devices ())
(name "m1suppotx" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 25)" devices ())
(name "m1suppoty" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 26)" devices ())
(name "m1suppotz" year "199?" manufacturer "Maygay" desc "Super Pots (Maygay) (M1A/B) (set 27)" devices ())
(name "m1sycc" year "199?" manufacturer "Global" desc "Stake Yer Claim Club (Global) (M1A/B) (set 1)" devices ())
(name "m1sycca" year "199?" manufacturer "Global" desc "Stake Yer Claim Club (Global) (M1A/B) (set 2)" devices ())
(name "m1syccb" year "199?" manufacturer "Global" desc "Stake Yer Claim Club (Global) (M1A/B) (set 3)" devices ())
(name "m1taknot" year "199?" manufacturer "Maygay" desc "Take Note (Maygay) (M1A/B)" devices ())
(name "m1thatlf" year "199?" manufacturer "Maygay" desc "That's Life (Maygay) (M1A/B) (set 1)" devices ())
(name "m1thatlfa" year "199?" manufacturer "Maygay" desc "That's Life (Maygay) (M1A/B) (set 2)" devices ())
(name "m1thatlfb" year "199?" manufacturer "Maygay" desc "That's Life (Maygay) (M1A/B) (set 3)" devices ())
(name "m1thatlfc" year "199?" manufacturer "Maygay" desc "That's Life (Maygay) (M1A/B) (set 4)" devices ())
(name "m1thatlfd" year "199?" manufacturer "Maygay" desc "That's Life (Maygay) (M1A/B) (set 5)" devices ())
(name "m1thrill" year "199?" manufacturer "Global" desc "Thrills 'n' Spills (Global) (M1A/B) (set 1)" devices ())
(name "m1thrilla" year "199?" manufacturer "Global" desc "Thrills 'n' Spills (Global) (M1A/B) (set 2)" devices ())
(name "m1thrillb" year "199?" manufacturer "Global" desc "Thrills 'n' Spills (Global) (M1A/B) (set 3)" devices ())
(name "m1thrillc" year "199?" manufacturer "Global" desc "Thrills 'n' Spills (Global) (M1A/B) (set 4)" devices ())
(name "m1topstr" year "199?" manufacturer "Maygay" desc "Top Strike (Maygay - Bwb) (M1A/B)" devices ())
(name "m1topten" year "199?" manufacturer "Maygay" desc "Top Tenner (Maygay) (M1A/B) (set 1)" devices ())
(name "m1toptena" year "199?" manufacturer "Maygay" desc "Top Tenner (Maygay) (M1A/B) (set 2)" devices ())
(name "m1tpclb" year "199?" manufacturer "Maygay" desc "Trivial Pursuit Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1tpclba" year "199?" manufacturer "Maygay" desc "Trivial Pursuit Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1tpclbb" year "199?" manufacturer "Maygay" desc "Trivial Pursuit Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1tpclbc" year "199?" manufacturer "Maygay" desc "Trivial Pursuit Club (Maygay) (M1A/B) (set 4)" devices ())
(name "m1trivia" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 1)" devices ())
(name "m1triviaa" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 2)" devices ())
(name "m1triviab" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 3)" devices ())
(name "m1triviac" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 4)" devices ())
(name "m1triviad" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 5)" devices ())
(name "m1triviae" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 6)" devices ())
(name "m1triviaf" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 7)" devices ())
(name "m1triviag" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 8)" devices ())
(name "m1triviah" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 9)" devices ())
(name "m1triviai" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 10)" devices ())
(name "m1triviaj" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 11)" devices ())
(name "m1triviak" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 12)" devices ())
(name "m1trivial" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 13)" devices ())
(name "m1trivian" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 15)" devices ())
(name "m1triviap" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 17)" devices ())
(name "m1triviaq" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 18)" devices ())
(name "m1triviar" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 19)" devices ())
(name "m1trivias" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 20)" devices ())
(name "m1triviat" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 21)" devices ())
(name "m1triviau" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 22)" devices ())
(name "m1triviav" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 23)" devices ())
(name "m1triviaw" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 24)" devices ())
(name "m1triviax" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 25)" devices ())
(name "m1triviay" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 26)" devices ())
(name "m1triviaz" year "199?" manufacturer "Maygay" desc "Trivial Pursuit (Maygay) (M1A/B) (set 27)" devices ())
(name "m1trtr" year "199?" manufacturer "Global" desc "Trick Or Treat (Global) (M1A/B) (set 1)" devices ())
(name "m1trtra" year "199?" manufacturer "Global" desc "Trick Or Treat (Global) (M1A/B) (set 2)" devices ())
(name "m1trtrcl" year "199?" manufacturer "Global" desc "Trick Or Treat Club (Global) (M1A/B)" devices ())
(name "m1tstunt" year "199?" manufacturer "Maygay" desc "Test Unit (Maygay) (M1A/B)" devices ())
(name "m1ttcash" year "199?" manufacturer "Empire" desc "Tick Tock Cash (Empire) (M1A/B)" devices ())
(name "m1ultchl" year "199?" manufacturer "Maygay" desc "Ultimate Challenge (Maygay) (M1A/B) (set 1)" devices ())
(name "m1ultchla" year "199?" manufacturer "Maygay" desc "Ultimate Challenge (Maygay) (M1A/B) (set 2)" devices ())
(name "m1ultchlb" year "199?" manufacturer "Maygay" desc "Ultimate Challenge (Maygay) (M1A/B) (set 3)" devices ())
(name "m1ultchlc" year "199?" manufacturer "Maygay" desc "Ultimate Challenge (Maygay) (M1A/B) (set 4)" devices ())
(name "m1undsie" year "199?" manufacturer "Maygay" desc "Under Siege (Maygay) (M1A/B) (set 1)" devices ())
(name "m1undsiea" year "199?" manufacturer "Maygay" desc "Under Siege (Maygay) (M1A/B) (set 2)" devices ())
(name "m1undsieb" year "199?" manufacturer "Maygay" desc "Under Siege (Maygay) (M1A/B) (set 3)" devices ())
(name "m1undsiec" year "199?" manufacturer "Maygay" desc "Under Siege (Maygay) (M1A/B) (set 4)" devices ())
(name "m1vegas" year "199?" manufacturer "Maygay" desc "Vegas Gambler Club (Maygay) (M1A/B) (set 1)" devices ())
(name "m1vegasa" year "199?" manufacturer "Maygay" desc "Vegas Gambler Club (Maygay) (M1A/B) (set 2)" devices ())
(name "m1vegasb" year "199?" manufacturer "Maygay" desc "Vegas Gambler Club (Maygay) (M1A/B) (set 3)" devices ())
(name "m1vegcrw" year "199?" manufacturer "Global" desc "Vegetable Crew (Global) (M1A/B)" devices ())
(name "m1wagon" year "199?" manufacturer "Maygay" desc "Wagon Trail (Maygay) (M1A/B) (set 1)" devices ())
(name "m1wagona" year "199?" manufacturer "Maygay" desc "Wagon Trail (Maygay) (M1A/B) (set 2)" devices ())
(name "m1wagonb" year "199?" manufacturer "Maygay" desc "Wagon Trail (Maygay) (M1A/B) (set 3)" devices ())
(name "m1wagonc" year "199?" manufacturer "Maygay" desc "Wagon Trail (Maygay) (M1A/B) (set 4)" devices ())
(name "m1winenc" year "199?" manufacturer "Maygay" desc "John Francombe's Winners Enclosure (Maygay) (M1A/B) (set 1)" devices ())
(name "m1winenca" year "199?" manufacturer "Maygay" desc "John Francombe's Winners Enclosure (Maygay) (M1A/B) (set 2)" devices ())
(name "m1winencb" year "199?" manufacturer "Maygay" desc "John Francombe's Winners Enclosure (Maygay) (M1A/B) (set 3)" devices ())
(name "m1winencc" year "199?" manufacturer "Maygay" desc "John Francombe's Winners Enclosure (Maygay) (M1A/B) (set 4)" devices ())
(name "m1wldzne" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 1)" devices ())
(name "m1wldznea" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 2)" devices ())
(name "m1wldzneb" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 3)" devices ())
(name "m1wldznec" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 4)" devices ())
(name "m1wldzned" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 5)" devices ())
(name "m1wldznee" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 6)" devices ())
(name "m1wldznef" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 7)" devices ())
(name "m1wldzneg" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 8)" devices ())
(name "m1wldzneh" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 9)" devices ())
(name "m1wldznei" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 10)" devices ())
(name "m1wldznej" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 11)" devices ())
(name "m1wldznek" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 12)" devices ())
(name "m1wldznel" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 13)" devices ())
(name "m1wldznem" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 14)" devices ())
(name "m1wldznen" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 15)" devices ())
(name "m1wldzneo" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 16)" devices ())
(name "m1wldznep" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 17)" devices ())
(name "m1wldzneq" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 18)" devices ())
(name "m1wldzner" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 19)" devices ())
(name "m1wldznes" year "199?" manufacturer "Maygay" desc "Wild Zone (Maygay) (M1A/B) (set 20)" devices ())
(name "m1wotw" year "199?" manufacturer "Maygay" desc "War Of The Worlds (Maygay) (M1A/B) (set 1)" devices ())
(name "m1wotwa" year "199?" manufacturer "Maygay" desc "War Of The Worlds (Maygay) (M1A/B) (set 2)" devices ())
(name "m1wotwb" year "199?" manufacturer "Maygay" desc "War Of The Worlds (Maygay) (M1A/B) (set 3)" devices ())
(name "m20" year "1981" manufacturer "Olivetti" desc "Olivetti L1 M20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "m21" year "1984" manufacturer "Olivetti" desc "M21" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "m24" year "1983" manufacturer "Olivetti" desc "M24" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "m240" year "1987" manufacturer "Olivetti" desc "M240" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "m250e" year "198?" manufacturer "Olivetti" desc "M250E" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "m290" year "1987" manufacturer "Olivetti" desc "M290" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "m2comet" year "1981?" manufacturer "Leisure Games" desc "Comet Catcher (Leisure Games) (MPU2) (5p Stake, £1 Jackpot)" devices ())
(name "m2frpoly" year "1984" manufacturer "VFS" desc "Fruitopoly (VFS) (MPU2) (Hi Lights conversion, 10p Stake, £3 Jackpot)" devices ())
(name "m2hilite" year "1981" manufacturer "Barcrest" desc "Hi Lights (Barcrest) (MPU2) (10p Stake, £2 Jackpot)" devices ())
(name "m2jmt9" year "197?" manufacturer "Barcrest" desc "JMT9 Test Program (Barcrest) (MPU1/2)" devices ())
(name "m2luckyl" year "198?" manufacturer "Leisure Games" desc "Lucky Line (Leisure Games) (MPU2) (5p Stake, £2 Jackpot)" devices ())
(name "m2luckys" year "198?" manufacturer "Associated Leisure" desc "Lucky Strike (Associated Leisure) (MPU2) (5p Stake, £2 Jackpot)" devices ())
(name "m2rockon" year "1981" manufacturer "Barcrest" desc "Rock On (Barcrest) (MPU2) (10p Stake, £2 Jackpot)" devices ())
(name "m2splite" year "1981" manufacturer "Barcrest" desc "Spot Light (Barcrest) (MPU2) (revision 4, 10p Stake, £2 Jackpot)" devices ())
(name "m2splitea" year "1981" manufacturer "Barcrest" desc "Spot Light (Barcrest) (MPU2) (revision 7, 10p Stake, £2 Jackpot)" devices ())
(name "m2spliteb" year "1981" manufacturer "Barcrest" desc "Spot Light (Barcrest) (MPU2) (revision 9, 10p Stake, £2 Jackpot)" devices ())
(name "m2sstar" year "1978" manufacturer "Barcrest" desc "Super Star (Dutch) (Barcrest) (MPU2)" devices ())
(name "m2starl" year "1980?" manufacturer "Barcrest" desc "Star Light (Dutch) (Barcrest) (MPU2) (revision 07)" devices ())
(name "m2svlite" year "198?" manufacturer "<unknown>" desc "Silver Lights (MPU2) (5p Stake, £1 Jackpot)" devices ())
(name "m2triple" year "1984" manufacturer "VFS" desc "Triple Chance (VFS) (MPU2) (Spot Light conversion, 2p Stake, £1.50 Jackpot)" devices ())
(name "m3" year "1982" manufacturer "LSI" desc "M-THREE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "m3001" year "1990" manufacturer "Sega" desc "M3001" devices ())
(name "m3004" year "199?" manufacturer "Sega" desc "M3004" devices ())
(name "m3acech" year "198?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU3)" devices ())
(name "m3autort" year "198?" manufacturer "Barcrest" desc "Autoroute (Barcrest) (MPU3)" devices ())
(name "m3bankr" year "198?" manufacturer "BWB" desc "Banker (BWB) (MPU3)" devices ())
(name "m3big20j" year "198?" manufacturer "Barcrest" desc "Big 20 Joker (Barcrest) (MPU3)" devices ())
(name "m3biggam" year "198?" manufacturer "Barcrest" desc "The Big Game (Barcrest) (MPU3)" devices ())
(name "m3bigsht" year "198?" manufacturer "Barcrest" desc "Big Shot (Barcrest) (MPU3)" devices ())
(name "m3blkhle" year "198?" manufacturer "Barcrest" desc "Black Hole (Barcrest) (MPU3)" devices ())
(name "m3cabret" year "198?" manufacturer "Barcrest" desc "Cabaret (Barcrest) (MPU3, set 1)" devices ())
(name "m3cabreta" year "198?" manufacturer "Barcrest" desc "Cabaret (Barcrest) (MPU3, set 2)" devices ())
(name "m3cdash" year "198?" manufacturer "Pcp" desc "Cash Dash (Pcp) (MPU3)" devices ())
(name "m3chase" year "198?" manufacturer "BWB" desc "Chase It (BWB) (MPU3)" devices ())
(name "m3circle" year "198?" manufacturer "Barcrest" desc "Special Circle Club (Barcrest) (MPU3, set 1)" devices ())
(name "m3circlea" year "198?" manufacturer "Barcrest" desc "Special Circle Club (Barcrest) (MPU3, set 2, bad)" devices ())
(name "m3circleb" year "198?" manufacturer "Barcrest" desc "Special Circle Club (Barcrest) (MPU3, set 3)" devices ())
(name "m3cjoker" year "198?" manufacturer "Barcrest" desc "Crazy Joker (Barcrest) (MPU3)" devices ())
(name "m3cskill" year "198?" manufacturer "Barcrest" desc "Circle Skill (Barcrest) (MPU3)" devices ())
(name "m3cunlim" year "198?" manufacturer "Barcrest" desc "Chances Unlimited (Barcrest) (MPU3)" devices ())
(name "m3fortun" year "198?" manufacturer "Barcrest" desc "Fortune Numbers (Barcrest) (MPU3, set 1)" devices ())
(name "m3fortuna" year "198?" manufacturer "Barcrest" desc "Fortune Numbers (Barcrest) (MPU3, set 2)" devices ())
(name "m3fortund" year "198?" manufacturer "Barcrest" desc "Fortune Numbers (Barcrest) (Dutch) (MPU3)" devices ())
(name "m3gaward" year "198?" manufacturer "Barcrest" desc "Golden Award (Barcrest) (MPU3)" devices ())
(name "m3gcrown" year "198?" manufacturer "Mdm" desc "Golden Crowns (Mdm) (MPU3)" devices ())
(name "m3gmine" year "198?" manufacturer "BWB" desc "Gold Mine (BWB) (MPU3)" devices ())
(name "m3hprvpr" year "198?" manufacturer "Barcrest" desc "Hyper Viper (Barcrest) (MPU3)" devices ())
(name "m3lineup" year "198?" manufacturer "Barcrest" desc "Line Up (Barcrest) (MPU3)" devices ())
(name "m3llotto" year "198?" manufacturer "Barcrest" desc "Lucky Lotto (Barcrest) (MPU3)" devices ())
(name "m3loony" year "198?" manufacturer "Pcp" desc "Loonybin (Pcp) (MPU3)" devices ())
(name "m3lstrik" year "198?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU3, set 1)" devices ())
(name "m3lstrika" year "198?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU3, set 2)" devices ())
(name "m3magrp" year "198?" manufacturer "Barcrest" desc "Magic Replay (Barcrest) (MPU3)" devices ())
(name "m3minmax" year "198?" manufacturer "Associated Leisure" desc "Mini Max (Associated Leisure) (MPU3)" devices ())
(name "m3mremon" year "198?" manufacturer "VFS" desc "More Money (VFS) (MPU3)" devices ())
(name "m3nnice" year "198?" manufacturer "Barcrest" desc "Naughty But Nice (Barcrest) (MPU3)" devices ())
(name "m3oddson" year "198?" manufacturer "Barcrest" desc "Odds On (Barcrest) (MPU3)" devices ())
(name "m3online" year "198?" manufacturer "Pcp" desc "On Line (Pcp) (MPU3)" devices ())
(name "m3optunl" year "198?" manufacturer "Barcrest" desc "Options Unlimited (Barcrest) (MPU3)" devices ())
(name "m3oxo" year "198?" manufacturer "VFS" desc "Noughts 'n' Crosses (VFS) (MPU3)" devices ())
(name "m3ratrce" year "198?" manufacturer "BWB" desc "Rat Race (BWB) (MPU3)" devices ())
(name "m3razdaz" year "198?" manufacturer "Barcrest" desc "Razzle Dazzle (Barcrest) (MPU3, set 1)" devices ())
(name "m3razdaza" year "198?" manufacturer "Barcrest" desc "Razzle Dazzle (Barcrest) (MPU3, set 2)" devices ())
(name "m3razdazd" year "198?" manufacturer "Barcrest" desc "Razzle Dazzle (Barcrest) (Dutch) (MPU3)" devices ())
(name "m3replay" year "198?" manufacturer "Barcrest" desc "Instant Replay (Barcrest) (MPU3)" devices ())
(name "m3rockpl" year "198?" manufacturer "Pcp" desc "Rock Pile (Pcp) (MPU3)" devices ())
(name "m3rolla" year "198?" manufacturer "Nationwide Group" desc "Rollamatic 5-Line Special (MPU3)" devices ())
(name "m3rollem" year "198?" manufacturer "Pcp" desc "Roll 'Em (Pcp) (MPU3)" devices ())
(name "m3rxchng" year "198?" manufacturer "Barcrest" desc "Royal Exchange Club (Barcrest) (MPU3)" devices ())
(name "m3scoop" year "198?" manufacturer "Peter Simper" desc "Scoop (Peter Simper, prototype?) (MPU3)" devices ())
(name "m3sdeal" year "198?" manufacturer "Barcrest" desc "Super Deal (Barcrest) (Dutch) (MPU3)" devices ())
(name "m3sexcu" year "198?" manufacturer "Barcrest" desc "Super Exchanges Unlimited (Barcrest) (MPU3)" devices ())
(name "m3slight" year "198?" manufacturer "Barcrest" desc "Strike A Light (Barcrest) (MPU3)" devices ())
(name "m3snaphp" year "198?" manufacturer "Pcp" desc "Snap Happy (Pcp) (MPU3)" devices ())
(name "m3snappy" year "198?" manufacturer "Barcrest" desc "Snappy Viper (Barcrest) (MPU3)" devices ())
(name "m3spoof" year "198?" manufacturer "Pcp" desc "Spoof (Pcp) (MPU3, set 1)" devices ())
(name "m3spoofa" year "198?" manufacturer "Pcp" desc "Spoof (Pcp) (MPU3, set 2)" devices ())
(name "m3supadr" year "198?" manufacturer "Barcrest" desc "Super Adders & Ladders (Barcrest) (MPU3)" devices ())
(name "m3supasw" year "198?" manufacturer "BWB" desc "Supaswop (BWB) (MPU3)" devices ())
(name "m3suplin" year "198?" manufacturer "Barcrest" desc "Super Line Up (Barcrest) (MPU3, set 1)" devices ())
(name "m3suplina" year "198?" manufacturer "Barcrest" desc "Super Line Up (Barcrest) (MPU3, set 2)" devices ())
(name "m3supnud" year "198?" manufacturer "Barcrest" desc "Super Nudges Unlimited (Barcrest) (MPU3)" devices ())
(name "m3supser" year "198?" manufacturer "Barcrest" desc "Super Series (Barcrest) (MPU3)" devices ())
(name "m3supspo" year "198?" manufacturer "Pcp" desc "Super Spoof (Pcp) (MPU3, set 1)" devices ())
(name "m3supspoa" year "198?" manufacturer "Pcp" desc "Super Spoof (Pcp) (MPU3, set 2)" devices ())
(name "m3supwin" year "198?" manufacturer "BWB" desc "Super Win (BWB) (MPU3, set 1) (W.AG2) " devices ())
(name "m3supwina" year "198?" manufacturer "BWB" desc "Super Win (BWB) (MPU3, set 2) (S.W.2 1.0)" devices ())
(name "m3sweep" year "198?" manufacturer "Barcrest" desc "Sweep Stake Club (Barcrest) (MPU3, set 1)" devices ())
(name "m3sweepa" year "198?" manufacturer "Barcrest" desc "Sweep Stake Club (Barcrest) (MPU3, set 2)" devices ())
(name "m3tfair" year "198?" manufacturer "Mdm" desc "Tuppenny Fair (Mdm) (MPU3)" devices ())
(name "m3tlktwn" year "198?" manufacturer "<unknown>" desc "Talk of the Town (MPU3?)" devices ())
(name "m3toplin" year "198?" manufacturer "Pcp" desc "Top Line (Pcp) (MPU3)" devices ())
(name "m3topsht" year "198?" manufacturer "Barcrest" desc "Top Shot (Barcrest) (MPU3)" devices ())
(name "m3tst" year "198?" manufacturer "Barcrest" desc "MPU3 Unit Test (Program 5) (Barcrest) (MPU3)" devices ())
(name "m3wacky" year "198?" manufacturer "Mdm" desc "Wacky Racer (Mdm) (MPU3)" devices ())
(name "m3wigwam" year "198?" manufacturer "Pcp" desc "Wig Wam (Pcp) (MPU3)" devices ())
(name "m3winagn" year "198?" manufacturer "BWB" desc "Win-A-Gain (BWB) (MPU3, set 1) (W.A.G. 2.2)" devices ())
(name "m3winagnb" year "198?" manufacturer "BWB" desc "Win-A-Gain (BWB) (MPU3, set 2) (W.A.G. 5.1)" devices ())
(name "m3winstr" year "198?" manufacturer "BWB" desc "Winstrike (BWB) (MPU3, set 1)" devices ())
(name "m3winstra" year "198?" manufacturer "BWB" desc "Winstrike (BWB) (MPU3, set 2)" devices ())
(name "m3xchngg" year "198?" manufacturer "Barcrest" desc "Exchanges Galore (Barcrest) (MPU3)" devices ())
(name "m3xchngu" year "198?" manufacturer "Barcrest" desc "Exchanges Unlimited (Barcrest) (MPU3, set 1)" devices ())
(name "m3xchngua" year "198?" manufacturer "Barcrest" desc "Exchanges Unlimited (Barcrest) (MPU3, set 2)" devices ())
(name "m4" year "1977" manufacturer "Midway" desc "M-4" devices ())
(name "m40" year "1981" manufacturer "Olivetti" desc "Olivetti L1 M40" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "m4001" year "1990" manufacturer "Sega" desc "M4001 (rev. A)" devices ())
(name "m4002" year "199?" manufacturer "Sega" desc "M4002" devices ())
(name "m421" year "199?" manufacturer "Barcrest" desc "Twenty One (Barcrest) (Dutch) (MPU4) (DTO 2.0)" devices ())
(name "m421club" year "199?" manufacturer "Barcrest" desc "21 Club (Barcrest) (Dutch) (MPU4) (DTW 2.7)" devices ())
(name "m42punlm" year "199?" manufacturer "Mdm" desc "2p Unlimited (Mdm) (MPU4)" devices ())
(name "m44" year "1986" manufacturer "Olivetti" desc "Olivetti L1 M44" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "m4aao" year "1999" manufacturer "DJE / Eurotek" desc "Against All Odds (Eurotek) (MPU4)" devices ())
(name "m4abeaut" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 1)" devices ())
(name "m4abeaut_1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 2)" devices ())
(name "m4abeaut_2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 3)" devices ())
(name "m4abeaut_3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 4)" devices ())
(name "m4abeaut_4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 5)" devices ())
(name "m4abeaut_5" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 6)" devices ())
(name "m4abeaut_6" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 7)" devices ())
(name "m4abeaut_7" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 8)" devices ())
(name "m4abeaut_8" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 9)" devices ())
(name "m4abeaut_9" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AB, set 10)" devices ())
(name "m4abeaut_c1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 1)" devices ())
(name "m4abeaut_c10" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 10)" devices ())
(name "m4abeaut_c11" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 11)" devices ())
(name "m4abeaut_c12" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 12)" devices ())
(name "m4abeaut_c13" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 13)" devices ())
(name "m4abeaut_c14" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 14)" devices ())
(name "m4abeaut_c15" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 15)" devices ())
(name "m4abeaut_c16" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 1)" devices ())
(name "m4abeaut_c17" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 2)" devices ())
(name "m4abeaut_c18" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 3)" devices ())
(name "m4abeaut_c19" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 4)" devices ())
(name "m4abeaut_c2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 2)" devices ())
(name "m4abeaut_c20" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 5)" devices ())
(name "m4abeaut_c21" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 6)" devices ())
(name "m4abeaut_c22" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 7)" devices ())
(name "m4abeaut_c23" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 8)" devices ())
(name "m4abeaut_c24" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 9)" devices ())
(name "m4abeaut_c25" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 10)" devices ())
(name "m4abeaut_c26" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 11)" devices ())
(name "m4abeaut_c27" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 12)" devices ())
(name "m4abeaut_c28" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 13)" devices ())
(name "m4abeaut_c29" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC2, Czech, set 14)" devices ())
(name "m4abeaut_c3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 3)" devices ())
(name "m4abeaut_c30" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (M2C1, Czech, set 1)" devices ())
(name "m4abeaut_c31" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (M2C1, Czech, set 2)" devices ())
(name "m4abeaut_c4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 4)" devices ())
(name "m4abeaut_c5" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 5)" devices ())
(name "m4abeaut_c6" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 6)" devices ())
(name "m4abeaut_c7" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 7)" devices ())
(name "m4abeaut_c8" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 8)" devices ())
(name "m4abeaut_c9" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABC1, Czech, set 9)" devices ())
(name "m4abeaut_i1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2I0, Israel, set 1)" devices ())
(name "m4abeaut_i2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2I0, Israel, set 2)" devices ())
(name "m4abeaut_k1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2K0, set 1)" devices ())
(name "m4abeaut_k2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2K0, set 2)" devices ())
(name "m4abeaut_l1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 1)" devices ())
(name "m4abeaut_l10" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 10)" devices ())
(name "m4abeaut_l11" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 11)" devices ())
(name "m4abeaut_l12" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 12)" devices ())
(name "m4abeaut_l13" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 1)" devices ())
(name "m4abeaut_l14" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 2)" devices ())
(name "m4abeaut_l15" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 3)" devices ())
(name "m4abeaut_l16" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 4)" devices ())
(name "m4abeaut_l17" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 5)" devices ())
(name "m4abeaut_l18" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 6)" devices ())
(name "m4abeaut_l19" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 7)" devices ())
(name "m4abeaut_l2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 2)" devices ())
(name "m4abeaut_l20" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 8)" devices ())
(name "m4abeaut_l21" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 9)" devices ())
(name "m4abeaut_l22" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 10)" devices ())
(name "m4abeaut_l23" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 11)" devices ())
(name "m4abeaut_l24" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 12)" devices ())
(name "m4abeaut_l25" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 13)" devices ())
(name "m4abeaut_l26" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 14)" devices ())
(name "m4abeaut_l27" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 15)" devices ())
(name "m4abeaut_l28" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 16)" devices ())
(name "m4abeaut_l29" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 17)" devices ())
(name "m4abeaut_l3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 3)" devices ())
(name "m4abeaut_l30" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 18)" devices ())
(name "m4abeaut_l31" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 19)" devices ())
(name "m4abeaut_l32" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2L0, Latvia, set 20)" devices ())
(name "m4abeaut_l33" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 1)" devices ())
(name "m4abeaut_l34" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 2)" devices ())
(name "m4abeaut_l35" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 3)" devices ())
(name "m4abeaut_l36" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 4)" devices ())
(name "m4abeaut_l37" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 5)" devices ())
(name "m4abeaut_l38" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3L0, Latvia, set 6)" devices ())
(name "m4abeaut_l4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 4)" devices ())
(name "m4abeaut_l5" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 5)" devices ())
(name "m4abeaut_l6" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 6)" devices ())
(name "m4abeaut_l7" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 7)" devices ())
(name "m4abeaut_l8" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 8)" devices ())
(name "m4abeaut_l9" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABL0, Latvia, set 9)" devices ())
(name "m4abeaut_m1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABM1, Montenegro, set 1)" devices ())
(name "m4abeaut_m2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABM1, Montenegro, set 2)" devices ())
(name "m4abeaut_m3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABM2, Montenegro, set 1)" devices ())
(name "m4abeaut_m4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABM2, Montenegro, set 2)" devices ())
(name "m4abeaut_pb1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AJL0, Project Bar, set 1)" devices ())
(name "m4abeaut_pb2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (AJL0, Project Bar, set 2)" devices ())
(name "m4abeaut_r1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 1)" devices ())
(name "m4abeaut_r10" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 10)" devices ())
(name "m4abeaut_r11" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 11)" devices ())
(name "m4abeaut_r12" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 12)" devices ())
(name "m4abeaut_r13" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 13)" devices ())
(name "m4abeaut_r14" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 14)" devices ())
(name "m4abeaut_r2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 2)" devices ())
(name "m4abeaut_r3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 3)" devices ())
(name "m4abeaut_r4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 4)" devices ())
(name "m4abeaut_r5" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 5)" devices ())
(name "m4abeaut_r6" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 6)" devices ())
(name "m4abeaut_r7" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 7)" devices ())
(name "m4abeaut_r8" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 8)" devices ())
(name "m4abeaut_r9" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABR1, Russia, set 9)" devices ())
(name "m4abeaut_s1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABS1, Slovakia, set 1)" devices ())
(name "m4abeaut_s2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABS1, Slovakia, set 2)" devices ())
(name "m4abeaut_s3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABS2, Slovakia, set 1)" devices ())
(name "m4abeaut_s4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABS2, Slovakia, set 2)" devices ())
(name "m4abeaut_u1" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 1)" devices ())
(name "m4abeaut_u10" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 10)" devices ())
(name "m4abeaut_u11" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 11)" devices ())
(name "m4abeaut_u12" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 12)" devices ())
(name "m4abeaut_u13" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 13)" devices ())
(name "m4abeaut_u14" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 14)" devices ())
(name "m4abeaut_u15" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 15)" devices ())
(name "m4abeaut_u16" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 16)" devices ())
(name "m4abeaut_u17" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 17)" devices ())
(name "m4abeaut_u18" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 18)" devices ())
(name "m4abeaut_u19" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 19)" devices ())
(name "m4abeaut_u2" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 2)" devices ())
(name "m4abeaut_u20" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 20)" devices ())
(name "m4abeaut_u21" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 21)" devices ())
(name "m4abeaut_u22" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 22)" devices ())
(name "m4abeaut_u23" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 23)" devices ())
(name "m4abeaut_u24" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 24)" devices ())
(name "m4abeaut_u25" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 25)" devices ())
(name "m4abeaut_u26" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 26)" devices ())
(name "m4abeaut_u27" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 27)" devices ())
(name "m4abeaut_u28" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 28)" devices ())
(name "m4abeaut_u29" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 29)" devices ())
(name "m4abeaut_u3" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 3)" devices ())
(name "m4abeaut_u30" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 30)" devices ())
(name "m4abeaut_u31" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 31)" devices ())
(name "m4abeaut_u32" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 32)" devices ())
(name "m4abeaut_u33" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 33)" devices ())
(name "m4abeaut_u34" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 34)" devices ())
(name "m4abeaut_u35" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 35)" devices ())
(name "m4abeaut_u36" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 36)" devices ())
(name "m4abeaut_u37" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 37)" devices ())
(name "m4abeaut_u38" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 38)" devices ())
(name "m4abeaut_u39" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 39)" devices ())
(name "m4abeaut_u4" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 4)" devices ())
(name "m4abeaut_u40" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 40)" devices ())
(name "m4abeaut_u41" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 41)" devices ())
(name "m4abeaut_u42" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 42)" devices ())
(name "m4abeaut_u43" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 43)" devices ())
(name "m4abeaut_u44" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 44)" devices ())
(name "m4abeaut_u45" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 45)" devices ())
(name "m4abeaut_u46" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 46)" devices ())
(name "m4abeaut_u47" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 47)" devices ())
(name "m4abeaut_u48" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 48)" devices ())
(name "m4abeaut_u49" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU2, Ukraine, set 1)" devices ())
(name "m4abeaut_u5" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 5)" devices ())
(name "m4abeaut_u50" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU2, Ukraine, set 2)" devices ())
(name "m4abeaut_u51" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU2, Ukraine, set 3)" devices ())
(name "m4abeaut_u52" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU2, Ukraine, set 4)" devices ())
(name "m4abeaut_u53" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 1)" devices ())
(name "m4abeaut_u54" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 2)" devices ())
(name "m4abeaut_u55" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 3)" devices ())
(name "m4abeaut_u56" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 4)" devices ())
(name "m4abeaut_u57" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 5)" devices ())
(name "m4abeaut_u58" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U2, Ukraine, set 6)" devices ())
(name "m4abeaut_u59" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U3, Ukraine, set 1)" devices ())
(name "m4abeaut_u6" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 6)" devices ())
(name "m4abeaut_u60" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A2U3, Ukraine, set 2)" devices ())
(name "m4abeaut_u61" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3U2, Ukraine, set 1)" devices ())
(name "m4abeaut_u62" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3U2, Ukraine, set 2)" devices ())
(name "m4abeaut_u63" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3U2, Ukraine, set 3)" devices ())
(name "m4abeaut_u64" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (A3U2, Ukraine, set 4)" devices ())
(name "m4abeaut_u7" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 7)" devices ())
(name "m4abeaut_u8" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 8)" devices ())
(name "m4abeaut_u9" year "199?" manufacturer "Avantime?" desc "American Beauty (Avantime?) (MPU4) (ABU1, Ukraine, set 9)" devices ())
(name "m4abra" year "199?" manufacturer "BWB" desc "Abracadabra (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 1)" devices ())
(name "m4abra__a" year "199?" manufacturer "BWB" desc "Abracadabra (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 2)" devices ())
(name "m4abra__b" year "199?" manufacturer "BWB" desc "Abracadabra (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 3)" devices ())
(name "m4abra__c" year "199?" manufacturer "BWB" desc "Abracadabra (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 4)" devices ())
(name "m4acechs" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 2.0, set 1)" devices ())
(name "m4acechs__a" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 3.0, set 1)" devices ())
(name "m4acechs__b" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 2.0, set 2)" devices ())
(name "m4acechs__c" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 2.0, set 3)" devices ())
(name "m4acechs__d" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 2.0, set 4)" devices ())
(name "m4acechs__e" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 2.0, set 1)" devices ())
(name "m4acechs__f" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 3.0, set 1)" devices ())
(name "m4acechs__g" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE  1.0)" devices ())
(name "m4acechs__h" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 2.0, set 2)" devices ())
(name "m4acechs__i" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 2.0, set 3)" devices ())
(name "m4acechs__j" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 2.0, set 4)" devices ())
(name "m4acechs__k" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 1)" devices ())
(name "m4acechs__l" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 2)" devices ())
(name "m4acechs__m" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 3)" devices ())
(name "m4acechs__n" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 4)" devices ())
(name "m4acechs__o" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 5)" devices ())
(name "m4acechs__p" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 6)" devices ())
(name "m4acechs__q" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 2.0, set 5)" devices ())
(name "m4acechs__r" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE5 3.0, set 2)" devices ())
(name "m4acechs__s" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 2.0, set 5)" devices ())
(name "m4acechs__t" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE10 3.0, set 2)" devices ())
(name "m4acechs__u" year "199?" manufacturer "BWB" desc "Ace Chase (BWB) (MPU4) (AE20 3.0, set 7)" devices ())
(name "m4actbnk" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7)" devices ())
(name "m4actbnk__a" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 B)" devices ())
(name "m4actbnk__b" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 BD)" devices ())
(name "m4actbnk__c" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 C)" devices ())
(name "m4actbnk__d" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 D)" devices ())
(name "m4actbnk__e" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 KD)" devices ())
(name "m4actbnk__f" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 YD)" devices ())
(name "m4actbnk__g" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 K)" devices ())
(name "m4actbnk__h" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 Y)" devices ())
(name "m4actbnk__i" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (MPU4) (ACT 0.7 AD)" devices ())
(name "m4actbnka" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (Mod 2 type, AC3.0) (MPU4)" devices ())
(name "m4actbnkb" year "199?" manufacturer "Barcrest" desc "Action Bank (Barcrest) (Mod 2 type, ACT2.0) (MPU4)" devices ())
(name "m4actclb" year "199?" manufacturer "Barcrest" desc "Action Club (Barcrest) (MPU4) (ABV 1.9)" devices ())
(name "m4actclba" year "199?" manufacturer "Barcrest" desc "Action Club (Barcrest) (MPU4) (A2C 1.1)" devices ())
(name "m4actnot" year "199?" manufacturer "Barcrest" desc "Action Note (Barcrest) (MPU4) (AN 1.2)" devices ())
(name "m4actpak" year "199?" manufacturer "Barcrest" desc "Action Pack (Barcrest) (MPU4) (AP 0.4)" devices ())
(name "m4actpaka" year "199?" manufacturer "Barcrest" desc "Action Pack (Barcrest) (MPU4) (AP 0.5)" devices ())
(name "m4addr" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1, set 1)" devices ())
(name "m4addr10" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0, set 1)" devices ())
(name "m4addr10_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0, set 2)" devices ())
(name "m4addr10c" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, set 1)" devices ())
(name "m4addr10c_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, set 2)" devices ())
(name "m4addr10d" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 D, set 1)" devices ())
(name "m4addr10d_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 D, set 2)" devices ())
(name "m4addr10yd" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 YD, set 1)" devices ())
(name "m4addr10yd_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 YD, set 2)" devices ())
(name "m4addr3" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0, set 1)" devices ())
(name "m4addr3_a" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0, set 2)" devices ())
(name "m4addr3_b" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0, set 3)" devices ())
(name "m4addr3_c" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0, set 4)" devices ())
(name "m4addr3_d" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0, set 5)" devices ())
(name "m4addr3d" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 D, set 1)" devices ())
(name "m4addr3d_a" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 D, set 2)" devices ())
(name "m4addr3d_b" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 D, set 3)" devices ())
(name "m4addr3d_c" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 D, set 4)" devices ())
(name "m4addr3yd" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 YD, set 1)" devices ())
(name "m4addr3yd_a" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 YD, set 2)" devices ())
(name "m4addr3yd_b" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 YD, set 3)" devices ())
(name "m4addr3yd_c" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 3.0 YD, set 4)" devices ())
(name "m4addr4" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0, set 1)" devices ())
(name "m4addr4_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0, set 2)" devices ())
(name "m4addr4c" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0 C, set 1)" devices ())
(name "m4addr4c_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0 C, set 2)" devices ())
(name "m4addr4c_b" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0 C, set 3)" devices ())
(name "m4addr4d" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0 D, set 1)" devices ())
(name "m4addr4yd" year "1993" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 4.0 YD, set 1)" devices ())
(name "m4addr5" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0, set 1)" devices ())
(name "m4addr5_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0, set 2)" devices ())
(name "m4addr5c" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 C, set 1)" devices ())
(name "m4addr5c_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 C, set 2)" devices ())
(name "m4addr5d" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 D, set 1)" devices ())
(name "m4addr5d_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 D, set 2)" devices ())
(name "m4addr5yd" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 YD, set 1)" devices ())
(name "m4addr5yd_a" year "1994" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 5.0 YD, set 2)" devices ())
(name "m4addr6lc" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 C)" devices ())
(name "m4addr6ld" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 D)" devices ())
(name "m4addr6lk" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 K)" devices ())
(name "m4addr6ly" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 Y)" devices ())
(name "m4addr6lybd" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 YBD)" devices ())
(name "m4addr6lyd" year "1991" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1 YD)" devices ())
(name "m4addr_h1" year "1994" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 1)" devices ())
(name "m4addr_h2" year "1994" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 2)" devices ())
(name "m4addrc" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 3)" devices ())
(name "m4addrc__a" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 6)" devices ())
(name "m4addrc__b" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1, hack, set 1)" devices ())
(name "m4addrc__c" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 4)" devices ())
(name "m4addrc__d" year "199?" manufacturer "Barcrest" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1, set 2)" devices ())
(name "m4addrc__h" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0, hack)" devices ())
(name "m4addrc__i" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 7)" devices ())
(name "m4addrc__j" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 8)" devices ())
(name "m4addrc__k" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (Barcrest) (MPU4) (A6L 0.1, hack, set 2)" devices ())
(name "m4addrc__l" year "199?" manufacturer "BWB" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0, 1993)" devices ())
(name "m4addrc__m" year "199?" manufacturer "hack" desc "Classic Adders & Ladders (BWB / Barcrest) (MPU4) (ADD 1.0 C, hack, set 5)" devices ())
(name "m4addrcc" year "199?" manufacturer "Barcrest" desc "Adders & Ladders Classic Club (Barcrest) (MPU4) (ADC 1.1)" devices ())
(name "m4addrcc__a" year "199?" manufacturer "Barcrest" desc "Adders & Ladders Classic Club (Barcrest) (MPU4) (ADC 1.1 F)" devices ())
(name "m4addrcc__b" year "199?" manufacturer "Barcrest" desc "Adders & Ladders Classic Club (Barcrest) (MPU4) (ADC 1.1 L)" devices ())
(name "m4addrcc__c" year "199?" manufacturer "Barcrest" desc "Adders & Ladders Classic Club (Barcrest) (MPU4) (ADC 1.1 D)" devices ())
(name "m4addrcc__d" year "199?" manufacturer "Barcrest" desc "Adders & Ladders Classic Club (Barcrest) (MPU4) (ADC 0.5)" devices ())
(name "m4addrd" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (Dutch) (MPU4) (DAL 1.2)" devices ())
(name "m4aladn" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 1)" devices ())
(name "m4aladna" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 2)" devices ())
(name "m4aladnb" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 3)" devices ())
(name "m4aladnc" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 4)" devices ())
(name "m4aladnd" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 5)" devices ())
(name "m4aladne" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 6)" devices ())
(name "m4aladnf" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 7)" devices ())
(name "m4aladng" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 8)" devices ())
(name "m4aladnh" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 9)" devices ())
(name "m4aladni" year "199?" manufacturer "Crystal" desc "Aladdin's Cave (Crystal) (MPU4) (set 10)" devices ())
(name "m4aliz" year "199?" manufacturer "Qps" desc "AlizBaz (Qps) (German) (MPU4)" devices ())
(name "m4alladv" year "199?" manufacturer "Barcrest" desc "All Cash Advance (Barcrest) (MPU4) (C2B 6.0)" devices ())
(name "m4alpha" year "199?" manufacturer "Barcrest" desc "Alphabet (Barcrest) (MPU4) (A4B 1.0)" devices ())
(name "m4amalad" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 1)" devices ())
(name "m4amalad__a" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 2)" devices ())
(name "m4amalad__b" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 3)" devices ())
(name "m4amalad__c" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 4)" devices ())
(name "m4amalad__d" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 5)" devices ())
(name "m4amalad__e" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 6)" devices ())
(name "m4amalad__f" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 7)" devices ())
(name "m4amalad__g" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 8)" devices ())
(name "m4amalad__h" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 9)" devices ())
(name "m4amalad__i" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 10)" devices ())
(name "m4amalad__j" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 11)" devices ())
(name "m4amalad__k" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 12)" devices ())
(name "m4amalad__l" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 13)" devices ())
(name "m4amalad__m" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 14)" devices ())
(name "m4amalad__n" year "199?" manufacturer "Avantime?" desc "American Aladdin (Avantime?) (MPU4) (set 15)" devices ())
(name "m4ambass" year "199?" manufacturer "Barcrest" desc "Ambassador (Barcrest) (Dutch) (MPU4) (DAM 3.7)" devices ())
(name "m4amhiwy" year "199?" manufacturer "Barcrest" desc "American Highway (Barcrest) (Dutch) (MPU4) (DAH 2.0)" devices ())
(name "m4andybt" year "199?" manufacturer "Barcrest" desc "Andy's Big Time Club (Barcrest) (MPU4) (ABT 1.8)" devices ())
(name "m4andybt__a" year "199?" manufacturer "Barcrest" desc "Andy's Big Time Club (Barcrest) (MPU4) (ABT 1.8 F)" devices ())
(name "m4andybt__b" year "199?" manufacturer "Barcrest" desc "Andy's Big Time Club (Barcrest) (MPU4) (ABT 1.8 D)" devices ())
(name "m4andybt__c" year "199?" manufacturer "Barcrest" desc "Andy's Big Time Club (Barcrest) (MPU4) (ABT 1.5)" devices ())
(name "m4andycp" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10)" devices ())
(name "m4andycp10_a" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10, hack?)" devices ())
(name "m4andycp10c" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10C)" devices ())
(name "m4andycp10c_a" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10C, hack?, set 1)" devices ())
(name "m4andycp10c_b" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10C, hack?, set 2)" devices ())
(name "m4andycp10c_c" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10C, hack?, set 3)" devices ())
(name "m4andycp10c_d" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10C, hack?, set 4)" devices ())
(name "m4andycp10d" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10D)" devices ())
(name "m4andycp10k" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10K)" devices ())
(name "m4andycp10yd" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC10YD)" devices ())
(name "m4andycp20" year "199?" manufacturer "hack?" desc "Andy Capp (Barcrest) (MPU4) (hack?, set 1)" devices ())
(name "m4andycp20_a" year "199?" manufacturer "hack?" desc "Andy Capp (Barcrest) (MPU4) (hack?, set 2)" devices ())
(name "m4andycp20_b" year "199?" manufacturer "hack?" desc "Andy Capp (Barcrest) (MPU4) (hack?, set 3)" devices ())
(name "m4andycp8" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8)" devices ())
(name "m4andycp8ad" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 AD)" devices ())
(name "m4andycp8b" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 B)" devices ())
(name "m4andycp8c" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 C)" devices ())
(name "m4andycp8d" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 D)" devices ())
(name "m4andycp8k" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 K)" devices ())
(name "m4andycp8kd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 KD)" devices ())
(name "m4andycp8y" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 Y)" devices ())
(name "m4andycp8yd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AN8 YD)" devices ())
(name "m4andycpac" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5)" devices ())
(name "m4andycpac_a" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5, hack?)" devices ())
(name "m4andycpacc" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C)" devices ())
(name "m4andycpacc_a" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C, hack?, set 1)" devices ())
(name "m4andycpacc_b" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C, hack?, set 2)" devices ())
(name "m4andycpacc_c" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C, hack?, set 3)" devices ())
(name "m4andycpacc_d" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C, hack?, set 4)" devices ())
(name "m4andycpacc_e" year "1994" manufacturer "hack?" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 C, hack?, set 5)" devices ())
(name "m4andycpaccsd" year "1995" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (ACC5)" devices ())
(name "m4andycpacd" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 D)" devices ())
(name "m4andycpack" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 K)" devices ())
(name "m4andycpacyd" year "1994" manufacturer "BWB" desc "Andy Capp (BWB / Barcrest) (MPU4) (AC5 YD)" devices ())
(name "m4andycpc2" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T, set 1)" devices ())
(name "m4andycpc2_a" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T, set 2)" devices ())
(name "m4andycpc2ad" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T AD)" devices ())
(name "m4andycpc2b" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T B)" devices ())
(name "m4andycpc2bd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T BD)" devices ())
(name "m4andycpc2d" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T D)" devices ())
(name "m4andycpc2k" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T K)" devices ())
(name "m4andycpc2kd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T KD)" devices ())
(name "m4andycpc2r" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T R)" devices ())
(name "m4andycpc2rd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T RD)" devices ())
(name "m4andycpc2y" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T Y)" devices ())
(name "m4andycpc2yd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C2T YD)" devices ())
(name "m4andycpc5" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T)" devices ())
(name "m4andycpc5ad" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T AD)" devices ())
(name "m4andycpc5b" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T B)" devices ())
(name "m4andycpc5bd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T BD)" devices ())
(name "m4andycpc5d" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T D)" devices ())
(name "m4andycpc5k" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T K)" devices ())
(name "m4andycpc5kd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T KD)" devices ())
(name "m4andycpc5y" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T Y)" devices ())
(name "m4andycpc5yd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (C5T YD)" devices ())
(name "m4andycpd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND)" devices ())
(name "m4andycpdc" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND C)" devices ())
(name "m4andycpdd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND D)" devices ())
(name "m4andycpdk" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND K)" devices ())
(name "m4andycpdut" year "199?" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (Dutch) (MPU4) (DAC 1.3)" devices ())
(name "m4andycpdy" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND Y, set 1)" devices ())
(name "m4andycpdy_a" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND Y, set 2)" devices ())
(name "m4andycpdyd" year "1991" manufacturer "Barcrest" desc "Andy Capp (Barcrest) (MPU4) (AND YD)" devices ())
(name "m4andyfh" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFH 0.1)" devices ())
(name "m4andyfh__0" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 R)" devices ())
(name "m4andyfh__1" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3)" devices ())
(name "m4andyfh__2" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 Y)" devices ())
(name "m4andyfh__3" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 AD)" devices ())
(name "m4andyfh__4" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 B)" devices ())
(name "m4andyfh__5" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 BD)" devices ())
(name "m4andyfh__6" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 D)" devices ())
(name "m4andyfh__7" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 KD)" devices ())
(name "m4andyfh__8" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 RD)" devices ())
(name "m4andyfh__9" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 YD)" devices ())
(name "m4andyfh__a" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 AD)" devices ())
(name "m4andyfh__a0" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 KD / CA4 0.1)" devices ())
(name "m4andyfh__a1" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 YD / CA4 0.1)" devices ())
(name "m4andyfh__a2" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 K / CA4 0.1)" devices ())
(name "m4andyfh__a3" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 / CA4 0.1)" devices ())
(name "m4andyfh__a4" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 Y / CA4 0.1)" devices ())
(name "m4andyfh__aa" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 K)" devices ())
(name "m4andyfh__ab" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 R)" devices ())
(name "m4andyfh__ac" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2)" devices ())
(name "m4andyfh__ad" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFU 0.2 Y)" devices ())
(name "m4andyfh__ae" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 AD)" devices ())
(name "m4andyfh__af" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 B)" devices ())
(name "m4andyfh__ag" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 BD)" devices ())
(name "m4andyfh__ah" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 D)" devices ())
(name "m4andyfh__ai" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 KD)" devices ())
(name "m4andyfh__aj" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 YD)" devices ())
(name "m4andyfh__ak" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 K)" devices ())
(name "m4andyfh__al" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8)" devices ())
(name "m4andyfh__am" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CA4 0.8 Y)" devices ())
(name "m4andyfh__an" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 AD)" devices ())
(name "m4andyfh__ao" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 B)" devices ())
(name "m4andyfh__ap" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 BD)" devices ())
(name "m4andyfh__aq" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 D)" devices ())
(name "m4andyfh__ar" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 KD)" devices ())
(name "m4andyfh__as" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 YD)" devices ())
(name "m4andyfh__at" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 K)" devices ())
(name "m4andyfh__au" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2)" devices ())
(name "m4andyfh__av" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAT 0.2 Y)" devices ())
(name "m4andyfh__aw" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 AD / CA4 0.1)" devices ())
(name "m4andyfh__ax" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 B / CA4 0.1)" devices ())
(name "m4andyfh__ay" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 BD / CA4 0.1)" devices ())
(name "m4andyfh__az" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (CAU 0.1 D / CA4 0.1)" devices ())
(name "m4andyfh__b" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 B)" devices ())
(name "m4andyfh__c" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 BD)" devices ())
(name "m4andyfh__d" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 D)" devices ())
(name "m4andyfh__e" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 KD)" devices ())
(name "m4andyfh__f" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 YD)" devices ())
(name "m4andyfh__g" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 K)" devices ())
(name "m4andyfh__h" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1)" devices ())
(name "m4andyfh__i" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF3 0.1 Y)" devices ())
(name "m4andyfh__j" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF8 0.1 B)" devices ())
(name "m4andyfh__k" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF8 0.1 BD)" devices ())
(name "m4andyfh__l" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF8 0.1 C)" devices ())
(name "m4andyfh__m" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF8 0.1 K)" devices ())
(name "m4andyfh__n" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AF8 0.1)" devices ())
(name "m4andyfh__o" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFH 0.1 B)" devices ())
(name "m4andyfh__p" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFH 0.1 C)" devices ())
(name "m4andyfh__q" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFH 0.1 D)" devices ())
(name "m4andyfh__r" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFH 0.1 R)" devices ())
(name "m4andyfh__s" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 AD)" devices ())
(name "m4andyfh__t" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 B)" devices ())
(name "m4andyfh__u" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 BD)" devices ())
(name "m4andyfh__v" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 D)" devices ())
(name "m4andyfh__w" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 KD)" devices ())
(name "m4andyfh__x" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 RD)" devices ())
(name "m4andyfh__y" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 YD)" devices ())
(name "m4andyfh__z" year "199?" manufacturer "Barcrest" desc "Andy's Full House (Barcrest) (MPU4) (AFT 0.3 K)" devices ())
(name "m4andyfl" year "1996" manufacturer "BWB" desc "Andy Loves Flo (BWB / Barcrest) (MPU4) (AL4 2.1 KS)" devices ())
(name "m4andyfl3" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1)" devices ())
(name "m4andyfl3ad" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 AD)" devices ())
(name "m4andyfl3b" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 B)" devices ())
(name "m4andyfl3bd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 BD)" devices ())
(name "m4andyfl3d" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 D)" devices ())
(name "m4andyfl3k" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 K)" devices ())
(name "m4andyfl3kd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 KD)" devices ())
(name "m4andyfl3y" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 Y)" devices ())
(name "m4andyfl3yd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL3 0.1 YD)" devices ())
(name "m4andyfl8" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1)" devices ())
(name "m4andyfl8ad" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 AD)" devices ())
(name "m4andyfl8b" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 B)" devices ())
(name "m4andyfl8bd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 BD)" devices ())
(name "m4andyfl8bs" year "1996" manufacturer "BWB" desc "Andy Loves Flo (BWB / Barcrest) (MPU4) (AL_ 2.4 KS)" devices ())
(name "m4andyfl8c" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 C)" devices ())
(name "m4andyfl8d" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 D)" devices ())
(name "m4andyfl8k" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 K)" devices ())
(name "m4andyfl8kd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 KD)" devices ())
(name "m4andyfl8y" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (AL8 0.1 Y)" devices ())
(name "m4andyflf" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALF 2.0)" devices ())
(name "m4andyflfb" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALF 2.0 B)" devices ())
(name "m4andyflfc" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALF 2.0 C)" devices ())
(name "m4andyflfk" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALF 2.0 K)" devices ())
(name "m4andyflfr" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALF 2.0 R)" devices ())
(name "m4andyflt" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4)" devices ())
(name "m4andyfltad" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 AD)" devices ())
(name "m4andyfltb" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 B)" devices ())
(name "m4andyfltbd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 BD)" devices ())
(name "m4andyfltd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 D)" devices ())
(name "m4andyfltk" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 K)" devices ())
(name "m4andyfltkd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 KD)" devices ())
(name "m4andyfltr" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 R)" devices ())
(name "m4andyfltrd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 RD)" devices ())
(name "m4andyflty" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 Y)" devices ())
(name "m4andyfltyd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALT 0.4 YD)" devices ())
(name "m4andyflu" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3)" devices ())
(name "m4andyfluad" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 AD)" devices ())
(name "m4andyflub" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 B)" devices ())
(name "m4andyflubd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 BD)" devices ())
(name "m4andyflud" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 D)" devices ())
(name "m4andyfluk" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 K)" devices ())
(name "m4andyflukd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 KD)" devices ())
(name "m4andyflur" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 R)" devices ())
(name "m4andyflurd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 RD)" devices ())
(name "m4andyfluy" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 Y)" devices ())
(name "m4andyfluyd" year "1991" manufacturer "Barcrest" desc "Andy Loves Flo (Barcrest) (MPU4) (ALU 0.3 YD)" devices ())
(name "m4andyge" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3, set 1)" devices ())
(name "m4andyge28" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1)" devices ())
(name "m4andyge28ad" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 AD)" devices ())
(name "m4andyge28b" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 B)" devices ())
(name "m4andyge28bd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 BD)" devices ())
(name "m4andyge28c" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 C)" devices ())
(name "m4andyge28d" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 D)" devices ())
(name "m4andyge28k" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 K)" devices ())
(name "m4andyge28kd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 KD)" devices ())
(name "m4andyge28y" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 Y)" devices ())
(name "m4andyge28yd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A28 0.1 YD)" devices ())
(name "m4andyge2t" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1)" devices ())
(name "m4andyge2tad" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 AD)" devices ())
(name "m4andyge2tb" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 B)" devices ())
(name "m4andyge2tbd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 BD)" devices ())
(name "m4andyge2td" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 D)" devices ())
(name "m4andyge2tk" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 K)" devices ())
(name "m4andyge2tkd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 KD)" devices ())
(name "m4andyge2ty" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 Y)" devices ())
(name "m4andyge2tyd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A2T 0.1 YD)" devices ())
(name "m4andyge5t" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1)" devices ())
(name "m4andyge5tad" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 AD)" devices ())
(name "m4andyge5tb" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 B)" devices ())
(name "m4andyge5tbd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 BD)" devices ())
(name "m4andyge5td" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 D)" devices ())
(name "m4andyge5tk" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 K)" devices ())
(name "m4andyge5tkd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 KD)" devices ())
(name "m4andyge5ty" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 Y)" devices ())
(name "m4andyge5tyd" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (A5T 0.1 YD)" devices ())
(name "m4andyge_h1" year "199?" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (8V1 3.0, hack?, set 1)" devices ())
(name "m4andyge_h2" year "199?" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (8V1 3.0, hack?, set 2)" devices ())
(name "m4andyge_h3" year "199?" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (8V1 0.3, hack?, set 1)" devices ())
(name "m4andyge_h4" year "199?" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (8V1 0.3, hack?, set 2)" devices ())
(name "m4andyge_hx1" year "1994" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 CX, hack?, set 1)" devices ())
(name "m4andyge_hx2" year "1994" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 CX, hack?, set 2)" devices ())
(name "m4andyge_hx3" year "1994" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 CX, hack?, set 3)" devices ())
(name "m4andyge_hx4" year "1994" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 CX, hack?, set 4)" devices ())
(name "m4andyge_hx5" year "1994" manufacturer "hack?" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0 CX, hack?)" devices ())
(name "m4andygeg5" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0)" devices ())
(name "m4andygeg5a" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 A)" devices ())
(name "m4andygeg5c" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 C)" devices ())
(name "m4andygeg5d" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 D)" devices ())
(name "m4andygeg5k" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 K)" devices ())
(name "m4andygeg5yd" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG5 3.0 YD)" devices ())
(name "m4andygeg_2" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0)" devices ())
(name "m4andygeg_2c" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0 C)" devices ())
(name "m4andygeg_2d" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0 D)" devices ())
(name "m4andygeg_2k" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0 K)" devices ())
(name "m4andygeg_2yd" year "1994" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AG__2.0 YD)" devices ())
(name "m4andygegc2" year "1995" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AGC 2.0)" devices ())
(name "m4andygegc2d" year "1995" manufacturer "BWB" desc "Andy's Great Escape (BWB / Barcrest) (MPU4) (AGC 2.0 D)" devices ())
(name "m4andygen2_a" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3, set 2)" devices ())
(name "m4andygen2c" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3 C)" devices ())
(name "m4andygen2d" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3 D)" devices ())
(name "m4andygen2k" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3 K)" devices ())
(name "m4andygen2y" year "1991" manufacturer "Barcrest" desc "Andy's Great Escape (Barcrest) (MPU4) (AN2 0.3 Y)" devices ())
(name "m4apach" year "199?" manufacturer "Barcrest" desc "Apache (Barcrest) (MPU4 w/ Plasma DMD?)" devices ())
(name "m4apachg" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 1)" devices ())
(name "m4apachga" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 2)" devices ())
(name "m4apachgb" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 3)" devices ())
(name "m4apachgc" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 4)" devices ())
(name "m4apachgd" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 5)" devices ())
(name "m4apachge" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 6)" devices ())
(name "m4apachgf" year "199?" manufacturer "Empire" desc "Apache Gold (Empire) (MPU4, set 7)" devices ())
(name "m4atlan" year "199?" manufacturer "Barcrest" desc "Atlantis (Barcrest) (Dutch) (MPU4) (DAT 1.4)" devices ())
(name "m4bagcsh" year "199?" manufacturer "Crystal" desc "Bags Of Cash Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4bagcsha" year "199?" manufacturer "Crystal" desc "Bags Of Cash Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4bagtel" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BGT 0.5)" devices ())
(name "m4bagtel__0" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 YD)" devices ())
(name "m4bagtel__1" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 K)" devices ())
(name "m4bagtel__2" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 R)" devices ())
(name "m4bagtel__3" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1)" devices ())
(name "m4bagtel__4" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 Y)" devices ())
(name "m4bagtel__5" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 AD)" devices ())
(name "m4bagtel__6" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 B)" devices ())
(name "m4bagtel__7" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 BD)" devices ())
(name "m4bagtel__8" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 C)" devices ())
(name "m4bagtel__9" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 D)" devices ())
(name "m4bagtel__a" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BG2 0.1 C)" devices ())
(name "m4bagtel__aa" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 KD)" devices ())
(name "m4bagtel__ab" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 RD)" devices ())
(name "m4bagtel__ac" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 YD)" devices ())
(name "m4bagtel__ad" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 K)" devices ())
(name "m4bagtel__ae" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 R)" devices ())
(name "m4bagtel__af" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0)" devices ())
(name "m4bagtel__ag" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL3 1.0 Y)" devices ())
(name "m4bagtel__b" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BG2 0.1 YD)" devices ())
(name "m4bagtel__c" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BG2 0.1)" devices ())
(name "m4bagtel__d" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BGT 0.5 KD)" devices ())
(name "m4bagtel__e" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BGT 0.5 K)" devices ())
(name "m4bagtel__f" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BGT 0.5 R)" devices ())
(name "m4bagtel__g" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (BGT 0.5 Y)" devices ())
(name "m4bagtel__h" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 AD)" devices ())
(name "m4bagtel__i" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 B)" devices ())
(name "m4bagtel__j" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 BD)" devices ())
(name "m4bagtel__k" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 C)" devices ())
(name "m4bagtel__l" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 D)" devices ())
(name "m4bagtel__m" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 KD)" devices ())
(name "m4bagtel__n" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 RD)" devices ())
(name "m4bagtel__o" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 YD)" devices ())
(name "m4bagtel__p" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 K)" devices ())
(name "m4bagtel__q" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 R)" devices ())
(name "m4bagtel__r" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1)" devices ())
(name "m4bagtel__s" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL1 0.1 Y)" devices ())
(name "m4bagtel__t" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 AD)" devices ())
(name "m4bagtel__u" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 B)" devices ())
(name "m4bagtel__v" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 BD)" devices ())
(name "m4bagtel__w" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 C)" devices ())
(name "m4bagtel__x" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 D)" devices ())
(name "m4bagtel__y" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 KD)" devices ())
(name "m4bagtel__z" year "199?" manufacturer "Barcrest" desc "Bagatelle (Barcrest) (MPU4) (EL2 0.1 RD)" devices ())
(name "m4bandgd" year "199?" manufacturer "Eurogames" desc "Bands Of Gold (Eurogames) (MPU4)" devices ())
(name "m4bangin" year "199?" manufacturer "Global" desc "Bangin' Away (Global) (MPU4, set 1)" devices ())
(name "m4bangina" year "199?" manufacturer "Global" desc "Bangin' Away (Global) (MPU4, set 2)" devices ())
(name "m4banginb" year "199?" manufacturer "Global" desc "Bangin' Away (Global) (MPU4, set 3)" devices ())
(name "m4bangrs" year "199?" manufacturer "Empire" desc "Bangers 'n' Cash (Empire) (MPU4, set 1)" devices ())
(name "m4bangrsa" year "199?" manufacturer "Empire" desc "Bangers 'n' Cash (Empire) (MPU4, set 2)" devices ())
(name "m4bangrsb" year "199?" manufacturer "Empire" desc "Bangers 'n' Cash (Empire) (MPU4, set 3)" devices ())
(name "m4bankrd" year "199?" manufacturer "Empire" desc "Bank Raid (Empire) (MPU4, set 1)" devices ())
(name "m4bankrda" year "199?" manufacturer "Empire" desc "Bank Raid (Empire) (MPU4, set 2)" devices ())
(name "m4bankrdb" year "199?" manufacturer "Empire" desc "Bank Raid (Empire) (MPU4, set 3)" devices ())
(name "m4bankrdc" year "199?" manufacturer "Empire" desc "Bank Raid (Empire) (MPU4, set 4)" devices ())
(name "m4bankrdd" year "199?" manufacturer "Empire" desc "Bank Raid (Empire) (MPU4, set 5)" devices ())
(name "m4barcrz" year "199?" manufacturer "<unknown>" desc "Bar Crazy (unknown) (MPU4?)" devices ())
(name "m4bben" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 1)" devices ())
(name "m4bben__a" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 2)" devices ())
(name "m4bben__b" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 3)" devices ())
(name "m4bben__c" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 4)" devices ())
(name "m4bben__d" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 5)" devices ())
(name "m4bben__e" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 6)" devices ())
(name "m4bben__f" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 7)" devices ())
(name "m4bben__g" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 8)" devices ())
(name "m4bben__h" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 9)" devices ())
(name "m4bben__i" year "199?" manufacturer "Avantime?" desc "Big Ben (Avantime?) (MPU4) (set 10)" devices ())
(name "m4bbox" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 1)" devices ())
(name "m4bbox__a" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 2)" devices ())
(name "m4bbox__b" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 3)" devices ())
(name "m4bbox__c" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 4)" devices ())
(name "m4bbox__d" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 5)" devices ())
(name "m4bbox__e" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 6)" devices ())
(name "m4bbox__f" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 7)" devices ())
(name "m4bbox__g" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 8)" devices ())
(name "m4bbox__h" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 9)" devices ())
(name "m4bbox__i" year "199?" manufacturer "Avantime?" desc "Brain Box (Avantime?) (MPU4) (set 10)" devices ())
(name "m4bclimb" year "199?" manufacturer "AET/Coinworld" desc "Bear Climber (MPU4?)" devices ())
(name "m4bdash" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1)" devices ())
(name "m4bdash__0" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 K)" devices ())
(name "m4bdash__1" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 R)" devices ())
(name "m4bdash__2" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0)" devices ())
(name "m4bdash__3" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 Y)" devices ())
(name "m4bdash__4" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 AD)" devices ())
(name "m4bdash__5" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 B)" devices ())
(name "m4bdash__6" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 BD)" devices ())
(name "m4bdash__7" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 C)" devices ())
(name "m4bdash__8" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 D)" devices ())
(name "m4bdash__9" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 DH)" devices ())
(name "m4bdash__a" year "199?" manufacturer "hack" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0, hack)" devices ())
(name "m4bdash__a0" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.1 D)" devices ())
(name "m4bdash__a1" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.0 K)" devices ())
(name "m4bdash__a2" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.1 K)" devices ())
(name "m4bdash__a3" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.0 B)" devices ())
(name "m4bdash__a4" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.1 B)" devices ())
(name "m4bdash__aa" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 KD)" devices ())
(name "m4bdash__ab" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 RD)" devices ())
(name "m4bdash__ac" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 YD)" devices ())
(name "m4bdash__ad" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 H)" devices ())
(name "m4bdash__ae" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 K)" devices ())
(name "m4bdash__af" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 R)" devices ())
(name "m4bdash__ag" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 Y)" devices ())
(name "m4bdash__ah" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 AD)" devices ())
(name "m4bdash__ai" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 B)" devices ())
(name "m4bdash__aj" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 BD)" devices ())
(name "m4bdash__ak" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 C)" devices ())
(name "m4bdash__al" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 D)" devices ())
(name "m4bdash__am" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 DH)" devices ())
(name "m4bdash__an" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 KD)" devices ())
(name "m4bdash__ao" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 RD)" devices ())
(name "m4bdash__ap" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 YD)" devices ())
(name "m4bdash__aq" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 H)" devices ())
(name "m4bdash__ar" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 K)" devices ())
(name "m4bdash__as" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 R)" devices ())
(name "m4bdash__at" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2)" devices ())
(name "m4bdash__au" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.2 Y)" devices ())
(name "m4bdash__av" year "199?" manufacturer "hack" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 C, hack)" devices ())
(name "m4bdash__aw" year "199?" manufacturer "hack" desc "Boulder Dash (Barcrest) (MPU4) (BLS 0.1 C, hack)" devices ())
(name "m4bdash__ax" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.0)" devices ())
(name "m4bdash__ay" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.1)" devices ())
(name "m4bdash__az" year "199?" manufacturer "BWB" desc "Boulder Dash (Barcrest) (MPU4) (BO_ 2.0 D)" devices ())
(name "m4bdash__b" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.6)" devices ())
(name "m4bdash__c" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 AD)" devices ())
(name "m4bdash__d" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 B)" devices ())
(name "m4bdash__e" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 BD)" devices ())
(name "m4bdash__f" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 C)" devices ())
(name "m4bdash__g" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 D)" devices ())
(name "m4bdash__h" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 DH)" devices ())
(name "m4bdash__i" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 KD)" devices ())
(name "m4bdash__j" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 RD)" devices ())
(name "m4bdash__k" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 YD)" devices ())
(name "m4bdash__l" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 H)" devices ())
(name "m4bdash__m" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 K)" devices ())
(name "m4bdash__n" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 R)" devices ())
(name "m4bdash__o" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7)" devices ())
(name "m4bdash__p" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 0.7 Y)" devices ())
(name "m4bdash__q" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 AD)" devices ())
(name "m4bdash__r" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 B)" devices ())
(name "m4bdash__s" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 BD)" devices ())
(name "m4bdash__t" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 C)" devices ())
(name "m4bdash__u" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 D)" devices ())
(name "m4bdash__v" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 DH)" devices ())
(name "m4bdash__w" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 KD)" devices ())
(name "m4bdash__x" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 RD)" devices ())
(name "m4bdash__y" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 YD)" devices ())
(name "m4bdash__z" year "199?" manufacturer "Barcrest" desc "Boulder Dash (Barcrest) (MPU4) (BLD 1.0 H)" devices ())
(name "m4berser" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6)" devices ())
(name "m4berser__0" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 Y)" devices ())
(name "m4berser__1" year "199?" manufacturer "BWB" desc "Berserk (Barcrest) (MPU4) (BE4 1.1 KS)" devices ())
(name "m4berser__a" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 AD)" devices ())
(name "m4berser__b" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 B)" devices ())
(name "m4berser__c" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 BD)" devices ())
(name "m4berser__d" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 D)" devices ())
(name "m4berser__e" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 KD)" devices ())
(name "m4berser__f" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 YD)" devices ())
(name "m4berser__g" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 K)" devices ())
(name "m4berser__h" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1)" devices ())
(name "m4berser__i" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE3 0.1 Y)" devices ())
(name "m4berser__j" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 AD)" devices ())
(name "m4berser__k" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 B)" devices ())
(name "m4berser__l" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 CBD)" devices ())
(name "m4berser__m" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 BD)" devices ())
(name "m4berser__n" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 C)" devices ())
(name "m4berser__o" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 D)" devices ())
(name "m4berser__p" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 KD)" devices ())
(name "m4berser__q" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 YD)" devices ())
(name "m4berser__r" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 K)" devices ())
(name "m4berser__s" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1)" devices ())
(name "m4berser__t" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BE8 0.1 Y)" devices ())
(name "m4berser__u" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 B)" devices ())
(name "m4berser__v" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 C)" devices ())
(name "m4berser__w" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 D)" devices ())
(name "m4berser__x" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 KD)" devices ())
(name "m4berser__y" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 YD)" devices ())
(name "m4berser__z" year "199?" manufacturer "Barcrest" desc "Berserk (Barcrest) (MPU4) (BES 0.6 K)" devices ())
(name "m4bigapl" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 1)" devices ())
(name "m4bigapla" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 2)" devices ())
(name "m4bigaplb" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 3)" devices ())
(name "m4bigaplc" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 4)" devices ())
(name "m4bigapld" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 5)" devices ())
(name "m4bigaple" year "199?" manufacturer "Mdm" desc "The Big Apple (Mdm) (MPU4, set 6)" devices ())
(name "m4bigban" year "199?" manufacturer "Nova" desc "Big Bandit (Nova) (German) (MPU4) (BIG 0.4)" devices ())
(name "m4bigben" year "199?" manufacturer "Coinworld" desc "Big Ben (Coinworld) (MPU4, set 1)" devices ())
(name "m4bigbena" year "199?" manufacturer "Coinworld" desc "Big Ben (Coinworld) (MPU4, set 2)" devices ())
(name "m4bigbenb" year "199?" manufacturer "Coinworld" desc "Big Ben (Coinworld) (MPU4, set 3)" devices ())
(name "m4bigbend" year "199?" manufacturer "Coinworld" desc "Big Ben (Coinworld) (MPU4, set 4)" devices ())
(name "m4bigbene" year "199?" manufacturer "Coinworld" desc "Big Ben (Coinworld) (MPU4, set 5)" devices ())
(name "m4bigbn" year "199?" manufacturer "Barcrest" desc "Big Ben (Barcrest) (Dutch) (MPU4) (DBB 1.2)" devices ())
(name "m4bigchd" year "199?" manufacturer "Barcrest" desc "Big Chief (Barcrest) (Dutch) (MPU4) (BCH 1.5)" devices ())
(name "m4bigchf" year "199?" manufacturer "Barcrest" desc "Big Chief (Barcrest) (MPU4 w/ Plasma DMD) (set 1)" devices ())
(name "m4bigchfa" year "199?" manufacturer "Barcrest" desc "Big Chief (Barcrest) (MPU4 w/ Plasma DMD) (set 2)" devices ())
(name "m4bigchfb" year "199?" manufacturer "Barcrest" desc "Big Chief (Barcrest) (MPU4 w/ Plasma DMD) (set 3)" devices ())
(name "m4bigchfc" year "199?" manufacturer "Barcrest" desc "Big Chief (Barcrest) (MPU4 w/ Plasma DMD) (set 4)" devices ())
(name "m4bigchs" year "199?" manufacturer "Empire" desc "Big Cheese (Empire) (MPU4, set 1)" devices ())
(name "m4bigchsa" year "199?" manufacturer "Empire" desc "Big Cheese (Empire) (MPU4, set 2)" devices ())
(name "m4bigchsb" year "199?" manufacturer "Empire" desc "Big Cheese (Empire) (MPU4, set 3)" devices ())
(name "m4bigmt" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 1)" devices ())
(name "m4bigmt__a" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 2)" devices ())
(name "m4bigmt__b" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 3)" devices ())
(name "m4bigmt__c" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 4)" devices ())
(name "m4bigmt__d" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 5)" devices ())
(name "m4bigmt__f" year "199?" manufacturer "BWB" desc "The Big Match (BWB) (MPU4) (set 7)" devices ())
(name "m4bingbl" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 1)" devices ())
(name "m4bingbl__a" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 2)" devices ())
(name "m4bingbl__b" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 3)" devices ())
(name "m4bingbl__c" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 4)" devices ())
(name "m4bingbl__d" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 5)" devices ())
(name "m4bingbl__e" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 6)" devices ())
(name "m4bingbl__f" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 7)" devices ())
(name "m4bingbl__g" year "199?" manufacturer "BWB" desc "Bingo Belle (BWB) (MPU4) (set 8)" devices ())
(name "m4bingbs" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 1)" devices ())
(name "m4bingbs__a" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 2)" devices ())
(name "m4bingbs__b" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 3)" devices ())
(name "m4bingbs__c" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 4)" devices ())
(name "m4bingbs__d" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 5)" devices ())
(name "m4bingbs__e" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 6)" devices ())
(name "m4bingbs__f" year "199?" manufacturer "BWB" desc "Bingo Belle Showcase (BWB) (MPU4) (set 7)" devices ())
(name "m4bingcl" year "199?" manufacturer "BWB" desc "Bingo Club (BWB) (MPU4) (set 1)" devices ())
(name "m4bingcl__a" year "199?" manufacturer "BWB" desc "Bingo Club (BWB) (MPU4) (set 2)" devices ())
(name "m4bingcl__b" year "199?" manufacturer "BWB" desc "Bingo Club (BWB) (MPU4) (set 3)" devices ())
(name "m4bj" year "199?" manufacturer "Barcrest" desc "Black Jack (Barcrest) (Dutch) (MPU4) (BJ 1.6)" devices ())
(name "m4bjac" year "199?" manufacturer "Barcrest" desc "Blackjack Club (Barcrest) (MPU4) (C2J 1.8)" devices ())
(name "m4bjaca" year "199?" manufacturer "Barcrest" desc "Blackjack Club (Barcrest) (MPU4) (C2J 2.1)" devices ())
(name "m4bjack" year "199?" manufacturer "Barcrest" desc "Black Jack (Barcrest) (MPU4) (B2J 2.2)" devices ())
(name "m4bjacka" year "199?" manufacturer "Barcrest" desc "Black Jack (Barcrest) (MPU4) (BLA 2.0)" devices ())
(name "m4bjc" year "199?" manufacturer "Barcrest" desc "Black Jack Club (Barcrest) (Dutch) (MPU4) (DBC 1.1)" devices ())
(name "m4bjsm" year "199?" manufacturer "Barcrest" desc "Blackjack Super Multi (Barcrest) (German) (MPU4) (SM H1.6)" devices ())
(name "m4bjsma" year "199?" manufacturer "Barcrest" desc "Blackjack Super Multi (Barcrest) (MPU4) (SM 1.6)" devices ())
(name "m4blflsh" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (TBF 0.3)" devices ())
(name "m4blflsha" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (BFL 0.3, set 1)" devices ())
(name "m4blflshb" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (BFL 0.3, set 2)" devices ())
(name "m4blflshc" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (BFL 0.3, set 3)" devices ())
(name "m4blflshd" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (BFL 0.3, set 4)" devices ())
(name "m4blflshe" year "199?" manufacturer "BWB" desc "Blue Flash (BWB) (MPU4) (BFL 0.3, set 5)" devices ())
(name "m4blkbul" year "199?" manufacturer "Barcrest" desc "Super Play (Czech) (Barcrest) (MPU4) (XSP 0.8)" devices ())
(name "m4blkcat" year "199?" manufacturer "Barcrest" desc "Black Cat (Barcrest) (Dutch) (MPU4) (DBL 1.4)" devices ())
(name "m4blkgd" year "199?" manufacturer "Gemini" desc "Black Gold (Gemini) (MPU4) (set 1)" devices ())
(name "m4blkgda" year "199?" manufacturer "Gemini" desc "Black Gold (Gemini) (MPU4) (set 2)" devices ())
(name "m4blkmgc" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Latvia, set 1)" devices ())
(name "m4blkmgc_1" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Latvia, set 2)" devices ())
(name "m4blkmgc_u1" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 1)" devices ())
(name "m4blkmgc_u2" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 2)" devices ())
(name "m4blkmgc_u3" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 3)" devices ())
(name "m4blkmgc_u4" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 4)" devices ())
(name "m4blkmgc_u5" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 5)" devices ())
(name "m4blkmgc_u6" year "199?" manufacturer "Avantime?" desc "Black Magic (Avantime?) (MPU4) (Ukraine, set 6)" devices ())
(name "m4blkwhd" year "199?" manufacturer "Barcrest" desc "Black & White (Barcrest) (Dutch) (MPU4) (DBW 1.1)" devices ())
(name "m4blsbys" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 1)" devices ())
(name "m4blsbys__0" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 17)" devices ())
(name "m4blsbys__1" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 18)" devices ())
(name "m4blsbys__2" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 19)" devices ())
(name "m4blsbys__3" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 20)" devices ())
(name "m4blsbys__4" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 21)" devices ())
(name "m4blsbys__5" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 22)" devices ())
(name "m4blsbys__6" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 23)" devices ())
(name "m4blsbys__7" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 24)" devices ())
(name "m4blsbys__8" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 25)" devices ())
(name "m4blsbys__9" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 37)" devices ())
(name "m4blsbys__a" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 2)" devices ())
(name "m4blsbys__aa" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 38)" devices ())
(name "m4blsbys__ab" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 39)" devices ())
(name "m4blsbys__ac" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 40)" devices ())
(name "m4blsbys__ad" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 41)" devices ())
(name "m4blsbys__b" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 3)" devices ())
(name "m4blsbys__c" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 4)" devices ())
(name "m4blsbys__d" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 5)" devices ())
(name "m4blsbys__e" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 6)" devices ())
(name "m4blsbys__f" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 7)" devices ())
(name "m4blsbys__g" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 26)" devices ())
(name "m4blsbys__h" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 27)" devices ())
(name "m4blsbys__i" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 28)" devices ())
(name "m4blsbys__j" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 29)" devices ())
(name "m4blsbys__k" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 30)" devices ())
(name "m4blsbys__l" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 31)" devices ())
(name "m4blsbys__m" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 32)" devices ())
(name "m4blsbys__n" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 33)" devices ())
(name "m4blsbys__o" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 34)" devices ())
(name "m4blsbys__p" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 35)" devices ())
(name "m4blsbys__q" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 36)" devices ())
(name "m4blsbys__r" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 8)" devices ())
(name "m4blsbys__s" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 9)" devices ())
(name "m4blsbys__t" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 10)" devices ())
(name "m4blsbys__u" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 11)" devices ())
(name "m4blsbys__v" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 12)" devices ())
(name "m4blsbys__w" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 13)" devices ())
(name "m4blsbys__x" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 14)" devices ())
(name "m4blsbys__y" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 15)" devices ())
(name "m4blsbys__z" year "199?" manufacturer "BWB" desc "Blues Boys (BWB) (MPU4) (set 16)" devices ())
(name "m4blstbk" year "199?" manufacturer "bootleg?" desc "Blast A Bank (MPU4) (BB 1.0)" devices ())
(name "m4bluedm" year "199?" manufacturer "Barcrest" desc "Blue Diamond (Barcrest) (Dutch) (MPU4) (DBD 1.0)" devices ())
(name "m4bluemn" year "199?" manufacturer "Barcrest" desc "Blue Moon (Barcrest) (MPU4) (BLU 2.3)" devices ())
(name "m4bluemna" year "199?" manufacturer "Barcrest" desc "Blue Moon (Barcrest) (MPU4) (BLU 2.1)" devices ())
(name "m4bluemnb" year "199?" manufacturer "hack?" desc "Blue Moon (Barcrest) (MPU4) (BLU 1.1)" devices ())
(name "m4bluesn" year "199?" manufacturer "BWB" desc "Blues Boys (Nova) (MPU4)" devices ())
(name "m4blztrl" year "199?" manufacturer "Mdm" desc "Blazing Trails (Mdm) (MPU4, set 1)" devices ())
(name "m4blztrla" year "199?" manufacturer "Mdm" desc "Blazing Trails (Mdm) (MPU4, set 2)" devices ())
(name "m4bnknot" year "199?" manufacturer "Barcrest" desc "Bank A Note (Barcrest) (MPU4) (BN 1.0)" devices ())
(name "m4bnkrol" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (CBR 0.5)" devices ())
(name "m4bnkrol__a" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (BR3 0.1 D)" devices ())
(name "m4bnkrol__b" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (BR3 0.1 F)" devices ())
(name "m4bnkrol__c" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (BR3 0.1)" devices ())
(name "m4bnkrol__d" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (CBR 0.5 D)" devices ())
(name "m4bnkrol__e" year "199?" manufacturer "Barcrest" desc "Bank Roller Club (Barcrest) (MPU4) (CBR 0.5 F)" devices ())
(name "m4bodymt" year "199?" manufacturer "Mdm" desc "Body Match (Mdm) (MPU4)" devices ())
(name "m4boltbl" year "199?" manufacturer "DJE" desc "Bolt From The Blue (DJE) (MPU4, set 1)" devices ())
(name "m4boltbla" year "199?" manufacturer "DJE" desc "Bolt From The Blue (DJE) (MPU4, set 2)" devices ())
(name "m4boltblb" year "199?" manufacturer "DJE" desc "Bolt From The Blue (DJE) (MPU4, set 3)" devices ())
(name "m4boltblc" year "199?" manufacturer "DJE" desc "Bolt From The Blue (DJE) (MPU4, set 4)" devices ())
(name "m4bonzbn" year "199?" manufacturer "<unknown>" desc "Bingo Bonanza (unknown) (MPU4?)" devices ())
(name "m4booze" year "199?" manufacturer "Extreme" desc "Booze Cruise (Extreme) (MPU4)" devices ())
(name "m4brdway" year "199?" manufacturer "Barcrest" desc "Broadway (Barcrest) (Dutch) (MPU4) (DBR 1.1)" devices ())
(name "m4brktak" year "199?" manufacturer "bootleg" desc "Break & Take (Barcrest) (bootleg) (MPU4)" devices ())
(name "m4brnze" year "199?" manufacturer "bootleg?" desc "Bronze Voyage (BWB) (bootleg?) (MPU4) (BV5 2.1, set 1)" devices ())
(name "m4brnzea" year "199?" manufacturer "bootleg?" desc "Bronze Voyage (BWB) (bootleg?) (MPU4) (BV5 2.1, set 2)" devices ())
(name "m4brnzeb" year "199?" manufacturer "bootleg?" desc "Bronze Voyage (BWB) (bootleg?) (MPU4) (BV5 2.1, set 3)" devices ())
(name "m4brook" year "1998" manufacturer "Barcrest" desc "Turbo Play / Brooklyn (Barcrest) (MPU4) (PFT 1.8)" devices ())
(name "m4btclok" year "199?" manufacturer "bootleg" desc "Beat The Clock (Barcrest) (bootleg) (MPU4)" devices ())
(name "m4buc" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4)" devices ())
(name "m4buc__0" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5)" devices ())
(name "m4buc__1" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 Y)" devices ())
(name "m4buc__2" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DA)" devices ())
(name "m4buc__3" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 B)" devices ())
(name "m4buc__4" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DB)" devices ())
(name "m4buc__5" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 D)" devices ())
(name "m4buc__6" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DH)" devices ())
(name "m4buc__7" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DK)" devices ())
(name "m4buc__8" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DR)" devices ())
(name "m4buc__9" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 DY)" devices ())
(name "m4buc__a" year "199?" manufacturer "hack" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4, hack)" devices ())
(name "m4buc__aa" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 H)" devices ())
(name "m4buc__ab" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 K)" devices ())
(name "m4buc__ac" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 R)" devices ())
(name "m4buc__ad" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1)" devices ())
(name "m4buc__ae" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1 Y)" devices ())
(name "m4buc__af" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DA)" devices ())
(name "m4buc__ag" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 B)" devices ())
(name "m4buc__ah" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DB)" devices ())
(name "m4buc__ai" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 D)" devices ())
(name "m4buc__aj" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DH)" devices ())
(name "m4buc__ak" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DK)" devices ())
(name "m4buc__al" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DR)" devices ())
(name "m4buc__am" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 DY)" devices ())
(name "m4buc__an" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 H)" devices ())
(name "m4buc__ao" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 K)" devices ())
(name "m4buc__ap" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 R)" devices ())
(name "m4buc__aq" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2)" devices ())
(name "m4buc__ar" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.2 Y)" devices ())
(name "m4buc__as" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0)" devices ())
(name "m4buc__at" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 YD)" devices ())
(name "m4buc__au" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 D)" devices ())
(name "m4buc__av" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 Y)" devices ())
(name "m4buc__aw" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 B)" devices ())
(name "m4buc__ax" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 BAD)" devices ())
(name "m4buc__ay" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 BR)" devices ())
(name "m4buc__az" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 YDH)" devices ())
(name "m4buc__b" year "199?" manufacturer "hack" desc "Buccaneer (Barcrest) (MPU4) (BUS 0.1, hack)" devices ())
(name "m4buc__c" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DA)" devices ())
(name "m4buc__d" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 B)" devices ())
(name "m4buc__e" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DB)" devices ())
(name "m4buc__f" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 D)" devices ())
(name "m4buc__g" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DH)" devices ())
(name "m4buc__h" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DK)" devices ())
(name "m4buc__i" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DR)" devices ())
(name "m4buc__j" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 DY)" devices ())
(name "m4buc__k" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 H)" devices ())
(name "m4buc__l" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 K)" devices ())
(name "m4buc__m" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 R)" devices ())
(name "m4buc__n" year "199?" manufacturer "BWB" desc "Buccaneer (Barcrest) (MPU4) (BR_ 1.0 K)" devices ())
(name "m4buc__o" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.4 Y)" devices ())
(name "m4buc__p" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DA)" devices ())
(name "m4buc__q" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 B)" devices ())
(name "m4buc__r" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DB)" devices ())
(name "m4buc__s" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 D)" devices ())
(name "m4buc__t" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DH)" devices ())
(name "m4buc__u" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DK)" devices ())
(name "m4buc__v" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DR)" devices ())
(name "m4buc__w" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 DY)" devices ())
(name "m4buc__x" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 H)" devices ())
(name "m4buc__y" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 K)" devices ())
(name "m4buc__z" year "199?" manufacturer "Barcrest" desc "Buccaneer (Barcrest) (MPU4) (BUG 0.5 R)" devices ())
(name "m4bucclb" year "199?" manufacturer "Crystal" desc "Buccaneer Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4bucclba" year "199?" manufacturer "Crystal" desc "Buccaneer Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4bucclbb" year "199?" manufacturer "Crystal" desc "Buccaneer Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4bucclbc" year "199?" manufacturer "Crystal" desc "Buccaneer Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4bucks" year "199?" manufacturer "Barcrest" desc "Bucks Fizz Club (Barcrest) (MPU4) (BUF 1.2, set 1)" devices ())
(name "m4bucksa" year "199?" manufacturer "Barcrest" desc "Bucks Fizz Club (Barcrest) (MPU4) (BUF 1.2, set 2)" devices ())
(name "m4bullio" year "199?" manufacturer "Crystal" desc "Bullion Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4bullioa" year "199?" manufacturer "Crystal" desc "Bullion Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4bulliob" year "199?" manufacturer "Crystal" desc "Bullion Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4c2" year "199?" manufacturer "Nova?" desc "Circus Circus 2 (Nova?) (MPU4)" devices ())
(name "m4c9" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1)" devices ())
(name "m4c999" year "199?" manufacturer "Barcrest" desc "Cloud 999 (Barcrest) (MPU4) (CLN 4.0 V)" devices ())
(name "m4c999a" year "199?" manufacturer "bootleg" desc "Cloud 999 (Barcrest) (bootleg) (MPU4) (CLN 3.6)" devices ())
(name "m4c999b" year "199?" manufacturer "bootleg" desc "Cloud 999 (Barcrest) (bootleg) (MPU4) (CLN 3.0)" devices ())
(name "m4c999c" year "199?" manufacturer "bootleg" desc "Cloud 999 (Barcrest) (bootleg) (MPU4) (OC9 0.3, set 1)" devices ())
(name "m4c999d" year "199?" manufacturer "bootleg" desc "Cloud 999 (Barcrest) (bootleg) (MPU4) (OC9 0.3, set 2)" devices ())
(name "m4c999e" year "199?" manufacturer "hack?" desc "Cloud 999 (Barcrest) (MPU4) (SC9 1.0, hack?, set 3)" devices ())
(name "m4c999f" year "199?" manufacturer "hack?" desc "Cloud 999 (Barcrest) (MPU4) (SC9 1.0, hack?, set 4)" devices ())
(name "m4c999g" year "199?" manufacturer "BWB" desc "Cloud 999 (Barcrest) (MPU4) (SC9 5.0)" devices ())
(name "m4c999h" year "199?" manufacturer "BWB" desc "Cloud 999 (Barcrest) (MPU4) (SC9 5.0 D)" devices ())
(name "m4c999i" year "199?" manufacturer "hack?" desc "Cloud 999 (Barcrest) (MPU4) (SC9 1.0, hack?, set 1)" devices ())
(name "m4c999j" year "199?" manufacturer "hack?" desc "Cloud 999 (Barcrest) (MPU4) (SC9 1.0, hack?, set 2)" devices ())
(name "m4c9__0" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 B)" devices ())
(name "m4c9__1" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 BD)" devices ())
(name "m4c9__2" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 C)" devices ())
(name "m4c9__3" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 D)" devices ())
(name "m4c9__4" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 KD)" devices ())
(name "m4c9__5" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 RD)" devices ())
(name "m4c9__6" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 YD)" devices ())
(name "m4c9__7" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 K)" devices ())
(name "m4c9__8" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 R)" devices ())
(name "m4c9__9" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2)" devices ())
(name "m4c9__a" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2)" devices ())
(name "m4c9__aa" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 Y)" devices ())
(name "m4c9__ab" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 AD)" devices ())
(name "m4c9__ac" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 B)" devices ())
(name "m4c9__ad" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 BD)" devices ())
(name "m4c9__ae" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 C)" devices ())
(name "m4c9__af" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 D)" devices ())
(name "m4c9__ag" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 KD)" devices ())
(name "m4c9__ah" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 RD" devices ())
(name "m4c9__ai" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 YD)" devices ())
(name "m4c9__aj" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 K)" devices ())
(name "m4c9__ak" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 R)" devices ())
(name "m4c9__al" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT3 0.2 Y)" devices ())
(name "m4c9__am" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 AD)" devices ())
(name "m4c9__an" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 B)" devices ())
(name "m4c9__ao" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 BD)" devices ())
(name "m4c9__ap" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 C)" devices ())
(name "m4c9__aq" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 D)" devices ())
(name "m4c9__ar" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 KD)" devices ())
(name "m4c9__as" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 RD)" devices ())
(name "m4c9__at" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 YD)" devices ())
(name "m4c9__au" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 K)" devices ())
(name "m4c9__av" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 R)" devices ())
(name "m4c9__aw" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2)" devices ())
(name "m4c9__ax" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT5 0.2 Y)" devices ())
(name "m4c9__b" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.0 KD)" devices ())
(name "m4c9__c" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 AD)" devices ())
(name "m4c9__d" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 B)" devices ())
(name "m4c9__e" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 BD)" devices ())
(name "m4c9__f" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 D)" devices ())
(name "m4c9__g" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 KD)" devices ())
(name "m4c9__h" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 RD)" devices ())
(name "m4c9__i" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 YD)" devices ())
(name "m4c9__j" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 K)" devices ())
(name "m4c9__k" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 R)" devices ())
(name "m4c9__l" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0)" devices ())
(name "m4c9__m" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C95 1.0 Y)" devices ())
(name "m4c9__o" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 AD)" devices ())
(name "m4c9__p" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 B)" devices ())
(name "m4c9__q" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 BD)" devices ())
(name "m4c9__r" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 C)" devices ())
(name "m4c9__s" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 D)" devices ())
(name "m4c9__t" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 KD)" devices ())
(name "m4c9__u" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 RD)" devices ())
(name "m4c9__v" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 YD)" devices ())
(name "m4c9__w" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 K)" devices ())
(name "m4c9__x" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 R)" devices ())
(name "m4c9__y" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (C92 1.1 Y)" devices ())
(name "m4c9__z" year "199?" manufacturer "Barcrest" desc "Cloud Nine (Barcrest) (MPU4) (CT2 0.2 AD)" devices ())
(name "m4c9c" year "199?" manufacturer "Barcrest" desc "Cloud Nine Club (Barcrest) (MPU4) (CNC 2.1)" devices ())
(name "m4calama" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CAC 0.3)" devices ())
(name "m4calama__a" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CA3 0.1 D)" devices ())
(name "m4calama__b" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CA3 0.1 F)" devices ())
(name "m4calama__c" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CA3 0.1)" devices ())
(name "m4calama__d" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CAC 0.3 D)" devices ())
(name "m4calama__e" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (CAC 0.3 F)" devices ())
(name "m4calama__f" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (BC3 0.2 F)" devices ())
(name "m4calama__g" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (BC3 0.2)" devices ())
(name "m4calama__h" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (BCA 0.2)" devices ())
(name "m4calama__i" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (BC3 0.2 D)" devices ())
(name "m4calama__j" year "199?" manufacturer "Barcrest" desc "Calamari Club (Barcrest) (MPU4) (BCA 0.4)" devices ())
(name "m4calicl" year "199?" manufacturer "Barcrest" desc "California Club (Barcrest) (MPU4) (CA2 1.0, set 1)" devices ())
(name "m4calicla" year "199?" manufacturer "Barcrest" desc "California Club (Barcrest) (MPU4) (CA2 1.0, set 2)" devices ())
(name "m4caliclb" year "199?" manufacturer "Barcrest" desc "California Club (Barcrest) (MPU4) (CA2 1.0, set 3)" devices ())
(name "m4caliclc" year "199?" manufacturer "Barcrest" desc "California Club (Barcrest) (MPU4) (CAL 2.0, set 1)" devices ())
(name "m4calicld" year "199?" manufacturer "Barcrest" desc "California Club (Barcrest) (MPU4) (CAL 2.0, set 2)" devices ())
(name "m4captb" year "199?" manufacturer "AET/Coinworld" desc "Captain Bear (MPU4?)" devices ())
(name "m4cardcs" year "199?" manufacturer "Barcrest" desc "Card Cash (Barcrest) (MPU4) (CCS 1.9)" devices ())
(name "m4carou" year "199?" manufacturer "Crystal" desc "Carousel Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4caroua" year "199?" manufacturer "Crystal" desc "Carousel Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4caroub" year "199?" manufacturer "Crystal" desc "Carousel Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4carouc" year "199?" manufacturer "Crystal" desc "Carousel Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4cashat" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2)" devices ())
(name "m4cashat__0" year "199?" manufacturer "hack" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3, hack, set 1)" devices ())
(name "m4cashat__1" year "199?" manufacturer "hack" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3, hack, set 2)" devices ())
(name "m4cashat__2" year "199?" manufacturer "hack" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2, hack)" devices ())
(name "m4cashat__3" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DA)" devices ())
(name "m4cashat__4" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 B)" devices ())
(name "m4cashat__5" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DB)" devices ())
(name "m4cashat__6" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 D)" devices ())
(name "m4cashat__7" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DH)" devices ())
(name "m4cashat__8" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DK)" devices ())
(name "m4cashat__9" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DR)" devices ())
(name "m4cashat__a" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DA)" devices ())
(name "m4cashat__aa" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 DY)" devices ())
(name "m4cashat__ab" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 H)" devices ())
(name "m4cashat__ac" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 K)" devices ())
(name "m4cashat__ad" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 R)" devices ())
(name "m4cashat__ae" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1)" devices ())
(name "m4cashat__af" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.1 Y)" devices ())
(name "m4cashat__ag" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DA)" devices ())
(name "m4cashat__ah" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 B)" devices ())
(name "m4cashat__ai" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DB)" devices ())
(name "m4cashat__aj" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 D)" devices ())
(name "m4cashat__ak" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DH)" devices ())
(name "m4cashat__al" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DK)" devices ())
(name "m4cashat__am" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DR)" devices ())
(name "m4cashat__an" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 DY)" devices ())
(name "m4cashat__ao" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 H)" devices ())
(name "m4cashat__ap" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 K)" devices ())
(name "m4cashat__aq" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 R)" devices ())
(name "m4cashat__ar" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CSA 1.2 Y)" devices ())
(name "m4cashat__b" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 B)" devices ())
(name "m4cashat__c" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DB)" devices ())
(name "m4cashat__d" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 D)" devices ())
(name "m4cashat__e" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DH)" devices ())
(name "m4cashat__f" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DK)" devices ())
(name "m4cashat__g" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DR)" devices ())
(name "m4cashat__h" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 DY)" devices ())
(name "m4cashat__i" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 H)" devices ())
(name "m4cashat__j" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 K)" devices ())
(name "m4cashat__k" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 R)" devices ())
(name "m4cashat__l" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2)" devices ())
(name "m4cashat__m" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.2 Y)" devices ())
(name "m4cashat__n" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DA)" devices ())
(name "m4cashat__o" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 B)" devices ())
(name "m4cashat__p" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DB)" devices ())
(name "m4cashat__q" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 D)" devices ())
(name "m4cashat__r" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DH)" devices ())
(name "m4cashat__s" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DK)" devices ())
(name "m4cashat__t" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DR)" devices ())
(name "m4cashat__u" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 DY)" devices ())
(name "m4cashat__v" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 H)" devices ())
(name "m4cashat__w" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 K)" devices ())
(name "m4cashat__x" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 R)" devices ())
(name "m4cashat__y" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3)" devices ())
(name "m4cashat__z" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU4) (CAA 2.3 Y)" devices ())
(name "m4cashcn" year "199?" manufacturer "Barcrest" desc "Cash Connect (Barcrest) (MPU4) (CCO 3.2)" devices ())
(name "m4cashco" year "199?" manufacturer "Barcrest" desc "Cash Counter (Barcrest) (MPU4) (C3 2.4)" devices ())
(name "m4cashcoa" year "199?" manufacturer "Barcrest" desc "Cash Counter (Barcrest) (MPU4) (C3 1.8)" devices ())
(name "m4cashcob" year "199?" manufacturer "Barcrest" desc "Cash Counter (Barcrest) (MPU4) (CO 0.5)" devices ())
(name "m4cashcoc" year "199?" manufacturer "Barcrest" desc "Cash Counter (Barcrest) (MPU4) (C3 3.1)" devices ())
(name "m4cashcod" year "199?" manufacturer "Barcrest" desc "Cash Connect (Barcrest) (MPU4) (C3 2.0)" devices ())
(name "m4cashln" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4)" devices ())
(name "m4cashln__0" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 R)" devices ())
(name "m4cashln__1" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2)" devices ())
(name "m4cashln__2" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 Y)" devices ())
(name "m4cashln__3" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 AD)" devices ())
(name "m4cashln__4" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 B)" devices ())
(name "m4cashln__5" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 BD)" devices ())
(name "m4cashln__6" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 C)" devices ())
(name "m4cashln__7" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 D)" devices ())
(name "m4cashln__8" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 DH)" devices ())
(name "m4cashln__9" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 KD)" devices ())
(name "m4cashln__a" year "199?" manufacturer "hack" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1, hack)" devices ())
(name "m4cashln__a0" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 RD)" devices ())
(name "m4cashln__a1" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 YD)" devices ())
(name "m4cashln__a2" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 H)" devices ())
(name "m4cashln__a3" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 K)" devices ())
(name "m4cashln__a4" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 R)" devices ())
(name "m4cashln__a5" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0)" devices ())
(name "m4cashln__a6" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 Y)" devices ())
(name "m4cashln__a7" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 AD)" devices ())
(name "m4cashln__a8" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 B)" devices ())
(name "m4cashln__a9" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 BD)" devices ())
(name "m4cashln__aa" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 RD)" devices ())
(name "m4cashln__ab" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 YD)" devices ())
(name "m4cashln__ac" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 H)" devices ())
(name "m4cashln__ad" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 K)" devices ())
(name "m4cashln__ae" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 R)" devices ())
(name "m4cashln__af" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3)" devices ())
(name "m4cashln__ag" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3 Y)" devices ())
(name "m4cashln__ah" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 AD)" devices ())
(name "m4cashln__ai" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 B)" devices ())
(name "m4cashln__aj" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 BD)" devices ())
(name "m4cashln__ak" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 C)" devices ())
(name "m4cashln__al" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 D)" devices ())
(name "m4cashln__am" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 DH)" devices ())
(name "m4cashln__an" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 KD)" devices ())
(name "m4cashln__ao" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 RD)" devices ())
(name "m4cashln__ap" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 YD)" devices ())
(name "m4cashln__aq" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 H)" devices ())
(name "m4cashln__ar" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 K)" devices ())
(name "m4cashln__as" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 R)" devices ())
(name "m4cashln__at" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.4 Y)" devices ())
(name "m4cashln__au" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 AD)" devices ())
(name "m4cashln__av" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 B)" devices ())
(name "m4cashln__aw" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 BD)" devices ())
(name "m4cashln__ax" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 D)" devices ())
(name "m4cashln__ay" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 DH)" devices ())
(name "m4cashln__az" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCC 1.0 KD)" devices ())
(name "m4cashln__b" year "199?" manufacturer "hack" desc "Cash Lines (Barcrest) (MPU4) (CLS 0.3, hack)" devices ())
(name "m4cashln__ba" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 D)" devices ())
(name "m4cashln__bb" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 DH)" devices ())
(name "m4cashln__bc" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 KD)" devices ())
(name "m4cashln__bd" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 RD)" devices ())
(name "m4cashln__be" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 YD)" devices ())
(name "m4cashln__bf" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 H)" devices ())
(name "m4cashln__bg" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 K)" devices ())
(name "m4cashln__bh" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 R)" devices ())
(name "m4cashln__bi" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1)" devices ())
(name "m4cashln__bj" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (NCL 1.1 Y)" devices ())
(name "m4cashln__c" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.0)" devices ())
(name "m4cashln__d" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 AD)" devices ())
(name "m4cashln__e" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 B)" devices ())
(name "m4cashln__f" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 BD)" devices ())
(name "m4cashln__g" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 D)" devices ())
(name "m4cashln__h" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 DH)" devices ())
(name "m4cashln__i" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 KD)" devices ())
(name "m4cashln__j" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 RD)" devices ())
(name "m4cashln__k" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 YD)" devices ())
(name "m4cashln__l" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 H)" devices ())
(name "m4cashln__m" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 K)" devices ())
(name "m4cashln__n" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 R)" devices ())
(name "m4cashln__o" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1)" devices ())
(name "m4cashln__p" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.1 Y)" devices ())
(name "m4cashln__q" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 AD)" devices ())
(name "m4cashln__r" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 B)" devices ())
(name "m4cashln__s" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 BD)" devices ())
(name "m4cashln__t" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 D)" devices ())
(name "m4cashln__u" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 DH)" devices ())
(name "m4cashln__v" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 KD)" devices ())
(name "m4cashln__w" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 RD)" devices ())
(name "m4cashln__x" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 YD)" devices ())
(name "m4cashln__y" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 H)" devices ())
(name "m4cashln__z" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU4) (CLI 1.2 K)" devices ())
(name "m4cashmn" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7)" devices ())
(name "m4cashmn__0" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 BD)" devices ())
(name "m4cashmn__1" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 C)" devices ())
(name "m4cashmn__2" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 D)" devices ())
(name "m4cashmn__3" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 KD)" devices ())
(name "m4cashmn__4" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 RD)" devices ())
(name "m4cashmn__5" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 YD)" devices ())
(name "m4cashmn__6" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 K)" devices ())
(name "m4cashmn__7" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 R)" devices ())
(name "m4cashmn__8" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6)" devices ())
(name "m4cashmn__9" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 Y)" devices ())
(name "m4cashmn__a" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.2)" devices ())
(name "m4cashmn__aa" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 AD)" devices ())
(name "m4cashmn__ab" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 B)" devices ())
(name "m4cashmn__ac" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 BD)" devices ())
(name "m4cashmn__ad" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 C)" devices ())
(name "m4cashmn__ae" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 D)" devices ())
(name "m4cashmn__af" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 KD)" devices ())
(name "m4cashmn__ag" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 RD)" devices ())
(name "m4cashmn__ah" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 YD)" devices ())
(name "m4cashmn__ai" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 K)" devices ())
(name "m4cashmn__aj" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 R)" devices ())
(name "m4cashmn__ak" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7)" devices ())
(name "m4cashmn__al" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.7 Y)" devices ())
(name "m4cashmn__b" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 AD)" devices ())
(name "m4cashmn__c" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 B)" devices ())
(name "m4cashmn__d" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 BD)" devices ())
(name "m4cashmn__e" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 C)" devices ())
(name "m4cashmn__f" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 D)" devices ())
(name "m4cashmn__g" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 KD)" devices ())
(name "m4cashmn__h" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 RD)" devices ())
(name "m4cashmn__i" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 YD)" devices ())
(name "m4cashmn__j" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 K)" devices ())
(name "m4cashmn__k" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 R)" devices ())
(name "m4cashmn__l" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 Y)" devices ())
(name "m4cashmn__m" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 AD)" devices ())
(name "m4cashmn__n" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 B)" devices ())
(name "m4cashmn__o" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 BD)" devices ())
(name "m4cashmn__p" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 C)" devices ())
(name "m4cashmn__q" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 D)" devices ())
(name "m4cashmn__r" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 KD)" devices ())
(name "m4cashmn__s" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 RD)" devices ())
(name "m4cashmn__t" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 YD)" devices ())
(name "m4cashmn__u" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 K)" devices ())
(name "m4cashmn__v" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 R)" devices ())
(name "m4cashmn__w" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8)" devices ())
(name "m4cashmn__x" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.8 Y)" devices ())
(name "m4cashmn__y" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 AD)" devices ())
(name "m4cashmn__z" year "199?" manufacturer "Barcrest" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 B)" devices ())
(name "m4cashmn__za" year "199?" manufacturer "hack?" desc "Cash Machine (Barcrest) (MPU4) (CMH 0.6 Y, hack?)" devices ())
(name "m4cashmn__zb" year "199?" manufacturer "hack?" desc "Cash Machine (Barcrest) (MPU4) (CMA 0.7 C, hack?)" devices ())
(name "m4cashmx" year "199?" manufacturer "Barcrest" desc "Cash Matrix (Barcrest) (MPU4) (CM 1.7, set 1)" devices ())
(name "m4cashmxa" year "199?" manufacturer "Barcrest" desc "Cash Matrix (Barcrest) (MPU4) (CM 1.7, set 2)" devices ())
(name "m4cashzn" year "199?" manufacturer "Barcrest" desc "Cash Zone (Barcrest) (MPU4) (CAZ 1.2)" devices ())
(name "m4cashzna" year "199?" manufacturer "Barcrest" desc "Cash Zone (Barcrest) (MPU4) (CAZ 1.5)" devices ())
(name "m4casmul" year "2001" manufacturer "DJE" desc "Casino Multiplay (MPU4)" devices ())
(name "m4cbing" year "1998" manufacturer "Redpoint Systems" desc "Cherry Bingo (Redpoint Systems) (MPU4)" devices ())
(name "m4ccc" year "199?" manufacturer "Coinworld" desc "Criss Cross Crazy (Coinworld) (MPU4?)" devices ())
(name "m4cclimb" year "199?" manufacturer "Crystal" desc "Crazy Climber (Crystal) (MPU4) (set 1)" devices ())
(name "m4cclimba" year "199?" manufacturer "Crystal" desc "Crazy Climber (Crystal) (MPU4) (set 2)" devices ())
(name "m4ccop" year "199?" manufacturer "Coinworld" desc "Cash Cops (MPU4?) (set 1)" devices ())
(name "m4ccopa" year "199?" manufacturer "Coinworld" desc "Cash Cops (MPU4?) (set 2)" devices ())
(name "m4ccopb" year "199?" manufacturer "Coinworld" desc "Cash Cops (MPU4?) (set 3)" devices ())
(name "m4celclb" year "199?" manufacturer "Barcrest" desc "Celebration Club (Barcrest) (MPU4) (CEL 1.5)" devices ())
(name "m4centpt" year "199?" manufacturer "Barcrest" desc "Centrepoint (Barcrest) (MPU4) (DU 1.3)" devices ())
(name "m4ceptr" year "199?" manufacturer "Barcrest" desc "Ceptor (Barcrest) (Dutch) (MPU4) (DCE 1.0)" devices ())
(name "m4cfinln" year "199?" manufacturer "BWB" desc "Cup Final (Nova) (MPU4) (set 1)" devices ())
(name "m4cfinln__a" year "199?" manufacturer "BWB" desc "Cup Final (Nova) (MPU4) (set 2)" devices ())
(name "m4chacec" year "199?" manufacturer "Empire" desc "Chase The Ace [Cards] (Empire) (MPU4, set 1)" devices ())
(name "m4chaceca" year "199?" manufacturer "Empire" desc "Chase The Ace [Cards] (Empire) (MPU4, set 2)" devices ())
(name "m4chacef" year "199?" manufacturer "Empire" desc "Chase The Ace [Fruits] (Empire) (MPU4, set 1)" devices ())
(name "m4chacefa" year "199?" manufacturer "Empire" desc "Chase The Ace [Fruits] (Empire) (MPU4, set 2)" devices ())
(name "m4chacefb" year "199?" manufacturer "Empire" desc "Chase The Ace [Fruits] (Empire) (MPU4, set 3)" devices ())
(name "m4chacefc" year "199?" manufacturer "Empire" desc "Chase The Ace [Fruits] (Empire) (MPU4, set 4)" devices ())
(name "m4chasei" year "199?" manufacturer "Barcrest" desc "Chase Invaders (Barcrest) (MPU4) (CI2 0.1, set 1)" devices ())
(name "m4chaseia" year "199?" manufacturer "hack" desc "Chase Invaders (Barcrest) (MPU4) (8V1 0.1, hack, set 1)" devices ())
(name "m4chaseib" year "199?" manufacturer "hack" desc "Chase Invaders (Barcrest) (MPU4) (8V1 0.1, hack, set 2)" devices ())
(name "m4chaseic" year "199?" manufacturer "Barcrest" desc "Chase Invaders (Barcrest) (MPU4) (CI2 0.1, set 2)" devices ())
(name "m4chaseid" year "199?" manufacturer "Barcrest" desc "Chase Invaders (Barcrest) (MPU4) (CI2 0.1, set 3)" devices ())
(name "m4chaseie" year "199?" manufacturer "Barcrest" desc "Chase Invaders (Barcrest) (MPU4) (CI2 0.1, set 4)" devices ())
(name "m4chaseig" year "199?" manufacturer "hack" desc "Chase Invaders (Barcrest) (MPU4) (8V1 0.1, hack, set 3)" devices ())
(name "m4cheryo" year "199?" manufacturer "Barcrest" desc "Cherryo (Barcrest) (Dutch) (MPU4) (DCH 1.4)" devices ())
(name "m4cjdlx" year "199?" manufacturer "Barcrest" desc "Crown Jewels Deluxe (Barcrest) (German) (MPU4) (CJG 0.4)" devices ())
(name "m4clab" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 1)" devices ())
(name "m4clab__a" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 2)" devices ())
(name "m4clab__b" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 3)" devices ())
(name "m4clab__c" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 4)" devices ())
(name "m4clab__d" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 5)" devices ())
(name "m4clab__e" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 6)" devices ())
(name "m4clab__f" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 7)" devices ())
(name "m4clab__g" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 8)" devices ())
(name "m4clab__h" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 9)" devices ())
(name "m4clab__i" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 10)" devices ())
(name "m4clab__j" year "199?" manufacturer "Qps" desc "Cash Lab (Qps) (MPU4) (set 11)" devices ())
(name "m4class" year "199?" manufacturer "Barcrest" desc "First Class (Barcrest) (Dutch) (MPU4) (DFC 2.0, set 1)" devices ())
(name "m4classa" year "199?" manufacturer "Barcrest" desc "First Class (Barcrest) (Dutch) (MPU4) (DFC 2.0, set 2)" devices ())
(name "m4clbclm" year "199?" manufacturer "Barcrest" desc "Club Climber (Barcrest) (MPU4, C1C 3.3)" devices ())
(name "m4clbclma" year "199?" manufacturer "Barcrest" desc "Club Climber (Barcrest) (MPU4, CC 4.5)" devices ())
(name "m4clbcls" year "199?" manufacturer "Barcrest" desc "Club Classic (Barcrest) (MPU4) (CI  1.1)" devices ())
(name "m4clbcnt" year "199?" manufacturer "Barcrest" desc "Club Connect (Barcrest) (MPU4) (CON 1.2)" devices ())
(name "m4clbcnta" year "199?" manufacturer "Barcrest" desc "Club Connect (Barcrest) (MPU4) (CON 1.0)" devices ())
(name "m4clbcntb" year "199?" manufacturer "Barcrest" desc "Club Connect (Barcrest) (MPU4) (CON 1.1)" devices ())
(name "m4clbcntc" year "199?" manufacturer "Barcrest" desc "Club Connect (Barcrest) (MPU4) (CON 1.5, set 1)" devices ())
(name "m4clbcntd" year "199?" manufacturer "Barcrest" desc "Club Connect (Barcrest) (MPU4) (CON 1.5, set 2)" devices ())
(name "m4clbdbl" year "199?" manufacturer "Barcrest" desc "Club Double (Barcrest) (MPU4) (CD 1.6)" devices ())
(name "m4clbrpl" year "199?" manufacturer "Pcp" desc "Club Replay (PCP) (MPU4) (01)" devices ())
(name "m4clbshf" year "199?" manufacturer "Barcrest" desc "Club Shuffle (Barcrest) (MPU4) (CSS 1.0)" devices ())
(name "m4clbveg" year "199?" manufacturer "Barcrest" desc "Club Vegas (Barcrest) (MPU4) (CLA 2.4, set 1)" devices ())
(name "m4clbvega" year "199?" manufacturer "Barcrest" desc "Club Vegas (Barcrest) (MPU4) (CLA 2.4, set 2)" devices ())
(name "m4clbvegb" year "199?" manufacturer "Barcrest" desc "Club Vegas (Barcrest) (MPU4) (CLA 2.4, set 3)" devices ())
(name "m4clbvegc" year "199?" manufacturer "Barcrest" desc "Club Vegas (Barcrest) (MPU4) (CLA 2.4, set 4)" devices ())
(name "m4clbx" year "199?" manufacturer "Barcrest" desc "Club X (Barcrest) (MPU4) (CLX 1.2, set 1)" devices ())
(name "m4clbxa" year "199?" manufacturer "Barcrest" desc "Club X (Barcrest) (MPU4) (CLX 1.2, set 2)" devices ())
(name "m4clbxb" year "199?" manufacturer "Barcrest" desc "Club X (Barcrest) (MPU4) (CLX 1.2, set 3)" devices ())
(name "m4click" year "199?" manufacturer "Barcrest" desc "Clickity Click (Barcrest) (MPU4 w/ Plasma DMD)" devices ())
(name "m4clr" year "198?" manufacturer "Barcrest" desc "MPU4 Meter Clear ROM" devices ())
(name "m4cmont" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 1)" devices ())
(name "m4cmont_1" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 2)" devices ())
(name "m4cmont_10" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 11)" devices ())
(name "m4cmont_11" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 12)" devices ())
(name "m4cmont_12" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 13)" devices ())
(name "m4cmont_13" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 14)" devices ())
(name "m4cmont_2" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 3)" devices ())
(name "m4cmont_3" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 4)" devices ())
(name "m4cmont_4" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 5)" devices ())
(name "m4cmont_5" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 6)" devices ())
(name "m4cmont_6" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 7)" devices ())
(name "m4cmont_7" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 8)" devices ())
(name "m4cmont_8" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 9)" devices ())
(name "m4cmont_9" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Czech, set 10)" devices ())
(name "m4cmont_gt1" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (GTR, set 1)" devices ())
(name "m4cmont_gt2" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (GTR, set 2)" devices ())
(name "m4cmont_gt3" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (GTR, set 3)" devices ())
(name "m4cmont_l1" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 1)" devices ())
(name "m4cmont_l10" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 10)" devices ())
(name "m4cmont_l11" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 11)" devices ())
(name "m4cmont_l12" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 12)" devices ())
(name "m4cmont_l13" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 13)" devices ())
(name "m4cmont_l14" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 14)" devices ())
(name "m4cmont_l15" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 15)" devices ())
(name "m4cmont_l16" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 16)" devices ())
(name "m4cmont_l2" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 2)" devices ())
(name "m4cmont_l3" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 3)" devices ())
(name "m4cmont_l4" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 4)" devices ())
(name "m4cmont_l5" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 5)" devices ())
(name "m4cmont_l6" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 6)" devices ())
(name "m4cmont_l7" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 7)" devices ())
(name "m4cmont_l8" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 8)" devices ())
(name "m4cmont_l9" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Latvia, set 9)" devices ())
(name "m4cmont_r1" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 1)" devices ())
(name "m4cmont_r2" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 2)" devices ())
(name "m4cmont_r3" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 3)" devices ())
(name "m4cmont_r4" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 4)" devices ())
(name "m4cmont_r5" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 5)" devices ())
(name "m4cmont_r6" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 6)" devices ())
(name "m4cmont_r7" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 7)" devices ())
(name "m4cmont_r8" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Russia, set 8)" devices ())
(name "m4cmont_u1" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 1)" devices ())
(name "m4cmont_u10" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 10)" devices ())
(name "m4cmont_u11" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 11)" devices ())
(name "m4cmont_u12" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 12)" devices ())
(name "m4cmont_u13" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 13)" devices ())
(name "m4cmont_u14" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 14)" devices ())
(name "m4cmont_u15" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 15)" devices ())
(name "m4cmont_u16" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 16)" devices ())
(name "m4cmont_u17" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 17)" devices ())
(name "m4cmont_u18" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 18)" devices ())
(name "m4cmont_u19" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 19)" devices ())
(name "m4cmont_u2" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 2)" devices ())
(name "m4cmont_u20" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 20)" devices ())
(name "m4cmont_u21" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 21)" devices ())
(name "m4cmont_u22" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 22)" devices ())
(name "m4cmont_u23" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 23)" devices ())
(name "m4cmont_u24" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 24)" devices ())
(name "m4cmont_u25" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 25)" devices ())
(name "m4cmont_u26" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 26)" devices ())
(name "m4cmont_u27" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 27)" devices ())
(name "m4cmont_u3" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 3)" devices ())
(name "m4cmont_u4" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 4)" devices ())
(name "m4cmont_u5" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 5)" devices ())
(name "m4cmont_u6" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 6)" devices ())
(name "m4cmont_u7" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 7)" devices ())
(name "m4cmont_u8" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 8)" devices ())
(name "m4cmont_u9" year "199?" manufacturer "Avantime?" desc "Casino Monte Carlo (Avantime?) (MPU4) (Ukraine, set 9)" devices ())
(name "m4cojok" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 1)" devices ())
(name "m4cojok__a" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 2)" devices ())
(name "m4cojok__b" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 3)" devices ())
(name "m4cojok__c" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 4)" devices ())
(name "m4cojok__d" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 5)" devices ())
(name "m4cojok__e" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 6)" devices ())
(name "m4cojok__f" year "199?" manufacturer "Barcrest" desc "Carry On Joker (Barcrest) (MPU4) (COJ 2.1, set 7)" devices ())
(name "m4coloss" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 1)" devices ())
(name "m4colossa" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 2)" devices ())
(name "m4colossb" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 3)" devices ())
(name "m4colossc" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 4)" devices ())
(name "m4colossd" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 5)" devices ())
(name "m4colosse" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 6)" devices ())
(name "m4colossf" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 7)" devices ())
(name "m4colossg" year "199?" manufacturer "Mdm" desc "Colossus (Mdm) (MPU4, set 8)" devices ())
(name "m4coney" year "199?" manufacturer "Qps" desc "Coney Island (Qps) (MPU4)" devices ())
(name "m4conn4" year "1989?" manufacturer "Dolbeck Systems" desc "Connect 4" devices ())
(name "m4copcsh" year "199?" manufacturer "bootleg" desc "Coppa Cash (MPU4) (FC 2.0)" devices ())
(name "m4coscas" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0)" devices ())
(name "m4coscas__a" year "199?" manufacturer "hack" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__6.0, hack)" devices ())
(name "m4coscas__b" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0 Y)" devices ())
(name "m4coscas__c" year "199?" manufacturer "hack" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0, hack)" devices ())
(name "m4coscas__d" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 C)" devices ())
(name "m4coscas__e" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0)" devices ())
(name "m4coscas__f" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 YD)" devices ())
(name "m4coscas__g" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 YCD)" devices ())
(name "m4coscas__h" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0 YD)" devices ())
(name "m4coscas__i" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 D)" devices ())
(name "m4coscas__j" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 CD)" devices ())
(name "m4coscas__k" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0 D)" devices ())
(name "m4coscas__l" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 Y)" devices ())
(name "m4coscas__m" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 YC)" devices ())
(name "m4coscas__n" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 K)" devices ())
(name "m4coscas__o" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 CK)" devices ())
(name "m4coscas__p" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0 K)" devices ())
(name "m4coscas__q" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 B)" devices ())
(name "m4coscas__r" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__7.0 B)" devices ())
(name "m4coscas__s" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 BCAD)" devices ())
(name "m4coscas__t" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 BCR)" devices ())
(name "m4coscas__u" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 YDH)" devices ())
(name "m4coscas__v" year "199?" manufacturer "BWB" desc "Cosmic Casinos (Barcrest) (MPU4) (CC__3.0 YCDH)" devices ())
(name "m4cpfinl" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 1)" devices ())
(name "m4cpfinl__a" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 2)" devices ())
(name "m4cpfinl__b" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 3)" devices ())
(name "m4cpfinl__c" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 4)" devices ())
(name "m4cpfinl__d" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 5)" devices ())
(name "m4cpfinl__e" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 6)" devices ())
(name "m4cpfinl__f" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 7)" devices ())
(name "m4cpfinl__g" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 8)" devices ())
(name "m4cpfinl__h" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 9)" devices ())
(name "m4cpfinl__i" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 10)" devices ())
(name "m4cpfinl__j" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 11)" devices ())
(name "m4cpfinl__k" year "199?" manufacturer "BWB" desc "Cup Final (BWB) (MPU4) (set 12)" devices ())
(name "m4cpycat" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 YD)" devices ())
(name "m4cpycat__0" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  4.0 YD)" devices ())
(name "m4cpycat__1" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 D)" devices ())
(name "m4cpycat__2" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  4.0 D)" devices ())
(name "m4cpycat__3" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  4.0 Y)" devices ())
(name "m4cpycat__4" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 K)" devices ())
(name "m4cpycat__5" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 B)" devices ())
(name "m4cpycat__6" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 BD)" devices ())
(name "m4cpycat__7" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 BAD)" devices ())
(name "m4cpycat__8" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 BR)" devices ())
(name "m4cpycat__a" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 D)" devices ())
(name "m4cpycat__b" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 Y)" devices ())
(name "m4cpycat__c" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 K)" devices ())
(name "m4cpycat__d" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 B)" devices ())
(name "m4cpycat__e" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 BAD)" devices ())
(name "m4cpycat__f" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  4.1 BAD)" devices ())
(name "m4cpycat__g" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.1 BR)" devices ())
(name "m4cpycat__h" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 YD)" devices ())
(name "m4cpycat__i" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 YD)" devices ())
(name "m4cpycat__j" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  3.0 YD)" devices ())
(name "m4cpycat__k" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 D)" devices ())
(name "m4cpycat__l" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 D)" devices ())
(name "m4cpycat__m" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 Y)" devices ())
(name "m4cpycat__n" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 Y)" devices ())
(name "m4cpycat__o" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  3.0 Y)" devices ())
(name "m4cpycat__p" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 K)" devices ())
(name "m4cpycat__q" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 K)" devices ())
(name "m4cpycat__r" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  3.0 K)" devices ())
(name "m4cpycat__s" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 B)" devices ())
(name "m4cpycat__t" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 B)" devices ())
(name "m4cpycat__u" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 BAD)" devices ())
(name "m4cpycat__v" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 BAD)" devices ())
(name "m4cpycat__w" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  3.0 BAD)" devices ())
(name "m4cpycat__x" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  1.3 BR)" devices ())
(name "m4cpycat__y" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.0 BR)" devices ())
(name "m4cpycat__z" year "199?" manufacturer "BWB" desc "Copy Cat (Barcrest) (MPU4) (CO  2.4 YD)" devices ())
(name "m4crdome" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2)" devices ())
(name "m4crdome__a" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 C)" devices ())
(name "m4crdome__b" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 AD)" devices ())
(name "m4crdome__c" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 B)" devices ())
(name "m4crdome__d" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 BD)" devices ())
(name "m4crdome__e" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 D)" devices ())
(name "m4crdome__f" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 KD)" devices ())
(name "m4crdome__g" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 RD)" devices ())
(name "m4crdome__h" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 YD)" devices ())
(name "m4crdome__i" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 R)" devices ())
(name "m4crdome__j" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 K)" devices ())
(name "m4crdome__k" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2 Y)" devices ())
(name "m4crdome__l" year "199?" manufacturer "hack" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.2, hack)" devices ())
(name "m4crdome__m" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 1.0 C)" devices ())
(name "m4crdome__n" year "199?" manufacturer "Barcrest" desc "The Crystal Dome (Barcrest) (MPU4) (CD2 0.2 C)" devices ())
(name "m4crfire" year "199?" manufacturer "Empire" desc "Crossfire (Empire) (MPU4, set 1)" devices ())
(name "m4crfirea" year "199?" manufacturer "Empire" desc "Crossfire (Empire) (MPU4, set 2)" devices ())
(name "m4crjwl" year "199?" manufacturer "Barcrest" desc "Crown Jewels Club (Barcrest) (MPU4) (CJC 1.5, set 1)" devices ())
(name "m4crjwl2" year "199?" manufacturer "Barcrest" desc "Crown Jewels Mk II Club (Barcrest) (MPU4) (CJ2 1.4, set 1)" devices ())
(name "m4crjwl2a" year "199?" manufacturer "Barcrest" desc "Crown Jewels Mk II Club (Barcrest) (MPU4) (CJ2 1.4, set 2)" devices ())
(name "m4crjwl2b" year "199?" manufacturer "Barcrest" desc "Crown Jewels Mk II Club (Barcrest) (MPU4) (CJ2 1.4, set 3)" devices ())
(name "m4crjwla" year "199?" manufacturer "Barcrest" desc "Crown Jewels Club (Barcrest) (MPU4) (CJC 1.5, set 2)" devices ())
(name "m4crjwlb" year "199?" manufacturer "Barcrest" desc "Crown Jewels Club (Barcrest) (MPU4) (CJC 1.5, set 3)" devices ())
(name "m4crjwlc" year "199?" manufacturer "Barcrest" desc "Crown Jewels Club (Barcrest) (MPU4) (CJN 0.2)" devices ())
(name "m4crkpot" year "199?" manufacturer "Barcrest" desc "Crackpot 100 Club (Barcrest) (MPU4) (C1P 1.2)" devices ())
(name "m4crkpota" year "199?" manufacturer "Barcrest" desc "Crackpot 100 Club (Barcrest) (MPU4) (CP 3.8)" devices ())
(name "m4crkpotb" year "199?" manufacturer "Barcrest" desc "Crackpot 100 Club (Barcrest) (MPU4) (CP 3.1)" devices ())
(name "m4crmaze" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0)" devices ())
(name "m4crmaze__c" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 2.3)" devices ())
(name "m4crmaze__d" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 AD)" devices ())
(name "m4crmaze__e" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 B)" devices ())
(name "m4crmaze__f" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 BD)" devices ())
(name "m4crmaze__g" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 C)" devices ())
(name "m4crmaze__h" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 D)" devices ())
(name "m4crmaze__i" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 KD)" devices ())
(name "m4crmaze__j" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 YD)" devices ())
(name "m4crmaze__k" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 K)" devices ())
(name "m4crmaze__l" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0 Y)" devices ())
(name "m4crmaze__m" year "1993" manufacturer "hack?" desc "The Crystal Maze (Barcrest) (MPU4) (CRM 3.0, hack?)" devices ())
(name "m4crmaze__n" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CRC 0.7, hack?)" devices ())
(name "m4crmaze__o" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CR5 1.0, hack?)" devices ())
(name "m4crmaze__p" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CRC 1.3, hack?)" devices ())
(name "m4crmaze__q" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CR5 2.0, hack?, set 1)" devices ())
(name "m4crmaze__r" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CR5 2.0, hack?, set 2)" devices ())
(name "m4crmaze__s" year "199?" manufacturer "Bwb / hack?" desc "The Crystal Maze (BWB / Barcrest) (MPU4) (CR8 1.2, hack?)" devices ())
(name "m4crzbn" year "199?" manufacturer "Union" desc "Crazy Bingo (Union) (MPU4)" devices ())
(name "m4crzcap" year "199?" manufacturer "Empire" desc "Crazy Capers (Empire) (MPU4, set 1)" devices ())
(name "m4crzcapa" year "199?" manufacturer "Empire" desc "Crazy Capers (Empire) (MPU4, set 2)" devices ())
(name "m4crzcapb" year "199?" manufacturer "Empire" desc "Crazy Capers (Empire) (MPU4, set 3)" devices ())
(name "m4crzcapc" year "199?" manufacturer "Empire" desc "Crazy Capers (Empire) (MPU4, set 4)" devices ())
(name "m4crzcav" year "199?" manufacturer "Nova" desc "Crazy Cavern (Nova) (MPU4) (GCV 0.5)" devices ())
(name "m4crzcl" year "199?" manufacturer "Crystal" desc "Crazy Climber Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4crzcla" year "199?" manufacturer "Crystal" desc "Crazy Climber Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4crzclb" year "199?" manufacturer "Crystal" desc "Crazy Climber Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4crzclc" year "199?" manufacturer "Crystal" desc "Crazy Climber Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4crzcld" year "199?" manufacturer "Crystal" desc "Crazy Climber Club (Crystal) (MPU4) (set 5)" devices ())
(name "m4crzcsn" year "199?" manufacturer "Nova" desc "Crazy Casino (Nova) (German) (MPU4) (CRZ 0.3)" devices ())
(name "m4crzjk" year "199?" manufacturer "Nova?" desc "Crazy Jokers (Nova?) (MPU4)" devices ())
(name "m4crzjwl" year "199?" manufacturer "Barcrest" desc "Crown Jewels (Barcrest) (German) (MPU4) (GCN 1.1)" devices ())
(name "m4crzjwla" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 0.9, set 1)" devices ())
(name "m4crzjwlb" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 0.9, set 4)" devices ())
(name "m4crzjwlc" year "199?" manufacturer "Barcrest" desc "Crown Jewels (Barcrest) (German) (MPU4) (GCN 0.9)" devices ())
(name "m4crzjwld" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 1.1, set 2)" devices ())
(name "m4crzjwle" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 1.1, set 1)" devices ())
(name "m4crzjwlf" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 0.9, set 2)" devices ())
(name "m4crzjwlg" year "199?" manufacturer "bootleg" desc "Crown Jewels (Barcrest) (bootleg) (German) (MPU4) (GCN 0.9, set 3)" devices ())
(name "m4cshenc" year "199?" manufacturer "BWB" desc "Cash Encounters (Barcrest) (MPU4) (CA_ 5.0 C)" devices ())
(name "m4cshenc__a" year "199?" manufacturer "BWB" desc "Cash Encounters (Barcrest) (MPU4) (CA_ 5.0 YCD)" devices ())
(name "m4cshenc__b" year "199?" manufacturer "BWB" desc "Cash Encounters (Barcrest) (MPU4) (CA_ 5.0 CD)" devices ())
(name "m4cshenc__c" year "199?" manufacturer "BWB" desc "Cash Encounters (Barcrest) (MPU4) (CA_ 5.0 CK)" devices ())
(name "m4cshenc__d" year "199?" manufacturer "BWB" desc "Cash Encounters (Barcrest) (MPU4) (CA_ 5.0 BC)" devices ())
(name "m4cshino" year "199?" manufacturer "Pcp" desc "Cashino Deluxe (Pcp) (MPU4)" devices ())
(name "m4csoc" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £10/£15 jackpot) (set 1)" devices ())
(name "m4csoc__a" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £10/£15 jackpot) (set 2)" devices ())
(name "m4csoc__b" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £10/£15 jackpot) (set 3)" devices ())
(name "m4csoc__c" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4csoc__d" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4csoc__e" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 3)" devices ())
(name "m4csoc__f" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 4)" devices ())
(name "m4csoc__g" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10p stake / £5 jackpot) (set 1)" devices ())
(name "m4csoc__h" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (5/10p stake / £5 jackpot) (set 2)" devices ())
(name "m4csoc__i" year "199?" manufacturer "BWB" desc "Championship Soccer (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot)" devices ())
(name "m4csoc__j" year "199?" manufacturer "hack" desc "Championship Soccer (BWB) (MPU4) (5/10/20/25/30p stake / £8 jackpot, 20/25/30p stake / £15 jackpot) (hack)" devices ())
(name "m4cstrik" year "199?" manufacturer "Empire" desc "Cash Strike (Empire) (MPU4, set 1)" devices ())
(name "m4cstrika" year "199?" manufacturer "Empire" desc "Cash Strike (Empire) (MPU4, set 2)" devices ())
(name "m4cstrikb" year "199?" manufacturer "Empire" desc "Cash Strike (Empire) (MPU4, set 3)" devices ())
(name "m4cstrikc" year "199?" manufacturer "Empire" desc "Cash Strike (Empire) (MPU4, set 4)" devices ())
(name "m4ctn" year "199?" manufacturer "Mdm?" desc "Tuppenny Nudger Classic (Mdm?) (MPU4)" devices ())
(name "m4cwalk" year "199?" manufacturer "Union" desc "Cake Walk (Union) (MPU4)" devices ())
(name "m4czne" year "199?" manufacturer "bootleg?" desc "Cash Zone (bootleg) (MPU4) (CAZ 1.5)" devices ())
(name "m4danced" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 1)" devices ())
(name "m4danced__a" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 2)" devices ())
(name "m4danced__b" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 3)" devices ())
(name "m4danced__c" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 4)" devices ())
(name "m4danced__d" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 5)" devices ())
(name "m4danced__e" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 6)" devices ())
(name "m4danced__f" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 7)" devices ())
(name "m4danced__g" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 8)" devices ())
(name "m4danced__h" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 9)" devices ())
(name "m4danced__i" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 10)" devices ())
(name "m4danced__j" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 11)" devices ())
(name "m4danced__k" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 12)" devices ())
(name "m4danced__l" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 13)" devices ())
(name "m4danced__m" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 14)" devices ())
(name "m4danced__n" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 15)" devices ())
(name "m4danced__o" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 16)" devices ())
(name "m4danced__p" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 17)" devices ())
(name "m4danced__q" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 18)" devices ())
(name "m4danced__r" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 19)" devices ())
(name "m4danced__s" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 20)" devices ())
(name "m4danced__t" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 21)" devices ())
(name "m4danced__u" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 22)" devices ())
(name "m4danced__v" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 23)" devices ())
(name "m4danced__w" year "199?" manufacturer "BWB" desc "Dancing Diamonds (BWB) (MPU4) (set 24)" devices ())
(name "m4daytn" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 1)" devices ())
(name "m4daytn__a" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 2)" devices ())
(name "m4daytn__b" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 3)" devices ())
(name "m4daytn__c" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 4)" devices ())
(name "m4daytn__d" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 5)" devices ())
(name "m4daytn__e" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 6)" devices ())
(name "m4daytn__f" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 7)" devices ())
(name "m4daytn__g" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 8)" devices ())
(name "m4daytn__h" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 9)" devices ())
(name "m4daytn__i" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 10)" devices ())
(name "m4daytn__j" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 11)" devices ())
(name "m4daytn__k" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 12)" devices ())
(name "m4daytn__l" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 13)" devices ())
(name "m4daytn__m" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 14)" devices ())
(name "m4daytn__n" year "199?" manufacturer "BWB" desc "Daytona (BWB) (MPU4) (set 15)" devices ())
(name "m4dbl9" year "199?" manufacturer "Barcrest" desc "Double 9's (Barcrest) (MPU4) (DU9 1.0)" devices ())
(name "m4dbl9a" year "199?" manufacturer "bootleg" desc "Double 9's (Barcrest) (bootleg) (MPU4) (DU9 0.2)" devices ())
(name "m4dblchn" year "199?" manufacturer "DJE" desc "Double Chance (DJE) (MPU4)" devices ())
(name "m4dbldm" year "199?" manufacturer "Barcrest" desc "Double Diamond Club (Barcrest) (MPU4) (CDD 0.5)" devices ())
(name "m4dbldm__a" year "199?" manufacturer "Barcrest" desc "Double Diamond Club (Barcrest) (MPU4) (CDD 0.5 D)" devices ())
(name "m4dbldm__b" year "199?" manufacturer "Barcrest" desc "Double Diamond Club (Barcrest) (MPU4) (CDD 0.5 F)" devices ())
(name "m4dbldm__c" year "199?" manufacturer "Barcrest" desc "Double Diamond Club (Barcrest) (MPU4) (CDD 0.1 TD)" devices ())
(name "m4dblup" year "199?" manufacturer "Barcrest" desc "Double Up (Barcrest) (MPU4) (DU 1.5)" devices ())
(name "m4dcrls" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 1)" devices ())
(name "m4dcrls__a" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 2)" devices ())
(name "m4dcrls__b" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 3)" devices ())
(name "m4dcrls__c" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 4)" devices ())
(name "m4dcrls__d" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 5)" devices ())
(name "m4dcrls__e" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 6)" devices ())
(name "m4dcrls__f" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 7)" devices ())
(name "m4dcrls__g" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 8)" devices ())
(name "m4dcrls__h" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 9)" devices ())
(name "m4dcrls__i" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 10)" devices ())
(name "m4dcrls__j" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 11)" devices ())
(name "m4dcrls__k" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 12)" devices ())
(name "m4dcrls__l" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 13)" devices ())
(name "m4dcrls__m" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 14)" devices ())
(name "m4dcrls__n" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 15)" devices ())
(name "m4dcrls__o" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 16)" devices ())
(name "m4dcrls__p" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 17)" devices ())
(name "m4dcrls__q" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 18)" devices ())
(name "m4dcrls__r" year "199?" manufacturer "Qps" desc "Double Crazy Reels (Qps) (MPU4) (set 19)" devices ())
(name "m4ddb" year "199?" manufacturer "Coinworld" desc "Ding Dong Bells (Coinworld) (MPU4) (set 1)" devices ())
(name "m4ddba" year "199?" manufacturer "Coinworld" desc "Ding Dong Bells (Coinworld) (MPU4) (set 2)" devices ())
(name "m4denmen" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2)" devices ())
(name "m4denmen_h1" year "199?" manufacturer "hack" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1, hack?)" devices ())
(name "m4denmen_h2" year "199?" manufacturer "hack" desc "Dennis The Menace (Barcrest) (MPU4) (V1 0.1, hack, set 1)" devices ())
(name "m4denmen_h3" year "199?" manufacturer "hack" desc "Dennis The Menace (Barcrest) (MPU4) (V1 0.1, hack, set 2)" devices ())
(name "m4denmend5" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1)" devices ())
(name "m4denmend5ad" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 AD)" devices ())
(name "m4denmend5b" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 B)" devices ())
(name "m4denmend5bd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 BD)" devices ())
(name "m4denmend5d" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 D)" devices ())
(name "m4denmend5k" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 K)" devices ())
(name "m4denmend5kd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 KD)" devices ())
(name "m4denmend5y" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 Y)" devices ())
(name "m4denmend5yd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM5 0.1 YD)" devices ())
(name "m4denmend8" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1)" devices ())
(name "m4denmend8c" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1 C)" devices ())
(name "m4denmend8d" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1 D)" devices ())
(name "m4denmend8k" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1 K)" devices ())
(name "m4denmend8y" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1 Y)" devices ())
(name "m4denmend8yd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DM8 0.1 YD)" devices ())
(name "m4denmendnb" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2 B)" devices ())
(name "m4denmendnc" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2 C)" devices ())
(name "m4denmendnd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2 D)" devices ())
(name "m4denmendnk" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2 K)" devices ())
(name "m4denmendny" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DEN 1.2 Y)" devices ())
(name "m4denmendt" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1)" devices ())
(name "m4denmendtad" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 AD)" devices ())
(name "m4denmendtb" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 B)" devices ())
(name "m4denmendtbd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 BD)" devices ())
(name "m4denmendtd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 D)" devices ())
(name "m4denmendtk" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 K)" devices ())
(name "m4denmendtkd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 KD)" devices ())
(name "m4denmendty" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 Y)" devices ())
(name "m4denmendtyd" year "199?" manufacturer "Barcrest" desc "Dennis The Menace (Barcrest) (MPU4) (DMT 0.1 YD)" devices ())
(name "m4dnj" year "199?" manufacturer "Cotswold Microsystems" desc "Double Nudge (Cotswold Microsystems) (MPU4) (set 1)" devices ())
(name "m4dnja" year "199?" manufacturer "Cotswold Microsystems" desc "Double Nudge (Cotswold Microsystems) (MPU4) (set 2)" devices ())
(name "m4dnjb" year "199?" manufacturer "Cotswold Microsystems" desc "Double Nudge (Cotswold Microsystems) (MPU4) (set 3)" devices ())
(name "m4drac" year "199?" manufacturer "Barcrest" desc "Dracula (Barcrest - Nova) (German) (MPU4) (DRA 2.1)" devices ())
(name "m4draca" year "199?" manufacturer "Barcrest" desc "Dracula (Barcrest - Nova) (German) (MPU4) (DRA 2.4)" devices ())
(name "m4dracb" year "199?" manufacturer "Barcrest" desc "Dracula (Barcrest - Nova) (German) (MPU4) (DRA 2.7)" devices ())
(name "m4dragon" year "199?" manufacturer "Nova" desc "Dragon (Nova) (MPU4) (DGL 0.1)" devices ())
(name "m4dtyfre" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DUT 0.4)" devices ())
(name "m4dtyfre_h1" year "199?" manufacturer "hack?" desc "Duty Free (BWB / Barcrest) (MPU4) (DF4 4.1, hack?)" devices ())
(name "m4dtyfre_h2" year "199?" manufacturer "hack?" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1, hack?)" devices ())
(name "m4dtyfrebwb" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF10 4.3, set 1)" devices ())
(name "m4dtyfrebwb_a" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF10 4.3, set 2)" devices ())
(name "m4dtyfrebwb_b" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF8 4.2)" devices ())
(name "m4dtyfrebwb_c" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF8 2.2, set 1)" devices ())
(name "m4dtyfrebwb_d" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF8 2.2, set 2)" devices ())
(name "m4dtyfrebwb_e" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF4 4.1)" devices ())
(name "m4dtyfrebwb_f" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF4 2.1)" devices ())
(name "m4dtyfrebwb_g" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DF4 1.1)" devices ())
(name "m4dtyfrebwb_h" year "1996" manufacturer "BWB" desc "Duty Free (BWB / Barcrest) (MPU4) (DFC 2.3)" devices ())
(name "m4dtyfref5" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3)" devices ())
(name "m4dtyfref5ad" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 AD)" devices ())
(name "m4dtyfref5b" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 B)" devices ())
(name "m4dtyfref5bd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 BD)" devices ())
(name "m4dtyfref5d" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 D)" devices ())
(name "m4dtyfref5k" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 K)" devices ())
(name "m4dtyfref5kd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 KD)" devices ())
(name "m4dtyfref5r" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 R)" devices ())
(name "m4dtyfref5rd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 RD)" devices ())
(name "m4dtyfref5y" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 Y)" devices ())
(name "m4dtyfref5yd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF5 0.3 YD)" devices ())
(name "m4dtyfref8" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1)" devices ())
(name "m4dtyfref8c" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1 C)" devices ())
(name "m4dtyfref8d" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1 D)" devices ())
(name "m4dtyfref8k" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1 K)" devices ())
(name "m4dtyfref8y" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1 Y)" devices ())
(name "m4dtyfref8yd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DF8 0.1 YD)" devices ())
(name "m4dtyfreft" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1)" devices ())
(name "m4dtyfreftad" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 AD)" devices ())
(name "m4dtyfreftb" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 B)" devices ())
(name "m4dtyfreftbd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 BD)" devices ())
(name "m4dtyfreftd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 D)" devices ())
(name "m4dtyfreftk" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 K)" devices ())
(name "m4dtyfreftkd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 KD)" devices ())
(name "m4dtyfrefty" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 Y)" devices ())
(name "m4dtyfreftyd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DFT 0.1 YD)" devices ())
(name "m4dtyfreutb" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DUT 0.4 B)" devices ())
(name "m4dtyfreutc" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (DUT 0.4 C)" devices ())
(name "m4dtyfrexd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2)" devices ())
(name "m4dtyfrexd_a" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.1)" devices ())
(name "m4dtyfrexdad" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 AD)" devices ())
(name "m4dtyfrexdb" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 B)" devices ())
(name "m4dtyfrexdbd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 BD)" devices ())
(name "m4dtyfrexdc" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 C)" devices ())
(name "m4dtyfrexdd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 D)" devices ())
(name "m4dtyfrexdk" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 K)" devices ())
(name "m4dtyfrexdkd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 KD)" devices ())
(name "m4dtyfrexdr" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 R)" devices ())
(name "m4dtyfrexdrd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 RD)" devices ())
(name "m4dtyfrexdy" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 Y)" devices ())
(name "m4dtyfrexdyd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XD5 0.2 YD)" devices ())
(name "m4dtyfrexf" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1)" devices ())
(name "m4dtyfrexfad" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 AD)" devices ())
(name "m4dtyfrexfb" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 B)" devices ())
(name "m4dtyfrexfbd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 BD)" devices ())
(name "m4dtyfrexfc" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 C)" devices ())
(name "m4dtyfrexfd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 D)" devices ())
(name "m4dtyfrexfk" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 K)" devices ())
(name "m4dtyfrexfkd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 KD)" devices ())
(name "m4dtyfrexfr" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 R)" devices ())
(name "m4dtyfrexfrd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 RD)" devices ())
(name "m4dtyfrexfy" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 Y)" devices ())
(name "m4dtyfrexfyd" year "1993" manufacturer "Barcrest" desc "Duty Free (Barcrest) (MPU4) (XFT 0.1 YD)" devices ())
(name "m4dz" year "199?" manufacturer "Crystal" desc "Danger Zone (Crystal) (MPU4)" devices ())
(name "m4eaw" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2)" devices ())
(name "m4eaw51" year "1991" manufacturer "J.A. Brown" desc "Everyone's A Winner (J.A. Brown) (MPU4) (EAW 5.1)" devices ())
(name "m4eaw__0" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 D / ER4 0.1)" devices ())
(name "m4eaw__1" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 KD / ER4 0.1)" devices ())
(name "m4eaw__2" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 RD / ER4 0.1)" devices ())
(name "m4eaw__3" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 YD / ER4 0.1)" devices ())
(name "m4eaw__4" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 K / ER4 0.1)" devices ())
(name "m4eaw__5" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 R / ER4 0.1)" devices ())
(name "m4eaw__6" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 / ER4 0.1)" devices ())
(name "m4eaw__7" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 Y / ER4 0.1)" devices ())
(name "m4eaw__8" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 AD / ER4 0.1)" devices ())
(name "m4eaw__9" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 B / ER4 0.1)" devices ())
(name "m4eaw__a" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 AD / ER4 0.3)" devices ())
(name "m4eaw__a0" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 YD)" devices ())
(name "m4eaw__a1" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 K)" devices ())
(name "m4eaw__a2" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 Y)" devices ())
(name "m4eaw__a3" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 AD)" devices ())
(name "m4eaw__a4" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 B)" devices ())
(name "m4eaw__a5" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 C)" devices ())
(name "m4eaw__a6" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 KD)" devices ())
(name "m4eaw__a7" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 YD)" devices ())
(name "m4eaw__a8" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 K)" devices ())
(name "m4eaw__a9" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1)" devices ())
(name "m4eaw__aa" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 BD / ER4 0.1)" devices ())
(name "m4eaw__ab" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 C / ER4 0.1)" devices ())
(name "m4eaw__ac" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 D / ER4 0.1)" devices ())
(name "m4eaw__ad" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 KD / ER4 0.1)" devices ())
(name "m4eaw__ae" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 RD / ER4 0.1)" devices ())
(name "m4eaw__af" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 YD / ER4 0.1)" devices ())
(name "m4eaw__ag" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 K / ER4 0.1)" devices ())
(name "m4eaw__ah" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 R / ER4 0.1)" devices ())
(name "m4eaw__ai" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 / ER4 0.1)" devices ())
(name "m4eaw__aj" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EON 0.1 Y / ER4 0.1)" devices ())
(name "m4eaw__ak" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 AD)" devices ())
(name "m4eaw__al" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 B)" devices ())
(name "m4eaw__am" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 BD)" devices ())
(name "m4eaw__an" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 D)" devices ())
(name "m4eaw__ao" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 KD)" devices ())
(name "m4eaw__ap" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 RD)" devices ())
(name "m4eaw__aq" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 YD)" devices ())
(name "m4eaw__ar" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 K)" devices ())
(name "m4eaw__as" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 R)" devices ())
(name "m4eaw__at" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1)" devices ())
(name "m4eaw__au" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER2 0.1 Y)" devices ())
(name "m4eaw__av" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 AD)" devices ())
(name "m4eaw__aw" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 B)" devices ())
(name "m4eaw__ax" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 BD)" devices ())
(name "m4eaw__ay" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 D)" devices ())
(name "m4eaw__az" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER4 0.2 KD)" devices ())
(name "m4eaw__b" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 B / ER4 0.3)" devices ())
(name "m4eaw__ba" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ER8 0.1 Y)" devices ())
(name "m4eaw__bb" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 AD)" devices ())
(name "m4eaw__bc" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 B)" devices ())
(name "m4eaw__bd" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 BD)" devices ())
(name "m4eaw__be" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 D)" devices ())
(name "m4eaw__bf" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 KD)" devices ())
(name "m4eaw__bg" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 RD)" devices ())
(name "m4eaw__bh" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 YD)" devices ())
(name "m4eaw__bi" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 K)" devices ())
(name "m4eaw__bj" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 R)" devices ())
(name "m4eaw__bk" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2)" devices ())
(name "m4eaw__bl" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ERT 0.2 Y)" devices ())
(name "m4eaw__bm" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 AD / ER4 0.1)" devices ())
(name "m4eaw__bn" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 B / ER4 0.1)" devices ())
(name "m4eaw__bo" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 BD / ER4 0.1)" devices ())
(name "m4eaw__bp" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 C / ER4 0.1)" devices ())
(name "m4eaw__bq" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 D / ER4 0.1)" devices ())
(name "m4eaw__br" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 KD / ER4 0.1)" devices ())
(name "m4eaw__bs" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 RD / ER4 0.1)" devices ())
(name "m4eaw__bt" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 YD / ER4 0.1)" devices ())
(name "m4eaw__bu" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 K / ER4 0.1)" devices ())
(name "m4eaw__bv" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 R / ER4 0.1)" devices ())
(name "m4eaw__bw" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 / ER4 0.1)" devices ())
(name "m4eaw__bx" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (EUN 0.1 Y / ER4 0.1)" devices ())
(name "m4eaw__c" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 BD / ER4 0.3)" devices ())
(name "m4eaw__d" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 D / ER4 0.3)" devices ())
(name "m4eaw__e" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 KD / ER4 0.3)" devices ())
(name "m4eaw__f" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 RD / ER4 0.3)" devices ())
(name "m4eaw__g" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 YD / ER4 0.3)" devices ())
(name "m4eaw__h" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 K / ER4 0.3)" devices ())
(name "m4eaw__i" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 R / ER4 0.3)" devices ())
(name "m4eaw__j" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 / ER4 0.3)" devices ())
(name "m4eaw__k" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CET 0.3 Y / ER4 0.3)" devices ())
(name "m4eaw__l" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 AD / ER4 0.2)" devices ())
(name "m4eaw__m" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 B / ER4 0.2)" devices ())
(name "m4eaw__n" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 BD / ER4 0.2)" devices ())
(name "m4eaw__o" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 D / ER4 0.2)" devices ())
(name "m4eaw__p" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 KD / ER4 0.2)" devices ())
(name "m4eaw__q" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 RD / ER4 0.2)" devices ())
(name "m4eaw__r" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 YD / ER4 0.2)" devices ())
(name "m4eaw__s" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 K / ER4 0.2)" devices ())
(name "m4eaw__t" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 R/ ER4 0.2)" devices ())
(name "m4eaw__u" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 / ER4 0.2)" devices ())
(name "m4eaw__v" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (CEU 0.2 Y / ER4 0.2)" devices ())
(name "m4eaw__w" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 AD / ER4 0.1)" devices ())
(name "m4eaw__x" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 B / ER4 0.1)" devices ())
(name "m4eaw__y" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 BD / ER4 0.1)" devices ())
(name "m4eaw__z" year "199?" manufacturer "Barcrest" desc "Everyone's A Winner (Barcrest) (MPU4) (ENN 0.1 C / ER4 0.1)" devices ())
(name "m4eezee" year "199?" manufacturer "Union" desc "Eezee Fruits (Union) (MPU4)" devices ())
(name "m4eighth" year "199?" manufacturer "Barcrest" desc "Eighth Wonder (Barcrest) (MPU4) (WON 2.2)" devices ())
(name "m4eightha" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 1)" devices ())
(name "m4eighthb" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 2)" devices ())
(name "m4eighthc" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 3)" devices ())
(name "m4eighthd" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 4, bad?)" devices ())
(name "m4eighthe" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 5)" devices ())
(name "m4eighthf" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 6)" devices ())
(name "m4eighthg" year "199?" manufacturer "BWB" desc "Eighth Wonder (Barcrest) (MPU4) (BEW 0.3, set 7)" devices ())
(name "m4elitc" year "199?" manufacturer "Crystal" desc "Elite Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4elitca" year "199?" manufacturer "Crystal" desc "Elite Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4elite" year "199?" manufacturer "Barcrest" desc "Elite (Barcrest) (MPU4 w/ Plasma DMD?)" devices ())
(name "m4esctbg" year "1994" manufacturer "Vifico" desc "Escalera Tobogan (Spain) (MPU4) (ESC1, set 1)" devices ())
(name "m4esctbga" year "1994" manufacturer "Vifico" desc "Escalera Tobogan (Spain) (MPU4) (ESC1, set 2)" devices ())
(name "m4esctbgb" year "1994" manufacturer "Vifico" desc "Escalera Tobogan (Spain) (MPU4) (ESC1, set 3)" devices ())
(name "m4eureka" year "199?" manufacturer "Empire" desc "Eureka (Empire) (MPU4, set 1)" devices ())
(name "m4eurekaa" year "199?" manufacturer "Empire" desc "Eureka (Empire) (MPU4, set 2)" devices ())
(name "m4eurekab" year "199?" manufacturer "Empire" desc "Eureka (Empire) (MPU4, set 3)" devices ())
(name "m4ewshft" year "199?" manufacturer "Mdm" desc "Each Way Shifter (Mdm) (MPU4)" devices ())
(name "m4excal" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 1)" devices ())
(name "m4excal__a" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 2)" devices ())
(name "m4excal__b" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 3)" devices ())
(name "m4excal__c" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 4)" devices ())
(name "m4excal__d" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 5)" devices ())
(name "m4excal__e" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 6)" devices ())
(name "m4excal__f" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 7)" devices ())
(name "m4excal__g" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 8)" devices ())
(name "m4excal__h" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 9)" devices ())
(name "m4excal__i" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 10)" devices ())
(name "m4excal__j" year "199?" manufacturer "BWB" desc "Excalibur (BWB) (MPU4) (set 11)" devices ())
(name "m4excaln" year "199?" manufacturer "BWB" desc "Excalibur (Nova) (MPU4) (set 1)" devices ())
(name "m4excaln__a" year "199?" manufacturer "BWB" desc "Excalibur (Nova) (MPU4) (set 2)" devices ())
(name "m4excam" year "199?" manufacturer "Mdm" desc "Excalibur (Mdm) (MPU4, V1.4)" devices ())
(name "m4excamd" year "199?" manufacturer "Mdm" desc "Excalibur (Mdm) (MPU4, V1.0D)" devices ())
(name "m4exgam" year "199?" manufacturer "Barcrest" desc "Extra Game (Fairplay - Barcrest) (MPU4) (CEG 2.0)" devices ())
(name "m4exlin" year "199?" manufacturer "Pcp" desc "Extra Lines (Pcp) (MPU4) (set 1)" devices ())
(name "m4exlina" year "199?" manufacturer "Pcp" desc "Extra Lines (Pcp) (MPU4) (set 2)" devices ())
(name "m4exotic" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (30p stake / £15 jackpot) (set 1)" devices ())
(name "m4exotic__a" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (30p stake / £15 jackpot) (set 2)" devices ())
(name "m4exotic__b" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (30p stake / £15 jackpot) (set 3)" devices ())
(name "m4exotic__c" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (30p stake / £15 jackpot) (set 4)" devices ())
(name "m4exotic__d" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4exotic__e" year "199?" manufacturer "BWB" desc "Exotic Fruits (BWB) (MPU4) (20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4exprs" year "199?" manufacturer "Barcrest" desc "Express (Barcrest) (Dutch) (MPU4) (DXP 2.0)" devices ())
(name "m4fairg" year "199?" manufacturer "Crystal" desc "Fairground (Crystal) (MPU4)" devices ())
(name "m4fastfw" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 1)" devices ())
(name "m4fastfw__a" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 2)" devices ())
(name "m4fastfw__b" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 3)" devices ())
(name "m4fastfw__c" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 4)" devices ())
(name "m4fastfw__d" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 5)" devices ())
(name "m4fastfw__e" year "199?" manufacturer "Bwb / Barcrest" desc "Fast Forward (Barcrest) (MPU4) (SFF 3.0, set 6)" devices ())
(name "m4fastfw__f" year "199?" manufacturer "hack" desc "Fast Forward (Barcrest) (MPU4) (FFD 1.0, hack)" devices ())
(name "m4firebl" year "199?" manufacturer "Mdm" desc "Fireball (Mdm) (MPU4, set 1)" devices ())
(name "m4firebla" year "199?" manufacturer "Mdm" desc "Fireball (Mdm) (MPU4, set 2)" devices ())
(name "m4fireblb" year "199?" manufacturer "Mdm" desc "Fireball (Mdm) (MPU4, set 3)" devices ())
(name "m4fireblc" year "199?" manufacturer "Mdm" desc "Fireball (Mdm) (MPU4, set 4)" devices ())
(name "m4firebld" year "199?" manufacturer "Mdm" desc "Fireball (Mdm) (MPU4, set 5)" devices ())
(name "m4firice" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 1)" devices ())
(name "m4firice__a" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 2)" devices ())
(name "m4firice__b" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 3)" devices ())
(name "m4firice__c" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 4)" devices ())
(name "m4firice__d" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 5)" devices ())
(name "m4firice__e" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20p stake / £8 token jackpot) (set 6)" devices ())
(name "m4firice__f" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 1)" devices ())
(name "m4firice__g" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 2)" devices ())
(name "m4firice__h" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 3)" devices ())
(name "m4firice__i" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 4)" devices ())
(name "m4firice__j" year "199?" manufacturer "BWB" desc "Fire & Ice (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 5)" devices ())
(name "m4flash" year "199?" manufacturer "Barcrest" desc "Flash Cash (Barcrest) (MPU4, FC 1.0)" devices ())
(name "m4flshlt" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 1)" devices ())
(name "m4flshlta" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (BFL 0.5)" devices ())
(name "m4flshltb" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 2)" devices ())
(name "m4flshltc" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 3)" devices ())
(name "m4flshltd" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 4)" devices ())
(name "m4flshlte" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 5)" devices ())
(name "m4flshltf" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 6)" devices ())
(name "m4flshltg" year "199?" manufacturer "BWB" desc "Flashlite (BWB) (MPU4) (FLT 1.0, set 7)" devices ())
(name "m4fortcb" year "199?" manufacturer "Barcrest" desc "Fortune Club (Barcrest) (MPU4) (CFO 1.2, set 1)" devices ())
(name "m4fortcba" year "199?" manufacturer "Barcrest" desc "Fortune Club (Barcrest) (MPU4) (CFO 1.2, set 2)" devices ())
(name "m4fortcbb" year "199?" manufacturer "Barcrest" desc "Fortune Club (Barcrest) (MPU4) (CFO 1.2, set 3)" devices ())
(name "m4fourmr" year "1990" manufacturer "BWB" desc "Four More (BWB) (MPU4)" devices ())
(name "m4frcrak" year "199?" manufacturer "Pcp" desc "Fruit Cracker (Pcp) (MPU4)" devices ())
(name "m4frdrop" year "199?" manufacturer "Union" desc "Fruit Drop (Union) (MPU4)" devices ())
(name "m4fright" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v4.1X)" devices ())
(name "m4frighta" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v4.1)" devices ())
(name "m4frightb" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v4.1i)" devices ())
(name "m4frightc" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v?.?, set 1)" devices ())
(name "m4frightd" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v3.3)" devices ())
(name "m4frighte" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v3.0)" devices ())
(name "m4frightf" year "199?" manufacturer "Empire" desc "Fright Night (Empire) (MPU4, v?.?, set 2)" devices ())
(name "m4frkstn" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 1)" devices ())
(name "m4frkstna" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 2)" devices ())
(name "m4frkstnb" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 3)" devices ())
(name "m4frkstnc" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 4)" devices ())
(name "m4frkstnd" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 5)" devices ())
(name "m4frkstne" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 6)" devices ())
(name "m4frkstnf" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 7)" devices ())
(name "m4frkstng" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 8)" devices ())
(name "m4frkstnh" year "199?" manufacturer "Crystal" desc "Frank 'n' Stein (Crystal) (MPU4, set 9)" devices ())
(name "m4frmani" year "199?" manufacturer "Crystal" desc "Fruit Mania (Crystal) (MPU4) (set 1)" devices ())
(name "m4frmania" year "199?" manufacturer "Crystal" desc "Fruit Mania (Crystal) (MPU4) (set 2)" devices ())
(name "m4frmanib" year "199?" manufacturer "Crystal" desc "Fruit Mania (Crystal) (MPU4) (set 3)" devices ())
(name "m4frmanic" year "199?" manufacturer "Crystal" desc "Fruit Mania (Crystal) (MPU4) (set 4)" devices ())
(name "m4frmtx" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 1)" devices ())
(name "m4frmtx__a" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 2)" devices ())
(name "m4frmtx__b" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 3)" devices ())
(name "m4frmtx__c" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 4)" devices ())
(name "m4frmtx__d" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 5)" devices ())
(name "m4frmtx__e" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 6)" devices ())
(name "m4frmtx__f" year "199?" manufacturer "Avantime?" desc "Fruit Matrix (Avantime?) (MPU4) (set 7)" devices ())
(name "m4frnudg" year "199?" manufacturer "Avantime?" desc "Fruit & Nudge (Avantime?) (MPU4) (set 1)" devices ())
(name "m4frnudg__a" year "199?" manufacturer "Avantime?" desc "Fruit & Nudge (Avantime?) (MPU4) (set 2)" devices ())
(name "m4frnudg__b" year "199?" manufacturer "Avantime?" desc "Fruit & Nudge (Avantime?) (MPU4) (set 3)" devices ())
(name "m4frnudg__c" year "199?" manufacturer "Avantime?" desc "Fruit & Nudge (Avantime?) (MPU4) (set 4)" devices ())
(name "m4front" year "199?" manufacturer "Mdm" desc "Final Frontier (Mdm) (MPU4)" devices ())
(name "m4frtfl" year "199?" manufacturer "Barcrest" desc "Fruit Full Club (Barcrest) (MPU4) (FFC 0.3)" devices ())
(name "m4frtfla" year "199?" manufacturer "Barcrest" desc "Fruit Full Club (Barcrest) (MPU4) (FFC 1.0)" devices ())
(name "m4frtflc" year "199?" manufacturer "Barcrest" desc "Fruit Full Club (Barcrest) (MPU4) (FFC 1.2)" devices ())
(name "m4frtgm" year "199?" manufacturer "Barcrest" desc "Fruit Game (Barcrest) (MPU4) (FRU 2.0)" devices ())
(name "m4frtlnk" year "199?" manufacturer "Barcrest" desc "Fruit Link Club (Barcrest) (MPU4) (FLC 1.8, set 1)" devices ())
(name "m4frtlnka" year "199?" manufacturer "Barcrest" desc "Fruit Link Club (Barcrest) (MPU4) (FLC 1.6, set 2)" devices ())
(name "m4frtprs" year "199?" manufacturer "Barcrest" desc "Fruit Preserve (Barcrest) (MPU4) (F4P 1.1, set 1)" devices ())
(name "m4frtprsa" year "199?" manufacturer "Barcrest" desc "Fruit Preserve (Barcrest) (MPU4) (F4P 1.1, set 2)" devices ())
(name "m4fsx" year "199?" manufacturer "AET/Coinworld" desc "Fun Spot X (MPU4?) (set 1)" devices ())
(name "m4fsxa" year "199?" manufacturer "AET/Coinworld" desc "Fun Spot X (MPU4?) (set 2)" devices ())
(name "m4fsxb" year "199?" manufacturer "AET/Coinworld" desc "Fun Spot X (MPU4?) (set 3)" devices ())
(name "m4ftladn" year "199?" manufacturer "BWB" desc "Find the Lady (Nova) (MPU4)" devices ())
(name "m4funh" year "198?" manufacturer "<unknown>" desc "Fun House (unknown) (MPU4)" devices ())
(name "m4gambal" year "199?" manufacturer "Barcrest" desc "Gamball (Barcrest) (MPU4) (GBB 2.0)" devices ())
(name "m4gambal__a" year "199?" manufacturer "Barcrest" desc "Gamball (Barcrest) (MPU4) (GAB 2.0, set 1)" devices ())
(name "m4gambal__b" year "199?" manufacturer "Barcrest" desc "Gamball (Barcrest) (MPU4) (GAB 2.0, set 2)" devices ())
(name "m4gambal__c" year "199?" manufacturer "Barcrest" desc "Gamball (Barcrest) (MPU4) (GAB 2.0, set 3)" devices ())
(name "m4gamblr" year "199?" manufacturer "Empire" desc "The Gambler (Empire) (MPU4, set 1)" devices ())
(name "m4gamblra" year "199?" manufacturer "Empire" desc "The Gambler (Empire) (MPU4, set 2)" devices ())
(name "m4gamblrb" year "199?" manufacturer "Empire" desc "The Gambler (Empire) (MPU4, set 3)" devices ())
(name "m4gb006" year "199?" manufacturer "Barcrest" desc "Games Bond 006 (Barcrest) (MPU4) (006 0.6)" devices ())
(name "m4gb006__a" year "199?" manufacturer "Barcrest" desc "Games Bond 006 (Barcrest) (MPU4) (006 0.6 D)" devices ())
(name "m4gb006__b" year "199?" manufacturer "Barcrest" desc "Games Bond 006 (Barcrest) (MPU4) (006 0.6 Y)" devices ())
(name "m4gb006__c" year "199?" manufacturer "Barcrest" desc "Games Bond 006 (Barcrest) (MPU4) (006 0.6 C)" devices ())
(name "m4gbust" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 5.0)" devices ())
(name "m4gbust__a" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0, 1994, set 2)" devices ())
(name "m4gbust__b" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0, 1994, set 1)" devices ())
(name "m4gbust__c" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, 1994)" devices ())
(name "m4gbust__d" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 4.0, set 1)" devices ())
(name "m4gbust__e" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 4.0, set 2)" devices ())
(name "m4gbust__f" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, set 1)" devices ())
(name "m4gbust__g" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 4.0 D)" devices ())
(name "m4gbust__h" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, set 4)" devices ())
(name "m4gbust__i" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, set 2)" devices ())
(name "m4gbust__j" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0, set 1)" devices ())
(name "m4gbust__k" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0 YD, set 1)" devices ())
(name "m4gbust__l" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 D, set 3)" devices ())
(name "m4gbust__m" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 D, set 1)" devices ())
(name "m4gbust__n" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0 D, set 1)" devices ())
(name "m4gbust__o" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, set 3)" devices ())
(name "m4gbust__p" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0, set 2)" devices ())
(name "m4gbust__q" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 YD, set 2)" devices ())
(name "m4gbust__r" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 YD, set 1)" devices ())
(name "m4gbust__s" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0 YD, set 2)" devices ())
(name "m4gbust__t" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 D, set 4)" devices ())
(name "m4gbust__u" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0 D, set 2)" devices ())
(name "m4gbust__v" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 3.0 D, set 2)" devices ())
(name "m4gbust__w" year "199?" manufacturer "BWB" desc "Ghost Buster (Barcrest) (MPU4) (GB 2.0, set 5)" devices ())
(name "m4gclue" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2)" devices ())
(name "m4gclue__a" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 B)" devices ())
(name "m4gclue__b" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 BD)" devices ())
(name "m4gclue__c" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 C)" devices ())
(name "m4gclue__d" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 D)" devices ())
(name "m4gclue__e" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 KD)" devices ())
(name "m4gclue__f" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 RD)" devices ())
(name "m4gclue__g" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 YD)" devices ())
(name "m4gclue__h" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 K)" devices ())
(name "m4gclue__i" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 R)" devices ())
(name "m4gclue__j" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 AD)" devices ())
(name "m4gclue__k" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C20 0.2 Y)" devices ())
(name "m4gclue__l" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 AD)" devices ())
(name "m4gclue__m" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 B)" devices ())
(name "m4gclue__n" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 BD)" devices ())
(name "m4gclue__o" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 C)" devices ())
(name "m4gclue__p" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 D)" devices ())
(name "m4gclue__q" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 KD)" devices ())
(name "m4gclue__r" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 RD)" devices ())
(name "m4gclue__s" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 YD)" devices ())
(name "m4gclue__t" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 K)" devices ())
(name "m4gclue__u" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 R)" devices ())
(name "m4gclue__v" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4)" devices ())
(name "m4gclue__w" year "199?" manufacturer "Barcrest" desc "Give Us A Clue (Barcrest) (MPU4) (C25 0.4 Y)" devices ())
(name "m4giant" year "199?" manufacturer "Barcrest" desc "Giant (Barcrest) (Dutch) (MPU4) (DGI 2.1)" devices ())
(name "m4gldgat" year "199?" manufacturer "Barcrest" desc "Golden Gate (Barcrest) (Dutch) (MPU4) (DGG 2.2)" devices ())
(name "m4gldjok" year "199?" manufacturer "Barcrest" desc "Golden Joker (Barcrest) (Dutch) (MPU4) (DGJ 1.2)" devices ())
(name "m4gldstr" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU4) (G4S 2.0)" devices ())
(name "m4gnsmk" year "199?" manufacturer "Barcrest" desc "Gun Smoke (Barcrest) (Dutch) (MPU4) (DGU 1.6)" devices ())
(name "m4gobana" year "199?" manufacturer "Union" desc "Go Bananas (Union) (MPU4, set 1)" devices ())
(name "m4gobanaa" year "199?" manufacturer "Union" desc "Go Bananas (Union) (MPU4, set 2)" devices ())
(name "m4gobanab" year "199?" manufacturer "Union" desc "Go Bananas (Union) (MPU4, set 3)" devices ())
(name "m4gobanac" year "199?" manufacturer "Union" desc "Go Bananas (Union) (MPU4, set 4)" devices ())
(name "m4gobanad" year "199?" manufacturer "Union" desc "Go Bananas (Union) (MPU4, set 5)" devices ())
(name "m4goldfc" year "199?" manufacturer "Crystal" desc "Gold Fever (Crystal) (MPU4) (set 1)" devices ())
(name "m4goldfca" year "199?" manufacturer "Crystal" desc "Gold Fever (Crystal) (MPU4) (set 2)" devices ())
(name "m4goldfcb" year "199?" manufacturer "Crystal" desc "Gold Fever (Crystal) (MPU4) (set 3)" devices ())
(name "m4goldfv" year "199?" manufacturer "Empire" desc "Gold Fever (Empire) (MPU4)" devices ())
(name "m4goldnn" year "199?" manufacturer "Nova" desc "Golden Years (Nova) (German) (MPU4) (TGY 0.1)" devices ())
(name "m4goldxc" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4goldxca" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4goldxcb" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4goldxcc" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4goldxcd" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 5)" devices ())
(name "m4goldxce" year "199?" manufacturer "Crystal" desc "Gold Exchange Club (Crystal) (MPU4) (set 6)" devices ())
(name "m4goodtm" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0)" devices ())
(name "m4goodtm__0" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 Y)" devices ())
(name "m4goodtm__1" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.1)" devices ())
(name "m4goodtm__2" year "199?" manufacturer "hack" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0, hack)" devices ())
(name "m4goodtm__3" year "199?" manufacturer "hack" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1, hack)" devices ())
(name "m4goodtm__4" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 AD)" devices ())
(name "m4goodtm__5" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 B)" devices ())
(name "m4goodtm__6" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 BD)" devices ())
(name "m4goodtm__7" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 DH)" devices ())
(name "m4goodtm__8" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 KD)" devices ())
(name "m4goodtm__9" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 RD)" devices ())
(name "m4goodtm__a" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 AD)" devices ())
(name "m4goodtm__a0" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 RD)" devices ())
(name "m4goodtm__a1" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 YD)" devices ())
(name "m4goodtm__a2" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 H)" devices ())
(name "m4goodtm__a3" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 K)" devices ())
(name "m4goodtm__a4" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 R)" devices ())
(name "m4goodtm__a5" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0)" devices ())
(name "m4goodtm__a6" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 Y)" devices ())
(name "m4goodtm__aa" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 YD)" devices ())
(name "m4goodtm__ab" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 H)" devices ())
(name "m4goodtm__ac" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 K)" devices ())
(name "m4goodtm__ad" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 R)" devices ())
(name "m4goodtm__ae" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 D)" devices ())
(name "m4goodtm__af" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 2.0 Y)" devices ())
(name "m4goodtm__ag" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 AD)" devices ())
(name "m4goodtm__ah" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 B)" devices ())
(name "m4goodtm__ai" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 BD)" devices ())
(name "m4goodtm__aj" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 D)" devices ())
(name "m4goodtm__ak" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 DH)" devices ())
(name "m4goodtm__al" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 KD)" devices ())
(name "m4goodtm__am" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 RD)" devices ())
(name "m4goodtm__an" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 YD)" devices ())
(name "m4goodtm__ao" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 H)" devices ())
(name "m4goodtm__ap" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 K)" devices ())
(name "m4goodtm__aq" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 R)" devices ())
(name "m4goodtm__ar" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1)" devices ())
(name "m4goodtm__as" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.1 Y)" devices ())
(name "m4goodtm__at" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 0.2)" devices ())
(name "m4goodtm__au" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 AD)" devices ())
(name "m4goodtm__av" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 B)" devices ())
(name "m4goodtm__aw" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 BD)" devices ())
(name "m4goodtm__ax" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 D)" devices ())
(name "m4goodtm__ay" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 DH)" devices ())
(name "m4goodtm__az" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTS 1.0 KD)" devices ())
(name "m4goodtm__b" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 B)" devices ())
(name "m4goodtm__c" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 BD)" devices ())
(name "m4goodtm__d" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 D)" devices ())
(name "m4goodtm__e" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 DH)" devices ())
(name "m4goodtm__f" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 KD)" devices ())
(name "m4goodtm__g" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 RD)" devices ())
(name "m4goodtm__h" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 YD)" devices ())
(name "m4goodtm__i" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 H)" devices ())
(name "m4goodtm__j" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 K)" devices ())
(name "m4goodtm__k" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 R)" devices ())
(name "m4goodtm__l" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1)" devices ())
(name "m4goodtm__m" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTA 0.1 Y)" devices ())
(name "m4goodtm__n" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTK 0.2 K)" devices ())
(name "m4goodtm__o" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 AD)" devices ())
(name "m4goodtm__p" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 B)" devices ())
(name "m4goodtm__q" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 BD)" devices ())
(name "m4goodtm__r" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 D)" devices ())
(name "m4goodtm__s" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 DH)" devices ())
(name "m4goodtm__t" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 KD)" devices ())
(name "m4goodtm__u" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 RD)" devices ())
(name "m4goodtm__v" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 YD)" devices ())
(name "m4goodtm__w" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 H)" devices ())
(name "m4goodtm__x" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 K)" devices ())
(name "m4goodtm__y" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0 R)" devices ())
(name "m4goodtm__z" year "199?" manufacturer "Barcrest" desc "Let The Good Times Roll (Barcrest) (MPU4) (GTR 1.0)" devices ())
(name "m4graff" year "199?" manufacturer "Barcrest" desc "Graffiti (Barcrest) (MPU4) (GRA 2.0X)" devices ())
(name "m4graff__a" year "199?" manufacturer "Barcrest" desc "Graffiti (Barcrest) (MPU4) (GRA 2.1X)" devices ())
(name "m4graff__b" year "199?" manufacturer "Barcrest" desc "Graffiti (Barcrest) (MPU4) (GRA 2.1CX)" devices ())
(name "m4graffd" year "199?" manufacturer "Barcrest" desc "Grafitti (Barcrest) (Dutch) (MPU4) (DGR 1.3)" devices ())
(name "m4grands" year "199?" manufacturer "Barcrest" desc "Grandstand Club (Barcrest) (MPU4) (G2D 4.0)" devices ())
(name "m4grandsa" year "199?" manufacturer "Barcrest" desc "Grandstand Club (Barcrest) (MPU4) (GD 1.1)" devices ())
(name "m4grbbnk" year "199?" manufacturer "Barcrest" desc "Grab The Bank (Barcrest) (MPU4) (G4B 2.0)" devices ())
(name "m4grbbnka" year "199?" manufacturer "Barcrest" desc "Grab The Bank (Barcrest) (MPU4) (G4B 2.1)" devices ())
(name "m4grbbnkb" year "199?" manufacturer "Barcrest" desc "Grab The Bank (Barcrest) (MPU4) (G4B 1.0)" devices ())
(name "m4gtrain" year "199?" manufacturer "Empire" desc "Ghost Train (Empire) (MPU4, set 1)" devices ())
(name "m4gtraina" year "199?" manufacturer "Empire" desc "Ghost Train (Empire) (MPU4, set 2)" devices ())
(name "m4gtrainb" year "199?" manufacturer "Empire" desc "Ghost Train (Empire) (MPU4, set 3)" devices ())
(name "m4gtrainc" year "199?" manufacturer "Empire" desc "Ghost Train (Empire) (MPU4, set 4)" devices ())
(name "m4gvibes" year "199?" manufacturer "Union / Empire" desc "Good Vibrations (Union - Empire) (MPU4, set 1)" devices ())
(name "m4gvibesa" year "199?" manufacturer "Union / Empire" desc "Good Vibrations (Union - Empire) (MPU4, set 2)" devices ())
(name "m4hapfrt" year "199?" manufacturer "Coinworld" desc "Happy Fruits (Coinworld) (MPU4) (set 1)" devices ())
(name "m4hapfrta" year "199?" manufacturer "Coinworld" desc "Happy Fruits (Coinworld) (MPU4) (set 2)" devices ())
(name "m4hapfrtb" year "199?" manufacturer "Coinworld" desc "Happy Fruits (Coinworld) (MPU4) (set 3)" devices ())
(name "m4harle" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 1)" devices ())
(name "m4harle__a" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 2)" devices ())
(name "m4harle__b" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 3)" devices ())
(name "m4harle__c" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 4)" devices ())
(name "m4harle__d" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 5)" devices ())
(name "m4harle__e" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 6)" devices ())
(name "m4harle__f" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 7)" devices ())
(name "m4harle__g" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 8)" devices ())
(name "m4harle__h" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 9)" devices ())
(name "m4harle__i" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 10)" devices ())
(name "m4harle__j" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 11)" devices ())
(name "m4harle__k" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 12)" devices ())
(name "m4harle__l" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 13)" devices ())
(name "m4harle__m" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 14)" devices ())
(name "m4harle__n" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 15)" devices ())
(name "m4harle__o" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 16)" devices ())
(name "m4harle__p" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 17)" devices ())
(name "m4harle__q" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 18)" devices ())
(name "m4harle__r" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 19)" devices ())
(name "m4harle__s" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 20)" devices ())
(name "m4harle__t" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 21)" devices ())
(name "m4harle__u" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 22)" devices ())
(name "m4harle__v" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 23)" devices ())
(name "m4harle__w" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 24)" devices ())
(name "m4harle__x" year "199?" manufacturer "BWB" desc "Harlequin (BWB) (MPU4) (set 25)" devices ())
(name "m4haunt" year "199?" manufacturer "Empire" desc "Haunted House (Empire) (MPU4, set 1)" devices ())
(name "m4haunta" year "199?" manufacturer "Empire" desc "Haunted House (Empire) (MPU4, set 2)" devices ())
(name "m4hauntb" year "199?" manufacturer "Empire" desc "Haunted House (Empire) (MPU4, set 3)" devices ())
(name "m4hauntc" year "199?" manufacturer "Empire" desc "Haunted House (Empire) (MPU4, set 4)" devices ())
(name "m4hauntd" year "199?" manufacturer "Empire" desc "Haunted House (Empire) (MPU4, set 5)" devices ())
(name "m4hijinx" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0)" devices ())
(name "m4hijinx__0" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3)" devices ())
(name "m4hijinx__1" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 Y)" devices ())
(name "m4hijinx__2" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5 D)" devices ())
(name "m4hijinx__3" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5 DH)" devices ())
(name "m4hijinx__4" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5 DY)" devices ())
(name "m4hijinx__5" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5 H)" devices ())
(name "m4hijinx__6" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5 Y)" devices ())
(name "m4hijinx__7" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0 D)" devices ())
(name "m4hijinx__8" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0 DH)" devices ())
(name "m4hijinx__9" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0 DY)" devices ())
(name "m4hijinx__a" year "199?" manufacturer "hack" desc "Hi Jinx (Barcrest) (MPU4) (JNX 0.5, hack)" devices ())
(name "m4hijinx__aa" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0 H)" devices ())
(name "m4hijinx__ab" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNX 1.0 Y)" devices ())
(name "m4hijinx__b" year "199?" manufacturer "hack" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2, hack)" devices ())
(name "m4hijinx__c" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DA)" devices ())
(name "m4hijinx__d" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 B)" devices ())
(name "m4hijinx__e" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DB)" devices ())
(name "m4hijinx__f" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 D)" devices ())
(name "m4hijinx__g" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DH)" devices ())
(name "m4hijinx__h" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DK)" devices ())
(name "m4hijinx__i" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DR)" devices ())
(name "m4hijinx__j" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 DY)" devices ())
(name "m4hijinx__k" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 H)" devices ())
(name "m4hijinx__l" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 K)" devices ())
(name "m4hijinx__m" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 R)" devices ())
(name "m4hijinx__n" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2)" devices ())
(name "m4hijinx__o" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.2 Y)" devices ())
(name "m4hijinx__p" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DA)" devices ())
(name "m4hijinx__q" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 B)" devices ())
(name "m4hijinx__r" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DB)" devices ())
(name "m4hijinx__s" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 D)" devices ())
(name "m4hijinx__t" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DH)" devices ())
(name "m4hijinx__u" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DK)" devices ())
(name "m4hijinx__v" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DR)" devices ())
(name "m4hijinx__w" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 DY)" devices ())
(name "m4hijinx__x" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 H)" devices ())
(name "m4hijinx__y" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 K)" devices ())
(name "m4hijinx__z" year "199?" manufacturer "Barcrest" desc "Hi Jinx (Barcrest) (MPU4) (JNS 0.3 R)" devices ())
(name "m4hilonv" year "199?" manufacturer "Nova" desc "Hi Lo Casino (Nova) (German) (MPU4) (HNC 0.2)" devices ())
(name "m4hirise" year "199?" manufacturer "Barcrest" desc "High Rise (Barcrest) (MPU4) (HII 0.3)" devices ())
(name "m4hirisea" year "199?" manufacturer "Barcrest" desc "High Rise (Barcrest) (MPU4) (HIR 3.1, set 1)" devices ())
(name "m4hiriseb" year "199?" manufacturer "bootleg?" desc "High Rise (Barcrest) (MPU4) (HIR 1.5, bootleg?)" devices ())
(name "m4hirisec" year "199?" manufacturer "Barcrest" desc "High Rise (Barcrest) (MPU4) (HIR 3.1, set 2)" devices ())
(name "m4hirised" year "199?" manufacturer "Barcrest" desc "High Rise (Barcrest) (MPU4) (HIR 3.1, set 3)" devices ())
(name "m4hirisee" year "199?" manufacturer "Barcrest" desc "High Rise (Barcrest) (MPU4) (HIR 3.0)" devices ())
(name "m4hirol" year "199?" manufacturer "Crystal" desc "Hi Roller Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4hirola" year "199?" manufacturer "Crystal" desc "Hi Roller Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4hiroll" year "199?" manufacturer "Barcrest" desc "High Roller (Barcrest) (Dutch) (MPU4) (HR 3.0)" devices ())
(name "m4hisprt" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 1)" devices ())
(name "m4hisprta" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 2)" devices ())
(name "m4hisprtb" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 3)" devices ())
(name "m4hisprtc" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 4)" devices ())
(name "m4hisprtd" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 5)" devices ())
(name "m4hisprte" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU4, set 6)" devices ())
(name "m4hittop" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3)" devices ())
(name "m4hittop__0" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 R)" devices ())
(name "m4hittop__1" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4)" devices ())
(name "m4hittop__2" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 Y)" devices ())
(name "m4hittop__3" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 AD)" devices ())
(name "m4hittop__4" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 B)" devices ())
(name "m4hittop__5" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 BD)" devices ())
(name "m4hittop__6" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 D)" devices ())
(name "m4hittop__7" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 KD)" devices ())
(name "m4hittop__8" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 RD)" devices ())
(name "m4hittop__9" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 YD)" devices ())
(name "m4hittop__a" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 AD)" devices ())
(name "m4hittop__aa" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 K)" devices ())
(name "m4hittop__ab" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 R)" devices ())
(name "m4hittop__ac" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1)" devices ())
(name "m4hittop__ad" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT2 0.1 Y)" devices ())
(name "m4hittop__ae" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 AD)" devices ())
(name "m4hittop__af" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 B)" devices ())
(name "m4hittop__ag" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 BD)" devices ())
(name "m4hittop__ah" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 D)" devices ())
(name "m4hittop__ai" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 KD)" devices ())
(name "m4hittop__aj" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 RD)" devices ())
(name "m4hittop__ak" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 YD)" devices ())
(name "m4hittop__al" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 K)" devices ())
(name "m4hittop__am" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 R)" devices ())
(name "m4hittop__an" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1)" devices ())
(name "m4hittop__ao" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HT5 0.1 Y)" devices ())
(name "m4hittop__ap" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 AD)" devices ())
(name "m4hittop__aq" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 B)" devices ())
(name "m4hittop__ar" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 BD)" devices ())
(name "m4hittop__as" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 D)" devices ())
(name "m4hittop__at" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 KD)" devices ())
(name "m4hittop__au" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 YD)" devices ())
(name "m4hittop__av" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 K)" devices ())
(name "m4hittop__aw" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5)" devices ())
(name "m4hittop__ax" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HTT 0.5 Y)" devices ())
(name "m4hittop__b" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 B)" devices ())
(name "m4hittop__c" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 BD)" devices ())
(name "m4hittop__d" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 D)" devices ())
(name "m4hittop__e" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 KD)" devices ())
(name "m4hittop__f" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 YD)" devices ())
(name "m4hittop__g" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 K)" devices ())
(name "m4hittop__h" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 R)" devices ())
(name "m4hittop__i" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1)" devices ())
(name "m4hittop__j" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (CHU 0.1 Y)" devices ())
(name "m4hittop__k" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 AD)" devices ())
(name "m4hittop__l" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 AB" devices ())
(name "m4hittop__m" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 BD)" devices ())
(name "m4hittop__n" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 D)" devices ())
(name "m4hittop__o" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 KD)" devices ())
(name "m4hittop__p" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 YD)" devices ())
(name "m4hittop__q" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 K)" devices ())
(name "m4hittop__r" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HI4 0.3 Y)" devices ())
(name "m4hittop__s" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 AD)" devices ())
(name "m4hittop__t" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 B)" devices ())
(name "m4hittop__u" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 BD)" devices ())
(name "m4hittop__v" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 D)" devices ())
(name "m4hittop__w" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 KD)" devices ())
(name "m4hittop__x" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 RD)" devices ())
(name "m4hittop__y" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 YD)" devices ())
(name "m4hittop__z" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4) (HIT 0.4 K)" devices ())
(name "m4hittp2" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4, Mod 2 type, H4T 2.0, set 1)" devices ())
(name "m4hittp2a" year "199?" manufacturer "Barcrest" desc "Hit The Top (Barcrest) (MPU4, Mod 2 type, H4T 2.0, set 2)" devices ())
(name "m4holdon" year "199?" manufacturer "Barcrest" desc "Hold On (Barcrest) (Dutch) (MPU4) (DHO 2.5)" devices ())
(name "m4holdtm" year "199?" manufacturer "Barcrest" desc "Hold Timer (Barcrest) (Dutch) (MPU4) (DHT 1.0)" devices ())
(name "m4holywd" year "199?" manufacturer "bootleg?" desc "Hollywood (bootleg) (MPU4) (HOL 1.0)" devices ())
(name "m4hotcsh" year "1996" manufacturer "Empire" desc "Hot Cash (Empire) (MPU4, set 1)" devices ())
(name "m4hotcsha" year "1996" manufacturer "Empire" desc "Hot Cash (Empire) (MPU4, set 2)" devices ())
(name "m4hotcshb" year "1996" manufacturer "Empire" desc "Hot Cash (Empire) (MPU4, set 3)" devices ())
(name "m4hotcshc" year "1996" manufacturer "Empire" desc "Hot Cash (Empire) (MPU4, set 4)" devices ())
(name "m4hotrod" year "199?" manufacturer "Barcrest" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4K)" devices ())
(name "m4hotrod__a" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HRC_1.0C)" devices ())
(name "m4hotrod__b" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 1)" devices ())
(name "m4hotrod__c" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 2)" devices ())
(name "m4hotrod__d" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 3)" devices ())
(name "m4hotrod__e" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4C, hack?, set 1)" devices ())
(name "m4hotrod__f" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 4)" devices ())
(name "m4hotrod__g" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 5)" devices ())
(name "m4hotrod__h" year "199?" manufacturer "Barcrest" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4C)" devices ())
(name "m4hotrod__i" year "199?" manufacturer "Barcrest" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4YD)" devices ())
(name "m4hotrod__j" year "199?" manufacturer "Barcrest" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4)" devices ())
(name "m4hotrod__k" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, set 1)" devices ())
(name "m4hotrod__l" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0D, set 1)" devices ())
(name "m4hotrod__m" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, set 2)" devices ())
(name "m4hotrod__n" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0D, set 2)" devices ())
(name "m4hotrod__o" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0C, set 1)" devices ())
(name "m4hotrod__p" year "199?" manufacturer "BWB" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0C, set 2)" devices ())
(name "m4hotrod__q" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 6)" devices ())
(name "m4hotrod__r" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 7)" devices ())
(name "m4hotrod__s" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 8)" devices ())
(name "m4hotrod__t" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (HR__1.0, hack, set 9)" devices ())
(name "m4hotrod__u" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4C, hack?, set 2)" devices ())
(name "m4hotrod__v" year "199?" manufacturer "hack" desc "Hot Rod (Barcrest) (MPU4) (ROD 0.4, hack?, set 3)" devices ())
(name "m4hpyjok" year "199?" manufacturer "Barcrest" desc "Happy Joker (Barcrest) (Dutch) (MPU4) (DHJ 1.2)" devices ())
(name "m4hslo" year "199?" manufacturer "(bootleg)" desc "Hot Slot (bootleg) (MPU4) (HOT 3.0)" devices ())
(name "m4hstr" year "199?" manufacturer "Coinworld" desc "Happy Streak (Coinworld) (MPU4) (set 1)" devices ())
(name "m4hstra" year "199?" manufacturer "Coinworld" desc "Happy Streak (Coinworld) (MPU4) (set 2)" devices ())
(name "m4hstrb" year "199?" manufacturer "Coinworld" desc "Happy Streak (Coinworld) (MPU4) (set 3)" devices ())
(name "m4hstrcs" year "199?" manufacturer "Coinworld" desc "Casino Happy Streak (Coinworld) (MPU4) (set 1)" devices ())
(name "m4hstrcsa" year "199?" manufacturer "Coinworld" desc "Casino Happy Streak (Coinworld) (MPU4) (set 2)" devices ())
(name "m4hstrcsb" year "199?" manufacturer "Coinworld" desc "Casino Happy Streak (Coinworld) (MPU4) (set 3)" devices ())
(name "m4hstrcsc" year "199?" manufacturer "Coinworld" desc "Casino Happy Streak (Coinworld) (MPU4) (set 4)" devices ())
(name "m4hstrcsd" year "199?" manufacturer "Coinworld" desc "Casino Happy Streak (Coinworld) (MPU4) (set 5)" devices ())
(name "m4hvhel" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (20p stake / £8 token jackpot, set 1)" devices ())
(name "m4hvhel__a" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (20p stake / £8 token jackpot, set 2)" devices ())
(name "m4hvhel__b" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (20p stake / £8 token jackpot, set 3)" devices ())
(name "m4hvhel__c" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot)" devices ())
(name "m4hvhel__d" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4hvhel__e" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4hvhel__f" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 3)" devices ())
(name "m4hvhel__g" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (5/10p stake / £5 jackpot, set 1)" devices ())
(name "m4hvhel__h" year "199?" manufacturer "BWB" desc "Heaven & Hell (BWB) (MPU4) (5/10p stake / £5 jackpot, set 2)" devices ())
(name "m4hypclb" year "199?" manufacturer "Barcrest" desc "Hyper Viper Club (Barcrest) (MPU4) (HPC 0.5)" devices ())
(name "m4hypclb__a" year "199?" manufacturer "Barcrest" desc "Hyper Viper Club (Barcrest) (MPU4) (HPC 0.5 F)" devices ())
(name "m4hypclb__b" year "199?" manufacturer "Barcrest" desc "Hyper Viper Club (Barcrest) (MPU4) (HPC 0.5 FD)" devices ())
(name "m4hypclb__c" year "199?" manufacturer "Barcrest" desc "Hyper Viper Club (Barcrest) (MPU4) (HPC 0.5 D)" devices ())
(name "m4indycr" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (20/25/30p stake / £5/£15 jackpot) (set 1)" devices ())
(name "m4indycr__a" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (20/25/30p stake / £5/£15 jackpot) (set 2)" devices ())
(name "m4indycr__b" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (20/25/30p stake / £5/£15 jackpot) (set 3)" devices ())
(name "m4indycr__c" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (20/25/30p stake / £5/£15 jackpot) (set 4)" devices ())
(name "m4indycr__d" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (20/25/30p stake / £5/£15 jackpot) (set 5)" devices ())
(name "m4indycr__e" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4indycr__f" year "199?" manufacturer "BWB" desc "Indy Cars (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4intcep" year "199?" manufacturer "Barcrest" desc "Interceptor (Barcrest) (MPU4) (INT 3.0)" devices ())
(name "m4intcepa" year "199?" manufacturer "Barcrest" desc "Interceptor (Barcrest) (MPU4) (INT 3.0X)" devices ())
(name "m4intcepb" year "199?" manufacturer "hack?" desc "Interceptor (Barcrest) (MPU4) (INT 1.1)" devices ())
(name "m4jakjok" year "2000" manufacturer "BWB" desc "Jackpot Jokers (BWB) (MPU4) (ver. 6) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot)" devices ())
(name "m4jakjok__a" year "1998" manufacturer "BWB" desc "Jackpot Jokers (BWB) (MPU4) (ver. 3) (20/25/30p stake / £5/£15 jackpot)" devices ())
(name "m4jakjok__b" year "2000" manufacturer "BWB" desc "Jackpot Jokers (BWB) (MPU4) (ver. 6) (20/25/30p stake / £5/£15 jackpot)" devices ())
(name "m4jakjok__c" year "2000" manufacturer "BWB" desc "Jackpot Jokers (BWB) (MPU4) (ver. 7) (5/10p stake / £5 jackpot)" devices ())
(name "m4jakjoka" year "1998" manufacturer "BWB" desc "Jackpot Jokers (BWB) (MPU4) (ver. 2) (20/25/30p stake / £5/£15 jackpot)" devices ())
(name "m4jflash" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 1)" devices ())
(name "m4jflash__a" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 2)" devices ())
(name "m4jflash__b" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 3)" devices ())
(name "m4jflash__c" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 4)" devices ())
(name "m4jflash__d" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 5)" devices ())
(name "m4jflash__e" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 6)" devices ())
(name "m4jflash__f" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 7)" devices ())
(name "m4jflash__g" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 8)" devices ())
(name "m4jflash__h" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 9)" devices ())
(name "m4jflash__i" year "199?" manufacturer "BWB" desc "Jumping Jack Flash (BWB) (MPU4) (set 10)" devices ())
(name "m4jiggin" year "199?" manufacturer "Global" desc "Jiggin' In The Riggin' (Global) (MPU4) (set 1)" devices ())
(name "m4jiggina" year "199?" manufacturer "Global" desc "Jiggin' In The Riggin' (Global) (MPU4) (set 2)" devices ())
(name "m4jjc" year "199?" manufacturer "Pcp" desc "Jumping Jack Cash (Pcp) (MPU4) (set 1)" devices ())
(name "m4jjca" year "199?" manufacturer "Pcp" desc "Jumping Jack Cash (Pcp) (MPU4) (set 2)" devices ())
(name "m4jne" year "199?" manufacturer "Empire" desc "The Jackpot's Not Enough (Empire) (MPU4)" devices ())
(name "m4jok2k" year "199?" manufacturer "Avantime?" desc "Joker 2000 (Avantime?) (MPU4) (set 1)" devices ())
(name "m4jok2k__a" year "199?" manufacturer "Avantime?" desc "Joker 2000 (Avantime?) (MPU4) (set 2)" devices ())
(name "m4jok2k__b" year "199?" manufacturer "Avantime?" desc "Joker 2000 (Avantime?) (MPU4) (set 3)" devices ())
(name "m4jok300" year "199?" manufacturer "Barcrest" desc "Jokers Millenium 300 (Barcrest) (German) (MPU4) (DJO 0.1, set 1)" devices ())
(name "m4jok300a" year "199?" manufacturer "Barcrest" desc "Jokers Millenium 300 (Barcrest) (German) (MPU4) (DJO 0.1, set 2)" devices ())
(name "m4jolgem" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7)" devices ())
(name "m4jolgem__0" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DH)" devices ())
(name "m4jolgem__1" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DK)" devices ())
(name "m4jolgem__2" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DR)" devices ())
(name "m4jolgem__3" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DY)" devices ())
(name "m4jolgem__4" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 H)" devices ())
(name "m4jolgem__5" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 K)" devices ())
(name "m4jolgem__6" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 R)" devices ())
(name "m4jolgem__7" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4)" devices ())
(name "m4jolgem__8" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 Y)" devices ())
(name "m4jolgem__9" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DA)" devices ())
(name "m4jolgem__a" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.5)" devices ())
(name "m4jolgem__aa" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 B)" devices ())
(name "m4jolgem__ab" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DB)" devices ())
(name "m4jolgem__ac" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 D)" devices ())
(name "m4jolgem__ad" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DH)" devices ())
(name "m4jolgem__ae" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DK)" devices ())
(name "m4jolgem__af" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DR)" devices ())
(name "m4jolgem__ag" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 DY)" devices ())
(name "m4jolgem__ah" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 H)" devices ())
(name "m4jolgem__ai" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 K)" devices ())
(name "m4jolgem__aj" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 R)" devices ())
(name "m4jolgem__ak" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5)" devices ())
(name "m4jolgem__al" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.5 Y)" devices ())
(name "m4jolgem__am" year "199?" manufacturer "hack" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6, hack)" devices ())
(name "m4jolgem__an" year "199?" manufacturer "hack" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4, hack)" devices ())
(name "m4jolgem__ao" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.3 K)" devices ())
(name "m4jolgem__ap" year "199?" manufacturer "BWB" desc "Jolly Gems (Barcrest) (MPU4) (JGS 1.0 CK)" devices ())
(name "m4jolgem__b" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 DA)" devices ())
(name "m4jolgem__c" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 B)" devices ())
(name "m4jolgem__d" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 DB)" devices ())
(name "m4jolgem__e" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 D)" devices ())
(name "m4jolgem__f" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 DH)" devices ())
(name "m4jolgem__g" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 DR)" devices ())
(name "m4jolgem__h" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 DY)" devices ())
(name "m4jolgem__i" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 H)" devices ())
(name "m4jolgem__j" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 R)" devices ())
(name "m4jolgem__k" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6)" devices ())
(name "m4jolgem__l" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.6 Y)" devices ())
(name "m4jolgem__m" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 DA)" devices ())
(name "m4jolgem__n" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 B)" devices ())
(name "m4jolgem__o" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 DB)" devices ())
(name "m4jolgem__p" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 D)" devices ())
(name "m4jolgem__q" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 DH)" devices ())
(name "m4jolgem__r" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 DR)" devices ())
(name "m4jolgem__s" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 DY)" devices ())
(name "m4jolgem__t" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 H)" devices ())
(name "m4jolgem__u" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 R)" devices ())
(name "m4jolgem__v" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GEM 0.7 Y)" devices ())
(name "m4jolgem__w" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DA)" devices ())
(name "m4jolgem__x" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 B)" devices ())
(name "m4jolgem__y" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 DB)" devices ())
(name "m4jolgem__z" year "199?" manufacturer "Barcrest" desc "Jolly Gems (Barcrest) (MPU4) (GMS 0.4 D)" devices ())
(name "m4joljok" year "199?" manufacturer "Barcrest" desc "Jolly Joker (Barcrest) (MPU4) (JOJ 1.6)" devices ())
(name "m4joljokd" year "199?" manufacturer "Barcrest" desc "Jolly Joker (Barcrest) (Dutch) (MPU4) (DJJ 1.5)" devices ())
(name "m4joljokh" year "199?" manufacturer "Barcrest" desc "Jolly Joker (Barcrest) (Hungarian) (MPU4) (HJJ 1.4)" devices ())
(name "m4joltav" year "199?" manufacturer "Barcrest" desc "Jolly Taverner (Barcrest) (MPU4) (TAV 1.3)" devices ())
(name "m4joltava" year "199?" manufacturer "Barcrest" desc "Jolly Taverner (Barcrest) (MPU4) (JT__ 2.0, set 1)" devices ())
(name "m4joltavb" year "199?" manufacturer "Barcrest" desc "Jolly Taverner (Barcrest) (MPU4) (JT__ 2.0, set 2)" devices ())
(name "m4jp777" year "199?" manufacturer "Cotswold Microsystems" desc "Jackpot 777 (Cotswold Microsystems) (MPU4)" devices ())
(name "m4jpgem" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7)" devices ())
(name "m4jpgem__0" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 YD / CG4 0.2)" devices ())
(name "m4jpgem__1" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 K / CG4 0.2)" devices ())
(name "m4jpgem__2" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 R / CG4 0.2)" devices ())
(name "m4jpgem__3" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 / CG4 0.2)" devices ())
(name "m4jpgem__4" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 Y / CG4 0.2)" devices ())
(name "m4jpgem__5" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4 B)" devices ())
(name "m4jpgem__6" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4 D)" devices ())
(name "m4jpgem__7" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4 KD)" devices ())
(name "m4jpgem__8" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4 YD)" devices ())
(name "m4jpgem__9" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4)" devices ())
(name "m4jpgem__a" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 B)" devices ())
(name "m4jpgem__a0" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 R)" devices ())
(name "m4jpgem__a1" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3)" devices ())
(name "m4jpgem__a2" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 Y)" devices ())
(name "m4jpgem__a3" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 AD)" devices ())
(name "m4jpgem__a4" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 B)" devices ())
(name "m4jpgem__a5" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 BD)" devices ())
(name "m4jpgem__a6" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 D)" devices ())
(name "m4jpgem__a7" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 KD)" devices ())
(name "m4jpgem__a8" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 RD)" devices ())
(name "m4jpgem__a9" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 YD)" devices ())
(name "m4jpgem__aa" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JAG 0.4 Y)" devices ())
(name "m4jpgem__ab" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 AD)" devices ())
(name "m4jpgem__ac" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 B)" devices ())
(name "m4jpgem__ad" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 BD)" devices ())
(name "m4jpgem__ae" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 D)" devices ())
(name "m4jpgem__af" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 KD)" devices ())
(name "m4jpgem__ag" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 YD)" devices ())
(name "m4jpgem__ah" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 K)" devices ())
(name "m4jpgem__ai" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1)" devices ())
(name "m4jpgem__aj" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG3 0.1 Y)" devices ())
(name "m4jpgem__ak" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 B)" devices ())
(name "m4jpgem__al" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 C)" devices ())
(name "m4jpgem__am" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 D)" devices ())
(name "m4jpgem__an" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 BD)" devices ())
(name "m4jpgem__ao" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 KD)" devices ())
(name "m4jpgem__ap" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 YD)" devices ())
(name "m4jpgem__aq" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1 K)" devices ())
(name "m4jpgem__ar" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JG8 0.1)" devices ())
(name "m4jpgem__as" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 AD)" devices ())
(name "m4jpgem__at" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 B)" devices ())
(name "m4jpgem__au" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 BD)" devices ())
(name "m4jpgem__av" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 D)" devices ())
(name "m4jpgem__aw" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 KD)" devices ())
(name "m4jpgem__ax" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 RD)" devices ())
(name "m4jpgem__ay" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 YD)" devices ())
(name "m4jpgem__az" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGT 0.3 K)" devices ())
(name "m4jpgem__b" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 BD)" devices ())
(name "m4jpgem__ba" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 K)" devices ())
(name "m4jpgem__bb" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 R)" devices ())
(name "m4jpgem__bc" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2)" devices ())
(name "m4jpgem__bd" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (JGU 0.2 Y)" devices ())
(name "m4jpgem__be" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 AD / CG4 0.1)" devices ())
(name "m4jpgem__bf" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 B / CG4 0.1)" devices ())
(name "m4jpgem__bg" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 BD / CG4 0.1)" devices ())
(name "m4jpgem__bh" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 C / CG4 0.1)" devices ())
(name "m4jpgem__bi" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 D / CG4 0.1)" devices ())
(name "m4jpgem__bj" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 KD / CG4 0.1)" devices ())
(name "m4jpgem__bk" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 RD / CG4 0.1)" devices ())
(name "m4jpgem__bl" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 YD / CG4 0.1)" devices ())
(name "m4jpgem__bm" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 K / CG4 0.1)" devices ())
(name "m4jpgem__bn" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 R / CG4 0.1)" devices ())
(name "m4jpgem__bo" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 / CG4 0.1)" devices ())
(name "m4jpgem__bp" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (RRH 0.1 Y / CG4 0.1)" devices ())
(name "m4jpgem__c" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 D)" devices ())
(name "m4jpgem__d" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 KD)" devices ())
(name "m4jpgem__e" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 YD)" devices ())
(name "m4jpgem__f" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 K)" devices ())
(name "m4jpgem__g" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 AD)" devices ())
(name "m4jpgem__h" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CG4 0.7 Y)" devices ())
(name "m4jpgem__i" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 AD / CG4 0.3)" devices ())
(name "m4jpgem__j" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 B / CG4 0.3)" devices ())
(name "m4jpgem__k" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 BD / CG4 0.3)" devices ())
(name "m4jpgem__l" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 D / CG4 0.3)" devices ())
(name "m4jpgem__m" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 KD / CG4 0.3)" devices ())
(name "m4jpgem__n" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 RD / CG4 0.3)" devices ())
(name "m4jpgem__o" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 YD / CG4 0.3)" devices ())
(name "m4jpgem__p" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 K / CG4 0.3)" devices ())
(name "m4jpgem__q" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 R / CG4 0.3)" devices ())
(name "m4jpgem__r" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 / CG4 0.3)" devices ())
(name "m4jpgem__s" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.3 Y / CG4 0.3)" devices ())
(name "m4jpgem__t" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGT 0.1 / CG4 0.1)" devices ())
(name "m4jpgem__u" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 AD / CG4 0.2)" devices ())
(name "m4jpgem__v" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 B / CG4 0.2)" devices ())
(name "m4jpgem__w" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 BD / CG4 0.2)" devices ())
(name "m4jpgem__x" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 D / CG4 0.2)" devices ())
(name "m4jpgem__y" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 KD / CG4 0.2)" devices ())
(name "m4jpgem__z" year "199?" manufacturer "Barcrest" desc "Jackpot Gems (Barcrest) (MPU4) (CGU 0.2 RD / CG4 0.2)" devices ())
(name "m4jpgemc" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 / CG4 0.1)" devices ())
(name "m4jpgemc__a" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 B / CG4 0.1)" devices ())
(name "m4jpgemc__b" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 BD / CG4 0.1)" devices ())
(name "m4jpgemc__c" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 C / CG4 0.1)" devices ())
(name "m4jpgemc__d" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 D / CG4 0.1)" devices ())
(name "m4jpgemc__e" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 KD / CG4 0.1)" devices ())
(name "m4jpgemc__f" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 RD / CG4 0.1)" devices ())
(name "m4jpgemc__g" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 YD / CG4 0.1)" devices ())
(name "m4jpgemc__h" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 K / CG4 0.1)" devices ())
(name "m4jpgemc__i" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 R / CG4 0.1)" devices ())
(name "m4jpgemc__j" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 AD / CG4 0.1)" devices ())
(name "m4jpgemc__k" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (GTC 0.1 Y / CG4 0.1)" devices ())
(name "m4jpgemc__l" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 AD / CG4 0.1)" devices ())
(name "m4jpgemc__m" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 B / CG4 0.1)" devices ())
(name "m4jpgemc__n" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 BD / CG4 0.1)" devices ())
(name "m4jpgemc__o" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 C / CG4 0.1)" devices ())
(name "m4jpgemc__p" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 D / CG4 0.1)" devices ())
(name "m4jpgemc__q" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 KD / CG4 0.1)" devices ())
(name "m4jpgemc__r" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 RD / CG4 0.1)" devices ())
(name "m4jpgemc__s" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 YD / CG4 0.1)" devices ())
(name "m4jpgemc__t" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 K / CG4 0.1)" devices ())
(name "m4jpgemc__u" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 R / CG4 0.1)" devices ())
(name "m4jpgemc__v" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 / CG4 0.1)" devices ())
(name "m4jpgemc__w" year "199?" manufacturer "Barcrest" desc "Jackpot Gems Classic (Barcrest) (MPU4) (HGE 0.1 Y / CG4 0.1)" devices ())
(name "m4jpjmp" year "199?" manufacturer "Barcrest" desc "Jackpot Jump (Barcrest) (MPU4) (VJC 2.0)" devices ())
(name "m4jpjmpa" year "199?" manufacturer "Barcrest" desc "Jackpot Jump (Barcrest) (MPU4) (VJC 1.3)" devices ())
(name "m4jungj" year "199?" manufacturer "AET/Coinworld" desc "Jungle Japes (MPU4?) (set 1)" devices ())
(name "m4jungja" year "199?" manufacturer "AET/Coinworld" desc "Jungle Japes (MPU4?) (set 2)" devices ())
(name "m4jungjb" year "199?" manufacturer "AET/Coinworld" desc "Jungle Japes (MPU4?) (set 3)" devices ())
(name "m4jungjc" year "199?" manufacturer "AET/Coinworld" desc "Jungle Japes (MPU4?) (set 4)" devices ())
(name "m4jungjk" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 1)" devices ())
(name "m4jungjk__a" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 2)" devices ())
(name "m4jungjk__b" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 3)" devices ())
(name "m4jungjk__c" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 4)" devices ())
(name "m4jungjk__d" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 5)" devices ())
(name "m4jungjk__e" year "199?" manufacturer "Qps" desc "Jungle Jackpots (Qps) (MPU4) (set 6)" devices ())
(name "m4jwlcwn" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0)" devices ())
(name "m4jwlcwn__0" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 0.8)" devices ())
(name "m4jwlcwn__1" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JC8 4.4)" devices ())
(name "m4jwlcwn__2" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JCC 3.3)" devices ())
(name "m4jwlcwn__3" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JC4 3.1 K)" devices ())
(name "m4jwlcwn__4" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JC5 1.9 K)" devices ())
(name "m4jwlcwn__5" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JC8 4.2 K)" devices ())
(name "m4jwlcwn__6" year "199?" manufacturer "BWB" desc "Jewel In the Crown (Barcrest) (MPU4) (JCC 3.7)" devices ())
(name "m4jwlcwn__a" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 AD)" devices ())
(name "m4jwlcwn__b" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 B)" devices ())
(name "m4jwlcwn__c" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 BD)" devices ())
(name "m4jwlcwn__d" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 C)" devices ())
(name "m4jwlcwn__e" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 D)" devices ())
(name "m4jwlcwn__f" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 KD)" devices ())
(name "m4jwlcwn__g" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 RD)" devices ())
(name "m4jwlcwn__h" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 YD)" devices ())
(name "m4jwlcwn__i" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 K)" devices ())
(name "m4jwlcwn__j" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 R)" devices ())
(name "m4jwlcwn__k" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 0.8 Y)" devices ())
(name "m4jwlcwn__l" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 Y)" devices ())
(name "m4jwlcwn__m" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 AD)" devices ())
(name "m4jwlcwn__n" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 B)" devices ())
(name "m4jwlcwn__o" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 BD)" devices ())
(name "m4jwlcwn__p" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 C)" devices ())
(name "m4jwlcwn__q" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 D)" devices ())
(name "m4jwlcwn__r" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 KD)" devices ())
(name "m4jwlcwn__s" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 RD)" devices ())
(name "m4jwlcwn__t" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 YD)" devices ())
(name "m4jwlcwn__u" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 K)" devices ())
(name "m4jwlcwn__v" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 R)" devices ())
(name "m4jwlcwn__w" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0)" devices ())
(name "m4jwlcwn__x" year "199?" manufacturer "Barcrest" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 Y)" devices ())
(name "m4jwlcwn__y" year "199?" manufacturer "hack" desc "Jewel In the Crown (Barcrest) (MPU4) (CJH 1.0 C, hack)" devices ())
(name "m4jwlcwn__z" year "199?" manufacturer "hack" desc "Jewel In the Crown (Barcrest) (MPU4) (CJE 1.0 C, hack)" devices ())
(name "m4kingg" year "199?" manufacturer "Avantime?" desc "King George (Avantime?) (MPU4) (set 1)" devices ())
(name "m4kingg__a" year "199?" manufacturer "Avantime?" desc "King George (Avantime?) (MPU4) (set 2)" devices ())
(name "m4kingq" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE4 2.1 K/ EE  2.1)" devices ())
(name "m4kingq__a" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE8 2.2 K / EE  2.2)" devices ())
(name "m4kingq__b" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 K / EE_ 2.0)" devices ())
(name "m4kingq__c" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  1.0 K / EE  1.0)" devices ())
(name "m4kingq__d" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 B / EE_ 2.0)" devices ())
(name "m4kingq__e" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  1.0 B / EE  1.0)" devices ())
(name "m4kingq__f" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 BD / EE_ 2.0)" devices ())
(name "m4kingq__g" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  1.0 BD / EE  1.0)" devices ())
(name "m4kingq__h" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 BA / EE_ 2.0)" devices ())
(name "m4kingq__i" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 R / EE_ 2.0)" devices ())
(name "m4kingq__j" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  1.0 CB / EE  1.0)" devices ())
(name "m4kingq__k" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 YD / EE_ 2.0)" devices ())
(name "m4kingq__l" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 K / EE_ 2.0)" devices ())
(name "m4kingq__m" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 B / EE_ 2.0)" devices ())
(name "m4kingq__n" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 BD / EE_ 2.0)" devices ())
(name "m4kingq__o" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 AD / EE_ 2.0)" devices ())
(name "m4kingq__p" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 BR / EE_ 2.0)" devices ())
(name "m4kingq__r" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE' 2.0 YD / EE_ 2.0)" devices ())
(name "m4kingq__s" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE  2.0 C / EE_ 2.0)" devices ())
(name "m4kingq__t" year "199?" manufacturer "BWB" desc "Kings & Queens (Barcrest) (MPU4) (EE2 1.0 / EE2 1.0)" devices ())
(name "m4kingqc" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 / CN4 6.0 YD)" devices ())
(name "m4kingqc__0" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 1.0 YD)" devices ())
(name "m4kingqc__1" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN  1.4 D)" devices ())
(name "m4kingqc__2" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN  1.4 K)" devices ())
(name "m4kingqc__3" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN  1.4 B)" devices ())
(name "m4kingqc__4" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN  1.4 AD)" devices ())
(name "m4kingqc__5" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN  1.4 BR)" devices ())
(name "m4kingqc__a" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 YD)" devices ())
(name "m4kingqc__b" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 D)" devices ())
(name "m4kingqc__c" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  2.0 K)" devices ())
(name "m4kingqc__d" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 K)" devices ())
(name "m4kingqc__e" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 5.0 K)" devices ())
(name "m4kingqc__f" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  2.0 B)" devices ())
(name "m4kingqc__g" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 B)" devices ())
(name "m4kingqc__h" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 5.0 B)" devices ())
(name "m4kingqc__i" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 / CN4 6.0 BA)" devices ())
(name "m4kingqc__j" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 BA)" devices ())
(name "m4kingqc__k" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 5.0 BA)" devices ())
(name "m4kingqc__l" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  2.0 R)" devices ())
(name "m4kingqc__m" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN / CN  3.0 BR)" devices ())
(name "m4kingqc__n" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 5.0 BR)" devices ())
(name "m4kingqc__q" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CN4 5.0 YD)" devices ())
(name "m4kingqc__r" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 YD)" devices ())
(name "m4kingqc__s" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 D)" devices ())
(name "m4kingqc__t" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 Y)" devices ())
(name "m4kingqc__u" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 K)" devices ())
(name "m4kingqc__v" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 B)" devices ())
(name "m4kingqc__w" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 BD)" devices ())
(name "m4kingqc__x" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 AD)" devices ())
(name "m4kingqc__y" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 2.0 BR)" devices ())
(name "m4kingqc__z" year "199?" manufacturer "BWB" desc "Kings & Queens Classic (Barcrest) (MPU4) (CNT, CN4 1.0)" devices ())
(name "m4kingqn" year "199?" manufacturer "Crystal" desc "Kings & Queens Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4kingqna" year "199?" manufacturer "Crystal" desc "Kings & Queens Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4kqclub" year "199?" manufacturer "Newby" desc "Kings & Queens Club (Newby) (MPU4)" devices ())
(name "m4lazy" year "199?" manufacturer "BWB" desc "Lazy Bones (BWB) (MPU4) (LBD 1.0)" devices ())
(name "m4lazya" year "199?" manufacturer "BWB" desc "Lazy Bones (BWB) (MPU4) (LBD 1.2, set 1)" devices ())
(name "m4lazyb" year "199?" manufacturer "BWB" desc "Lazy Bones (BWB) (MPU4) (LBD 1.2, set 2)" devices ())
(name "m4libty" year "199?" manufacturer "Barcrest" desc "Liberty (Barcrest) (Dutch) (MPU4) (DLI 1.0)" devices ())
(name "m4lineup" year "199?" manufacturer "BWB" desc "Line Up (BWB) (MPU4) (set 1)" devices ())
(name "m4lineupa" year "199?" manufacturer "BWB" desc "Line Up (BWB) (MPU4) (set 2)" devices ())
(name "m4ln7" year "199?" manufacturer "BWB" desc "Lucky Number 7 (BWB) (MPU4) (set 1)" devices ())
(name "m4ln7__a" year "199?" manufacturer "BWB" desc "Lucky Number 7 (BWB) (MPU4) (set 2)" devices ())
(name "m4ln7__b" year "199?" manufacturer "BWB" desc "Lucky Number 7 (BWB) (MPU4) (set 3)" devices ())
(name "m4ln7__c" year "199?" manufacturer "BWB" desc "Lucky Number 7 (BWB) (MPU4) (set 4)" devices ())
(name "m4ln7__d" year "199?" manufacturer "BWB" desc "Lucky Number 7 (BWB) (MPU4) (set 5)" devices ())
(name "m4loadmn" year "199?" manufacturer "Barcrest" desc "Loads A Money (Barcrest) (MPU4) (LA 1.0)" devices ())
(name "m4loadmna" year "199?" manufacturer "Barcrest" desc "Loads A Money (Barcrest) (MPU4) (LA 1.1, set 1)" devices ())
(name "m4loadmnb" year "199?" manufacturer "Barcrest" desc "Loads A Money (Barcrest) (MPU4) (LA 1.1, set 2)" devices ())
(name "m4looplt" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 1)" devices ())
(name "m4looplt__a" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 2)" devices ())
(name "m4looplt__b" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 3)" devices ())
(name "m4looplt__c" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 4)" devices ())
(name "m4looplt__d" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 5)" devices ())
(name "m4looplt__e" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 6)" devices ())
(name "m4looplt__f" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 7)" devices ())
(name "m4looplt__g" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 8)" devices ())
(name "m4looplt__h" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 9)" devices ())
(name "m4looplt__i" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 10)" devices ())
(name "m4looplt__j" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 11)" devices ())
(name "m4looplt__k" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 12)" devices ())
(name "m4looplt__l" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 13)" devices ())
(name "m4looplt__m" year "199?" manufacturer "Qps" desc "Loop The Loot (Qps) (MPU4) (set 14)" devices ())
(name "m4lotclb" year "199?" manufacturer "Crystal" desc "Lottery Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4lotclba" year "199?" manufacturer "Crystal" desc "Lottery Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4lotty" year "199?" manufacturer "Union" desc "Lotty Time (Union) (MPU4)" devices ())
(name "m4luck7" year "199?" manufacturer "Barcrest" desc "Lucky 7 (Barcrest) (Dutch) (MPU4)" devices ())
(name "m4luckdv" year "199?" manufacturer "Barcrest" desc "Lucky Devil (Barcrest) (Czech) (MPU4) (CLD 3.0)" devices ())
(name "m4luckdvd" year "199?" manufacturer "Barcrest" desc "Lucky Devil (Barcrest) (Dutch) (MPU4) (DLD 1.3)" devices ())
(name "m4lucklv" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLV 0.2)" devices ())
(name "m4lucklv__0" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 K)" devices ())
(name "m4lucklv__1" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 R)" devices ())
(name "m4lucklv__2" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3)" devices ())
(name "m4lucklv__3" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 Y)" devices ())
(name "m4lucklv__4" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 AD)" devices ())
(name "m4lucklv__5" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 B)" devices ())
(name "m4lucklv__6" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 BD)" devices ())
(name "m4lucklv__7" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 D)" devices ())
(name "m4lucklv__8" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 KD)" devices ())
(name "m4lucklv__9" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 RD)" devices ())
(name "m4lucklv__a" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 AD)" devices ())
(name "m4lucklv__aa" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 YD)" devices ())
(name "m4lucklv__ab" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 K)" devices ())
(name "m4lucklv__ac" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 R)" devices ())
(name "m4lucklv__ad" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1)" devices ())
(name "m4lucklv__ae" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLU 0.1 Y)" devices ())
(name "m4lucklv__af" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLV 0.2 B)" devices ())
(name "m4lucklv__ag" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLV 0.2 C)" devices ())
(name "m4lucklv__ah" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLV 0.2 D)" devices ())
(name "m4lucklv__ai" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLV 0.2 R)" devices ())
(name "m4lucklv__b" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 B)" devices ())
(name "m4lucklv__c" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 BD)" devices ())
(name "m4lucklv__d" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 D)" devices ())
(name "m4lucklv__e" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 KD)" devices ())
(name "m4lucklv__f" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 YD)" devices ())
(name "m4lucklv__g" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 K)" devices ())
(name "m4lucklv__h" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1)" devices ())
(name "m4lucklv__i" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL3 0.1 Y)" devices ())
(name "m4lucklv__j" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 AD)" devices ())
(name "m4lucklv__k" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 B)" devices ())
(name "m4lucklv__l" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 BD)" devices ())
(name "m4lucklv__m" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 C)" devices ())
(name "m4lucklv__n" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 D)" devices ())
(name "m4lucklv__o" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 KD)" devices ())
(name "m4lucklv__p" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 YD)" devices ())
(name "m4lucklv__q" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 K)" devices ())
(name "m4lucklv__r" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1)" devices ())
(name "m4lucklv__s" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LL8 0.1 Y)" devices ())
(name "m4lucklv__t" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 AD)" devices ())
(name "m4lucklv__u" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 B)" devices ())
(name "m4lucklv__v" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 BD)" devices ())
(name "m4lucklv__w" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 D)" devices ())
(name "m4lucklv__x" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 KD)" devices ())
(name "m4lucklv__y" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 RD)" devices ())
(name "m4lucklv__z" year "199?" manufacturer "Barcrest" desc "Lucky Las Vegas (Barcrest) (MPU4) (LLT 0.3 YD)" devices ())
(name "m4lucksc" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (CLU 1.4)" devices ())
(name "m4lucksc__a" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (CLU 1.4 F)" devices ())
(name "m4lucksc__b" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (CLU 1.4 D)" devices ())
(name "m4lucksc__c" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GLS 0.6 D)" devices ())
(name "m4lucksc__d" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GLS 0.6 F)" devices ())
(name "m4lucksc__e" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GLS 0.6)" devices ())
(name "m4lucksc__f" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GS3 0.1 D)" devices ())
(name "m4lucksc__g" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GS3 0.1 F)" devices ())
(name "m4lucksc__h" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (GS3 0.1)" devices ())
(name "m4lucksc__i" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (LS3 0.1 D)" devices ())
(name "m4lucksc__j" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (LS3 0.1 F)" devices ())
(name "m4lucksc__k" year "199?" manufacturer "Barcrest" desc "Lucky Strike Club (Barcrest) (MPU4) (LS3 0.1)" devices ())
(name "m4lucksc__l" year "199?" manufacturer "BWB" desc "Lucky Strike Club (Barcrest) (MPU4) (LSC 1.0)" devices ())
(name "m4luckst" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6)" devices ())
(name "m4luckst__0" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 K)" devices ())
(name "m4luckst__1" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 R)" devices ())
(name "m4luckst__2" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7)" devices ())
(name "m4luckst__3" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 Y)" devices ())
(name "m4luckst__4" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 AD)" devices ())
(name "m4luckst__5" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 B)" devices ())
(name "m4luckst__6" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 BD)" devices ())
(name "m4luckst__7" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 D)" devices ())
(name "m4luckst__8" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 DH)" devices ())
(name "m4luckst__9" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 KD)" devices ())
(name "m4luckst__a" year "199?" manufacturer "hack" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9, hack)" devices ())
(name "m4luckst__aa" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 RD)" devices ())
(name "m4luckst__ab" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 YD)" devices ())
(name "m4luckst__ac" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 H)" devices ())
(name "m4luckst__ad" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 K)" devices ())
(name "m4luckst__ae" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 R)" devices ())
(name "m4luckst__af" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9)" devices ())
(name "m4luckst__ag" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 0.9 Y)" devices ())
(name "m4luckst__ah" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 AD)" devices ())
(name "m4luckst__ai" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 B)" devices ())
(name "m4luckst__aj" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 BD)" devices ())
(name "m4luckst__ak" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 D)" devices ())
(name "m4luckst__al" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 DH)" devices ())
(name "m4luckst__am" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 KD)" devices ())
(name "m4luckst__an" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 RD)" devices ())
(name "m4luckst__ao" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 YD)" devices ())
(name "m4luckst__ap" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 H)" devices ())
(name "m4luckst__aq" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 K)" devices ())
(name "m4luckst__ar" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 R)" devices ())
(name "m4luckst__as" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0)" devices ())
(name "m4luckst__at" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LST 1.0 Y)" devices ())
(name "m4luckst__au" year "199?" manufacturer "hack" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 C, hack, set 1)" devices ())
(name "m4luckst__av" year "199?" manufacturer "hack" desc "Lucky Strike (Barcrest) (MPU4) (LSS 1.0 K, hack)" devices ())
(name "m4luckst__aw" year "199?" manufacturer "BWB" desc "Lucky Strike (Barcrest) (MPU4) (LSS 1.0 K)" devices ())
(name "m4luckst__b" year "199?" manufacturer "hack" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 C, hack, set 2)" devices ())
(name "m4luckst__c" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 AD)" devices ())
(name "m4luckst__d" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 B)" devices ())
(name "m4luckst__e" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 BD)" devices ())
(name "m4luckst__f" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 C)" devices ())
(name "m4luckst__g" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 D)" devices ())
(name "m4luckst__h" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 DH)" devices ())
(name "m4luckst__i" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 KD)" devices ())
(name "m4luckst__j" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 RD)" devices ())
(name "m4luckst__k" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 YD)" devices ())
(name "m4luckst__l" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 H)" devices ())
(name "m4luckst__m" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 K)" devices ())
(name "m4luckst__n" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 R)" devices ())
(name "m4luckst__p" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.6 Y)" devices ())
(name "m4luckst__q" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 AD)" devices ())
(name "m4luckst__r" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 B)" devices ())
(name "m4luckst__s" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 BD)" devices ())
(name "m4luckst__t" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 C)" devices ())
(name "m4luckst__u" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 D)" devices ())
(name "m4luckst__v" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 DH)" devices ())
(name "m4luckst__w" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 KD)" devices ())
(name "m4luckst__x" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 RD)" devices ())
(name "m4luckst__y" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 YD)" devices ())
(name "m4luckst__z" year "199?" manufacturer "Barcrest" desc "Lucky Strike (Barcrest) (MPU4) (LSS 0.7 H)" devices ())
(name "m4luckwb" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 1)" devices ())
(name "m4luckwba" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 2)" devices ())
(name "m4luckwbb" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 3)" devices ())
(name "m4luckwbc" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 4)" devices ())
(name "m4luckwbd" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 5, unprotected)" devices ())
(name "m4luckwbe" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 6)" devices ())
(name "m4luckwbf" year "199?" manufacturer "<unknown>" desc "Lucky Wild Boar (MPU4) (set 7)" devices ())
(name "m4luxor" year "199?" manufacturer "Barcrest" desc "Luxor (Barcrest) (MPU4) (LUX 0.6)" devices ())
(name "m4luxor__a" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (LX5 1.0, hack, set 1)" devices ())
(name "m4luxor__b" year "199?" manufacturer "Bwb / hack?" desc "Luxor (Barcrest) (MPU4) (LX101.0, hack?, set 1)" devices ())
(name "m4luxor__c" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (V1  0.6, hack, set 2)" devices ())
(name "m4luxor__d" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (LX5 1.0, hack, set 2)" devices ())
(name "m4luxor__e" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (LX5 1.0, hack, set 3)" devices ())
(name "m4luxor__f" year "199?" manufacturer "Barcrest" desc "Luxor (Barcrest) (MPU4) (LUX 0.6 C)" devices ())
(name "m4luxor__g" year "199?" manufacturer "Barcrest" desc "Luxor (Barcrest) (MPU4) (LUX 0.6 D)" devices ())
(name "m4luxor__h" year "199?" manufacturer "Barcrest" desc "Luxor (Barcrest) (MPU4) (LUX 0.6 K)" devices ())
(name "m4luxor__i" year "199?" manufacturer "Barcrest" desc "Luxor (Barcrest) (MPU4) (LUX 0.6 Y)" devices ())
(name "m4luxor__j" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (V1  0.6, hack, set 1)" devices ())
(name "m4luxor__k" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (LX5 1.0, hack, set 4)" devices ())
(name "m4luxor__l" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (LX5 1.0, hack, set 5)" devices ())
(name "m4luxor__m" year "199?" manufacturer "Bwb / hack?" desc "Luxor (Barcrest) (MPU4) (LX101.0, hack?, set 2)" devices ())
(name "m4luxor__n" year "199?" manufacturer "Bwb / hack?" desc "Luxor (Barcrest) (MPU4) (LX101.0, hack?, set 3)" devices ())
(name "m4luxor__o" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (V1  0.6, hack, set 3)" devices ())
(name "m4luxor__p" year "199?" manufacturer "hack" desc "Luxor (Barcrest) (MPU4) (V1  0.6, hack, set 4)" devices ())
(name "m4luxor__q" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX5 1.0 K)" devices ())
(name "m4luxor__r" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX5 1.0)" devices ())
(name "m4luxor__s" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX5 1.0 YD)" devices ())
(name "m4luxor__t" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX5 1.0 D)" devices ())
(name "m4luxor__u" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX101.0 K)" devices ())
(name "m4luxor__v" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX101.0)" devices ())
(name "m4luxor__w" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX101.0 YD)" devices ())
(name "m4luxor__x" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX101.0 D)" devices ())
(name "m4luxor__y" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX5 1.0 CK)" devices ())
(name "m4luxor__z" year "199?" manufacturer "BWB" desc "Luxor (Barcrest) (MPU4) (LX101.0 CK)" devices ())
(name "m4lvlcl" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 0.1)" devices ())
(name "m4lvlcl__a" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 3.0)" devices ())
(name "m4lvlcl__b" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 3.0 D)" devices ())
(name "m4lvlcl__c" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 3.0 K)" devices ())
(name "m4lvlcl__d" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 3.0 B)" devices ())
(name "m4lvlcl__e" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 0.1 AD)" devices ())
(name "m4lvlcl__f" year "199?" manufacturer "BWB" desc "Lucky Las Vegas Classic (Barcrest) (MPU4) (LLU 3.0 AD)" devices ())
(name "m4madhse" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2)" devices ())
(name "m4madhse__0" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2)" devices ())
(name "m4madhse__a" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MAD 0.5 C)" devices ())
(name "m4madhse__b" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 Y)" devices ())
(name "m4madhse__c" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MAD 0.5)" devices ())
(name "m4madhse__d" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1 C)" devices ())
(name "m4madhse__e" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1 D)" devices ())
(name "m4madhse__f" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1 YD)" devices ())
(name "m4madhse__g" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1 K)" devices ())
(name "m4madhse__h" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1)" devices ())
(name "m4madhse__i" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MD8 0.1 Y)" devices ())
(name "m4madhse__j" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 AD)" devices ())
(name "m4madhse__k" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 B)" devices ())
(name "m4madhse__l" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 BD)" devices ())
(name "m4madhse__m" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 D)" devices ())
(name "m4madhse__n" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 KD)" devices ())
(name "m4madhse__o" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 RD)" devices ())
(name "m4madhse__p" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 YD)" devices ())
(name "m4madhse__q" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 K)" devices ())
(name "m4madhse__r" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 R)" devices ())
(name "m4madhse__s" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MH5 0.2 Y)" devices ())
(name "m4madhse__t" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 AD)" devices ())
(name "m4madhse__u" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 B)" devices ())
(name "m4madhse__v" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 BD)" devices ())
(name "m4madhse__w" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 D)" devices ())
(name "m4madhse__x" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 KD)" devices ())
(name "m4madhse__y" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 YD)" devices ())
(name "m4madhse__z" year "199?" manufacturer "Barcrest" desc "Mad House (Barcrest) (MPU4) (MHT 0.2 K)" devices ())
(name "m4madmnc" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 1)" devices ())
(name "m4madmnc__a" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 2)" devices ())
(name "m4madmnc__b" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 3)" devices ())
(name "m4madmnc__c" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 4)" devices ())
(name "m4madmnc__d" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 5)" devices ())
(name "m4madmnc__e" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 6)" devices ())
(name "m4madmnc__f" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 7)" devices ())
(name "m4madmnc__g" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 8)" devices ())
(name "m4madmnc__h" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 9)" devices ())
(name "m4madmnc__i" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 10)" devices ())
(name "m4madmnc__j" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 11)" devices ())
(name "m4madmnc__k" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 12)" devices ())
(name "m4madmnc__l" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 13)" devices ())
(name "m4madmnc__m" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 14)" devices ())
(name "m4madmnc__n" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 15)" devices ())
(name "m4madmnc__o" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 16)" devices ())
(name "m4madmnc__p" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 17)" devices ())
(name "m4madmnc__q" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 18)" devices ())
(name "m4madmnc__r" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 19)" devices ())
(name "m4madmnc__s" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 20)" devices ())
(name "m4madmnc__t" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 21)" devices ())
(name "m4madmnc__u" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 22)" devices ())
(name "m4madmnc__v" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 23)" devices ())
(name "m4madmnc__w" year "199?" manufacturer "BWB" desc "Mad Money Classic (BWB) (MPU4) (set 24)" devices ())
(name "m4madmon" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 1)" devices ())
(name "m4madmon__a" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 2)" devices ())
(name "m4madmon__b" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 3)" devices ())
(name "m4madmon__c" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 4)" devices ())
(name "m4madmon__d" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 5)" devices ())
(name "m4madmon__e" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 6)" devices ())
(name "m4madmon__f" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 7)" devices ())
(name "m4madmon__g" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 8)" devices ())
(name "m4madmon__h" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 9)" devices ())
(name "m4madmon__i" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 10)" devices ())
(name "m4madmon__j" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 11)" devices ())
(name "m4madmon__k" year "199?" manufacturer "BWB" desc "Mad Money (BWB) (MPU4) (set 12)" devices ())
(name "m4mag7s" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2)" devices ())
(name "m4mag7s__0" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 Y)" devices ())
(name "m4mag7s__1" year "199?" manufacturer "hack" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5, hack)" devices ())
(name "m4mag7s__2" year "199?" manufacturer "hack" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2, hack)" devices ())
(name "m4mag7s__3" year "199?" manufacturer "hack" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6, hack)" devices ())
(name "m4mag7s__4" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 AD)" devices ())
(name "m4mag7s__5" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 B)" devices ())
(name "m4mag7s__6" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 BD)" devices ())
(name "m4mag7s__7" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 C)" devices ())
(name "m4mag7s__8" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 D)" devices ())
(name "m4mag7s__9" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 DH)" devices ())
(name "m4mag7s__a" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.4)" devices ())
(name "m4mag7s__aa" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 KD)" devices ())
(name "m4mag7s__ab" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 RD)" devices ())
(name "m4mag7s__ac" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 YD)" devices ())
(name "m4mag7s__ad" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 H)" devices ())
(name "m4mag7s__ae" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 K)" devices ())
(name "m4mag7s__af" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 R)" devices ())
(name "m4mag7s__ag" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.2 Y)" devices ())
(name "m4mag7s__ah" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 AD)" devices ())
(name "m4mag7s__ai" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 B)" devices ())
(name "m4mag7s__aj" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 BD)" devices ())
(name "m4mag7s__ak" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 C)" devices ())
(name "m4mag7s__al" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 D)" devices ())
(name "m4mag7s__am" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 DH)" devices ())
(name "m4mag7s__an" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 KD)" devices ())
(name "m4mag7s__ao" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 RD)" devices ())
(name "m4mag7s__ap" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 YD)" devices ())
(name "m4mag7s__aq" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 H)" devices ())
(name "m4mag7s__ar" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 K)" devices ())
(name "m4mag7s__as" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 R)" devices ())
(name "m4mag7s__at" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3)" devices ())
(name "m4mag7s__au" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.3 Y)" devices ())
(name "m4mag7s__av" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MAS 1.0, bad?)" devices ())
(name "m4mag7s__aw" year "199?" manufacturer "BWB" desc "Magnificent 7s (Barcrest) (MPU4) (M7  2.0 CD)" devices ())
(name "m4mag7s__ax" year "199?" manufacturer "BWB" desc "Magnificent 7s (Barcrest) (MPU4) (M7  2.0 CK)" devices ())
(name "m4mag7s__b" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 AD)" devices ())
(name "m4mag7s__c" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 B)" devices ())
(name "m4mag7s__d" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 BD)" devices ())
(name "m4mag7s__e" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 D)" devices ())
(name "m4mag7s__f" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 DH)" devices ())
(name "m4mag7s__g" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 KD)" devices ())
(name "m4mag7s__h" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 RD)" devices ())
(name "m4mag7s__i" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 YD)" devices ())
(name "m4mag7s__j" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 H)" devices ())
(name "m4mag7s__k" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 K)" devices ())
(name "m4mag7s__l" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 R)" devices ())
(name "m4mag7s__m" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5)" devices ())
(name "m4mag7s__n" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.5 Y)" devices ())
(name "m4mag7s__o" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 AD)" devices ())
(name "m4mag7s__p" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 B)" devices ())
(name "m4mag7s__q" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 BD)" devices ())
(name "m4mag7s__r" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 D)" devices ())
(name "m4mag7s__s" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 DH)" devices ())
(name "m4mag7s__t" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 KD)" devices ())
(name "m4mag7s__u" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 RD)" devices ())
(name "m4mag7s__v" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 YD)" devices ())
(name "m4mag7s__w" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 H)" devices ())
(name "m4mag7s__x" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 K)" devices ())
(name "m4mag7s__y" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6 R)" devices ())
(name "m4mag7s__z" year "199?" manufacturer "Barcrest" desc "Magnificent 7s (Barcrest) (MPU4) (MA7 1.6)" devices ())
(name "m4magdrg" year "199?" manufacturer "Barcrest" desc "Magic Dragon (Barcrest) (MPU4) (DMD1.0)" devices ())
(name "m4magi7" year "199?" manufacturer "Crystal" desc "Magic 7's (Crystal) (MPU4) (set 1)" devices ())
(name "m4magi7a" year "199?" manufacturer "Crystal" desc "Magic 7's (Crystal) (MPU4) (set 2)" devices ())
(name "m4maglin" year "199?" manufacturer "Barcrest" desc "Magic Liner (Barcrest) (Dutch) (MPU4) (DMA 2.1)" devices ())
(name "m4magrep" year "199?" manufacturer "Barcrest" desc "Magic Replay (Barcrest) (Dutch) (MPU4) (DMR 1.3)" devices ())
(name "m4magtbo" year "199?" manufacturer "Barcrest" desc "Star Play / Magic Turbo (Barcrest) (MPU4) (XST 0.4)" devices ())
(name "m4makmnt" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3)" devices ())
(name "m4makmnt__0" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 B)" devices ())
(name "m4makmnt__1" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 BD)" devices ())
(name "m4makmnt__2" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 C)" devices ())
(name "m4makmnt__3" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 D)" devices ())
(name "m4makmnt__4" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 KD)" devices ())
(name "m4makmnt__5" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 RD)" devices ())
(name "m4makmnt__6" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 YD)" devices ())
(name "m4makmnt__7" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 K)" devices ())
(name "m4makmnt__8" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 R)" devices ())
(name "m4makmnt__9" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4)" devices ())
(name "m4makmnt__a" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 AD)" devices ())
(name "m4makmnt__aa" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 Y)" devices ())
(name "m4makmnt__ab" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 AD)" devices ())
(name "m4makmnt__ac" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 B)" devices ())
(name "m4makmnt__ad" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 BD)" devices ())
(name "m4makmnt__ae" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 C)" devices ())
(name "m4makmnt__af" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 D)" devices ())
(name "m4makmnt__ag" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 KD)" devices ())
(name "m4makmnt__ah" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 RD)" devices ())
(name "m4makmnt__ai" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 YD)" devices ())
(name "m4makmnt__aj" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 K)" devices ())
(name "m4makmnt__ak" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 R)" devices ())
(name "m4makmnt__al" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5)" devices ())
(name "m4makmnt__am" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.5 Y)" devices ())
(name "m4makmnt__an" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.1)" devices ())
(name "m4makmnt__ao" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.0)" devices ())
(name "m4makmnt__ap" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.1 D)" devices ())
(name "m4makmnt__aq" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.0 D)" devices ())
(name "m4makmnt__ar" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.1 K)" devices ())
(name "m4makmnt__as" year "199?" manufacturer "BWB" desc "Make A Mint (Barcrest) (MPU4) (MA_ 3.0 K)" devices ())
(name "m4makmnt__b" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 B)" devices ())
(name "m4makmnt__c" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 BD)" devices ())
(name "m4makmnt__d" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 C)" devices ())
(name "m4makmnt__e" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 D)" devices ())
(name "m4makmnt__f" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 KD)" devices ())
(name "m4makmnt__g" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 RD)" devices ())
(name "m4makmnt__h" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 YD)" devices ())
(name "m4makmnt__i" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 K)" devices ())
(name "m4makmnt__j" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 R)" devices ())
(name "m4makmnt__k" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4)" devices ())
(name "m4makmnt__l" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.4 Y)" devices ())
(name "m4makmnt__m" year "199?" manufacturer "hack" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4, hack)" devices ())
(name "m4makmnt__n" year "199?" manufacturer "hack" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 C, hack)" devices ())
(name "m4makmnt__o" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 AD)" devices ())
(name "m4makmnt__p" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 B)" devices ())
(name "m4makmnt__q" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 BD)" devices ())
(name "m4makmnt__r" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 C)" devices ())
(name "m4makmnt__s" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 D)" devices ())
(name "m4makmnt__t" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 KD)" devices ())
(name "m4makmnt__u" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 YD)" devices ())
(name "m4makmnt__v" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 K)" devices ())
(name "m4makmnt__w" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 R)" devices ())
(name "m4makmnt__x" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MAM 0.3 Y)" devices ())
(name "m4makmnt__y" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.2)" devices ())
(name "m4makmnt__z" year "199?" manufacturer "Barcrest" desc "Make A Mint (Barcrest) (MPU4) (MMG 0.4 AD)" devices ())
(name "m4matdr" year "199?" manufacturer "Eurogames" desc "Matador (Eurogames) (MPU4)" devices ())
(name "m4maxmze" year "199?" manufacturer "Union" desc "Maximize (Union) (MPU4, set 1)" devices ())
(name "m4maxmzea" year "199?" manufacturer "Union" desc "Maximize (Union) (MPU4, set 2)" devices ())
(name "m4maxmzeb" year "199?" manufacturer "Union" desc "Maximize (Union) (MPU4, set 3)" devices ())
(name "m4maxmzec" year "199?" manufacturer "Union" desc "Maximize (Union) (MPU4, set 4)" devices ())
(name "m4maxmzed" year "199?" manufacturer "Union" desc "Maximize (Union) (MPU4, set 5)" devices ())
(name "m4mayhem" year "199?" manufacturer "Mdm" desc "Mayhem (Mdm) (MPU4, set 1)" devices ())
(name "m4mayhema" year "199?" manufacturer "Mdm" desc "Mayhem (Mdm) (MPU4, set 2)" devices ())
(name "m4mbel" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 1)" devices ())
(name "m4mbel__0" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 28)" devices ())
(name "m4mbel__1" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 29)" devices ())
(name "m4mbel__2" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 30)" devices ())
(name "m4mbel__3" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 31)" devices ())
(name "m4mbel__4" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 32)" devices ())
(name "m4mbel__5" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 33)" devices ())
(name "m4mbel__6" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 34)" devices ())
(name "m4mbel__7" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 35)" devices ())
(name "m4mbel__8" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 36)" devices ())
(name "m4mbel__9" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 37)" devices ())
(name "m4mbel__a" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 2)" devices ())
(name "m4mbel__a0" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 64)" devices ())
(name "m4mbel__aa" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 38)" devices ())
(name "m4mbel__ab" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 39)" devices ())
(name "m4mbel__ac" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 40)" devices ())
(name "m4mbel__ad" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 41)" devices ())
(name "m4mbel__ae" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 42)" devices ())
(name "m4mbel__af" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 43)" devices ())
(name "m4mbel__ag" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 44)" devices ())
(name "m4mbel__ah" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 45)" devices ())
(name "m4mbel__ai" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 46)" devices ())
(name "m4mbel__aj" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 47)" devices ())
(name "m4mbel__ak" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 48)" devices ())
(name "m4mbel__al" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 49)" devices ())
(name "m4mbel__am" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 50)" devices ())
(name "m4mbel__an" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 51)" devices ())
(name "m4mbel__ao" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 52)" devices ())
(name "m4mbel__ap" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 53)" devices ())
(name "m4mbel__aq" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 54)" devices ())
(name "m4mbel__ar" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 55)" devices ())
(name "m4mbel__as" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 56)" devices ())
(name "m4mbel__at" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 57)" devices ())
(name "m4mbel__au" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 58)" devices ())
(name "m4mbel__av" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 59)" devices ())
(name "m4mbel__aw" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 60)" devices ())
(name "m4mbel__ax" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 61)" devices ())
(name "m4mbel__ay" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 62)" devices ())
(name "m4mbel__az" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 63)" devices ())
(name "m4mbel__b" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 3)" devices ())
(name "m4mbel__c" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 4)" devices ())
(name "m4mbel__d" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 5)" devices ())
(name "m4mbel__e" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 6)" devices ())
(name "m4mbel__f" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 7)" devices ())
(name "m4mbel__g" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 8)" devices ())
(name "m4mbel__h" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 9)" devices ())
(name "m4mbel__i" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 10)" devices ())
(name "m4mbel__j" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 11)" devices ())
(name "m4mbel__k" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 12)" devices ())
(name "m4mbel__m" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 14)" devices ())
(name "m4mbel__n" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 15)" devices ())
(name "m4mbel__o" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 16)" devices ())
(name "m4mbel__p" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 17)" devices ())
(name "m4mbel__q" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 18)" devices ())
(name "m4mbel__r" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 19)" devices ())
(name "m4mbel__s" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 20)" devices ())
(name "m4mbel__t" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 21)" devices ())
(name "m4mbel__u" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 22)" devices ())
(name "m4mbel__v" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 23)" devices ())
(name "m4mbel__w" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 24)" devices ())
(name "m4mbel__x" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 25)" devices ())
(name "m4mbel__y" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 26)" devices ())
(name "m4mbel__z" year "199?" manufacturer "Avantime?" desc "Millennium Bells (Avantime?) (MPU4) (set 27)" devices ())
(name "m4mecca" year "199?" manufacturer "Union" desc "Mecca Money (Union) (MPU4)" devices ())
(name "m4megbks" year "199?" manufacturer "Barcrest" desc "Mega Bucks (Barcrest) (MPU4) (BUC 4.1X)" devices ())
(name "m4megbksa" year "199?" manufacturer "Barcrest" desc "Mega Bucks (Barcrest) (MPU4) (BUC 4.1CX)" devices ())
(name "m4megbksb" year "199?" manufacturer "Barcrest" desc "Mega Bucks (Barcrest) (MPU4) (BUC 4.1XD)" devices ())
(name "m4megbksc" year "199?" manufacturer "Barcrest" desc "Mega Bucks (Barcrest) (MPU4) (BUC 3.1)" devices ())
(name "m4meglnk" year "199?" manufacturer "Barcrest" desc "Megalink (Barcrest) (Dutch) (MPU4) (DML 2.0)" devices ())
(name "m4mgpn" year "199?" manufacturer "Nova" desc "Monaco Grand Prix (Nova) (German) (MPU4) (MGP 1.4)" devices ())
(name "m4milclb" year "199?" manufacturer "Barcrest" desc "Millionaire's Club (Barcrest) (MPU4) (MI2 1.0, set 1)" devices ())
(name "m4milclba" year "199?" manufacturer "Barcrest" desc "Millionaire's Club (Barcrest) (MPU4) (MI2 1.0, set 2)" devices ())
(name "m4milclbb" year "199?" manufacturer "Barcrest" desc "Millionaire's Club (Barcrest) (MPU4) (MI2 1.0, set 3)" devices ())
(name "m4milclbc" year "199?" manufacturer "Barcrest" desc "Millionaire's Club (Barcrest) (MPU4) (MIL 5.0, set 1)" devices ())
(name "m4milclbd" year "199?" manufacturer "Barcrest" desc "Millionaire's Club (Barcrest) (MPU4) (MIL 5.0, set 2)" devices ())
(name "m4milrou" year "199?" manufacturer "Avantime?" desc "Millennium Roulette (Avantime?) (MPU4) (set 1)" devices ())
(name "m4milrou__a" year "199?" manufacturer "Avantime?" desc "Millennium Roulette (Avantime?) (MPU4) (set 2)" devices ())
(name "m4mirage" year "199?" manufacturer "Barcrest" desc "Mirage (Barcrest) (MPU4) (RAG 4.1)" devices ())
(name "m4mjp" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 1)" devices ())
(name "m4mjp__a" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 2)" devices ())
(name "m4mjp__b" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 3)" devices ())
(name "m4mjp__c" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 4)" devices ())
(name "m4mjp__d" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 5)" devices ())
(name "m4mjp__e" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 6)" devices ())
(name "m4mjp__f" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 7)" devices ())
(name "m4mjp__g" year "199?" manufacturer "Avantime?" desc "Mega Jackpot (Avantime?) (MPU4) (set 8)" devices ())
(name "m4mmm" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 1)" devices ())
(name "m4mmm__a" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 2)" devices ())
(name "m4mmm__b" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 3)" devices ())
(name "m4mmm__c" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 4)" devices ())
(name "m4mmm__d" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 5)" devices ())
(name "m4mmm__e" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 6)" devices ())
(name "m4mmm__f" year "199?" manufacturer "BWB" desc "Money Mummy Money (BWB) (MPU4) (20/25/30p stake / £10/£15 jackpot) (set 7)" devices ())
(name "m4moneym" year "199?" manufacturer "Barcrest" desc "Money Maker (Barcrest) (MPU4) (MMK 1.6)" devices ())
(name "m4monspn" year "199?" manufacturer "Empire" desc "Money Spinner (Empire) (MPU4, set 1)" devices ())
(name "m4monspna" year "199?" manufacturer "Empire" desc "Money Spinner (Empire) (MPU4, set 2)" devices ())
(name "m4monspnb" year "199?" manufacturer "Empire" desc "Money Spinner (Empire) (MPU4, set 3)" devices ())
(name "m4monte" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 B) (Barcrest) (MPU4)" devices ())
(name "m4monte__a" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 AD) (Barcrest) (MPU4)" devices ())
(name "m4monte__b" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 BD) (Barcrest) (MPU4)" devices ())
(name "m4monte__c" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 C) (Barcrest) (MPU4)" devices ())
(name "m4monte__d" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 D) (Barcrest) (MPU4)" devices ())
(name "m4monte__e" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 KD) (Barcrest) (MPU4)" devices ())
(name "m4monte__f" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 YD) (Barcrest) (MPU4)" devices ())
(name "m4monte__g" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 K) (Barcrest) (MPU4)" devices ())
(name "m4monte__h" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1) (Barcrest) (MPU4)" devices ())
(name "m4monte__i" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NM8 0.1 Y) (Barcrest) (MPU4)" devices ())
(name "m4monte__j" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NMN 0.1 C) (Barcrest) (MPU4)" devices ())
(name "m4monte__k" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NMN 0.1 D) (Barcrest) (MPU4)" devices ())
(name "m4monte__l" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NMN 0.1 K) (Barcrest) (MPU4)" devices ())
(name "m4monte__m" year "199?" manufacturer "Barcrest" desc "Monte Carlo (NMN 0.1) (Barcrest) (MPU4)" devices ())
(name "m4monteza" year "1995" manufacturer "BWB" desc "Monte Carlo (MX052.0 K) (BWB) (MPU4)" devices ())
(name "m4montezb" year "1995" manufacturer "BWB" desc "Monte Carlo (MX102.0 K) (BWB) (MPU4)" devices ())
(name "m4montezc" year "1996" manufacturer "BWB" desc "Monte Carlo (MC  2.0 C) (BWB) (MPU4)" devices ())
(name "m4montezd" year "1996" manufacturer "BWB" desc "Monte Carlo (MC  2.0 K) (BWB) (MPU4)" devices ())
(name "m4monteze" year "1996" manufacturer "BWB" desc "Monte Carlo (MC  2.0 YD) (BWB) (MPU4)" devices ())
(name "m4montezf" year "1996" manufacturer "BWB" desc "Monte Carlo (MC_ 3.0 C) (BWB) (MPU4)" devices ())
(name "m4montezg" year "1996" manufacturer "BWB" desc "Monte Carlo (MC_ 3.0 YD) (BWB) (MPU4)" devices ())
(name "m4montezh" year "1996" manufacturer "BWB" desc "Monte Carlo (MC_ 3.0 K) (BWB) (MPU4)" devices ())
(name "m4montezi" year "1995" manufacturer "BWB" desc "Monte Carlo (MX052.0 C) (BWB) (MPU4)" devices ())
(name "m4montezj" year "1995" manufacturer "BWB" desc "Monte Carlo (MX102.0 C) (BWB) (MPU4)" devices ())
(name "m4montrl" year "199?" manufacturer "Crystal" desc "Money Trail (Crystal) (MPU4) (set 1)" devices ())
(name "m4montrla" year "199?" manufacturer "Crystal" desc "Money Trail (Crystal) (MPU4) (set 2)" devices ())
(name "m4montrlb" year "199?" manufacturer "Crystal" desc "Money Trail (Crystal) (MPU4) (set 3)" devices ())
(name "m4montrlc" year "199?" manufacturer "Crystal" desc "Money Trail (Crystal) (MPU4) (set 4)" devices ())
(name "m4montrld" year "199?" manufacturer "Crystal" desc "Money Trail (Crystal) (MPU4) (set 5)" devices ())
(name "m4multcl" year "199?" manufacturer "Barcrest" desc "Multiplay Club (Barcrest) (MPU4, MP 2.8)" devices ())
(name "m4multwy" year "199?" manufacturer "Barcrest" desc "Multiway (Barcrest) (Dutch) (MPU4) (DMU 1.7)" devices ())
(name "m4mystiq" year "199?" manufacturer "Crystal" desc "Mystique Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4mystiqa" year "199?" manufacturer "Crystal" desc "Mystique Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4mystiqb" year "199?" manufacturer "Crystal" desc "Mystique Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4mystiqc" year "199?" manufacturer "Crystal" desc "Mystique Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4ndup" year "199?" manufacturer "Crystal" desc "Nudge Double Up Deluxe (Crystal) (MPU4) (set 1)" devices ())
(name "m4ndupa" year "199?" manufacturer "Crystal" desc "Nudge Double Up Deluxe (Crystal) (MPU4) (set 2)" devices ())
(name "m4ndupb" year "199?" manufacturer "Crystal" desc "Nudge Double Up Deluxe (Crystal) (MPU4) (set 3)" devices ())
(name "m4ndupc" year "199?" manufacturer "Crystal" desc "Nudge Double Up Deluxe (Crystal) (MPU4) (set 4)" devices ())
(name "m4nhtt" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1)" devices ())
(name "m4nhtt__a" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 AD)" devices ())
(name "m4nhtt__b" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 BD)" devices ())
(name "m4nhtt__c" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 D)" devices ())
(name "m4nhtt__d" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 KD)" devices ())
(name "m4nhtt__e" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 RD)" devices ())
(name "m4nhtt__f" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 YD)" devices ())
(name "m4nhtt__g" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 K)" devices ())
(name "m4nhtt__h" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 R)" devices ())
(name "m4nhtt__i" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 B)" devices ())
(name "m4nhtt__j" year "199?" manufacturer "Barcrest" desc "New Hit the Top (Barcrest) (MPU4) (NHT 0.1 Y)" devices ())
(name "m4nick" year "199?" manufacturer "Barcrest" desc "Nickelodeon (Barcrest) (MPU4) (NIL 4.1, set 1)" devices ())
(name "m4nicka" year "199?" manufacturer "Barcrest" desc "Nickelodeon (Barcrest) (MPU4) (NIL 4.1, set 2)" devices ())
(name "m4nickb" year "199?" manufacturer "Barcrest" desc "Nickelodeon (Barcrest) (MPU4) (NIL 4.1, set 3)" devices ())
(name "m4nickc" year "199?" manufacturer "Barcrest" desc "Nickelodeon (Barcrest) (MPU4) (NIL 4.1, set 4)" devices ())
(name "m4nickd" year "199?" manufacturer "Barcrest" desc "Nickelodeon (Barcrest) (MPU4) (NIL 4.1, set 5)" devices ())
(name "m4nicke" year "199?" manufacturer "bootleg" desc "Nickelodeon (Barcrest) (bootleg) (MPU4) (NIL 2.5)" devices ())
(name "m4nifty" year "199?" manufacturer "Barcrest" desc "Nifty Fifty (Barcrest) (MPU4) (NF 2.0)" devices ())
(name "m4niftya" year "199?" manufacturer "Barcrest" desc "Nifty Fifty (Barcrest) (MPU4) (NF 2.1, set 1)" devices ())
(name "m4niftyb" year "199?" manufacturer "Barcrest" desc "Nifty Fifty (Barcrest) (MPU4) (NF 2.1, set 2)" devices ())
(name "m4nile" year "199?" manufacturer "Barcrest" desc "Nile Jewels (Barcrest) (German) (MPU4) (GJN 0.8)" devices ())
(name "m4nnww" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 / NN4 0.2)" devices ())
(name "m4nnww2" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 X)" devices ())
(name "m4nnww2__a" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 XAD)" devices ())
(name "m4nnww2__b" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 BX)" devices ())
(name "m4nnww2__c" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 BXD)" devices ())
(name "m4nnww2__d" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 XD)" devices ())
(name "m4nnww2__e" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 KXD)" devices ())
(name "m4nnww2__f" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 YXD)" devices ())
(name "m4nnww2__g" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 KX)" devices ())
(name "m4nnww2__h" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 RX)" devices ())
(name "m4nnww2__hx1" year "199?" manufacturer "hack" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 3.4, hack, set 1)" devices ())
(name "m4nnww2__hx2" year "199?" manufacturer "hack" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 3.4, hack, set 2)" devices ())
(name "m4nnww2__hx3" year "199?" manufacturer "hack" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.0, hack, set 1)" devices ())
(name "m4nnww2__hx4" year "199?" manufacturer "hack" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.0, hack, set 2)" devices ())
(name "m4nnww2__hx5" year "199?" manufacturer "hack" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.0, hack, set 3)" devices ())
(name "m4nnww2__i" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 RD)" devices ())
(name "m4nnww2__j" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NN3 0.1 YX)" devices ())
(name "m4nnww2__k" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.2)" devices ())
(name "m4nnww2__l" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.2 X)" devices ())
(name "m4nnww2__m" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.2 BX)" devices ())
(name "m4nnww2__n" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 5.2 CX)" devices ())
(name "m4nnww2__o" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU4, Mod2 type) (NNU 4.0 X)" devices ())
(name "m4nnww__9" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 AD)" devices ())
(name "m4nnww__a" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.1 / NN4 0.1)" devices ())
(name "m4nnww__aa" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 B)" devices ())
(name "m4nnww__ab" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 BD)" devices ())
(name "m4nnww__ac" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 D)" devices ())
(name "m4nnww__ad" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 KD)" devices ())
(name "m4nnww__ae" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 YD)" devices ())
(name "m4nnww__af" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 K)" devices ())
(name "m4nnww__ag" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2)" devices ())
(name "m4nnww__ah" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN4 0.2 Y)" devices ())
(name "m4nnww__ai" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 AD / NN4 0.2)" devices ())
(name "m4nnww__aj" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 B / NN4 0.2)" devices ())
(name "m4nnww__ak" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 D / NN4 0.2)" devices ())
(name "m4nnww__al" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 KD / NN4 0.2)" devices ())
(name "m4nnww__am" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 RD / NN4 0.2)" devices ())
(name "m4nnww__an" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 YD / NN4 0.2)" devices ())
(name "m4nnww__ao" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 K / NN4 0.2)" devices ())
(name "m4nnww__ap" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 R / NN4 0.2)" devices ())
(name "m4nnww__aq" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 BD / NN4 0.2)" devices ())
(name "m4nnww__ar" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (NN5 0.2 Y / NN4 0.2)" devices ())
(name "m4nnww__ax" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.1 B / NN4 0.1)" devices ())
(name "m4nnww__ay" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.1)" devices ())
(name "m4nnww__b" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 AD / NN4 0.1)" devices ())
(name "m4nnww__c" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 B / NN4 0.1)" devices ())
(name "m4nnww__d" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 BD / NN4 0.1)" devices ())
(name "m4nnww__e" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 C / NN4 0.1)" devices ())
(name "m4nnww__f" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 D / NN4 0.1)" devices ())
(name "m4nnww__g" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 KD / NN4 0.1)" devices ())
(name "m4nnww__h" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 RD / NN4 0.1)" devices ())
(name "m4nnww__i" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 YD / NN4 0.1)" devices ())
(name "m4nnww__j" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 AK / NN4 0.1)" devices ())
(name "m4nnww__k" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 R / NN4 0.1)" devices ())
(name "m4nnww__l" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 / NN4 0.1)" devices ())
(name "m4nnww__m" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN1 0.1 Y / NN4 0.1)" devices ())
(name "m4nnww__n" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 AD / NN4 0.2)" devices ())
(name "m4nnww__o" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 B / NN4 0.2)" devices ())
(name "m4nnww__p" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 BD / NN4 0.2)" devices ())
(name "m4nnww__q" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 D / NN4 0.2)" devices ())
(name "m4nnww__r" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 KD / NN4 0.2)" devices ())
(name "m4nnww__s" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 RD / NN4 0.2)" devices ())
(name "m4nnww__t" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 YD / NN4 0.2)" devices ())
(name "m4nnww__u" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 K / NN4 0.2)" devices ())
(name "m4nnww__v" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 R / NN4 0.2)" devices ())
(name "m4nnww__w" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 / NN4 0.2)" devices ())
(name "m4nnww__x" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNU 0.2 Y / NN4 0.2)" devices ())
(name "m4nnwwc" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 / NN4 0.2)" devices ())
(name "m4nnwwc__0" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 BD / NN4 0.2)" devices ())
(name "m4nnwwc__1" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 D / NN4 0.2)" devices ())
(name "m4nnwwc__2" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 KD / NN4 0.2)" devices ())
(name "m4nnwwc__3" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 RD / NN4 0.2)" devices ())
(name "m4nnwwc__4" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 YD / NN4 0.2)" devices ())
(name "m4nnwwc__5" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 K / NN4 0.2)" devices ())
(name "m4nnwwc__6" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 R / NN4 0.2)" devices ())
(name "m4nnwwc__7" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 C / NN4 0.2)" devices ())
(name "m4nnwwc__8" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 Y / NN4 0.2)" devices ())
(name "m4nnwwc__9" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.1 / NN4 0.1)" devices ())
(name "m4nnwwc__a" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 AD / NN4 0.2)" devices ())
(name "m4nnwwc__aa" year "199?" manufacturer "BWB" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNN 2.0)" devices ())
(name "m4nnwwc__ab" year "199?" manufacturer "BWB" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNN 2.0 D)" devices ())
(name "m4nnwwc__ac" year "199?" manufacturer "BWB" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNN 2.0 K)" devices ())
(name "m4nnwwc__ad" year "199?" manufacturer "BWB" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CNN 2.0 B)" devices ())
(name "m4nnwwc__b" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 B / NN4 0.2)" devices ())
(name "m4nnwwc__c" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 BD / NN4 0.2)" devices ())
(name "m4nnwwc__d" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 C / NN4 0.2)" devices ())
(name "m4nnwwc__e" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 D / NN4 0.2)" devices ())
(name "m4nnwwc__f" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 KD / NN4 0.2)" devices ())
(name "m4nnwwc__g" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 RD / NN4 0.2)" devices ())
(name "m4nnwwc__h" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 YD / NN4 0.2)" devices ())
(name "m4nnwwc__i" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 K / NN4 0.2)" devices ())
(name "m4nnwwc__j" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 R / NN4 0.2)" devices ())
(name "m4nnwwc__k" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 / NN4 0.2)" devices ())
(name "m4nnwwc__l" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CF3 0.2 Y / NN4 0.2)" devices ())
(name "m4nnwwc__m" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 AD / NN4 0.2)" devices ())
(name "m4nnwwc__n" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 B / NN4 0.2)" devices ())
(name "m4nnwwc__o" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 BD / NN4 0.2)" devices ())
(name "m4nnwwc__p" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 C / NN4 0.2)" devices ())
(name "m4nnwwc__q" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 D / NN4 0.2)" devices ())
(name "m4nnwwc__r" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 KD / NN4 0.2)" devices ())
(name "m4nnwwc__s" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 RD / NN4 0.2)" devices ())
(name "m4nnwwc__t" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 YD / NN4 0.2)" devices ())
(name "m4nnwwc__u" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 K / NN4 0.2)" devices ())
(name "m4nnwwc__v" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 R / NN4 0.2)" devices ())
(name "m4nnwwc__w" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2 / NN4 0.2)" devices ())
(name "m4nnwwc__x" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CH3 0.2  / NN4 0.2)" devices ())
(name "m4nnwwc__y" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 AD / NN4 0.2)" devices ())
(name "m4nnwwc__z" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Classic (Barcrest) (MPU4) (CN3 0.2 B / NN4 0.2)" devices ())
(name "m4nod" year "199?" manufacturer "Eurotech" desc "Nod And A Wink (Eurotech) (MPU4)" devices ())
(name "m4nspot" year "199?" manufacturer "Barcrest" desc "Night Spot Club (Barcrest) (MPU4) (NS2 2.2, set 1)" devices ())
(name "m4nspota" year "199?" manufacturer "Barcrest" desc "Night Spot Club (Barcrest) (MPU4) (NS2 2.2, set 2)" devices ())
(name "m4nspotb" year "199?" manufacturer "Barcrest" desc "Night Spot Club (Barcrest) (MPU4) (NIT 1.1)" devices ())
(name "m4nud2p" year "199?" manufacturer "Mdm?" desc "2p Nudger (Mdm?) (MPU4)" devices ())
(name "m4nudbnk" year "199?" manufacturer "Barcrest" desc "Nudge Banker (Barcrest) (MPU4) (SBN 2.0X)" devices ())
(name "m4nudbnk__a" year "199?" manufacturer "Barcrest" desc "Nudge Banker (Barcrest) (MPU4) (NBN 1.0CX)" devices ())
(name "m4nudbnk__b" year "199?" manufacturer "Barcrest" desc "Nudge Banker (Barcrest) (MPU4) (NBN 1.0X)" devices ())
(name "m4nudbnk__c" year "199?" manufacturer "Barcrest" desc "Nudge Banker (Barcrest) (MPU4) (SBN 1.1)" devices ())
(name "m4nudbnk__d" year "199?" manufacturer "Barcrest" desc "Nudge Banker (Barcrest) (MPU4) (SBN 1.1X)" devices ())
(name "m4nudbon" year "199?" manufacturer "Mdm" desc "Nudge Bonanza (Mdm) (MPU4, set 1)" devices ())
(name "m4nudbona" year "199?" manufacturer "Mdm" desc "Nudge Bonanza (Mdm) (MPU4, set 2)" devices ())
(name "m4nudgem" year "199?" manufacturer "Mdm" desc "Nudge Gems (Mdm) (MPU4)" devices ())
(name "m4nudgwc" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 1)" devices ())
(name "m4nudgwc__a" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 2)" devices ())
(name "m4nudgwc__b" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 3)" devices ())
(name "m4nudgwc__c" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 4)" devices ())
(name "m4nudgwc__d" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 5)" devices ())
(name "m4nudgwc__e" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 6)" devices ())
(name "m4nudgwc__f" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 7)" devices ())
(name "m4nudgwc__g" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 8)" devices ())
(name "m4nudgwc__h" year "199?" manufacturer "Concept Games Ltd" desc "Nudge-A-Win (Concept Games Ltd) (MPU4) (set 9)" devices ())
(name "m4nudqst" year "199?" manufacturer "Barcrest" desc "Nudge Quest (Barcrest) (MPU4) (NQ 2.0)" devices ())
(name "m4nudshf" year "199?" manufacturer "Barcrest" desc "Nudge Shuffle (Barcrest) (MPU4) (NUS 3.1) (set 1)" devices ())
(name "m4nudshfa" year "199?" manufacturer "Barcrest" desc "Nudge Shuffle (Barcrest) (MPU4) (NUS 3.0)" devices ())
(name "m4nudshfb" year "199?" manufacturer "Barcrest" desc "Nudge Shuffle (Barcrest) (MPU4) (NUS 3.1) (set 2)" devices ())
(name "m4nudshfc" year "199?" manufacturer "Barcrest" desc "Nudge Shuffle (Barcrest) (MPU4) (NUS 3.1) (set 3)" devices ())
(name "m4nudup" year "199?" manufacturer "Barcrest" desc "Nudge Up (Barcrest) (Dutch) (MPU4) (DNU 2.5)" devices ())
(name "m4nudwin" year "199?" manufacturer "Crystal" desc "Nudge & Win (Crystal) (MPU4) (set 1)" devices ())
(name "m4nudwina" year "199?" manufacturer "Crystal" desc "Nudge & Win (Crystal) (MPU4) (set 2)" devices ())
(name "m4num1" year "199?" manufacturer "Barcrest" desc "Number One (Barcrest) (Dutch) (MPU4) (DNO 1.7)" devices ())
(name "m4oadrac" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.0, set 1)" devices ())
(name "m4oadrac__a" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.1)" devices ())
(name "m4oadrac__b" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.0 D)" devices ())
(name "m4oadrac__c" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.1 D)" devices ())
(name "m4oadrac__d" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.0 K)" devices ())
(name "m4oadrac__e" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.1 K)" devices ())
(name "m4oadrac__f" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.0 B)" devices ())
(name "m4oadrac__g" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.1 B)" devices ())
(name "m4oadrac__h" year "199?" manufacturer "BWB" desc "Ooh Aah Dracula (Barcrest) (MPU4) (DR_ 2.0, set 2)" devices ())
(name "m4octo" year "199?" manufacturer "Nova" desc "Octopus (Nova) (German) (MPU4) (OCT 0.3)" devices ())
(name "m4oldtmr" year "199?" manufacturer "Barcrest" desc "Old Timer (Barcrest) (Dutch) (MPU4) (DOT 1.1)" devices ())
(name "m4olygn" year "199?" manufacturer "BWB" desc "Olympic Gold (German) (Nova) (MPU4) (set 1)" devices ())
(name "m4olygn__a" year "199?" manufacturer "BWB" desc "Olympic Gold (German) (Nova) (MPU4) (set 2)" devices ())
(name "m4omega" year "199?" manufacturer "Barcrest" desc "Omega (Barcrest) (Dutch) (MPU4) (DOM 2.3)" devices ())
(name "m4ordmnd" year "199?" manufacturer "Barcrest" desc "Oriental Diamonds (Barcrest) (German) (MPU4) (RAB 0.1)" devices ())
(name "m4orland" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 1)" devices ())
(name "m4orland__a" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 2)" devices ())
(name "m4orland__b" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 3)" devices ())
(name "m4orland__c" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 4)" devices ())
(name "m4orland__d" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 5)" devices ())
(name "m4orland__e" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 6)" devices ())
(name "m4orland__f" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 7)" devices ())
(name "m4orland__g" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 8)" devices ())
(name "m4orland__h" year "199?" manufacturer "BWB" desc "Orlando Magic (BWB) (MPU4) (set 9)" devices ())
(name "m4overmn" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2)" devices ())
(name "m4overmn__0" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 BD)" devices ())
(name "m4overmn__1" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 D)" devices ())
(name "m4overmn__2" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 KD)" devices ())
(name "m4overmn__3" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 RD)" devices ())
(name "m4overmn__4" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 YD)" devices ())
(name "m4overmn__5" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 K)" devices ())
(name "m4overmn__6" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 R)" devices ())
(name "m4overmn__7" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1)" devices ())
(name "m4overmn__8" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 Y)" devices ())
(name "m4overmn__a" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 B)" devices ())
(name "m4overmn__b" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 C)" devices ())
(name "m4overmn__c" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 KD)" devices ())
(name "m4overmn__d" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 YD)" devices ())
(name "m4overmn__e" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 K)" devices ())
(name "m4overmn__f" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1)" devices ())
(name "m4overmn__g" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OT8 0.1 Y)" devices ())
(name "m4overmn__h" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 B)" devices ())
(name "m4overmn__i" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 C)" devices ())
(name "m4overmn__j" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 D)" devices ())
(name "m4overmn__k" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 YD)" devices ())
(name "m4overmn__l" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 K)" devices ())
(name "m4overmn__m" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5)" devices ())
(name "m4overmn__n" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTN 0.5 Y)" devices ())
(name "m4overmn__o" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 AD)" devices ())
(name "m4overmn__p" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 B)" devices ())
(name "m4overmn__q" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 BD)" devices ())
(name "m4overmn__r" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 D)" devices ())
(name "m4overmn__s" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 KD)" devices ())
(name "m4overmn__t" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 RD)" devices ())
(name "m4overmn__u" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 YD)" devices ())
(name "m4overmn__v" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 K)" devices ())
(name "m4overmn__w" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 R)" devices ())
(name "m4overmn__x" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTT 0.2 Y)" devices ())
(name "m4overmn__y" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 AD)" devices ())
(name "m4overmn__z" year "199?" manufacturer "Barcrest" desc "Over The Moon (Barcrest) (MPU4) (OTU 0.1 B)" devices ())
(name "m4paracl" year "199?" manufacturer "Crystal" desc "Paradise Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4paracla" year "199?" manufacturer "Crystal" desc "Paradise Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4pbnudg" year "199?" manufacturer "Empire" desc "Pinball Nudger (Empire) (MPU4, set 1)" devices ())
(name "m4pbnudga" year "199?" manufacturer "Empire" desc "Pinball Nudger (Empire) (MPU4, set 2)" devices ())
(name "m4pbnudgb" year "199?" manufacturer "Empire" desc "Pinball Nudger (Empire) (MPU4, set 3)" devices ())
(name "m4pick" year "199?" manufacturer "<unknown>" desc "Pick A Fruit (Dutch) (MPU4)" devices ())
(name "m4pitfal" year "199?" manufacturer "Empire" desc "Pitfall (Empire) (MPU4, set 1)" devices ())
(name "m4pitfala" year "199?" manufacturer "Empire" desc "Pitfall (Empire) (MPU4, set 2)" devices ())
(name "m4pitfalb" year "199?" manufacturer "Empire" desc "Pitfall (Empire) (MPU4, set 3)" devices ())
(name "m4pitfalc" year "199?" manufacturer "Empire" desc "Pitfall (Empire) (MPU4, set 4)" devices ())
(name "m4placbt" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7)" devices ())
(name "m4placbt__0" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.4)" devices ())
(name "m4placbt__1" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 AD)" devices ())
(name "m4placbt__2" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 B)" devices ())
(name "m4placbt__3" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 BD)" devices ())
(name "m4placbt__4" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 C)" devices ())
(name "m4placbt__5" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 D)" devices ())
(name "m4placbt__6" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 KD)" devices ())
(name "m4placbt__7" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 RD)" devices ())
(name "m4placbt__8" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 YD)" devices ())
(name "m4placbt__9" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 K)" devices ())
(name "m4placbt__a" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 AD)" devices ())
(name "m4placbt__aa" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 R)" devices ())
(name "m4placbt__ab" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5)" devices ())
(name "m4placbt__ac" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 Y)" devices ())
(name "m4placbt__ad" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 AD)" devices ())
(name "m4placbt__ae" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 B)" devices ())
(name "m4placbt__af" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 BD)" devices ())
(name "m4placbt__ag" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 C)" devices ())
(name "m4placbt__ah" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 D)" devices ())
(name "m4placbt__ai" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 KD)" devices ())
(name "m4placbt__aj" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 RD)" devices ())
(name "m4placbt__ak" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 YD)" devices ())
(name "m4placbt__al" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 K)" devices ())
(name "m4placbt__am" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 R)" devices ())
(name "m4placbt__an" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6)" devices ())
(name "m4placbt__ao" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.6 Y)" devices ())
(name "m4placbt__b" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 B)" devices ())
(name "m4placbt__c" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 BD)" devices ())
(name "m4placbt__d" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 C)" devices ())
(name "m4placbt__e" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 D)" devices ())
(name "m4placbt__f" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 KD)" devices ())
(name "m4placbt__g" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 RD)" devices ())
(name "m4placbt__h" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 YD)" devices ())
(name "m4placbt__i" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 K)" devices ())
(name "m4placbt__j" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 R)" devices ())
(name "m4placbt__k" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6)" devices ())
(name "m4placbt__l" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 Y)" devices ())
(name "m4placbt__m" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 AD)" devices ())
(name "m4placbt__n" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 B)" devices ())
(name "m4placbt__o" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 BD)" devices ())
(name "m4placbt__p" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 C)" devices ())
(name "m4placbt__q" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 D)" devices ())
(name "m4placbt__r" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 KD)" devices ())
(name "m4placbt__s" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 RD)" devices ())
(name "m4placbt__t" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 YD)" devices ())
(name "m4placbt__u" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 K)" devices ())
(name "m4placbt__v" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 R)" devices ())
(name "m4placbt__w" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.7 Y)" devices ())
(name "m4placbt__x" year "199?" manufacturer "Barcrest" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.1)" devices ())
(name "m4placbt__y" year "199?" manufacturer "hack" desc "Place Your Bets (Barcrest) (MPU4) (PYH 0.5 Y, hack)" devices ())
(name "m4placbt__z" year "199?" manufacturer "hack" desc "Place Your Bets (Barcrest) (MPU4) (PYB 0.6 C, hack)" devices ())
(name "m4pont" year "199?" manufacturer "Barcrest" desc "Pontoon Club (Barcrest) (MPU4) (PON 3.0)" devices ())
(name "m4ponta" year "199?" manufacturer "Barcrest" desc "Pontoon Club (Barcrest) (MPU4) (PON 4.0)" devices ())
(name "m4potblk" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6)" devices ())
(name "m4potblk__0" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 R)" devices ())
(name "m4potblk__1" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 Y)" devices ())
(name "m4potblk__2" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 AD)" devices ())
(name "m4potblk__3" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 B)" devices ())
(name "m4potblk__4" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 BD)" devices ())
(name "m4potblk__5" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 C)" devices ())
(name "m4potblk__6" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 DH)" devices ())
(name "m4potblk__7" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 KD)" devices ())
(name "m4potblk__8" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 RD)" devices ())
(name "m4potblk__9" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 YD)" devices ())
(name "m4potblk__a" year "199?" manufacturer "hack" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 Y, hack)" devices ())
(name "m4potblk__aa" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 H)" devices ())
(name "m4potblk__ab" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 K)" devices ())
(name "m4potblk__ac" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 R)" devices ())
(name "m4potblk__ad" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4)" devices ())
(name "m4potblk__ae" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 Y)" devices ())
(name "m4potblk__af" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 AD)" devices ())
(name "m4potblk__ag" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 B)" devices ())
(name "m4potblk__ah" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 BD)" devices ())
(name "m4potblk__ai" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 C)" devices ())
(name "m4potblk__aj" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 D)" devices ())
(name "m4potblk__ak" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 DH)" devices ())
(name "m4potblk__al" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 KD)" devices ())
(name "m4potblk__am" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 RD)" devices ())
(name "m4potblk__an" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 YD)" devices ())
(name "m4potblk__ao" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 H)" devices ())
(name "m4potblk__ap" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 K)" devices ())
(name "m4potblk__aq" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 R)" devices ())
(name "m4potblk__ar" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6)" devices ())
(name "m4potblk__as" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBS 0.6 Y)" devices ())
(name "m4potblk__at" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.2)" devices ())
(name "m4potblk__au" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.1)" devices ())
(name "m4potblk__av" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.2 D)" devices ())
(name "m4potblk__aw" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.1 D)" devices ())
(name "m4potblk__ax" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.1 K)" devices ())
(name "m4potblk__b" year "199?" manufacturer "hack" desc "Pot Black (Barcrest) (MPU4) (PBS 0.4 C, hack)" devices ())
(name "m4potblk__c" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.4)" devices ())
(name "m4potblk__d" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 AD)" devices ())
(name "m4potblk__e" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 B)" devices ())
(name "m4potblk__f" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 BD)" devices ())
(name "m4potblk__g" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 D)" devices ())
(name "m4potblk__h" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 DH)" devices ())
(name "m4potblk__i" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 KD)" devices ())
(name "m4potblk__j" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 RD)" devices ())
(name "m4potblk__k" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 YD)" devices ())
(name "m4potblk__l" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 H)" devices ())
(name "m4potblk__m" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 K)" devices ())
(name "m4potblk__n" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 R)" devices ())
(name "m4potblk__o" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5)" devices ())
(name "m4potblk__p" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.5 Y)" devices ())
(name "m4potblk__q" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 AD)" devices ())
(name "m4potblk__r" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 B)" devices ())
(name "m4potblk__s" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 BD)" devices ())
(name "m4potblk__t" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 D)" devices ())
(name "m4potblk__u" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 DH)" devices ())
(name "m4potblk__v" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 KD)" devices ())
(name "m4potblk__w" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 RD)" devices ())
(name "m4potblk__x" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 YD)" devices ())
(name "m4potblk__y" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 H)" devices ())
(name "m4potblk__z" year "199?" manufacturer "Barcrest" desc "Pot Black (Barcrest) (MPU4) (PBG 1.6 K)" devices ())
(name "m4potlck" year "199?" manufacturer "Barcrest" desc "Pot Luck 100 Club (Barcrest) (MPU4) (P1L 2.2)" devices ())
(name "m4potlcka" year "199?" manufacturer "Barcrest" desc "Pot Luck 100 Club (Barcrest) (MPU4) (PL 2.7)" devices ())
(name "m4prem" year "199?" manufacturer "Barcrest" desc "Premier (Barcrest) (Dutch) (MPU4) (DPM 1.4)" devices ())
(name "m4przdty" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2)" devices ())
(name "m4przdty__a" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 AD)" devices ())
(name "m4przdty__b" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 B)" devices ())
(name "m4przdty__c" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 BD)" devices ())
(name "m4przdty__d" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 D)" devices ())
(name "m4przdty__e" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 DJ)" devices ())
(name "m4przdty__f" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 KD)" devices ())
(name "m4przdty__g" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 YD)" devices ())
(name "m4przdty__h" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 J)" devices ())
(name "m4przdty__i" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 K)" devices ())
(name "m4przdty__j" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2)" devices ())
(name "m4przdty__k" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PD8 0.2 Y)" devices ())
(name "m4przdty__l" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2 B)" devices ())
(name "m4przdty__m" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2 D)" devices ())
(name "m4przdty__n" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2 YD)" devices ())
(name "m4przdty__o" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2 K)" devices ())
(name "m4przdty__p" year "199?" manufacturer "Barcrest" desc "Prize Duty Free (Barcrest) (MPU4) (PDU 0.2 Y)" devices ())
(name "m4przfrt" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3)" devices ())
(name "m4przfrt__a" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 AD)" devices ())
(name "m4przfrt__b" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 B)" devices ())
(name "m4przfrt__c" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 BD)" devices ())
(name "m4przfrt__d" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 D)" devices ())
(name "m4przfrt__e" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 KD)" devices ())
(name "m4przfrt__f" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 RD)" devices ())
(name "m4przfrt__g" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 YD)" devices ())
(name "m4przfrt__h" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 K)" devices ())
(name "m4przfrt__i" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 R)" devices ())
(name "m4przfrt__j" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 Y)" devices ())
(name "m4przfrt__k" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 I)" devices ())
(name "m4przfrt__l" year "199?" manufacturer "Barcrest" desc "Prize Fruit & Loot (Barcrest) (MPU4) (PFR 0.3 O)" devices ())
(name "m4przhr" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3)" devices ())
(name "m4przhr__a" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 AD)" devices ())
(name "m4przhr__b" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 B)" devices ())
(name "m4przhr__c" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 BD)" devices ())
(name "m4przhr__d" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 D)" devices ())
(name "m4przhr__e" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 KD)" devices ())
(name "m4przhr__f" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 YD)" devices ())
(name "m4przhr__g" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 K)" devices ())
(name "m4przhr__h" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1)" devices ())
(name "m4przhr__i" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PR3 0.1 Y)" devices ())
(name "m4przhr__j" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 B)" devices ())
(name "m4przhr__k" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 BD)" devices ())
(name "m4przhr__l" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 D)" devices ())
(name "m4przhr__m" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 KD)" devices ())
(name "m4przhr__n" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 YD)" devices ())
(name "m4przhr__o" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 K)" devices ())
(name "m4przhr__p" year "199?" manufacturer "Barcrest" desc "Prize High Roller (Barcrest) (MPU4) (PRL 0.3 Y)" devices ())
(name "m4przlux" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2)" devices ())
(name "m4przlux__a" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 AD)" devices ())
(name "m4przlux__b" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 B)" devices ())
(name "m4przlux__c" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 D)" devices ())
(name "m4przlux__d" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 YD)" devices ())
(name "m4przlux__e" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 K)" devices ())
(name "m4przlux__f" year "199?" manufacturer "Barcrest" desc "Prize Luxor (Barcrest) (MPU4) (PLX 0.2 Y)" devices ())
(name "m4przmc" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 B) (Barcrest) (MPU4)" devices ())
(name "m4przmc__a" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 AD) (Barcrest) (MPU4)" devices ())
(name "m4przmc__b" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 D) (Barcrest) (MPU4)" devices ())
(name "m4przmc__c" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 YD) (Barcrest) (MPU4)" devices ())
(name "m4przmc__d" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 K) (Barcrest) (MPU4)" devices ())
(name "m4przmc__e" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6) (Barcrest) (MPU4)" devices ())
(name "m4przmc__f" year "199?" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 Y) (Barcrest) (MPU4)" devices ())
(name "m4przmc__g" year "1991" manufacturer "Barcrest" desc "Prize Monte Carlo (MSS 1.6 C) (Barcrest) (MPU4)" devices ())
(name "m4przmc__h" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC 53.0 K) (Barcrest) (MPU4)" devices ())
(name "m4przmc__i" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC 53.0) (Barcrest) (MPU4)" devices ())
(name "m4przmc__j" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC 53.0 YD) (Barcrest) (MPU4)" devices ())
(name "m4przmc__k" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC 53.0 D) (Barcrest) (MPU4)" devices ())
(name "m4przmc__l" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC103.0 K) (Barcrest) (MPU4)" devices ())
(name "m4przmc__m" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC103.0) (Barcrest) (MPU4)" devices ())
(name "m4przmc__n" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC103.0 YD) (Barcrest) (MPU4)" devices ())
(name "m4przmc__o" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MC103.0 D) (Barcrest) (MPU4)" devices ())
(name "m4przmc__p" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MT054.0 K) (Barcrest) (MPU4)" devices ())
(name "m4przmc__q" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MT054.0 C) (Barcrest) (MPU4)" devices ())
(name "m4przmc__r" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MT104.0 K) (Barcrest) (MPU4)" devices ())
(name "m4przmc__s" year "199?" manufacturer "BWB" desc "Prize Monte Carlo (MT104.0 C) (Barcrest) (MPU4)" devices ())
(name "m4przmns" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2)" devices ())
(name "m4przmns__a" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 AD)" devices ())
(name "m4przmns__b" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 B)" devices ())
(name "m4przmns__c" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 BD)" devices ())
(name "m4przmns__d" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 D)" devices ())
(name "m4przmns__e" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 KD)" devices ())
(name "m4przmns__f" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 YD)" devices ())
(name "m4przmns__g" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 K)" devices ())
(name "m4przmns__h" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1)" devices ())
(name "m4przmns__i" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SM8 0.1 Y)" devices ())
(name "m4przmns__j" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2 B)" devices ())
(name "m4przmns__k" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2 D)" devices ())
(name "m4przmns__l" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2 YD)" devices ())
(name "m4przmns__m" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2 K)" devices ())
(name "m4przmns__n" year "199?" manufacturer "Barcrest" desc "Prize Money Showcase (Barcrest) (MPU4) (SPM 0.2 Y)" devices ())
(name "m4przmon" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1)" devices ())
(name "m4przmon__a" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 B)" devices ())
(name "m4przmon__b" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 BD)" devices ())
(name "m4przmon__c" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 D)" devices ())
(name "m4przmon__d" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 DJ)" devices ())
(name "m4przmon__e" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 KD)" devices ())
(name "m4przmon__f" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 YD)" devices ())
(name "m4przmon__g" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 J)" devices ())
(name "m4przmon__h" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 K)" devices ())
(name "m4przmon__i" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 AD)" devices ())
(name "m4przmon__j" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FP8 0.1 Y)" devices ())
(name "m4przmon__k" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3 B)" devices ())
(name "m4przmon__l" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3 D)" devices ())
(name "m4przmon__m" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3 YD)" devices ())
(name "m4przmon__n" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3 K)" devices ())
(name "m4przmon__o" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3)" devices ())
(name "m4przmon__p" year "199?" manufacturer "Barcrest" desc "Prize Money (Barcrest) (MPU4) (FPM 0.3 Y)" devices ())
(name "m4przrf" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1)" devices ())
(name "m4przrf__a" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 B)" devices ())
(name "m4przrf__b" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 BD)" devices ())
(name "m4przrf__c" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 D)" devices ())
(name "m4przrf__d" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 DJ)" devices ())
(name "m4przrf__e" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 KD)" devices ())
(name "m4przrf__f" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 YD)" devices ())
(name "m4przrf__g" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 J)" devices ())
(name "m4przrf__h" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 K)" devices ())
(name "m4przrf__i" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 AD)" devices ())
(name "m4przrf__j" year "199?" manufacturer "Barcrest" desc "Prize Rich & Famous (Barcrest) (MPU4) (PR8 0.1 Y)" devices ())
(name "m4przrfm" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2)" devices ())
(name "m4przrfm__a" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2 D)" devices ())
(name "m4przrfm__b" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2 YD)" devices ())
(name "m4przrfm__c" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2 K)" devices ())
(name "m4przrfm__d" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2 B)" devices ())
(name "m4przrfm__e" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (PRU 0.2 Y)" devices ())
(name "m4przrfm__f" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 B)" devices ())
(name "m4przrfm__g" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 BD)" devices ())
(name "m4przrfm__h" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 D)" devices ())
(name "m4przrfm__i" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 DJ)" devices ())
(name "m4przrfm__j" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 KD)" devices ())
(name "m4przrfm__k" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 YD)" devices ())
(name "m4przrfm__l" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 J)" devices ())
(name "m4przrfm__m" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 K)" devices ())
(name "m4przrfm__n" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1)" devices ())
(name "m4przrfm__o" year "199?" manufacturer "Barcrest" desc "Prize Run For Your Money (Barcrest) (MPU4) (RM8 0.1 Y)" devices ())
(name "m4przsss" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 1)" devices ())
(name "m4przsss__0" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 Y)" devices ())
(name "m4przsss__1" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 C)" devices ())
(name "m4przsss__a" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 2)" devices ())
(name "m4przsss__b" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 3)" devices ())
(name "m4przsss__c" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 4)" devices ())
(name "m4przsss__d" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 5)" devices ())
(name "m4przsss__e" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 6)" devices ())
(name "m4przsss__f" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 7)" devices ())
(name "m4przsss__g" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 8)" devices ())
(name "m4przsss__h" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 9)" devices ())
(name "m4przsss__i" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 10)" devices ())
(name "m4przsss__j" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 11)" devices ())
(name "m4przsss__k" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 12)" devices ())
(name "m4przsss__l" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 13)" devices ())
(name "m4przsss__m" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 14)" devices ())
(name "m4przsss__n" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 15)" devices ())
(name "m4przsss__o" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 16)" devices ())
(name "m4przsss__p" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 17)" devices ())
(name "m4przsss__q" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 18)" devices ())
(name "m4przsss__r" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 19)" devices ())
(name "m4przsss__s" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (set 20)" devices ())
(name "m4przsss__t" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 B)" devices ())
(name "m4przsss__u" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 D)" devices ())
(name "m4przsss__v" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 BD)" devices ())
(name "m4przsss__w" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 YD)" devices ())
(name "m4przsss__x" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 R)" devices ())
(name "m4przsss__y" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5 RD)" devices ())
(name "m4przsss__z" year "199?" manufacturer "Barcrest" desc "Prize Spend Spend Spend (Barcrest) (MPU4) (SSP 0.5)" devices ())
(name "m4przve" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4)" devices ())
(name "m4przve__a" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 AD)" devices ())
(name "m4przve__b" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 B)" devices ())
(name "m4przve__c" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 BD)" devices ())
(name "m4przve__d" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 D)" devices ())
(name "m4przve__e" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 DJ)" devices ())
(name "m4przve__f" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 KD)" devices ())
(name "m4przve__g" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 YD)" devices ())
(name "m4przve__h" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 J)" devices ())
(name "m4przve__i" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 K)" devices ())
(name "m4przve__j" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1)" devices ())
(name "m4przve__k" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PE8 0.1 Y)" devices ())
(name "m4przve__l" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4 B)" devices ())
(name "m4przve__m" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4 D)" devices ())
(name "m4przve__n" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4 YD)" devices ())
(name "m4przve__o" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4 K)" devices ())
(name "m4przve__p" year "199?" manufacturer "Barcrest" desc "Prize Viva Espana (Barcrest) (MPU4) (PES 0.4 Y)" devices ())
(name "m4przwo" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5)" devices ())
(name "m4przwo__a" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 B)" devices ())
(name "m4przwo__b" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 D)" devices ())
(name "m4przwo__c" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 YD)" devices ())
(name "m4przwo__d" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 K)" devices ())
(name "m4przwo__e" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 C)" devices ())
(name "m4przwo__f" year "199?" manufacturer "Barcrest" desc "Prize What's On (Barcrest) (MPU4) (PWO 0.5 Y)" devices ())
(name "m4przwta" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4)" devices ())
(name "m4przwta__a" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 AD)" devices ())
(name "m4przwta__b" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 B)" devices ())
(name "m4przwta__c" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 BD)" devices ())
(name "m4przwta__d" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 D)" devices ())
(name "m4przwta__e" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 DJ)" devices ())
(name "m4przwta__f" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 KD)" devices ())
(name "m4przwta__g" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 YD)" devices ())
(name "m4przwta__h" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 J)" devices ())
(name "m4przwta__i" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 K)" devices ())
(name "m4przwta__j" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2)" devices ())
(name "m4przwta__k" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PW8 0.2 Y)" devices ())
(name "m4przwta__l" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4 A)" devices ())
(name "m4przwta__m" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4 B)" devices ())
(name "m4przwta__n" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4 YD)" devices ())
(name "m4przwta__o" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4 K)" devices ())
(name "m4przwta__p" year "199?" manufacturer "Barcrest" desc "Prize Winner Takes All (Barcrest) (MPU4) (PWN 0.4 R)" devices ())
(name "m4ptblkc" year "199?" manufacturer "BWB" desc "Pot Black (BWB) (MPU4) (PO  1.2 K)" devices ())
(name "m4pulwnc" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 1)" devices ())
(name "m4pulwnc__0" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 28)" devices ())
(name "m4pulwnc__1" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 29)" devices ())
(name "m4pulwnc__2" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 30)" devices ())
(name "m4pulwnc__3" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 31)" devices ())
(name "m4pulwnc__4" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 32)" devices ())
(name "m4pulwnc__a" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 2)" devices ())
(name "m4pulwnc__b" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 3)" devices ())
(name "m4pulwnc__c" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 4)" devices ())
(name "m4pulwnc__d" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 5)" devices ())
(name "m4pulwnc__e" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 6)" devices ())
(name "m4pulwnc__f" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 7)" devices ())
(name "m4pulwnc__g" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 8)" devices ())
(name "m4pulwnc__h" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 9)" devices ())
(name "m4pulwnc__i" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 10)" devices ())
(name "m4pulwnc__j" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 11)" devices ())
(name "m4pulwnc__k" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 12)" devices ())
(name "m4pulwnc__l" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 13)" devices ())
(name "m4pulwnc__m" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 14)" devices ())
(name "m4pulwnc__n" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 15)" devices ())
(name "m4pulwnc__o" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 16)" devices ())
(name "m4pulwnc__p" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 17)" devices ())
(name "m4pulwnc__q" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 18)" devices ())
(name "m4pulwnc__r" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 19)" devices ())
(name "m4pulwnc__s" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 20)" devices ())
(name "m4pulwnc__t" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 21)" devices ())
(name "m4pulwnc__u" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 22)" devices ())
(name "m4pulwnc__v" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 23)" devices ())
(name "m4pulwnc__w" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 24)" devices ())
(name "m4pulwnc__x" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 25)" devices ())
(name "m4pulwnc__y" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 26)" devices ())
(name "m4pulwnc__z" year "199?" manufacturer "Concept Games Ltd" desc "Pull-A-Win (Concept Games Ltd) (MPU4) (set 27)" devices ())
(name "m4purmad" year "199?" manufacturer "Union" desc "Pure Madness (Union)" devices ())
(name "m4pzbing" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 1)" devices ())
(name "m4pzbing__a" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 2)" devices ())
(name "m4pzbing__b" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 3)" devices ())
(name "m4pzbing__c" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 4)" devices ())
(name "m4pzbing__d" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 5)" devices ())
(name "m4pzbing__e" year "199?" manufacturer "BWB" desc "Prize Bingo (BWB) (MPU4) (set 6)" devices ())
(name "m4quidin" year "199?" manufacturer "BWB" desc "Quids In (BWB) (MPU4) (set 1)" devices ())
(name "m4quidin__a" year "199?" manufacturer "BWB" desc "Quids In (BWB) (MPU4) (set 2)" devices ())
(name "m4quidin__b" year "199?" manufacturer "BWB" desc "Quids In (BWB) (MPU4) (set 3)" devices ())
(name "m4quidis" year "199?" manufacturer "BWB" desc "Quids In Showcase (BWB) (MPU4) (set 1)" devices ())
(name "m4quidis__a" year "199?" manufacturer "BWB" desc "Quids In Showcase (BWB) (MPU4) (set 2)" devices ())
(name "m4quidis__b" year "199?" manufacturer "BWB" desc "Quids In Showcase (BWB) (MPU4) (set 3)" devices ())
(name "m4quidis__c" year "199?" manufacturer "BWB" desc "Quids In Showcase (BWB) (MPU4) (set 4)" devices ())
(name "m4quidis__d" year "199?" manufacturer "BWB" desc "Quids In Showcase (BWB) (MPU4) (set 5)" devices ())
(name "m4r2r" year "199?" manufacturer "Barcrest" desc "Reel 2 Reel (Barcrest) (MPU4) (RR  3.0)" devices ())
(name "m4ra" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 1)" devices ())
(name "m4ra__a" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 2)" devices ())
(name "m4ra__b" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 3)" devices ())
(name "m4ra__c" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 4)" devices ())
(name "m4ra__d" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 5)" devices ())
(name "m4ra__e" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 6)" devices ())
(name "m4ra__f" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (R2T 3.3, set 7)" devices ())
(name "m4ra__g" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 1)" devices ())
(name "m4ra__h" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 2)" devices ())
(name "m4ra__i" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 3)" devices ())
(name "m4ra__j" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 4)" devices ())
(name "m4ra__k" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 5)" devices ())
(name "m4ra__l" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 6)" devices ())
(name "m4ra__m" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 7)" devices ())
(name "m4ra__n" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 8)" devices ())
(name "m4ra__o" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RA3 0.2, set 9)" devices ())
(name "m4ra__p" year "199?" manufacturer "Barcrest" desc "Red Alert (Barcrest) (MPU4) (RAH 3.3)" devices ())
(name "m4ra__q" year "199?" manufacturer "bootleg" desc "Red Alert (Barcrest) (bootleg) (MPU4) (R2T 3.1)" devices ())
(name "m4rackem" year "1999" manufacturer "BWB" desc "Rack Em Up (BWB) (MPU4) (ver. 3) (20/25/30p stake / £5/£15 jackpot)" devices ())
(name "m4rackem__a" year "1999" manufacturer "BWB" desc "Rack Em Up (BWB) (MPU4) (ver. 2) (20/25/30p stake / £5/£15 jackpot) (set 1)" devices ())
(name "m4rackem__b" year "1999" manufacturer "BWB" desc "Rack Em Up (BWB) (MPU4) (ver. 2) (20/25/30p stake / £5/£15 jackpot) (set 2)" devices ())
(name "m4rackem__c" year "1999" manufacturer "BWB" desc "Rack Em Up (BWB) (MPU4) (ver. 2) (20/25/30p stake / £5/£15 jackpot) (set 3)" devices ())
(name "m4rackem__d" year "1999" manufacturer "BWB" desc "Rack Em Up (BWB) (MPU4) (ver. 2) (20/25/30p stake / £5/£15 jackpot) (set 4)" devices ())
(name "m4rags" year "199?" manufacturer "Crystal" desc "Rags To Riches Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4ragsa" year "199?" manufacturer "Crystal" desc "Rags To Riches Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4ragsb" year "199?" manufacturer "Crystal" desc "Rags To Riches Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4ragsc" year "199?" manufacturer "Crystal" desc "Rags To Riches Club (Crystal) (MPU4) (set 4)" devices ())
(name "m4randr" year "199?" manufacturer "Barcrest" desc "Random Roulette (Barcrest) (Dutch) (MPU4) (DRR 2.2)" devices ())
(name "m4rbgold" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 1)" devices ())
(name "m4rbgold__a" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 2)" devices ())
(name "m4rbgold__b" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 3)" devices ())
(name "m4rbgold__c" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 4)" devices ())
(name "m4rbgold__d" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 5)" devices ())
(name "m4rbgold__e" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 6)" devices ())
(name "m4rbgold__f" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 7)" devices ())
(name "m4rbgold__g" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 8)" devices ())
(name "m4rbgold__h" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 9)" devices ())
(name "m4rbgold__i" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 10)" devices ())
(name "m4rbgold__j" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 11)" devices ())
(name "m4rbgold__k" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 12)" devices ())
(name "m4rbgold__l" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 13)" devices ())
(name "m4rbgold__m" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 14)" devices ())
(name "m4rbgold__n" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 15)" devices ())
(name "m4rbgold__o" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 16)" devices ())
(name "m4rbgold__p" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 17)" devices ())
(name "m4rbgold__q" year "199?" manufacturer "BWB" desc "Rainbow Gold (BWB) (MPU4) (set 18)" devices ())
(name "m4rckrol" year "199?" manufacturer "Union / Empire" desc "Rock 'n' Roll (Union - Empire) (MPU4, set 1)" devices ())
(name "m4rckrola" year "199?" manufacturer "Union / Empire" desc "Rock 'n' Roll (Union - Empire) (MPU4, set 2)" devices ())
(name "m4rckrolb" year "199?" manufacturer "Union / Empire" desc "Rock 'n' Roll (Union - Empire) (MPU4, set 3)" devices ())
(name "m4rdeal" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 1)" devices ())
(name "m4rdeal__a" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 2)" devices ())
(name "m4rdeal__b" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 3)" devices ())
(name "m4rdeal__c" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 4)" devices ())
(name "m4rdeal__d" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 5)" devices ())
(name "m4rdeal__e" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 6)" devices ())
(name "m4rdeal__f" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 7)" devices ())
(name "m4rdeal__g" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 8)" devices ())
(name "m4rdeal__h" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 9)" devices ())
(name "m4rdeal__i" year "199?" manufacturer "Qps" desc "Reel Deal (Qps) (MPU4) (set 10)" devices ())
(name "m4rdht" year "199?" manufacturer "Barcrest" desc "Red Heat (Barcrest) (Dutch) (MPU4) (DRH 1.2)" devices ())
(name "m4ready" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8)" devices ())
(name "m4ready__0" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 B)" devices ())
(name "m4ready__1" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 BD)" devices ())
(name "m4ready__2" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 C)" devices ())
(name "m4ready__3" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 D)" devices ())
(name "m4ready__4" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 KD)" devices ())
(name "m4ready__5" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 RD)" devices ())
(name "m4ready__6" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 YD)" devices ())
(name "m4ready__7" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 K)" devices ())
(name "m4ready__8" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 R)" devices ())
(name "m4ready__9" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2)" devices ())
(name "m4ready__a" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 AD)" devices ())
(name "m4ready__a0" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 RD)" devices ())
(name "m4ready__a1" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 YD)" devices ())
(name "m4ready__a2" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 K)" devices ())
(name "m4ready__a3" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 R)" devices ())
(name "m4ready__a4" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0)" devices ())
(name "m4ready__a5" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 Y)" devices ())
(name "m4ready__aa" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 Y)" devices ())
(name "m4ready__ab" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 AD)" devices ())
(name "m4ready__ac" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 B)" devices ())
(name "m4ready__ad" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 BD)" devices ())
(name "m4ready__ae" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 C)" devices ())
(name "m4ready__af" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 D)" devices ())
(name "m4ready__ag" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 KD)" devices ())
(name "m4ready__ah" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 YD)" devices ())
(name "m4ready__ai" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 K)" devices ())
(name "m4ready__aj" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 R)" devices ())
(name "m4ready__ak" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2)" devices ())
(name "m4ready__al" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (PPL 0.2 Y)" devices ())
(name "m4ready__am" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 AD)" devices ())
(name "m4ready__an" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 BD)" devices ())
(name "m4ready__ao" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 D)" devices ())
(name "m4ready__ap" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 KD)" devices ())
(name "m4ready__aq" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 YD)" devices ())
(name "m4ready__ar" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 K)" devices ())
(name "m4ready__as" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 B)" devices ())
(name "m4ready__at" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGO 0.8 Y)" devices ())
(name "m4ready__au" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 AD)" devices ())
(name "m4ready__av" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 B)" devices ())
(name "m4ready__aw" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 BD)" devices ())
(name "m4ready__ax" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 C)" devices ())
(name "m4ready__ay" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 D)" devices ())
(name "m4ready__az" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (RGT 1.0 KD)" devices ())
(name "m4ready__b" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 B)" devices ())
(name "m4ready__c" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 BD)" devices ())
(name "m4ready__d" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 C)" devices ())
(name "m4ready__e" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 D)" devices ())
(name "m4ready__f" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 KD)" devices ())
(name "m4ready__g" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 RD)" devices ())
(name "m4ready__h" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 YD)" devices ())
(name "m4ready__i" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 K)" devices ())
(name "m4ready__j" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 R)" devices ())
(name "m4ready__k" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1)" devices ())
(name "m4ready__l" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (CGO 1.1 Y)" devices ())
(name "m4ready__m" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 AD)" devices ())
(name "m4ready__n" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 B)" devices ())
(name "m4ready__o" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 BD)" devices ())
(name "m4ready__p" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 C)" devices ())
(name "m4ready__q" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 D)" devices ())
(name "m4ready__r" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 KD)" devices ())
(name "m4ready__s" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 RD)" devices ())
(name "m4ready__t" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 YD)" devices ())
(name "m4ready__u" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 K)" devices ())
(name "m4ready__v" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 R)" devices ())
(name "m4ready__w" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2)" devices ())
(name "m4ready__x" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (DRR 0.2 Y)" devices ())
(name "m4ready__y" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.1)" devices ())
(name "m4ready__z" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (type 2) (MPU4) (HJJ 0.2 AD)" devices ())
(name "m4redunk" year "199?" manufacturer "bootleg" desc "unknown Barcrest MPU4 'RED 0.4' (MPU4) (bootleg)" devices ())
(name "m4reelpk" year "199?" manufacturer "Barcrest" desc "Reel Poker (Barcrest) (MPU4) (R2P 3.0)" devices ())
(name "m4revolv" year "199?" manufacturer "Union" desc "Revolva (Union) (MPU4)" devices ())
(name "m4rfym" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5)" devices ())
(name "m4rfym__0" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 YD)" devices ())
(name "m4rfym__1" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 K)" devices ())
(name "m4rfym__2" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1)" devices ())
(name "m4rfym__3" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 Y)" devices ())
(name "m4rfym__4" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (V1 8 0.1 C, hack, set 1)" devices ())
(name "m4rfym__5" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (V1 8 0.1 C, hack, set 2)" devices ())
(name "m4rfym__6" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (RUC 1.3 K5, hack, set 1)" devices ())
(name "m4rfym__7" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (RU4 1.1 K5, hack, set 2)" devices ())
(name "m4rfym__8" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 AD)" devices ())
(name "m4rfym__9" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 B)" devices ())
(name "m4rfym__a" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 AD)" devices ())
(name "m4rfym__a0" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1)" devices ())
(name "m4rfym__a1" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 Y)" devices ())
(name "m4rfym__a2" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (V1 8 0.1 C, hack, set 3)" devices ())
(name "m4rfym__a3" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (RUC 1.3 K5, hack, set 2)" devices ())
(name "m4rfym__a4" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (RU4 1.1 K5, hack, set 1)" devices ())
(name "m4rfym__a5" year "199?" manufacturer "hack" desc "Run For Your Money (Barcrest) (MPU4) (RU8 1.2 K5, hack)" devices ())
(name "m4rfym__aa" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 BD)" devices ())
(name "m4rfym__ab" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 D)" devices ())
(name "m4rfym__ac" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 KD)" devices ())
(name "m4rfym__ad" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 YD)" devices ())
(name "m4rfym__ae" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 K)" devices ())
(name "m4rfym__af" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1)" devices ())
(name "m4rfym__ag" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU5 0.1 Y)" devices ())
(name "m4rfym__ah" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 C)" devices ())
(name "m4rfym__ai" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 D)" devices ())
(name "m4rfym__aj" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 KD)" devices ())
(name "m4rfym__ak" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 YD)" devices ())
(name "m4rfym__al" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 K)" devices ())
(name "m4rfym__am" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1)" devices ())
(name "m4rfym__an" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RU8 0.1 Y)" devices ())
(name "m4rfym__ao" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5 C)" devices ())
(name "m4rfym__ap" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5 YD)" devices ())
(name "m4rfym__aq" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5 K)" devices ())
(name "m4rfym__ar" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5 D)" devices ())
(name "m4rfym__as" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUN 0.5 Y)" devices ())
(name "m4rfym__at" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 AD)" devices ())
(name "m4rfym__au" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 B)" devices ())
(name "m4rfym__av" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 BD)" devices ())
(name "m4rfym__aw" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 D)" devices ())
(name "m4rfym__ax" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 KD)" devices ())
(name "m4rfym__ay" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 YD)" devices ())
(name "m4rfym__az" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (RUT 0.1 K)" devices ())
(name "m4rfym__b" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 B)" devices ())
(name "m4rfym__c" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 BD)" devices ())
(name "m4rfym__d" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 D)" devices ())
(name "m4rfym__e" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 KD)" devices ())
(name "m4rfym__f" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 YD)" devices ())
(name "m4rfym__g" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 K)" devices ())
(name "m4rfym__h" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1)" devices ())
(name "m4rfym__i" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP1 0.1 Y)" devices ())
(name "m4rfym__j" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 AD)" devices ())
(name "m4rfym__k" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 B)" devices ())
(name "m4rfym__l" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 BD)" devices ())
(name "m4rfym__m" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 D)" devices ())
(name "m4rfym__n" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 KD)" devices ())
(name "m4rfym__o" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 RD)" devices ())
(name "m4rfym__p" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 YD)" devices ())
(name "m4rfym__q" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 K)" devices ())
(name "m4rfym__r" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 R)" devices ())
(name "m4rfym__s" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2)" devices ())
(name "m4rfym__t" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (AP5 0.2 Y)" devices ())
(name "m4rfym__u" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 AD)" devices ())
(name "m4rfym__v" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 B)" devices ())
(name "m4rfym__w" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 BD)" devices ())
(name "m4rfym__x" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 C)" devices ())
(name "m4rfym__y" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 D)" devices ())
(name "m4rfym__z" year "199?" manufacturer "Barcrest" desc "Run For Your Money (Barcrest) (MPU4) (APR 0.1 KD)" devices ())
(name "m4rhfev" year "1999" manufacturer "BWB" desc "Red Hot Fever (BWB) (MPU4) (ver. 7) (20/25/30p stake / £5/£10/£15 jackpot) (set 1)" devices ())
(name "m4rhfev__a" year "1999" manufacturer "BWB" desc "Red Hot Fever (BWB) (MPU4) (ver. 7) (20/25/30p stake / £5/£10/£15 jackpot) (set 2)" devices ())
(name "m4rhfev__b" year "1999" manufacturer "BWB" desc "Red Hot Fever (BWB) (MPU4) (ver. 7) (20/25/30p stake / £5/£10/£15 jackpot) (set 3)" devices ())
(name "m4rhfev__c" year "1999" manufacturer "BWB" desc "Red Hot Fever (BWB) (MPU4) (ver. 1) (5/10p stake / £5/£8 jackpot) (set 1)" devices ())
(name "m4rhfev__d" year "1999" manufacturer "BWB" desc "Red Hot Fever (BWB) (MPU4) (ver. 1) (5/10p stake / £5/£8 jackpot) (set 2)" devices ())
(name "m4rhfevc" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 1)" devices ())
(name "m4rhfevc__a" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 2)" devices ())
(name "m4rhfevc__b" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 3)" devices ())
(name "m4rhfevc__c" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 4)" devices ())
(name "m4rhfevc__d" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 5)" devices ())
(name "m4rhfevc__e" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 6)" devices ())
(name "m4rhfevc__f" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 7)" devices ())
(name "m4rhfevc__g" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 8)" devices ())
(name "m4rhfevc__h" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 9)" devices ())
(name "m4rhfevc__i" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 10)" devices ())
(name "m4rhfevc__j" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 11)" devices ())
(name "m4rhfevc__k" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 12)" devices ())
(name "m4rhfevc__l" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 13)" devices ())
(name "m4rhfevc__m" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 14)" devices ())
(name "m4rhfevc__n" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 15)" devices ())
(name "m4rhfevc__o" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 16)" devices ())
(name "m4rhfevc__p" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 17)" devices ())
(name "m4rhfevc__q" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 18)" devices ())
(name "m4rhfevc__r" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 19)" devices ())
(name "m4rhfevc__s" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 20)" devices ())
(name "m4rhfevc__t" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 21)" devices ())
(name "m4rhfevc__u" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 22)" devices ())
(name "m4rhfevc__v" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 23)" devices ())
(name "m4rhfevc__w" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 24)" devices ())
(name "m4rhfevc__x" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 25)" devices ())
(name "m4rhfevc__y" year "199?" manufacturer "Concept Games Ltd" desc "Red Hot Fever (Concept Games Ltd) (MPU4) (set 26)" devices ())
(name "m4rhnote" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 1)" devices ())
(name "m4rhnote__a" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 2)" devices ())
(name "m4rhnote__b" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 3)" devices ())
(name "m4rhnote__c" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 4)" devices ())
(name "m4rhnote__d" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 5)" devices ())
(name "m4rhnote__e" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 6)" devices ())
(name "m4rhnote__f" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 7)" devices ())
(name "m4rhnote__g" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 8)" devices ())
(name "m4rhnote__h" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 9)" devices ())
(name "m4rhnote__i" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 10)" devices ())
(name "m4rhnote__j" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 11)" devices ())
(name "m4rhnote__k" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 12)" devices ())
(name "m4rhnote__l" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 13)" devices ())
(name "m4rhnote__m" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 14)" devices ())
(name "m4rhnote__n" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 15)" devices ())
(name "m4rhnote__o" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 16)" devices ())
(name "m4rhnote__p" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 17)" devices ())
(name "m4rhnote__q" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 18)" devices ())
(name "m4rhnote__r" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 19)" devices ())
(name "m4rhnote__s" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 20)" devices ())
(name "m4rhnote__t" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 21)" devices ())
(name "m4rhnote__u" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 22)" devices ())
(name "m4rhnote__v" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 23)" devices ())
(name "m4rhnote__w" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 24)" devices ())
(name "m4rhnote__x" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 25)" devices ())
(name "m4rhnote__y" year "199?" manufacturer "Qps" desc "Red Hot Notes (Qps) (MPU4) (set 26)" devices ())
(name "m4rhog" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2)" devices ())
(name "m4rhog2" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6)" devices ())
(name "m4rhog2__a" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 AD)" devices ())
(name "m4rhog2__b" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 B)" devices ())
(name "m4rhog2__c" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 BD)" devices ())
(name "m4rhog2__d" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 D)" devices ())
(name "m4rhog2__e" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 DH)" devices ())
(name "m4rhog2__f" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 KD)" devices ())
(name "m4rhog2__g" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 RD)" devices ())
(name "m4rhog2__h" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 YD)" devices ())
(name "m4rhog2__i" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 H)" devices ())
(name "m4rhog2__j" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 K)" devices ())
(name "m4rhog2__k" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 R)" devices ())
(name "m4rhog2__l" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 C)" devices ())
(name "m4rhog2__m" year "199?" manufacturer "Barcrest" desc "Road Hog 2 - I'm Back (Barcrest) (MPU4) (2RH 0.6 Y)" devices ())
(name "m4rhog_h1" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 1)" devices ())
(name "m4rhog_h10" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0, hack?, set 3)" devices ())
(name "m4rhog_h11" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0, hack?, set 4)" devices ())
(name "m4rhog_h12" year "1991" manufacturer "hack?" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2?, hack?)" devices ())
(name "m4rhog_h13" year "1991" manufacturer "hack?" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2, hack?)" devices ())
(name "m4rhog_h14" year "1991" manufacturer "hack?" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2C, hack?, set 1)" devices ())
(name "m4rhog_h15" year "1991" manufacturer "hack?" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2C, hack?, set 2)" devices ())
(name "m4rhog_h2" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 2)" devices ())
(name "m4rhog_h3" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 3)" devices ())
(name "m4rhog_h4" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 4)" devices ())
(name "m4rhog_h5" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 5)" devices ())
(name "m4rhog_h6" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 6)" devices ())
(name "m4rhog_h7" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0, hack?, set 7)" devices ())
(name "m4rhog_h8" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0, hack?, set 1)" devices ())
(name "m4rhog_h9" year "1994" manufacturer "hack?" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0, hack?, set 2)" devices ())
(name "m4rhog_roc" year "1995" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (ROC 2.0, bad)" devices ())
(name "m4rhogc" year "199?" manufacturer "Barcrest" desc "Road Hog Club (Barcrest) (MPU4) (RHC 0.5)" devices ())
(name "m4rhogc__a" year "199?" manufacturer "Barcrest" desc "Road Hog Club (Barcrest) (MPU4) (RHC 0.5 F)" devices ())
(name "m4rhogc__b" year "199?" manufacturer "Barcrest" desc "Road Hog Club (Barcrest) (MPU4) (RHC 0.5 D)" devices ())
(name "m4rhogr1" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0)" devices ())
(name "m4rhogr1c" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 C)" devices ())
(name "m4rhogr1d" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 D)" devices ())
(name "m4rhogr1k" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 K, set 1)" devices ())
(name "m4rhogr1k_a" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 K, set 2, wrong version number?)" devices ())
(name "m4rhogr1y" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 Y)" devices ())
(name "m4rhogr1yd" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 1.0 YD)" devices ())
(name "m4rhogr2" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0)" devices ())
(name "m4rhogr2c" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0 C)" devices ())
(name "m4rhogr2d" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0 D)" devices ())
(name "m4rhogr2k" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0 K)" devices ())
(name "m4rhogr2y" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0 Y)" devices ())
(name "m4rhogr2yd" year "1994" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 2.0 YD)" devices ())
(name "m4rhogr3" year "1995" manufacturer "BWB" desc "Road Hog (BWB / Barcrest) (MPU4) (RO_ 3.0)" devices ())
(name "m4rhogr6ad" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 AD)" devices ())
(name "m4rhogr6b" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 B)" devices ())
(name "m4rhogr6c" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 C)" devices ())
(name "m4rhogr6d" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 D)" devices ())
(name "m4rhogr6k" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 K)" devices ())
(name "m4rhogr6y" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 Y)" devices ())
(name "m4rhogr6y_a" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.1 Y)" devices ())
(name "m4rhogr6yd" year "1991" manufacturer "Barcrest" desc "Road Hog (Barcrest) (MPU4) (RR6 1.2 YD)" devices ())
(name "m4rhr" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9)" devices ())
(name "m4rhr__0" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 DY)" devices ())
(name "m4rhr__1" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 K)" devices ())
(name "m4rhr__2" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1)" devices ())
(name "m4rhr__3" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 Y)" devices ())
(name "m4rhr__4" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RH8 0.1 K)" devices ())
(name "m4rhr__5" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 R)" devices ())
(name "m4rhr__6" year "199?" manufacturer "hack" desc "Red Hot Roll (Barcrest) (MPU4) (RH8 0.1 C, hack, set 1)" devices ())
(name "m4rhr__7" year "199?" manufacturer "hack" desc "Red Hot Roll (Barcrest) (MPU4) (RH8 0.1 C, hack, set 2)" devices ())
(name "m4rhr__8" year "199?" manufacturer "hack" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 C, hack)" devices ())
(name "m4rhr__a" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 AD)" devices ())
(name "m4rhr__a0" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2)" devices ())
(name "m4rhr__a1" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 Y)" devices ())
(name "m4rhr__a2" year "199?" manufacturer "BWB" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 5.0, set 1)" devices ())
(name "m4rhr__a3" year "199?" manufacturer "BWB" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 2.0 D)" devices ())
(name "m4rhr__a4" year "1991" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RH8 0.1 C)" devices ())
(name "m4rhr__aa" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 B)" devices ())
(name "m4rhr__ab" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 BD)" devices ())
(name "m4rhr__ac" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 C)" devices ())
(name "m4rhr__ad" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 D)" devices ())
(name "m4rhr__ae" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3 K)" devices ())
(name "m4rhr__af" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 0.3)" devices ())
(name "m4rhr__ag" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 AD)" devices ())
(name "m4rhr__ah" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 B)" devices ())
(name "m4rhr__ai" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 BD)" devices ())
(name "m4rhr__aj" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 D)" devices ())
(name "m4rhr__ak" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 KD)" devices ())
(name "m4rhr__al" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 RD)" devices ())
(name "m4rhr__am" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 YD)" devices ())
(name "m4rhr__an" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 K)" devices ())
(name "m4rhr__ao" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 R)" devices ())
(name "m4rhr__ap" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3)" devices ())
(name "m4rhr__aq" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHT 0.3 Y)" devices ())
(name "m4rhr__ar" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 AD)" devices ())
(name "m4rhr__as" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 B)" devices ())
(name "m4rhr__at" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 BD)" devices ())
(name "m4rhr__au" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 D)" devices ())
(name "m4rhr__av" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 KD)" devices ())
(name "m4rhr__aw" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 RD)" devices ())
(name "m4rhr__ax" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 YD)" devices ())
(name "m4rhr__ay" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 K)" devices ())
(name "m4rhr__az" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RHU 0.2 R)" devices ())
(name "m4rhr__b" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 B)" devices ())
(name "m4rhr__c" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 BD)" devices ())
(name "m4rhr__d" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 D)" devices ())
(name "m4rhr__e" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 KD)" devices ())
(name "m4rhr__f" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 YD)" devices ())
(name "m4rhr__g" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 K)" devices ())
(name "m4rhr__h" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CR4 0.9 Y)" devices ())
(name "m4rhr__i" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.2 KD / CR4 0.2)" devices ())
(name "m4rhr__j" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 AD / CR4 0.3)" devices ())
(name "m4rhr__k" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 B / CR4 0.3)" devices ())
(name "m4rhr__l" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 BD / CR4 0.3)" devices ())
(name "m4rhr__m" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 C / CR4 0.3)" devices ())
(name "m4rhr__n" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 D / CR4 0.3)" devices ())
(name "m4rhr__o" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 KD / CR4 0.3)" devices ())
(name "m4rhr__p" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 RD / CR4 0.3)" devices ())
(name "m4rhr__q" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 YD / CR4 0.3)" devices ())
(name "m4rhr__r" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 K / CR4 0.3)" devices ())
(name "m4rhr__s" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 R / CR4 0.3)" devices ())
(name "m4rhr__t" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 / CR4 0.3)" devices ())
(name "m4rhr__u" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRT 0.3 Y / CR4 0.3)" devices ())
(name "m4rhr__v" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 AD)" devices ())
(name "m4rhr__w" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 B)" devices ())
(name "m4rhr__x" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 BD)" devices ())
(name "m4rhr__y" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 D)" devices ())
(name "m4rhr__z" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CRU 0.1 DK)" devices ())
(name "m4rhrc" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 / CRU 0.3)" devices ())
(name "m4rhrc__0" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 AC/ CR4 0.3)" devices ())
(name "m4rhrc__1" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 D / CR4 0.3)" devices ())
(name "m4rhrc__2" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 KD / CR4 0.3)" devices ())
(name "m4rhrc__3" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 RD / CR4 0.3)" devices ())
(name "m4rhrc__4" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 YD / CR4 0.3)" devices ())
(name "m4rhrc__5" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 K / CR4 0.3)" devices ())
(name "m4rhrc__6" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 R / CR4 0.3)" devices ())
(name "m4rhrc__7" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 / CR4 0.3)" devices ())
(name "m4rhrc__8" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 Y / CR4 0.3)" devices ())
(name "m4rhrc__9" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.2C)" devices ())
(name "m4rhrc__a" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 B / CRU 0.3)" devices ())
(name "m4rhrc__aa" year "199?" manufacturer "BWB" desc "Red Hot Roll (Barcrest) (MPU4) (RHR 5.0, set 2)" devices ())
(name "m4rhrc__b" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 BD / CRU 0.3)" devices ())
(name "m4rhrc__c" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 C / CRU 0.3)" devices ())
(name "m4rhrc__d" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 D / CRU 0.3)" devices ())
(name "m4rhrc__e" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 KD / CRU 0.3)" devices ())
(name "m4rhrc__f" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 RD / CRU 0.3)" devices ())
(name "m4rhrc__g" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 YD / CRU 0.3)" devices ())
(name "m4rhrc__h" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 K / CRU 0.3)" devices ())
(name "m4rhrc__i" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 R / CRU 0.3)" devices ())
(name "m4rhrc__j" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 AD / CRU 0.3)" devices ())
(name "m4rhrc__k" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (CLD 0.3 Y / CRU 0.3)" devices ())
(name "m4rhrc__l" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 AD / CR4 0.3)" devices ())
(name "m4rhrc__m" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 B / CR4 0.3)" devices ())
(name "m4rhrc__n" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 BD / CR4 0.3)" devices ())
(name "m4rhrc__o" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 C / CR4 0.3)" devices ())
(name "m4rhrc__p" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 D / CR4 0.3)" devices ())
(name "m4rhrc__q" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 KD / CR4 0.3)" devices ())
(name "m4rhrc__r" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 RD / CR4 0.3)" devices ())
(name "m4rhrc__s" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 YD / CR4 0.3)" devices ())
(name "m4rhrc__t" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 K / CR4 0.3)" devices ())
(name "m4rhrc__u" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 R / CR4 0.3)" devices ())
(name "m4rhrc__v" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 / CR4 0.3)" devices ())
(name "m4rhrc__w" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (HHN 0.3 Y / CR4 0.3)" devices ())
(name "m4rhrc__x" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 AD / CR4 0.3)" devices ())
(name "m4rhrc__y" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 B / CR4 0.3)" devices ())
(name "m4rhrc__z" year "199?" manufacturer "Barcrest" desc "Red Hot Roll (Barcrest) (MPU4) (RRD 0.3 BD / CR4 0.3)" devices ())
(name "m4rhrcl" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Club (Barcrest) (MPU4) (RH2 1.1)" devices ())
(name "m4rhrcl__a" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Club (Barcrest) (MPU4) (RH2 1.1 D)" devices ())
(name "m4rhrcl__b" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Club (Barcrest) (MPU4) (RH2 1.1 F)" devices ())
(name "m4rhrcl__c" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Club (Barcrest) (MPU4) (RH2 1.0)" devices ())
(name "m4rhrock" year "199?" manufacturer "Qps" desc "Red Hot Rocks (Qps) (MPU4) (set 1)" devices ())
(name "m4rhrock__a" year "199?" manufacturer "Qps" desc "Red Hot Rocks (Qps) (MPU4) (set 2)" devices ())
(name "m4rhs" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0)" devices ())
(name "m4rhs__a" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__6.0)" devices ())
(name "m4rhs__b" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 YD)" devices ())
(name "m4rhs__c" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__6.0 YD)" devices ())
(name "m4rhs__d" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 D)" devices ())
(name "m4rhs__e" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 Y)" devices ())
(name "m4rhs__f" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 K)" devices ())
(name "m4rhs__g" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__6.0 K)" devices ())
(name "m4rhs__h" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 YKD)" devices ())
(name "m4rhs__i" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 KD)" devices ())
(name "m4rhs__j" year "199?" manufacturer "BWB" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__4.0 YK)" devices ())
(name "m4rhs__k" year "199?" manufacturer "hack" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__2.0, hack)" devices ())
(name "m4rhs__l" year "199?" manufacturer "hack" desc "Rocky Horror Show (Barcrest) (MPU4) (RH__3.0 YC, hack)" devices ())
(name "m4rhwhl" year "199?" manufacturer "Qps" desc "Red Hot Wheels (Qps) (MPU4) (set 1)" devices ())
(name "m4rhwhl__a" year "199?" manufacturer "Qps" desc "Red Hot Wheels (Qps) (MPU4) (set 2)" devices ())
(name "m4rhwhl__b" year "199?" manufacturer "Qps" desc "Red Hot Wheels (Qps) (MPU4) (set 3)" devices ())
(name "m4rhwhl__c" year "199?" manufacturer "Qps" desc "Red Hot Wheels (Qps) (MPU4) (set 4)" devices ())
(name "m4richfm" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2)" devices ())
(name "m4richfm__0" year "199?" manufacturer "BWB" desc "Rich & Famous (Barcrest) (MPU4) (RFC 1.3 K5)" devices ())
(name "m4richfm__1" year "199?" manufacturer "BWB" desc "Rich & Famous (Barcrest) (MPU4) (RF4 1.1 K5)" devices ())
(name "m4richfm__2" year "199?" manufacturer "BWB" desc "Rich & Famous (Barcrest) (MPU4) (RF8 1.2 K5)" devices ())
(name "m4richfm__3" year "199?" manufacturer "hack" desc "Rich & Famous (Barcrest) (MPU4) (RF4 1.1 K5, hack)" devices ())
(name "m4richfm__a" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RAF 0.3 C)" devices ())
(name "m4richfm__b" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RAF 0.3 D)" devices ())
(name "m4richfm__c" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RAF 0.3)" devices ())
(name "m4richfm__d" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RAF 0.3 Y)" devices ())
(name "m4richfm__e" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (bad)" devices ())
(name "m4richfm__f" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 AD)" devices ())
(name "m4richfm__g" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 B)" devices ())
(name "m4richfm__h" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 BD)" devices ())
(name "m4richfm__i" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 D)" devices ())
(name "m4richfm__j" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 KD)" devices ())
(name "m4richfm__k" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 YD)" devices ())
(name "m4richfm__l" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 K)" devices ())
(name "m4richfm__m" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2)" devices ())
(name "m4richfm__n" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF5 0.2 Y)" devices ())
(name "m4richfm__o" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF8 0.1 B)" devices ())
(name "m4richfm__p" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RF8 0.1 C)" devices ())
(name "m4richfm__q" year "199?" manufacturer "hack" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 P, hack, set 1)" devices ())
(name "m4richfm__r" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 AD)" devices ())
(name "m4richfm__s" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 B)" devices ())
(name "m4richfm__t" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 BD)" devices ())
(name "m4richfm__u" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 D)" devices ())
(name "m4richfm__v" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 KD)" devices ())
(name "m4richfm__w" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 YD)" devices ())
(name "m4richfm__x" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 K)" devices ())
(name "m4richfm__y" year "199?" manufacturer "Barcrest" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 Y)" devices ())
(name "m4richfm__z" year "199?" manufacturer "hack" desc "Rich & Famous (Barcrest) (MPU4) (RFT 0.2 P, hack, set 2)" devices ())
(name "m4ringfr" year "199?" manufacturer "Barcrest" desc "Ring Of Fire (Barcrest) (German) (MPU4) (ROF 0.3)" devices ())
(name "m4riocr" year "199?" manufacturer "Crystal" desc "Rio Grande (Crystal) (MPU4) (set 1)" devices ())
(name "m4riocra" year "199?" manufacturer "Crystal" desc "Rio Grande (Crystal) (MPU4) (set 2)" devices ())
(name "m4riotrp" year "199?" manufacturer "Barcrest" desc "Rio Tropico (Barcrest) (Dutch) (MPU4) (DRT 1.0)" devices ())
(name "m4rlpick" year "199?" manufacturer "Crystal" desc "Reel Picks (Crystal) (MPU4) (set 1)" devices ())
(name "m4rlpicka" year "199?" manufacturer "Crystal" desc "Reel Picks (Crystal) (MPU4) (set 2)" devices ())
(name "m4rlpickb" year "199?" manufacturer "Crystal" desc "Reel Picks (Crystal) (MPU4) (set 3)" devices ())
(name "m4rlpickc" year "199?" manufacturer "Crystal" desc "Reel Picks (Crystal) (MPU4) (set 4)" devices ())
(name "m4rltst" year "198?" manufacturer "Barcrest" desc "MPU4 Reel Test (3.0)" devices ())
(name "m4rmtp" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 1)" devices ())
(name "m4rmtp__a" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 2)" devices ())
(name "m4rmtp__b" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 3)" devices ())
(name "m4rmtp__c" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 4)" devices ())
(name "m4rmtp__d" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 5)" devices ())
(name "m4rmtp__e" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 6)" devices ())
(name "m4rmtp__f" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 7)" devices ())
(name "m4rmtp__g" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play (Avantime?) (MPU4) (set 8)" devices ())
(name "m4rmtpd" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 1)" devices ())
(name "m4rmtpd__0" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 28)" devices ())
(name "m4rmtpd__1" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 29)" devices ())
(name "m4rmtpd__2" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 30)" devices ())
(name "m4rmtpd__3" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 31)" devices ())
(name "m4rmtpd__4" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 32)" devices ())
(name "m4rmtpd__5" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 33)" devices ())
(name "m4rmtpd__6" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 34)" devices ())
(name "m4rmtpd__7" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 35)" devices ())
(name "m4rmtpd__8" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 36)" devices ())
(name "m4rmtpd__9" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 37)" devices ())
(name "m4rmtpd__a" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 2)" devices ())
(name "m4rmtpd__aa" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 38)" devices ())
(name "m4rmtpd__ab" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 39)" devices ())
(name "m4rmtpd__ac" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 40)" devices ())
(name "m4rmtpd__ad" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 41)" devices ())
(name "m4rmtpd__ae" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 42)" devices ())
(name "m4rmtpd__af" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 43)" devices ())
(name "m4rmtpd__ag" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 44)" devices ())
(name "m4rmtpd__ah" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 45)" devices ())
(name "m4rmtpd__ai" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 46)" devices ())
(name "m4rmtpd__aj" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 47)" devices ())
(name "m4rmtpd__ak" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 48)" devices ())
(name "m4rmtpd__al" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 49)" devices ())
(name "m4rmtpd__am" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 50)" devices ())
(name "m4rmtpd__b" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 3)" devices ())
(name "m4rmtpd__c" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 4)" devices ())
(name "m4rmtpd__d" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 5)" devices ())
(name "m4rmtpd__e" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 6)" devices ())
(name "m4rmtpd__f" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 7)" devices ())
(name "m4rmtpd__g" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 8)" devices ())
(name "m4rmtpd__h" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 9)" devices ())
(name "m4rmtpd__i" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 10)" devices ())
(name "m4rmtpd__j" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 11)" devices ())
(name "m4rmtpd__k" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 12)" devices ())
(name "m4rmtpd__l" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 13)" devices ())
(name "m4rmtpd__m" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 14)" devices ())
(name "m4rmtpd__n" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 15)" devices ())
(name "m4rmtpd__o" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 16)" devices ())
(name "m4rmtpd__p" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 17)" devices ())
(name "m4rmtpd__q" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 18)" devices ())
(name "m4rmtpd__r" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 19)" devices ())
(name "m4rmtpd__s" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 20)" devices ())
(name "m4rmtpd__t" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 21)" devices ())
(name "m4rmtpd__u" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 22)" devices ())
(name "m4rmtpd__v" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 23)" devices ())
(name "m4rmtpd__w" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 24)" devices ())
(name "m4rmtpd__x" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 25)" devices ())
(name "m4rmtpd__y" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 26)" devices ())
(name "m4rmtpd__z" year "199?" manufacturer "Avantime?" desc "Reel Magic Turbo Play Deluxe (Avantime?) (MPU4) (set 27)" devices ())
(name "m4roadrn" year "199?" manufacturer "Barcrest" desc "Road Runner (Barcrest) (Dutch) (MPU4) (DRO 1.9)" devices ())
(name "m4robo" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 1)" devices ())
(name "m4robo__0" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 14)" devices ())
(name "m4robo__1" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 2)" devices ())
(name "m4robo__2" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 3)" devices ())
(name "m4robo__3" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 4)" devices ())
(name "m4robo__4" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 5)" devices ())
(name "m4robo__5" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 6)" devices ())
(name "m4robo__6" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 1)" devices ())
(name "m4robo__7" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 2)" devices ())
(name "m4robo__8" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 3)" devices ())
(name "m4robo__9" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 4)" devices ())
(name "m4robo__a" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 7)" devices ())
(name "m4robo__aa" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 5)" devices ())
(name "m4robo__ab" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 6)" devices ())
(name "m4robo__b" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 8)" devices ())
(name "m4robo__c" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 9)" devices ())
(name "m4robo__d" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 10)" devices ())
(name "m4robo__e" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 11)" devices ())
(name "m4robo__f" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 12)" devices ())
(name "m4robo__g" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 13)" devices ())
(name "m4robo__h" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 14)" devices ())
(name "m4robo__i" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Latvia, set 15)" devices ())
(name "m4robo__j" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 7)" devices ())
(name "m4robo__k" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 8)" devices ())
(name "m4robo__l" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 9)" devices ())
(name "m4robo__m" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Russia, set 10)" devices ())
(name "m4robo__n" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 1)" devices ())
(name "m4robo__o" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 2)" devices ())
(name "m4robo__p" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 3)" devices ())
(name "m4robo__q" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 4)" devices ())
(name "m4robo__r" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 5)" devices ())
(name "m4robo__s" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 6)" devices ())
(name "m4robo__t" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 7)" devices ())
(name "m4robo__u" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 8)" devices ())
(name "m4robo__v" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 9)" devices ())
(name "m4robo__w" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 10)" devices ())
(name "m4robo__x" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 11)" devices ())
(name "m4robo__y" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 12)" devices ())
(name "m4robo__z" year "199?" manufacturer "Avantime?" desc "Robotica / Dream Machine (Avantime?) (MPU4) (Ukraine, set 13)" devices ())
(name "m4rockmn" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6)" devices ())
(name "m4rockmn__a" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 AD)" devices ())
(name "m4rockmn__b" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 B)" devices ())
(name "m4rockmn__c" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 BD)" devices ())
(name "m4rockmn__d" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 D)" devices ())
(name "m4rockmn__e" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 KD)" devices ())
(name "m4rockmn__f" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 RD)" devices ())
(name "m4rockmn__g" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 YD)" devices ())
(name "m4rockmn__h" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 K)" devices ())
(name "m4rockmn__i" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 R)" devices ())
(name "m4rockmn__j" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 C)" devices ())
(name "m4rockmn__k" year "199?" manufacturer "Barcrest" desc "Rocket Money (Barcrest) (MPU4) (ROK 0.6 Y)" devices ())
(name "m4rotex" year "199?" manufacturer "Union" desc "Rotex (Union) (MPU4)" devices ())
(name "m4royjwl" year "199?" manufacturer "Barcrest" desc "Royal Jewels (Barcrest) (German) (MPU4) (GRJ 1.4)" devices ())
(name "m4rsg" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (MPU4, Mod 2 type) (RSG 1.2)" devices ())
(name "m4rsga" year "199?" manufacturer "Barcrest" desc "Ready Steady Go (Barcrest) (MPU4, Mod 2 type) (R4G 1.0)" devices ())
(name "m4runawy" year "199?" manufacturer "Barcrest" desc "Runaway Trail (Barcrest) (MPU4) (R4T 1.1)" devices ())
(name "m4runawyb" year "199?" manufacturer "Barcrest" desc "Runaway Trail (Barcrest) (MPU4) (R4T 1.3)" devices ())
(name "m4rwb" year "199?" manufacturer "Barcrest" desc "Red White & Blue (Barcrest) (Dutch) (MPU4) (DRW 1.4)" devices ())
(name "m4safar" year "199?" manufacturer "Mdm" desc "Safari Club (Mdm) (MPU4)" devices ())
(name "m4salsa" year "199?" manufacturer "Barcrest" desc "Salsa (Barcrest) (Dutch) (MPU4) (DSA 1.5)" devices ())
(name "m4samu" year "199?" manufacturer "Barcrest" desc "Samurai (Barcrest) (Dutch) (MPU4) (DSM 1.0)" devices ())
(name "m4sayno" year "199?" manufacturer "Barcrest" desc "Say No More (Barcrest) (MPU4) (SNM 2.0)" devices ())
(name "m4sayno__a" year "199?" manufacturer "hack?" desc "Say No More (Barcrest) (MPU4) (SNM 0.5, hack, set 1)" devices ())
(name "m4sayno__b" year "199?" manufacturer "hack?" desc "Say No More (Barcrest) (MPU4) (SNM 0.5, hack, set 2)" devices ())
(name "m4sayno__c" year "199?" manufacturer "hack?" desc "Say No More (Barcrest) (MPU4) (SNM 0.4, hack)" devices ())
(name "m4sayno__d" year "199?" manufacturer "Barcrest" desc "Say No More (Barcrest) (MPU4) (SNM 2.0 X)" devices ())
(name "m4sb5" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BSB 0.3)" devices ())
(name "m4sbx" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 1)" devices ())
(name "m4sbxa" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 2)" devices ())
(name "m4sbxb" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 3)" devices ())
(name "m4sbxc" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 4)" devices ())
(name "m4sbxd" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 5)" devices ())
(name "m4sbxe" year "199?" manufacturer "AET/Coinworld" desc "Super Bear X (MPU4?) (set 6)" devices ())
(name "m4screw" year "199?" manufacturer "Global" desc "Screwin' Around (Global) (MPU4, v0.8)" devices ())
(name "m4screwa" year "199?" manufacturer "Global" desc "Screwin' Around (Global) (MPU4, v0.7)" devices ())
(name "m4screwb" year "199?" manufacturer "Global" desc "Screwin' Around (Global) (MPU4, v0.5)" devices ())
(name "m4screwp" year "199?" manufacturer "Global" desc "Screwin' Around (Global) (MPU4, v0.8) (Protocol)" devices ())
(name "m4sctagt" year "199?" manufacturer "Nova" desc "Secret Agent (Nova) (German) (MPU4) (GSE 3.0)" devices ())
(name "m4sdquid" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 1)" devices ())
(name "m4sdquid__a" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 2)" devices ())
(name "m4sdquid__b" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 3)" devices ())
(name "m4sdquid__c" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 4)" devices ())
(name "m4sdquid__d" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 5)" devices ())
(name "m4sdquid__e" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 6)" devices ())
(name "m4sdquid__f" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 7)" devices ())
(name "m4sdquid__g" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 8)" devices ())
(name "m4sdquid__h" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 9)" devices ())
(name "m4sdquid__i" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 10)" devices ())
(name "m4sdquid__j" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 11)" devices ())
(name "m4sdquid__k" year "199?" manufacturer "Qps" desc "Sundance Quid (Qps) (MPU4) (set 12)" devices ())
(name "m4select" year "199?" manufacturer "Union" desc "Select (Union) (MPU4)" devices ())
(name "m4sgrab" year "199?" manufacturer "Barcrest" desc "Smash 'n' Grab (Barcrest) (MPU4) (SAG 1.0, set 1)" devices ())
(name "m4sgraba" year "199?" manufacturer "Barcrest" desc "Smash 'n' Grab (Barcrest) (MPU4) (SAG 1.0, set 2)" devices ())
(name "m4sgrabb" year "199?" manufacturer "Barcrest" desc "Smash 'n' Grab (Barcrest) (MPU4) (SAG 3.4)" devices ())
(name "m4shkwav" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 1)" devices ())
(name "m4shkwav__a" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 2)" devices ())
(name "m4shkwav__b" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 3)" devices ())
(name "m4shkwav__c" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 4)" devices ())
(name "m4shkwav__d" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 5)" devices ())
(name "m4shkwav__e" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 6)" devices ())
(name "m4shkwav__f" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 7)" devices ())
(name "m4shkwav__g" year "199?" manufacturer "Qps" desc "Shockwave (Qps) (MPU4) (set 8)" devices ())
(name "m4shocm" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1)" devices ())
(name "m4shocm__a" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 AD)" devices ())
(name "m4shocm__b" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 B)" devices ())
(name "m4shocm__c" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 BD)" devices ())
(name "m4shocm__d" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 D)" devices ())
(name "m4shocm__e" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 DJ)" devices ())
(name "m4shocm__f" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 KD)" devices ())
(name "m4shocm__g" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 YD)" devices ())
(name "m4shocm__h" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 J)" devices ())
(name "m4shocm__i" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 Y)" devices ())
(name "m4shocm__j" year "199?" manufacturer "Barcrest" desc "Showcase Crystal Maze (Barcrest) (MPU4) (SCM 0.1 K)" devices ())
(name "m4shodf" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2)" devices ())
(name "m4shodf__a" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 B)" devices ())
(name "m4shodf__b" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 D)" devices ())
(name "m4shodf__c" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 KD)" devices ())
(name "m4shodf__d" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 YD)" devices ())
(name "m4shodf__e" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 K)" devices ())
(name "m4shodf__f" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1)" devices ())
(name "m4shodf__g" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SD8 0.1 Y)" devices ())
(name "m4shodf__h" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2 B)" devices ())
(name "m4shodf__i" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2 D)" devices ())
(name "m4shodf__j" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2 YD)" devices ())
(name "m4shodf__k" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2 K)" devices ())
(name "m4shodf__l" year "199?" manufacturer "Barcrest" desc "Showcase Duty Free (Barcrest) (MPU4) (SDF 0.2 Y)" devices ())
(name "m4shoknr" year "199?" manufacturer "Qps" desc "Shock 'n' Roll (Qps) (MPU4) (set 1)" devices ())
(name "m4shoknr__a" year "199?" manufacturer "Qps" desc "Shock 'n' Roll (Qps) (MPU4) (set 2)" devices ())
(name "m4shoknr__b" year "199?" manufacturer "Qps" desc "Shock 'n' Roll (Qps) (MPU4) (set 3)" devices ())
(name "m4shoknr__c" year "199?" manufacturer "Qps" desc "Shock 'n' Roll (Qps) (MPU4) (set 4)" devices ())
(name "m4showtm" year "199?" manufacturer "Barcrest" desc "Show Timer (Barcrest) (Dutch) (MPU4) (DSH 1.3)" devices ())
(name "m4shv" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3, set 1)" devices ())
(name "m4shv__0" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 1)" devices ())
(name "m4shv__1" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 2)" devices ())
(name "m4shv__10" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3, hack, set 1)" devices ())
(name "m4shv__11" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3, hack, set 2)" devices ())
(name "m4shv__12" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3, hack, set 3)" devices ())
(name "m4shv__2" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 3)" devices ())
(name "m4shv__3" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 4)" devices ())
(name "m4shv__4" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 5)" devices ())
(name "m4shv__5" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, hack, set 1)" devices ())
(name "m4shv__6" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 6)" devices ())
(name "m4shv__7" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 7)" devices ())
(name "m4shv__8" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0 C, hack, set 8)" devices ())
(name "m4shv__9" year "199?" manufacturer "hack" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, hack, set 2)" devices ())
(name "m4shv__a" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3 C)" devices ())
(name "m4shv__b" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3 D)" devices ())
(name "m4shv__c" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3 K)" devices ())
(name "m4shv__d" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3 Y)" devices ())
(name "m4shv__e" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.3, set 2)" devices ())
(name "m4shv__f" year "199?" manufacturer "Barcrest" desc "Super Hyper Viper (Barcrest) (MPU4) (H6Y 0.2 Y)" devices ())
(name "m4shv__g" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVC 1.0 C)" devices ())
(name "m4shv__h" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 1)" devices ())
(name "m4shv__i" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 2)" devices ())
(name "m4shv__j" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 3)" devices ())
(name "m4shv__k" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 4)" devices ())
(name "m4shv__l" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 5)" devices ())
(name "m4shv__m" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 6)" devices ())
(name "m4shv__n" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 7)" devices ())
(name "m4shv__o" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 8)" devices ())
(name "m4shv__p" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, set 9)" devices ())
(name "m4shv__q" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, C)" devices ())
(name "m4shv__r" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, C, bad?)" devices ())
(name "m4shv__s" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, set 1)" devices ())
(name "m4shv__t" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, set 2)" devices ())
(name "m4shv__u" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, set 3)" devices ())
(name "m4shv__v" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, set 4)" devices ())
(name "m4shv__w" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 3.0, 1994, set 5)" devices ())
(name "m4shv__x" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 4.0, set 1)" devices ())
(name "m4shv__y" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 4.0, set 2)" devices ())
(name "m4shv__z" year "199?" manufacturer "BWB" desc "Super Hyper Viper (Barcrest) (MPU4) (HVP 4.0, set 3)" devices ())
(name "m4silnud" year "199?" manufacturer "Mdm?" desc "Silver Nudger (Mdm?) (MPU4)" devices ())
(name "m4silshd" year "199?" manufacturer "Barcrest" desc "Silver Shadow (Barcrest) (MPU4)" devices ())
(name "m4silshda" year "199?" manufacturer "Barcrest" desc "Silver Shadow (Barcrest) (MPU4) (SH 2.0, set 1)" devices ())
(name "m4silshdb" year "199?" manufacturer "Barcrest" desc "Silver Shadow (Barcrest) (MPU4) (SH 2.0, set 2)" devices ())
(name "m4sinbd" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 1)" devices ())
(name "m4sinbd__a" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 2)" devices ())
(name "m4sinbd__b" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 3)" devices ())
(name "m4sinbd__c" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 4)" devices ())
(name "m4sinbd__d" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 5)" devices ())
(name "m4sinbd__e" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 6)" devices ())
(name "m4sinbd__f" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 7)" devices ())
(name "m4sinbd__g" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 8)" devices ())
(name "m4sinbd__h" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 9)" devices ())
(name "m4sinbd__i" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 10)" devices ())
(name "m4sinbd__j" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 11)" devices ())
(name "m4sinbd__k" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 12)" devices ())
(name "m4sinbd__l" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 13)" devices ())
(name "m4sinbd__m" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 14)" devices ())
(name "m4sinbd__n" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 15)" devices ())
(name "m4sinbd__o" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 16)" devices ())
(name "m4sinbd__p" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 17)" devices ())
(name "m4sinbd__q" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 18)" devices ())
(name "m4sinbd__r" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 19)" devices ())
(name "m4sinbd__s" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 20)" devices ())
(name "m4sinbd__t" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 21)" devices ())
(name "m4sinbd__u" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 22)" devices ())
(name "m4sinbd__v" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 23)" devices ())
(name "m4sinbd__w" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 24)" devices ())
(name "m4sinbd__x" year "199?" manufacturer "BWB" desc "Sinbad (BWB) (MPU4) (set 25)" devices ())
(name "m4sinbdn" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 1)" devices ())
(name "m4sinbdn__a" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 2)" devices ())
(name "m4sinbdn__b" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 3)" devices ())
(name "m4sinbdn__c" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 4)" devices ())
(name "m4sinbdn__d" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 5)" devices ())
(name "m4sinbdn__e" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 6)" devices ())
(name "m4sinbdn__f" year "199?" manufacturer "BWB" desc "Sinbad (Nova) (MPU4) (set 7)" devices ())
(name "m4sky" year "199?" manufacturer "BWB" desc "Sky Sports Super Soccer (BWB) (MPU4) (20/25/30p stake / £8 token/£10/£15 jackpot)" devices ())
(name "m4sky__a" year "199?" manufacturer "BWB" desc "Sky Sports Super Soccer (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 1)" devices ())
(name "m4sky__b" year "199?" manufacturer "BWB" desc "Sky Sports Super Soccer (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 2)" devices ())
(name "m4sky__c" year "199?" manufacturer "BWB" desc "Sky Sports Super Soccer (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 3)" devices ())
(name "m4sky__d" year "199?" manufacturer "BWB" desc "Sky Sports Super Soccer (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 4)" devices ())
(name "m4smshgb" year "199?" manufacturer "Mdm" desc "Smash 'n' Grab (Mdm) (MPU4, set 1)" devices ())
(name "m4smshgba" year "199?" manufacturer "Mdm" desc "Smash 'n' Grab (Mdm) (MPU4, set 2)" devices ())
(name "m4smshgbb" year "199?" manufacturer "Mdm" desc "Smash 'n' Grab (Mdm) (MPU4, set 3)" devices ())
(name "m4smshgbc" year "199?" manufacturer "Mdm" desc "Smash 'n' Grab (Mdm) (MPU4, set 4)" devices ())
(name "m4snklad" year "199?" manufacturer "Mdm" desc "Snakes & Ladders (Mdm) (MPU4)" devices ())
(name "m4snookr" year "199?" manufacturer "Eurocoin" desc "Snooker (Eurocoin) (MPU4)" devices ())
(name "m4snowbl" year "199?" manufacturer "Mdm" desc "Snowball Bingo (Mdm) (MPU4)" devices ())
(name "m4solsil" year "199?" manufacturer "Barcrest" desc "Solid Silver Club (Barcrest) (MPU4) (SOS 2.2)" devices ())
(name "m4solsila" year "199?" manufacturer "Barcrest" desc "Solid Silver Club (Barcrest) (MPU4) (SOS 2.1)" devices ())
(name "m4souls" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 1)" devices ())
(name "m4souls__a" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 2)" devices ())
(name "m4souls__b" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 3)" devices ())
(name "m4souls__c" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 4)" devices ())
(name "m4souls__d" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 5)" devices ())
(name "m4souls__e" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 6)" devices ())
(name "m4souls__f" year "199?" manufacturer "BWB" desc "Soul Sister (BWB) (MPU4) (set 7)" devices ())
(name "m4specu" year "199?" manufacturer "BWB" desc "Speculator Club (BWB) (MPU4)" devices ())
(name "m4spinbt" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 1)" devices ())
(name "m4spinbt__a" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 2)" devices ())
(name "m4spinbt__b" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 3)" devices ())
(name "m4spinbt__c" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 4)" devices ())
(name "m4spinbt__d" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 5)" devices ())
(name "m4spinbt__e" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 6)" devices ())
(name "m4spinbt__f" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 7)" devices ())
(name "m4spinbt__g" year "199?" manufacturer "BWB" desc "Spin The Bottle (BWB) (MPU4) (set 8)" devices ())
(name "m4spnwin" year "199?" manufacturer "Cotswold Microsystems" desc "Spin A Win (Cotswold Microsystems) (MPU4) (set 1)" devices ())
(name "m4spnwina" year "199?" manufacturer "Cotswold Microsystems" desc "Spin A Win (Cotswold Microsystems) (MPU4) (set 2)" devices ())
(name "m4spnwnc" year "199?" manufacturer "Concept Games Ltd" desc "Spin-A-Win (Concept Games Ltd) (MPU4) (set 1)" devices ())
(name "m4spnwnc__a" year "199?" manufacturer "Concept Games Ltd" desc "Spin-A-Win (Concept Games Ltd) (MPU4) (set 2)" devices ())
(name "m4spnwnc__b" year "199?" manufacturer "Concept Games Ltd" desc "Spin-A-Win (Concept Games Ltd) (MPU4) (set 3)" devices ())
(name "m4spotln" year "199?" manufacturer "Barcrest / Nova" desc "Spotlight (Nova) (German) (MPU4) (GSP 0.1)" devices ())
(name "m4spton" year "199?" manufacturer "Pcp" desc "Spot On (Pcp) (MPU4)" devices ())
(name "m4squid" year "199?" manufacturer "BWB" desc "Squids In (Barcrest) (MPU4) (SQ_ 2.0 C)" devices ())
(name "m4squid__a" year "199?" manufacturer "BWB" desc "Squids In (Barcrest) (MPU4) (SQ_ 2.0 CD)" devices ())
(name "m4squid__b" year "199?" manufacturer "BWB" desc "Squids In (Barcrest) (MPU4) (SQ_ 2.0 CK)" devices ())
(name "m4squid__c" year "199?" manufacturer "BWB" desc "Squids In (Barcrest) (MPU4) (SQ_ 2.0 BC)" devices ())
(name "m4ssclas" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 6.0)" devices ())
(name "m4ssclas__a" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 2.0 D)" devices ())
(name "m4ssclas__b" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 6.0 D)" devices ())
(name "m4ssclas__c" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 6.0 K)" devices ())
(name "m4ssclas__d" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 5.0 B)" devices ())
(name "m4ssclas__e" year "199?" manufacturer "BWB" desc "Super Streak Classic (Barcrest) (MPU4) (CSS 6.0 B)" devices ())
(name "m4sss" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP5 1.0, set 1)" devices ())
(name "m4sss__b" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP5 1.0, set 2)" devices ())
(name "m4sss__c" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP5 1.0, set 3)" devices ())
(name "m4sss__d" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP5 1.0, set 4)" devices ())
(name "m4sss__e" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP101.0, set 1)" devices ())
(name "m4sss__f" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP101.0, set 2)" devices ())
(name "m4sss__g" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP101.0, set 3)" devices ())
(name "m4sss__h" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SP101.0, set 4)" devices ())
(name "m4sss__i" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SX5 2.0, set 1)" devices ())
(name "m4sss__j" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SX102.0, set 1)" devices ())
(name "m4sss__k" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SX5 2.0, set 2)" devices ())
(name "m4sss__l" year "199?" manufacturer "BWB" desc "Spend Spend Spend (BWB) (MPU4) (SX102.0, set 2)" devices ())
(name "m4sstrek" year "199?" manufacturer "bootleg" desc "Super Streak (bootleg) (MPU4) (SS2 1.0)" devices ())
(name "m4stakeu" year "199?" manufacturer "Barcrest" desc "Stake Up Club (Barcrest) (MPU4) (SU 4.4)" devices ())
(name "m4stakeua" year "199?" manufacturer "Barcrest" desc "Stake Up Club (Barcrest) (MPU4) (SU 4.8)" devices ())
(name "m4stakex" year "199?" manufacturer "Leisurama" desc "Stake X (Leisurama) (MPU4, set 1)" devices ())
(name "m4stakexa" year "199?" manufacturer "Leisurama" desc "Stake X (Leisurama) (MPU4, set 2)" devices ())
(name "m4stand2" year "199?" manufacturer "DJE" desc "Stand To Deliver (DJE) (MPU4)" devices ())
(name "m4starbr" year "199?" manufacturer "Barcrest" desc "Stars And Bars (Barcrest) (Dutch) (MPU4) (DSB 2.8)" devices ())
(name "m4stards" year "199?" manufacturer "Barcrest" desc "Stardust (Barcrest) (Dutch) (MPU4) (DSD 1.3)" devices ())
(name "m4starst" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20p stake / £8 token jackpot) (set 1)" devices ())
(name "m4starst__a" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20p stake / £8 token jackpot) (set 2)" devices ())
(name "m4starst__b" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20p stake / £8 token jackpot) (set 3)" devices ())
(name "m4starst__c" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20p stake / £8 token jackpot) (set 4)" devices ())
(name "m4starst__d" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20p stake / £8 token jackpot) (set 5)" devices ())
(name "m4starst__e" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 1)" devices ())
(name "m4starst__f" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 2)" devices ())
(name "m4starst__g" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 3)" devices ())
(name "m4starst__h" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 4)" devices ())
(name "m4starst__i" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 5)" devices ())
(name "m4starst__j" year "199?" manufacturer "BWB" desc "Stars & Stripes (BWB) (MPU4) (20/25/30p stake £10/£15 jackpot) (set 6)" devices ())
(name "m4stc" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STC 0.1)" devices ())
(name "m4steptm" year "199?" manufacturer "Barcrest" desc "Step Timer (Barcrest) (Dutch) (MPU4) (DST 1.1)" devices ())
(name "m4stopcl" year "199?" manufacturer "Barcrest" desc "Stop the Clock (Barcrest) (MPU4) (SC 2.5)" devices ())
(name "m4sunclb" year "199?" manufacturer "BWB" desc "Sun Club (BWB) (MPU4) (SUC 0.2, set 1)" devices ())
(name "m4sunclba" year "199?" manufacturer "BWB" desc "Sun Club (BWB) (MPU4) (SUC 0.2, set 2)" devices ())
(name "m4sunday" year "199?" manufacturer "Pcp" desc "Sunday Sport (Pcp) (MPU4)" devices ())
(name "m4sunscl" year "199?" manufacturer "BWB" desc "Sunset Club (BWB) (MPU4) (SSC 3.0, set 1)" devices ())
(name "m4sunscla" year "199?" manufacturer "BWB" desc "Sunset Club (BWB) (MPU4) (SSC 3.0, set 2)" devices ())
(name "m4sunsclb" year "199?" manufacturer "BWB" desc "Sunset Club (BWB) (MPU4) (SSC 3.0, set 3)" devices ())
(name "m4sunset" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BSB 0.4)" devices ())
(name "m4sunseta" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (B25 1.2, set 1)" devices ())
(name "m4sunsetb" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (B25 1.2, set 2)" devices ())
(name "m4sunsetc" year "199?" manufacturer "bootleg" desc "Sunset Boulevard (Barcrest) (bootleg) (MPU4) (OSB 0.2)" devices ())
(name "m4sunsetd" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SBU 2.0)" devices ())
(name "m4sunsete" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.1)" devices ())
(name "m4sunsetf" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.0, set 1)" devices ())
(name "m4sunsetg" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.0, set 2)" devices ())
(name "m4sunseth" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.0, set 3, bad)" devices ())
(name "m4sunseti" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.0, set 4)" devices ())
(name "m4sunsetj" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (BS__ 1.0, set 5)" devices ())
(name "m4sunsetk" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.1)" devices ())
(name "m4sunsetl" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 1)" devices ())
(name "m4sunsetm" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 2)" devices ())
(name "m4sunsetn" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 3)" devices ())
(name "m4sunseto" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 4)" devices ())
(name "m4sunsetp" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 5)" devices ())
(name "m4sunsetq" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 6)" devices ())
(name "m4sunsetr" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 7)" devices ())
(name "m4sunsets" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 8)" devices ())
(name "m4sunsett" year "199?" manufacturer "Barcrest" desc "Sunset Boulevard (Barcrest) (MPU4) (SB__ 1.0, set 9)" devices ())
(name "m4supbf" year "199?" manufacturer "Barcrest" desc "Super Bucks Fizz Club (Barcrest) (MPU4) (SBF 2.0, set 1)" devices ())
(name "m4supbfa" year "199?" manufacturer "Barcrest" desc "Super Bucks Fizz Club (Barcrest) (MPU4) (SBF 2.0, set 2)" devices ())
(name "m4supbjc" year "199?" manufacturer "Barcrest" desc "Super Blackjack Club (Barcrest) (MPU4) (SBJ 3.1, set 1)" devices ())
(name "m4supbjca" year "199?" manufacturer "Barcrest" desc "Super Blackjack Club (Barcrest) (MPU4) (SBJ 3.1, set 2)" devices ())
(name "m4supbjcb" year "199?" manufacturer "Barcrest" desc "Super Blackjack Club (Barcrest) (MPU4) (SBJ 3.1, set 3)" devices ())
(name "m4supbjcc" year "199?" manufacturer "Barcrest" desc "Super Blackjack Club (Barcrest) (MPU4) (SBJ 3.1, set 4)" devices ())
(name "m4supbjcd" year "199?" manufacturer "Barcrest" desc "Super Blackjack Club (Barcrest) (MPU4) (SBJ 2.0)" devices ())
(name "m4supfru" year "199?" manufacturer "Union" desc "Supafruits (Union) (MPU4, set 1)" devices ())
(name "m4supfrua" year "199?" manufacturer "Union" desc "Supafruits (Union) (MPU4, set 2)" devices ())
(name "m4supjst" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 1)" devices ())
(name "m4supjsta" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 2)" devices ())
(name "m4supjstb" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 3)" devices ())
(name "m4supjstc" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 4)" devices ())
(name "m4supjstd" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 5)" devices ())
(name "m4supjste" year "199?" manufacturer "Pcp" desc "Super Jester (Pcp) (MPU4) (set 6)" devices ())
(name "m4supleg" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4supleg__a" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4supleg__b" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (5/10p stake / £5 jackpot) (set 1)" devices ())
(name "m4supleg__c" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (5/10p stake / £5 jackpot) (set 2)" devices ())
(name "m4supleg__d" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot)" devices ())
(name "m4suplegw" year "199?" manufacturer "BWB" desc "Super League (BWB) (MPU4) (5/10/20/25/30p stake / £5 jackpot, 20/25/30p stake / £15 jackpot) (set 3)" devices ())
(name "m4supscr" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 1)" devices ())
(name "m4supscr__a" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 2)" devices ())
(name "m4supscr__b" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 3)" devices ())
(name "m4supscr__c" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 4)" devices ())
(name "m4supscr__d" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 5)" devices ())
(name "m4supscr__e" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 6)" devices ())
(name "m4supscr__f" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 7)" devices ())
(name "m4supscr__g" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 8)" devices ())
(name "m4supscr__h" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 9)" devices ())
(name "m4supscr__i" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 10)" devices ())
(name "m4supscr__j" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 11)" devices ())
(name "m4supscr__k" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 12)" devices ())
(name "m4supscr__l" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 13)" devices ())
(name "m4supscr__m" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 6) (BWB) (MPU4) (set 14)" devices ())
(name "m4supscr__n" year "199?" manufacturer "BWB" desc "Super Soccer (ver. 3) (BWB) (MPU4)" devices ())
(name "m4supsl" year "198?" manufacturer "Barcrest" desc "Supa Silva (Barcrest) (MPU4) (SS2V 1.0)" devices ())
(name "m4supslt" year "199?" manufacturer "Barcrest" desc "Supa Slot (Barcrest) (MPU4) (S4S 1.0)" devices ())
(name "m4supst" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 1)" devices ())
(name "m4supst__0" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 7)" devices ())
(name "m4supst__1" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 8)" devices ())
(name "m4supst__2" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 9)" devices ())
(name "m4supst__3" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 10)" devices ())
(name "m4supst__4" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 11)" devices ())
(name "m4supst__5" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 12)" devices ())
(name "m4supst__6" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 1)" devices ())
(name "m4supst__7" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 2)" devices ())
(name "m4supst__8" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 3)" devices ())
(name "m4supst__9" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 4)" devices ())
(name "m4supst__a" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 2)" devices ())
(name "m4supst__a0" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 1)" devices ())
(name "m4supst__a1" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 2)" devices ())
(name "m4supst__a2" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 3)" devices ())
(name "m4supst__a3" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 4)" devices ())
(name "m4supst__a4" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 5)" devices ())
(name "m4supst__a5" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SPS 0.8, set 6)" devices ())
(name "m4supst__a6" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 1)" devices ())
(name "m4supst__a7" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 2)" devices ())
(name "m4supst__a8" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 3)" devices ())
(name "m4supst__a9" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 4)" devices ())
(name "m4supst__aa" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 5)" devices ())
(name "m4supst__ab" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 6)" devices ())
(name "m4supst__ac" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 7)" devices ())
(name "m4supst__ad" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 8)" devices ())
(name "m4supst__ae" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 9)" devices ())
(name "m4supst__af" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 10)" devices ())
(name "m4supst__ag" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 11)" devices ())
(name "m4supst__ah" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.3 / CSU 0.3, set 12)" devices ())
(name "m4supst__ai" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 1)" devices ())
(name "m4supst__aj" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 2)" devices ())
(name "m4supst__ak" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 3)" devices ())
(name "m4supst__al" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 4)" devices ())
(name "m4supst__am" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 5)" devices ())
(name "m4supst__an" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 6)" devices ())
(name "m4supst__ao" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 7)" devices ())
(name "m4supst__ap" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 8)" devices ())
(name "m4supst__aq" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 9)" devices ())
(name "m4supst__ar" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 10)" devices ())
(name "m4supst__as" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 11)" devices ())
(name "m4supst__at" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / EEH 0.2, set 12)" devices ())
(name "m4supst__au" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 1)" devices ())
(name "m4supst__av" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 2)" devices ())
(name "m4supst__aw" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 3)" devices ())
(name "m4supst__ax" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 4)" devices ())
(name "m4supst__ay" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 5)" devices ())
(name "m4supst__az" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (SP8 0.1, set 6)" devices ())
(name "m4supst__b" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 3)" devices ())
(name "m4supst__b0" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 8)" devices ())
(name "m4supst__b1" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 9)" devices ())
(name "m4supst__b2" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 10)" devices ())
(name "m4supst__b3" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 11)" devices ())
(name "m4supst__b4" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.2K)" devices ())
(name "m4supst__b5" year "199?" manufacturer "hack" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, hack)" devices ())
(name "m4supst__b6" year "199?" manufacturer "hack" desc "Super Streak (Barcrest) (MPU4) (hack)" devices ())
(name "m4supst__b7" year "199?" manufacturer "hack" desc "Super Streak (Barcrest) (MPU4) (SS2 1.0, hack?)" devices ())
(name "m4supst__ba" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 5)" devices ())
(name "m4supst__bb" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 6)" devices ())
(name "m4supst__bc" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 7)" devices ())
(name "m4supst__bd" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 8)" devices ())
(name "m4supst__be" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 9)" devices ())
(name "m4supst__bf" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 10)" devices ())
(name "m4supst__bg" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 11)" devices ())
(name "m4supst__bh" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / STC 0.2, set 12)" devices ())
(name "m4supst__bi" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 1)" devices ())
(name "m4supst__bj" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 2)" devices ())
(name "m4supst__bk" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 3)" devices ())
(name "m4supst__bl" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 4)" devices ())
(name "m4supst__bm" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 5)" devices ())
(name "m4supst__bn" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 6)" devices ())
(name "m4supst__bo" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 7)" devices ())
(name "m4supst__bp" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 8)" devices ())
(name "m4supst__bq" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 9)" devices ())
(name "m4supst__br" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 10)" devices ())
(name "m4supst__bs" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STT 0.3, set 11)" devices ())
(name "m4supst__bt" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 1)" devices ())
(name "m4supst__bu" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 2)" devices ())
(name "m4supst__bv" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 3)" devices ())
(name "m4supst__bw" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 4)" devices ())
(name "m4supst__bx" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 5)" devices ())
(name "m4supst__by" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 6)" devices ())
(name "m4supst__bz" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (STU 0.1, set 7)" devices ())
(name "m4supst__c" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 4)" devices ())
(name "m4supst__d" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 5)" devices ())
(name "m4supst__e" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 6)" devices ())
(name "m4supst__f" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 7)" devices ())
(name "m4supst__g" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 8)" devices ())
(name "m4supst__h" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.7, set 9)" devices ())
(name "m4supst__i" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 1)" devices ())
(name "m4supst__j" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 2)" devices ())
(name "m4supst__k" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 3)" devices ())
(name "m4supst__l" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 4)" devices ())
(name "m4supst__m" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 5)" devices ())
(name "m4supst__n" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 6)" devices ())
(name "m4supst__o" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 7)" devices ())
(name "m4supst__p" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 8)" devices ())
(name "m4supst__q" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 9)" devices ())
(name "m4supst__r" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 10)" devices ())
(name "m4supst__s" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 11)" devices ())
(name "m4supst__t" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.2 / CSP 0.2, set 12)" devices ())
(name "m4supst__u" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 1)" devices ())
(name "m4supst__v" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 2)" devices ())
(name "m4supst__w" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 3)" devices ())
(name "m4supst__x" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 4)" devices ())
(name "m4supst__y" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 5)" devices ())
(name "m4supst__z" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU4) (CS4 0.4 / CST 0.4, set 6)" devices ())
(name "m4suptrn" year "199?" manufacturer "Barcrest" desc "Supatron (Barcrest) (MPU4) (DSU 2.1)" devices ())
(name "m4suptub" year "199?" manufacturer "Barcrest" desc "Super Tubes (Barcrest) (MPU4) (S4T 1.0, set 1)" devices ())
(name "m4suptuba" year "199?" manufacturer "Barcrest" desc "Super Tubes (Barcrest) (MPU4) (S4T 1.0, set 2)" devices ())
(name "m4suptwo" year "199?" manufacturer "Barcrest" desc "Super Two (Barcrest) (MPU4) (SUT 1.2)" devices ())
(name "m4sure" year "199?" manufacturer "BWB" desc "Sure Thing (BWB) (MPU4) (set 1)" devices ())
(name "m4sure__a" year "199?" manufacturer "BWB" desc "Sure Thing (BWB) (MPU4) (set 2)" devices ())
(name "m4sure__b" year "199?" manufacturer "BWB" desc "Sure Thing (BWB) (MPU4) (set 3)" devices ())
(name "m4sure__c" year "199?" manufacturer "BWB" desc "Sure Thing (BWB) (MPU4) (set 4)" devices ())
(name "m4surf" year "199?" manufacturer "Gemini" desc "Super Surfin' (Gemini) (MPU4) (set 1)" devices ())
(name "m4surfa" year "199?" manufacturer "Gemini" desc "Super Surfin' (Gemini) (MPU4) (set 2)" devices ())
(name "m4surfb" year "199?" manufacturer "Gemini" desc "Super Surfin' (Gemini) (MPU4) (set 3)" devices ())
(name "m4swpnot" year "199?" manufacturer "Barcrest" desc "Swap-A-Note (Barcrest) (MPU4) (SN 3.3)" devices ())
(name "m4swpnota" year "199?" manufacturer "Barcrest" desc "Swap-A-Note (Barcrest) (MPU4) (SN 3.2)" devices ())
(name "m4swpnotb" year "199?" manufacturer "Barcrest" desc "Swap-A-Note (Barcrest) (MPU4) (SN 3.5)" devices ())
(name "m4t266" year "199?" manufacturer "bootleg" desc "Take Two (Barcrest) (MPU4) (TTO 1.1) (set 2)" devices ())
(name "m4taj" year "199?" manufacturer "Barcrest" desc "Taj Mahal (Barcrest) (Dutch) (MPU4) (DTM 1.0)" devices ())
(name "m4take2" year "199?" manufacturer "Barcrest" desc "Take Two (Barcrest) (MPU4) (TTO 1.2)" devices ())
(name "m4take2a" year "199?" manufacturer "bootleg" desc "Take Two (Barcrest) (MPU4) (TTO 1.1) (set 1)" devices ())
(name "m4take5" year "199?" manufacturer "bootleg?" desc "Top Tenner ('Take 5' bootleg) (MPU4) (TES 2.0)" devices ())
(name "m4takepk" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6)" devices ())
(name "m4takepk__0" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TA8 2.2, hack, set 2)" devices ())
(name "m4takepk__1" year "199?" manufacturer "BWB" desc "Take Your Pick (Barcrest) (MPU4) (TAC 2.3 K)" devices ())
(name "m4takepk__a" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 AD)" devices ())
(name "m4takepk__b" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 B)" devices ())
(name "m4takepk__c" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 BD)" devices ())
(name "m4takepk__d" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 BC)" devices ())
(name "m4takepk__e" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 D)" devices ())
(name "m4takepk__f" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 KD)" devices ())
(name "m4takepk__g" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 YD)" devices ())
(name "m4takepk__h" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 K)" devices ())
(name "m4takepk__i" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 R)" devices ())
(name "m4takepk__j" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TAP 0.6 Y)" devices ())
(name "m4takepk__k" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 AD)" devices ())
(name "m4takepk__l" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 B)" devices ())
(name "m4takepk__m" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 BD)" devices ())
(name "m4takepk__n" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 D)" devices ())
(name "m4takepk__o" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 KD)" devices ())
(name "m4takepk__p" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 YD)" devices ())
(name "m4takepk__q" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 K)" devices ())
(name "m4takepk__r" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7)" devices ())
(name "m4takepk__s" year "199?" manufacturer "Barcrest" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7 Y)" devices ())
(name "m4takepk__t" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TPH 0.7, hack)" devices ())
(name "m4takepk__u" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (MAM 0.3 C, hack)" devices ())
(name "m4takepk__v" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TAC 2.3, hack, set 1)" devices ())
(name "m4takepk__w" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TAC 2.3, hack, set 2)" devices ())
(name "m4takepk__x" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TA4 2.1, hack, set 1)" devices ())
(name "m4takepk__y" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TA4 2.1, hack, set 2)" devices ())
(name "m4takepk__z" year "199?" manufacturer "hack" desc "Take Your Pick (Barcrest) (MPU4) (TA8 2.2, hack, set 1)" devices ())
(name "m4tbplay" year "199?" manufacturer "Barcrest" desc "Turbo Play (Barcrest) (Dutch) (MPU4) (DTP 1.3)" devices ())
(name "m4tbplaya" year "199?" manufacturer "Barcrest" desc "Turbo Play (Barcrest) (MPU4) (CTP 0.4)" devices ())
(name "m4tbplayb" year "199?" manufacturer "Barcrest" desc "Turbo Play (Barcrest) (MPU4) (ZTP 0.7)" devices ())
(name "m4tbplayc" year "199?" manufacturer "bootleg" desc "Turbo Play (Barcrest) (bootleg) (MPU4) (CTP 0.4)" devices ())
(name "m4tbplayd" year "199?" manufacturer "bootleg" desc "Turbo Play (Barcrest) (bootleg) (MPU4) (ZTP 0.7)" devices ())
(name "m4tbreel" year "199?" manufacturer "Barcrest" desc "Turbo Reel (Barcrest) (Dutch) (MPU4) (DTR 3.1)" devices ())
(name "m4tbrldx" year "199?" manufacturer "Barcrest" desc "Turbo Reel Deluxe (Barcrest) (Dutch) (MPU4) (DTU 3.0)" devices ())
(name "m4techno" year "199?" manufacturer "Barcrest" desc "Techno Reel (Barcrest) (Dutch) (MPU4) (DTE 1.3, set 1)" devices ())
(name "m4technoa" year "199?" manufacturer "Barcrest" desc "Techno Reel (Barcrest) (Dutch) (MPU4) (DTE 1.3, set 2, hack?)" devices ())
(name "m4tenten" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2)" devices ())
(name "m4tenten__0" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 RD)" devices ())
(name "m4tenten__1" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 DY)" devices ())
(name "m4tenten__2" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 K)" devices ())
(name "m4tenten__3" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 R)" devices ())
(name "m4tenten__4" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4)" devices ())
(name "m4tenten__5" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 Y)" devices ())
(name "m4tenten__6" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 AD)" devices ())
(name "m4tenten__7" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 B)" devices ())
(name "m4tenten__8" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 BD)" devices ())
(name "m4tenten__9" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 D)" devices ())
(name "m4tenten__a" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 AD)" devices ())
(name "m4tenten__a0" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 R)" devices ())
(name "m4tenten__a1" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1)" devices ())
(name "m4tenten__a2" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 Y)" devices ())
(name "m4tenten__aa" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 KD)" devices ())
(name "m4tenten__ab" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 RD)" devices ())
(name "m4tenten__ac" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 DY)" devices ())
(name "m4tenten__ad" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 K)" devices ())
(name "m4tenten__ae" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 R)" devices ())
(name "m4tenten__af" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1)" devices ())
(name "m4tenten__ag" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T2T 0.1 Y)" devices ())
(name "m4tenten__ah" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 AD)" devices ())
(name "m4tenten__ai" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 B)" devices ())
(name "m4tenten__aj" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 BD)" devices ())
(name "m4tenten__ak" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 D)" devices ())
(name "m4tenten__al" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 KD)" devices ())
(name "m4tenten__am" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 RD)" devices ())
(name "m4tenten__an" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 DY)" devices ())
(name "m4tenten__ao" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 K)" devices ())
(name "m4tenten__ap" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 R)" devices ())
(name "m4tenten__aq" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1)" devices ())
(name "m4tenten__ar" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T3T 0.1 Y)" devices ())
(name "m4tenten__as" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 AD)" devices ())
(name "m4tenten__at" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 B)" devices ())
(name "m4tenten__au" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 BD)" devices ())
(name "m4tenten__av" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 D)" devices ())
(name "m4tenten__aw" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 KD)" devices ())
(name "m4tenten__ax" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 RD)" devices ())
(name "m4tenten__ay" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 DY)" devices ())
(name "m4tenten__az" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (TST 0.1 K)" devices ())
(name "m4tenten__b" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 B)" devices ())
(name "m4tenten__c" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 BD)" devices ())
(name "m4tenten__d" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 D)" devices ())
(name "m4tenten__e" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 KD)" devices ())
(name "m4tenten__f" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 RD)" devices ())
(name "m4tenten__g" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 DY)" devices ())
(name "m4tenten__h" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 K)" devices ())
(name "m4tenten__i" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 R)" devices ())
(name "m4tenten__j" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3)" devices ())
(name "m4tenten__k" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (N25 0.3 Y)" devices ())
(name "m4tenten__l" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 AD)" devices ())
(name "m4tenten__m" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 B)" devices ())
(name "m4tenten__n" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 BD)" devices ())
(name "m4tenten__o" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 D)" devices ())
(name "m4tenten__p" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 KD)" devices ())
(name "m4tenten__q" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 RD)" devices ())
(name "m4tenten__r" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 DY)" devices ())
(name "m4tenten__s" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 K)" devices ())
(name "m4tenten__t" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 R)" devices ())
(name "m4tenten__u" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T20 0.2 Y)" devices ())
(name "m4tenten__v" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 AD)" devices ())
(name "m4tenten__w" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 B)" devices ())
(name "m4tenten__x" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 BD)" devices ())
(name "m4tenten__y" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 D)" devices ())
(name "m4tenten__z" year "199?" manufacturer "Barcrest" desc "10 X 10 (Barcrest) (MPU4) (T25 0.4 KD)" devices ())
(name "m4thehit" year "199?" manufacturer "Barcrest" desc "The Hit (Barcrest) (MPU4) (DTH 1.7)" devices ())
(name "m4themob" year "199?" manufacturer "Mdm" desc "The Mob (Mdm) (MPU4, set 1)" devices ())
(name "m4themoba" year "199?" manufacturer "Mdm" desc "The Mob (Mdm) (MPU4, set 2)" devices ())
(name "m4themobb" year "199?" manufacturer "Mdm" desc "The Mob (Mdm) (MPU4, set 3)" devices ())
(name "m4thestr" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 K)" devices ())
(name "m4thestr__a" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 YD)" devices ())
(name "m4thestr__b" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 YD / TS  3.0, set 1)" devices ())
(name "m4thestr__c" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 D)" devices ())
(name "m4thestr__d" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 D / TS  3.0, set 1)" devices ())
(name "m4thestr__e" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 2.0 BAD / TS  2.0)" devices ())
(name "m4thestr__f" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 K / TS  3.0, set 1)" devices ())
(name "m4thestr__g" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 B)" devices ())
(name "m4thestr__h" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 B / TS  3.0, set 1)" devices ())
(name "m4thestr__i" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 AD)" devices ())
(name "m4thestr__j" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 AD / TS  3.0, set 1)" devices ())
(name "m4thestr__k" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  3.0 BR)" devices ())
(name "m4thestr__l" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 BR / TS  3.0, set 1)" devices ())
(name "m4thestr__m" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 YD / TS  3.0, set 2)" devices ())
(name "m4thestr__n" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 D / TS  3.0, set 2)" devices ())
(name "m4thestr__o" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 Y / TS  3.0)" devices ())
(name "m4thestr__p" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 K / TS  3.0, set 2)" devices ())
(name "m4thestr__q" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 B / TS  3.0, set 2)" devices ())
(name "m4thestr__r" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 AD / TS  3.0, set 2)" devices ())
(name "m4thestr__s" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TST 3.0 BR / TS  3.0, set 2)" devices ())
(name "m4thestr__t" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.4 K)" devices ())
(name "m4thestr__u" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.4 B)" devices ())
(name "m4thestr__v" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.4 BAD)" devices ())
(name "m4thestr__w" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.3 D)" devices ())
(name "m4thestr__x" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.3 K)" devices ())
(name "m4thestr__y" year "199?" manufacturer "BWB" desc "The Streak (Barcrest) (MPU4) (TS  1.3 B)" devices ())
(name "m4tic" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0)" devices ())
(name "m4tic__a" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT  1.0 K)" devices ())
(name "m4tic__b" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 B)" devices ())
(name "m4tic__c" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT  1.0 B)" devices ())
(name "m4tic__d" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 BD)" devices ())
(name "m4tic__e" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT  1.0 BD)" devices ())
(name "m4tic__f" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 BA)" devices ())
(name "m4tic__g" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 BR)" devices ())
(name "m4tic__h" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 K)" devices ())
(name "m4tic__i" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT  1.0 CB)" devices ())
(name "m4tic__j" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 YD)" devices ())
(name "m4tic__k" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 Y)" devices ())
(name "m4tic__l" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 K)" devices ())
(name "m4tic__m" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 B)" devices ())
(name "m4tic__n" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 BD)" devices ())
(name "m4tic__o" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 AD)" devices ())
(name "m4tic__p" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 BR)" devices ())
(name "m4tic__r" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 3.0 YD)" devices ())
(name "m4tic__s" year "199?" manufacturer "BWB" desc "Tic Tac Toe (Barcrest) (MPU4) (TT_ 2.0 C)" devices ())
(name "m4ticcla" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT4 7.0 YD)" devices ())
(name "m4ticcla__0" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 BR)" devices ())
(name "m4ticcla__a" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  4.0 YD)" devices ())
(name "m4ticcla__b" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT4 7.0 D)" devices ())
(name "m4ticcla__c" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  4.0 D)" devices ())
(name "m4ticcla__d" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT4 7.0 K)" devices ())
(name "m4ticcla__e" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  4.0 K)" devices ())
(name "m4ticcla__f" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  4.0 B)" devices ())
(name "m4ticcla__g" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT4 7.0 BAD)" devices ())
(name "m4ticcla__h" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  4.0 BAD)" devices ())
(name "m4ticcla__i" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT4 7.0 BR)" devices ())
(name "m4ticcla__j" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 YD / CT4 3.0)" devices ())
(name "m4ticcla__k" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 D)" devices ())
(name "m4ticcla__l" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 D / CT4 3.0)" devices ())
(name "m4ticcla__m" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 Y)" devices ())
(name "m4ticcla__n" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 K)" devices ())
(name "m4ticcla__o" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 K / CT4 3.0)" devices ())
(name "m4ticcla__p" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 B)" devices ())
(name "m4ticcla__q" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 B / CT4 3.0)" devices ())
(name "m4ticcla__r" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 BAD)" devices ())
(name "m4ticcla__s" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 BAD / CT4 3.0)" devices ())
(name "m4ticcla__t" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.3 BR)" devices ())
(name "m4ticcla__u" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CTT 3.0 BR / CT4 3.0)" devices ())
(name "m4ticcla__v" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 D)" devices ())
(name "m4ticcla__w" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 K)" devices ())
(name "m4ticcla__x" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 B)" devices ())
(name "m4ticcla__y" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 BD)" devices ())
(name "m4ticcla__z" year "199?" manufacturer "BWB" desc "Tic Tac Toe Classic (Barcrest) (MPU4) (CT  2.4 BAD)" devices ())
(name "m4ticglc" year "199?" manufacturer "BWB" desc "Tic Tac Toe Gold (Barcrest) (MPU4) (TG  3.3 K)" devices ())
(name "m4ticglc__a" year "199?" manufacturer "BWB" desc "Tic Tac Toe Gold (Barcrest) (MPU4) (TG  4.4 D)" devices ())
(name "m4ticglc__b" year "199?" manufacturer "BWB" desc "Tic Tac Toe Gold (Barcrest) (MPU4) (TG  4.4 K)" devices ())
(name "m4ticglc__c" year "199?" manufacturer "BWB" desc "Tic Tac Toe Gold (Barcrest) (MPU4) (TG  4.4 B)" devices ())
(name "m4ticglc__d" year "199?" manufacturer "BWB" desc "Tic Tac Toe Gold (Barcrest) (MPU4) (TG  4.4 BAD)" devices ())
(name "m4tiktak" year "199?" manufacturer "Barcrest" desc "Tic Tak Cash (Barcrest) (MPU4) (TC 1.1)" devices ())
(name "m4toma" year "199?" manufacturer "Barcrest" desc "Tomahawk (Barcrest) (Dutch) (MPU4) (DTK 2.3)" devices ())
(name "m4toot" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3)" devices ())
(name "m4toot__0" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 C)" devices ())
(name "m4toot__1" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 D)" devices ())
(name "m4toot__2" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 KD)" devices ())
(name "m4toot__3" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 RD)" devices ())
(name "m4toot__4" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 YD)" devices ())
(name "m4toot__5" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 K)" devices ())
(name "m4toot__6" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 R)" devices ())
(name "m4toot__7" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5)" devices ())
(name "m4toot__8" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 Y)" devices ())
(name "m4toot__9" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 AD)" devices ())
(name "m4toot__a" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 AD)" devices ())
(name "m4toot__aa" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 B)" devices ())
(name "m4toot__ab" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 BD)" devices ())
(name "m4toot__ac" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 C)" devices ())
(name "m4toot__ad" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 D)" devices ())
(name "m4toot__ae" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 KD)" devices ())
(name "m4toot__af" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 RD)" devices ())
(name "m4toot__ag" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 YD)" devices ())
(name "m4toot__ah" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 K)" devices ())
(name "m4toot__ai" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 R)" devices ())
(name "m4toot__aj" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6)" devices ())
(name "m4toot__ak" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.6 Y)" devices ())
(name "m4toot__al" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.1)" devices ())
(name "m4toot__b" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 B)" devices ())
(name "m4toot__c" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 BD)" devices ())
(name "m4toot__d" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 D)" devices ())
(name "m4toot__e" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 KD)" devices ())
(name "m4toot__f" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 RD)" devices ())
(name "m4toot__g" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 YD)" devices ())
(name "m4toot__h" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 K)" devices ())
(name "m4toot__i" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 R)" devices ())
(name "m4toot__j" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 C)" devices ())
(name "m4toot__k" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 Y)" devices ())
(name "m4toot__l" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 AD)" devices ())
(name "m4toot__m" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 B)" devices ())
(name "m4toot__n" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 BD)" devices ())
(name "m4toot__o" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 C)" devices ())
(name "m4toot__p" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 D)" devices ())
(name "m4toot__q" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 KD)" devices ())
(name "m4toot__r" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 RD)" devices ())
(name "m4toot__s" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 YD)" devices ())
(name "m4toot__t" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 K)" devices ())
(name "m4toot__u" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 R)" devices ())
(name "m4toot__v" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4)" devices ())
(name "m4toot__w" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.4 Y)" devices ())
(name "m4toot__x" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 AD)" devices ())
(name "m4toot__y" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 B)" devices ())
(name "m4toot__z" year "199?" manufacturer "Barcrest" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.5 BD)" devices ())
(name "m4toot__za" year "199?" manufacturer "hack?" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOC 0.3 Y, hack?)" devices ())
(name "m4toot__zb" year "199?" manufacturer "hack?" desc "Ten Out Of Ten (Barcrest) (MPU4) (TOT 0.4 Y, hack?)" devices ())
(name "m4topact" year "199?" manufacturer "Barcrest" desc "Top Action (Barcrest) (Dutch) (MPU4) (TA 2.2, set 1)" devices ())
(name "m4topacta" year "199?" manufacturer "Barcrest" desc "Top Action (Barcrest) (Dutch) (MPU4) (TA 2.2, set 2)" devices ())
(name "m4topdk" year "199?" manufacturer "Barcrest" desc "Top Deck (Barcrest) (Dutch) (MPU4) (DT 2.6)" devices ())
(name "m4topdog" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 YD / TD  7.1)" devices ())
(name "m4topdog__a" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 YD / TD  7.1)" devices ())
(name "m4topdog__b" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 D / TD  7.1)" devices ())
(name "m4topdog__c" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 D / TD  7.1)" devices ())
(name "m4topdog__d" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 Y / TD  7.1)" devices ())
(name "m4topdog__e" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 Y / TD  7.1)" devices ())
(name "m4topdog__f" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 K / TD  7.1)" devices ())
(name "m4topdog__g" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 K / TD  7.1)" devices ())
(name "m4topdog__h" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 B / TD  7.1)" devices ())
(name "m4topdog__i" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 B / TD  7.1)" devices ())
(name "m4topdog__j" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 BAD / TD  7.1)" devices ())
(name "m4topdog__k" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 BAD / TD  7.1)" devices ())
(name "m4topdog__l" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD4 7.1 BR / TD  7.1)" devices ())
(name "m4topdog__m" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 7.1 BR / TD  7.1)" devices ())
(name "m4topdog__n" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 YD / TD  8.3)" devices ())
(name "m4topdog__o" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 D / TD  8.3)" devices ())
(name "m4topdog__p" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 Y / TD  8.3)" devices ())
(name "m4topdog__q" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 K / TD  8.3)" devices ())
(name "m4topdog__r" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 B / TD  8.3)" devices ())
(name "m4topdog__s" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 BAD / TD  8.3)" devices ())
(name "m4topdog__t" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDP 2.0 BAD / TD  2.0)" devices ())
(name "m4topdog__u" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TDT 8.3 BR / TD  8.3)" devices ())
(name "m4topdog__v" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD  1.4 K)" devices ())
(name "m4topdog__w" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD  1.4 B)" devices ())
(name "m4topdog__x" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD  1.4 BD)" devices ())
(name "m4topdog__y" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD  1.4 BAD)" devices ())
(name "m4topdog__z" year "199?" manufacturer "BWB" desc "Top Dog (Barcrest) (MPU4) (TD  1.4 BR)" devices ())
(name "m4topgr" year "199?" manufacturer "Barcrest" desc "Top Gear (Barcrest) (MPU4) (TG4 1.1)" devices ())
(name "m4toplot" year "199?" manufacturer "Barcrest" desc "Top The Lot (Barcrest) (MPU4, T4L 1.0)" devices ())
(name "m4toprn" year "199?" manufacturer "<unknown>" desc "Top Run (Dutch) (MPU4)" devices ())
(name "m4topst" year "199?" manufacturer "Barcrest" desc "Top Stop (Barcrest) (MPU4) (TSP 0.5)" devices ())
(name "m4toptak" year "199?" manufacturer "Barcrest" desc "Top Take (Barcrest) (MPU4) (TTK 1.1)" devices ())
(name "m4topten" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4)" devices ())
(name "m4topten__0" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 YD)" devices ())
(name "m4topten__1" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 H)" devices ())
(name "m4topten__2" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 K)" devices ())
(name "m4topten__3" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 R)" devices ())
(name "m4topten__4" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2)" devices ())
(name "m4topten__5" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 Y)" devices ())
(name "m4topten__6" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 AD)" devices ())
(name "m4topten__7" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 B)" devices ())
(name "m4topten__8" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 BD)" devices ())
(name "m4topten__9" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 C)" devices ())
(name "m4topten__a" year "199?" manufacturer "hack?" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0, hack?)" devices ())
(name "m4topten__aa" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 D)" devices ())
(name "m4topten__ab" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 DH)" devices ())
(name "m4topten__ac" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 KD)" devices ())
(name "m4topten__ad" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 RD)" devices ())
(name "m4topten__ae" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 YD)" devices ())
(name "m4topten__af" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 H)" devices ())
(name "m4topten__ag" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 K)" devices ())
(name "m4topten__ah" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 R)" devices ())
(name "m4topten__ai" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2)" devices ())
(name "m4topten__aj" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2 Y)" devices ())
(name "m4topten__ak" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 AD)" devices ())
(name "m4topten__al" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 B)" devices ())
(name "m4topten__am" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 BD)" devices ())
(name "m4topten__an" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 C)" devices ())
(name "m4topten__ao" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 D)" devices ())
(name "m4topten__ap" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 DH)" devices ())
(name "m4topten__aq" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 KD)" devices ())
(name "m4topten__ar" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 RD)" devices ())
(name "m4topten__as" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 YD)" devices ())
(name "m4topten__at" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 H)" devices ())
(name "m4topten__au" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 K)" devices ())
(name "m4topten__av" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 R)" devices ())
(name "m4topten__aw" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.4 Y)" devices ())
(name "m4topten__ax" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.1)" devices ())
(name "m4topten__b" year "199?" manufacturer "hack?" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTS 0.2, hack?)" devices ())
(name "m4topten__e" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 AD)" devices ())
(name "m4topten__f" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 B)" devices ())
(name "m4topten__g" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 BD)" devices ())
(name "m4topten__h" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 C)" devices ())
(name "m4topten__i" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 D)" devices ())
(name "m4topten__j" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 DH)" devices ())
(name "m4topten__k" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 KD)" devices ())
(name "m4topten__l" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 RD)" devices ())
(name "m4topten__m" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 YD)" devices ())
(name "m4topten__n" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 H)" devices ())
(name "m4topten__o" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 K)" devices ())
(name "m4topten__p" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 R)" devices ())
(name "m4topten__q" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0)" devices ())
(name "m4topten__r" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.0 Y)" devices ())
(name "m4topten__s" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 AD)" devices ())
(name "m4topten__t" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 B)" devices ())
(name "m4topten__u" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 BD)" devices ())
(name "m4topten__v" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 C)" devices ())
(name "m4topten__w" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 D)" devices ())
(name "m4topten__x" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 DH)" devices ())
(name "m4topten__y" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 KD)" devices ())
(name "m4topten__z" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (type 1) (MPU4) (TTH 1.2 RD)" devices ())
(name "m4toptena" year "199?" manufacturer "Barcrest" desc "Top Tenner (Barcrest) (MPU4, Mod 2 type, TP 2.7)" devices ())
(name "m4toptim" year "199?" manufacturer "Barcrest" desc "Top Timer (Barcrest) (Dutch) (MPU4) (DTT 1.8, set 1)" devices ())
(name "m4toptima" year "199?" manufacturer "Barcrest" desc "Top Timer (Barcrest) (Dutch) (MPU4) (DTT 1.8, set 2)" devices ())
(name "m4tornad" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 1)" devices ())
(name "m4tornad__a" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 2)" devices ())
(name "m4tornad__b" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 3)" devices ())
(name "m4tornad__c" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 4)" devices ())
(name "m4tornad__d" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 5)" devices ())
(name "m4tornad__e" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 6)" devices ())
(name "m4tornad__f" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 7)" devices ())
(name "m4tornad__g" year "199?" manufacturer "Qps" desc "Tornado (Qps) (MPU4) (set 8)" devices ())
(name "m4treel" year "199?" manufacturer "<unknown>" desc "Turbo Reels (unknown) (MPU4?) (set 1)" devices ())
(name "m4treela" year "199?" manufacturer "<unknown>" desc "Turbo Reels (unknown) (MPU4?) (set 2)" devices ())
(name "m4trex" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 1)" devices ())
(name "m4trex__a" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 2)" devices ())
(name "m4trex__b" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 3)" devices ())
(name "m4trex__c" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 4)" devices ())
(name "m4trex__d" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 5)" devices ())
(name "m4trex__e" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 6)" devices ())
(name "m4trex__f" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 7)" devices ())
(name "m4trex__g" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 8)" devices ())
(name "m4trex__h" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 9)" devices ())
(name "m4trex__i" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 10)" devices ())
(name "m4trex__j" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 11)" devices ())
(name "m4trex__k" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 12)" devices ())
(name "m4trex__l" year "199?" manufacturer "BWB" desc "T-Rex (BWB) (MPU4) (set 13)" devices ())
(name "m4trg" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 1)" devices ())
(name "m4trg__0" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 28)" devices ())
(name "m4trg__1" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 29)" devices ())
(name "m4trg__2" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 30)" devices ())
(name "m4trg__3" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 31)" devices ())
(name "m4trg__4" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 32)" devices ())
(name "m4trg__a" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 2)" devices ())
(name "m4trg__b" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 3)" devices ())
(name "m4trg__c" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 4)" devices ())
(name "m4trg__d" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 5)" devices ())
(name "m4trg__e" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 6)" devices ())
(name "m4trg__f" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 7)" devices ())
(name "m4trg__g" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 8)" devices ())
(name "m4trg__h" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 9)" devices ())
(name "m4trg__i" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 10)" devices ())
(name "m4trg__j" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 11)" devices ())
(name "m4trg__k" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 12)" devices ())
(name "m4trg__l" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 13)" devices ())
(name "m4trg__m" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 14)" devices ())
(name "m4trg__n" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 15)" devices ())
(name "m4trg__o" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 16)" devices ())
(name "m4trg__p" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 17)" devices ())
(name "m4trg__q" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 18)" devices ())
(name "m4trg__r" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 19)" devices ())
(name "m4trg__s" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 20)" devices ())
(name "m4trg__t" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 21)" devices ())
(name "m4trg__u" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 22)" devices ())
(name "m4trg__v" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 23)" devices ())
(name "m4trg__w" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 24)" devices ())
(name "m4trg__x" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 25)" devices ())
(name "m4trg__y" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 26)" devices ())
(name "m4trg__z" year "199?" manufacturer "Avantime?" desc "Turbo Reel Gambler (Avantime?) (MPU4) (set 27)" devices ())
(name "m4tribnk" year "199?" manufacturer "Barcrest" desc "Triple Bank (Barcrest) (Dutch) (MPU4) (DTB 1.2)" devices ())
(name "m4tricol" year "199?" manufacturer "Barcrest" desc "Tricolor (Barcrest) (Dutch) (MPU4) (DTC 2.5)" devices ())
(name "m4trimad" year "199?" manufacturer "Union" desc "Triple Madness (Union) (MPU4)" devices ())
(name "m4tropcl" year "199?" manufacturer "Barcrest" desc "Tropicana Club (Barcrest) (MPU4) (TRO 2.0, set 1)" devices ())
(name "m4tropcla" year "199?" manufacturer "Barcrest" desc "Tropicana Club (Barcrest) (MPU4) (TR2 1.1, set 1)" devices ())
(name "m4tropclb" year "199?" manufacturer "Barcrest" desc "Tropicana Club (Barcrest) (MPU4) (TR2 1.1, set 2)" devices ())
(name "m4tropclc" year "199?" manufacturer "Barcrest" desc "Tropicana Club (Barcrest) (MPU4) (TR2 1.1, set 3)" devices ())
(name "m4tropcld" year "199?" manufacturer "Barcrest" desc "Tropicana Club (Barcrest) (MPU4) (TRO 2.0, set 2)" devices ())
(name "m4tst" year "198?" manufacturer "Barcrest" desc "MPU4 Unit Test (Program 4)" devices ())
(name "m4tst2" year "198?" manufacturer "Barcrest" desc "MPU4 Unit Test (Program 2)" devices ())
(name "m4ttak" year "199?" manufacturer "Barcrest" desc "Tic Tac Take (Barcrest) (MPU4) (TIC 2.0)" devices ())
(name "m4ttdia" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4)" devices ())
(name "m4ttdia__a" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 AD)" devices ())
(name "m4ttdia__b" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 B)" devices ())
(name "m4ttdia__c" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 BD)" devices ())
(name "m4ttdia__d" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 C)" devices ())
(name "m4ttdia__e" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 D)" devices ())
(name "m4ttdia__f" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 DH)" devices ())
(name "m4ttdia__g" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 KD)" devices ())
(name "m4ttdia__h" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 RD)" devices ())
(name "m4ttdia__i" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 YD)" devices ())
(name "m4ttdia__j" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 H)" devices ())
(name "m4ttdia__k" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 K)" devices ())
(name "m4ttdia__l" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 R)" devices ())
(name "m4ttdia__m" year "199?" manufacturer "Barcrest" desc "Ten Ten Do It Again (Barcrest) (MPU4) (TDA 0.4 Y)" devices ())
(name "m4ttrail" year "199?" manufacturer "Empire" desc "Treasure Trail (Empire) (MPU4, set 1)" devices ())
(name "m4ttraila" year "199?" manufacturer "Empire" desc "Treasure Trail (Empire) (MPU4, set 2)" devices ())
(name "m4ttrailb" year "199?" manufacturer "Empire" desc "Treasure Trail (Empire) (MPU4, set 3)" devices ())
(name "m4tupen" year "199?" manufacturer "bootleg" desc "Tuppenny Cracker (unprotected bootleg) (MPU4)" devices ())
(name "m4tutbwb" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 1)" devices ())
(name "m4tutbwb_a" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 2)" devices ())
(name "m4tutbwb_b" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 3)" devices ())
(name "m4tutbwb_c" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 4)" devices ())
(name "m4tutbwb_d" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 5)" devices ())
(name "m4tutbwb_e" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 6)" devices ())
(name "m4tutbwb_f" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 7)" devices ())
(name "m4tutbwb_g" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 8)" devices ())
(name "m4tutbwb_h" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 9)" devices ())
(name "m4tutbwb_i" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 10)" devices ())
(name "m4tutbwb_j" year "199?" manufacturer "BWB" desc "Tutti Fruity (BWB) (MPU4) (set 11)" devices ())
(name "m4tutcl" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1)" devices ())
(name "m4tutcl__a" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 B)" devices ())
(name "m4tutcl__b" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 BD)" devices ())
(name "m4tutcl__c" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 C)" devices ())
(name "m4tutcl__d" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 D)" devices ())
(name "m4tutcl__e" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 KD)" devices ())
(name "m4tutcl__f" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 RD)" devices ())
(name "m4tutcl__g" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 YD)" devices ())
(name "m4tutcl__h" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 K)" devices ())
(name "m4tutcl__i" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 R)" devices ())
(name "m4tutcl__j" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 AD)" devices ())
(name "m4tutcl__k" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 Y)" devices ())
(name "m4tutfrt" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 / TF4 0.4)" devices ())
(name "m4tutfrt__0" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 D)" devices ())
(name "m4tutfrt__1" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 KD)" devices ())
(name "m4tutfrt__2" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 RD)" devices ())
(name "m4tutfrt__3" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 YD)" devices ())
(name "m4tutfrt__4" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 K)" devices ())
(name "m4tutfrt__5" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 R)" devices ())
(name "m4tutfrt__6" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1)" devices ())
(name "m4tutfrt__7" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 Y)" devices ())
(name "m4tutfrt__8" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 AD)" devices ())
(name "m4tutfrt__9" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 B)" devices ())
(name "m4tutfrt__a" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 AD)" devices ())
(name "m4tutfrt__aa" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 BD)" devices ())
(name "m4tutfrt__ab" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 D)" devices ())
(name "m4tutfrt__ac" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 KD)" devices ())
(name "m4tutfrt__ad" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 YD)" devices ())
(name "m4tutfrt__ae" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 K)" devices ())
(name "m4tutfrt__af" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2)" devices ())
(name "m4tutfrt__ag" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TF4 0.2 Y)" devices ())
(name "m4tutfrt__ai" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 AD / TF4 0.4)" devices ())
(name "m4tutfrt__aj" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 B / TF4 0.4)" devices ())
(name "m4tutfrt__ak" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 BD / TF4 0.4)" devices ())
(name "m4tutfrt__al" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 C / TF4 0.4)" devices ())
(name "m4tutfrt__am" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 D / TF4 0.4)" devices ())
(name "m4tutfrt__an" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 KD / TF4 0.4)" devices ())
(name "m4tutfrt__ao" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 RD / TF4 0.4)" devices ())
(name "m4tutfrt__ap" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 YD / TF4 0.4)" devices ())
(name "m4tutfrt__aq" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 K / TF4 0.4)" devices ())
(name "m4tutfrt__ar" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 R / TF4 0.4)" devices ())
(name "m4tutfrt__as" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (TFT 0.4 Y / TF4 0.4)" devices ())
(name "m4tutfrt__at" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 B, hack, set 1)" devices ())
(name "m4tutfrt__au" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F2U 0.1 B, hack, set 2)" devices ())
(name "m4tutfrt__b" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 B)" devices ())
(name "m4tutfrt__c" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 BD)" devices ())
(name "m4tutfrt__d" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 D)" devices ())
(name "m4tutfrt__e" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 KD)" devices ())
(name "m4tutfrt__f" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 YD)" devices ())
(name "m4tutfrt__g" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 K)" devices ())
(name "m4tutfrt__h" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 R)" devices ())
(name "m4tutfrt__i" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1)" devices ())
(name "m4tutfrt__j" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (CTU 0.1 Y)" devices ())
(name "m4tutfrt__k" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 AD)" devices ())
(name "m4tutfrt__l" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 B)" devices ())
(name "m4tutfrt__m" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 BD)" devices ())
(name "m4tutfrt__n" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 C)" devices ())
(name "m4tutfrt__o" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 D)" devices ())
(name "m4tutfrt__p" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 KD)" devices ())
(name "m4tutfrt__q" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 RD)" devices ())
(name "m4tutfrt__r" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 YD)" devices ())
(name "m4tutfrt__s" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 K)" devices ())
(name "m4tutfrt__t" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 R)" devices ())
(name "m4tutfrt__u" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1)" devices ())
(name "m4tutfrt__v" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F1U 0.1 Y)" devices ())
(name "m4tutfrt__w" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 AD)" devices ())
(name "m4tutfrt__x" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 B)" devices ())
(name "m4tutfrt__y" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 BD)" devices ())
(name "m4tutfrt__z" year "199?" manufacturer "Barcrest" desc "Tutti Fruity (Barcrest) (MPU4) (F3U 0.1 C)" devices ())
(name "m4twilgt" year "199?" manufacturer "Barcrest" desc "Twilight (Barcrest) (Dutch) (MPU4) (DTL 2.2)" devices ())
(name "m4twintm" year "199?" manufacturer "Barcrest" desc "Twin Timer (Barcrest) (MPU4) (D2T 1.1)" devices ())
(name "m4twist" year "1993" manufacturer "J.A. Brown" desc "Twist Again (J.A. Brown) (MPU4) (TA 9.6, set 1)" devices ())
(name "m4twista" year "1993" manufacturer "J.A. Brown" desc "Twist Again (J.A. Brown) (MPU4) (TA 9.6, set 2)" devices ())
(name "m4twistb" year "1993" manufacturer "J.A. Brown" desc "Twist Again (J.A. Brown) (MPU4) (TA 9.6, set 3)" devices ())
(name "m4twstcl" year "199?" manufacturer "Crystal" desc "Twister Club (Crystal) (MPU4) (set 1)" devices ())
(name "m4twstcla" year "199?" manufacturer "Crystal" desc "Twister Club (Crystal) (MPU4) (set 2)" devices ())
(name "m4twstclb" year "199?" manufacturer "Crystal" desc "Twister Club (Crystal) (MPU4) (set 3)" devices ())
(name "m4twstr" year "199?" manufacturer "Crystal" desc "Twister (Crystal) (MPU4) (set 1)" devices ())
(name "m4twstra" year "199?" manufacturer "Crystal" desc "Twister (Crystal) (MPU4) (set 2)" devices ())
(name "m4twstrb" year "199?" manufacturer "Crystal" desc "Twister (Crystal) (MPU4) (set 3)" devices ())
(name "m4twstrc" year "199?" manufacturer "Crystal" desc "Twister (Crystal) (MPU4) (set 4)" devices ())
(name "m4twstrd" year "199?" manufacturer "Crystal" desc "Twister (Crystal) (MPU4) (set 5)" devices ())
(name "m4tylb" year "199?" manufacturer "Crystal" desc "Thank Your Lucky Bars (Crystal) (MPU4) (set 1)" devices ())
(name "m4tylba" year "199?" manufacturer "Crystal" desc "Thank Your Lucky Bars (Crystal) (MPU4) (set 2)" devices ())
(name "m4typcl" year "199?" manufacturer "Barcrest" desc "Take Your Pick Club (Barcrest) (MPU4) (CTP 1.2)" devices ())
(name "m4typcl__a" year "199?" manufacturer "Barcrest" desc "Take Your Pick Club (Barcrest) (MPU4) (CTP 1.3 D)" devices ())
(name "m4typcl__b" year "199?" manufacturer "Barcrest" desc "Take Your Pick Club (Barcrest) (MPU4) (CTP 1.3 F)" devices ())
(name "m4typcl__c" year "199?" manufacturer "Barcrest" desc "Take Your Pick Club (Barcrest) (MPU4) (CTP 1.3)" devices ())
(name "m4typcl__d" year "199?" manufacturer "Barcrest" desc "Take Your Pick Club (Barcrest) (MPU4) (NTP 0.2)" devices ())
(name "m4unibox" year "199?" manufacturer "Union" desc "Unibox (Union) (MPU4, set 1)" devices ())
(name "m4uniboxa" year "199?" manufacturer "Union" desc "Unibox (Union) (MPU4, set 2)" devices ())
(name "m4unique" year "199?" manufacturer "Union" desc "Unique (Union) (MPU4, set 1)" devices ())
(name "m4uniquep" year "199?" manufacturer "Union" desc "Unique (Union) (MPU4, set 2)" devices ())
(name "m4univ" year "199?" manufacturer "Barcrest" desc "Universe (Barcrest) (Dutch) (MPU4) (DUN 2.0)" devices ())
(name "m4unkjok" year "199?" manufacturer "bootleg" desc "Jolly Joker (Barcrest) (MPU4) (bootleg) (JJ1 0.1, set 1)" devices ())
(name "m4unkjoka" year "199?" manufacturer "bootleg" desc "Jolly Joker (Barcrest) (MPU4) (bootleg) (JJ1 0.1. set 2)" devices ())
(name "m4unkjokb" year "199?" manufacturer "bootleg" desc "Jolly Taverner (Barcrest) (bootleg) (MPU4) (TAV 1.1, set 1)" devices ())
(name "m4unkjokc" year "199?" manufacturer "bootleg" desc "Jolly Taverner (Barcrest) (bootleg) (MPU4) (TAV 1.1, set 2)" devices ())
(name "m4uuaw" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1)" devices ())
(name "m4uuaw__0" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2)" devices ())
(name "m4uuaw__1" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 Y)" devices ())
(name "m4uuaw__2" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DA)" devices ())
(name "m4uuaw__3" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 B)" devices ())
(name "m4uuaw__4" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DB)" devices ())
(name "m4uuaw__5" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 D)" devices ())
(name "m4uuaw__6" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DH)" devices ())
(name "m4uuaw__7" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DK)" devices ())
(name "m4uuaw__8" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DR)" devices ())
(name "m4uuaw__9" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 DY)" devices ())
(name "m4uuaw__a" year "199?" manufacturer "hack" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.0, hack)" devices ())
(name "m4uuaw__aa" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 K)" devices ())
(name "m4uuaw__ab" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 R)" devices ())
(name "m4uuaw__ac" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1)" devices ())
(name "m4uuaw__ad" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 Y)" devices ())
(name "m4uuaw__ae" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DA)" devices ())
(name "m4uuaw__af" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 B)" devices ())
(name "m4uuaw__ag" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DB)" devices ())
(name "m4uuaw__ah" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 D)" devices ())
(name "m4uuaw__ai" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DH)" devices ())
(name "m4uuaw__aj" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DK)" devices ())
(name "m4uuaw__ak" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DR)" devices ())
(name "m4uuaw__al" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 DY)" devices ())
(name "m4uuaw__am" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 H)" devices ())
(name "m4uuaw__an" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 K)" devices ())
(name "m4uuaw__ao" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 R)" devices ())
(name "m4uuaw__ap" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2)" devices ())
(name "m4uuaw__aq" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.2 Y)" devices ())
(name "m4uuaw__b" year "199?" manufacturer "hack" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.0, hack)" devices ())
(name "m4uuaw__c" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DA)" devices ())
(name "m4uuaw__d" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 B)" devices ())
(name "m4uuaw__e" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DB)" devices ())
(name "m4uuaw__f" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 D)" devices ())
(name "m4uuaw__g" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DH)" devices ())
(name "m4uuaw__h" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DK)" devices ())
(name "m4uuaw__i" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DR)" devices ())
(name "m4uuaw__j" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 DY)" devices ())
(name "m4uuaw__k" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 H)" devices ())
(name "m4uuaw__l" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 K)" devices ())
(name "m4uuaw__m" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 R)" devices ())
(name "m4uuaw__n" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UUA 2.1 H)" devices ())
(name "m4uuaw__o" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.1 Y)" devices ())
(name "m4uuaw__p" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DA)" devices ())
(name "m4uuaw__q" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 B)" devices ())
(name "m4uuaw__r" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DB)" devices ())
(name "m4uuaw__s" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 D)" devices ())
(name "m4uuaw__t" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DH)" devices ())
(name "m4uuaw__u" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DK)" devices ())
(name "m4uuaw__v" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DR)" devices ())
(name "m4uuaw__w" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 DY)" devices ())
(name "m4uuaw__x" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 H)" devices ())
(name "m4uuaw__y" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 K)" devices ())
(name "m4uuaw__z" year "199?" manufacturer "Barcrest" desc "Up Up and Away (Barcrest) (MPU4) (UPS 2.2 R)" devices ())
(name "m4vdexpr" year "199?" manufacturer "BWB" desc "Voodoo Express (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 1)" devices ())
(name "m4vdexpr__a" year "199?" manufacturer "BWB" desc "Voodoo Express (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 2)" devices ())
(name "m4vdexpr__b" year "199?" manufacturer "BWB" desc "Voodoo Express (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 3)" devices ())
(name "m4vdexpr__c" year "199?" manufacturer "BWB" desc "Voodoo Express (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 4)" devices ())
(name "m4vdexpr__d" year "199?" manufacturer "BWB" desc "Voodoo Express (BWB) (MPU4) (5/10p stake / £5/£8 jackpot)" devices ())
(name "m4vegast" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3)" devices ())
(name "m4vegast__0" year "199?" manufacturer "bootleg" desc "Las Vegas Strip (Barcrest) (bootleg) (MPU4) (VSG 0.4)" devices ())
(name "m4vegast__1" year "199?" manufacturer "bootleg" desc "Las Vegas Strip (Barcrest) (bootleg) (MPU4) (UVS 0.3)" devices ())
(name "m4vegast__a" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 B)" devices ())
(name "m4vegast__b" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 BD)" devices ())
(name "m4vegast__c" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 C)" devices ())
(name "m4vegast__d" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 D)" devices ())
(name "m4vegast__e" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 KD)" devices ())
(name "m4vegast__f" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 YD)" devices ())
(name "m4vegast__g" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 K)" devices ())
(name "m4vegast__h" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 AD)" devices ())
(name "m4vegast__i" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (UVS 0.3 Y)" devices ())
(name "m4vegast__j" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 AD)" devices ())
(name "m4vegast__k" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 B)" devices ())
(name "m4vegast__l" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 BD)" devices ())
(name "m4vegast__m" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 C)" devices ())
(name "m4vegast__n" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 D)" devices ())
(name "m4vegast__o" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 KD)" devices ())
(name "m4vegast__p" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 RD)" devices ())
(name "m4vegast__q" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 YD)" devices ())
(name "m4vegast__r" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 K)" devices ())
(name "m4vegast__s" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 R)" devices ())
(name "m4vegast__t" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4)" devices ())
(name "m4vegast__u" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.4 Y)" devices ())
(name "m4vegast__x" year "199?" manufacturer "Barcrest" desc "Las Vegas Strip (Barcrest) (MPU4) (VSG 0.3)" devices ())
(name "m4vegastg" year "199?" manufacturer "Barcrest" desc "Vegas Strip (Barcrest) (German) (MPU4)" devices ())
(name "m4vfm" year "199?" manufacturer "Global" desc "Value For Money (Global) (MPU4)" devices ())
(name "m4vivaes" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1)" devices ())
(name "m4vivaes__0" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE105.0, set 3)" devices ())
(name "m4vivaes__1" year "199?" manufacturer "hack" desc "Viva Espana (Barcrest) (MPU4) (8V1  0.3, hack, set 1)" devices ())
(name "m4vivaes__2" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2AD)" devices ())
(name "m4vivaes__3" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2B)" devices ())
(name "m4vivaes__4" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2BD)" devices ())
(name "m4vivaes__5" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2D)" devices ())
(name "m4vivaes__6" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2KD)" devices ())
(name "m4vivaes__7" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2YD)" devices ())
(name "m4vivaes__8" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2K)" devices ())
(name "m4vivaes__9" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2)" devices ())
(name "m4vivaes__a" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1AD)" devices ())
(name "m4vivaes__aa" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VET 0.2Y)" devices ())
(name "m4vivaes__ac" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 3.0)" devices ())
(name "m4vivaes__ad" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE105.0, set 4)" devices ())
(name "m4vivaes__ae" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 4.0C, set 1)" devices ())
(name "m4vivaes__af" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE104.0)" devices ())
(name "m4vivaes__ag" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 6.0C, set 3)" devices ())
(name "m4vivaes__ah" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 6.0)" devices ())
(name "m4vivaes__ai" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 6.0C, set 1)" devices ())
(name "m4vivaes__aj" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 6.0C, set 2)" devices ())
(name "m4vivaes__ak" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 4.0C, set 2)" devices ())
(name "m4vivaes__al" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE105.0, set 2)" devices ())
(name "m4vivaes__am" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE105.0, set 1)" devices ())
(name "m4vivaes__an" year "199?" manufacturer "hack" desc "Viva Espana (Barcrest) (MPU4) (8V1  0.3, hack, set 2)" devices ())
(name "m4vivaes__ao" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 5.0, set 2)" devices ())
(name "m4vivaes__ap" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 5.0, set 3)" devices ())
(name "m4vivaes__aq" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.2)" devices ())
(name "m4vivaes__b" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1B)" devices ())
(name "m4vivaes__c" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1BD)" devices ())
(name "m4vivaes__d" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1C)" devices ())
(name "m4vivaes__e" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1D)" devices ())
(name "m4vivaes__f" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1KD)" devices ())
(name "m4vivaes__g" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1YD)" devices ())
(name "m4vivaes__h" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1K)" devices ())
(name "m4vivaes__i" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (EP8 0.1Y)" devices ())
(name "m4vivaes__j" year "199?" manufacturer "hack" desc "Viva Espana (Barcrest) (MPU4) (VE5 6.0, hack)" devices ())
(name "m4vivaes__k" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3C)" devices ())
(name "m4vivaes__l" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3D)" devices ())
(name "m4vivaes__m" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3YD)" devices ())
(name "m4vivaes__n" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3K)" devices ())
(name "m4vivaes__o" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3)" devices ())
(name "m4vivaes__p" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (ESP 0.3Y)" devices ())
(name "m4vivaes__q" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2AD)" devices ())
(name "m4vivaes__r" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2B)" devices ())
(name "m4vivaes__s" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2BD)" devices ())
(name "m4vivaes__t" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2D)" devices ())
(name "m4vivaes__u" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2KD)" devices ())
(name "m4vivaes__v" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2YD)" devices ())
(name "m4vivaes__w" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2K)" devices ())
(name "m4vivaes__x" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2)" devices ())
(name "m4vivaes__y" year "199?" manufacturer "Barcrest" desc "Viva Espana (Barcrest) (MPU4) (VE5 0.2Y)" devices ())
(name "m4vivaes__z" year "199?" manufacturer "BWB" desc "Viva Espana (Barcrest) (MPU4) (VE5 5.0, set 1)" devices ())
(name "m4vivalv" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 7)" devices ())
(name "m4vivalv__0" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 2)" devices ())
(name "m4vivalv__1" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 3)" devices ())
(name "m4vivalv__2" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 4)" devices ())
(name "m4vivalv__3" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 5)" devices ())
(name "m4vivalv__4" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 6)" devices ())
(name "m4vivalv__5" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 7)" devices ())
(name "m4vivalv__6" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack ? , set 8)" devices ())
(name "m4vivalv__a" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 1)" devices ())
(name "m4vivalv__b" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 2)" devices ())
(name "m4vivalv__c" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 3)" devices ())
(name "m4vivalv__d" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 4)" devices ())
(name "m4vivalv__e" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 5)" devices ())
(name "m4vivalv__f" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 6)" devices ())
(name "m4vivalv__g" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.1, set 8)" devices ())
(name "m4vivalv__h" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0)" devices ())
(name "m4vivalv__i" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 1)" devices ())
(name "m4vivalv__j" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 2)" devices ())
(name "m4vivalv__k" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 3)" devices ())
(name "m4vivalv__l" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 4)" devices ())
(name "m4vivalv__m" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 5)" devices ())
(name "m4vivalv__n" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 6)" devices ())
(name "m4vivalv__o" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 7)" devices ())
(name "m4vivalv__p" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 8)" devices ())
(name "m4vivalv__q" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 9)" devices ())
(name "m4vivalv__r" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 10)" devices ())
(name "m4vivalv__s" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 11)" devices ())
(name "m4vivalv__t" year "199?" manufacturer "BWB" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, set 12)" devices ())
(name "m4vivalv__u" year "199?" manufacturer "hack?" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0, hack?, set 1)" devices ())
(name "m4vivalv__v" year "199?" manufacturer "hack?" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0, hack?, set 2)" devices ())
(name "m4vivalv__w" year "199?" manufacturer "hack?" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0, hack?, set 3)" devices ())
(name "m4vivalv__x" year "199?" manufacturer "hack?" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0, hack?, set 4)" devices ())
(name "m4vivalv__y" year "199?" manufacturer "hack?" desc "Viva Las Vegas (Barcrest) (MPU4) (VLV 1.0, hack?, set 5)" devices ())
(name "m4vivalv__z" year "199?" manufacturer "hack?" desc "Viva Las Vegas (BWB) (MPU4) (VL_ 2.0, hack?, set 1)" devices ())
(name "m4vivalvd" year "199?" manufacturer "Barcrest" desc "Viva Las Vegas (Barcrest) (Dutch) (MPU4) (DLV 1.1)" devices ())
(name "m4vivan" year "199?" manufacturer "Nova" desc "Viva Las Vegas (Nova) (German) (MPU4) (GLV 1.2)" devices ())
(name "m4vivess" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1)" devices ())
(name "m4vivess__a" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 AD)" devices ())
(name "m4vivess__b" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 B)" devices ())
(name "m4vivess__c" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 BD)" devices ())
(name "m4vivess__d" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 D)" devices ())
(name "m4vivess__f" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 KD)" devices ())
(name "m4vivess__g" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 YD)" devices ())
(name "m4vivess__i" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 K)" devices ())
(name "m4vivess__j" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SE8 0.1 Y)" devices ())
(name "m4vivess__k" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2 B)" devices ())
(name "m4vivess__l" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2 D)" devices ())
(name "m4vivess__m" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2 YD)" devices ())
(name "m4vivess__n" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2 K)" devices ())
(name "m4vivess__o" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2)" devices ())
(name "m4vivess__p" year "199?" manufacturer "Barcrest" desc "Viva Espana Showcase (Barcrest) (MPU4) (SES 0.2 Y)" devices ())
(name "m4viz" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6)" devices ())
(name "m4viz__a" year "199?" manufacturer "hack" desc "Viz (Barcrest) (MPU4) (8V1 0.6 C, hack, set 2)" devices ())
(name "m4viz__b" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.2 T)" devices ())
(name "m4viz__c" year "199?" manufacturer "hack" desc "Viz (Barcrest) (MPU4) (8V1 1.0 C, hack, set 3)" devices ())
(name "m4viz__d" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 B)" devices ())
(name "m4viz__e" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 C)" devices ())
(name "m4viz__f" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 D)" devices ())
(name "m4viz__g" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 DK)" devices ())
(name "m4viz__h" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 DY)" devices ())
(name "m4viz__i" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 K)" devices ())
(name "m4viz__j" year "199?" manufacturer "hack" desc "Viz (Barcrest) (MPU4) (8V1 0.6 C, hack, set 1)" devices ())
(name "m4viz__k" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.6 Y)" devices ())
(name "m4viz__l" year "199?" manufacturer "Barcrest" desc "Viz (Barcrest) (MPU4) (VIZ 0.3 Y)" devices ())
(name "m4viz__m" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 K, set 1)" devices ())
(name "m4viz__n" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0, set 1)" devices ())
(name "m4viz__o" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 DY, set 1)" devices ())
(name "m4viz__p" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 D, set 1)" devices ())
(name "m4viz__q" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 K, set 2)" devices ())
(name "m4viz__r" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0, set 2)" devices ())
(name "m4viz__s" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 DY, set 2)" devices ())
(name "m4viz__t" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 D, set 2)" devices ())
(name "m4viz__u" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 C, set 1)" devices ())
(name "m4viz__v" year "199?" manufacturer "BWB" desc "Viz (Barcrest) (MPU4) (VZ__1.0 C, set 2)" devices ())
(name "m4viz__w" year "199?" manufacturer "hack" desc "Viz (Barcrest) (MPU4) (8V1 0.6, hack)" devices ())
(name "m4volcan" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 1)" devices ())
(name "m4volcan__a" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 2)" devices ())
(name "m4volcan__b" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 3)" devices ())
(name "m4volcan__c" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 4)" devices ())
(name "m4volcan__d" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (20/25/30p stake / £5/£10/£15 jackpot) (set 5)" devices ())
(name "m4volcan__e" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (5/10p stake / £5/£8 jackpot) (set 1)" devices ())
(name "m4volcan__f" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (5/10p stake / £5/£8 jackpot) (set 2)" devices ())
(name "m4volcan__g" year "199?" manufacturer "BWB" desc "Volcano (BWB) (MPU4) (5/10p stake / £5/£8 jackpot) (set 3)" devices ())
(name "m4voodoo" year "199?" manufacturer "Barcrest" desc "Voodoo 1000 (Barcrest) (Dutch) (MPU4) (DDO 3.2)" devices ())
(name "m4wayin" year "199?" manufacturer "Barcrest" desc "Super Way In (Barcrest) (MPU4) (WS 1.0)" devices ())
(name "m4wayina" year "199?" manufacturer "bootleg" desc "Way In Mk 2 (Barcrest) (bootleg) (MPU4)" devices ())
(name "m4wcnov" year "199?" manufacturer "BWB" desc "World Cup (Nova) (MPU4)" devices ())
(name "m4wife" year "199?" manufacturer "Gemini" desc "Money Or Yer Wife (Gemini) (MPU4)" devices ())
(name "m4wildms" year "199?" manufacturer "Barcrest" desc "Wild Mystery (Barcrest) (Dutch) (MPU4) (DWM 1.8)" devices ())
(name "m4wildtm" year "199?" manufacturer "Barcrest" desc "Wild Timer (Barcrest) (Dutch) (MPU4) (DWT 1.3)" devices ())
(name "m4wnud" year "1988" manufacturer "J.A. Brown" desc "unknown MPU4 'W Nudge' (J.A. Brown) (MPU4)" devices ())
(name "m4wta" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WIN 0.6)" devices ())
(name "m4wta__0" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 D)" devices ())
(name "m4wta__1" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 KD)" devices ())
(name "m4wta__2" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 YD)" devices ())
(name "m4wta__3" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 K)" devices ())
(name "m4wta__4" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1)" devices ())
(name "m4wta__5" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 Y)" devices ())
(name "m4wta__6" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (V1 0.1, hack)" devices ())
(name "m4wta__7" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WNC 1.3 5, hack, set 1)" devices ())
(name "m4wta__8" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WN8 2.2 5, hack, set 1)" devices ())
(name "m4wta__9" year "199?" manufacturer "BWB" desc "Winner Takes All (Barcrest) (MPU4) (WN4 1.1 K5)" devices ())
(name "m4wta__aa" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WIN 0.6 K)" devices ())
(name "m4wta__ab" year "199?" manufacturer "BWB" desc "Winner Takes All (Barcrest) (MPU4) (WN4 1.1 5)" devices ())
(name "m4wta__ac" year "199?" manufacturer "BWB" desc "Winner Takes All (Barcrest) (MPU4) (WN5 3.0 5)" devices ())
(name "m4wta__ad" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WNC 1.3 5, hack, set 2)" devices ())
(name "m4wta__ae" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WN4 1.1 K5, hack?)" devices ())
(name "m4wta__af" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WN4 1.1, hack, set 2)" devices ())
(name "m4wta__ag" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WN8 2.2 5, hack, set 2)" devices ())
(name "m4wta__b" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WIN 0.6 YD)" devices ())
(name "m4wta__d" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WN4 1.1, hack, set 1)" devices ())
(name "m4wta__e" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WIN 0.6 Y)" devices ())
(name "m4wta__f" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 AD)" devices ())
(name "m4wta__g" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 B)" devices ())
(name "m4wta__h" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 BD)" devices ())
(name "m4wta__i" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 D)" devices ())
(name "m4wta__j" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 KD)" devices ())
(name "m4wta__k" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 YD)" devices ())
(name "m4wta__l" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 K)" devices ())
(name "m4wta__m" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1)" devices ())
(name "m4wta__n" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN5 0.1 Y)" devices ())
(name "m4wta__o" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 B)" devices ())
(name "m4wta__p" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 C)" devices ())
(name "m4wta__q" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 D)" devices ())
(name "m4wta__r" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 KD)" devices ())
(name "m4wta__s" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 YD)" devices ())
(name "m4wta__t" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 K)" devices ())
(name "m4wta__u" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1)" devices ())
(name "m4wta__v" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WN8 0.1 Y)" devices ())
(name "m4wta__w" year "199?" manufacturer "hack" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1, hack)" devices ())
(name "m4wta__x" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 AD)" devices ())
(name "m4wta__y" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 B)" devices ())
(name "m4wta__z" year "199?" manufacturer "Barcrest" desc "Winner Takes All (Barcrest) (MPU4) (WNT 0.1 BD)" devices ())
(name "m4wwc" year "199?" manufacturer "Global" desc "Wacky Weekend Club (Global) (MPU4) (set 1)" devices ())
(name "m4wwca" year "199?" manufacturer "Global" desc "Wacky Weekend Club (Global) (MPU4) (set 2)" devices ())
(name "m4wwcb" year "199?" manufacturer "Global" desc "Wacky Weekend Club (Global) (MPU4) (set 3)" devices ())
(name "m4xch" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £10 jackpot)" devices ())
(name "m4xch__a" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £8 jackpot) (set 1)" devices ())
(name "m4xch__b" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £8 jackpot) (set 2)" devices ())
(name "m4xch__c" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £15 jackpot) (set 1)" devices ())
(name "m4xch__d" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £15 jackpot) (set 2)" devices ())
(name "m4xch__e" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (25p stake / £15 jackpot) (set 3)" devices ())
(name "m4xch__f" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (30p stake / £15 jackpot) (set 1)" devices ())
(name "m4xch__g" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (30p stake / £15 jackpot) (set 2)" devices ())
(name "m4xch__h" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (20/25/30p stake / £15 jackpot)" devices ())
(name "m4xch__i" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (10/20/25/30p stake / £5/£8/£10 jackpot, 20/25/30p stake / £15 jackpot) (set 1)" devices ())
(name "m4xch__j" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (10/20/25/30p stake / £5/£8/£10 jackpot, 20/25/30p stake / £15 jackpot) (set 2)" devices ())
(name "m4xch__k" year "199?" manufacturer "BWB" desc "X-change (BWB) (MPU4) (unknown set, bad?)" devices ())
(name "m4xs" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (25p stake / £15 jackpot) (set 1)" devices ())
(name "m4xs__a" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (25p stake / £15 jackpot) (set 2)" devices ())
(name "m4xs__b" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (25p stake / £15 jackpot) (set 3)" devices ())
(name "m4xs__c" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (25p stake / £15 jackpot) (set 4)" devices ())
(name "m4xs__d" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (30p stake / £15 jackpot) (set 1)" devices ())
(name "m4xs__e" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (30p stake / £15 jackpot) (set 2)" devices ())
(name "m4xs__f" year "199?" manufacturer "BWB" desc "X-s (BWB) (MPU4) (20/25/30p stake / £15 jackpot)" devices ())
(name "m4xtrm" year "199?" manufacturer "BWB" desc "X-treme (BWB) (MPU4) (20/25/30p stake / £8/£15 jackpot)" devices ())
(name "m4xtrm__a" year "199?" manufacturer "BWB" desc "X-treme (BWB) (MPU4) (30p stake / £15 jackpot)" devices ())
(name "m4xtrm__b" year "199?" manufacturer "BWB" desc "X-treme (BWB) (MPU4) (25p stake / £15 jackpot)" devices ())
(name "m4zill" year "199?" manufacturer "Pure Leisure" desc "Zillionare's Challenge (Pure Leisure) (MPU4) (set 1)" devices ())
(name "m4zilla" year "199?" manufacturer "Pure Leisure" desc "Zillionare's Challenge (Pure Leisure) (MPU4) (set 2)" devices ())
(name "m5" year "1983" manufacturer "Sord" desc "m.5 (Japan)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "m5001" year "199?" manufacturer "Sega" desc "M5001 (rev. A)" devices ())
(name "m505neo" year "2012" manufacturer "Millennium 2000 GmbH / Senca" desc "Millennium M505 Arcade Neo Portable Spielkonsole (Family Sport 100-in-1)" devices ())
(name "m521neo" year "2012" manufacturer "Millennium 2000 GmbH / Senca" desc "Millennium M521 Arcade Neo 2.0 (Family Sport 220-in-1) " devices ())
(name "m55050" year "199?" manufacturer "Bwb" desc "Fifty Fifty (Bwb) (MPU5)" devices ())
(name "m55hipl" year "1990" manufacturer "Micronics" desc "M55Hi-Plus" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "m5aceclb" year "199?" manufacturer "Empire" desc "Ace Of Clubs (Empire) (MPU5, set 1)" devices ())
(name "m5aceclba" year "199?" manufacturer "Empire" desc "Ace Of Clubs (Empire) (MPU5, set 2)" devices ())
(name "m5aceclbb" year "199?" manufacturer "Empire" desc "Ace Of Clubs (Empire) (MPU5, set 3)" devices ())
(name "m5addams" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 1)" devices ())
(name "m5addamsa" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 2)" devices ())
(name "m5addamsb" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 3)" devices ())
(name "m5addamsc" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 4)" devices ())
(name "m5addamsd" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 5)" devices ())
(name "m5addamse" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 6)" devices ())
(name "m5addamsf" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 7)" devices ())
(name "m5addamsg" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.5, set 8)" devices ())
(name "m5addamsh" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.2, set 1)" devices ())
(name "m5addamsi" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.2, set 2)" devices ())
(name "m5addamsj" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.2, set 3)" devices ())
(name "m5addamsk" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 1)" devices ())
(name "m5addamsl" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 2)" devices ())
(name "m5addamsm" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 3)" devices ())
(name "m5addamsn" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 4)" devices ())
(name "m5addamso" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 5)" devices ())
(name "m5addamsp" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 6)" devices ())
(name "m5addamsq" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 7)" devices ())
(name "m5addamsr" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 8)" devices ())
(name "m5addamss" year "199?" manufacturer "Barcrest" desc "Addams Family (Barcrest) (MPU5) (v0.3, set 9)" devices ())
(name "m5addlad" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 1)" devices ())
(name "m5addlada" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 2)" devices ())
(name "m5addladb" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 3)" devices ())
(name "m5addladc" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 4)" devices ())
(name "m5addladd" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 5)" devices ())
(name "m5addlade" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 6)" devices ())
(name "m5addladf" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 7)" devices ())
(name "m5addladg" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 8)" devices ())
(name "m5addladh" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 9)" devices ())
(name "m5addladi" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.6, set 10)" devices ())
(name "m5addladj" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 1)" devices ())
(name "m5addladk" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 2)" devices ())
(name "m5addladl" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 3)" devices ())
(name "m5addladm" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 4)" devices ())
(name "m5addladn" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 5)" devices ())
(name "m5addlado" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 6)" devices ())
(name "m5addladp" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.1, set 7)" devices ())
(name "m5addladq" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.4, set 1)" devices ())
(name "m5addladr" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v0.4, set 2)" devices ())
(name "m5addlads" year "199?" manufacturer "Barcrest" desc "Adders & Ladders (Barcrest) (MPU5, v?.?)" devices ())
(name "m5all41" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 1)" devices ())
(name "m5all41a" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 2)" devices ())
(name "m5all41b" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 3)" devices ())
(name "m5all41c" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 4)" devices ())
(name "m5all41d" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 5)" devices ())
(name "m5all41e" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 6)" devices ())
(name "m5all41f" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 7)" devices ())
(name "m5all41g" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 8)" devices ())
(name "m5all41h" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 9)" devices ())
(name "m5all41i" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 10)" devices ())
(name "m5all41j" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 11)" devices ())
(name "m5all41k" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 12)" devices ())
(name "m5all41l" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 13)" devices ())
(name "m5all41low" year "199?" manufacturer "Lowen" desc "All 4 One (Lowen) (MPU5)" devices ())
(name "m5all41m" year "199?" manufacturer "Vivid" desc "All 4 One (Vivid) (MPU5, set 14)" devices ())
(name "m5arab" year "199?" manufacturer "Barcrest" desc "Arabian Nights (Barcrest) (MPU5) (set 1)" devices ())
(name "m5arab03" year "199?" manufacturer "Barcrest" desc "Arabian Nights (Barcrest) (MPU5) (set 2)" devices ())
(name "m5ashock" year "199?" manufacturer "Barcrest / Red Gaming" desc "Aftershock (Barcrest - Red Gaming) (MPU5, v1.2)" devices ())
(name "m5ashocka" year "199?" manufacturer "Barcrest / Red Gaming" desc "Aftershock (Barcrest - Red Gaming) (MPU5, v1.3)" devices ())
(name "m5atlan" year "199?" manufacturer "Vivid" desc "Atlantic (Vivid) (MPU5, v1.4)" devices ())
(name "m5atlana" year "199?" manufacturer "Vivid" desc "Atlantic (Vivid) (MPU5, v1.2)" devices ())
(name "m5austin" year "199?" manufacturer "Barcrest" desc "Austin Powers (Barcrest) (MPU5) (set 1)" devices ())
(name "m5austin10" year "199?" manufacturer "Barcrest" desc "Austin Powers (Barcrest) (MPU5) (set 2)" devices ())
(name "m5austin11" year "199?" manufacturer "Barcrest" desc "Austin Powers (Barcrest) (MPU5) (set 3)" devices ())
(name "m5bankrl" year "199?" manufacturer "Barcrest" desc "The Bank Roll (Barcrest) (MPU5)" devices ())
(name "m5barkng" year "199?" manufacturer "Barcrest" desc "Barking Mad (Barcrest) (MPU5)" devices ())
(name "m5barmy" year "199?" manufacturer "Barcrest" desc "Barmy Army (Barcrest) (MPU5)" devices ())
(name "m5barxdx" year "199?" manufacturer "Empire" desc "Bar X Deluxe (Empire) (MPU5)" devices ())
(name "m5baxe" year "199?" manufacturer "Barcrest" desc "Battle Axe (Barcrest) (MPU5) (set 1)" devices ())
(name "m5baxe04" year "199?" manufacturer "Barcrest" desc "Battle Axe (Barcrest) (MPU5) (set 2)" devices ())
(name "m5bbank" year "199?" manufacturer "Barcrest / Red Gaming" desc "Break The Bank (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5bbank13" year "199?" manufacturer "Barcrest / Red Gaming" desc "Break The Bank (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5bbro" year "199?" manufacturer "Barcrest" desc "Big Brother (Barcrest) (MPU5) (set 1)" devices ())
(name "m5bbro02" year "199?" manufacturer "Barcrest" desc "Big Brother (Barcrest) (MPU5) (set 2)" devices ())
(name "m5bbrocl" year "199?" manufacturer "Barcrest" desc "Big Brother Club (Barcrest) (MPU5)" devices ())
(name "m5beans" year "199?" manufacturer "Barcrest" desc "Full Of Beans (Barcrest) (MPU5) (set 1)" devices ())
(name "m5beansa" year "199?" manufacturer "Barcrest" desc "Full Of Beans (Barcrest) (MPU5) (set 2)" devices ())
(name "m5bigchs" year "199?" manufacturer "Barcrest" desc "The Big Cheese (Barcrest) (MPU5) (set 1)" devices ())
(name "m5bigchs05" year "199?" manufacturer "Barcrest" desc "The Big Cheese (Barcrest) (MPU5) (set 2)" devices ())
(name "m5biggam" year "199?" manufacturer "Barcrest" desc "The Big Game (Barcrest) (MPU5) (set 1)" devices ())
(name "m5biggam11" year "199?" manufacturer "Barcrest" desc "The Big Game (Barcrest) (MPU5) (set 2)" devices ())
(name "m5bigsht" year "199?" manufacturer "Barcrest / Red Gaming" desc "Big Shot (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5bigsht04" year "199?" manufacturer "Barcrest / Red Gaming" desc "Big Shot (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5bigsht11" year "199?" manufacturer "Barcrest / Red Gaming" desc "Big Shot (Barcrest - Red Gaming) (MPU5) (set 3)" devices ())
(name "m5bigsht13" year "199?" manufacturer "Barcrest / Red Gaming" desc "Big Shot (Barcrest - Red Gaming) (MPU5) (set 4)" devices ())
(name "m5bigshta" year "199?" manufacturer "Barcrest / Red Gaming" desc "Big Shot (Barcrest - Red Gaming) (MPU5) (set 5)" devices ())
(name "m5bling" year "199?" manufacturer "Barcrest" desc "Bling King Crazy (Barcrest) (MPU5)" devices ())
(name "m5blkwht" year "199?" manufacturer "Barcrest" desc "Black & White (Barcrest) (MPU5) (set 1)" devices ())
(name "m5blkwht01" year "199?" manufacturer "Barcrest" desc "Black & White (Barcrest) (MPU5) (set 3)" devices ())
(name "m5blkwht11" year "199?" manufacturer "Barcrest" desc "Black & White (Barcrest) (MPU5) (set 2)" devices ())
(name "m5bnkrs" year "199?" manufacturer "Barcrest / Red Gaming" desc "Bonkers (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5bnzclb" year "199?" manufacturer "Empire" desc "Bonanza Club (Empire) (MPU5) (set 1)" devices ())
(name "m5bnzclb11" year "199?" manufacturer "Empire" desc "Bonanza Club (Empire) (MPU5) (set 2)" devices ())
(name "m5btlbnk" year "199?" manufacturer "Vivid" desc "Bottle Bank (Vivid) (MPU5)" devices ())
(name "m5bttf" year "199?" manufacturer "Vivid" desc "Back To The Features (Vivid) (MPU5) (set 1)" devices ())
(name "m5bttfa" year "199?" manufacturer "Vivid" desc "Back To The Features (Vivid) (MPU5) (set 2)" devices ())
(name "m5bukroo" year "199?" manufacturer "Empire" desc "Buckaroo (Empire) (MPU5)" devices ())
(name "m5bwaves" year "199?" manufacturer "Barcrest" desc "Brain Waves (Barcrest) (MPU5) (set 1)" devices ())
(name "m5bwaves07" year "199?" manufacturer "Barcrest" desc "Brain Waves (Barcrest) (MPU5) (set 2)" devices ())
(name "m5caesc" year "199?" manufacturer "Vivid" desc "Caesar's Cash (Vivid) (MPU5)" devices ())
(name "m5carclb" year "199?" manufacturer "Barcrest" desc "Caribbean Club (Barcrest) (MPU5)" devices ())
(name "m5card" year "199?" manufacturer "Vivid" desc "Card Shark (Vivid) (MPU5)" devices ())
(name "m5carou" year "199?" manufacturer "Empire" desc "Carousel (Empire) (MPU5)" devices ())
(name "m5carpet" year "199?" manufacturer "Bwb" desc "Magic Carpet (Bwb) (MPU5) (set 1)" devices ())
(name "m5carpet12" year "199?" manufacturer "Bwb" desc "Magic Carpet (Bwb) (MPU5) (set 2)" devices ())
(name "m5carwsh" year "199?" manufacturer "Bwb" desc "Car Wash (Bwb) (MPU5) (set 1)" devices ())
(name "m5carwsh10" year "199?" manufacturer "Bwb" desc "Car Wash (Bwb) (MPU5) (set 2)" devices ())
(name "m5casfev" year "199?" manufacturer "Barcrest / Red Gaming" desc "Casino Fever (Red Gaming) (MPU5) (set 1)" devices ())
(name "m5casfev12" year "199?" manufacturer "Barcrest / Red Gaming" desc "Casino Fever (Red Gaming) (MPU5) (set 2)" devices ())
(name "m5cashar" year "199?" manufacturer "Barcrest" desc "Cash Arena (Barcrest) (MPU5) (set 1)" devices ())
(name "m5cashar04" year "199?" manufacturer "Barcrest" desc "Cash Arena (Barcrest) (MPU5) (set 2)" devices ())
(name "m5cashat" year "199?" manufacturer "Barcrest" desc "Cash Attack (Barcrest) (MPU5)" devices ())
(name "m5cashln" year "199?" manufacturer "Barcrest" desc "Cash Lines (Barcrest) (MPU5)" devices ())
(name "m5cashrn" year "199?" manufacturer "Barcrest" desc "Cash Run (Barcrest) (MPU5) (set 1)" devices ())
(name "m5cashrn01" year "199?" manufacturer "Barcrest" desc "Cash Run (Barcrest) (MPU5) (set 2)" devices ())
(name "m5cashrn02" year "199?" manufacturer "Barcrest" desc "Cash Run (Barcrest) (MPU5) (set 3)" devices ())
(name "m5cashrn04" year "199?" manufacturer "Barcrest" desc "Cash Run (Barcrest) (MPU5) (set 4)" devices ())
(name "m5casroc" year "199?" manufacturer "Empire" desc "Casino Royale Club (Empire) (MPU5)" devices ())
(name "m5cbrun" year "199?" manufacturer "Empire" desc "Cannonball Run (Empire) (MPU5)" devices ())
(name "m5cbw" year "199?" manufacturer "Barcrest" desc "Ca$h Bang Wallop (Barcrest) (MPU5) (set 1)" devices ())
(name "m5cbwa" year "199?" manufacturer "Barcrest" desc "Ca$h Bang Wallop (Barcrest) (MPU5) (set 2)" devices ())
(name "m5centcl" year "199?" manufacturer "Empire" desc "Centurion Club (Empire) (MPU5) (set 1)" devices ())
(name "m5centcl20" year "199?" manufacturer "Empire" desc "Centurion Club (Empire) (MPU5) (set 2)" devices ())
(name "m5centcl21" year "199?" manufacturer "Empire" desc "Centurion Club (Empire) (MPU5) (set 3)" devices ())
(name "m5centcl21a" year "199?" manufacturer "Empire" desc "Centurion Club (Empire) (MPU5) (set 4)" devices ())
(name "m5centcla" year "199?" manufacturer "Empire" desc "Centurion Club (Empire) (MPU5) (set 5)" devices ())
(name "m5circlb" year "199?" manufacturer "Bwb" desc "Circus Club (Bwb) (MPU5) (set 1)" devices ())
(name "m5circlb00" year "199?" manufacturer "Bwb" desc "Circus Club (Bwb) (MPU5) (set 2)" devices ())
(name "m5circlb15" year "199?" manufacturer "Bwb" desc "Circus Club (Bwb) (MPU5) (set 3)" devices ())
(name "m5circlb33" year "199?" manufacturer "Bwb" desc "Circus Club (Bwb) (MPU5) (set 4)" devices ())
(name "m5circus" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 1)" devices ())
(name "m5circus0a" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 2)" devices ())
(name "m5circus0b" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 3)" devices ())
(name "m5circus11" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 6)" devices ())
(name "m5circus20" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 4)" devices ())
(name "m5circus21" year "199?" manufacturer "Bwb" desc "Circus (Bwb) (MPU5) (set 5)" devices ())
(name "m5clbtro" year "199?" manufacturer "Empire" desc "Club Tropicana (Empire) (MPU5) (set 1)" devices ())
(name "m5clbtro24" year "199?" manufacturer "Empire" desc "Club Tropicana (Empire) (MPU5) (set 2)" devices ())
(name "m5clbtro25" year "199?" manufacturer "Empire" desc "Club Tropicana (Empire) (MPU5) (set 3)" devices ())
(name "m5clifhn" year "199?" manufacturer "Vivid" desc "Cliffhanger (Vivid) (MPU5)" devices ())
(name "m5clown" year "199?" manufacturer "Bwb" desc "Clown In Around (Bwb) (MPU5) (set 1)" devices ())
(name "m5clown11" year "199?" manufacturer "Bwb" desc "Clown In Around (Bwb) (MPU5) (set 2)" devices ())
(name "m5clown13" year "199?" manufacturer "Bwb" desc "Clown In Around (Bwb) (MPU5) (set 3)" devices ())
(name "m5clr" year "199?" manufacturer "Barcrest" desc "MPU 5 Ram & Meter Clear (Barcrest) (MPU5)" devices ())
(name "m5clubsn" year "199?" manufacturer "Bwb" desc "Club Sandwich (Bwb) (MPU5) (set 1)" devices ())
(name "m5clubsn11" year "199?" manufacturer "Bwb" desc "Club Sandwich (Bwb) (MPU5) (set 2)" devices ())
(name "m5clubsn14" year "199?" manufacturer "Bwb" desc "Club Sandwich (Bwb) (MPU5) (set 3)" devices ())
(name "m5clubsn16" year "199?" manufacturer "Bwb" desc "Club Sandwich (Bwb) (MPU5) (set 4)" devices ())
(name "m5cmass" year "199?" manufacturer "Barcrest / Red Gaming" desc "Critical Mass (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5cnct4" year "199?" manufacturer "Vivid" desc "Connect 4 (Vivid) (MPU5) (set 1)" devices ())
(name "m5cnct415" year "199?" manufacturer "Vivid" desc "Connect 4 (Vivid) (MPU5) (set 2)" devices ())
(name "m5cnct420" year "199?" manufacturer "Vivid" desc "Connect 4 (Vivid) (MPU5) (set 3)" devices ())
(name "m5cockdd" year "199?" manufacturer "Empire" desc "Cock A Doodle Dough! (Empire) (MPU5) (set 1)" devices ())
(name "m5cockdd05" year "199?" manufacturer "Empire" desc "Cock A Doodle Dough! (Empire) (MPU5) (set 2)" devices ())
(name "m5codft" year "199?" manufacturer "Barcrest" desc "The Codfather (Barcrest) (MPU5) (set 1)" devices ())
(name "m5codft02" year "199?" manufacturer "Barcrest" desc "The Codfather (Barcrest) (MPU5) (set 2)" devices ())
(name "m5coloss" year "199?" manufacturer "Empire" desc "Colossus Club (Empire) (MPU5)" devices ())
(name "m5cos" year "199?" manufacturer "Barcrest" desc "Costa Del Cash Casino (Barcrest) (MPU5)" devices ())
(name "m5cosclb" year "199?" manufacturer "Barcrest" desc "Costa Del Cash Club (Barcrest) (MPU5)" devices ())
(name "m5costa" year "199?" manufacturer "Barcrest" desc "Costa Del Cash (Barcrest) (MPU5)" devices ())
(name "m5cpcash" year "199?" manufacturer "Barcrest" desc "Captain Cash (Barcrest) (MPU5)" devices ())
(name "m5croclb" year "199?" manufacturer "Empire" desc "Crocodile Rock Club (Empire) (MPU5)" devices ())
(name "m5crocrk" year "199?" manufacturer "Empire" desc "Crocodile Rock (Empire) (MPU5) (set 1)" devices ())
(name "m5crocrk10" year "199?" manufacturer "Empire" desc "Crocodile Rock (Empire) (MPU5) (set 2)" devices ())
(name "m5crsfir" year "199?" manufacturer "Empire" desc "Crossfire (Empire) (MPU5)" devices ())
(name "m5crzkni" year "199?" manufacturer "Barcrest" desc "Crazy Crazy Knights (Barcrest) (MPU5) (set 1)" devices ())
(name "m5crzkni03" year "199?" manufacturer "Barcrest" desc "Crazy Crazy Knights (Barcrest) (MPU5) (set 2)" devices ())
(name "m5cshkcb" year "199?" manufacturer "Vivid" desc "Card Shark Club (Vivid) (MPU5) (set 1)" devices ())
(name "m5cshkcb12" year "199?" manufacturer "Vivid" desc "Card Shark Club (Vivid) (MPU5) (set 2)" devices ())
(name "m5cshkcb13" year "199?" manufacturer "Vivid" desc "Card Shark Club (Vivid) (MPU5) (set 3)" devices ())
(name "m5cshstx" year "199?" manufacturer "Bwb" desc "Cash Stax (Bwb) (MPU5)" devices ())
(name "m5cworan" year "199?" manufacturer "Empire" desc "Clockwork Oranges (Empire) (MPU5) (set 1)" devices ())
(name "m5cworan12" year "199?" manufacturer "Empire" desc "Clockwork Oranges (Empire) (MPU5) (set 2)" devices ())
(name "m5dblfun" year "199?" manufacturer "Lowen" desc "Double Fun (Lowen) (MPU5)" devices ())
(name "m5dblqts" year "199?" manufacturer "Bwb" desc "Double Or Quits (Bwb) (MPU5) (set 1)" devices ())
(name "m5dblqts1b" year "199?" manufacturer "Bwb" desc "Double Or Quits (Bwb) (MPU5) (set 4)" devices ())
(name "m5dblqtsa" year "199?" manufacturer "Bwb" desc "Double Or Quits (Bwb) (MPU5) (set 2)" devices ())
(name "m5dblqtsb" year "199?" manufacturer "Bwb" desc "Double Or Quits (Bwb) (MPU5) (set 3)" devices ())
(name "m5dbubl" year "199?" manufacturer "Barcrest / Red Gaming" desc "Double Bubble (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5devil" year "199?" manufacturer "Vivid" desc "Devil Of A Deal (Vivid) (MPU5)" devices ())
(name "m5dick" year "199?" manufacturer "Bwb" desc "Dick Turnip (Bwb) (MPU5) (set 1)" devices ())
(name "m5dick10" year "199?" manufacturer "Bwb" desc "Dick Turnip (Bwb) (MPU5) (set 2)" devices ())
(name "m5dmnf" year "199?" manufacturer "Empire" desc "Diamonds Are Forever (Empire) (MPU5) (set 1)" devices ())
(name "m5dmnf10" year "199?" manufacturer "Empire" desc "Diamonds Are Forever (Empire) (MPU5) (set 2)" devices ())
(name "m5dmnfcl" year "199?" manufacturer "Empire" desc "Diamonds Are Forever Club (Empire) (MPU5) (set 1)" devices ())
(name "m5dmnfcl04" year "199?" manufacturer "Empire" desc "Diamonds Are Forever Club (Empire) (MPU5) (set 2)" devices ())
(name "m5dmnstr" year "199?" manufacturer "Barcrest / Red Gaming" desc "Demon Streak (Barcrest - Red Gaming) (MPU5, set 1)" devices ())
(name "m5dmnstra" year "199?" manufacturer "Barcrest / Red Gaming" desc "Demon Streak (Barcrest - Red Gaming) (MPU5, set 2)" devices ())
(name "m5donna" year "199?" manufacturer "Bwb" desc "Donna Kebab (Bwb) (MPU5, set 1)" devices ())
(name "m5donnaa" year "199?" manufacturer "Bwb" desc "Donna Kebab (Bwb) (MPU5, set 3)" devices ())
(name "m5donnad" year "199?" manufacturer "Bwb" desc "Donna Kebab (Bwb) (MPU5, set 1, Datapak)" devices ())
(name "m5doshpk" year "199?" manufacturer "Barcrest" desc "Do$h 'n' Pecks (Barcrest) (MPU5) (set 1)" devices ())
(name "m5doshpk05" year "199?" manufacturer "Barcrest" desc "Do$h 'n' Pecks (Barcrest) (MPU5) (set 2)" devices ())
(name "m5draclb" year "199?" manufacturer "Barcrest" desc "Ooh Aah Dracula Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5draclb01" year "199?" manufacturer "Barcrest" desc "Ooh Aah Dracula Club (Barcrest) (MPU5) (set 3)" devices ())
(name "m5draclb07" year "199?" manufacturer "Barcrest" desc "Ooh Aah Dracula Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5dragnd" year "199?" manufacturer "Barcrest / Red Gaming" desc "Dragon Drop (Barcrest - Red Gaming) (MPU5, set 1)" devices ())
(name "m5dragnda" year "199?" manufacturer "Barcrest / Red Gaming" desc "Dragon Drop (Barcrest - Red Gaming) (MPU5, set 2)" devices ())
(name "m5eggold" year "199?" manufacturer "Bwb" desc "Egyptian Gold (Bwb) (MPU5)" devices ())
(name "m5egr" year "199?" manufacturer "Barcrest" desc "Elvis Gold Rush (Barcrest) (MPU5, set 1)" devices ())
(name "m5egra" year "199?" manufacturer "Barcrest" desc "Elvis Gold Rush (Barcrest) (MPU5, set 2)" devices ())
(name "m5egss" year "199?" manufacturer "Barcrest" desc "Elvis Gold Super Streak (Barcrest) (MPU5, set 1)" devices ())
(name "m5egssa" year "199?" manufacturer "Barcrest" desc "Elvis Gold Super Streak (Barcrest) (MPU5, set 2)" devices ())
(name "m5elband" year "199?" manufacturer "Vivid" desc "El Bandido Club (Vivid) (MPU5)" devices ())
(name "m5elim" year "199?" manufacturer "Barcrest" desc "Eliminator (Barcrest) (MPU5) (set 1)" devices ())
(name "m5elim03" year "199?" manufacturer "Barcrest" desc "Eliminator (Barcrest) (MPU5) (set 2)" devices ())
(name "m5elim04" year "199?" manufacturer "Barcrest" desc "Eliminator (Barcrest) (MPU5) (set 3)" devices ())
(name "m5evgrhr" year "199?" manufacturer "Barcrest" desc "Elvis Gold Red Hot Roll (Barcrest) (MPU5, set 1)" devices ())
(name "m5evgrhra" year "199?" manufacturer "Barcrest" desc "Elvis Gold Red Hot Roll (Barcrest) (MPU5, set 2)" devices ())
(name "m5ewn" year "199?" manufacturer "Barcrest" desc "Each Way Nudge (Barcrest) (MPU5) (set 1)" devices ())
(name "m5ewn08" year "199?" manufacturer "Barcrest" desc "Each Way Nudge (Barcrest) (MPU5) (set 2)" devices ())
(name "m5extrm" year "199?" manufacturer "Empire" desc "Extreme (Empire) (MPU5)" devices ())
(name "m5extrmm" year "199?" manufacturer "Empire" desc "Extreme Madness (Empire) (MPU5) (set 1)" devices ())
(name "m5extrmm04a" year "199?" manufacturer "Empire" desc "Extreme Madness (Empire) (MPU5) (set 2)" devices ())
(name "m5extrmm04b" year "199?" manufacturer "Empire" desc "Extreme Madness (Empire) (MPU5) (set 3)" devices ())
(name "m5extrmm10" year "199?" manufacturer "Empire" desc "Extreme Madness (Empire) (MPU5) (set 4)" devices ())
(name "m5fair" year "199?" manufacturer "Vivid" desc "Fairground Attraction (Vivid) (MPU5)" devices ())
(name "m5fatcat" year "199?" manufacturer "Empire" desc "Fat Cat (Empire) (MPU5)" devices ())
(name "m5fewmor" year "199?" manufacturer "Empire" desc "A Few Dollars More (Empire) (MPU5) (v0.2, set 1)" devices ())
(name "m5fewmora" year "199?" manufacturer "Empire" desc "A Few Dollars More (Empire) (MPU5) (v0.2, set 2)" devices ())
(name "m5fewmorb" year "199?" manufacturer "Empire" desc "A Few Dollars More (Empire) (MPU5) (v0.3, set 1)" devices ())
(name "m5fewmorc" year "199?" manufacturer "Empire" desc "A Few Dollars More (Empire) (MPU5) (v0.3, set 2)" devices ())
(name "m5fiddle" year "199?" manufacturer "Barcrest" desc "On The Fiddle (Barcrest) (MPU5) (set 1)" devices ())
(name "m5fiddle03" year "199?" manufacturer "Barcrest" desc "On The Fiddle (Barcrest) (MPU5) (set 2)" devices ())
(name "m5fire" year "199?" manufacturer "Barcrest" desc "All Fired Up (Barcrest) (MPU5)" devices ())
(name "m5firebl" year "199?" manufacturer "Barcrest" desc "Fireball (Barcrest) (MPU5)" devices ())
(name "m5fishcl" year "199?" manufacturer "Empire" desc "Fish Full Of Dollars Club (Empire) (MPU5)" devices ())
(name "m5fishdl" year "199?" manufacturer "Empire" desc "Fish Full Of Dollars (Empire) (MPU5) (set 1)" devices ())
(name "m5fishdl10" year "199?" manufacturer "Empire" desc "Fish Full Of Dollars (Empire) (MPU5) (set 2)" devices ())
(name "m5flipcr" year "199?" manufacturer "Barcrest" desc "Flippin Crazy (Barcrest) (MPU5)" devices ())
(name "m5fmonty" year "199?" manufacturer "Empire" desc "The Full Monty (Empire) (MPU5) (set 1)" devices ())
(name "m5fmonty04a" year "199?" manufacturer "Empire" desc "The Full Monty (Empire) (MPU5) (set 2)" devices ())
(name "m5fmonty04b" year "199?" manufacturer "Empire" desc "The Full Monty (Empire) (MPU5) (set 3)" devices ())
(name "m5fmonty04c" year "199?" manufacturer "Empire" desc "The Full Monty (Empire) (MPU5) (set 4)" devices ())
(name "m5fmount" year "199?" manufacturer "Empire" desc "Full Mountie (Empire) (MPU5)" devices ())
(name "m5fnfair" year "199?" manufacturer "Barcrest / Red Gaming" desc "Funfair (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5fnfaird" year "199?" manufacturer "Barcrest / Red Gaming" desc "Funfair (Barcrest - Red Gaming) (MPU5) (Datapak)" devices ())
(name "m5fortby" year "199?" manufacturer "Barcrest" desc "Fort Boyard (Barcrest) (MPU5) (set 1)" devices ())
(name "m5fortby01" year "199?" manufacturer "Barcrest" desc "Fort Boyard (Barcrest) (MPU5) (set 2)" devices ())
(name "m5frnzy" year "199?" manufacturer "Barcrest" desc "Frenzy (Barcrest) (MPU5) (set 1)" devices ())
(name "m5frnzya" year "199?" manufacturer "Barcrest" desc "Frenzy (Barcrest) (MPU5) (set 2)" devices ())
(name "m5funsun" year "199?" manufacturer "Barcrest" desc "Fun In The Sun (Barcrest) (MPU5) (set 1)" devices ())
(name "m5funsun03" year "199?" manufacturer "Barcrest" desc "Fun In The Sun (Barcrest) (MPU5) (set 2)" devices ())
(name "m5fusir" year "199?" manufacturer "Barcrest / Red Gaming" desc "Fruits U Sir (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5fusir11" year "199?" manufacturer "Barcrest / Red Gaming" desc "Fruits U Sir (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5fusir12" year "199?" manufacturer "Barcrest / Red Gaming" desc "Fruits U Sir (Barcrest - Red Gaming) (MPU5) (set 3)" devices ())
(name "m5gdrag" year "199?" manufacturer "Barcrest" desc "Golden Dragon (Barcrest) (MPU5)" devices ())
(name "m5gdrgcl" year "199?" manufacturer "Barcrest" desc "Golden Dragon Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5gdrgcl05" year "199?" manufacturer "Barcrest" desc "Golden Dragon Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5ggems" year "199?" manufacturer "Vivid" desc "Giant Gems (Vivid) (MPU5) (set 1)" devices ())
(name "m5ggems20" year "199?" manufacturer "Vivid" desc "Giant Gems (Vivid) (MPU5) (set 2)" devices ())
(name "m5gimmie" year "199?" manufacturer "Barcrest" desc "Gimmie Gimmie Gimmie (Barcrest) (MPU5)" devices ())
(name "m5gkeys" year "199?" manufacturer "Barcrest" desc "Golden Keys (Barcrest) (MPU5)" devices ())
(name "m5goape" year "199?" manufacturer "Bwb" desc "Going Ape (Bwb) (MPU5)" devices ())
(name "m5gophcl" year "199?" manufacturer "Empire" desc "Gopher Gold Club (Empire) (MPU5)" devices ())
(name "m5gophr" year "199?" manufacturer "Empire" desc "Gopher Gold (Empire) (MPU5)" devices ())
(name "m5gpclub" year "199?" manufacturer "Bwb" desc "Get Plastered Club (Bwb) (MPU5)" devices ())
(name "m5groll" year "199?" manufacturer "Vivid" desc "Golden Roll (Vivid) (MPU5)" devices ())
(name "m5grush" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 1)" devices ())
(name "m5grush01" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 6)" devices ())
(name "m5grush02" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 5)" devices ())
(name "m5grush03" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 4)" devices ())
(name "m5grush04" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 3)" devices ())
(name "m5grush10" year "199?" manufacturer "Barcrest" desc "Gold Rush (Barcrest) (MPU5) (set 2)" devices ())
(name "m5grush5" year "199?" manufacturer "Barcrest" desc "Gold Rush Five Liner (Barcrest) (MPU5) (set 1)" devices ())
(name "m5grush504" year "199?" manufacturer "Barcrest" desc "Gold Rush Five Liner (Barcrest) (MPU5) (set 2)" devices ())
(name "m5gruss" year "199?" manufacturer "Barcrest" desc "Gold Rush Sit Down (Barcrest) (MPU5)" devices ())
(name "m5grusst" year "199?" manufacturer "Barcrest" desc "Gold Rush Stampede (Barcrest) (MPU5) (set 1)" devices ())
(name "m5grusst03" year "199?" manufacturer "Barcrest" desc "Gold Rush Stampede (Barcrest) (MPU5) (set 3)" devices ())
(name "m5grusst04" year "199?" manufacturer "Barcrest" desc "Gold Rush Stampede (Barcrest) (MPU5) (set 2)" devices ())
(name "m5gsstrk" year "199?" manufacturer "Barcrest" desc "Gold Super Streak (Barcrest) (MPU5) (set 1)" devices ())
(name "m5gsstrk07" year "199?" manufacturer "Barcrest" desc "Gold Super Streak (Barcrest) (MPU5) (set 2)" devices ())
(name "m5gstrik" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 1)" devices ())
(name "m5gstrik01" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 4)" devices ())
(name "m5gstrik01a" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 5)" devices ())
(name "m5gstrik02" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 3)" devices ())
(name "m5gstrik11" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 2)" devices ())
(name "m5gstrika" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (set 6)" devices ())
(name "m5gstriks" year "199?" manufacturer "Barcrest" desc "Gold Strike (Barcrest) (MPU5) (V1.00, Spanish, Bilso S.A.)" devices ())
(name "m5hellrz" year "199?" manufacturer "Barcrest" desc "Hellraiser (Barcrest) (MPU5)" devices ())
(name "m5hgl" year "199?" manufacturer "Bwb" desc "Happy Go Lucky (Bwb) (MPU5) (set 1)" devices ())
(name "m5hgl14" year "199?" manufacturer "Bwb" desc "Happy Go Lucky (Bwb) (MPU5) (set 3)" devices ())
(name "m5hgl16" year "199?" manufacturer "Bwb" desc "Happy Go Lucky (Bwb) (MPU5) (set 2)" devices ())
(name "m5hiclau" year "199?" manufacturer "Vivid" desc "High Claudius (Vivid) (MPU5)" devices ())
(name "m5hifly" year "199?" manufacturer "Barcrest" desc "High Flyer (Barcrest) (MPU5) (set 1)" devices ())
(name "m5hifly03" year "199?" manufacturer "Barcrest" desc "High Flyer (Barcrest) (MPU5) (set 2)" devices ())
(name "m5hifly04" year "199?" manufacturer "Barcrest" desc "High Flyer (Barcrest) (MPU5) (set 3)" devices ())
(name "m5hilok" year "199?" manufacturer "Vivid" desc "Hi Lo Karate (Vivid) (MPU5)" devices ())
(name "m5hisprt" year "199?" manufacturer "Empire" desc "High Spirits (Empire) (MPU5)" devices ())
(name "m5hlsumo" year "199?" manufacturer "Barcrest" desc "Hi Lo Sumo (Barcrest) (MPU5)" devices ())
(name "m5hocscl" year "199?" manufacturer "Empire" desc "Hocus Pocus Club (Empire) (MPU5)" devices ())
(name "m5hocus" year "199?" manufacturer "Empire" desc "Hocus Pocus (Empire) (MPU5) (set 1)" devices ())
(name "m5hocus10" year "199?" manufacturer "Empire" desc "Hocus Pocus (Empire) (MPU5) (set 2)" devices ())
(name "m5holy" year "199?" manufacturer "Barcrest" desc "The Holy Grail (Barcrest) (MPU5) (set 1)" devices ())
(name "m5holy10" year "199?" manufacturer "Barcrest" desc "The Holy Grail (Barcrest) (MPU5) (set 2)" devices ())
(name "m5honmon" year "199?" manufacturer "Vivid" desc "Honey Money (Vivid) (MPU5) (set 1)" devices ())
(name "m5honmona" year "199?" manufacturer "Vivid" desc "Honey Money (Vivid) (MPU5) (set 2)" devices ())
(name "m5hopidl" year "199?" manufacturer "Vivid" desc "Hop Idol (Vivid) (MPU5)" devices ())
(name "m5horn" year "199?" manufacturer "Barcrest / Whitbread" desc "Horn Of Plenty (Barcrest / Whitbread) (MPU5)" devices ())
(name "m5hotrk" year "199?" manufacturer "Barcrest" desc "Hot Rocks (Barcrest) (MPU5)" devices ())
(name "m5hotsht" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 1)" devices ())
(name "m5hotsht07a" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 2)" devices ())
(name "m5hotsht08" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 3)" devices ())
(name "m5hotsht08a" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 4)" devices ())
(name "m5hotsht10" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 5)" devices ())
(name "m5hotsht10a" year "199?" manufacturer "Empire" desc "Hot Shots (Empire) (MPU5) (set 6)" devices ())
(name "m5hotslt" year "199?" manufacturer "Barcrest" desc "Hot Slot (Barcrest) (MPU5)" devices ())
(name "m5hotstf" year "199?" manufacturer "Barcrest" desc "Hot Stuff (Barcrest) (MPU5)" devices ())
(name "m5hula" year "199?" manufacturer "Empire" desc "Hula Moolah (Empire) (MPU5) (set 1)" devices ())
(name "m5hula10" year "199?" manufacturer "Empire" desc "Hula Moolah (Empire) (MPU5) (set 2)" devices ())
(name "m5hulacl" year "199?" manufacturer "Empire" desc "Hula Moolah Club (Empire) (MPU5)" devices ())
(name "m5hypalx" year "199?" manufacturer "Barcrest / Red Gaming" desc "Hypalinx (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5hypno" year "199?" manufacturer "Vivid" desc "Hypnotic (Vivid) (MPU5)" devices ())
(name "m5hypvip" year "199?" manufacturer "Barcrest" desc "Hyper Viper (Barcrest) (MPU5)" devices ())
(name "m5invad" year "199?" manufacturer "Barcrest / Red Gaming" desc "Invaders (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5jackbx" year "199?" manufacturer "Empire" desc "Jack In The Box (Empire) (MPU5) (set 1)" devices ())
(name "m5jackbx03" year "199?" manufacturer "Empire" desc "Jack In The Box (Empire) (MPU5) (set 2)" devices ())
(name "m5jackp2" year "199?" manufacturer "Barcrest" desc "Jackpoteers 2 (Barcrest) (MPU5) (set 1)" devices ())
(name "m5jackp2a" year "199?" manufacturer "Barcrest" desc "Jackpoteers 2 (Barcrest) (MPU5) (set 2)" devices ())
(name "m5jackpt" year "199?" manufacturer "Barcrest" desc "Jackpoteers (Barcrest) (MPU5) (set 1)" devices ())
(name "m5jackpt07" year "199?" manufacturer "Barcrest" desc "Jackpoteers (Barcrest) (MPU5) (set 2)" devices ())
(name "m5jakjok" year "199?" manufacturer "Lowen" desc "Jackpot Jokers (Lowen) (MPU5)" devices ())
(name "m5jcptgn" year "199?" manufacturer "Barcrest / Red Gaming" desc "Jackpot Genie (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5jcy" year "199?" manufacturer "Empire" desc "Juicy Fruits (Empire) (MPU5)" devices ())
(name "m5jlstrk" year "199?" manufacturer "Barcrest / Red Gaming" desc "Jewel Strike (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5jlyjwl" year "199?" manufacturer "Barcrest" desc "Jolly Jewels (Barcrest) (MPU5) (set 1)" devices ())
(name "m5jlyjwl01" year "199?" manufacturer "Barcrest" desc "Jolly Jewels (Barcrest) (MPU5) (set 2)" devices ())
(name "m5jlyjwl02" year "199?" manufacturer "Barcrest" desc "Jolly Jewels (Barcrest) (MPU5) (set 3)" devices ())
(name "m5jlyrog" year "199?" manufacturer "Barcrest" desc "Jolly Roger (Barcrest) (MPU5) (set 1)" devices ())
(name "m5jlyroga" year "199?" manufacturer "Barcrest" desc "Jolly Roger (Barcrest) (MPU5) (set 2)" devices ())
(name "m5jmpgem" year "199?" manufacturer "Empire" desc "Jumping Gems (Empire) (MPU5) (set 1)" devices ())
(name "m5jmpgem01" year "199?" manufacturer "Empire" desc "Jumping Gems (Empire) (MPU5) (set 2)" devices ())
(name "m5jmpgem03" year "199?" manufacturer "Empire" desc "Jumping Gems (Empire) (MPU5) (set 3)" devices ())
(name "m5jmpgmc" year "199?" manufacturer "Empire" desc "Jumping Gems Club (Empire) (MPU5)" devices ())
(name "m5jmpjok" year "199?" manufacturer "Vivid" desc "Jumpin Jokers (Vivid) (MPU5) (set 1)" devices ())
(name "m5jmpjok11" year "199?" manufacturer "Vivid" desc "Jumpin Jokers (Vivid) (MPU5) (set 2)" devices ())
(name "m5jmpjoka" year "199?" manufacturer "Vivid" desc "Jumpin Jokers (Vivid) (MPU5) (set 3)" devices ())
(name "m5jmpjokb" year "199?" manufacturer "Vivid" desc "Jumpin Jokers (Vivid) (MPU5) (set 4)" devices ())
(name "m5jokpak" year "199?" manufacturer "Bwb" desc "Joker In The Pack (Bwb) (MPU5)" devices ())
(name "m5kaleid" year "199?" manufacturer "Empire" desc "Kaleidoscope Club (Empire) (MPU5)" devices ())
(name "m5kcclb" year "199?" manufacturer "Empire" desc "King Cobra Club (Empire) (MPU5) (set 1)" devices ())
(name "m5kcclb24" year "199?" manufacturer "Empire" desc "King Cobra Club (Empire) (MPU5) (set 2)" devices ())
(name "m5kingko" year "199?" manufacturer "Barcrest" desc "King KO (Barcrest) (MPU5) (set 1)" devices ())
(name "m5kingko04" year "199?" manufacturer "Barcrest" desc "King KO (Barcrest) (MPU5) (set 2)" devices ())
(name "m5kingko05" year "199?" manufacturer "Barcrest" desc "King KO (Barcrest) (MPU5) (set 3)" devices ())
(name "m5kingqc" year "199?" manufacturer "Empire" desc "Kings & Queens Club (Empire) (MPU5) (set 1)" devices ())
(name "m5kingqc06" year "199?" manufacturer "Empire" desc "Kings & Queens Club (Empire) (MPU5) (set 2)" devices ())
(name "m5kingqc07" year "199?" manufacturer "Empire" desc "Kings & Queens Club (Empire) (MPU5) (set 3)" devices ())
(name "m5kingqc08" year "199?" manufacturer "Empire" desc "Kings & Queens Club (Empire) (MPU5) (set 4)" devices ())
(name "m5kkebab" year "199?" manufacturer "Barcrest" desc "King Kebab (Barcrest) (MPU5) (set 1)" devices ())
(name "m5kkebab10" year "199?" manufacturer "Barcrest" desc "King Kebab (Barcrest) (MPU5) (set 2)" devices ())
(name "m5kkebaba" year "199?" manufacturer "Barcrest" desc "King Kebab (Barcrest) (MPU5) (set 3)" devices ())
(name "m5korma" year "199?" manufacturer "Empire" desc "Korma Chameleon (Empire) (MPU5) (set 1)" devices ())
(name "m5korma12" year "199?" manufacturer "Empire" desc "Korma Chameleon (Empire) (MPU5) (set 2)" devices ())
(name "m5kormcl" year "199?" manufacturer "Empire" desc "Korma Chameleon Club (Empire) (MPU5)" devices ())
(name "m5lock" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5lock12" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load (Barcrest - Red Gaming) (MPU5) (set 3)" devices ())
(name "m5lock13" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5lockcl" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load Club (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5lockcl14" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load Club (Barcrest - Red Gaming) (MPU5) (set 3)" devices ())
(name "m5lockcl15" year "199?" manufacturer "Barcrest / Red Gaming" desc "Lock 'n' Load Club (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5loony" year "199?" manufacturer "Vivid" desc "Loony Juice (Vivid) (MPU5)" devices ())
(name "m5loot" year "199?" manufacturer "Vivid" desc "Loot 'n' Khamun (Vivid) (MPU5, set 1)" devices ())
(name "m5loota" year "199?" manufacturer "Vivid" desc "Loot 'n' Khamun (Vivid) (MPU5, set 2)" devices ())
(name "m5lotta" year "199?" manufacturer "Barcrest" desc "Lotta Luck (Barcrest) (MPU5)" devices ())
(name "m5lvwire" year "199?" manufacturer "Bwb" desc "Live Wire (Bwb) (MPU5) (set 1)" devices ())
(name "m5lvwirea" year "199?" manufacturer "Bwb" desc "Live Wire (Bwb) (MPU5) (set 2)" devices ())
(name "m5mag7s" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 1)" devices ())
(name "m5mag7sa" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 2)" devices ())
(name "m5mag7sb" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 3)" devices ())
(name "m5mag7sc" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 4)" devices ())
(name "m5mag7sd" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 5)" devices ())
(name "m5mag7se" year "199?" manufacturer "Vivid" desc "Magnificent 7s (Vivid) (MPU5, set 6)" devices ())
(name "m5martns" year "199?" manufacturer "Barcrest" desc "Money Mad Martians (Barcrest) (MPU5) (set 1)" devices ())
(name "m5martns07" year "199?" manufacturer "Barcrest" desc "Money Mad Martians (Barcrest) (MPU5) (set 2)" devices ())
(name "m5mega" year "199?" manufacturer "Barcrest" desc "Mega Zone (Barcrest) (MPU5)" devices ())
(name "m5minesw" year "199?" manufacturer "Bwb" desc "Minesweeper (Bwb) (MPU5)" devices ())
(name "m5mmak" year "199?" manufacturer "Barcrest" desc "Money Maker (Barcrest) (MPU5) (set 1)" devices ())
(name "m5mmak06" year "199?" manufacturer "Barcrest" desc "Money Maker (Barcrest) (MPU5) (set 2)" devices ())
(name "m5monjok" year "199?" manufacturer "Barcrest" desc "Monedin Joker (Spanish) (Barcrest) (MPU5) (set 1)" devices ())
(name "m5monjoka" year "199?" manufacturer "Barcrest" desc "Monedin Joker (Spanish) (Barcrest) (MPU5) (set 2)" devices ())
(name "m5monmst" year "199?" manufacturer "Empire" desc "Money Monster (Empire) (MPU5) (set 1)" devices ())
(name "m5monmsta" year "199?" manufacturer "Empire" desc "Money Monster (Empire) (MPU5) (set 2)" devices ())
(name "m5monty" year "199?" manufacturer "Barcrest" desc "Monty Python (Barcrest) (MPU5)" devices ())
(name "m5mpfc" year "199?" manufacturer "Barcrest" desc "Monty Python's Flying Circus (Barcrest) (MPU5)" devices ())
(name "m5mpfccl" year "199?" manufacturer "Barcrest" desc "Monty Python's Flying Circus Club (Barcrest) (MPU5)" devices ())
(name "m5mprio" year "199?" manufacturer "Barcrest" desc "Monty Python Rio (Barcrest) (MPU5)" devices ())
(name "m5msf" year "199?" manufacturer "Vivid" desc "Manic Streak Features (Vivid) (MPU5, set 1)" devices ())
(name "m5msfa" year "199?" manufacturer "Vivid" desc "Manic Streak Features (Vivid) (MPU5, set 2)" devices ())
(name "m5neptun" year "199?" manufacturer "Barcrest" desc "Neptunes Treasure (Barcrest) (MPU5)" devices ())
(name "m5nitro" year "199?" manufacturer "Barcrest / Red Gaming" desc "Nitro (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5nnww" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink (Barcrest) (MPU5)" devices ())
(name "m5nnwwgl" year "199?" manufacturer "Barcrest" desc "Nudge Nudge Wink Wink Gold (Barcrest) (MPU5)" devices ())
(name "m5oohaah" year "199?" manufacturer "Barcrest" desc "Ooh Aah Dracula (Barcrest) (MPU5) (set 1)" devices ())
(name "m5oohaah01" year "199?" manufacturer "Barcrest" desc "Ooh Aah Dracula (Barcrest) (MPU5) (set 2)" devices ())
(name "m5oohrio" year "199?" manufacturer "Barcrest" desc "Ooh Ahh Dracula Rio (Barcrest) (MPU5)" devices ())
(name "m5openbx" year "199?" manufacturer "Barcrest" desc "Open The Box (Barcrest) (MPU5) (set 1)" devices ())
(name "m5openbx01" year "199?" manufacturer "Barcrest" desc "Open The Box (Barcrest) (MPU5) (set 4)" devices ())
(name "m5openbx05" year "199?" manufacturer "Barcrest" desc "Open The Box (Barcrest) (MPU5) (set 3)" devices ())
(name "m5openbx06" year "199?" manufacturer "Barcrest" desc "Open The Box (Barcrest) (MPU5) (set 2)" devices ())
(name "m5overld" year "199?" manufacturer "Barcrest" desc "Overload (Barcrest) (MPU5) (set 1)" devices ())
(name "m5overld02" year "199?" manufacturer "Barcrest" desc "Overload (Barcrest) (MPU5) (set 2)" devices ())
(name "m5overld10" year "199?" manufacturer "Barcrest" desc "Overload (Barcrest) (MPU5) (set 3)" devices ())
(name "m5overld11" year "199?" manufacturer "Barcrest" desc "Overload (Barcrest) (MPU5) (set 4)" devices ())
(name "m5p" year "1983" manufacturer "Sord" desc "m.5 (Europe)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "m5p_brno" year "1983" manufacturer "Sord" desc "m.5 (Europe) BRNO mod" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "m5paint" year "199?" manufacturer "Barcrest / Red Gaming" desc "Paint The Town Red (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5peepsh" year "199?" manufacturer "Barcrest" desc "Peep Show (Barcrest) (MPU5)" devices ())
(name "m5piefac" year "199?" manufacturer "Vivid" desc "Pie Factory (Vivid) (MPU5) (set 1)" devices ())
(name "m5piefac12" year "199?" manufacturer "Vivid" desc "Pie Factory (Vivid) (MPU5) (set 3)" devices ())
(name "m5piefac23" year "199?" manufacturer "Vivid" desc "Pie Factory (Vivid) (MPU5) (set 2)" devices ())
(name "m5piefaca" year "199?" manufacturer "Vivid" desc "Pie Factory (Vivid) (MPU5) (set 4)" devices ())
(name "m5piefc2" year "199?" manufacturer "Vivid" desc "Pie Factory 2 (Vivid) (MPU5) (set 1)" devices ())
(name "m5piefc2a" year "199?" manufacturer "Vivid" desc "Pie Factory 2 (Vivid) (MPU5) (set 2)" devices ())
(name "m5piefc2b" year "199?" manufacturer "Vivid" desc "Pie Factory 2 (Vivid) (MPU5) (set 3)" devices ())
(name "m5piefcr" year "199?" manufacturer "Vivid" desc "Pie Factory Rio (Vivid) (MPU5)" devices ())
(name "m5ppussy" year "199?" manufacturer "Mdm" desc "Pink Pussy (Mdm) (MPU5)" devices ())
(name "m5psy2" year "199?" manufacturer "Barcrest" desc "Psycho Cash Beast 2 (Barcrest) (MPU5)" devices ())
(name "m5psyccl" year "199?" manufacturer "Barcrest" desc "Psycho Cash Beast Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5psyccl01" year "199?" manufacturer "Barcrest" desc "Psycho Cash Beast Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5psyccla" year "199?" manufacturer "Bwb" desc "Psycho Cash Beast Club (Bwb) (MPU5) (set 1)" devices ())
(name "m5psyccla02" year "199?" manufacturer "Bwb" desc "Psycho Cash Beast Club (Bwb) (MPU5) (set 3)" devices ())
(name "m5psyccla24" year "199?" manufacturer "Bwb" desc "Psycho Cash Beast Club (Bwb) (MPU5) (set 2)" devices ())
(name "m5psycho" year "199?" manufacturer "Barcrest" desc "Psycho Cash Beast (Barcrest) (MPU5) (set 1)" devices ())
(name "m5psycho06" year "199?" manufacturer "Barcrest" desc "Psycho Cash Beast (Barcrest) (MPU5) (set 2)" devices ())
(name "m5psychoa" year "199?" manufacturer "Bwb" desc "Psycho Cash Beast (Bwb) (MPU5) (set 1)" devices ())
(name "m5psychoa21" year "199?" manufacturer "Bwb" desc "Psycho Cash Beast (Bwb) (MPU5) (set 2)" devices ())
(name "m5ptyani" year "199?" manufacturer "Barcrest" desc "Party Animal (Barcrest) (MPU5) (set 1)" devices ())
(name "m5ptyani01" year "199?" manufacturer "Barcrest" desc "Party Animal (Barcrest) (MPU5) (set 2)" devices ())
(name "m5qdraw" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 1)" devices ())
(name "m5qdraw12" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 2)" devices ())
(name "m5qdraw14" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 3)" devices ())
(name "m5qdraw15" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 4)" devices ())
(name "m5qdrawa" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 5)" devices ())
(name "m5qdrawb" year "199?" manufacturer "Vivid" desc "Quick On The Draw (Vivid) (MPU5) (set 6)" devices ())
(name "m5qshot" year "199?" manufacturer "Barcrest" desc "Quack Shot (Barcrest) (MPU5) (set 1)" devices ())
(name "m5qshot04" year "199?" manufacturer "Barcrest" desc "Quack Shot (Barcrest) (MPU5) (set 2)" devices ())
(name "m5quake" year "199?" manufacturer "Barcrest / Red Gaming" desc "Quake (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5rainrn" year "199?" manufacturer "Barcrest / Red Gaming" desc "Rainbow Runner (Barcrest - Red Gaming) (MPU5, set 1)" devices ())
(name "m5rainrna" year "199?" manufacturer "Barcrest / Red Gaming" desc "Rainbow Runner (Barcrest - Red Gaming) (MPU5, set 2)" devices ())
(name "m5rampg" year "199?" manufacturer "Barcrest / Red Gaming" desc "Rampage (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5rampg11" year "199?" manufacturer "Barcrest / Red Gaming" desc "Rampage (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5rampg12" year "199?" manufacturer "Barcrest / Red Gaming" desc "Rampage (Barcrest - Red Gaming) (MPU5) (set 3)" devices ())
(name "m5ramrcl" year "199?" manufacturer "Empire" desc "Ram Raid Club (Empire) (MPU5)" devices ())
(name "m5ramrd" year "199?" manufacturer "Empire" desc "Ram Raid (Empire) (MPU5)" devices ())
(name "m5ratpk" year "199?" manufacturer "Vivid" desc "Rat Pack (Vivid) (MPU5) (set 1)" devices ())
(name "m5ratpka" year "199?" manufacturer "Vivid" desc "Rat Pack (Vivid) (MPU5) (set 2)" devices ())
(name "m5rawin" year "199?" manufacturer "Vivid / Whitbread" desc "Reel A Win (Vivid / Whitbread) (MPU5)" devices ())
(name "m5razdz" year "199?" manufacturer "Barcrest" desc "Razzle Dazzle Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5razdz10" year "199?" manufacturer "Barcrest" desc "Razzle Dazzle Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5razdz11" year "199?" manufacturer "Barcrest" desc "Razzle Dazzle Club (Barcrest) (MPU5) (set 3)" devices ())
(name "m5rcx" year "199?" manufacturer "Barcrest" desc "Royal Exchange Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5rcxa" year "199?" manufacturer "Barcrest" desc "Royal Exchange Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5rdwarf" year "199?" manufacturer "Barcrest / Red Gaming" desc "Red Dwarf (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5redbal" year "199?" manufacturer "Vivid" desc "Random Red Ball (Vivid) (MPU5)" devices ())
(name "m5redrck" year "199?" manufacturer "Barcrest" desc "Ready To Rock (Barcrest) (MPU5) (set 1)" devices ())
(name "m5redrck10" year "199?" manufacturer "Barcrest" desc "Ready To Rock (Barcrest) (MPU5) (set 2)" devices ())
(name "m5redrcka" year "199?" manufacturer "Barcrest" desc "Ready To Rock (Barcrest) (MPU5) (set 3)" devices ())
(name "m5redx" year "199?" manufacturer "Barcrest / Red Gaming" desc "Red X (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5redx12" year "199?" manufacturer "Barcrest / Red Gaming" desc "Red X (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5reelth" year "199?" manufacturer "Bwb" desc "Reel Thunder (Bwb) (MPU5)" devices ())
(name "m5reelwn" year "199?" manufacturer "Bwb" desc "Reel A Win (Bwb) (MPU5) (set 1)" devices ())
(name "m5reelwn24" year "199?" manufacturer "Bwb" desc "Reel A Win (Bwb) (MPU5) (set 2)" devices ())
(name "m5resfrg" year "199?" manufacturer "Empire" desc "Reservoir Frogs (Empire) (MPU5)" devices ())
(name "m5revo" year "199?" manufacturer "Barcrest" desc "Revolution (Barcrest) (MPU5) (set 1)" devices ())
(name "m5revo13" year "199?" manufacturer "Barcrest" desc "Revolution (Barcrest) (MPU5) (set 2)" devices ())
(name "m5revoa" year "199?" manufacturer "Barcrest" desc "Revolution (Barcrest) (MPU5) (set 3)" devices ())
(name "m5rfymc" year "199?" manufacturer "Barcrest" desc "Run For Your Money Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5rfymc06" year "199?" manufacturer "Barcrest" desc "Run For Your Money Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5rgclb" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 1)" devices ())
(name "m5rgclb01" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 7)" devices ())
(name "m5rgclb01a" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 8)" devices ())
(name "m5rgclb03" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 6)" devices ())
(name "m5rgclb11" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 2)" devices ())
(name "m5rgclb12" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 3)" devices ())
(name "m5rgclb20" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 4)" devices ())
(name "m5rgclb21" year "199?" manufacturer "Barcrest" desc "Rio Grande Club (Barcrest) (MPU5) (set 5)" devices ())
(name "m5rhkni" year "199?" manufacturer "Barcrest" desc "Red Hot Knights (Barcrest) (MPU5)" devices ())
(name "m5rhrg" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Gold (Barcrest) (MPU5) (set 1)" devices ())
(name "m5rhrga" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Gold (Barcrest) (MPU5) (set 2)" devices ())
(name "m5rhrgt" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Triple (Barcrest) (MPU5) (set 1)" devices ())
(name "m5rhrgt02" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Triple (Barcrest) (MPU5) (set 3)" devices ())
(name "m5rhrgt12" year "199?" manufacturer "Barcrest" desc "Red Hot Roll Triple (Barcrest) (MPU5) (set 2)" devices ())
(name "m5ritj" year "199?" manufacturer "Barcrest" desc "Rumble In The Jungle (Barcrest) (MPU5)" devices ())
(name "m5rlup" year "199?" manufacturer "Bwb" desc "Roll Up (Bwb) (MPU5)" devices ())
(name "m5rollup" year "199?" manufacturer "Vivid" desc "Roll Up Roll Up (Vivid) (MPU5)" devices ())
(name "m5rollx" year "199?" manufacturer "Empire" desc "Roll X (Empire) (MPU5) (set 1)" devices ())
(name "m5rollx12" year "199?" manufacturer "Empire" desc "Roll X (Empire) (MPU5) (set 2)" devices ())
(name "m5ronr" year "199?" manufacturer "Empire" desc "Reel Or No Reel (Empire) (MPU5) (set 1)" devices ())
(name "m5ronr05" year "199?" manufacturer "Empire" desc "Reel Or No Reel (Empire) (MPU5) (set 2)" devices ())
(name "m5ronr07" year "199?" manufacturer "Empire" desc "Reel Or No Reel (Empire) (MPU5) (set 3)" devices ())
(name "m5roof" year "199?" manufacturer "Barcrest" desc "Raise The Roof (Barcrest) (MPU5) (set 1)" devices ())
(name "m5roofa" year "199?" manufacturer "Barcrest" desc "Raise The Roof (Barcrest) (MPU5) (set 2)" devices ())
(name "m5round" year "199?" manufacturer "Bwb" desc "Round & Round (Bwb) (MPU5)" devices ())
(name "m5roundl" year "199?" manufacturer "Lowen" desc "Round & Round (Lowen) (MPU5)" devices ())
(name "m5rthh" year "199?" manufacturer "Empire" desc "Return To The Haunted House (Empire) (MPU5)" devices ())
(name "m5rub" year "199?" manufacturer "Barcrest" desc "Rubies & Diamonds (Barcrest) (MPU5)" devices ())
(name "m5rwb" year "199?" manufacturer "Barcrest" desc "Red White & Blue (Barcrest) (MPU5)" devices ())
(name "m5rwbbwb" year "199?" manufacturer "Bwb" desc "Red White & Blue (Bwb) (MPU5) (set 1)" devices ())
(name "m5rwbbwb15" year "199?" manufacturer "Bwb" desc "Red White & Blue (Bwb) (MPU5) (set 4)" devices ())
(name "m5rwbbwb24" year "199?" manufacturer "Bwb" desc "Red White & Blue (Bwb) (MPU5) (set 2)" devices ())
(name "m5rwbbwb25" year "199?" manufacturer "Bwb" desc "Red White & Blue (Bwb) (MPU5) (set 3)" devices ())
(name "m5sblz" year "199?" manufacturer "Barcrest / Red Gaming" desc "Snail Blazer (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5scfinl" year "199?" manufacturer "Lowen" desc "Super Cup Final (Lowen) (MPU5)" devices ())
(name "m5scharg" year "199?" manufacturer "Barcrest" desc "Super Charged (Barcrest) (MPU5) (set 1)" devices ())
(name "m5scharg05" year "199?" manufacturer "Barcrest" desc "Super Charged (Barcrest) (MPU5) (set 2)" devices ())
(name "m5scharg06" year "199?" manufacturer "Barcrest" desc "Super Charged (Barcrest) (MPU5) (set 3)" devices ())
(name "m5scharga" year "199?" manufacturer "Barcrest" desc "Super Charged (Barcrest) (MPU5) (set 4)" devices ())
(name "m5sec7" year "199?" manufacturer "Bwb" desc "Secret 7s (Bwb) (MPU5) (set 1)" devices ())
(name "m5sec7a" year "199?" manufacturer "Bwb" desc "Secret 7s (Bwb) (MPU5) (set 2)" devices ())
(name "m5seven" year "199?" manufacturer "Barcrest" desc "Seven Deadly Spins (Barcrest) (MPU5)" devices ())
(name "m5shark" year "199?" manufacturer "Vivid" desc "Shark Raving Mad (Vivid) (MPU5) (set 1)" devices ())
(name "m5sharka" year "199?" manufacturer "Vivid" desc "Shark Raving Mad (Vivid) (MPU5) (set 2)" devices ())
(name "m5sheik" year "199?" manufacturer "Barcrest" desc "Sheik Yer Money (Barcrest) (MPU5)" devices ())
(name "m5showtm" year "199?" manufacturer "Barcrest" desc "Showtime (Barcrest) (MPU5)" devices ())
(name "m5sil7" year "199?" manufacturer "Bwb" desc "Silver 7s (Bwb) (MPU5) (set 1)" devices ())
(name "m5sil7a" year "199?" manufacturer "Bwb" desc "Silver 7s (Bwb) (MPU5) (set 2)" devices ())
(name "m5silver" year "199?" manufacturer "Barcrest" desc "Silver Screen (Barcrest) (MPU5) (set 1)" devices ())
(name "m5silver03" year "199?" manufacturer "Barcrest" desc "Silver Screen (Barcrest) (MPU5) (set 3)" devices ())
(name "m5silver06" year "199?" manufacturer "Barcrest" desc "Silver Screen (Barcrest) (MPU5) (set 2)" devices ())
(name "m5sixsht" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v1.1, set 1)" devices ())
(name "m5sixshta" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v1.1, set 2)" devices ())
(name "m5sixshtb" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 1)" devices ())
(name "m5sixshtc" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 2)" devices ())
(name "m5sixshtd" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 3)" devices ())
(name "m5sixshte" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 4)" devices ())
(name "m5sixshtf" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 5)" devices ())
(name "m5sixshtg" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 6)" devices ())
(name "m5sixshth" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.0, set 7)" devices ())
(name "m5sixshti" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 1)" devices ())
(name "m5sixshtj" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 2)" devices ())
(name "m5sixshtk" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 3)" devices ())
(name "m5sixshtl" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 4)" devices ())
(name "m5sixshtm" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 5)" devices ())
(name "m5sixshtn" year "199?" manufacturer "Vivid" desc "Six Shooter (Vivid) (MPU5) (v2.1, set 6)" devices ())
(name "m5skulcl" year "199?" manufacturer "Empire" desc "Skullduggery Club (Empire) (MPU5) (set 1)" devices ())
(name "m5skulcl20" year "199?" manufacturer "Empire" desc "Skullduggery Club (Empire) (MPU5) (set 2)" devices ())
(name "m5skulcl23" year "199?" manufacturer "Empire" desc "Skullduggery Club (Empire) (MPU5) (set 3)" devices ())
(name "m5slide" year "199?" manufacturer "Barcrest / Red Gaming" desc "Slider (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5smobik" year "199?" manufacturer "Bwb" desc "Smokey Bikin (Bwb) (MPU5) (set 1)" devices ())
(name "m5smobik12" year "199?" manufacturer "Bwb" desc "Smokey Bikin (Bwb) (MPU5) (set 2)" devices ())
(name "m5sondr" year "199?" manufacturer "Barcrest" desc "Son Of Dracula (Barcrest) (MPU5) (set 1)" devices ())
(name "m5sondr05" year "199?" manufacturer "Barcrest" desc "Son Of Dracula (Barcrest) (MPU5) (set 2)" devices ())
(name "m5sondra" year "199?" manufacturer "Barcrest" desc "Son Of Dracula (Barcrest) (MPU5) (15GBP Jackpot)" devices ())
(name "m5spddmn" year "199?" manufacturer "Vivid" desc "Speed Demon (Vivid) (MPU5)" devices ())
(name "m5speccl" year "199?" manufacturer "Vivid" desc "Spectrum Club (Vivid) (MPU5)" devices ())
(name "m5spicer" year "199?" manufacturer "Barcrest" desc "The Spice Is Right (Barcrest) (MPU5) (set 1)" devices ())
(name "m5spicer06" year "199?" manufacturer "Barcrest" desc "The Spice Is Right (Barcrest) (MPU5) (set 2)" devices ())
(name "m5spiker" year "199?" manufacturer "Barcrest" desc "Spiker The Biker (Barcrest) (MPU5) (set 1)" devices ())
(name "m5spiker02" year "199?" manufacturer "Barcrest" desc "Spiker The Biker (Barcrest) (MPU5) (set 2)" devices ())
(name "m5spikera" year "199?" manufacturer "Barcrest" desc "Spiker The Biker (Barcrest) (MPU5) (set 3)" devices ())
(name "m5spins" year "199?" manufacturer "Barcrest" desc "Spinsation (Barcrest) (MPU5)" devices ())
(name "m5squids" year "199?" manufacturer "Barcrest" desc "Squids In (Barcrest) (MPU5) (set 1)" devices ())
(name "m5squids04a" year "199?" manufacturer "Barcrest" desc "Squids In (Barcrest) (MPU5) (set 2)" devices ())
(name "m5squids05" year "199?" manufacturer "Barcrest" desc "Squids In (Barcrest) (MPU5) (set 3)" devices ())
(name "m5squids06" year "199?" manufacturer "Barcrest" desc "Squids In (Barcrest) (MPU5) (set 4)" devices ())
(name "m5sstrk" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU5) (set 1)" devices ())
(name "m5sstrk02a" year "199?" manufacturer "Barcrest" desc "Super Streak (Barcrest) (MPU5) (set 2)" devices ())
(name "m5starcl" year "199?" manufacturer "Vivid" desc "Stars & Stripes Club (Vivid) (MPU5)" devices ())
(name "m5stars" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 1)" devices ())
(name "m5stars10" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 8)" devices ())
(name "m5stars10a" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 9)" devices ())
(name "m5stars13a" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 2)" devices ())
(name "m5stars20" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 7)" devices ())
(name "m5stars22" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 6)" devices ())
(name "m5stars25" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 5)" devices ())
(name "m5stars25a" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 4)" devices ())
(name "m5stars26" year "199?" manufacturer "Vivid" desc "Stars & Stripes (Vivid) (MPU5) (set 3)" devices ())
(name "m5startr" year "199?" manufacturer "Vivid" desc "Stars & Stripes Triple (Vivid) (MPU5)" devices ())
(name "m5stax" year "199?" manufacturer "Barcrest" desc "Stax Of Cash (Barcrest) (MPU5)" devices ())
(name "m5supnov" year "199?" manufacturer "Barcrest" desc "Supernova (Barcrest) (MPU5) (set 1)" devices ())
(name "m5supnova" year "199?" manufacturer "Barcrest" desc "Supernova (Barcrest) (MPU5) (set 2)" devices ())
(name "m5supro" year "199?" manufacturer "Vivid" desc "Super Roulette (Vivid) (MPU5) (set 1)" devices ())
(name "m5suproa" year "199?" manufacturer "Vivid" desc "Super Roulette (Vivid) (MPU5) (set 2)" devices ())
(name "m5supstr" year "199?" manufacturer "Barcrest" desc "Super Star (Barcrest) (MPU5) (set 1)" devices ())
(name "m5supstra" year "199?" manufacturer "Barcrest" desc "Super Star (Barcrest) (MPU5) (set 2)" devices ())
(name "m5tball" year "199?" manufacturer "Empire" desc "Thunderball (Empire) (MPU5)" devices ())
(name "m5tbird" year "199?" manufacturer "Barcrest" desc "Thunderbird (Barcrest) (MPU5)" devices ())
(name "m5tempcl" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure Club (Barcrest) (MPU5)" devices ())
(name "m5tempp" year "199?" manufacturer "Vivid" desc "Temple Of Pleasure (Vivid) (MPU5)" devices ())
(name "m5tempt" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure (Barcrest) (MPU5) (set 1)" devices ())
(name "m5tempt05" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure (Barcrest) (MPU5) (set 2)" devices ())
(name "m5tempt2" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure 2 (Barcrest) (MPU5) (set 1)" devices ())
(name "m5tempt203" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure 2 (Barcrest) (MPU5) (set 2)" devices ())
(name "m5tempt2a" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure 2 (Barcrest) (MPU5) (set 3)" devices ())
(name "m5tempta" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure (Barcrest) (MPU5) (set 3)" devices ())
(name "m5temptb" year "199?" manufacturer "Barcrest" desc "Temple Of Treasure (Barcrest) (MPU5) (set 4)" devices ())
(name "m5thtsmg" year "199?" manufacturer "Barcrest / Red Gaming" desc "That's Magic (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m5tictac" year "199?" manufacturer "Vivid" desc "Tic Tac Tut (Vivid) (MPU5)" devices ())
(name "m5tictacbwb" year "199?" manufacturer "Bwb" desc "Tic Tac Tut (Bwb) (MPU5) (set 1)" devices ())
(name "m5tictacbwb16" year "199?" manufacturer "Bwb" desc "Tic Tac Tut (Bwb) (MPU5) (set 2)" devices ())
(name "m5tomb" year "199?" manufacturer "Empire" desc "Tomb Raiders (Empire) (MPU5)" devices ())
(name "m5topdog" year "199?" manufacturer "Barcrest" desc "Top Dog (Barcrest) (MPU5) (set 1)" devices ())
(name "m5topdog04" year "199?" manufacturer "Barcrest" desc "Top Dog (Barcrest) (MPU5) (set 2)" devices ())
(name "m5topdoga" year "199?" manufacturer "Barcrest" desc "Top Dog (Barcrest) (MPU5) (set 3)" devices ())
(name "m5topdol" year "199?" manufacturer "Barcrest / Red Gaming" desc "Top Dollar (Barcrest - Red Gaming) (MPU5) (set 1)" devices ())
(name "m5topdola" year "199?" manufacturer "Barcrest / Red Gaming" desc "Top Dollar (Barcrest - Red Gaming) (MPU5) (set 2)" devices ())
(name "m5trail" year "199?" manufacturer "Barcrest" desc "Trailblazer Club (Barcrest) (MPU5)" devices ())
(name "m5trclb" year "199?" manufacturer "Empire" desc "Tomb Raiders Club (Empire) (MPU5)" devices ())
(name "m5tsar" year "199?" manufacturer "Empire" desc "Tsar Wars (Empire) (MPU5)" devices ())
(name "m5tst" year "199?" manufacturer "Barcrest" desc "MPU 5 Test Rom (Barcrest) (MPU5)" devices ())
(name "m5ttop" year "199?" manufacturer "Empire" desc "Treble Top (Empire) (MPU5) (set 1)" devices ())
(name "m5ttop04" year "199?" manufacturer "Empire" desc "Treble Top (Empire) (MPU5) (set 2)" devices ())
(name "m5ttop10" year "199?" manufacturer "Empire" desc "Treble Top (Empire) (MPU5) (set 3)" devices ())
(name "m5ttopcl" year "199?" manufacturer "Empire" desc "Treble Top Club (Empire) (MPU5)" devices ())
(name "m5ttwo" year "199?" manufacturer "Barcrest" desc "Take Two (Barcrest) (MPU5)" devices ())
(name "m5ultimo" year "199?" manufacturer "Barcrest" desc "Ultimo (Barcrest) (MPU5) (set 1)" devices ())
(name "m5ultimo03a" year "199?" manufacturer "Barcrest" desc "Ultimo (Barcrest) (MPU5) (set 2)" devices ())
(name "m5ultimo04" year "199?" manufacturer "Barcrest" desc "Ultimo (Barcrest) (MPU5) (set 3)" devices ())
(name "m5upover" year "199?" manufacturer "Barcrest" desc "Up & Over (Barcrest) (MPU5) (set 1)" devices ())
(name "m5upover15" year "199?" manufacturer "Barcrest" desc "Up & Over (Barcrest) (MPU5) (set 2)" devices ())
(name "m5vampup" year "199?" manufacturer "Barcrest" desc "Vamp It Up (Barcrest) (MPU5)" devices ())
(name "m5vertcl" year "199?" manufacturer "Empire" desc "Vertigo Club (Empire) (MPU5)" devices ())
(name "m5vertgo" year "199?" manufacturer "Empire" desc "Vertigo (Empire) (MPU5)" devices ())
(name "m5whdres" year "199?" manufacturer "Vivid" desc "Who Dares Spins (MPU5)" devices ())
(name "m5winway" year "199?" manufacturer "Vivid" desc "Winning Ways (MPU5)" devices ())
(name "m5wking" year "199?" manufacturer "Barcrest" desc "Wild King (Barcrest) (MPU5) (set 1)" devices ())
(name "m5wking05" year "199?" manufacturer "Barcrest" desc "Wild King (Barcrest) (MPU5) (set 2)" devices ())
(name "m5wonga" year "199?" manufacturer "Empire" desc "A Fish Called Wonga (Empire) (MPU5)" devices ())
(name "m5wthing" year "199?" manufacturer "Empire" desc "Wild Thing Club (Empire) (MPU5) (set 1)" devices ())
(name "m5wthing11" year "199?" manufacturer "Empire" desc "Wild Thing Club (Empire) (MPU5) (set 2)" devices ())
(name "m5wthing20" year "199?" manufacturer "Empire" desc "Wild Thing Club (Empire) (MPU5) (set 3)" devices ())
(name "m5xchn" year "199?" manufacturer "Barcrest" desc "Exchanges Unlimited (Barcrest) (MPU5)" devices ())
(name "m5xena" year "199?" manufacturer "Bwb" desc "Xena Warrior Princess (Bwb) (MPU5)" devices ())
(name "m5xfact" year "199?" manufacturer "Empire" desc "X Factor (Empire) (MPU5) (set 1)" devices ())
(name "m5xfact02" year "199?" manufacturer "Empire" desc "X Factor (Empire) (MPU5) (set 2)" devices ())
(name "m5xfact04" year "199?" manufacturer "Empire" desc "X Factor (Empire) (MPU5) (set 3)" devices ())
(name "m5xfact11" year "199?" manufacturer "Empire" desc "X Factor (Empire) (MPU5) (set 4)" devices ())
(name "m5zigzag" year "199?" manufacturer "Barcrest / Red Gaming" desc "Zig Zag (Barcrest - Red Gaming) (MPU5)" devices ())
(name "m660" year "1986" manufacturer "Wood Place Co. Ltd. (Taito America Corporation license)" desc "Mission 660 (US)" devices ())
(name "m660b" year "1986" manufacturer "bootleg" desc "Mission 660 (bootleg)" devices ())
(name "m660j" year "1986" manufacturer "Wood Place Co. Ltd. (Taito Corporation license)" desc "Mission 660 (Japan)" devices ())
(name "m6805evs" year "1990" manufacturer "Motorola" desc "M68HC05EVS" devices ())
(name "m79152pc" year "198?" manufacturer "Mera-Elzab" desc "MERA 79152 PC" devices ())
(name "m79amb" year "1977" manufacturer "Ramtek" desc "M-79 Ambush" devices ())
(name "m8120" year "1991" manufacturer "Motorola" desc "M8120" devices ())
(name "m82" year "1986" manufacturer "Nintendo" desc "M82 Game Selectable Working Product Display" devices ())
(name "m86rk" year "1987" manufacturer "<unknown>" desc "Mikrosha-86RK" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "m_bappl2" year "1981?" manufacturer "Leisure Games" desc "Big Apple (Leisure Games) (MPU1) (5p Stake, £2 Jackpot)" devices ())
(name "m_bapple" year "1980?" manufacturer "Leisure Games" desc "Big Apple (Leisure Games) (MPU1) (5p Stake, £1 Jackpot)" devices ())
(name "m_gndgit" year "1978" manufacturer "Barcrest" desc "Golden Nudge It (Barcrest) (MPU1) (5p Stake, £1 Jackpot)" devices ())
(name "m_lndg" year "1980?" manufacturer "Leisure Games" desc "Lucky Nudge (Leisure Games) (MPU1) (5p Stake, £1 Jackpot)" devices ())
(name "m_mpac" year "1982" manufacturer "Bally" desc "Mr. and Mrs. PacMan (set 1)" devices ())
(name "m_mpacb" year "1982" manufacturer "Bally" desc "Mr. and Mrs. PacMan (set 2)" devices ())
(name "m_mtchit" year "1979" manufacturer "Barcrest" desc "Match It (Barcrest) (MPU1) (5p Stake, £1 Jackpot)" devices ())
(name "m_mtchup" year "1981" manufacturer "Barcrest" desc "Match Up (Barcrest) (MPU1) (10p Stake, £2 Jackpot)" devices ())
(name "m_tppokr" year "1996" manufacturer "BFM/ELAM" desc "Top Poker (Dutch, Game Card 95-750-899)" devices ())
(name "ma6710" year "1989" manufacturer "Merit" desc "Multi-Action 6710-13" devices ())
(name "ma6710a" year "1991" manufacturer "Merit" desc "Multi-Action 6710-21" devices ())
(name "ma6711" year "1992" manufacturer "Merit" desc "Multi-Action 6711-14-R0A" devices ())
(name "ma7551p" year "199?" manufacturer "Merit" desc "Multi-Action 7551-21-R2P" devices ())
(name "ma7551t" year "199?" manufacturer "Merit" desc "Multi-Action 7551-20-R3T" devices ())
(name "ma7556" year "199?" manufacturer "Merit" desc "Multi-Action 7556-00-R2" devices ())
(name "ma7558r0" year "199?" manufacturer "Merit" desc "Multi-Action 7558-01-R0" devices ())
(name "ma7558r4" year "199?" manufacturer "Merit" desc "Multi-Action 7558-01-R4" devices ())
(name "ma8340" year "199?" manufacturer "Merit" desc "Multi-Action 8340-01-R1" devices ())
(name "ma8350" year "199?" manufacturer "Merit" desc "Multi-Action 8350-00-R1" devices ())
(name "ma9800" year "1992" manufacturer "Merit" desc "Multi-Action 9800-20-R0" devices ())
(name "mac128k" year "1984" manufacturer "Apple Computer" desc "Macintosh 128k" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mac2fdhd" year "1988" manufacturer "Apple Computer" desc "Macintosh II (FDHD)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mac512k" year "1984" manufacturer "Apple Computer" desc "Macintosh 512k" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mac512ke" year "1986" manufacturer "Apple Computer" desc "Macintosh 512ke" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mac_1808" year "19??" manufacturer "MAC S.A." desc "unknown game (MAC #1808)" devices ())
(name "mac_zois" year "2003" manufacturer "Aksioma" desc "machinaZOIS Virtual Training Center" devices ())
(name "macattck" year "1990" manufacturer "Mr Game" desc "Mac Attack" devices ())
(name "maccclas" year "1993" manufacturer "Apple Computer" desc "Macintosh Color Classic" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "macclas2" year "1991" manufacturer "Apple Computer" desc "Macintosh Classic II" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "macclasc" year "1990" manufacturer "Apple Computer" desc "Macintosh Classic" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macct610" year "1993" manufacturer "Apple Computer" desc "Macintosh Centris 610" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macct650" year "1993" manufacturer "Apple Computer" desc "Macintosh Centris 650" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mace" year "1996" manufacturer "Atari Games" desc "Mace: The Dark Age (boot ROM 1.0ce, HDD 1.0b)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "macea" year "1997" manufacturer "Atari Games" desc "Mace: The Dark Age (HDD 1.0a)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "macgalxy" year "1986" manufacturer "MAC S.A." desc "MAC's Galaxy (yellow version, M.6)" devices ())
(name "macgalxyb" year "1986" manufacturer "MAC S.A." desc "MAC's Galaxy (blue version, M.042)" devices ())
(name "mach2" year "1995" manufacturer "Spinball" desc "Mach 2 (set 1)" devices ())
(name "mach2a" year "1995" manufacturer "Spinball" desc "Mach 2 (set 2)" devices ())
(name "mach3" year "1983" manufacturer "Mylstar" desc "M.A.C.H. 3 (set 1)" devices ())
(name "mach3a" year "1983" manufacturer "Mylstar" desc "M.A.C.H. 3 (set 2)" devices ())
(name "mach3b" year "1983" manufacturer "Mylstar" desc "M.A.C.H. 3 (set 3)" devices ())
(name "mach9" year "1984" manufacturer "bootleg (Itisa)" desc "Mach-9 (bootleg of Vulgus)" devices ())
(name "macha" year "1983" manufacturer "Logitec" desc "Monoshiri Quiz Oshaberi Macha (Japan)" devices ())
(name "machbrkr" year "1995" manufacturer "Namco" desc "Mach Breakers (World, MB2)" devices ())
(name "machbrkrj" year "1995" manufacturer "Namco" desc "Mach Breakers - Numan Athletics 2 (Japan, MB1)" devices ())
(name "machdrum" year "2007" manufacturer "Elektron" desc "Machinedrum SPS-1 MK2" devices ())
(name "machiman" year "1984" manufacturer "Bandai" desc "Machine Man" devices ())
(name "machomou" year "1982" manufacturer "Techstar" desc "Macho Mouse" devices ())
(name "macii" year "1987" manufacturer "Apple Computer" desc "Macintosh II" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciici" year "1989" manufacturer "Apple Computer" desc "Macintosh IIci" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciicx" year "1989" manufacturer "Apple Computer" desc "Macintosh IIcx" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciifx" year "1990" manufacturer "Apple Computer" desc "Macintosh IIfx" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciihmu" year "1987" manufacturer "Apple Computer" desc "Macintosh II (w/o 68851 MMU)" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciisi" year "1990" manufacturer "Apple Computer" desc "Macintosh IIsi" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maciivi" year "1993" manufacturer "Apple Computer" desc "Macintosh IIvi" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maciivx" year "1993" manufacturer "Apple Computer" desc "Macintosh IIvx" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maciix" year "1988" manufacturer "Apple Computer" desc "Macintosh IIx" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macjungl" year "1987" manufacturer "MAC S.A." desc "MAC Jungle" devices ())
(name "macjungn" year "1995" manufacturer "MAC S.A." desc "MAC Jungle (New version)" devices ())
(name "maclc" year "1990" manufacturer "Apple Computer" desc "Macintosh LC" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc2" year "1991" manufacturer "Apple Computer" desc "Macintosh LC II" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc3" year "1993" manufacturer "Apple Computer" desc "Macintosh LC III" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc3p" year "1993" manufacturer "Apple Computer" desc "Macintosh LC III+" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc475" year "1993" manufacturer "Apple Computer" desc "Macintosh LC/Performa 475" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maclc520" year "1993" manufacturer "Apple Computer" desc "Macintosh LC 520" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc550" year "1994" manufacturer "Apple Computer" desc "Macintosh LC 550" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "maclc575" year "1994" manufacturer "Apple Computer" desc "Macintosh LC/Performa 575" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "maclc580" year "1995" manufacturer "Apple Computer" desc "Macintosh LC/Performa 580" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "macpb100" year "1991" manufacturer "Apple Computer" desc "Macintosh PowerBook 100" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macpb140" year "1991" manufacturer "Apple Computer" desc "Macintosh PowerBook 140" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb145" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook 145" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb145b" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook 145B" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb160" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook 160" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb170" year "1991" manufacturer "Apple Computer" desc "Macintosh PowerBook 170" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb180" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook 180" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpb180c" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook 180c" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macpd210" year "1992" manufacturer "Apple Computer" desc "Macintosh PowerBook Duo 210" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "macplus" year "1986" manufacturer "Apple Computer" desc "Macintosh Plus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macprtb" year "1989" manufacturer "Apple Computer" desc "Macintosh Portable" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd605" year "1993" manufacturer "Apple Computer" desc "Macintosh Quadra 605" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd610" year "1993" manufacturer "Apple Computer" desc "Macintosh Quadra 610" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd630" year "1994" manufacturer "Apple Computer" desc "Macintosh Quadra 630" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "macqd650" year "1993" manufacturer "Apple Computer" desc "Macintosh Quadra 650" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd700" year "1991" manufacturer "Apple Computer" desc "Macintosh Quadra 700" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd800" year "1993" manufacturer "Apple Computer" desc "Macintosh Quadra 800" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd900" year "1991" manufacturer "Apple Computer" desc "Macintosh Quadra 900" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macqd950" year "1992" manufacturer "Apple Computer" desc "Macintosh Quadra 950" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macross" year "1992" manufacturer "Banpresto" desc "Super Spacefortress Macross / Chou-Jikuu Yousai Macross" devices ())
(name "macross2" year "1993" manufacturer "Banpresto" desc "Super Spacefortress Macross II / Chou-Jikuu Yousai Macross II" devices ())
(name "macross2g" year "1993" manufacturer "Banpresto" desc "Super Spacefortress Macross II / Chou-Jikuu Yousai Macross II (Gamest review build)" devices ())
(name "macross2k" year "1993" manufacturer "Banpresto" desc "Macross II (Korea)" devices ())
(name "macrossp" year "1996" manufacturer "MOSS / Banpresto" desc "Macross Plus" devices ())
(name "macse" year "1987" manufacturer "Apple Computer" desc "Macintosh SE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macse30" year "1989" manufacturer "Apple Computer" desc "Macintosh SE/30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "macsefd" year "1987" manufacturer "Apple Computer" desc "Macintosh SE (FDHD)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mactv" year "1994" manufacturer "Apple Computer" desc "Macintosh TV" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "macxl" year "1985" manufacturer "Apple Computer" desc "Macintosh XL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "madalien" year "1980" manufacturer "Data East Corporation" desc "Mad Alien (set 1)" devices ())
(name "madaliena" year "1980" manufacturer "Data East Corporation" desc "Mad Alien (set 2)" devices ())
(name "madalienb" year "1980" manufacturer "Data East Corporation" desc "Mad Alien (set 2, alt gfx)" devices ())
(name "madball" year "1998" manufacturer "Yun Sung" desc "Mad Ball (V2.0)" devices ())
(name "madballn" year "1997" manufacturer "Yun Sung" desc "Mad Ball (V2.0, with nudity)" devices ())
(name "madcrash" year "1984" manufacturer "SNK" desc "Mad Crasher" devices ())
(name "madcrush" year "1984" manufacturer "SNK" desc "Mad Crusher (Japan)" devices ())
(name "maddog" year "1990" manufacturer "American Laser Games" desc "Mad Dog McCree (v2.03 board rev.B)" devices ())
(name "maddog2" year "1992" manufacturer "American Laser Games" desc "Mad Dog II: The Lost Gold (v2.04)" devices ())
(name "maddog2_100" year "1992" manufacturer "American Laser Games" desc "Mad Dog II: The Lost Gold (v1.00)" devices ())
(name "maddog2_110" year "1992" manufacturer "American Laser Games" desc "Mad Dog II: The Lost Gold (v1.10)" devices ())
(name "maddog2_202" year "1992" manufacturer "American Laser Games" desc "Mad Dog II: The Lost Gold (v2.02)" devices ())
(name "maddog_202" year "1990" manufacturer "American Laser Games" desc "Mad Dog McCree (v2.02 board rev.B)" devices ())
(name "maddoga" year "1990" manufacturer "American Laser Games" desc "Mad Dog McCree (v1C board rev.A)" devices ())
(name "maddonna" year "1995" manufacturer "Promat (Tuning license)" desc "Mad Donna (Tuning, set 1)" devices ())
(name "maddonnab" year "1995" manufacturer "Promat (Tuning license)" desc "Mad Donna (Tuning, set 2)" devices ())
(name "madgear" year "1989" manufacturer "Capcom" desc "Mad Gear (US)" devices ())
(name "madgearj" year "1989" manufacturer "Capcom" desc "Mad Gear (Japan)" devices ())
(name "madmoney2" year "1988" manufacturer "Picmatic" desc "Mad Money 2" devices ())
(name "madmotor" year "1989" manufacturer "Mitchell" desc "Mad Motor (prototype)" devices ())
(name "madrace" year "1985" manufacturer "Playmatic" desc "Mad Race" devices ())
(name "madshark" year "1993" manufacturer "Allumer" desc "Mad Shark" devices ())
(name "madsharkbl" year "1993" manufacturer "bootleg" desc "Mad Shark (bootleg)" devices ())
(name "madzoo" year "1995" manufacturer "Bordun International" desc "Mad Zoo (version U450C)" devices ())
(name "mag10" year "1997" manufacturer "bootleg (Magic)" desc "Magic 10 Nevada (bootleg of Pool 10)" devices ())
(name "mag_boob" year "1987" manufacturer "EFO SA / Cedar" desc "Booby Kids (Magnet System)" devices ())
(name "mag_burn" year "1987" manufacturer "EFO SA / Cedar" desc "The Burning Cavern (31/03/87)" devices ())
(name "mag_day" year "1987" manufacturer "EFO SA / Cedar" desc "A Day In Space (31/03/87)" devices ())
(name "mag_drac" year "1987" manufacturer "EFO SA / Cedar" desc "Dracula's Castle (Magnet System)" devices ())
(name "mag_exzi" year "1987" manufacturer "EFO SA / Cedar" desc "Exzisus (EX 1.0, Magnet System)" devices ())
(name "mag_pdak" year "1987" manufacturer "EFO SA / Cedar" desc "Paris Dakar (31/03/87, Spanish)" devices ())
(name "mag_time" year "1987" manufacturer "EFO SA / Cedar" desc "Time Scanner (TS 2.0, Magnet System)" devices ())
(name "mag_war" year "1987" manufacturer "EFO SA / Cedar" desc "War Mission (WM 04/06/87)" devices ())
(name "mag_wara" year "1987" manufacturer "EFO SA / Cedar" desc "War Mission (WM 09/04/87)" devices ())
(name "mag_xain" year "1987" manufacturer "EFO SA / Cedar" desc "Xain'd Sleena (SC 3.0, Magnet System)" devices ())
(name "magb233" year "198?" manufacturer "Magitronic Technology" desc "Magitronic B233" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "magb236" year "198?" manufacturer "Magitronic Technology" desc "Magitronic B236" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "magdrop" year "1995" manufacturer "Data East Corporation" desc "Magical Drop (Japan, Version 1.1, 1995.06.21)" devices ())
(name "magdrop2" year "1996" manufacturer "Data East Corporation" desc "Magical Drop II" devices ((name "memcard" briefname "memc" ) ()))
(name "magdrop3" year "1997" manufacturer "Data East Corporation" desc "Magical Drop III" devices ((name "memcard" briefname "memc" ) ()))
(name "magdropp" year "1995" manufacturer "Data East Corporation" desc "Magical Drop Plus 1 (Japan, Version 2.1, 1995.09.12)" devices ())
(name "magerror" year "1994" manufacturer "Technosoft / Jaleco" desc "Magical Error wo Sagase" devices ())
(name "magforst" year "2005" manufacturer "Aristocrat" desc "Magic Forest (0151139, US)" devices ())
(name "magibomb" year "2001?" manufacturer "Astro Corp." desc "Magic Bomb (Ver. L3.5S)" devices ())
(name "magibomba" year "2002" manufacturer "Astro Corp." desc "Magic Bomb (Ver. BR4.4, 04/19/02S)" devices ())
(name "magibombb" year "2002" manufacturer "Astro Corp." desc "Magic Bomb (Ver. AB4.5A, 07/10/02S)" devices ())
(name "magibombc" year "2001" manufacturer "Astro Corp." desc "Magic Bomb (Ver. AB4.2, 11/10/01)" devices ())
(name "magibombd" year "2005" manufacturer "Astro Corp." desc "Magic Bomb (Ver. AA.72.D, 14/11/05)" devices ())
(name "magibombe" year "2001?" manufacturer "Astro Corp." desc "Magic Bomb (Ver. A3.1)" devices ())
(name "magibombf" year "2002" manufacturer "Astro Corp." desc "Magic Bomb (Ver. NB4.5, 06/14/02S)" devices ())
(name "magibombg" year "2004" manufacturer "Astro Corp." desc "Magic Bomb (Ver. NB6.1, 26/04/04)" devices ())
(name "magibombh" year "2001?" manufacturer "Astro Corp." desc "Magic Bomb (Ver. A4.0A)" devices ())
(name "magibombi" year "2001?" manufacturer "Astro Corp." desc "Magic Bomb (Ver. A3.6A)" devices ())
(name "magibombj" year "2005" manufacturer "Astro Corp." desc "Magic Bomb (Ver. AA.72.C, 25/05/05)" devices ())
(name "magic" year "1979" manufacturer "Stern" desc "Magic" devices ())
(name "magic10" year "1995" manufacturer "A.W.P. Games" desc "Magic's 10 (ver. 16.55)" devices ())
(name "magic102" year "1997" manufacturer "ABM Games" desc "Magic's 10 2 (ver. 1.1)" devices ())
(name "magic102a" year "1997" manufacturer "ABM Games" desc "Magic's 10 2 (ver. BETA3)" devices ())
(name "magic10a" year "1995" manufacturer "A.W.P. Games" desc "Magic's 10 (ver. 16.54)" devices ())
(name "magic10b" year "1995" manufacturer "A.W.P. Games" desc "Magic's 10 (ver. 16.45)" devices ())
(name "magic10c" year "1995" manufacturer "A.W.P. Games" desc "Magic's 10 (ver. 16.15)" devices ())
(name "magic6" year "1993" manufacturer "<unknown>" desc "Magic 6" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "magicard" year "1994" manufacturer "Impera" desc "Magic Card (v2.01)" devices ())
(name "magicbal" year "1994" manufacturer "SemiCom" desc "Magicball Fighting (Korea)" devices ())
(name "magicbom" year "2000" manufacturer "High Video" desc "Magic Bomb (Version 1)" devices ())
(name "magicbub" year "199?" manufacturer "Yun Sung" desc "Magic Bubble" devices ())
(name "magicbuba" year "199?" manufacturer "Yun Sung" desc "Magic Bubble (Adult version, YS1302 PCB, set 1)" devices ())
(name "magicbubb" year "199?" manufacturer "Yun Sung" desc "Magic Bubble (Adult version, YS1302 PCB, set 2)" devices ())
(name "magicbubc" year "199?" manufacturer "Yun Sung" desc "Magic Bubble (Adult version, YS-0211 PCB)" devices ())
(name "magicfly" year "198?" manufacturer "P&A Games" desc "Magic Fly" devices ())
(name "magician" year "2006" manufacturer "Aristocrat" desc "The Magician (20210111, NSW/ACT)" devices ())
(name "magicle" year "2001" manufacturer "Impera" desc "Magic Lotto Export (5.03)" devices ())
(name "magicpop" year "2009" manufacturer "Sega" desc "Magical Poppins" devices ())
(name "magicrd1" year "1994" manufacturer "Impera" desc "Magic Card (v1.10 14.09.94)" devices ())
(name "magicrd1a" year "1993" manufacturer "Impera" desc "Magic Card (v1.5 17.12.93, set 1)" devices ())
(name "magicrd1b" year "1993" manufacturer "Impera" desc "Magic Card (v1.5 17.12.93, set 2)" devices ())
(name "magicrd1c" year "1993" manufacturer "Impera" desc "Magic Card (v1.2 200/93, set 1)" devices ())
(name "magicrd1d" year "1993" manufacturer "Impera" desc "Magic Card (v1.2 200/93, set 2)" devices ())
(name "magicrd2" year "1996" manufacturer "Impera" desc "Magic Card II (Bulgarian)" devices ())
(name "magicrd2a" year "1996" manufacturer "Impera" desc "Magic Card II (Nov, Yugoslavian)" devices ())
(name "magicrd2b" year "1996" manufacturer "Impera" desc "Magic Card II (green TAB or Impera board)" devices ())
(name "magicrd2c" year "1996" manufacturer "Impera" desc "Magic Card II (blue TAB board, encrypted)" devices ())
(name "magicrde" year "1994" manufacturer "Impera" desc "Magic Card Export 94 (v2.11a, set 1)" devices ())
(name "magicrdea" year "1994" manufacturer "Impera" desc "Magic Card Export 94 (v2.11a, set 2)" devices ())
(name "magicrdeb" year "1994" manufacturer "Impera" desc "Magic Card Export 94 (V2.11a, set 3)" devices ())
(name "magicrdec" year "1994" manufacturer "Impera" desc "Magic Card Export 94 (v2.09a)" devices ())
(name "magicrdj" year "1998" manufacturer "Impera" desc "Magic Card III Jackpot (V4.01 6/98)" devices ())
(name "magicrdja" year "1998" manufacturer "Impera" desc "Magic Card III Jackpot (V4.01 7/98)" devices ())
(name "magicstk" year "1995" manufacturer "Playmark" desc "Magic Sticks" devices ())
(name "magictch" year "1998" manufacturer "Playmark" desc "Magic Touch" devices ())
(name "magictg" year "1997" manufacturer "Acclaim" desc "Magic the Gathering: Armageddon (set 1)" devices ())
(name "magictga" year "1997" manufacturer "Acclaim" desc "Magic the Gathering: Armageddon (set 2)" devices ())
(name "magimask" year "2000" manufacturer "Aristocrat" desc "Magic Mask (AHG1549, US)" devices ())
(name "magimaska" year "2000" manufacturer "Aristocrat" desc "Magic Mask (AHG1548, US)" devices ())
(name "magimaskb" year "2000" manufacturer "Aristocrat" desc "Magic Mask (DHG1309, US)" devices ())
(name "magipur" year "1996" manufacturer "Unico" desc "Magic Purple" devices ())
(name "magix" year "1995" manufacturer "Yun Sung" desc "Magix / Rock" devices ())
(name "magixb" year "1995" manufacturer "Yun Sung" desc "Magix / Rock (no copyright message)" devices ())
(name "magjoker" year "2000" manufacturer "B.R.L." desc "Magic Joker (v1.25.10.2000)" devices ())
(name "maglord" year "1990" manufacturer "Alpha Denshi Co." desc "Magician Lord (NGM-005)" devices ((name "memcard" briefname "memc" ) ()))
(name "maglordh" year "1990" manufacturer "Alpha Denshi Co." desc "Magician Lord (NGH-005)" devices ((name "memcard" briefname "memc" ) ()))
(name "magmax" year "1985" manufacturer "Nichibutsu" desc "Mag Max (set 1)" devices ())
(name "magmaxa" year "1985" manufacturer "Nichibutsu" desc "Mag Max (set 2)" devices ())
(name "magmerm" year "2003" manufacturer "Aristocrat" desc "Magic Mermaid (0251331, US)" devices ())
(name "magnum" year "1983" manufacturer "Dulmont" desc "Magnum" devices ())
(name "magodds" year "1992" manufacturer "Pal Company / Micro Manufacturing Inc." desc "Magical Odds (set 1)" devices ())
(name "magoddsa" year "1992" manufacturer "Pal Company / Micro Manufacturing Inc." desc "Magical Odds (set 2)" devices ())
(name "magoddsb" year "1992" manufacturer "Pal Company / Micro Manufacturing Inc." desc "Magical Odds (set 3)" devices ())
(name "magoddsc" year "1991" manufacturer "Pal Company" desc "Magical Odds (set 4, custom encrypted CPU block)" devices ())
(name "magoddsd" year "1991" manufacturer "Pal Company" desc "Magical Odds (set 5, custom encrypted CPU block)" devices ())
(name "magreel" year "199?" manufacturer "Play System" desc "Magic Reels" devices ())
(name "magslot" year "2003" manufacturer "GMS" desc "Magic Slot (normal 1.0C)" devices ())
(name "magspeed" year "1994" manufacturer "Allumer" desc "Magical Speed" devices ())
(name "magspot" year "1980" manufacturer "Universal" desc "Magical Spot" devices ())
(name "magspot2" year "1980" manufacturer "Universal" desc "Magical Spot II" devices ())
(name "magtcha5" year "1997" manufacturer "Aristocrat" desc "Magic Touch (0300455V, NSW/ACT)" devices ())
(name "magtcha5a" year "1997" manufacturer "Aristocrat" desc "Magic Touch (0200455V, NSW/ACT)" devices ())
(name "magtouch" year "1995" manufacturer "Micro Manufacturing" desc "Magical Touch" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "magtruck" year "1998" manufacturer "Sega" desc "Magical Truck Adventure (Export)" devices ())
(name "maguila" year "1982" manufacturer "bootleg (Aguipa)" desc "Up Maguila (bootleg of Donkey Kong Jr.)" devices ())
(name "magworm" year "1980" manufacturer "bootleg (Sidam)" desc "Magic Worm (bootleg of Centipede, set 1)" devices ())
(name "magworma" year "1980" manufacturer "bootleg" desc "Magic Worm (bootleg of Centipede, set 2)" devices ())
(name "magzun" year "1996" manufacturer "Sega" desc "Magical Zunou Power (J 961031 V1.000)" devices ())
(name "mahjngoh" year "1999" manufacturer "Warashi / Mahjong Kobo / Taito" desc "Mahjong Oh (V2.06J 1999/11/23 08:52:22)" devices ((name "harddisk" briefname "hard" )))
(name "mahmajn" year "1992" manufacturer "Sega" desc "Tokoro San no MahMahjan (Japan, ROM Based)" devices ())
(name "mahmajn2" year "1994" manufacturer "Sega" desc "Tokoro San no MahMahjan 2 (Japan, ROM Based)" devices ())
(name "mahoudai" year "1993" manufacturer "Raizing (Able license)" desc "Mahou Daisakusen (Japan)" devices ())
(name "mahretsu" year "1990" manufacturer "SNK" desc "Mahjong Kyo Retsuden (NGM-004 ~ NGH-004)" devices ((name "memcard" briefname "memc" ) ()))
(name "maiko" year "1990" manufacturer "Nichibutsu" desc "Maikobana (Japan 900802)" devices ())
(name "mainevt" year "1988" manufacturer "Konami" desc "The Main Event (4 Players ver. Y)" devices ())
(name "mainevt2p" year "1988" manufacturer "Konami" desc "The Main Event (2 Players ver. X)" devices ())
(name "mainevto" year "1988" manufacturer "Konami" desc "The Main Event (4 Players ver. F)" devices ())
(name "mainline" year "198?" manufacturer "Mainline London" desc "Mainline Double Joker Poker" devices ())
(name "mainsnk" year "1984" manufacturer "SNK" desc "Main Event (1984)" devices ())
(name "majest12j" year "1990" manufacturer "Taito Corporation" desc "Majestic Twelve - The Space Invaders Part IV (Japan)" devices ())
(name "majest12u" year "1990" manufacturer "Taito America Corporation" desc "Majestic Twelve - The Space Invaders Part IV (US, revised code, Rev 1)" devices ())
(name "majest12ua" year "1990" manufacturer "Taito America Corporation" desc "Majestic Twelve - The Space Invaders Part IV (US, revised code)" devices ())
(name "majest12ub" year "1990" manufacturer "Taito America Corporation" desc "Majestic Twelve - The Space Invaders Part IV (US, earlier code base)" devices ())
(name "majgnc" year "200?" manufacturer "Majesco / JungleTac" desc "Golden Nugget Casino" devices ())
(name "majkon" year "2004" manufacturer "Majesco (licensed from Konami) / JungleTac" desc "Konami Collector's Series Arcade Advanced" devices ())
(name "majorpkr" year "1994" manufacturer "PAL System" desc "Major Poker (set 1, v2.0)" devices ())
(name "majorpkra" year "1994" manufacturer "PAL System / Micro Manufacturing" desc "Major Poker (set 2, Micro Manufacturing intro)" devices ())
(name "majorpkrb" year "1994" manufacturer "PAL System / Micro Manufacturing" desc "Major Poker (set 3, Micro Manufacturing intro)" devices ())
(name "majorpkrc" year "1994" manufacturer "PAL System / Micro Manufacturing" desc "Major Poker (set 4, Micro Manufacturing intro)" devices ())
(name "majrjh" year "1996" manufacturer "Dynax" desc "Mahjong Raijinhai (Ver. D105)" devices ())
(name "majrjhdx" year "1996" manufacturer "Dynax" desc "Mahjong Raijinhai DX (Ver. D105)" devices ())
(name "majs101b" year "1988" manufacturer "Dynax" desc "Mahjong Studio 101 (Japan)" devices ())
(name "majtitl2" year "1992" manufacturer "Irem" desc "Major Title 2 (World, set 1)" devices ())
(name "majtitl2a" year "1992" manufacturer "Irem" desc "Major Title 2 (World, set 1, alt sound CPU)" devices ())
(name "majtitl2b" year "1992" manufacturer "Irem" desc "Major Title 2 (World, set 2)" devices ())
(name "majtitl2j" year "1992" manufacturer "Irem" desc "Major Title 2 (Japan)" devices ())
(name "majtitle" year "1990" manufacturer "Irem" desc "Major Title (World)" devices ())
(name "majtitlej" year "1990" manufacturer "Irem" desc "Major Title (Japan)" devices ())
(name "majuu" year "1987" manufacturer "Konami" desc "Majuu no Ohkoku" devices ())
(name "majxtal7" year "1990" manufacturer "Dynax" desc "Mahjong X-Tal 7 - Crystal Mahjong / Mahjong Diamond 7 (Japan)" devices ())
(name "makaiden" year "1988" manufacturer "Jaleco" desc "Makai Densetsu (Japan)" devices ())
(name "makaijan" year "1987" manufacturer "Dynax" desc "Makaijan (Japan)" devices ())
(name "makaimur" year "1985" manufacturer "Capcom" desc "Makaimura (Japan)" devices ())
(name "makaimurb" year "1985" manufacturer "Capcom" desc "Makaimura (Japan Revision B)" devices ())
(name "makaimurc" year "1985" manufacturer "Capcom" desc "Makaimura (Japan Revision C)" devices ())
(name "makaimurg" year "1985" manufacturer "Capcom" desc "Makaimura (Japan Revision G)" devices ())
(name "maketrax" year "1981" manufacturer "Alpha Denshi Co. / Kural (Williams license)" desc "Make Trax (US set 1)" devices ())
(name "maketrxb" year "1981" manufacturer "Alpha Denshi Co. / Kural (Williams license)" desc "Make Trax (US set 2)" devices ())
(name "makyosen" year "1987" manufacturer "Data East Corporation" desc "Makyou Senshi (Japan)" devices ())
(name "maldaiza" year "2002" manufacturer "Big A Korea" desc "Maldaliza" devices ())
(name "maletmad" year "1999" manufacturer "Hanaho Games (Capcom license)" desc "Mallet Madness (v2.1)" devices ())
(name "malzak" year "19??" manufacturer "Kitronix" desc "Malzak" devices ())
(name "malzak2" year "19??" manufacturer "Kitronix" desc "Malzak II" devices ())
(name "mamboagg" year "2001" manufacturer "Konami" desc "Mambo A Go-Go (GQA40 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "mamboagga" year "2001" manufacturer "Konami" desc "Mambo A Go-Go (GQA40 VER. JRB, Rental)" devices ((name "cdrom" briefname "cdrm" )))
(name "mammothm" year "1997" manufacturer "Aristocrat" desc "Mammoth Money (0100425V, NSW/ACT)" devices ())
(name "mamonoro" year "2008" manufacturer "G.Rev" desc "Mamoru-kun wa Norowarete Shimatta! (Japan)" devices ())
(name "manager" year "1983" manufacturer "Salora" desc "Manager (Finland)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "mandinga" year "1982" manufacturer "bootleg (Artemi)" desc "Mandinga (Artemi bootleg of Amidar)" devices ())
(name "mandingac" year "1982" manufacturer "bootleg (Centromatic)" desc "Mandanga (bootleg of Mandinga on Galaxian hardware, set 2)" devices ())
(name "mandingaeg" year "1982" manufacturer "bootleg (Electrogame S.A.)" desc "Mandinga (Electrogame S.A. bootleg of Amidar)" devices ())
(name "mandingarf" year "1982" manufacturer "bootleg (Recreativos Franco S.A.)" desc "Mandanga (bootleg of Mandinga on Galaxian hardware, set 1)" devices ())
(name "mandinka" year "1982" manufacturer "bootleg" desc "Mandinka (bootleg of Amidar)" devices ())
(name "mangchi" year "2000" manufacturer "Afega" desc "Mang-Chi" devices ())
(name "manhatan" year "1986" manufacturer "Konami" desc "Manhattan 24 Bunsyo (Japan)" devices ())
(name "maniac" year "1979" manufacturer "Ideal Toy Corporation" desc "Maniac" devices ())
(name "maniach" year "1986" manufacturer "Technos Japan (Taito America license)" desc "Mania Challenge (set 1)" devices ())
(name "maniach2" year "1986" manufacturer "Technos Japan (Taito America license)" desc "Mania Challenge (set 2)" devices ())
(name "maniacsp" year "1992" manufacturer "Gaelco" desc "Maniac Square (ver 1.0, checksum b602, prototype)" devices ())
(name "maniacsq" year "1996" manufacturer "Gaelco" desc "Maniac Square (protected, Version 1.0, Checksum DEEE)" devices ())
(name "maniacsqa" year "1996" manufacturer "Gaelco" desc "Maniac Square (protected, Version 1.0, Checksum CF2D)" devices ())
(name "maniacsqs" year "1996" manufacturer "Gaelco" desc "Maniac Square (unprotected, Version 1.0, Checksum 66B1, 960419/1 PCB)" devices ())
(name "maniacsqu" year "1996" manufacturer "Gaelco" desc "Maniac Square (unprotected, Version 1.0, Checksum BB73)" devices ())
(name "manicpnc" year "2007" manufacturer "Sega" desc "Manic Panic Ghosts! (USA, Export)" devices ())
(name "manohman" year "199?" manufacturer "Merkur" desc "Mann, oh-Mann" devices ())
(name "manpuku" year "2013" manufacturer "Sega" desc "Manpuku Suizokukan" devices ())
(name "manxtt" year "1995" manufacturer "Sega" desc "Manx TT Superbike - DX/Twin (Revision D)" devices ())
(name "manxttc" year "1995" manufacturer "Sega" desc "Manx TT Superbike - DX/Twin (Revision C)" devices ())
(name "manxttdx" year "1995" manufacturer "Sega" desc "Manx TT Superbike - DX" devices ())
(name "manybloc" year "1991" manufacturer "Bee-Oh" desc "Many Block" devices ())
(name "mapacman" year "2017" manufacturer "Super Impulse" desc "Pac-Man (Micro Arcade)" devices ())
(name "mappy" year "1983" manufacturer "Namco" desc "Mappy (US)" devices ())
(name "mappyj" year "1983" manufacturer "Namco" desc "Mappy (Japan)" devices ())
(name "marble" year "1984" manufacturer "Atari Games" desc "Marble Madness (set 1)" devices ())
(name "marble2" year "1984" manufacturer "Atari Games" desc "Marble Madness (set 2)" devices ())
(name "marble3" year "1984" manufacturer "Atari Games" desc "Marble Madness (set 3)" devices ())
(name "marble4" year "1984" manufacturer "Atari Games" desc "Marble Madness (set 4)" devices ())
(name "marble5" year "1984" manufacturer "Atari Games" desc "Marble Madness (set 5 - LSI Cartridge)" devices ())
(name "marblmd2" year "1991" manufacturer "Atari Games" desc "Marble Madness II (prototype)" devices ())
(name "marc101" year "2014" manufacturer "Millennium 2000 GmbH" desc "Millennium Arcade 101 (M489) (Game Station 2 101-in-1)" devices ())
(name "marc250" year "2015" manufacturer "Millennium 2000 GmbH" desc "Millennium Arcade 250 (M527)" devices ())
(name "marimba" year "2005" manufacturer "Konami" desc "Marimba Tengoku (Japan)" devices ())
(name "marineb" year "1982" manufacturer "Orca" desc "Marine Boy" devices ())
(name "marinedt" year "1981" manufacturer "Taito" desc "Marine Date" devices ())
(name "mariner" year "1981" manufacturer "Amenip" desc "Mariner" devices ())
(name "mario" year "1983" manufacturer "Nintendo of America" desc "Mario Bros. (US, Revision G)" devices ())
(name "mariobl" year "1983" manufacturer "bootleg" desc "Mario Bros. (bootleg on Ambush Hardware, set 1)" devices ())
(name "mariobla" year "1983" manufacturer "bootleg" desc "Mario Bros. (bootleg on Ambush Hardware, set 2)" devices ())
(name "marioe" year "1983" manufacturer "Nintendo of America" desc "Mario Bros. (US, Revision E)" devices ())
(name "mariof" year "1983" manufacturer "Nintendo of America" desc "Mario Bros. (US, Revision F)" devices ())
(name "marioj" year "1983" manufacturer "Nintendo" desc "Mario Bros. (Japan, Revision C)" devices ())
(name "mariojjl" year "2006" manufacturer "Nintendo / Capcom" desc "Super Mario Fushigi no JanJanLand (Ver.1.00C, 2006/08/29)" devices ((name "harddisk" briefname "hard" )))
(name "mariorou" year "1991" manufacturer "Konami" desc "Mario Roulette" devices ())
(name "marioun" year "1993" manufacturer "Banpresto" desc "Super Mario World - Mario Undoukai" devices ())
(name "markham" year "1983" manufacturer "Sun Electronics" desc "Markham" devices ())
(name "marmagic" year "2001" manufacturer "Aristocrat" desc "Margarita Magic (01J00101, NSW/ACT)" devices ())
(name "marmagicu" year "2000" manufacturer "Aristocrat" desc "Margarita Magic (EHG1558, US)" devices ())
(name "marmagicua" year "2000" manufacturer "Aristocrat" desc "Margarita Magic (EHG1559, US)" devices ())
(name "marqueen" year "1981" manufacturer "LTD" desc "Martian Queen" devices ())
(name "mars" year "1981" manufacturer "Artic" desc "Mars" devices ())
(name "marsarf" year "1984" manufacturer "bootleg (Arfyc)" desc "Mars (bootleg)" devices ())
(name "marsp" year "1981" manufacturer "Gottlieb" desc "Mars - God of War" devices ())
(name "marspf" year "1981" manufacturer "Gottlieb" desc "Mars - God of War (French speech)" devices ())
(name "marspp" year "1981" manufacturer "Gottlieb" desc "Mars - God of War (Prototype)" devices ())
(name "marstv" year "1999" manufacturer "Sega" desc "Mars TV (Japan)" devices ())
(name "martmast" year "2001" manufacturer "IGS" desc "Martial Masters / Xing Yi Quan (ver. 104, 102, 102US)" devices ())
(name "martmast102c" year "2001" manufacturer "IGS" desc "Martial Masters / Xing Yi Quan (ver. 102, 101, 101CN)" devices ())
(name "martmast103c" year "2001" manufacturer "IGS" desc "Martial Masters / Xing Yi Quan (ver. 103, 102, 101CN)" devices ())
(name "martmast104c" year "2001" manufacturer "IGS" desc "Martial Masters / Xing Yi Quan (ver. 104, 102, 101CN)" devices ())
(name "maruchan" year "1997" manufacturer "Sega / Toyosuisan" desc "Maru-Chan de Goo! (J 971216 V1.000)" devices ())
(name "marukin" year "1990" manufacturer "Yuga" desc "Super Marukin-Ban (Japan 911128)" devices ())
(name "marukina" year "1990" manufacturer "Yuga" desc "Super Marukin-Ban (Japan 901017)" devices ())
(name "marukodq" year "1995" manufacturer "Takara" desc "Chibi Maruko-chan: Maruko Deluxe Quiz" devices ((name "memcard" briefname "memc" ) ()))
(name "marvice" year "1994" manufacturer "Picmatic" desc "Marbella Vice" devices ())
(name "marvice100hz" year "1994" manufacturer "Picmatic" desc "Marbella Vice (100Hz display)" devices ())
(name "marvins" year "1983" manufacturer "SNK" desc "Marvin's Maze" devices ())
(name "marvland" year "1989" manufacturer "Namco" desc "Marvel Land (Japan)" devices ())
(name "marvlandup" year "1989" manufacturer "Namco" desc "Marvel Land (US, prototype)" devices ())
(name "marywu" year "????" manufacturer "<unknown>" desc "unknown Labeled 'WU- MARY-1A' Music by: SunKiss Chen" devices ())
(name "masao" year "1983" manufacturer "bootleg" desc "Masao" devices ())
(name "maski" year "2003" manufacturer "Extrema" desc "Maski Show (Ukraine V. 43.10)" devices ())
(name "maskia" year "2003" manufacturer "Extrema" desc "Maski Show (Ukraine V. 43.07)" devices ())
(name "maskib" year "2003" manufacturer "Extrema" desc "Maski Show (Ukraine V. 42.11)" devices ())
(name "maskic" year "2003" manufacturer "Extrema" desc "Maski Show (Ukraine V. 42.05)" devices ())
(name "masmario" year "2004" manufacturer "Nintendo / Capcom" desc "Super Mario Fushigi no Korokoro Party (center)" devices ((name "harddisk" briefname "hard" )))
(name "masmario2" year "2005" manufacturer "Nintendo / Capcom" desc "Super Mario Fushigi no Korokoro Party 2" devices ((name "harddisk" briefname "hard" )))
(name "masmarios" year "2004" manufacturer "Nintendo / Capcom" desc "Super Mario Fushigi no Korokoro Party (satellite)" devices ((name "harddisk" briefname "hard" )))
(name "mastbond" year "1989" manufacturer "bootleg" desc "Master Bond (bootleg of Secret Agent)" devices ())
(name "mastboy" year "1991" manufacturer "Gaelco" desc "Master Boy (Spanish, rev A)" devices ())
(name "mastboya" year "1991" manufacturer "Gaelco" desc "Master Boy (Spanish, rev A, hack?)" devices ())
(name "mastboyi" year "1991" manufacturer "Gaelco (Playmark license)" desc "Master Boy (Italian, rev A, set 1)" devices ())
(name "mastboyia" year "1991" manufacturer "Gaelco (Playmark license)" desc "Master Boy (Italian, rev A, set 2)" devices ())
(name "mastboyiv2" year "1992" manufacturer "Gaelco (Playmark license)" desc "Master Boy Version II (Italian, rev A)" devices ())
(name "mastboyo" year "1987" manufacturer "Gaelco (Covielsa license)" desc "Master Boy (1987, Z80 hardware, Covielsa, set 1)" devices ())
(name "mastboyoa" year "1987" manufacturer "Gaelco (Covielsa license)" desc "Master Boy (1987, Z80 hardware, Covielsa, set 2)" devices ())
(name "mastboyob" year "1987" manufacturer "Gaelco (Ichi-Funtel license)" desc "Master Boy (1987, Z80 hardware, Ichi-Funtel, set 1)" devices ())
(name "mastboyoc" year "1987" manufacturer "Gaelco (Ichi-Funtel license)" desc "Master Boy (1987, Z80 hardware, Ichi-Funtel, set 2)" devices ())
(name "mastcrane" year "199?" manufacturer "Compumatic" desc "Master Crane (set 1)" devices ())
(name "mastcranea" year "199?" manufacturer "Compumatic" desc "Master Crane (set 2)" devices ())
(name "mastcraneb" year "199?" manufacturer "Compumatic" desc "Master Crane (set 3)" devices ())
(name "masterw" year "1989" manufacturer "Taito Corporation Japan" desc "Master of Weapon (World)" devices ())
(name "masterwj" year "1989" manufacturer "Taito Corporation" desc "Master of Weapon (Japan)" devices ())
(name "masterwu" year "1989" manufacturer "Taito America Corporation" desc "Master of Weapon (US)" devices ())
(name "mastfury" year "1996" manufacturer "Unico" desc "Master's Fury" devices ())
(name "mastkin" year "1988" manufacturer "Du Tech" desc "The Masters of Kin" devices ())
(name "mastmind" year "1979" manufacturer "Invicta" desc "Electronic Master Mind (Invicta)" devices ())
(name "mastninj" year "1989" manufacturer "bootleg" desc "Master Ninja (bootleg of Shadow Warriors / Ninja Gaiden)" devices ())
(name "mastrglf" year "1985" manufacturer "Nasco" desc "Master's Golf" devices ())
(name "mat286" year "19??" manufacturer "<unknown>" desc "MAT286 Rev.D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "matahari" year "1978" manufacturer "Bally" desc "Mata Hari" devices ())
(name "match98" year "1998" manufacturer "Amcoe" desc "Match '98 (ver. 1.33)" devices ())
(name "matchem" year "1986" manufacturer "Merit" desc "Match'em Up (6221-51, U5-1)" devices ())
(name "matchemg" year "1986" manufacturer "Merit" desc "Match'em Up (6221-55, U5-1, German)" devices ())
(name "matchit" year "1989" manufacturer "Tamtex" desc "Match It" devices ())
(name "matchit2" year "1993" manufacturer "Tamtex" desc "Match It II" devices ())
(name "matchitb" year "1989" manufacturer "bootleg" desc "Match It (bootleg)" devices ())
(name "matchme" year "1980" manufacturer "Kingsford" desc "Match Me" devices ())
(name "matchnum" year "1979" manufacturer "A-One LSI" desc "Match Number" devices ())
(name "mathmagi" year "1980" manufacturer "APF Electronics Inc." desc "Mathemagician" devices ())
(name "mathmarv" year "1980" manufacturer "Texas Instruments" desc "Math Marvel" devices ())
(name "mathsmag" year "1982" manufacturer "Texas Instruments" desc "Les Maths Magiques (France)" devices ((name "cartridge" briefname "cart" )))
(name "matmania" year "1985" manufacturer "Technos Japan (Taito America license)" desc "Mat Mania" devices ())
(name "mato" year "1985" manufacturer "Statny" desc "Mato" devices ((name "cassette" briefname "cass" )))
(name "matrim" year "2003" manufacturer "Noise Factory / Atlus" desc "Matrimelee / Shin Gouketsuji Ichizoku Toukon (NGM-2660 ~ NGH-2660)" devices ((name "memcard" briefname "memc" ) ()))
(name "matrimbl" year "2003" manufacturer "bootleg" desc "Matrimelee / Shin Gouketsuji Ichizoku Toukon (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "matrix" year "200?" manufacturer "<unknown>" desc "Matrix" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "mattelcs" year "2005" manufacturer "Mattel" desc "Mattel Classic Sports" devices ())
(name "mausuke" year "1996" manufacturer "Data East Corporation" desc "Mausuke no Ojama the World (J 960314 V1.000)" devices ())
(name "mav_100" year "1994" manufacturer "Data East" desc "Maverick, The Movie (1.00)" devices ())
(name "mav_200" year "1994" manufacturer "Data East" desc "Maverick, The Movie (2.00)" devices ())
(name "mav_400" year "1994" manufacturer "Sega" desc "Maverick, The Movie (Display Rev. 4.00)" devices ())
(name "mav_401" year "1994" manufacturer "Sega" desc "Maverick, The Movie (4.02, Display Rev. 4.01)" devices ())
(name "mav_402" year "1994" manufacturer "Sega" desc "Maverick, The Movie (4.04, Display Rev. 4.02)" devices ())
(name "maverik" year "198?" manufacturer "<unknown>" desc "Maverik" devices ())
(name "max10in1" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx 10-in-1 Casino / Senario Card & Casino Games" devices ())
(name "max80" year "1982" manufacturer "Lobo Systems" desc "MAX-80" devices ((name "floppydisk" briefname "flop" )))
(name "maxf_102" year "1996" manufacturer "Atari Games" desc "Maximum Force v1.02" devices ((name "harddisk" briefname "hard" )))
(name "maxf_ng" year "1996" manufacturer "Atari Games" desc "Maximum Force (No Gore version)" devices ((name "harddisk" briefname "hard" )))
(name "maxforce" year "1996" manufacturer "Atari Games" desc "Maximum Force v1.05" devices ((name "harddisk" briefname "hard" )))
(name "maxidbl" year "1992" manufacturer "Blitz Systems Inc." desc "Maxi Double Poker (Ver. 1.10)" devices ())
(name "maxideal" year "1983" manufacturer "ACL Manufacturing" desc "Maxi-Dealer" devices ())
(name "maxidpkr" year "1990" manufacturer "Blitz System" desc "Maxi Double Poker (version 1.8)" devices ())
(name "maxrpm" year "1986" manufacturer "Bally Midway" desc "Max RPM (ver 2)" devices ())
(name "maxspeed" year "2003" manufacturer "SIMS / Sammy" desc "Maximum Speed" devices ())
(name "maxx5in1" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx 5-in-1 Casino / Senario Card & Casino Games" devices ())
(name "maxx6in1" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx 6-in-1 Casino / Senario Card & Casino Games" devices ())
(name "maxxi" year "1982" manufacturer "Polymax" desc "Maxxi" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "maya" year "1994" manufacturer "Promat" desc "Maya (set 1)" devices ())
(name "mayaa" year "1994" manufacturer "Promat" desc "Maya (set 2)" devices ())
(name "mayab" year "1994" manufacturer "Promat" desc "Maya (set 3)" devices ())
(name "mayac" year "1994" manufacturer "Promat" desc "Maya (set 4, clean)" devices ())
(name "mayday" year "1980" manufacturer "Hoei" desc "Mayday (set 1)" devices ())
(name "maydaya" year "1980" manufacturer "Hoei" desc "Mayday (set 2)" devices ())
(name "maydayb" year "1980" manufacturer "Hoei" desc "Mayday (set 3)" devices ())
(name "mayhem" year "1985" manufacturer "Cinematronics" desc "Mayhem 2002" devices ())
(name "mayjin3" year "2000" manufacturer "Seta / Able Corporation" desc "Mayjinsen 3" devices ())
(name "mayjinsn" year "1994" manufacturer "Seta" desc "Mayjinsen" devices ())
(name "mayjisn2" year "1994" manufacturer "Seta" desc "Mayjinsen 2" devices ())
(name "mayumi" year "1988" manufacturer "Victory L.L.C." desc "Kiki-Ippatsu Mayumi-chan" devices ())
(name "mazan" year "2002" manufacturer "Namco" desc "Mazan: Flash of the Blade (World, MAZ2 Ver.A)" devices ())
(name "mazanj" year "2002" manufacturer "Namco" desc "Mazan: Flash of the Blade (Japan, MAZ1 Ver.A)" devices ())
(name "mazanu" year "2002" manufacturer "Namco" desc "Mazan: Flash of the Blade (US, MAZ3 Ver.A)" devices ())
(name "maze" year "1976" manufacturer "Midway" desc "Amazing Maze" devices ())
(name "mazebl" year "1990" manufacturer "bootleg" desc "Maze (Trog rev LA4 3/11/91 bootleg)" devices ())
(name "mazeinv" year "1981" manufacturer "Atari" desc "Maze Invaders (prototype)" devices ())
(name "mazerbla" year "1983" manufacturer "Stern Electronics" desc "Mazer Blazer (set 1)" devices ())
(name "mazerblaa" year "1983" manufacturer "Stern Electronics" desc "Mazer Blazer (set 2)" devices ())
(name "mazinger" year "1994" manufacturer "Banpresto / Dynamic Pl. Toei Animation" desc "Mazinger Z (World)" devices ())
(name "mazingerj" year "1994" manufacturer "Banpresto / Dynamic Pl. Toei Animation" desc "Mazinger Z (Japan)" devices ())
(name "mb1212c" year "199?" manufacturer "Biostar" desc "MB-1212C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mb133340" year "199?" manufacturer "Biostar" desc "MB-1340UCQ-B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb1433aeap" year "199?" manufacturer "Biostar" desc "MB-1433/50 AEA-P - V:1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb1433ucv" year "199?" manufacturer "Biostar" desc "MB-1433UCV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb1433uiv" year "199?" manufacturer "Biostar" desc "MB-1433UIV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb4d33" year "199?" manufacturer "Aquarius System (ASI)" desc "MB-4D33/50NR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb8433uud" year "199?" manufacturer "Biostar" desc "MB8433-UUD-A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mb_10" year "1998" manufacturer "Williams" desc "Monster Bash (1.0)" devices ())
(name "mb_106" year "1998" manufacturer "Williams" desc "Monster Bash (1.06)" devices ())
(name "mb_106b" year "1998" manufacturer "Williams" desc "Monster Bash (1.06b)" devices ())
(name "mba009" year "199?" manufacturer "<unknown>" desc "HLB-286 MBA-009" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mba029" year "199?" manufacturer "Mitac" desc "MBA-029" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mba032q" year "199?" manufacturer "DTK" desc "MBA-032Q TK83305-4N-D-03" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mbaa" year "2008" manufacturer "Type-Moon / Ecole" desc "Melty Blood Actress Again Version A (Japan, Rev A)" devices ())
(name "mbaao" year "2008" manufacturer "Type-Moon / Ecole" desc "Melty Blood Actress Again (Japan)" devices ())
(name "mbaseb" year "1978" manufacturer "Mattel Electronics" desc "Baseball (Mattel)" devices ())
(name "mbaskb" year "1978" manufacturer "Mattel Electronics" desc "Basketball (Mattel)" devices ())
(name "mbaskb2" year "1979" manufacturer "Mattel Electronics" desc "Basketball 2 (Mattel)" devices ())
(name "mbc020" year "1983" manufacturer "Sym Systems / Torque Systems" desc "MBC020-65 CPU/Video Board (Torque Systems OEM)" devices ())
(name "mbc16" year "198?" manufacturer "Sanyo" desc "MBC-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mbc16lt" year "198?" manufacturer "Sanyo" desc "MBC-16LT" devices ((name "printout1" briefname "prin1" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout2" briefname "prin2" )))
(name "mbc18nb" year "199?" manufacturer "Sanyo" desc "MBC-18NB" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mbc200" year "1982" manufacturer "Sanyo" desc "MBC-200" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mbc28" year "1992" manufacturer "Sanyo" desc "MBC-28" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mbc55x" year "1983" manufacturer "Sanyo" desc "MBC-55x" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbdtower" year "1981" manufacturer "Milton Bradley" desc "Dark Tower (Milton Bradley)" devices ())
(name "mbee" year "1982" manufacturer "Applied Technology" desc "Microbee 16k Standard" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "mbee128" year "1984" manufacturer "Applied Technology" desc "Microbee 128k Standard" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbee128p" year "1986" manufacturer "Microbee Systems" desc "Microbee 128k Premium" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbee256" year "1987" manufacturer "Microbee Systems" desc "Microbee 256TC" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbee56" year "1983" manufacturer "Applied Technology" desc "Microbee 64k" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbeeic" year "1983" manufacturer "Applied Technology" desc "Microbee 32k IC" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeepc" year "1984" manufacturer "Applied Technology" desc "Microbee 32k Communicator" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeepc85" year "1985" manufacturer "Applied Technology" desc "Microbee PC85" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeepc85b" year "1985" manufacturer "Microbee Systems" desc "Microbee PC85 (New version)" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeepc85s" year "1985" manufacturer "Applied Technology" desc "Microbee PC85 (Swedish)" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeepp" year "2012" manufacturer "Microbee Systems" desc "Microbee Premium Plus+" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mbeeppc" year "1986" manufacturer "Microbee Systems" desc "Microbee Premium PC85" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" ) (name "romimage7" briefname "rom7" )))
(name "mbeett" year "1986" manufacturer "Microbee Systems" desc "Microbee Teleterm" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "mbh1" year "1983" manufacturer "Hitachi" desc "MB-H1 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh1e" year "1984" manufacturer "Hitachi" desc "MB-H1E (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh2" year "1984" manufacturer "Hitachi" desc "MB-H2 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh25" year "1988" manufacturer "Hitachi" desc "MB-H25 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh3" year "1985" manufacturer "Hitachi" desc "MB-H3 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh50" year "1986" manufacturer "Hitachi" desc "MB-H50 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbh70" year "1986" manufacturer "Hitachi" desc "MB-H70 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mbomberj" year "1993" manufacturer "Capcom" desc "Muscle Bomber: The Body Explosion (Japan 930713)" devices ())
(name "mbombrd" year "1993" manufacturer "Capcom" desc "Muscle Bomber Duo: Ultimate Team Battle (World 931206)" devices ())
(name "mbombrdj" year "1993" manufacturer "Capcom" desc "Muscle Bomber Duo: Heat Up Warriors (Japan 931206)" devices ())
(name "mbossy" year "1982" manufacturer "Game Plan" desc "Mike Bossy" devices ())
(name "mbrush" year "1981" manufacturer "bootleg (Olympia)" desc "Magic Brush (bootleg of Crush Roller)" devices ())
(name "mbs2euro" year "2002" manufacturer "Auto-Data Graz" desc "Mega Bonus Star II (Euro, Millennium Edition)" devices ())
(name "mbutrfly" year "1999" manufacturer "Bordun International" desc "Magical Butterfly (version U350C, protected)" devices ())
(name "mc10" year "1983" manufacturer "Tandy Radio Shack" desc "MC-10" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "mc1000" year "1985" manufacturer "CCE" desc "MC-1000" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "mc1200" year "1980" manufacturer "Milwaukee Computers" desc "MC-1200" devices ())
(name "mc1502" year "1989" manufacturer "NPO Microprocessor" desc "Elektronika MS 1502" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mc1702" year "1990" manufacturer "<unknown>" desc "Elektronika MC-1702" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mc300" year "1988" manufacturer "Roland" desc "MC-300 Micro Composer" devices ((name "floppydisk" briefname "flop" )))
(name "mc50" year "1990" manufacturer "Roland" desc "MC-50 Micro Composer" devices ((name "floppydisk" briefname "flop" )))
(name "mc50mk2" year "1992" manufacturer "Roland" desc "MC-50mkII Micro Composer" devices ((name "floppydisk" briefname "flop" )))
(name "mc68000" year "1984" manufacturer "mc / Franzis Verlag" desc "mc-68000-Computer" devices ((name "printout" briefname "prin" )))
(name "mc7105" year "1983" manufacturer "Elektronika" desc "MC7105" devices ((name "bitbanger" briefname "bitb" )))
(name "mc8020" year "198?" manufacturer "VEB Elektronik Gera" desc "MC-80.21/22" devices ())
(name "mc8030" year "198?" manufacturer "VEB Elektronik Gera" desc "MC-80.30/31" devices ())
(name "mc_105te" year "200?" manufacturer "<unknown>" desc "2011 Super HiK 105 in 1 Turbo Edition" devices ())
(name "mc_110cb" year "200?" manufacturer "CoolBoy" desc "110 in 1 CoolBaby (CoolBoy RS-1S)" devices ())
(name "mc_138cb" year "200?" manufacturer "CoolBoy" desc "138 in 1 CoolBaby (CoolBoy RS-5, PCB060-10009011V1.3)" devices ())
(name "mc_7x6ss" year "200?" manufacturer "<unknown>" desc "777777 in 1 (8 bit Slim Station, NEWPXP-DVT22-A PCB)" devices ())
(name "mc_89in1" year "201?" manufacturer "<unknown>" desc "89 in 1 Mini Game Console (060-92023011V1.0)" devices ())
(name "mc_8x6cb" year "200?" manufacturer "CoolBoy" desc "888888 in 1 (Coolboy AEF-390)" devices ())
(name "mc_8x6ss" year "200?" manufacturer "<unknown>" desc "888888 in 1 (8 bit Slim Station, NEWPXP-DVT22-A PCB)" devices ())
(name "mc_9x6sa" year "200?" manufacturer "<unknown>" desc "999999 in 1 (8 bit Slim Station, NEWPXP-DVT22-A PCB)" devices ())
(name "mc_9x6ss" year "200?" manufacturer "<unknown>" desc "999999 in 1 (PXP2 Slim Station)" devices ())
(name "mc_aa2" year "200?" manufacturer "<unknown>" desc "100 in 1 Arcade Action II (AT-103)" devices ())
(name "mc_cb203" year "201?" manufacturer "Coolboy" desc "Coolboy RS-17 - 203 in 1" devices ())
(name "mc_cb280" year "201?" manufacturer "CoolBoy" desc "Coolboy RS-18 (280 in 1)" devices ())
(name "mc_dcat8" year "2004" manufacturer "<unknown>" desc "100 in 1 (D-CAT8 8bit Console, set 1) (v5.01.11-frd, BL 20041217)" devices ())
(name "mc_dcat8a" year "2004" manufacturer "<unknown>" desc "100 in 1 (D-CAT8 8bit Console, set 2)" devices ())
(name "mc_dg101" year "200?" manufacturer "dreamGEAR" desc "dreamGEAR 101 in 1" devices ())
(name "mc_dgear" year "200?" manufacturer "dreamGEAR" desc "dreamGEAR 75-in-1" devices ())
(name "mc_hh210" year "201?" manufacturer "<unknown>" desc "Handheld 210 in 1" devices ())
(name "mc_sam60" year "200?" manufacturer "Hummer Technology Co., Ltd." desc "Samuri (60 in 1)" devices ())
(name "mc_sp69" year "200?" manufacturer "<unknown>" desc "Sports Game 69 in 1" devices ())
(name "mc_tv200" year "201?" manufacturer "Thumbs Up" desc "200 in 1 Retro TV Game" devices ())
(name "mcard_h8" year "200?" manufacturer "<unknown>" desc "Magic Card (H8, English)" devices ())
(name "mcastle" year "1984" manufacturer "Zaccaria" desc "Magic Castle" devices ())
(name "mcastlef" year "1984" manufacturer "Zaccaria" desc "Magic Castle (French speech)" devices ())
(name "mcastleg" year "1984" manufacturer "Zaccaria" desc "Magic Castle (German speech)" devices ())
(name "mcastlei" year "1984" manufacturer "Zaccaria" desc "Magic Castle (Italian speech)" devices ())
(name "mcatadv" year "1993" manufacturer "Wintechno" desc "Magical Cat Adventure" devices ())
(name "mcatadvj" year "1993" manufacturer "Wintechno" desc "Magical Cat Adventure (Japan)" devices ())
(name "mcb216" year "1979" manufacturer "Cromemco" desc "MCB-216" devices ())
(name "mccpm" year "1981" manufacturer "GRAF Elektronik Systeme GmbH" desc "mc-CP/M-Computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mchampdx" year "2000" manufacturer "ESD" desc "Multi Champ Deluxe (ver. 0106, 06/01/2000)" devices ())
(name "mchampdxa" year "1999" manufacturer "ESD" desc "Multi Champ Deluxe (ver. 1126, 26/11/1999)" devices ())
(name "mchampdxb" year "1999" manufacturer "ESD" desc "Multi Champ Deluxe (ver. 1114, 14/11/1999)" devices ())
(name "mcheonru" year "1999" manufacturer "SemiCom / AceVer" desc "Ma Cheon Ru" devices ())
(name "mchess" year "1980" manufacturer "Mattel Electronics / Teletape Productions" desc "Computer Chess (Mattel)" devices ())
(name "mchilli" year "2008" manufacturer "Aristocrat" desc "More Chilli (20248711, NSW/ACT)" devices ())
(name "mchilliq" year "2010" manufacturer "Aristocrat" desc "More Chilli (20289311, Queensland)" devices ())
(name "mcircus" year "2009" manufacturer "Amcoe" desc "Merry Circus (Version 1.0.2)" devices ())
(name "mcitylov" year "1986" manufacturer "Nichibutsu" desc "City Love (Japan 860904, medal)" devices ())
(name "mclass" year "200?" manufacturer "<unknown>" desc "Magic Class (Ver 2.2)" devices ())
(name "mcm70" year "1974" manufacturer "Micro Computer Machines" desc "MCM/70" devices ())
(name "mcnpshnt" year "1990" manufacturer "Dynax" desc "Mahjong Campus Hunting (Japan)" devices ())
(name "mcolors" year "1999" manufacturer "ABM Games" desc "Magic Colors (ver. 1.7a)" devices ())
(name "mcolorsa" year "1999" manufacturer "ABM Games" desc "Magic Colors (ver. 1.6)" devices ())
(name "mcom4_02" year "2002" manufacturer "Ultratec" desc "Minicom IV (2002-04-19)" devices ())
(name "mcombat" year "1980" manufacturer "bootleg (Videotron)" desc "Missile Combat (Videotron bootleg, set 1)" devices ())
(name "mcombata" year "1980" manufacturer "bootleg (Videotron)" desc "Missile Combat (Videotron bootleg, set 2)" devices ())
(name "mcombats" year "1980" manufacturer "bootleg (Sidam)" desc "Missile Combat (Sidam bootleg)" devices ())
(name "mcompgin" year "1979" manufacturer "Mattel Electronics" desc "Computer Gin" devices ())
(name "mcontest" year "1989" manufacturer "Nichibutsu" desc "Miss Mahjong Contest (Japan)" devices ())
(name "mcwars" year "1979" manufacturer "bootleg" desc "Macro-Cosm Wars (bootleg of Galaxian)" devices ())
(name "md2" year "1982" manufacturer "Morrow Designs" desc "Micro Decision MD-2" devices ((name "floppydisk" briefname "flop" )))
(name "md23do" year "199?" manufacturer "American Laser Games" desc "Mad Dog II: The Lost Gold (3DO hardware)" devices ((name "cdrom" briefname "cdrm" )))
(name "md3" year "1982" manufacturer "Morrow Designs" desc "Micro Decision MD-3" devices ((name "floppydisk" briefname "flop" )))
(name "md4duvc" year "199?" manufacturer "Aquarius System (ASI)" desc "MD-4DUV VER:2.1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "md6802" year "1983" manufacturer "Didact AB" desc "Mikrodator 6802" devices ())
(name "mdallas" year "1981" manufacturer "Mattel Electronics" desc "Dalla$ (J.R. handheld)" devices ())
(name "mdchoice" year "1983" manufacturer "Merit" desc "Dealer's Choice (E4A1)" devices ())
(name "mdhorse" year "1998" manufacturer "MOSS / Namco" desc "Derby Quiz My Dream Horse (Japan, MDH1/VER.A2)" devices ())
(name "mdisk" year "198?" manufacturer "mupid" desc "M-Disk Comp.-A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mdndclab" year "1980" manufacturer "Mattel Electronics" desc "Dungeons & Dragons: Computer Labyrinth Game" devices ())
(name "mdntmrdr" year "1984" manufacturer "Bally Midway" desc "Midnight Marauders (Gun game)" devices ())
(name "mdrawpkr" year "1984" manufacturer "Meyco Games, Inc." desc "Draw Poker - Joker's Wild (Standard)" devices ())
(name "mdrawpkra" year "1984" manufacturer "Meyco Games, Inc." desc "Draw Poker - Joker's Wild (02-11)" devices ())
(name "mdrink" year "2001" manufacturer "<unknown>" desc "Magic Drink (Ver 1.2)" devices ())
(name "mdt60" year "1983" manufacturer "Morrow Designs" desc "MDT 60 Video Display Terminal" devices ())
(name "mduckspa" year "199?" manufacturer "Cefa Toys" desc "Super Quique / Mega Duck (Spain)" devices ((name "cartridge" briefname "cart" )))
(name "mead4in1" year "1976" manufacturer "Meadows" desc "Meadows 4 in 1" devices ())
(name "mechatt" year "1989" manufacturer "SNK" desc "Mechanized Attack (World)" devices ())
(name "mechattj" year "1989" manufacturer "SNK" desc "Mechanized Attack (Japan)" devices ())
(name "mechattu" year "1989" manufacturer "SNK" desc "Mechanized Attack (US)" devices ())
(name "mechattu1" year "1989" manufacturer "SNK" desc "Mechanized Attack (US, Version 1, Single Player)" devices ())
(name "medalnt" year "2005" manufacturer "Namco" desc "Medal no Tatsujin Doki! Ooatari-Darake no Sugoroku Matsuri (MTL1 SPR0B)" devices ((name "cdrom" briefname "cdrm" )))
(name "medalnt2" year "2007" manufacturer "Namco" desc "Medal no Tatsujin 2 Atsumare! Go! Go! Sugoroku Sentai Don Ranger Five (MTA1 STMPR0A)" devices ((name "cdrom" briefname "cdrm" )))
(name "medalnta" year "2005" manufacturer "Namco" desc "Medal no Tatsujin Doki! Ooatari-Darake no Sugoroku Matsuri (MTL1 SPR0A)" devices ((name "cdrom" briefname "cdrm" )))
(name "medlanes" year "1977" manufacturer "Meadows Games, Inc." desc "Meadows Lanes" devices ())
(name "medusa" year "1981" manufacturer "Bally" desc "Medusa" devices ())
(name "mega4" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Mega IV (set 1)" devices ())
(name "mega4a" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Mega IV (set 2)" devices ())
(name "megaaton" year "1983" manufacturer "Playmatic" desc "Meg-Aaton" devices ())
(name "megaatona" year "1983" manufacturer "Playmatic" desc "Meg-Aaton (alternate set)" devices ())
(name "megablst" year "1989" manufacturer "Taito Corporation Japan" desc "Mega Blast (World)" devices ())
(name "megablstj" year "1989" manufacturer "Taito Corporation" desc "Mega Blast (Japan)" devices ())
(name "megablstu" year "1989" manufacturer "Taito America Corporation" desc "Mega Blast (US)" devices ())
(name "megacard" year "1993" manufacturer "Fun World" desc "Mega Card (Ver.0210, encrypted)" devices ())
(name "megacarda" year "1993" manufacturer "Fun World" desc "Mega Card (Ver.0053, encrypted)" devices ())
(name "megacd" year "1993" manufacturer "Sega" desc "Mega-CD (Europe, PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "megacd2" year "1993" manufacturer "Sega" desc "Mega-CD 2 (Europe, PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "megacd2j" year "1993" manufacturer "Sega" desc "Mega-CD 2 (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "megacda" year "1991" manufacturer "Sega" desc "Mega-CD (Asia, PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "megacdj" year "1991" manufacturer "Sega" desc "Mega-CD (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "megadble" year "1990" manufacturer "Blitz Systems Inc." desc "Mega Double Poker (Ver. 1.63 Espagnol)" devices ())
(name "megadblj" year "1990" manufacturer "Blitz Systems Inc." desc "Mega Double Poker Jackpot (Ver. 1.26)" devices ())
(name "megadon" year "1982" manufacturer "Epos Corporation (Photar Industries license)" desc "Megadon" devices ())
(name "megadpkr" year "1990" manufacturer "Blitz System" desc "Mega Double Poker (conversion kit, version 2.3 MD)" devices ())
(name "megadpkrb" year "1990" manufacturer "Blitz System" desc "Mega Double Poker (conversion kit, version 2.1 MD)" devices ())
(name "megadri4" year "2009" manufacturer "Tectoy (licensed from Sega)" desc "Mega Drive 4 / Guitar Idol (set 1)" devices ())
(name "megadri4a" year "2009" manufacturer "Tectoy (licensed from Sega)" desc "Mega Drive 4 / Guitar Idol (set 2)" devices ())
(name "megadrij" year "1988" manufacturer "Sega" desc "Mega Drive (Japan, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "megadriv" year "1990" manufacturer "Sega" desc "Mega Drive (Europe, PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "megaduck" year "1993" manufacturer "Welback Holdings (Timlex International) / Creatronic / Videojet / Cougar USA" desc "Mega Duck / Cougar Boy" devices ((name "cartridge" briefname "cart" )))
(name "megaforc" year "1984" manufacturer "Tehkan" desc "Mega Force (World)" devices ())
(name "megaforcu" year "1985" manufacturer "Tehkan (Video Ware license)" desc "Mega Force (US)" devices ())
(name "megajet" year "1993" manufacturer "Sega" desc "Mega Jet (Japan Mega Drive handheld)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "megakat" year "2002?" manufacturer "Novotech" desc "Mega Katok 2" devices ())
(name "megaline" year "1991" manufacturer "Fun World" desc "Mega Lines" devices ())
(name "megaman" year "1995" manufacturer "Capcom" desc "Mega Man: The Power Battle (CPS1, USA 951006)" devices ())
(name "megaman2" year "1996" manufacturer "Capcom" desc "Mega Man 2: The Power Fighters (USA 960708)" devices ())
(name "megaman2a" year "1996" manufacturer "Capcom" desc "Mega Man 2: The Power Fighters (Asia 960708)" devices ())
(name "megaman2h" year "1996" manufacturer "Capcom" desc "Mega Man 2: The Power Fighters (Hispanic 960712)" devices ())
(name "megamana" year "1995" manufacturer "Capcom" desc "Mega Man: The Power Battle (CPS1, Asia 951006)" devices ())
(name "megamn2d" year "1996" manufacturer "bootleg" desc "Mega Man 2: The Power Fighters (USA 960708 Phoenix Edition) (bootleg)" devices ())
(name "megapad" year "200?" manufacturer "Waixing" desc "Megapad 31-in-1" devices ())
(name "megapc" year "1993" manufacturer "Amstrad plc" desc "MegaPC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "megapcpl" year "199?" manufacturer "Amstrad plc" desc "MegaPC Plus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "megapcpla" year "199?" manufacturer "Amstrad plc" desc "MegaPC Plus (WINBUS chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "megaphx" year "1991" manufacturer "Dinamic / Inder" desc "Mega Phoenix" devices ())
(name "megast" year "1987" manufacturer "Atari" desc "MEGA ST (USA)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megast_de" year "1987" manufacturer "Atari" desc "MEGA ST (Germany)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megast_fr" year "1987" manufacturer "Atari" desc "MEGA ST (France)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megast_se" year "1987" manufacturer "Atari" desc "MEGA ST (Sweden)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megast_sg" year "1987" manufacturer "Atari" desc "MEGA ST (Switzerland)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megast_uk" year "1987" manufacturer "Atari" desc "MEGA ST (UK)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste" year "1991" manufacturer "Atari" desc "MEGA STe (USA)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_de" year "1991" manufacturer "Atari" desc "MEGA STe (Germany)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_es" year "1991" manufacturer "Atari" desc "MEGA STe (Spain)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_fr" year "1991" manufacturer "Atari" desc "MEGA STe (France)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_it" year "1991" manufacturer "Atari" desc "MEGA STe (Italy)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_se" year "1991" manufacturer "Atari" desc "MEGA STe (Sweden)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megaste_uk" year "1991" manufacturer "Atari" desc "MEGA STe (UK)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "megastrp" year "1992" manufacturer "Blitz Systems Inc." desc "Mega Double Strip (Ver. 1.10b)" devices ())
(name "megat" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch (9234-20-01 R0A)" devices ())
(name "megat2" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-01 R0G, Standard version)" devices ())
(name "megat2a" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-01 R0E, Standard version)" devices ())
(name "megat2b" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-01 R0D, Standard version)" devices ())
(name "megat2ca" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-06 R0G, California version)" devices ())
(name "megat2caa" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-06 R0E, California version)" devices ())
(name "megat2mn" year "1994" manufacturer "Merit" desc "Pit Boss Megatouch II (9255-10-02 R0G, Minnesota version)" devices ())
(name "megat3" year "1996" manufacturer "Merit" desc "Megatouch III (9255-20-01 R0N, Standard version)" devices ())
(name "megat3a" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-01 R0K, Standard version)" devices ())
(name "megat3b" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-01 R0F, Standard version)" devices ())
(name "megat3c" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-01 R0B, Standard version)" devices ())
(name "megat3ca" year "1996" manufacturer "Merit" desc "Megatouch III (9255-20-06 R0N, California version)" devices ())
(name "megat3caa" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-06 R0D, California version)" devices ())
(name "megat3d" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-01 R0A, Standard version)" devices ())
(name "megat3nj" year "1995" manufacturer "Merit" desc "Megatouch III (9255-20-07 R0G, New Jersey version)" devices ())
(name "megat3te" year "1996" manufacturer "Merit" desc "Megatouch III Tournament Edition (9255-30-01 R0E, Standard version)" devices ())
(name "megat3tg" year "1996" manufacturer "Merit" desc "Megatouch III Turnier Edition (9255-30-50 R0F, Bi-Lingual GER/ENG version)" devices ())
(name "megat4" year "1996" manufacturer "Merit" desc "Megatouch IV (9255-40-01 R0E, Standard version)" devices ())
(name "megat4a" year "1996" manufacturer "Merit" desc "Megatouch IV (9255-40-01 R0D, Standard version)" devices ())
(name "megat4b" year "1996" manufacturer "Merit" desc "Megatouch IV (9255-40-01 R0B, Standard version)" devices ())
(name "megat4c" year "1996" manufacturer "Merit" desc "Megatouch IV (9255-40-01 R0A, Standard version)" devices ())
(name "megat4d" year "1996" manufacturer "Merit" desc "Megatouch IV (9255-40-01 R0, Standard version)" devices ())
(name "megat4s" year "1996" manufacturer "Merit" desc "Super Megatouch IV (9255-41-01 R0G, Standard version)" devices ())
(name "megat4sa" year "1996" manufacturer "Merit" desc "Super Megatouch IV (9255-41-01 R0E, Standard version)" devices ())
(name "megat4sb" year "1996" manufacturer "Merit" desc "Super Megatouch IV (9255-41-01 R0C, Standard version)" devices ())
(name "megat4smn" year "1996" manufacturer "Merit" desc "Super Megatouch IV (9255-41-02 R0C, Minnesota version)" devices ())
(name "megat4snj" year "1996" manufacturer "Merit" desc "Super Megatouch IV (9255-41-07 R0G, New Jersey version)" devices ())
(name "megat4st" year "1996" manufacturer "Merit" desc "Super Megatouch IV Tournament Edition (9255-51-01 R0B, Standard version)" devices ())
(name "megat4stg" year "1996" manufacturer "Merit" desc "Super Megatouch IV Turnier Version (9255-51-50 R0A, Bi-Lingual GER/ENG version)" devices ())
(name "megat4te" year "1996" manufacturer "Merit" desc "Megatouch IV Tournament Edition (9255-50-01 R0D, Standard version)" devices ())
(name "megat4tea" year "1996" manufacturer "Merit" desc "Megatouch IV Tournament Edition (9255-50-01 R0A, Standard version)" devices ())
(name "megat5" year "1997" manufacturer "Merit" desc "Megatouch 5 (9255-60-01 R0I, Standard version)" devices ())
(name "megat5a" year "1997" manufacturer "Merit" desc "Megatouch 5 (9255-60-01 R0C, Standard version)" devices ())
(name "megat5g" year "1998" manufacturer "Merit" desc "Megatouch 5 (9255-60-50 R0G, Bi-Lingual GER/ENG version)" devices ())
(name "megat5nj" year "1998" manufacturer "Merit" desc "Megatouch 5 (9255-60-07 R0N, New Jersey version)" devices ())
(name "megat5t" year "1998" manufacturer "Merit" desc "Megatouch 5 Tournament Edition (9255-70-01 R0C, Standard version)" devices ())
(name "megat5tg" year "1998" manufacturer "Merit" desc "Megatouch 5 Turnier Version (9255-70-50 R0D, Bi-Lingual GER/ENG version)" devices ())
(name "megat6" year "1998" manufacturer "Merit" desc "Megatouch 6 (9255-80-01 R0A, Standard version)" devices ())
(name "megat7e" year "2000" manufacturer "Merit" desc "Megatouch 7 Encore Edition (9255-90-01 R00, Standard version)" devices ())
(name "megatack" year "1980" manufacturer "Centuri (Game Plan license)" desc "Megatack (set 1)" devices ())
(name "megatacka" year "1980" manufacturer "Centuri (Game Plan license)" desc "Megatack (set 2)" devices ())
(name "megatrix" year "2007" manufacturer "<unknown>" desc "MeGaTrix (Spain)" devices ())
(name "megazone" year "1983" manufacturer "Konami" desc "Mega Zone (program code L)" devices ())
(name "megazonea" year "1983" manufacturer "Konami (Interlogic / Kosuka license)" desc "Mega Zone (unknown program code 1)" devices ())
(name "megazoneb" year "1983" manufacturer "Konami" desc "Mega Zone (unknown program code 2)" devices ())
(name "megazoneh" year "1983" manufacturer "Konami (Kosuka license)" desc "Mega Zone (program code H)" devices ())
(name "megazonei" year "1983" manufacturer "Konami" desc "Mega Zone (program code I)" devices ())
(name "megazonej" year "1983" manufacturer "Konami (Interlogic / Kosuka license)" desc "Mega Zone (program code J)" devices ())
(name "megrescu" year "1987" manufacturer "Sega / Exa" desc "Megumi Rescue" devices ())
(name "meijinsn" year "1986" manufacturer "SNK" desc "Meijinsen (set 1)" devices ())
(name "meijinsna" year "1986" manufacturer "SNK" desc "Meijinsen (set 2)" devices ())
(name "meikyuh" year "1987" manufacturer "Data East Corporation" desc "Meikyuu Hunter G (Japan)" devices ())
(name "meikyuhbl" year "1987" manufacturer "Data East Corporation" desc "Meikyuu Hunter G (Japan, bootleg)" devices ())
(name "mekd1" year "1975" manufacturer "Motorola" desc "MEK6800D1" devices ())
(name "mekd2" year "1977" manufacturer "Motorola" desc "MEK6800D2" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "mekd3" year "1978" manufacturer "Motorola" desc "MEK6802D3" devices ((name "cassette" briefname "cass" )))
(name "mekd4" year "1980" manufacturer "Motorola" desc "MEK6802D4" devices ((name "cassette" briefname "cass" )))
(name "mekd5" year "1980" manufacturer "Motorola" desc "MEK6802D5" devices ((name "cassette" briefname "cass" )))
(name "melodym" year "1980" manufacturer "GAF" desc "Melody Madness" devices ())
(name "meltyb" year "2006" manufacturer "Ecole Software" desc "Melty Blood Act Cadenza Version B2 (Japan) (GDL-0039A)" devices ((name "cdrom" briefname "cdrm" )))
(name "meltybld" year "2005" manufacturer "Ecole Software" desc "Melty Blood Act Cadenza Ver. A (Japan) (GDL-0028C)" devices ((name "cdrom" briefname "cdrm" )))
(name "meltyblo" year "2005" manufacturer "Ecole Software" desc "Melty Blood Act Cadenza (Japan) (GDL-0028)" devices ((name "cdrom" briefname "cdrm" )))
(name "meltybo" year "2006" manufacturer "Ecole Software" desc "Melty Blood Act Cadenza Version B (Japan) (GDL-0039)" devices ((name "cdrom" briefname "cdrm" )))
(name "memlane" year "1978" manufacturer "Stern" desc "Memory Lane" devices ())
(name "memoquiz" year "1978" manufacturer "M.E.M. Belgium" desc "Memoquiz" devices ())
(name "menghong" year "2004?" manufacturer "Sealy" desc "Meng Hong Lou" devices ())
(name "mentor16" year "1989" manufacturer "Novag Industries" desc "Mentor 16" devices ())
(name "meosism" year "1996?" manufacturer "Sammy" desc "Meosis Magic (Japan)" devices ())
(name "mephisto" year "1980" manufacturer "Hegener + Glaser" desc "Mephisto" devices ())
(name "mephisto1x" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto 1X" devices ())
(name "mephisto2" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto II (set 1)" devices ())
(name "mephisto2a" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto II (set 2)" devices ())
(name "mephisto2b" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto II (set 3)" devices ())
(name "mephisto3" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto III (set 1)" devices ())
(name "mephisto3a" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto III (set 2)" devices ())
(name "mephisto3b" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto III (set 3)" devices ())
(name "mephisto3c" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto III (set 4)" devices ())
(name "mephistoe2" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto ESB II (ESB 6000 board)" devices ())
(name "mephistoe2a" year "1981" manufacturer "Hegener + Glaser" desc "Mephisto ESB II (ESB II board)" devices ())
(name "mephistoj" year "1982" manufacturer "Hegener + Glaser" desc "Mephisto Junior (1982 version)" devices ())
(name "mephistp" year "1987" manufacturer "Stargame" desc "Mephisto (Stargame) (rev. 1.2)" devices ())
(name "mephistp1" year "1987" manufacturer "Stargame" desc "Mephisto (Stargame) (rev. 1.1)" devices ())
(name "mephistpn" year "1987" manufacturer "Stargame" desc "Mephisto (Stargame) (newer?)" devices ())
(name "mercenario" year "1985" manufacturer "bootleg" desc "Mercenario (bootleg of Commando)" devices ())
(name "mercs" year "1990" manufacturer "Capcom" desc "Mercs (World 900302)" devices ())
(name "mercsj" year "1990" manufacturer "Capcom" desc "Senjou no Ookami II (Japan 900302)" devices ())
(name "mercsu" year "1990" manufacturer "Capcom" desc "Mercs (USA 900608)" devices ())
(name "mercsur1" year "1990" manufacturer "Capcom" desc "Mercs (USA 900302)" devices ())
(name "meritjp" year "1988" manufacturer "Merit" desc "Merit Joker Poker (9131-09)" devices ())
(name "meritum1" year "1983" manufacturer "Mera-Elzab" desc "Meritum I (Model 1)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "meritum2" year "1985" manufacturer "Mera-Elzab" desc "Meritum I (Model 2)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "meritum_net" year "1985" manufacturer "Mera-Elzab" desc "Meritum I (Model 2) (network)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "merlin" year "1978" manufacturer "Parker Brothers" desc "Merlin: The Electronic Wizard" devices ())
(name "merlinmm" year "1986" manufacturer "Zilec-Zenitone" desc "Merlins Money Maze" devices ())
(name "mermaid" year "1982" manufacturer "Sanritsu / Rock-Ola" desc "Mermaid" devices ())
(name "merryjn" year "2004" manufacturer "Belatra" desc "Merry Joiner" devices ())
(name "mes" year "198?" manufacturer "Schleicher" desc "MES" devices ())
(name "metabee" year "2001" manufacturer "Natsume / Banpresto" desc "Metabee Shot" devices ())
(name "metafox" year "1989" manufacturer "Jordan I.S. / Seta" desc "Meta Fox" devices ())
(name "metalb" year "1991" manufacturer "Taito Corporation Japan" desc "Metal Black (World)" devices ())
(name "metalbj" year "1991" manufacturer "Taito Corporation" desc "Metal Black (Japan)" devices ())
(name "metalman" year "1992" manufacturer "Inder" desc "Metal Man" devices ())
(name "metalmx" year "1994" manufacturer "Atari Games" desc "Metal Maniax (prototype)" devices ())
(name "metamaq2" year "2012" manufacturer "Metamaquina" desc "Metamaquina 2 desktop 3d printer" devices ())
(name "metamrph" year "1993" manufacturer "Konami" desc "Metamorphic Force (ver EAA)" devices ())
(name "metamrpha" year "1993" manufacturer "Konami" desc "Metamorphic Force (ver AAA)" devices ())
(name "metamrphe" year "1993" manufacturer "Konami" desc "Metamorphic Force (ver EAA - alternate)" devices ())
(name "metamrphj" year "1993" manufacturer "Konami" desc "Metamorphic Force (ver JAA)" devices ())
(name "metamrphu" year "1993" manufacturer "Konami" desc "Metamorphic Force (ver UAA)" devices ())
(name "meteor" year "1981" manufacturer "Venture Line" desc "Meteoroids" devices ())
(name "meteora" year "1980?" manufacturer "bootleg (Alca)" desc "Meteor (Alca bootleg of Moon Cresta)" devices ())
(name "meteorbl" year "1979" manufacturer "bootleg" desc "Meteor (bootleg of Asteroids)" devices ())
(name "meteorho" year "1979" manufacturer "bootleg (Hoei)" desc "Meteor (Hoei bootleg of Asteroids)" devices ())
(name "meteorite" year "1979" manufacturer "bootleg (Proel)" desc "Meteorite (Proel bootleg of Asteroids)" devices ())
(name "meteorp" year "1979" manufacturer "Stern" desc "Meteor (Bug fix release)" devices ())
(name "meteorpo" year "1979" manufacturer "Stern" desc "Meteor (First release)" devices ())
(name "meteors" year "19??" manufacturer "Amusement World" desc "Meteors" devices ())
(name "meteort" year "1980" manufacturer "Taito do Brasil" desc "Meteor (Taito)" devices ())
(name "meteorts" year "1979" manufacturer "bootleg (VGG)" desc "Meteorites (VGG bootleg of Asteroids)" devices ())
(name "metestrm" year "2007" manufacturer "Aristocrat" desc "Meteor Storm (0152162, US)" devices ())
(name "metlclsh" year "1985" manufacturer "Data East Corporation" desc "Metal Clash (Japan)" devices ())
(name "metlfrzr" year "1989" manufacturer "Seibu Kaihatsu" desc "Metal Freezer (Japan)" devices ())
(name "metlhawk" year "1988" manufacturer "Namco" desc "Metal Hawk (Rev C)" devices ())
(name "metlhawkj" year "1988" manufacturer "Namco" desc "Metal Hawk (Japan, Rev F)" devices ())
(name "metlsavr" year "1994" manufacturer "First Amusement" desc "Metal Saver" devices ())
(name "metmqstr" year "1995" manufacturer "Banpresto / Pandorabox" desc "Metamoqester (World)" devices ())
(name "metrocrs" year "1985" manufacturer "Namco" desc "Metro-Cross (set 1)" devices ())
(name "metrocrsa" year "1985" manufacturer "Namco" desc "Metro-Cross (set 2)" devices ())
(name "mexico" year "1986" manufacturer "Zaccaria" desc "Mexico 86 (German speech)" devices ())
(name "mexico86" year "1986" manufacturer "bootleg" desc "Mexico 86 (bootleg of Kick and Run, set 1)" devices ())
(name "mexico86a" year "1986" manufacturer "bootleg" desc "Mexico 86 (bootleg of Kick and Run, set 2)" devices ())
(name "mexicoi" year "1986" manufacturer "Zaccaria" desc "Mexico 86 (Italian speech)" devices ())
(name "mf_achas" year "1982" manufacturer "Exidy / First Star Software" desc "Astro Chase (Max-A-Flex)" devices ())
(name "mf_bdash" year "1984" manufacturer "Exidy / First Star Software" desc "Boulder Dash (Max-A-Flex)" devices ())
(name "mf_brist" year "1983" manufacturer "Exidy / First Star Software" desc "Bristles (Max-A-Flex)" devices ())
(name "mf_flip" year "1983" manufacturer "Exidy / First Star Software" desc "Flip & Flop (Max-A-Flex)" devices ())
(name "mfabfz" year "1979" manufacturer "Berufsfoerdungszentrum Essen" desc "Mikrocomputer fuer Ausbildung" devices ((name "cassette" briefname "cass" )))
(name "mfabfz85" year "1979" manufacturer "Berufsfoerdungszentrum Essen" desc "Mikrocomputer fuer Ausbildung MAT85" devices ((name "cassette" briefname "cass" )))
(name "mfightc" year "2002" manufacturer "Konami" desc "Mahjong Fight Club (ver JAD)" devices ((name "harddisk" briefname "hard" )))
(name "mfightcc" year "2002" manufacturer "Konami" desc "Mahjong Fight Club (ver JAC)" devices ((name "harddisk" briefname "hard" )))
(name "mfish" year "2002" manufacturer "Igrosoft" desc "Multi Fish (021120)" devices ())
(name "mfish_10" year "2002" manufacturer "Igrosoft" desc "Multi Fish (031117)" devices ())
(name "mfish_11" year "2002" manufacturer "Igrosoft" desc "Multi Fish (031124)" devices ())
(name "mfish_12" year "2002" manufacturer "Igrosoft" desc "Multi Fish (040308)" devices ())
(name "mfish_12a" year "2002" manufacturer "bootleg" desc "Multi Fish (bootleg, 040308, banking address hack)" devices ())
(name "mfish_13" year "2002" manufacturer "Igrosoft" desc "Multi Fish (040316)" devices ())
(name "mfish_2" year "2002" manufacturer "Igrosoft" desc "Multi Fish (021121)" devices ())
(name "mfish_3" year "2002" manufacturer "Igrosoft" desc "Multi Fish (021124)" devices ())
(name "mfish_3a" year "2002" manufacturer "bootleg" desc "Multi Fish (bootleg, 021124, banking address hack)" devices ())
(name "mfish_4" year "2002" manufacturer "Igrosoft" desc "Multi Fish (021219)" devices ())
(name "mfish_5" year "2002" manufacturer "Igrosoft" desc "Multi Fish (021227)" devices ())
(name "mfish_6" year "2002" manufacturer "Igrosoft" desc "Multi Fish (030124)" devices ())
(name "mfish_7" year "2002" manufacturer "Igrosoft" desc "Multi Fish (030511)" devices ())
(name "mfish_8" year "2002" manufacturer "Igrosoft" desc "Multi Fish (030522)" devices ())
(name "mfish_9" year "2002" manufacturer "Igrosoft" desc "Multi Fish (031026)" devices ())
(name "mfjump" year "2001" manufacturer "Tecmo" desc "Monster Farm Jump (Japan)" devices ())
(name "mfleappad" year "2002" manufacturer "LeapFrog" desc "My First LeapPad" devices ((name "cartridge" briefname "cart" )))
(name "mfootb" year "1977" manufacturer "Mattel Electronics" desc "Football (Mattel)" devices ())
(name "mfootb2" year "1978" manufacturer "Mattel Electronics" desc "Football 2 (Mattel)" devices ())
(name "mfunclub" year "1989" manufacturer "Video System Co." desc "Mahjong Fun Club - Idol Saizensen (Japan)" devices ())
(name "mg1" year "1984" manufacturer "Whitechapel Computer Works" desc "MG-1" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "mg_alad" year "199?" manufacturer "Maygay" desc "Aladdin's Cave (Maygay M2)" devices ())
(name "mg_bb" year "199?" manufacturer "Maygay" desc "Big Break (Maygay M2)" devices ())
(name "mg_ewg" year "199?" manufacturer "Maygay" desc "Each Way Gambler (Maygay M2)" devices ())
(name "mg_gbr" year "199?" manufacturer "Maygay" desc "Guinness Book Of Records (Maygay M2)" devices ())
(name "mg_jv" year "199?" manufacturer "Maygay" desc "Jack & Vera (Maygay M2)" devices ())
(name "mg_kf" year "199?" manufacturer "Maygay" desc "Krypton Factor (Maygay M2)" devices ())
(name "mg_lug" year "199?" manufacturer "Maygay" desc "London Underground (Maygay M2)" devices ())
(name "mg_pbw" year "199?" manufacturer "Maygay" desc "Pinball Wizard (Maygay M2)" devices ())
(name "mg_risk" year "199?" manufacturer "Maygay" desc "Risk (Maygay M2)" devices ())
(name "mg_scl" year "199?" manufacturer "Maygay" desc "Super Clue (Maygay M2)" devices ())
(name "mgakuen" year "1988" manufacturer "Yuga" desc "Mahjong Gakuen" devices ())
(name "mgakuen2" year "1989" manufacturer "Face" desc "Mahjong Gakuen 2 Gakuen-chou no Fukushuu" devices ())
(name "mgames" year "1981" manufacturer "Merit" desc "Match Games" devices ())
(name "mgarden" year "1997" manufacturer "Aristocrat" desc "Magic Garden (AHG1211-99, US)" devices ())
(name "mgavegas" year "1985" manufacturer "MGA" desc "Vegas 1 (Ver 2.3 dual coin pulse, shorter)" devices ())
(name "mgavegas133" year "1985" manufacturer "MGA" desc "Vegas 1 (Ver 1.33 single coin pulse)" devices ())
(name "mgavegas21" year "1985" manufacturer "MGA" desc "Vegas 1 (Ver 2.1 dual coin pulse, longer)" devices ())
(name "mgcldate" year "1996" manufacturer "Taito" desc "Magical Date / Magical Date - Dokidoki Kokuhaku Daisakusen (Ver 2.02J)" devices ())
(name "mgcldtex" year "1997" manufacturer "Taito" desc "Magical Date EX / Magical Date - Sotsugyou Kokuhaku Daisakusen (Ver 2.01J)" devices ())
(name "mgcrystl" year "1991" manufacturer "Kaneko" desc "Magical Crystals (World, 92/01/10)" devices ())
(name "mgcrystlj" year "1991" manufacturer "Kaneko (Atlus license)" desc "Magical Crystals (Japan, 92/01/13)" devices ())
(name "mgcrystlo" year "1991" manufacturer "Kaneko" desc "Magical Crystals (World, 91/12/10)" devices ())
(name "mgcs" year "1998" manufacturer "IGS" desc "Manguan Caishen (China, V103CS)" devices ())
(name "mgcs3" year "2007" manufacturer "IGS" desc "Man Guan Caishen 3 (V101CN)" devices ())
(name "mgdh" year "1997" manufacturer "IGS" desc "Manguan Daheng (Taiwan, V125T1)" devices ())
(name "mgdha" year "1997" manufacturer "IGS" desc "Manguan Daheng (Taiwan, V123T1)" devices ())
(name "mgfx" year "2000" manufacturer "IGS" desc "Man Guan Fu Xing" devices ())
(name "mghammer" year "2015" manufacturer "IGS / Enheart" desc "Medal Get Hammer (V100JP)" devices ())
(name "mgion" year "1989" manufacturer "Nichibutsu" desc "Gionbana (Japan 890207, medal)" devices ())
(name "mgmen89" year "1989" manufacturer "Nichibutsu" desc "Mahjong G-MEN'89 (Japan 890425)" devices ())
(name "mgnumber" year "1995" manufacturer "CD Express" desc "Magic Number" devices ((name "cdrom" briefname "cdrm" )))
(name "mgolf" year "1978" manufacturer "Atari" desc "Mini Golf (Atari, prototype)" devices ())
(name "mgprem11" year "1996" manufacturer "CD Express" desc "Magic Premium (v1.1)" devices ((name "cdrom" briefname "cdrm" )))
(name "mgt20in1" year "2009" manufacturer "MGT" desc "MGT 20-in-1 TV-Spielekonsole (Germany)" devices ())
(name "mgtfit" year "200?" manufacturer "MGT" desc "Fitness Konsole (NC1470)" devices ())
(name "mgzz" year "2003" manufacturer "IGS" desc "Man Guan Zhi Zun (V100CN)" devices ())
(name "mhavoc" year "1983" manufacturer "Atari" desc "Major Havoc (rev 3)" devices ())
(name "mhavoc2" year "1983" manufacturer "Atari" desc "Major Havoc (rev 2)" devices ())
(name "mhavocp" year "1983" manufacturer "Atari" desc "Major Havoc (prototype)" devices ())
(name "mhavocrv" year "2006" manufacturer "hack (JMA)" desc "Major Havoc - Return to Vax" devices ())
(name "mhgaiden" year "1987" manufacturer "Home Data" desc "Mahjong Hourouki Gaiden (Japan)" devices ())
(name "mhhonban" year "1994" manufacturer "Nichibutsu" desc "Mahjong Housoukyoku Honbanchuu (Japan)" devices ())
(name "mhockey" year "1978" manufacturer "Mattel Electronics" desc "Hockey (Mattel, US version)" devices ())
(name "mhockeya" year "1978" manufacturer "Mattel Electronics" desc "Hockey (Mattel, export version)" devices ())
(name "mia" year "1989" manufacturer "Konami" desc "M.I.A. - Missing in Action (version T)" devices ())
(name "mia2" year "1989" manufacturer "Konami" desc "M.I.A. - Missing in Action (version S)" devices ())
(name "miaction" year "199?" manufacturer "Vegas" desc "Missing In Action" devices ())
(name "miaj" year "1989" manufacturer "Konami" desc "M.I.A. - Missing in Action (version R) (Japan)" devices ())
(name "mice2_6502" year "1987" manufacturer "Microtek International" desc "MICE-II 6502 (Rev-F)" devices ())
(name "mice2_6809" year "1987" manufacturer "Microtek International" desc "MICE-II 6809(E) (Rev-L)" devices ())
(name "mice2_8085" year "1987" manufacturer "Microtek International" desc "MICE-II 8085 (Rev-M)" devices ())
(name "mice2_z80" year "1984" manufacturer "Microtek International" desc "MICE-II Z80 (Rev-F)" devices ())
(name "mice_6502" year "1981" manufacturer "Microtek International" desc "MICE 6502 (Rev-A)" devices ())
(name "michigan" year "19??" manufacturer "Splin" desc "Michigan (Bingo)" devices ())
(name "michkit1" year "19??" manufacturer "Splin" desc "Michigan Bingo Kit 1 Generation (Bingo)" devices ())
(name "michkitb" year "19??" manufacturer "Splin" desc "Michigan Kit Bingo Stake 6/10 (Bingo)" devices ())
(name "michnew" year "19??" manufacturer "Splin" desc "Michigan Bingo New (Bingo)" devices ())
(name "michstake" year "19??" manufacturer "Splin" desc "Michigan Bingo Stake 6/10 (Bingo)" devices ())
(name "micon2" year "1978" manufacturer "SNK" desc "Micon-Kit Part II" devices ())
(name "micral" year "1981" manufacturer "Bull R2E" desc "Micral 80-22G" devices ())
(name "micral45" year "199?" manufacturer "Bull" desc "Micral 45" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "micro20" year "1984" manufacturer "GMX" desc "Micro 20" devices ())
(name "micro88" year "2017" manufacturer "Sergey Kiselev" desc "Micro 8088" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "microeng" year "1982" manufacturer "Spectrum Eletronica (SCOPUS)" desc "Micro Engenho" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "microkit" year "1975" manufacturer "RCA" desc "COSMAC Microkit" devices ())
(name "microkorg" year "2002" manufacturer "Korg" desc "microKORG Synthesizer/Vocoder" devices ())
(name "micrombc" year "1999" manufacturer "Sega" desc "Microman Battle Charge (J 990326 V1.000)" devices ())
(name "micromon7141" year "1995?" manufacturer "Kontron Instruments" desc "Micromon 7141 ECG unit" devices ())
(name "micron" year "1980" manufacturer "Tangerine" desc "Micron" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" )))
(name "micronic" year "1987" manufacturer "Victor Micronic" desc "Micronic 1000" devices ())
(name "microtrol" year "1985" manufacturer "Microtrol" desc "unknown Microtrol portable computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "microvsn" year "1979" manufacturer "Milton Bradley" desc "Microvision" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "midearth" year "1978" manufacturer "Atari" desc "Middle Earth" devices ())
(name "mideartha" year "1978" manufacturer "Atari" desc "Middle Earth (alternate)" devices ())
(name "midnrun" year "1995" manufacturer "Konami" desc "Midnight Run: Road Fighter 2 (EAA, Euro v1.11)" devices ())
(name "midnruna" year "1995" manufacturer "Konami" desc "Midnight Run: Road Fighter 2 (AAA, Asia v1.10, older sound program)" devices ())
(name "midnruna2" year "1995" manufacturer "Konami" desc "Midnight Run: Road Fighter 2 (AAA, Asia v1.10, newer sound program)" devices ())
(name "midnrunj" year "1995" manufacturer "Konami" desc "Midnight Run: Road Fighter 2 (JAD, Japan v1.10)" devices ())
(name "midres" year "1989" manufacturer "Data East Corporation" desc "Midnight Resistance (World, set 1)" devices ())
(name "midres2" year "1989" manufacturer "Data East Corporation" desc "Midnight Resistance (World, set 2)" devices ())
(name "midresb" year "1989" manufacturer "bootleg" desc "Midnight Resistance (bootleg with 68705)" devices ())
(name "midresbj" year "1989" manufacturer "bootleg" desc "Midnight Resistance (Joystick bootleg)" devices ())
(name "midresj" year "1989" manufacturer "Data East Corporation" desc "Midnight Resistance (Japan)" devices ())
(name "midresu" year "1989" manufacturer "Data East USA" desc "Midnight Resistance (US)" devices ())
(name "miexchng" year "1997" manufacturer "Face" desc "Money Puzzle Exchanger / Money Idol Exchanger" devices ((name "memcard" briefname "memc" ) ()))
(name "mightguy" year "1986" manufacturer "Nichibutsu" desc "Mighty Guy" devices ())
(name "mightyframe" year "1985?" manufacturer "Convergent Technologies" desc "Mightyframe" devices ())
(name "mijx30gp" year "199?" manufacturer "Micronics" desc "JX30GP, Motherboard P/N: 09-00189-10 REV B1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mikie" year "1984" manufacturer "Konami" desc "Mikie" devices ())
(name "mikiehs" year "1984" manufacturer "Konami" desc "Mikie (High School Graffiti)" devices ())
(name "mikiej" year "1984" manufacturer "Konami" desc "Shinnyuushain Tooru-kun" devices ())
(name "mikiek" year "1984" manufacturer "bootleg" desc "Shin-ip Sawon - Seok Dol-i" devices ())
(name "mikro80" year "1983" manufacturer "<unknown>" desc "Mikro-80" devices ((name "cassette" briefname "cass" )))
(name "mikrolab" year "19??" manufacturer "<unknown>" desc "Mikrolab KR580IK80" devices ())
(name "mikron2" year "1986" manufacturer "<unknown>" desc "Mikron-2" devices ((name "cassette" briefname "cass" )))
(name "mikrosha" year "1987" manufacturer "Lianozovo Electromechanical Factory" desc "Mikrosha" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "mil4000" year "2000" manufacturer "Sure Milano" desc "Millennium Nuovo 4000 (Version 2.0)" devices ())
(name "mil4000a" year "2000" manufacturer "Sure Milano" desc "Millennium Nuovo 4000 (Version 1.8)" devices ())
(name "mil4000b" year "2000" manufacturer "Sure Milano" desc "Millennium Nuovo 4000 (Version 1.5)" devices ())
(name "mil4000c" year "2000" manufacturer "Sure Milano" desc "Millennium Nuovo 4000 (Version 1.6)" devices ())
(name "milano" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto Milano (v1.02)" devices ())
(name "milanoa" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto Milano (v1.01)" devices ())
(name "milkin" year "2007" manufacturer "Aristocrat" desc "Milkin' It (10251911, NSW/ACT)" devices ())
(name "millipdd" year "1989" manufacturer "hack (Two-Bit Score)" desc "Millipede Dux (hack)" devices ())
(name "milliped" year "1982" manufacturer "Atari" desc "Millipede" devices ())
(name "milln_l3" year "1987" manufacturer "Williams" desc "Millionaire (L-3)" devices ())
(name "millpac" year "1980" manufacturer "bootleg? (Valadon Automation)" desc "Millpac (bootleg of Centipede)" devices ())
(name "millsun" year "200?" manufacturer "<unknown>" desc "Millennium Sun" devices ())
(name "milton" year "1980" manufacturer "Milton Bradley" desc "Electronic Milton" devices ())
(name "mimonkey" year "1982" manufacturer "Universal Video Games" desc "Mighty Monkey" devices ())
(name "mimonkeyug" year "1983" manufacturer "bootleg (U.Games)" desc "Mighty Monkey (U.Games bootleg)" devices ())
(name "mimonsco" year "1982" manufacturer "bootleg" desc "Mighty Monkey (bootleg on Super Cobra hardware)" devices ())
(name "mimonscr" year "1982" manufacturer "bootleg" desc "Mighty Monkey (bootleg on Scramble hardware)" devices ())
(name "mimonscra" year "1982" manufacturer "bootleg (Kaina Games)" desc "Mighty Monkey (Kaina Games, bootleg on Scramble hardware)" devices ())
(name "minasan" year "1990" manufacturer "Monolith Corp." desc "Minasan no Okagesamadesu! Dai Sugoroku Taikai (MOM-001 ~ MOH-001)" devices ((name "memcard" briefname "memc" ) ()))
(name "mindset" year "1984" manufacturer "Mindset Corporation" desc "Mindset Personal Computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "minefld" year "1983" manufacturer "Stern Electronics" desc "Minefield" devices ())
(name "minefldfe" year "1983" manufacturer "bootleg (The Logicshop)" desc "Minefield (The Logicshop, bootleg)" devices ())
(name "minemine" year "1996" manufacturer "Aristocrat" desc "Mine, Mine, Mine (0400115V, NSW/ACT)" devices ())
(name "minemineu" year "1996" manufacturer "Aristocrat" desc "Mine, Mine, Mine (VHG0416-99, US)" devices ())
(name "minemineua" year "1996" manufacturer "Aristocrat" desc "Mine, Mine, Mine (NHG0416-99, US)" devices ())
(name "mineswpr" year "1977" manufacturer "Amutech" desc "Minesweeper" devices ())
(name "mineswpr4" year "1977" manufacturer "Amutech" desc "Minesweeper (4-Player)" devices ())
(name "minferno" year "1978" manufacturer "Meadows Games, Inc." desc "Inferno (Meadows)" devices ())
(name "mini2440" year "2009" manufacturer "FriendlyARM" desc "Mini2440" devices ())
(name "mini5sx" year "1991" manufacturer "NEC" desc "Bungo mini 5SX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "miniazard" year "1989?" manufacturer "Arfyc" desc "Mini Azar D" devices ())
(name "minib" year "2002" manufacturer "Sprow" desc "MiniB Computer" devices ())
(name "miniboy7" year "1983" manufacturer "Bonanza Enterprises, Ltd" desc "Mini-Boy 7 (set 1)" devices ())
(name "miniboy7a" year "1983" manufacturer "Bonanza Enterprises, Ltd" desc "Mini-Boy 7 (set 2)" devices ())
(name "minicom" year "1997" manufacturer "Ultratec" desc "Minicom IV (1997-08-11)" devices ())
(name "minidart" year "2009" manufacturer "Compumatic" desc "Minidart" devices ())
(name "miniforce" year "1987" manufacturer "Force Computers" desc "miniFORCE" devices ())
(name "minifram" year "1985" manufacturer "Convergent" desc "Miniframe" devices ((name "floppydisk" briefname "flop" )))
(name "minigolf" year "1985" manufacturer "Bally/Sente" desc "Mini Golf (set 1)" devices ())
(name "minigolfa" year "1985" manufacturer "Bally/Sente" desc "Mini Golf (11/25/85)" devices ())
(name "minigolfb" year "1985" manufacturer "Bally/Sente" desc "Mini Golf (10/8/85)" devices ())
(name "miniguay" year "1986" manufacturer "Cirsa" desc "Mini Guay VD" devices ())
(name "minihockey" year "1991" manufacturer "Rumatic" desc "Mini Hockey" devices ())
(name "minijook" year "199?" manufacturer "Sound Leisure" desc "MiniJook" devices ())
(name "minimony" year "199?" manufacturer "Cirsa" desc "Mini Money" devices ())
(name "minimonya" year "199?" manufacturer "Cirsa" desc "Mini Money (set 2, v1.5?)" devices ())
(name "minimonyb" year "199?" manufacturer "Cirsa" desc "Mini Money (set 3, v1.4?)" devices ())
(name "miniscc" year "1982" manufacturer "Fidelity Electronics" desc "Mini Sensory Chess Challenger (MCS-48 version)" devices ((name "cartridge" briefname "cart" )))
(name "miniscco" year "1981" manufacturer "Fidelity Electronics" desc "Mini Sensory Chess Challenger (Z8 version)" devices ((name "cartridge" briefname "cart" )))
(name "minisupf" year "1981" manufacturer "Cirsa" desc "Mini Super Fruits" devices ())
(name "minisys2k" year "199?" manufacturer "SIIG" desc "MiniSys 2000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "minitel2" year "1989" manufacturer "Philips" desc "Minitel 2" devices ())
(name "minivadr" year "1990" manufacturer "Taito Corporation" desc "Mini Vaders" devices ())
(name "minnadk" year "2007" manufacturer "Namco" desc "Minna de Kitaeru Zenno Training (Ver. 1.50)" devices ())
(name "minspace" year "1980" manufacturer "Mego" desc "Invasion From Space (patent)" devices ())
(name "miprimlec" year "1995" manufacturer "VTech" desc "Mis Primeras Lecciones (Spain)" devices ())
(name "mirage" year "1994" manufacturer "Mitchell" desc "Mirage Youjuu Mahjongden (Japan)" devices ())
(name "mirax" year "1985" manufacturer "Current Technologies" desc "Mirax (set 1)" devices ())
(name "miraxa" year "1985" manufacturer "Current Technologies" desc "Mirax (set 2)" devices ())
(name "mirco21" year "1976" manufacturer "Mirco Games" desc "21 (Mirco)" devices ())
(name "mirderby" year "1988" manufacturer "Home Data / Ascot" desc "Miracle Derby (Japan)" devices ())
(name "mirninja" year "1988" manufacturer "Namco" desc "Mirai Ninja (Japan, set 1)" devices ())
(name "mirninjaa" year "1988" manufacturer "Namco" desc "Mirai Ninja (Japan, set 2)" devices ())
(name "mirworld" year "2007" manufacturer "Sega" desc "Mirage World (satellite)" devices ())
(name "misatk" year "1977" manufacturer "Mattel Electronics" desc "Missile Attack / Space Alert" devices ())
(name "misdraw" year "1986" manufacturer "Big Apple Games / Merit" desc "Michigan Super Draw (2131-16, U5-2)" devices ())
(name "misncrft" year "2000" manufacturer "Sun" desc "Mission Craft (version 2.7)" devices ())
(name "misncrfta" year "2000" manufacturer "Sun" desc "Mission Craft (version 2.4)" devices ())
(name "missamer" year "1984" manufacturer "Sirmo" desc "Miss Americana" devices ())
(name "missb2" year "1996" manufacturer "Alpha Co." desc "Miss Bubble II" devices ())
(name "missile" year "1980" manufacturer "Atari" desc "Missile Command (rev 3, A035467-02/04 PCBs)" devices ())
(name "missile1" year "1980" manufacturer "Atari" desc "Missile Command (rev 1, A035467-02 PCBs)" devices ())
(name "missile1a" year "1980" manufacturer "Atari" desc "Missile Command (rev 1, A035467-01 PCBs)" devices ())
(name "missile2" year "1980" manufacturer "Atari" desc "Missile Command (rev 2, A035467-02/04 PCBs)" devices ())
(name "missile2a" year "1980" manufacturer "Atari" desc "Missile Command (rev 2, A035467-01/03 PCBs)" devices ())
(name "missilea" year "1980" manufacturer "Atari" desc "Missile Command (rev 3, A035467-01/03 PCBs)" devices ())
(name "missilebl" year "1981" manufacturer "bootleg (U.Games)" desc "Missile Attack (U.Games bootleg of Missile Command)" devices ())
(name "missilem" year "2005" manufacturer "hack (Braze Technologies)" desc "Missile Command Multigame" devices ())
(name "missilex" year "1977" manufacturer "Taito" desc "Missile-X" devices ())
(name "missmw96" year "1996" manufacturer "Comad" desc "Miss Mister World '96 (Nude)" devices ())
(name "missw02" year "2002" manufacturer "Comad" desc "Miss World 2002" devices ())
(name "missw02d" year "2002" manufacturer "Daigom" desc "Miss World 2002 (Daigom license)" devices ())
(name "missw96" year "1996" manufacturer "Comad" desc "Miss World '96 (Nude) (C-3000A PCB, set 1)" devices ())
(name "missw96a" year "1996" manufacturer "Comad" desc "Miss World '96 (Nude) (C-3000A PCB, set 2)" devices ())
(name "missw96b" year "1996" manufacturer "Comad" desc "Miss World '96 (Nude) (C-3000A PCB, set 3)" devices ())
(name "missw96c" year "1996" manufacturer "Comad" desc "Miss World '96 (Nude) (C-3000B PCB)" devices ())
(name "misterx" year "1988" manufacturer "Video Technology / Yeno" desc "MisterX" devices ((name "cartridge" briefname "cart" )))
(name "mistrum" year "1988" manufacturer "Amaterske RADIO" desc "Mistrum" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "mits680b" year "1976" manufacturer "MITS" desc "Altair 680b" devices ())
(name "miuchiz" year "2006" manufacturer "MGA Entertainment" desc "MIUCHIZ Virtual Companions" devices ())
(name "miwi2_16" year "200?" manufacturer "Macro Winners" desc "MiWi2 16-in-1 + Drum Master" devices ())
(name "miwi2_7" year "200?" manufacturer "Macro Winners" desc "MiWi2 7-in-1 Sports" devices ())
(name "mizubaku" year "1990" manufacturer "Taito Corporation" desc "Mizubaku Daibouken (Japan)" devices ())
(name "mj1" year "2003" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ Network Taisen Ver. (Update Disc Ver.3.000, Japan) (CDP-10002F)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj1a" year "2002" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ (Update Disc Ver.1.007, Japan) (CDP-10002A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj1b" year "2002" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ (Update Disc Ver.1.008, Japan) (CDP-10002B)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj1c" year "2003" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ (Update Disc Ver.1.011, Japan) (CDP-10002C)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj1d" year "2003" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ Network Taisen Ver. (Update Disc Ver.2.000, Japan) (CDP-10002D)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj1e" year "2003" manufacturer "Sega" desc "Sega Yonin Uchi Mahjong MJ Network Taisen Ver. (Update Disc Ver.2.002, Japan) (CDP-10002E)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj2" year "2005" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 2 (Rev G) (GDX-0006G)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj2c" year "2004" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 2 (Rev C) (GDX-0006C)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj2f" year "2005" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 2 (Rev F) (GDX-0006F)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3" year "2006" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 (Rev F) (GDX-0017F)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3c" year "2005" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 (Rev C) (GDX-0017C)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3d" year "2006" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 (Rev D) (GDX-0017D)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3evo" year "2007" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 Evolution (Rev B) (GDX-0021B)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3evoa" year "2007" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 Evolution (Rev A) (GDX-0021A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3evoup" year "2006" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 Evolution Firmware Update (GDX-0023)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj3up" year "2005" manufacturer "Sega" desc "Sega Network Taisen Mahjong MJ 3 Firmware Update (GDX-0019)" devices ((name "cdrom" briefname "cdrm" )))
(name "mj4simai" year "1996" manufacturer "Maboroshi Ware" desc "Wakakusamonogatari Mahjong Yonshimai (Japan)" devices ())
(name "mj_130" year "1992" manufacturer "Data East" desc "Michael Jordan (1.30, display A1.03)" devices ())
(name "mjanbari" year "1992" manufacturer "Nichibutsu / Yubis / AV Japan" desc "Medal Mahjong Janjan Baribari (Japan)" devices ())
(name "mjangels" year "1991" manufacturer "Dynax" desc "Mahjong Angels - Comic Theater Vol.2 (Japan)" devices ())
(name "mjapinky" year "1988" manufacturer "Dynax" desc "Almond Pinky (Japan)" devices ())
(name "mjcamera" year "1988" manufacturer "Miki Syouji" desc "Mahjong Camera Kozou (set 1) (Japan 881109)" devices ())
(name "mjcamerb" year "1989" manufacturer "Miki Syouji" desc "Mahjong Camera Kozou (set 2) (Japan 881109)" devices ())
(name "mjchuuka" year "1998" manufacturer "Dynax" desc "Maque Zhonghua Ernu (Taiwan)" devices ())
(name "mjclinic" year "1988" manufacturer "Home Data" desc "Mahjong Clinic (Japan, set 1)" devices ())
(name "mjclinica" year "1988" manufacturer "Home Data" desc "Mahjong Clinic (Japan, set 2)" devices ())
(name "mjclub" year "1986?" manufacturer "Xex" desc "Mahjong Club (Japan)" devices ())
(name "mjcomv1" year "1991" manufacturer "Dynax" desc "Mahjong Comic Gekijou Vol.1 (Japan)" devices ())
(name "mjdchuka" year "1995" manufacturer "Dynax" desc "Maque Da Zhonghua Quan (Taiwan, D111)" devices ())
(name "mjdejav2" year "1989" manufacturer "Dynax" desc "Mahjong Shinkirou Deja Vu 2 (Japan)" devices ())
(name "mjdejavu" year "1989" manufacturer "Dynax" desc "Mahjong Shinkirou Deja Vu (Japan)" devices ())
(name "mjderngr" year "1989" manufacturer "Dynax" desc "Mahjong Derringer (Japan)" devices ())
(name "mjdialq2" year "1991" manufacturer "Dynax" desc "Mahjong Dial Q2 (Japan set 1)" devices ())
(name "mjdialq2a" year "1991" manufacturer "Dynax" desc "Mahjong Dial Q2 (Japan set 2)" devices ())
(name "mjdiplob" year "1987" manufacturer "Dynax" desc "Mahjong Diplomat (Japan)" devices ())
(name "mjegolf" year "1994" manufacturer "Fujic / AV Japan" desc "Mahjong Erotica Golf (Japan)" devices ())
(name "mjelct3" year "1990" manufacturer "Dynax" desc "Mahjong Electron Base (parts 2 & 3, Japan set 1)" devices ())
(name "mjelct3a" year "1990" manufacturer "Dynax" desc "Mahjong Electron Base (parts 2 & 3, Japan set 2)" devices ())
(name "mjelctrb" year "1993" manufacturer "bootleg" desc "Mahjong Electron Base (parts 2 & 4, Japan bootleg)" devices ())
(name "mjelctrn" year "1993" manufacturer "Dynax" desc "Mahjong Electron Base (parts 2 & 4, Japan)" devices ())
(name "mjembase" year "1989" manufacturer "Dynax" desc "Mahjong Electromagnetic Base (Japan)" devices ())
(name "mjflove" year "1996" manufacturer "Nakanihon" desc "Mahjong Fantasic Love (Japan)" devices ())
(name "mjfocus" year "1989" manufacturer "Nichibutsu" desc "Mahjong Focus (Japan 890313)" devices ())
(name "mjfocusm" year "1989" manufacturer "Nichibutsu" desc "Mahjong Focus (Japan 890510, medal)" devices ())
(name "mjfriday" year "1989" manufacturer "Dynax" desc "Mahjong Friday (Japan)" devices ())
(name "mjgaiden" year "1987" manufacturer "Central Denshi" desc "Mahjong Gaiden (Japan 870803)" devices ())
(name "mjgalpri" year "1998" manufacturer "Nichibutsu/Just&Just" desc "Mahjong Gal-pri - World Gal-con Grandprix (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "mjgnight" year "2000" manufacturer "Techno-Top" desc "Mahjong Gorgeous Night (Japan, TSM003-01)" devices ())
(name "mjgottsu" year "1991" manufacturer "Nichibutsu" desc "Mahjong Gottsu ee-kanji (Japan)" devices ())
(name "mjgottub" year "1991" manufacturer "Nichibutsu" desc "Medal Mahjong Gottsu ee-kanji (Japan)" devices ())
(name "mjgtaste" year "2002" manufacturer "Psikyo" desc "Mahjong G-Taste" devices ())
(name "mjhokite" year "1988" manufacturer "Home Data" desc "Mahjong Hourouki Okite (Japan)" devices ())
(name "mjifb" year "1990" manufacturer "Dynax" desc "Mahjong If...?" devices ())
(name "mjifb2" year "1990" manufacturer "Dynax" desc "Mahjong If...? (2921)" devices ())
(name "mjifb3" year "1990" manufacturer "Dynax" desc "Mahjong If...? (2931)" devices ())
(name "mjikaga" year "1991?" manufacturer "Mitchell" desc "Mahjong Ikaga Desu ka (Japan)" devices ())
(name "mjjoship" year "1988" manufacturer "Home Data" desc "Mahjong Joshi Pro-wres -Give up 5 byou mae- (Japan)" devices ())
(name "mjkinjas" year "1991" manufacturer "Home Data" desc "Mahjong Kinjirareta Asobi (Japan)" devices ())
(name "mjkjidai" year "1986" manufacturer "Sanritsu" desc "Mahjong Kyou Jidai (Japan)" devices ())
(name "mjkoiura" year "1992" manufacturer "Nichibutsu" desc "Mahjong Koi Uranai (Japan set 1)" devices ())
(name "mjkojink" year "1989" manufacturer "Home Data" desc "Mahjong Kojinkyouju (Private Teacher) (Japan)" devices ())
(name "mjlaman" year "1993" manufacturer "Nichibutsu / AV Japan" desc "Mahjong La Man (Japan)" devices ())
(name "mjleague" year "1985" manufacturer "Sega" desc "Major League" devices ())
(name "mjlstory" year "1991" manufacturer "Nichibutsu" desc "Mahjong Jikken Love Story (Japan)" devices ())
(name "mjmaglmp" year "2000" manufacturer "BMC" desc "Mahou no Lamp (v. JAA02)" devices ())
(name "mjmania" year "1999" manufacturer "Sphinx/Just&Just" desc "Mahjong Mania - Kairakukan e Youkoso (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "mjmyorn2" year "1993" manufacturer "Dynax" desc "Mahjong The Mysterious Orient Part 2 ~ Exotic Dream ~ (Japan, v1.00)" devices ())
(name "mjmyornt" year "1992" manufacturer "Dynax" desc "Mahjong The Mysterious Orient (Japan, v1.00)" devices ())
(name "mjmyorntr" year "1997" manufacturer "Dynax" desc "Mahjong The Mysterious Orient Returns (Japan, v1.00)" devices ())
(name "mjmyster" year "1994" manufacturer "Dynax" desc "Mahjong The Mysterious World (Japan, set 1)" devices ())
(name "mjmyuniv" year "1994" manufacturer "Dynax" desc "Mahjong The Mysterious Universe (Japan, D85)" devices ())
(name "mjmywrld" year "1994" manufacturer "Dynax" desc "Mahjong The Mysterious World (Japan, set 2)" devices ())
(name "mjnanpaa" year "1989" manufacturer "Brooks" desc "Mahjong Nanpa Story (Japan 890712)" devices ())
(name "mjnanpas" year "1989" manufacturer "Brooks" desc "Mahjong Nanpa Story (Japan 890713)" devices ())
(name "mjnanpau" year "1989" manufacturer "Brooks" desc "Mahjong Nanpa Story (Ura) (Japan 890805)" devices ())
(name "mjnatsu" year "1989" manufacturer "Video System Co." desc "Mahjong Natsu Monogatari (Japan)" devices ())
(name "mjnquest" year "1990" manufacturer "Taito Corporation" desc "Mahjong Quest (Japan)" devices ())
(name "mjnquestb" year "1990" manufacturer "Taito Corporation" desc "Mahjong Quest (No Nudity)" devices ())
(name "mjprivat" year "1991" manufacturer "Matoba" desc "Mahjong Private (Japan)" devices ())
(name "mjreach" year "1994" manufacturer "Dynax" desc "Mahjong Reach (Ver. 1.00)" devices ())
(name "mjreach1" year "1998" manufacturer "Nihon System" desc "Mahjong Reach Ippatsu (Japan)" devices ())
(name "mjreachbl" year "1994" manufacturer "bootleg" desc "Mahjong Reach (Ver. 1.00, bootleg)" devices ())
(name "mjreachp2" year "1994" manufacturer "Dynax" desc "Mahjong Reach Part II (Ver. D88)" devices ())
(name "mjschuka" year "1995" manufacturer "Dynax" desc "Mahjong Super Dai Chuuka Ken (Japan, D115)" devices ())
(name "mjsenka" year "1986" manufacturer "Visco" desc "Mahjong Senka (Japan)" devices ())
(name "mjsenpu" year "2002" manufacturer "Oriental Soft" desc "Mahjong Senpu" devices ())
(name "mjsikakb" year "1988" manufacturer "Nichibutsu" desc "Mahjong Shikaku (Japan 880722)" devices ())
(name "mjsikakc" year "1988" manufacturer "Nichibutsu" desc "Mahjong Shikaku (Japan 880806)" devices ())
(name "mjsikakd" year "1988" manufacturer "Nichibutsu" desc "Mahjong Shikaku (Japan 880802)" devices ())
(name "mjsikaku" year "1988" manufacturer "Nichibutsu" desc "Mahjong Shikaku (Japan 880908)" devices ())
(name "mjsister" year "1986" manufacturer "Toaplan" desc "Mahjong Sisters (Japan)" devices ())
(name "mjsiyoub" year "1986" manufacturer "Visco" desc "Mahjong Shiyou (Japan)" devices ())
(name "mjtensin" year "1995" manufacturer "Dynax" desc "Mahjong Tensinhai (Japan)" devices ())
(name "mjuraden" year "1992" manufacturer "Nichibutsu / Yubis" desc "Mahjong Uranai Densetsu (Japan)" devices ())
(name "mjvegas" year "1991" manufacturer "Dynax" desc "Mahjong Vegas (Japan)" devices ())
(name "mjvegasa" year "1991" manufacturer "Dynax" desc "Mahjong Vegas (Japan, unprotected)" devices ())
(name "mjyarou" year "1986" manufacturer "Visco / Video System" desc "Mahjong Yarou (Japan, set 1)" devices ())
(name "mjyarou2" year "1986" manufacturer "Visco / Video System" desc "Mahjong Yarou (Japan, set 2)" devices ())
(name "mjyougo" year "1989" manufacturer "Home Data" desc "Mahjong-yougo no Kisotairyoku (Japan)" devices ())
(name "mjyuugi" year "1990" manufacturer "Visco" desc "Mahjong Yuugi (Japan set 1)" devices ())
(name "mjyuugia" year "1990" manufacturer "Visco" desc "Mahjong Yuugi (Japan set 2)" devices ())
(name "mjzoomin" year "1990" manufacturer "Jaleco" desc "Mahjong Channel Zoom In (Japan)" devices ())
(name "mk" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 5.0 T-Unit 03/19/93)" devices ())
(name "mk14" year "1977" manufacturer "Science of Cambridge" desc "MK-14" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "mk14vdu" year "1978" manufacturer "Science of Cambridge" desc "MK-14 VDU" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "mk1forth" year "2003" manufacturer "Andrew Holme" desc "Mark 1 FORTH Computer" devices ())
(name "mk2" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L3.1)" devices ())
(name "mk2chal" year "1993" manufacturer "hack" desc "Mortal Kombat II Challenger (hack)" devices ())
(name "mk2r11" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L1.1)" devices ())
(name "mk2r14" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L1.4)" devices ())
(name "mk2r20" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L2.0)" devices ())
(name "mk2r21" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L2.1)" devices ())
(name "mk2r30" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L3.0)" devices ())
(name "mk2r31e" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L3.1, European)" devices ())
(name "mk2r32e" year "1993" manufacturer "Midway" desc "Mortal Kombat II (rev L3.2, European)" devices ())
(name "mk2r42" year "1993" manufacturer "hack" desc "Mortal Kombat II (rev L4.2, hack)" devices ())
(name "mk2r91" year "1993" manufacturer "hack" desc "Mortal Kombat II (rev L9.1, hack)" devices ())
(name "mk3" year "1994" manufacturer "Midway" desc "Mortal Kombat 3 (rev 2.1)" devices ())
(name "mk3mdb" year "1996" manufacturer "bootleg / Midway" desc "Mortal Kombat 3 (bootleg of Mega Drive version)" devices ())
(name "mk3p40" year "1994" manufacturer "Midway" desc "Mortal Kombat 3 (rev 1 chip label p4.0)" devices ())
(name "mk3r10" year "1994" manufacturer "Midway" desc "Mortal Kombat 3 (rev 1.0)" devices ())
(name "mk3r20" year "1994" manufacturer "Midway" desc "Mortal Kombat 3 (rev 2.0)" devices ())
(name "mk3snes" year "199?" manufacturer "bootleg" desc "Mortal Kombat 3 (SNES bootleg with timer)" devices ())
(name "mk4" year "1997" manufacturer "Midway" desc "Mortal Kombat 4 (version 3.0)" devices ())
(name "mk4a" year "1997" manufacturer "Midway" desc "Mortal Kombat 4 (version 2.1)" devices ())
(name "mk4b" year "1997" manufacturer "Midway" desc "Mortal Kombat 4 (version 1.0)" devices ())
(name "mk82" year "1982" manufacturer "Scomar" desc "MK-82" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "mk83" year "1983" manufacturer "Scomar" desc "MK-83" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "mk85" year "1986" manufacturer "Elektronika" desc "MK-85" devices ())
(name "mk88" year "1989" manufacturer "<unknown>" desc "MK-88" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mk90" year "1988" manufacturer "Elektronika" desc "MK-90" devices ())
(name "mk98" year "1998" manufacturer "Elektronika" desc "MK-98" devices ())
(name "mkartag2" year "2007" manufacturer "Namco / Nintendo" desc "Mario Kart Arcade GP 2 (Japan, MK21 Ver.A)" devices ())
(name "mkartag2a" year "2007" manufacturer "Namco / Nintendo" desc "Mario Kart Arcade GP 2 (Japan, MK21 Ver.A, alt dump)" devices ())
(name "mkartagp" year "2005" manufacturer "Namco / Nintendo" desc "Mario Kart Arcade GP (Japan, MKA1 Ver.A1)" devices ())
(name "mkartagpc" year "2006" manufacturer "Namco / Nintendo" desc "Mario Kart Arcade GP (Japan, MKA1 Ver.C, update)" devices ())
(name "mkeibaou" year "1993" manufacturer "Nichibutsu" desc "Mahjong Keibaou (Japan)" devices ())
(name "mkit09" year "1983" manufacturer "Multitech" desc "Microkit09" devices ((name "cassette" briefname "cass" )))
(name "mkit09a" year "1983" manufacturer "Multitech" desc "Microkit09 (Alt version)" devices ((name "cassette" briefname "cass" )))
(name "mkla1" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 1.0 08/09/92)" devices ())
(name "mkla2" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 2.0 08/18/92)" devices ())
(name "mkla3" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 3.0 08/31/92)" devices ())
(name "mkla3bl" year "1992" manufacturer "bootleg (Victor)" desc "Mortal Kombat (Victor bootleg of rev 3.0 08/31/92)" devices ())
(name "mkla4" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 4.0 09/28/92)" devices ())
(name "mknifty" year "1992" manufacturer "hack" desc "Mortal Kombat (Nifty Kombo, hack)" devices ())
(name "mknifty666" year "1992" manufacturer "hack" desc "Mortal Kombat (Nifty Kombo 666, hack)" devices ())
(name "mkoiuraa" year "1992" manufacturer "Nichibutsu" desc "Mahjong Koi Uranai (Japan set 2)" devices ())
(name "mkp286" year "198?" manufacturer "Morse" desc "KP-286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mkprot4" year "1992" manufacturer "Midway" desc "Mortal Kombat (prototype, rev 4.0 07/14/92)" devices ())
(name "mkprot8" year "1992" manufacturer "Midway" desc "Mortal Kombat (prototype, rev 8.0 07/21/92)" devices ())
(name "mkprot9" year "1992" manufacturer "Midway" desc "Mortal Kombat (prototype, rev 9.0 07/28/92)" devices ())
(name "mkr4" year "1992" manufacturer "Midway" desc "Mortal Kombat (rev 4.0 T-Unit 02/11/93)" devices ())
(name "mkrep" year "1992" manufacturer "hack" desc "Mortal Kombat (Reptile Man hack)" devices ())
(name "mks100" year "1987" manufacturer "Roland" desc "MKS-100 Digital Sampler" devices ())
(name "mks30" year "1984" manufacturer "Roland" desc "MKS-30 Planet-S MIDI Sound Module" devices ((name "cartridge" briefname "cart" )))
(name "mks4001" year "2002" manufacturer "IVL Technologies (Memorex license)" desc "Star Singer Karaoke (MKS4001)" devices ())
(name "mks50" year "1987" manufacturer "Roland" desc "MKS-50 Synthesizer Module" devices ())
(name "mks7" year "1985" manufacturer "Roland" desc "MKS-7 Super Quartet" devices ())
(name "mks70" year "1987" manufacturer "Roland" desc "MKS-70 Super JX Polyphonic Synthesizer" devices ((name "cartridge" briefname "cart" )))
(name "mktturbo" year "1992" manufacturer "hack" desc "Mortal Kombat (Turbo Ninja T-Unit 03/19/93, hack)" devices ())
(name "mkyawdim" year "1992" manufacturer "bootleg (Yawdim)" desc "Mortal Kombat (Yawdim bootleg, set 1)" devices ())
(name "mkyawdim2" year "1992" manufacturer "bootleg (Yawdim)" desc "Mortal Kombat (Yawdim bootleg, set 2)" devices ())
(name "mkyawdim3" year "1992" manufacturer "bootleg (Yawdim)" desc "Mortal Kombat (Yawdim bootleg, set 3)" devices ())
(name "mkyawdim4" year "1992" manufacturer "bootleg (Yawdim)" desc "Mortal Kombat (Yawdim bootleg, set 4)" devices ())
(name "mkyturbo" year "1992" manufacturer "hack" desc "Mortal Kombat (Turbo 3.1 09/09/93, hack)" devices ())
(name "mkyturboe" year "1992" manufacturer "hack" desc "Mortal Kombat (Turbo 3.0 08/31/92, hack)" devices ())
(name "ml20" year "1999" manufacturer "Digitek" desc "Micrologic 20" devices ())
(name "ml8000" year "1983" manufacturer "Mitsubishi" desc "ML-8000 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mladyhtr" year "1990" manufacturer "Nichibutsu" desc "Mahjong The Lady Hunter (Japan 900509)" devices ())
(name "mlander" year "1980" manufacturer "bootleg (Leisure Time Electronics)" desc "Moon Lander (bootleg of Lunar Rescue)" devices ())
(name "mlanding" year "1987" manufacturer "Taito America Corporation" desc "Midnight Landing (Germany)" devices ())
(name "mlandingj" year "1987" manufacturer "Taito Corporation" desc "Midnight Landing (Japan, rev 3)" devices ())
(name "mlf110" year "1984" manufacturer "Mitsubishi" desc "ML-F110 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlf120" year "1984" manufacturer "Mitsubishi" desc "ML-F120 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlf48" year "1984" manufacturer "Mitsubishi" desc "ML-F48 (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlf80" year "1984" manufacturer "Mitsubishi" desc "ML-F80 (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlfx1" year "1986" manufacturer "Mitsubishi" desc "ML-FX1 (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlg1" year "1986" manufacturer "Mitsubishi" desc "ML-G1 (MSX2, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlg10" year "1985" manufacturer "Mitsubishi" desc "ML-G10 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlg3" year "1986" manufacturer "Mitsubishi" desc "ML-G3 (MSX2, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "cartridge3" briefname "cart3" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlg30" year "1985" manufacturer "Mitsubishi" desc "ML-G30 Model 1 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "cartridge3" briefname "cart3" ) (name "cartridge4" briefname "cart4" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mlg30_2" year "1985" manufacturer "Mitsubishi" desc "ML-G30 Model 2 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge3" briefname "cart3" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mltiwars" year "1980" manufacturer "bootleg (Gayton Games)" desc "Multi Wars (bootleg of UniWar S)" devices ())
(name "mltpoints" year "2006" manufacturer "Unidesa/Cirsa" desc "Multi Points (V1.0, CAA)" devices ())
(name "mm1" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto MM I (ver. B)" devices ((name "cartridge" briefname "cart" )))
(name "mm1a" year "1983" manufacturer "Hegener + Glaser" desc "Mephisto MM I (ver. A)" devices ((name "cartridge" briefname "cart" )))
(name "mm1m4" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mm1m4g" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M4G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mm1m6" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M6" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mm1m6g" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M6G" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mm1m7" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M7" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "mm1m7g" year "1981" manufacturer "Nokia Data" desc "MikroMikko 1 M7G" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "mm2" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 1, v4.00)" devices ((name "cartridge" briefname "cart" )))
(name "mm2a" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 2, v3.00)" devices ((name "cartridge" briefname "cart" )))
(name "mm2b" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 3, v2.00)" devices ((name "cartridge" briefname "cart" )))
(name "mm2c" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 4)" devices ((name "cartridge" briefname "cart" )))
(name "mm2d" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 5)" devices ((name "cartridge" briefname "cart" )))
(name "mm2e" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (set 6)" devices ((name "cartridge" briefname "cart" )))
(name "mm2m35d" year "1983" manufacturer "Nokia Data" desc "MikroMikko 2 M35D" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "mm2nona" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto MM II (Nona program, DOCCC 1985 Leiden TM)" devices ())
(name "mm4" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto MM IV (v7.10)" devices ((name "cartridge" briefname "cart" )))
(name "mm4a" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto MM IV (v7.00)" devices ((name "cartridge" briefname "cart" )))
(name "mm4b" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto MM IV (v6.00)" devices ((name "cartridge" briefname "cart" )))
(name "mm4tk" year "1987" manufacturer "hack" desc "Mephisto MM IV (TurboKit)" devices ((name "cartridge" briefname "cart" )))
(name "mm5" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto MM V (v5.1)" devices ((name "cartridge" briefname "cart" )))
(name "mm5a" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto MM V (v5.0)" devices ((name "cartridge" briefname "cart" )))
(name "mm5p" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto MM V (WMCCC 1989 Portorose TM)" devices ())
(name "mm_05" year "1997" manufacturer "Williams" desc "Medieval Madness (0.50)" devices ())
(name "mm_10" year "1999" manufacturer "Williams" desc "Medieval Madness (1.0)" devices ())
(name "mm_109" year "1999" manufacturer "Williams" desc "Medieval Madness (1.09)" devices ())
(name "mm_109b" year "1999" manufacturer "Williams" desc "Medieval Madness (1.09B)" devices ())
(name "mm_109c" year "1999" manufacturer "Williams" desc "Medieval Madness (1.09C Profanity)" devices ())
(name "mm_10u" year "1999" manufacturer "Williams" desc "Medieval Madness (1.0 Ultrapin)" devices ())
(name "mmagic" year "1979" manufacturer "Nintendo" desc "Monkey Magic" devices ())
(name "mmahjong" year "1982" manufacturer "Nippon Mail Service" desc "Micom Mahjong" devices ())
(name "mmaiko" year "1990" manufacturer "Nichibutsu" desc "Maikobana (Japan 900911, medal)" devices ())
(name "mmancp2u" year "1995" manufacturer "Capcom" desc "Mega Man: The Power Battle (CPS2, USA 951006, SAMPLE Version)" devices ())
(name "mmancp2ur1" year "1995" manufacturer "Capcom" desc "Mega Man: The Power Battle (CPS2, USA 950926, SAMPLE Version)" devices ())
(name "mmancp2ur2" year "1995" manufacturer "Capcom" desc "Mega Man: The Power Battle (CPS2, USA 950925, SAMPLE Version)" devices ())
(name "mmaruchan" year "2005" manufacturer "Capcom" desc "Chibi Maruko-chan ~Minna de Sugoroku Asobi~ no Maki (Ver.1.00B, 2005/06/22)" devices ((name "harddisk" briefname "hard" )))
(name "mmaruchana" year "2004" manufacturer "Capcom" desc "Chibi Maruko-chan ~Minna de Sugoroku Asobi~ no Maki (Ver.1.00A, 2004/04/20)" devices ((name "harddisk" briefname "hard" )))
(name "mmarvin" year "1980" manufacturer "Entex" desc "Musical Marvin" devices ())
(name "mmatrix" year "2000" manufacturer "Takumi (Capcom license)" desc "Mars Matrix: Hyper Solid Shooting (USA 000412)" devices ())
(name "mmatrixa" year "2000" manufacturer "Takumi (Capcom license)" desc "Mars Matrix: Hyper Solid Shooting (Asia 000412)" devices ())
(name "mmatrixd" year "2000" manufacturer "bootleg" desc "Mars Matrix: Hyper Solid Shooting (USA 000412 Phoenix Edition) (bootleg)" devices ())
(name "mmatrixj" year "2000" manufacturer "Takumi (Capcom license)" desc "Mars Matrix: Hyper Solid Shooting (Japan 000412)" devices ())
(name "mmaulers" year "1993" manufacturer "Konami" desc "Monster Maulers (ver EAA)" devices ())
(name "mmaze" year "1988" manufacturer "Namco" desc "Marchen Maze (Japan)" devices ())
(name "mmaze2" year "1988" manufacturer "Namco" desc "Marchen Maze (Japan, hack?)" devices ())
(name "mmbo4088" year "199?" manufacturer "<unknown>" desc "486MMBO4088 (TI TX486SLC/E)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mmcamera" year "1989" manufacturer "Miki Syouji" desc "Mahjong Camera Kozou (Japan 890509, medal)" devices ())
(name "mmd1" year "1976" manufacturer "E&L Instruments Inc" desc "MMD-1 Mini-Micro Designer" devices ((name "cassette" briefname "cass" )))
(name "mmd2" year "1976" manufacturer "E&L Instruments Inc" desc "MMD-2 Mini-Micro Designer" devices ((name "cassette" briefname "cass" )))
(name "mmehyou" year "1992" manufacturer "Nichibutsu / Kawakusu" desc "Medal Mahjong Circuit no Mehyou (Japan)" devices ())
(name "mmerlin" year "1982" manufacturer "Parker Brothers" desc "Master Merlin" devices ())
(name "mmf9000" year "1981" manufacturer "Commodore Business Machines" desc "MicroMainFrame 9000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "mmf9000_se" year "1981" manufacturer "Commodore Business Machines" desc "MicroMainFrame 9000 (Sweden/Finland)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "mmhammer" year "2008" manufacturer "Amuzy Corporation" desc "Mogu Mogu Hammer" devices ())
(name "mmirage" year "1984" manufacturer "Hegener + Glaser" desc "Mephisto Mirage" devices ())
(name "mmm_ldip" year "198?" manufacturer "Maygay" desc "Lucky Dip (Maygay)" devices ())
(name "mmmaster" year "1988" manufacturer "ManilaMatic" desc "Master" devices ())
(name "mmmbanc" year "2007" manufacturer "Cave (AMI license)" desc "Medal Mahjong Moukari Bancho (2007/06/05 MASTER VER.)" devices ())
(name "mmonkey" year "1982" manufacturer "Technos Japan / Roller Tron" desc "Minky Monkey" devices ())
(name "mmonkeyj" year "1982" manufacturer "Technos Japan / Roller Tron" desc "Minky Monkey (Japan)" devices ())
(name "mmonty" year "1987" manufacturer "Ritam" desc "Master Monty" devices ())
(name "mmpanic" year "1992" manufacturer "Nakanihon / East Technology (Taito license)" desc "Monkey Mole Panic (USA)" devices ())
(name "mmpork" year "2007" manufacturer "Cave (AMI license)" desc "Muchi Muchi Pork! (2007/ 4/17 MASTER VER.)" devices ())
(name "mmr4000be" year "1992" manufacturer "MIPS" desc "Magnum R4000 (be)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "mmr4000le" year "1992" manufacturer "MIPS" desc "Magnum R4000 (le)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "mmsikaku" year "1988" manufacturer "Nichibutsu" desc "Mahjong Shikaku (Japan 880929, medal)" devices ())
(name "mmt8" year "1987" manufacturer "Alesis" desc "MMT-8" devices ((name "cassette" briefname "cass" )))
(name "mnchmobl" year "1983" manufacturer "SNK (Centuri license)" desc "Munch Mobile (US)" devices ())
(name "mnfb_c27" year "1989" manufacturer "Data East" desc "Monday Night Football (2.7, 50cts)" devices ())
(name "mnfb_c29" year "1989" manufacturer "Data East" desc "Monday Night Football (2.9, 50cts)" devices ())
(name "mnight" year "1987" manufacturer "UPL" desc "Mutant Night" devices ())
(name "mnightj" year "1987" manufacturer "UPL (Kawakus license)" desc "Mutant Night (Japan)" devices ())
(name "mnrockman" year "2002" manufacturer "Banpresto / Capcom / Shogakukan / ShoPro / TV Tokyo" desc "Medal Network: Rockman EXE" devices ())
(name "mntecrlo" year "1987" manufacturer "Gottlieb" desc "Monte Carlo (Pinball)" devices ())
(name "mntecrlo2" year "1987" manufacturer "Gottlieb" desc "Monte Carlo (Pinball, rev. 2)" devices ())
(name "mntecrloa" year "1987" manufacturer "Gottlieb" desc "Monte Carlo (Pinball, alternate set)" devices ())
(name "mntecrlof" year "1987" manufacturer "Gottlieb" desc "Monte Carlo (Pinball, French)" devices ())
(name "mntecrlog" year "1987" manufacturer "Gottlieb" desc "Monte Carlo (Pinball, German)" devices ())
(name "mnumber" year "2000" manufacturer "MM / BRL Bologna" desc "Mystery Number" devices ())
(name "mnumitg" year "200?" manufacturer "<unknown>" desc "Magic Number (Italian gambling game, Ver 1.5)" devices ())
(name "mnytree" year "2000" manufacturer "Aristocrat" desc "Money Tree (10001211, NSW/ACT)" devices ())
(name "mnytreea" year "2001" manufacturer "Aristocrat" desc "Money Tree (10122211, ASP)" devices ())
(name "mo5" year "1984" manufacturer "Thomson" desc "MO5" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "mo5e" year "1986" manufacturer "Thomson" desc "MO5E" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "mo5nr" year "1986" manufacturer "Thomson" desc "MO5 NR" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "mo6" year "1986" manufacturer "Thomson" desc "MO6" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "mobigo" year "2010" manufacturer "VTech" desc "MobiGo" devices ((name "cartridge" briefname "cart" )))
(name "mobigo2" year "2012" manufacturer "VTech" desc "MobiGo 2 (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "mobigos" year "2010" manufacturer "VTech" desc "MobiGo (Spain)" devices ((name "cartridge" briefname "cart" )))
(name "mocapb" year "2001" manufacturer "Konami" desc "Mocap Boxing (ver AAB)" devices ((name "harddisk" briefname "hard" )))
(name "mocapbj" year "2001" manufacturer "Konami" desc "Mocap Boxing (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "mocapglf" year "2001" manufacturer "Konami" desc "Mocap Golf (ver EAA:B)" devices ((name "harddisk" briefname "hard" )))
(name "mod8" year "1974" manufacturer "Microsystems International Ltd" desc "MOD-8" devices ())
(name "modellot" year "1979" manufacturer "General Processor" desc "Modello T" devices ())
(name "modena" year "1992" manufacturer "Hegener + Glaser" desc "Mephisto Modena (set 1)" devices ())
(name "modenaa" year "1992" manufacturer "Hegener + Glaser" desc "Mephisto Modena (set 2)" devices ())
(name "modenab" year "1992" manufacturer "Hegener + Glaser" desc "Mephisto Modena (set 3)" devices ())
(name "modulab" year "1984" manufacturer "Esselte Studium AB" desc "Modulab" devices ())
(name "moegonta" year "1993" manufacturer "Yanyaka" desc "Moeyo Gonta!! (Japan)" devices ())
(name "moeru" year "2002" manufacturer "Altron" desc "Moeru Casinyo (Japan) (GDL-0013)" devices ((name "cdrom" briefname "cdrm" )))
(name "mofflott" year "1989" manufacturer "Taito Corporation" desc "Maze of Flott (Japan)" devices ())
(name "mog_m320" year "2016" manufacturer "MOGIS" desc "MOGIS M320 246 in 1 Handheld" devices ())
(name "mogitate" year "1998" manufacturer "Nichibutsu/Just&Just/NVS/Astro System/AV Japan" desc "Mahjong Mogitate (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "moguchan" year "1982" manufacturer "Orca (Eastern Commerce Inc. license)" desc "Mogu Chan (bootleg?)" devices ())
(name "mogura" year "1991" manufacturer "Konami" desc "Mogura Desse (Japan)" devices ())
(name "mohicans" year "200?" manufacturer "Konami" desc "Mohican Sun (Konami Endeavour, Russia)" devices ())
(name "mojmikro" year "1985" manufacturer "<unknown>" desc "Moj mikro Slovenija" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "mok" year "2002" manufacturer "Sega" desc "The Maze of the Kings (GDS-0022)" devices ((name "cdrom" briefname "cdrm" )))
(name "mokp386" year "199?" manufacturer "Morse" desc "KP920121523 V2.20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "mokp386sx" year "199?" manufacturer "Morse" desc "KP 386SX V2.21" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "mole" year "1982" manufacturer "Yachiyo Electronics, Ltd." desc "Mole Attack" devices ())
(name "molecula" year "1982" manufacturer "MOLECULAR" desc "MOLECULAR Computer" devices ())
(name "mom3v3" year "199?" manufacturer "Morse" desc "M3 V3.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "momoko" year "1986" manufacturer "Jaleco" desc "Momoko 120% (Japanese text)" devices ())
(name "momokob" year "1986" manufacturer "bootleg" desc "Momoko 120% (bootleg)" devices ())
(name "momokoe" year "1986" manufacturer "Jaleco" desc "Momoko 120% (English text)" devices ())
(name "momotaro" year "2004" manufacturer "Techno-Top" desc "Mahjong Momotarou (Japan, T027-RB-01)" devices ())
(name "monacogp" year "1980" manufacturer "Sega" desc "Monaco GP (set 1)" devices ())
(name "monacogpa" year "1980" manufacturer "Sega" desc "Monaco GP (set 2)" devices ())
(name "mondial" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto Mondial" devices ())
(name "mondial2" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Mondial II" devices ())
(name "mondl68k" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Mondial 68000XL" devices ())
(name "moneybnk" year "199?" manufacturer "Konami" desc "Money In The Bank (NSW, Australia)" devices ())
(name "moneymac" year "2005" manufacturer "Amcoe" desc "Money Machine (Version 1.7E Dual)" devices ())
(name "moneymacd1" year "2005" manufacturer "Amcoe" desc "Money Machine (Version 1.7R)" devices ())
(name "moneymacd2" year "2005" manufacturer "Amcoe" desc "Money Machine (Version 1.7LT)" devices ())
(name "moneymacv1" year "2005" manufacturer "Amcoe" desc "Money Machine (Version 1.7R Dual)" devices ())
(name "moneymacv2" year "2005" manufacturer "Amcoe" desc "Money Machine (Version 1.7LT Dual)" devices ())
(name "mongolnw" year "199?" manufacturer "<unknown>" desc "Mongolfier New (Italian)" devices ())
(name "monkelf" year "1990" manufacturer "bootleg" desc "Monky Elf (Korean bootleg of Avenging Spirit)" devices ())
(name "monkeyba" year "2001" manufacturer "Sega" desc "Monkey Ball (GDS-0008)" devices ((name "cdrom" briefname "cdrm" )))
(name "monkeyd" year "1981" manufacturer "bootleg" desc "Monkey Donkey" devices ())
(name "monkeyjmp" year "20??" manufacturer "Falgas" desc "Monkey Jump" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "monkeyl" year "2005" manufacturer "Astro Corp." desc "Monkey Land (Ver. AA.21.A)" devices ())
(name "monkeyla" year "2004" manufacturer "Astro Corp." desc "Monkey Land (Ver. AA.13.B)" devices ())
(name "monkeysee" year "1982" manufacturer "Tandy Corporation" desc "Monkey See (1982 version)" devices ())
(name "monkmonk" year "1986" manufacturer "Hasbro / Tiger Electronics" desc "Monkgomery Monkey" devices ((name "cartridge" briefname "cart" )))
(name "monmouse" year "1997" manufacturer "Aristocrat" desc "Money Mouse (0400469V, NSW/ACT)" devices ())
(name "monmousea" year "1997" manufacturer "Aristocrat" desc "Money Mouse (0300469V, NSW/ACT)" devices ())
(name "monomach" year "2004" manufacturer "Elektron" desc "Monomachine SFX6 MK2" devices ())
(name "mononcol" year "2014" manufacturer "M&D" desc "Monon Color" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "mononew" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.20, display A3.01, ARM7 sound board)" devices ())
(name "mononuxt" year "2019" manufacturer "Monotech" desc "NuXT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "mononuxt2" year "2020" manufacturer "Monotech" desc "NuXT v2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "monop233" year "2002" manufacturer "Stern" desc "Monopoly (CPU 2.33, display A2.03)" devices ())
(name "monop251" year "2002" manufacturer "Stern" desc "Monopoly (CPU 2.51, display A2.06)" devices ())
(name "monop301" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.01, display A3.01)" devices ())
(name "monop303" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.03, display A3.01)" devices ())
(name "monoplcl" year "1995" manufacturer "JPM" desc "Monopoly Classic (JPM) (Version 5) (SYSTEM5 VIDEO)" devices ())
(name "monoplcld" year "1995" manufacturer "JPM" desc "Monopoly Classic (JPM) (Version 5, Protocol) (SYSTEM5 VIDEO)" devices ())
(name "monopldx" year "1995" manufacturer "JPM" desc "Monopoly Deluxe (JPM) (Version 6) (SYSTEM5 VIDEO)" devices ())
(name "monopldx1" year "1995" manufacturer "JPM" desc "Monopoly Deluxe (JPM) (Version 1) (SYSTEM5 VIDEO)" devices ())
(name "monopldxd" year "1995" manufacturer "JPM" desc "Monopoly Deluxe (JPM) (Version 6, Protocol) (SYSTEM5 VIDEO)" devices ())
(name "monopolf" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.20, display F3.01, France)" devices ())
(name "monopolg" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.20, display G3.01, Germany)" devices ())
(name "monopoli" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.20, display I3.01, Italy)" devices ())
(name "monopoll" year "2002" manufacturer "Stern" desc "Monopoly (CPU 3.20, display L3.01, Spain)" devices ())
(name "monopolp" year "2001" manufacturer "Stern" desc "Monopoly (CPU 3.20, display A3.01)" devices ())
(name "monopoly" year "1994" manufacturer "JPM" desc "Monopoly (JPM) (Version 4H) (SYSTEM5 VIDEO)" devices ())
(name "monopoly3" year "1994" manufacturer "JPM" desc "Monopoly (JPM) (Version 3) (SYSTEM5 VIDEO)" devices ())
(name "monopoly4" year "1994" manufacturer "JPM" desc "Monopoly (JPM) (Version 4) (SYSTEM5 VIDEO)" devices ())
(name "monopolyd" year "1994" manufacturer "JPM" desc "Monopoly (JPM) (Version 4H, Protocol) (SYSTEM5 VIDEO)" devices ())
(name "monopred" year "2002" manufacturer "Stern" desc "Monopoly (coin dropper, CPU 4.01, display 4.00)" devices ())
(name "monrobwl" year "1988" manufacturer "Monroe Bowling Co." desc "Stars & Strikes (Bowler)" devices ())
(name "monshow" year "200?" manufacturer "Konami" desc "The Monster Show (Konami Endeavour, Russia)" devices ())
(name "monspdr" year "1997" manufacturer "Ace" desc "Money Spider (Ace)" devices ())
(name "monsterb" year "1982" manufacturer "Sega" desc "Monster Bash" devices ())
(name "monsterb2" year "1982" manufacturer "Sega" desc "Monster Bash (2 board version)" devices ())
(name "monsterz" year "1982" manufacturer "Nihon Game" desc "Monster Zero (set 1)" devices ())
(name "monsterza" year "1982" manufacturer "Nihon Game" desc "Monster Zero (set 2)" devices ())
(name "montana" year "19??" manufacturer "Splin" desc "Montana Bingo Stake 6/10 (Bingo)" devices ())
(name "montec" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Monte Carlo (ver. MC3)" devices ())
(name "montec4" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Monte Carlo IV" devices ())
(name "montec4le" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Monte Carlo IV: Limited Edition" devices ())
(name "monteca" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Monte Carlo (ver. MC2)" devices ())
(name "montecar" year "1979" manufacturer "Atari" desc "Monte Carlo" devices ())
(name "montreal" year "1993" manufacturer "Hegener + Glaser" desc "Mephisto Montreal 68000" devices ())
(name "montree" year "2001" manufacturer "Aristocrat" desc "Money Tree (0201397V, New Zealand)" devices ())
(name "montreux" year "1995" manufacturer "Saitek / Tasc" desc "Mephisto Montreux" devices ())
(name "monty" year "1983" manufacturer "Ritam" desc "Monty Plays Scrabble" devices ())
(name "monymony" year "1983" manufacturer "Zaccaria" desc "Money Money (set 1)" devices ())
(name "monymony2" year "1983" manufacturer "Zaccaria" desc "Money Money (set 2)" devices ())
(name "monzagp" year "1981" manufacturer "Olympia" desc "Monza GP (set 1)" devices ())
(name "monzagpa" year "1981" manufacturer "Olympia" desc "Monza GP (set 2)" devices ())
(name "moomesa" year "1992" manufacturer "Konami" desc "Wild West C.O.W.-Boys of Moo Mesa (ver EAB)" devices ())
(name "moomesaaab" year "1992" manufacturer "Konami" desc "Wild West C.O.W.-Boys of Moo Mesa (ver AAB)" devices ())
(name "moomesabl" year "1992" manufacturer "bootleg" desc "Wild West C.O.W.-Boys of Moo Mesa (bootleg)" devices ())
(name "moomesauab" year "1992" manufacturer "Konami" desc "Wild West C.O.W.-Boys of Moo Mesa (ver UAB)" devices ())
(name "moomesauac" year "1992" manufacturer "Konami" desc "Wild West C.O.W.-Boys of Moo Mesa (ver UAC)" devices ())
(name "moonal2" year "1980" manufacturer "Namco / Nichibutsu" desc "Moon Alien Part 2" devices ())
(name "moonal2b" year "1980" manufacturer "Namco / Nichibutsu" desc "Moon Alien Part 2 (older version)" devices ())
(name "moonaln" year "1979" manufacturer "Namco / Nichibutsu (Karateco license?)" desc "Moon Alien" devices ())
(name "moonbase" year "1979" manufacturer "Taito / Nichibutsu" desc "Moon Base Zeta (set 1)" devices ())
(name "moonbasea" year "1979" manufacturer "Taito / Nichibutsu" desc "Moon Base Zeta (set 2)" devices ())
(name "mooncmw" year "198?" manufacturer "bootleg" desc "Moon War (bootleg of Moon Cresta)" devices ())
(name "mooncptc" year "1980?" manufacturer "bootleg (Petaco S.A.)" desc "Moon Cresta (Petaco S.A. Spanish bootleg)" devices ())
(name "mooncrecm" year "1980" manufacturer "bootleg (Centromatic)" desc "Moon Cresta (Centromatic Spanish bootleg)" devices ())
(name "mooncreg" year "1980" manufacturer "bootleg (Electrogame S.A.)" desc "Moon Cresta (Electrogame S.A. Spanish bootleg, set 1)" devices ())
(name "mooncreg2" year "1980" manufacturer "bootleg (Electrogame S.A.)" desc "Moon Cresta (Electrogame S.A. Spanish bootleg, set 2)" devices ())
(name "mooncrgx" year "1980" manufacturer "bootleg" desc "Moon Cresta (bootleg on Galaxian hardware)" devices ())
(name "mooncrs2" year "1980" manufacturer "bootleg" desc "Moon Cresta (bootleg set 2)" devices ())
(name "mooncrs3" year "1980" manufacturer "bootleg (Jeutel)" desc "Moon Cresta (bootleg set 3)" devices ())
(name "mooncrs4" year "1980" manufacturer "bootleg (SG-Florence)" desc "Moon Crest (bootleg of Moon Cresta)" devices ())
(name "mooncrs5" year "1980" manufacturer "bootleg" desc "Moon Cresta (bootleg set 4)" devices ())
(name "mooncrsb" year "1980" manufacturer "bootleg" desc "Moon Cresta (bootleg set 1)" devices ())
(name "mooncrsl" year "1980" manufacturer "bootleg (Laguna S.A.)" desc "Cresta Mundo (Spanish bootleg of Moon Cresta)" devices ())
(name "mooncrst" year "1980" manufacturer "Nichibutsu" desc "Moon Cresta (Nichibutsu)" devices ())
(name "mooncrstg" year "1980" manufacturer "Nichibutsu (Gremlin license)" desc "Moon Cresta (Gremlin)" devices ())
(name "mooncrsto" year "1980" manufacturer "Nichibutsu" desc "Moon Cresta (Nichibutsu, old rev)" devices ())
(name "mooncrstso" year "1980" manufacturer "bootleg (Sonic)" desc "Moon Cresta (SegaSA / Sonic)" devices ())
(name "mooncrstu" year "1980" manufacturer "Nichibutsu USA" desc "Moon Cresta (Nichibutsu USA, encrypted)" devices ())
(name "mooncrstuk" year "1980" manufacturer "Nichibutsu UK" desc "Moon Cresta (Nichibutsu UK)" devices ())
(name "mooncrstuku" year "1980" manufacturer "Nichibutsu UK" desc "Moon Cresta (Nichibutsu UK, unencrypted)" devices ())
(name "mooncrstuu" year "1980" manufacturer "Nichibutsu USA" desc "Moon Cresta (Nichibutsu USA, unencrypted)" devices ())
(name "moonfire" year "2004" manufacturer "Aristocrat" desc "Moon Fire - Jackpot Carnival (30164211, Queensland)" devices ())
(name "moonlght" year "199?" manufacturer "bootleg" desc "Moon Light (v.0629, low program)" devices ())
(name "moonlghta" year "199?" manufacturer "bootleg" desc "Moon Light (v.0629, high program)" devices ())
(name "moonlghtb" year "199?" manufacturer "bootleg" desc "Moon Light (v.02L0A, low program)" devices ())
(name "moonlghtc" year "199?" manufacturer "bootleg" desc "Moon Light (v.02L0A, high program, alt gfx)" devices ())
(name "moonqsr" year "1980" manufacturer "Nichibutsu" desc "Moon Quasar" devices ())
(name "moonwalt" year "2007" manufacturer "Aristocrat" desc "Moonlight Waltz (10227611, NSW/ACT)" devices ())
(name "moonwar" year "1981" manufacturer "Stern Electronics" desc "Moonwar" devices ())
(name "moonwara" year "1981" manufacturer "Stern Electronics" desc "Moonwar (older)" devices ())
(name "moonwarp" year "1981" manufacturer "Stern Electronics" desc "Moon War (prototype on Frenzy hardware)" devices ())
(name "morataka" year "19??" manufacturer "bootleg (Elektronika)" desc "Morskaja ataka" devices ())
(name "moremore" year "1999" manufacturer "SemiCom / Exit" desc "More More" devices ())
(name "moremorp" year "1999" manufacturer "SemiCom / Exit" desc "More More Plus" devices ())
(name "mortalr" year "1995" manufacturer "New Dream Games" desc "Mortal Race" devices ())
(name "mosaic" year "1990" manufacturer "Space" desc "Mosaic" devices ())
(name "mosaica" year "1990" manufacturer "Space (Fuuki license)" desc "Mosaic (Fuuki)" devices ())
(name "mosaicf2" year "1999" manufacturer "F2 System" desc "Mosaic (F2 System)" devices ())
(name "mosdraw" year "1990" manufacturer "Merit" desc "Montana Super Draw (4436-05, U5-0)" devices ())
(name "moshougi" year "1995" manufacturer "ADK / SNK" desc "Shougi no Tatsujin - Master of Shougi" devices ((name "memcard" briefname "memc" ) ()))
(name "motmarco" year "1995" manufacturer "Motorola" desc "Marco" devices ())
(name "motofren" year "1992" manufacturer "Atari Games" desc "Moto Frenzy" devices ())
(name "motofrenft" year "1992" manufacturer "Atari Games" desc "Moto Frenzy (Field Test Version)" devices ())
(name "motofrenmd" year "1992" manufacturer "Atari Games" desc "Moto Frenzy (Mini Deluxe)" devices ())
(name "motofrenmf" year "1992" manufacturer "Atari Games" desc "Moto Frenzy (Mini Deluxe Field Test Version)" devices ())
(name "motogonki" year "198?" manufacturer "Terminal" desc "Motogonki" devices ())
(name "motogp" year "2007" manufacturer "Namco" desc "MotoGP (MGP1004-NA-B)" devices ())
(name "motorace" year "1983" manufacturer "Irem (Williams license)" desc "MotoRace USA" devices ())
(name "motoraid" year "1997" manufacturer "Sega" desc "Motor Raid - Twin" devices ())
(name "motoraiddx" year "1997" manufacturer "Sega" desc "Motor Raid - Twin/DX" devices ())
(name "motos" year "1985" manufacturer "Namco" desc "Motos" devices ())
(name "mototour" year "1983" manufacturer "Irem (Tecfri license)" desc "MotoTour / Zippy Race (Tecfri license)" devices ())
(name "motoxgo" year "1997" manufacturer "Namco" desc "Motocross Go! (US, MG3 Ver. A)" devices ())
(name "motoxgov1a" year "1997" manufacturer "Namco" desc "Motocross Go! (Japan, MG1 Ver. A, set 1)" devices ())
(name "motoxgov1a2" year "1997" manufacturer "Namco" desc "Motocross Go! (Japan, MG1 Ver. A, set 2)" devices ())
(name "motoxgov2a" year "1997" manufacturer "Namco" desc "Motocross Go! (World, MG2 Ver. A, set 1)" devices ())
(name "motoxgov2a2" year "1997" manufacturer "Namco" desc "Motocross Go! (World, MG2 Ver. A, set 2)" devices ())
(name "motrdome" year "1986" manufacturer "Bally" desc "MotorDome (rev. D)" devices ())
(name "motrdomeb" year "1986" manufacturer "Bally" desc "MotorDome (rev. B)" devices ())
(name "motrdomeg" year "1986" manufacturer "Bally" desc "MotorDome (German rev. B)" devices ())
(name "motrshow" year "1989" manufacturer "Zaccaria / Mr Game" desc "Motor Show (set 1)" devices ())
(name "motrshowa" year "1989" manufacturer "Zaccaria / Mr Game" desc "Motor Show (set 2)" devices ())
(name "motrshowb" year "1989" manufacturer "Zaccaria / Mr Game" desc "Motor Show (set 3)" devices ())
(name "mouja" year "1996" manufacturer "Etona" desc "Mouja (Japan)" devices ())
(name "mouncrst" year "1980?" manufacturer "bootleg (Jeutel)" desc "Moune Creste (Jeutel French bootleg of Moon Cresta)" devices ())
(name "mountmon" year "1996" manufacturer "Aristocrat" desc "Mountain Money (0100294V, NSW/ACT)" devices ())
(name "mountmona" year "1996" manufacturer "Aristocrat" desc "Mountain Money (0100289V, NSW/ACT)" devices ())
(name "mountmonce" year "2001" manufacturer "Aristocrat" desc "Mountain Money - Cash Express (AHG1629, US)" devices ())
(name "mountmonu" year "2001" manufacturer "Aristocrat" desc "Mountain Money (BHG1465, US)" devices ())
(name "mountmonua" year "2001" manufacturer "Aristocrat" desc "Mountain Money (BHG1464, US)" devices ())
(name "mouseatk" year "1996" manufacturer "ICE" desc "Mouse Attack" devices ())
(name "mouser" year "1983" manufacturer "UPL" desc "Mouser" devices ())
(name "mouserc" year "1983" manufacturer "UPL (Cosmos license)" desc "Mouser (Cosmos)" devices ())
(name "mousn_l1" year "1989" manufacturer "Bally" desc "Mousin' Around! (LA-1)" devices ())
(name "mousn_l4" year "1989" manufacturer "Bally" desc "Mousin' Around! (LA-4)" devices ())
(name "mousn_lu" year "1989" manufacturer "Bally" desc "Mousin' Around! (LU-1)" devices ())
(name "mousn_lx" year "1989" manufacturer "Bally" desc "Mousin' Around! (LX-1)" devices ())
(name "moviecrd" year "1998" manufacturer "Golden Games / C+M Technics AG" desc "Movie Card" devices ())
(name "movmastr" year "19??" manufacturer "Jac Van Ham (Royal)" desc "Movie Masters" devices ())
(name "mp110" year "1994" manufacturer "Apple Computer" desc "Newton MessagePad 110" devices ())
(name "mp120" year "1995" manufacturer "Apple Computer" desc "Newton MessagePad 120" devices ())
(name "mp130" year "1996" manufacturer "Apple Computer" desc "Newton MessagePad 130" devices ())
(name "mp2000" year "1997" manufacturer "Apple Computer" desc "Newton MessagePad 2000" devices ())
(name "mp2100" year "1997" manufacturer "Apple Computer" desc "Newton MessagePad 2100" devices ())
(name "mp68a" year "1979" manufacturer "Didact AB" desc "mp68a" devices ((name "cassette" briefname "cass" )))
(name "mp_bio" year "1993" manufacturer "Sega" desc "Bio-hazard Battle (Mega Play)" devices ())
(name "mp_col3" year "1993" manufacturer "Sega" desc "Columns III (Mega Play)" devices ())
(name "mp_gaxe2" year "1993" manufacturer "Sega" desc "Golden Axe II (Mega Play) (Rev B)" devices ())
(name "mp_gaxe2a" year "1993" manufacturer "Sega" desc "Golden Axe II (Mega Play)" devices ())
(name "mp_gslam" year "1993" manufacturer "Sega" desc "Grand Slam (Mega Play)" devices ())
(name "mp_gunhe" year "1993" manufacturer "Sega" desc "Gunstar Heroes (Mega Play)" devices ())
(name "mp_mazin" year "1993" manufacturer "Sega" desc "Mazin Wars / Mazin Saga (Mega Play)" devices ())
(name "mp_shnb3" year "1993" manufacturer "Sega" desc "Shinobi III (Mega Play)" devices ())
(name "mp_soni2" year "1993" manufacturer "Sega" desc "Sonic The Hedgehog 2 (Mega Play)" devices ())
(name "mp_sonic" year "1993" manufacturer "Sega" desc "Sonic The Hedgehog (Mega Play)" devices ())
(name "mp_sor2" year "1993" manufacturer "Sega" desc "Streets of Rage II (Mega Play)" devices ())
(name "mp_twcup" year "1993" manufacturer "Sega" desc "Tecmo World Cup (Mega Play)" devices ())
(name "mpang" year "2000" manufacturer "Mitchell (Capcom license)" desc "Mighty! Pang (Europe 001010)" devices ())
(name "mpanga" year "2000" manufacturer "Mitchell (Capcom license)" desc "Mighty! Pang (Asia 001010)" devices ())
(name "mpangj" year "2000" manufacturer "Mitchell (Capcom license)" desc "Mighty! Pang (Japan 001011)" devices ())
(name "mpangr1" year "2000" manufacturer "Mitchell (Capcom license)" desc "Mighty! Pang (Europe 000925)" devices ())
(name "mpangu" year "2000" manufacturer "Mitchell (Capcom license)" desc "Mighty! Pang (USA 001010)" devices ())
(name "mpatrol" year "1982" manufacturer "Irem" desc "Moon Patrol" devices ())
(name "mpatrolw" year "1982" manufacturer "Irem (Williams license)" desc "Moon Patrol (Williams)" devices ())
(name "mpc10" year "1983" manufacturer "Sanyo" desc "MPC-10 / Wavy10 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc100" year "1985" manufacturer "Sanyo" desc "MPC-100 (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc1600" year "1982" manufacturer "Columbia Data Products" desc "MPC 1600" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mpc200" year "1985" manufacturer "Sanyo" desc "MPC-200 (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc200sp" year "1985" manufacturer "Sanyo" desc "MPC-200SP (MSX1, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc2300" year "1987" manufacturer "Sanyo" desc "MPC-2300 (MSX2, USSR)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc2500f" year "1987" manufacturer "Sanyo" desc "MPC-2500FD (MSX2, USSR)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc25fd" year "1985" manufacturer "Sanyo" desc "MPC-25FD (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc25fs" year "1985" manufacturer "Sanyo" desc "MPC-25FS (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc27" year "1985" manufacturer "Sanyo" desc "MPC-27 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc3000" year "1994" manufacturer "Akai / Roger Linn" desc "MPC-3000" devices ((name "floppydisk" briefname "flop" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "mpc60" year "1987" manufacturer "Akai Electric" desc "MPC60 MIDI Production Center" devices ())
(name "mpc64" year "1985" manufacturer "Sanyo" desc "MPC-64 (MSX1, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mpc800" year "1987" manufacturer "G2 Systems" desc "MasterPieCe 800 Series" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "mpc900" year "1988" manufacturer "G2 Systems" desc "MasterPieCe 900 Series" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "mpc900gx" year "1990" manufacturer "G2 Systems" desc "MasterPieCe 900GX Series" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "romimage1" briefname "rom1" ) () ()))
(name "mpchoice" year "1983" manufacturer "Merit" desc "Player's Choice (M4C1)" devices ())
(name "mpchoicea" year "1982" manufacturer "Merit" desc "Player's Choice (M3C1)" devices ())
(name "mpf1" year "1981" manufacturer "Multitech" desc "Micro-Professor 1" devices ((name "cassette" briefname "cass" ) (name "romimage" briefname "rom" )))
(name "mpf1_88" year "1985" manufacturer "Multitech" desc "Micro-Professor I/88" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "mpf1b" year "1982" manufacturer "Multitech" desc "Micro-Professor 1B" devices ((name "cassette" briefname "cass" ) (name "romimage" briefname "rom" )))
(name "mpf1p" year "1983" manufacturer "Multitech" desc "Micro-Professor 1 Plus" devices ((name "cassette" briefname "cass" ) (name "romimage" briefname "rom" )))
(name "mpf2" year "1982" manufacturer "Multitech" desc "Microprofessor II" devices ((name "cassette" briefname "cass" )))
(name "mplanets" year "1983" manufacturer "Gottlieb" desc "Mad Planets" devices ())
(name "mplanetsuk" year "1983" manufacturer "Gottlieb (Taitel license)" desc "Mad Planets (UK)" devices ())
(name "mprof3" year "1983" manufacturer "Multitech" desc "Microprofessor III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "mps1000" year "1986" manufacturer "Commodore Business Machines" desc "MPS-1000 Printer" devices ())
(name "mps1230" year "1988" manufacturer "Commodore Business Machines" desc "MPS-1230 NLQ Printer" devices ())
(name "mps65" year "1984" manufacturer "Thaler" desc "MPS-65" devices ())
(name "mpt02" year "1978" manufacturer "Soundic" desc "Victory MPT-02 Home TV Programmer (Austria)" devices ((name "cartridge" briefname "cart" )))
(name "mpt02h" year "1978" manufacturer "Hanimex" desc "MPT-02 Jeu TV Programmable (France)" devices ((name "cartridge" briefname "cart" )))
(name "mpt05" year "1980" manufacturer "ITMC" desc "MPT-05" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "mpu1000" year "1979" manufacturer "Acetronic" desc "MPU-1000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "mpu2000" year "1979" manufacturer "Acetronic" desc "MPU-2000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "mpu9088vf" year "198?" manufacturer "MY-COM" desc "MPU-9088-VF" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mpumpkin" year "1996" manufacturer "Capcom" desc "Magical Pumpkin: Puroland de Daibouken (Japan 960712)" devices ())
(name "mpx16" year "198?" manufacturer "Micromint" desc "MPX-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "mpz80" year "1980" manufacturer "Morrow Designs" desc "MPZ80" devices ((name "floppydisk" briefname "flop" )))
(name "mquake" year "1987" manufacturer "Sente" desc "Moonquake" devices ())
(name "mr61" year "1996" manufacturer "Ensoniq" desc "MR-61 Workstation" devices ())
(name "mrangbat" year "2005" manufacturer "Bandai / SSD Company LTD" desc "Let's! TV Play Mahou Taiketsu Magiranger - Magimat de Dance & Battle (Japan)" devices ())
(name "mranger" year "1982" manufacturer "bootleg" desc "Moon Ranger (bootleg of Moon Patrol)" devices ())
(name "mratlus" year "1983" manufacturer "H.G.S." desc "Mr. Altus Tele Brain" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "mrblack" year "1984" manufacturer "Taito do Brasil" desc "Mr. Black (set 1)" devices ())
(name "mrblack1" year "1985" manufacturer "Taito do Brasil" desc "Mr. Black (set 2)" devices ())
(name "mrblkz80" year "198?" manufacturer "Taito do Brasil" desc "Mr. Black (Z-80 CPU)" devices ())
(name "mrchalgr" year "1979" manufacturer "Texas Instruments" desc "Mr. Challenger (US)" devices ())
(name "mrdig" year "2000" manufacturer "Sun" desc "Mr. Dig" devices ())
(name "mrdo" year "1982" manufacturer "Universal" desc "Mr. Do!" devices ())
(name "mrdobl" year "1982" manufacturer "bootleg" desc "Mr. Do! (bootleg)" devices ())
(name "mrdofabr" year "1982" manufacturer "bootleg (Fabremar)" desc "Mr. Do! (Fabremar bootleg)" devices ())
(name "mrdofix" year "1982" manufacturer "Universal (Taito license)" desc "Mr. Do! (bugfixed)" devices ())
(name "mrdot" year "1982" manufacturer "Universal (Taito license)" desc "Mr. Do! (Taito)" devices ())
(name "mrdoy" year "1982" manufacturer "Universal" desc "Mr. Do! (prototype)" devices ())
(name "mrdrillr" year "1999" manufacturer "Namco" desc "Mr. Driller (US, DRI3/VER.A2)" devices ())
(name "mrdrillrj" year "1999" manufacturer "Namco" desc "Mr. Driller (Japan, DRI1/VER.A2)" devices ())
(name "mrdrilr2" year "2000" manufacturer "Namco" desc "Mr. Driller 2 (World, DR22 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mrdrilr2j" year "2000" manufacturer "Namco" desc "Mr. Driller 2 (Japan, DR21 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mrdrilr2u" year "2000" manufacturer "Namco" desc "Mr. Driller 2 (US, DR23 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mrdrilrg" year "2001" manufacturer "Namco" desc "Mr. Driller G (Japan, DRG1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "mrdu" year "1982" manufacturer "bootleg" desc "Mr. Du!" devices ())
(name "mrflea" year "1982" manufacturer "Pacific Novelty" desc "The Amazing Adventures of Mr. F. Lea" devices ())
(name "mrgoemon" year "1986" manufacturer "Konami" desc "Mr. Goemon (Japan)" devices ())
(name "mrheli" year "1987" manufacturer "Irem" desc "Mr. HELI no Daibouken (Japan)" devices ())
(name "mrisc" year "1992" manufacturer "Hegener + Glaser / Tasc" desc "Mephisto Risc 1MB" devices ())
(name "mrisc2" year "1994" manufacturer "Hegener + Glaser / Tasc" desc "Mephisto Risc II" devices ())
(name "mrjong" year "1983" manufacturer "Kiwako" desc "Mr. Jong (Japan)" devices ())
(name "mrkicker" year "2001" manufacturer "SemiCom" desc "Mr. Kicker (F-E1-16-010 PCB)" devices ())
(name "mrkickera" year "2001" manufacturer "SemiCom" desc "Mr. Kicker (SEMICOM-003b PCB)" devices ())
(name "mrkougar" year "1984" manufacturer "ATW" desc "Mr. Kougar" devices ())
(name "mrkougar2" year "1983" manufacturer "ATW" desc "Mr. Kougar (earlier)" devices ())
(name "mrkougb" year "1984" manufacturer "bootleg (Gross)" desc "Mr. Kougar (German bootleg)" devices ())
(name "mrkougb2" year "1983" manufacturer "bootleg" desc "Mr. Kougar (bootleg)" devices ())
(name "mrlo" year "1982" manufacturer "bootleg" desc "Mr. Lo!" devices ())
(name "mrmusical" year "1978" manufacturer "Concept 2000" desc "Mr. Mus-I-Cal" devices ())
(name "mrokumei" year "1988" manufacturer "Home Data" desc "Mahjong Rokumeikan (Japan)" devices ())
(name "mroundup" year "1984" manufacturer "Merit" desc "The Round Up" devices ())
(name "mrrack" year "1996" manufacturer "Ensoniq" desc "MR-Rack" devices ())
(name "mrsdyna" year "1982" manufacturer "Universal" desc "Mrs. Dynamite" devices ())
(name "mrtlbeat" year "2002" manufacturer "Konami" desc "Martial Beat (G*B47 VER. JBA)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "mrtlbeata" year "2002" manufacturer "Konami" desc "Martial Beat (G*B47 VER. JAB)" devices ((name "cdrom" briefname "cdrm" ) (name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" )))
(name "mrtnt" year "1983" manufacturer "Techstar (Telko license)" desc "Mr. TNT" devices ())
(name "mrviking" year "1984" manufacturer "Sega" desc "Mister Viking (315-5041)" devices ())
(name "mrvikingj" year "1984" manufacturer "Sega" desc "Mister Viking (315-5041, Japan)" devices ())
(name "mrwoo" year "200?" manufacturer "Aristocrat" desc "Mr Woo (0252599, US)" devices ())
(name "ms0515" year "1990" manufacturer "Elektronika" desc "MS 0515" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ms1600" year "1987" manufacturer "ILCE / SEP" desc "Micro-SEP 1600" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "ms3" year "1994" manufacturer "IGT" desc "Multistar 3" devices ())
(name "ms4125" year "199?" manufacturer "MSI" desc "MS-4125" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ms4132" year "199?" manufacturer "MSI" desc "MS-4132 G VER:1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ms4134" year "199?" manufacturer "MSI" desc "MS-4134" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ms4138" year "199?" manufacturer "MSI" desc "MS-4138" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ms4144" year "199?" manufacturer "MSI" desc "MS-4144" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "ms4145" year "199?" manufacturer "MSI" desc "MS-4145" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ms4plus" year "2002" manufacturer "bootleg" desc "Metal Slug 4 Plus (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "ms5pcb" year "2003" manufacturer "SNK Playmore" desc "Metal Slug 5 (JAMMA PCB)" devices ())
(name "ms5plus" year "2003" manufacturer "bootleg" desc "Metal Slug 5 Plus (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "ms6102" year "1984" manufacturer "Elektronika" desc "MS 6102.02" devices ((name "bitbanger" briefname "bitb" )))
(name "ms72c" year "1994" manufacturer "IGT" desc "Multistar 7 2c" devices ())
(name "ms9540" year "198?" manufacturer "Millennium Systems" desc "ms9540" devices ())
(name "msbamby" year "198?" manufacturer "Automatics Pasqual" desc "Miss Bamby" devices ())
(name "msbc1" year "1985" manufacturer "Omnibyte" desc "MSBC-1" devices ())
(name "msbingo" year "1994" manufacturer "Min Corp." desc "Miss Bingo" devices ())
(name "mschamp" year "1992" manufacturer "hack" desc "Ms. Pacman Champion Edition / Zola-Puc Gal" devices ())
(name "mschamps" year "1995" manufacturer "hack" desc "Ms. Pacman Champion Edition / Super Zola-Puc Gal" devices ())
(name "mscoutm" year "1994" manufacturer "Sphinx / AV Japan" desc "Mahjong Scout Man (Japan)" devices ())
(name "msdisco" year "1983" manufacturer "Playmatic" desc "Miss Disco (Bingo)" devices ())
(name "msgogo" year "1995" manufacturer "Metro" desc "Mouse Shooter GoGo" devices ())
(name "msgundam" year "1993" manufacturer "Banpresto / Allumer" desc "Mobile Suit Gundam" devices ())
(name "msgundam1" year "1993" manufacturer "Banpresto / Allumer" desc "Mobile Suit Gundam (Japan)" devices ())
(name "msgundamb" year "1993" manufacturer "bootleg" desc "Mobile Suit Gundam (bootleg)" devices ())
(name "msh" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Europe 951024)" devices ())
(name "msha" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Asia 951024)" devices ())
(name "mshb" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Brazil 951117)" devices ())
(name "mshbr1" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Brazil 951024)" devices ())
(name "msheartb" year "1989" manufacturer "hack (Two-Bit Score)" desc "Ms. Pac-Man Heart Burn" devices ())
(name "mshh" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Hispanic 951117)" devices ())
(name "mshj" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Japan 951117)" devices ())
(name "mshjr1" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (Japan 951024)" devices ())
(name "mshu" year "1995" manufacturer "Capcom" desc "Marvel Super Heroes (USA 951024)" devices ())
(name "mshud" year "1995" manufacturer "bootleg" desc "Marvel Super Heroes (USA 951024 Phoenix Edition) (bootleg)" devices ())
(name "mshuttle" year "1981" manufacturer "Nichibutsu" desc "Moon Shuttle (US? set 1)" devices ())
(name "mshuttle2" year "1981" manufacturer "Nichibutsu" desc "Moon Shuttle (US? set 2)" devices ())
(name "mshuttlea" year "1981" manufacturer "Nichibutsu" desc "Moon Shuttle (US, version A)" devices ())
(name "mshuttlej" year "1981" manufacturer "Nichibutsu" desc "Moon Shuttle (Japan set 1)" devices ())
(name "mshuttlej2" year "1981" manufacturer "Nichibutsu" desc "Moon Shuttle (Japan set 2)" devices ())
(name "mshvsf" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Europe 970625)" devices ())
(name "mshvsfa" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Asia 970625)" devices ())
(name "mshvsfa1" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Asia 970620)" devices ())
(name "mshvsfb" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Brazil 970827)" devices ())
(name "mshvsfb1" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Brazil 970625)" devices ())
(name "mshvsfh" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Hispanic 970625)" devices ())
(name "mshvsfj" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Japan 970707)" devices ())
(name "mshvsfj1" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Japan 970702)" devices ())
(name "mshvsfj2" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (Japan 970625)" devices ())
(name "mshvsfu" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (USA 970827)" devices ())
(name "mshvsfu1" year "1997" manufacturer "Capcom" desc "Marvel Super Heroes Vs. Street Fighter (USA 970625)" devices ())
(name "mshvsfu1d" year "1997" manufacturer "bootleg" desc "Marvel Super Heroes Vs. Street Fighter (USA 970625 Phoenix Edition) (bootleg)" devices ())
(name "msi_sf2" year "2018" manufacturer "MSI / Capcom / Sega" desc "Street Fighter II: Special Champion Edition (MSI Plug & Play) (Europe)" devices ())
(name "msidd" year "2017" manufacturer "MSI / Arc System Works" desc "Double Dragon - 30 Years Anniversary (Plug & Play)" devices ())
(name "msifrog" year "2016" manufacturer "MSI / Konami" desc "Frogger (MSI Plug & Play, white joystick)" devices ())
(name "msimm2" year "2017" manufacturer "MSI / Capcom" desc "Mega Man 2 (MSI Plug & Play)" devices ())
(name "msimpac" year "2016" manufacturer "MSI / Bandai Namco" desc "Ms. Pac-Man (MSI Plug & Play)" devices ())
(name "msinamco" year "2018" manufacturer "MSI / Bandai Namco" desc "Namco Classics Vol.1 (3-in-1) (MSI Plug & Play)" devices ())
(name "msisaac" year "1985" manufacturer "Taito Corporation" desc "Metal Soldier Isaac II" devices ())
(name "msisinv" year "2016" manufacturer "MSI / Taito" desc "Space Invaders (MSI Plug & Play)" devices ())
(name "msiwwe" year "2017" manufacturer "MSI" desc "WWE Wrestlemania Steel Cage Challenge (Plug & Play) (set 1)" devices ())
(name "msiwwea" year "2017" manufacturer "MSI" desc "WWE Wrestlemania Steel Cage Challenge (Plug & Play) (set 2)" devices ())
(name "msjiken" year "1988" manufacturer "Nichibutsu" desc "Mahjong Satsujin Jiken (Japan 881017)" devices ())
(name "mskitty" year "2005" manufacturer "Aristocrat" desc "Miss Kitty (10216611, NSW/ACT)" devices ())
(name "mslider" year "1997" manufacturer "Visco / Datt Japan" desc "Monster Slider (Japan)" devices ())
(name "mslug" year "1996" manufacturer "Nazca" desc "Metal Slug - Super Vehicle-001" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug2" year "1998" manufacturer "SNK" desc "Metal Slug 2 - Super Vehicle-001/II (NGM-2410 ~ NGH-2410)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug2t" year "2015" manufacturer "hack (trap15)" desc "Metal Slug 2 Turbo (NGM-9410) (hack)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug3" year "2000" manufacturer "SNK" desc "Metal Slug 3 (NGM-2560)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug3a" year "2000" manufacturer "SNK" desc "Metal Slug 3 (NGM-2560, earlier)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug3b6" year "2000" manufacturer "bootleg" desc "Metal Slug 6 (bootleg of Metal Slug 3)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug3h" year "2000" manufacturer "SNK" desc "Metal Slug 3 (NGH-2560)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug4" year "2002" manufacturer "Mega / Noise Factory / Playmore" desc "Metal Slug 4 (NGM-2630)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug4h" year "2002" manufacturer "Mega / Noise Factory / Playmore" desc "Metal Slug 4 (NGH-2630)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug5" year "2003" manufacturer "SNK Playmore" desc "Metal Slug 5 (NGM-2680)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug5b" year "2003" manufacturer "bootleg" desc "Metal Slug 5 (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug5h" year "2003" manufacturer "SNK Playmore" desc "Metal Slug 5 (NGH-2680)" devices ((name "memcard" briefname "memc" ) ()))
(name "mslug6" year "2006" manufacturer "Sega / SNK Playmore" desc "Metal Slug 6" devices ())
(name "mslugx" year "1999" manufacturer "SNK" desc "Metal Slug X - Super Vehicle-001 (NGM-2500 ~ NGH-2500)" devices ((name "memcard" briefname "memc" ) ()))
(name "msm3" year "1987" manufacturer "ILCE / SEP" desc "Micro-Sep Model 3" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "msoccer" year "1978" manufacturer "Mattel Electronics" desc "Soccer (Mattel)" devices ())
(name "msoccer2" year "1979" manufacturer "Mattel Electronics" desc "Soccer 2 (Mattel)" devices ())
(name "mspacii" year "1981" manufacturer "bootleg (Orca)" desc "Ms. Pac-Man II (Orca bootleg set 1)" devices ())
(name "mspacii2" year "1981" manufacturer "bootleg (Orca)" desc "Ms. Pac-Man II (Orca bootleg set 2)" devices ())
(name "mspackpls" year "1981" manufacturer "hack" desc "Miss Packman Plus" devices ())
(name "mspacmab" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg, set 1)" devices ())
(name "mspacmab2" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg, set 2)" devices ())
(name "mspacmab3" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg, set 3)" devices ())
(name "mspacmab4" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg, set 4)" devices ())
(name "mspacman" year "1981" manufacturer "Midway / General Computer Corporation" desc "Ms. Pac-Man" devices ())
(name "mspacmanbcc" year "1991" manufacturer "bootleg (Tecnausa)" desc "Come-Cocos (Ms. Pac-Man) ('Made in Greece' Tecnausa bootleg)" devices ())
(name "mspacmanbco" year "1992" manufacturer "bootleg (Cocamatic)" desc "Come-Cocos (Ms. Pac-Man) (Cocamatic bootleg)" devices ())
(name "mspacmanbg" year "198?" manufacturer "bootleg" desc "Ms. Pac-Man ('Made in Greece' bootleg, set 1)" devices ())
(name "mspacmanbg2" year "1997" manufacturer "bootleg" desc "Ms. Pac-Man ('Made in Greece' bootleg, set 2)" devices ())
(name "mspacmanbgc" year "1992" manufacturer "bootleg (Enavi)" desc "Ms. Pac-Man ('Made in Greece' Enavi bootleg)" devices ())
(name "mspacmanbgd" year "1992" manufacturer "bootleg (Datamat)" desc "Miss Pukman ('Made in Greece' Datamat bootleg)" devices ())
(name "mspacmanbgf" year "1988" manufacturer "bootleg (Fermin)" desc "Mr Pac-Turbo ('Made in Greece' Fermin bootleg)" devices ())
(name "mspacmanbhe" year "1991" manufacturer "bootleg (Herle SA)" desc "Come-Cocos (Ms. Pac-Man) ('Made in Greece' Herle SA bootleg)" devices ())
(name "mspacmanbi" year "1993" manufacturer "bootleg (Impeuropex)" desc "Ms. Pac-Man (Impeuropex bootleg)" devices ())
(name "mspacmanblt" year "1992" manufacturer "bootleg (Triunvi)" desc "Come-Cocos (Ms. Pac-Man) ('Made in Greece' Triunvi bootleg, set 1)" devices ())
(name "mspacmanblt2" year "1992" manufacturer "bootleg (Triunvi)" desc "Come-Cocos (Ms. Pac-Man) ('Made in Greece' Triunvi bootleg, set 2)" devices ())
(name "mspacmancr" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg on Crush Roller Hardware)" devices ())
(name "mspacmane" year "1983" manufacturer "bootleg (Elmac)" desc "Ms. Pac-Man (Elmac bootleg, earlier)" devices ())
(name "mspacmane2" year "1984" manufacturer "bootleg (Elmac)" desc "Ms. Pac-Man (Elmac bootleg, later)" devices ())
(name "mspacmanhnc" year "1986" manufacturer "hack" desc "Super Ms. Pac-Man (turbo hack, NVC284/NVC285 hardware)" devices ())
(name "mspacmanlai" year "1982" manufacturer "bootleg (Leisure and Allied)" desc "Ms. Pac-Man (Leisure and Allied bootleg)" devices ())
(name "mspacmat" year "1981" manufacturer "hack" desc "Ms. Pac Attack" devices ())
(name "mspacmbe" year "1981" manufacturer "bootleg" desc "Ms. Pac-Man (bootleg, encrypted)" devices ())
(name "mspacmbmc" year "1982" manufacturer "bootleg (Marti Colls)" desc "Ms. Pac-Man (Marti Colls bootleg)" devices ())
(name "mspacmbn" year "1981" manufacturer "bootleg (Novatronic)" desc "Ms. Pac-Man (Novatronic bootleg)" devices ())
(name "mspacmnf" year "1981" manufacturer "hack" desc "Ms. Pac-Man (speedup hack)" devices ())
(name "mspacpls" year "1981" manufacturer "hack" desc "Ms. Pac-Man Plus" devices ())
(name "mspactwin" year "1992" manufacturer "hack (Susilu)" desc "Ms Pac Man Twin (Argentina, set 1)" devices ())
(name "mspactwina" year "1992" manufacturer "hack (Susilu)" desc "Ms Pac Man Twin (Argentina, set 2)" devices ())
(name "mspuzzle" year "1994" manufacturer "Min Corp." desc "Miss Puzzle" devices ())
(name "mspuzzlea" year "1994" manufacturer "Min Corp." desc "Miss Puzzle (Nudes, less explicit)" devices ())
(name "mspuzzleb" year "1994" manufacturer "Min Corp." desc "Miss Puzzle (Nudes, more explicit)" devices ())
(name "mspuzzleg" year "1994" manufacturer "Min Corp." desc "Miss Puzzle (Clone of Gumbo)" devices ())
(name "mstadium" year "1989" manufacturer "Konami" desc "Main Stadium (Japan)" devices ())
(name "mstation" year "1999" manufacturer "CIDCO" desc "MailStation" devices ())
(name "msthawk" year "1982" manufacturer "Mattel Electronics" desc "Star Hawk (Mattel)" devices ())
(name "mstworld" year "1994" manufacturer "bootleg (TCH)" desc "Monsters World (bootleg of Super Pang)" devices ())
(name "mstworld2" year "1994" manufacturer "bootleg" desc "Monsters World 2 (bootleg of Super Pang)" devices ())
(name "msupstar" year "1989" manufacturer "Merit" desc "Superstar (4435-81, U5-1)" devices ())
(name "msword" year "1990" manufacturer "Capcom" desc "Magic Sword: Heroic Fantasy (World 900725)" devices ())
(name "mswordj" year "1990" manufacturer "Capcom" desc "Magic Sword: Heroic Fantasy (Japan 900623)" devices ())
(name "mswordr1" year "1990" manufacturer "Capcom" desc "Magic Sword: Heroic Fantasy (World 900623)" devices ())
(name "mswordu" year "1990" manufacturer "Capcom" desc "Magic Sword: Heroic Fantasy (USA 900725)" devices ())
(name "mt32" year "1987" manufacturer "Roland" desc "MT-32" devices ())
(name "mt420" year "1986" manufacturer "Micro-Term" desc "Micro-Term 420" devices ())
(name "mt440" year "1986" manufacturer "Micro-Term" desc "Micro-Term 440" devices ())
(name "mt5510" year "1988" manufacturer "Microterm" desc "Microterm 5510" devices ())
(name "mt65" year "1979" manufacturer "Tangerine" desc "Microtan 65" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" )))
(name "mt6809" year "1984" manufacturer "Tangerine" desc "Microtan 6809 System" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mt735" year "1990" manufacturer "Mannesmann Tally" desc "MT735" devices ())
(name "mt80s" year "1995" manufacturer "Roland" desc "MT 80s Music Player" devices ())
(name "mt80z" year "1982" manufacturer "E&L Instruments" desc "MT-80Z" devices ((name "cassette" briefname "cass" ) (name "romimage" briefname "rom" )))
(name "mt_aftrb" year "1987" manufacturer "Sega" desc "After Burner (Mega-Tech, SMS based)" devices (()))
(name "mt_arrow" year "1990" manufacturer "Sega" desc "Arrow Flash (Mega-Tech)" devices (()))
(name "mt_astrm" year "1990" manufacturer "Sega" desc "Alien Storm (Mega-Tech)" devices (()))
(name "mt_astro" year "1986" manufacturer "Sega" desc "Astro Warrior (Mega-Tech, SMS based)" devices (()))
(name "mt_asyn" year "1987" manufacturer "Sega" desc "Alien Syndrome (Mega-Tech, SMS based)" devices (()))
(name "mt_bbros" year "1991" manufacturer "Sega" desc "Bonanza Bros. (Mega-Tech)" devices (()))
(name "mt_beast" year "1988" manufacturer "Sega" desc "Altered Beast (Mega-Tech)" devices (()))
(name "mt_calga" year "1991" manufacturer "Sega" desc "California Games (Mega-Tech)" devices (()))
(name "mt_cols" year "1990" manufacturer "Sega" desc "Columns (Mega-Tech)" devices (()))
(name "mt_crack" year "1990" manufacturer "Sega" desc "Crack Down (Mega-Tech)" devices (()))
(name "mt_eswat" year "1990" manufacturer "Sega" desc "Cyber Police ESWAT: Enhanced Special Weapons and Tactics (Mega-Tech)" devices (()))
(name "mt_fshrk" year "1990" manufacturer "Toaplan / Sega" desc "Fire Shark (Mega-Tech)" devices (()))
(name "mt_fwrld" year "1989" manufacturer "Sega" desc "Forgotten Worlds (Mega-Tech)" devices (()))
(name "mt_fz" year "1987" manufacturer "Sega" desc "Fantasy Zone (Mega-Tech, SMS based)" devices (()))
(name "mt_gaxe" year "1989" manufacturer "Sega" desc "Golden Axe (Mega-Tech)" devices (()))
(name "mt_gaxe2" year "1991" manufacturer "Sega" desc "Golden Axe II (Mega-Tech)" devices (()))
(name "mt_gfoot" year "1987" manufacturer "Sega" desc "Great Football (Mega-Tech, SMS based)" devices (()))
(name "mt_ggolf" year "1987" manufacturer "Sega" desc "Great Golf (Mega-Tech, SMS based)" devices (()))
(name "mt_gng" year "1989" manufacturer "Capcom / Sega" desc "Ghouls'n Ghosts (Mega-Tech)" devices (()))
(name "mt_gsocr" year "198?" manufacturer "Sega" desc "Great Soccer (Mega-Tech, SMS based)" devices (()))
(name "mt_kcham" year "1992" manufacturer "Sega" desc "Kid Chameleon (Mega-Tech)" devices (()))
(name "mt_lastb" year "1989" manufacturer "Sega" desc "Last Battle (Mega-Tech)" devices (()))
(name "mt_mlh" year "1991" manufacturer "Sega" desc "Mario Lemieux Hockey (Mega-Tech)" devices (()))
(name "mt_mwalk" year "1990" manufacturer "Sega" desc "Michael Jackson's Moonwalker (Mega-Tech)" devices (()))
(name "mt_mystd" year "1989" manufacturer "Sega" desc "Mystic Defender (Mega-Tech)" devices (()))
(name "mt_orun" year "1987" manufacturer "Sega" desc "Out Run (Mega-Tech, SMS based)" devices (()))
(name "mt_parlg" year "1987" manufacturer "Sega" desc "Parlour Games (Mega-Tech, SMS based)" devices (()))
(name "mt_revsh" year "1989" manufacturer "Sega" desc "The Revenge of Shinobi (Mega-Tech)" devices (()))
(name "mt_shado" year "1990" manufacturer "Sega" desc "Shadow Dancer (Mega-Tech)" devices (()))
(name "mt_shang" year "1989" manufacturer "Sega" desc "Super Hang-On (Mega-Tech)" devices (()))
(name "mt_shar2" year "1988" manufacturer "Sega" desc "Space Harrier II (Mega-Tech)" devices (()))
(name "mt_shnbi" year "1987" manufacturer "Sega" desc "Shinobi (Mega-Tech, SMS based)" devices (()))
(name "mt_smgp" year "1990" manufacturer "Sega" desc "Super Monaco GP (Mega-Tech)" devices (()))
(name "mt_soni2" year "1992" manufacturer "Sega" desc "Sonic The Hedgehog 2 (Mega-Tech)" devices (()))
(name "mt_sonia" year "1991" manufacturer "Sega" desc "Sonic The Hedgehog (Mega-Tech, set 2)" devices (()))
(name "mt_sonic" year "1991" manufacturer "Sega" desc "Sonic The Hedgehog (Mega-Tech, set 1)" devices (()))
(name "mt_spman" year "1991" manufacturer "Sega / Marvel" desc "Spider-Man vs The Kingpin (Mega-Tech)" devices (()))
(name "mt_srage" year "1991" manufacturer "Sega" desc "Streets of Rage (Mega-Tech)" devices (()))
(name "mt_srbb" year "1989" manufacturer "Sega" desc "Super Real Basketball (Mega-Tech)" devices (()))
(name "mt_stbld" year "1988" manufacturer "Sega" desc "Super Thunder Blade (Mega-Tech)" devices (()))
(name "mt_stf" year "1991" manufacturer "Sega" desc "Joe Montana II: Sports Talk Football (Mega-Tech)" devices (()))
(name "mt_tetri" year "1989" manufacturer "Sega" desc "Tetris (Mega-Tech)" devices (()))
(name "mt_tfor2" year "1989" manufacturer "Techno Soft / Sega" desc "Thunder Force II MD (Mega-Tech)" devices (()))
(name "mt_tgolf" year "1989" manufacturer "Sega" desc "Arnold Palmer Tournament Golf (Mega-Tech)" devices (()))
(name "mt_tlbba" year "1989" manufacturer "Sega" desc "Tommy Lasorda Baseball (Mega-Tech)" devices (()))
(name "mt_tout" year "1992" manufacturer "Sega" desc "Turbo Outrun (Mega-Tech)" devices (()))
(name "mt_wcsoc" year "1989" manufacturer "Sega" desc "World Championship Soccer (Mega-Tech)" devices (()))
(name "mt_wwar" year "1991" manufacturer "Sega" desc "Wrestle War (Mega-Tech)" devices (()))
(name "mtburn" year "2001" manufacturer "WMS" desc "Money To Burn (English)" devices ())
(name "mtburnr" year "2000" manufacturer "WMS" desc "Money To Burn (Russian)" devices ())
(name "mtc9016" year "1978" manufacturer "Mustang" desc "9016 Telespiel Computer (Germany)" devices ((name "cartridge" briefname "cart" )))
(name "mtchxl5k" year "1998" manufacturer "Merit Industries" desc "MegaTouch XL Super 5000 (Version R5I)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxl5ko" year "1998" manufacturer "Merit Industries" desc "MegaTouch XL Super 5000 (Version R5B)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxl5ko2" year "1998" manufacturer "Merit Industries" desc "MegaTouch XL Super 5000 (Version R5E)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxl6k" year "1999" manufacturer "Merit Industries" desc "MegaTouch XL 6000 (Version r07)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxl6ko" year "1999" manufacturer "Merit Industries" desc "MegaTouch XL 6000 (Version r02)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxl6ko4" year "1999" manufacturer "Merit Industries" desc "MegaTouch XL 6000 (Version r04)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxlgld" year "2000" manufacturer "Merit Industries" desc "MegaTouch XL Gold (Version r01)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxlgldo" year "2000" manufacturer "Merit Industries" desc "MegaTouch XL Gold (Version r00)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtchxlti" year "2002" manufacturer "bootleg" desc "MegaTouch XL Titanium (Version r0?, cracked)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "mtd1256" year "1992" manufacturer "Geonica" desc "Meteodata 1256" devices ())
(name "mtetrisc" year "1998" manufacturer "Capcom" desc "Magical Tetris Challenge (981009 Japan)" devices ())
(name "mtjpoker" year "1994" manufacturer "Merit" desc "Merit Touch Joker Poker (9132-00)" devices ())
(name "mtlchamp" year "1993" manufacturer "Konami" desc "Martial Champion (ver EAB)" devices ())
(name "mtlchamp1" year "1993" manufacturer "Konami" desc "Martial Champion (ver EAA)" devices ())
(name "mtlchampa" year "1993" manufacturer "Konami" desc "Martial Champion (ver AAA)" devices ())
(name "mtlchampj" year "1993" manufacturer "Konami" desc "Martial Champion (ver JAA)" devices ())
(name "mtlchampu" year "1993" manufacturer "Konami" desc "Martial Champion (ver UAE)" devices ())
(name "mtlchampu1" year "1993" manufacturer "Konami" desc "Martial Champion (ver UAD)" devices ())
(name "mtouchxl" year "1997" manufacturer "Merit Industries" desc "MegaTouch XL (Version R1, prototype?)" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "mtrain" year "1997" manufacturer "Subsino" desc "Magic Train (Ver. 1.4)" devices ())
(name "mtraina" year "1996" manufacturer "Subsino" desc "Magic Train (Ver. 1.31)" devices ())
(name "mtrainnv" year "1996" manufacturer "Subsino" desc "Magic Train (Clear NVRAM ROM?)" devices ())
(name "mtrap" year "1981" manufacturer "Exidy" desc "Mouse Trap (version 5)" devices ())
(name "mtrap2" year "1981" manufacturer "Exidy" desc "Mouse Trap (version 2)" devices ())
(name "mtrap3" year "1981" manufacturer "Exidy" desc "Mouse Trap (version 3)" devices ())
(name "mtrap4" year "1981" manufacturer "Exidy" desc "Mouse Trap (version 4)" devices ())
(name "mtrap4g" year "1981" manufacturer "Exidy" desc "Mouse Trap (German, version 4)" devices ())
(name "mtrapb" year "1981" manufacturer "bootleg" desc "Mouse Trap (bootleg)" devices ())
(name "mtrapb2" year "1981" manufacturer "bootleg" desc "Mouse Trap (version 4, bootleg)" devices ())
(name "mtu130" year "1981" manufacturer "Micro Technology Unlimited" desc "MTU-130" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" )))
(name "mtwinbee" year "1995" manufacturer "Konami" desc "Magical Twin Bee (ver EAA)" devices ())
(name "mtwins" year "1990" manufacturer "Capcom" desc "Mega Twins (World 900619)" devices ())
(name "mtwinsb" year "1993" manufacturer "David Inc. (bootleg)" desc "Twins (bootleg of Mega Twins)" devices ())
(name "mtx500" year "1983" manufacturer "Memotech Ltd" desc "MTX 500" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "romimage" briefname "rom" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "mtx512" year "1983" manufacturer "Memotech Ltd" desc "MTX 512" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "romimage" briefname "rom" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "mu10" year "1994" manufacturer "Yamaha" desc "MU10" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "mu100" year "1997" manufacturer "Yamaha" desc "MU100" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu1000" year "1999" manufacturer "Yamaha" desc "MU1000" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu100b" year "1998" manufacturer "Yamaha" desc "MU100 Screenless version" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu100r" year "1997" manufacturer "Yamaha" desc "MU100 Rackable version" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu128" year "1998" manufacturer "Yamaha" desc "MU128" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu15" year "1998" manufacturer "Yamaha" desc "MU15" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "mu2000" year "1999" manufacturer "Yamaha" desc "MU2000" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu5" year "1994" manufacturer "Yamaha" desc "MU-5" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "mu50" year "1995" manufacturer "Yamaha" desc "MU50" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "mu500" year "2000" manufacturer "Yamaha" desc "MU500" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu80" year "1994" manufacturer "Yamaha" desc "MU80" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mu90" year "1996" manufacturer "Yamaha" desc "MU90" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "mugsmash" year "1990?" manufacturer "Electronic Devices Italy / 3D Games England" desc "Mug Smashers" devices ())
(name "multchmp" year "1999" manufacturer "ESD" desc "Multi Champ (World, ver. 2.5)" devices ())
(name "multchmpa" year "1998" manufacturer "ESD" desc "Multi Champ (World, older)" devices ())
(name "multchmpk" year "1998" manufacturer "ESD" desc "Multi Champ (Korea, older)" devices ())
(name "multi16" year "1984" manufacturer "Mitsubishi" desc "MULTI 16-II MP-1645" devices ((name "floppydisk" briefname "flop" )))
(name "multi8" year "1983" manufacturer "Mitsubishi" desc "Multi 8 (Mitsubishi)" devices ((name "cassette" briefname "cass" )))
(name "multi96" year "1996" manufacturer "Barko Corp." desc "Multi Game '96 (Italy)" devices ())
(name "multibaby" year "1990" manufacturer "Oper Coin" desc "Multi Baby" devices ())
(name "multidrw" year "2000" manufacturer "Aristocrat" desc "Multidraw - Free Games (0200956V, NSW/ACT)" devices ())
(name "multigam" year "1992" manufacturer "<unknown>" desc "Multi Game (set 1)" devices ())
(name "multigm2" year "1992" manufacturer "Seo Jin" desc "Multi Game 2" devices ())
(name "multigm3" year "1992" manufacturer "Seo Jin" desc "Multi Game III" devices ())
(name "multigmb" year "1992" manufacturer "<unknown>" desc "Multi Game (set 2)" devices ())
(name "multigmt" year "1992" manufacturer "Tung Sheng Electronics" desc "Multi Game (Tung Sheng Electronics)" devices ())
(name "multiped" year "2002" manufacturer "hack (Braze Technologies)" desc "Multipede (Centipede/Millipede multigame kit)" devices ())
(name "multiwin" year "1992" manufacturer "Fun World" desc "Multi Win (Ver.0167, encrypted)" devices ())
(name "multiwina" year "1991" manufacturer "Fun World" desc "Multi Win (Ver.0091, encrypted)" devices ())
(name "multiwinb" year "2001" manufacturer "Amatic" desc "Multi Win (EPM7032, encrypted)" devices ())
(name "multmega" year "1994" manufacturer "Sega" desc "Multi-Mega (Europe, PAL)" devices ((name "cdrom" briefname "cdrm" )))
(name "multy" year "1987" manufacturer "Deta" desc "Multy" devices ())
(name "mundial" year "1990" manufacturer "Inder" desc "Mundial 90" devices ())
(name "mupid2" year "1985" manufacturer "mupid" desc "Post-Mupid C2A2" devices ())
(name "mupid2i" year "1990" manufacturer "Infonova" desc "C2A2" devices ())
(name "murogem" year "198?" manufacturer "<unknown>" desc "Muroge Monaco (set 1)" devices ())
(name "murogema" year "198?" manufacturer "<unknown>" desc "Muroge Monaco (set 2)" devices ())
(name "murogemb" year "198?" manufacturer "<unknown>" desc "Muroge Monaco (set 3)" devices ())
(name "murogmbl" year "1982" manufacturer "bootleg?" desc "Muroge Monaco (bootleg?)" devices ())
(name "musclem" year "1997" manufacturer "Inter Geo" desc "Muscle Master" devices ())
(name "musclhit" year "2000" manufacturer "Konami / TBS" desc "Muscle Ranking Kinniku Banzuke Spray Hitter" devices ((name "harddisk" briefname "hard" )))
(name "mushi2eo" year "2005" manufacturer "Sega" desc "Mushiking The King Of Beetles - Mushiking II / III / III+ (Ver. 1.001) (World)" devices ())
(name "mushi2k4" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetles 2004 Second (Japan)" devices ())
(name "mushi2k5" year "2005" manufacturer "Sega" desc "Mushiking The King Of Beetles 2005 First (Japan)" devices ())
(name "mushi2k61" year "2006" manufacturer "Sega" desc "Mushiking The King Of Beetles 2006 First (Japan)" devices ())
(name "mushi2k62" year "2006" manufacturer "Sega" desc "Mushiking The King Of Beetles 2006 Second (Japan)" devices ())
(name "mushik2e" year "2005" manufacturer "Sega" desc "Mushiking The King Of Beetles - Mushiking II / III / III+ (Ver. 2.001) (World)" devices ())
(name "mushik2k" year "2005" manufacturer "Sega" desc "Mushiking The King Of Beetles - Mushiking II / III / III+ (Ver. 1.000-) (Korea)" devices ())
(name "mushik4e" year "2007" manufacturer "Sega" desc "Mushiking The King Of Beetles - Mushiking IV / V / VI (World)" devices ())
(name "mushikc" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, China)" devices ())
(name "mushike" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetle (2K3 2ND Ver. 1.003-, World)" devices ())
(name "mushikeo" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetle (2K3 2ND Ver. 1.002-, World)" devices ())
(name "mushikep" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetle (MUSHIUSA '04 1ST, Prototype)" devices ())
(name "mushikk" year "2004" manufacturer "Sega" desc "Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, Korea)" devices ())
(name "mushisam" year "2004" manufacturer "Cave (AMI license)" desc "Mushihime-Sama (2004/10/12.MASTER VER.)" devices ())
(name "mushisama" year "2004" manufacturer "Cave (AMI license)" desc "Mushihime-Sama (2004/10/12 MASTER VER.)" devices ())
(name "mushisamb" year "2004" manufacturer "Cave (AMI license)" desc "Mushihime-Sama (2004/10/12 MASTER VER)" devices ())
(name "mushitam" year "2005" manufacturer "Cave (AMI license)" desc "Puzzle! Mushihime-Tama (2005/09/09.MASTER VER)" devices ())
(name "mushitama" year "2005" manufacturer "Cave (AMI license)" desc "Puzzle! Mushihime-Tama (2005/09/09 MASTER VER)" devices ())
(name "mushmagi" year "2002" manufacturer "Atronic" desc "Mushroom Magic (Russia) (Atronic)" devices ())
(name "musicbal" year "1988" manufacturer "Tecfri / Desystem S.A." desc "Music Ball" devices ())
(name "musicsrt" year "1995" manufacturer "ABM Games" desc "Music Sort (ver. 2.02)" devices ())
(name "musobana" year "1995" manufacturer "Nichibutsu / Yubis" desc "Musoubana (Japan)" devices ())
(name "mustache" year "1987" manufacturer "Seibu Kaihatsu (March license)" desc "Mustache Boy (Japan)" devices ())
(name "mustachei" year "1987" manufacturer "Seibu Kaihatsu (IG SPA license)" desc "Mustache Boy (Italy)" devices ())
(name "mustang" year "1990" manufacturer "UPL" desc "US AAF Mustang (25th May. 1990)" devices ())
(name "mustangb" year "1990" manufacturer "bootleg" desc "US AAF Mustang (bootleg, set 1)" devices ())
(name "mustangb2" year "1990" manufacturer "bootleg (TAB Austria)" desc "US AAF Mustang (TAB Austria bootleg)" devices ())
(name "mustangb3" year "1990" manufacturer "bootleg (Lettering)" desc "US AAF Mustang (Lettering bootleg)" devices ())
(name "mustangs" year "1990" manufacturer "UPL (Seoul Trading license)" desc "US AAF Mustang (25th May. 1990 / Seoul Trading)" devices ())
(name "mutacion" year "1980?" manufacturer "bootleg (Explomatic)" desc "Mutacion (Explomatic Spanish bootleg of Moon Cresta)" devices ())
(name "mutantf" year "1991" manufacturer "Data East Corporation" desc "Mutant Fighter (World ver EM-5)" devices ())
(name "mutantf1" year "1991" manufacturer "Data East Corporation" desc "Heroes (World ver EM-1)" devices ())
(name "mutantf2" year "1991" manufacturer "Data East Corporation" desc "Mutant Fighter (World ver EM-2)" devices ())
(name "mutantf3" year "1991" manufacturer "Data East Corporation" desc "Mutant Fighter (World ver EM-3)" devices ())
(name "mutantf4" year "1991" manufacturer "Data East Corporation" desc "Mutant Fighter (World ver EM-4)" devices ())
(name "mutantwarr" year "1988" manufacturer "bootleg (Datsu)" desc "Mutant Warrior (Datsu bootleg of Altered Beast)" devices ())
(name "mutnat" year "1992" manufacturer "SNK" desc "Mutation Nation (NGM-014 ~ NGH-014)" devices ((name "memcard" briefname "memc" ) ()))
(name "mv1bon" year "199?" manufacturer "Maygay" desc "Believe It Or Not (Maygay, MV1 Video)" devices ())
(name "mv1cpc" year "199?" manufacturer "Maygay" desc "Caesar's Palace Club (Maygay, MV1 Video, set 1)" devices ())
(name "mv1cpca" year "199?" manufacturer "Maygay" desc "Caesar's Palace Club (Maygay, MV1 Video, set 2)" devices ())
(name "mv1cpcb" year "199?" manufacturer "Maygay" desc "Caesar's Palace Club (Maygay, MV1 Video, set 3)" devices ())
(name "mv1cwq" year "199?" manufacturer "Maygay" desc "Crossword Quiz (Maygay, MV1 Video, set 1)" devices ())
(name "mv1cwqa" year "199?" manufacturer "Maygay" desc "Crossword Quiz (Maygay, MV1 Video, set 2)" devices ())
(name "mv1guac" year "199?" manufacturer "Maygay" desc "Give Us A Clue (Maygay, MV1 Video, set 1)" devices ())
(name "mv1guaca" year "199?" manufacturer "Maygay" desc "Give Us A Clue (Maygay, MV1 Video, set 2)" devices ())
(name "mv1sfx" year "199?" manufacturer "Maygay" desc "Special Effects (Maygay, MV1 Video, set 1)" devices ())
(name "mv1sfx2" year "199?" manufacturer "Maygay" desc "Special Effects V2 (Maygay, MV1 Video)" devices ())
(name "mv1sfxa" year "199?" manufacturer "Maygay" desc "Special Effects (Maygay, MV1 Video, set 2)" devices ())
(name "mv1wc" year "199?" manufacturer "Maygay" desc "World Cup (Maygay, MV1 Video)" devices ())
(name "mv4in1" year "1983" manufacturer "Entertainment Enterprises, Ltd." desc "Mini Vegas 4in1" devices ())
(name "mvbfree" year "1979" manufacturer "Mego" desc "Mini-Vid: Break Free" devices ())
(name "mvme162" year "1993" manufacturer "Motorola" desc "MVME-162" devices ())
(name "mvp" year "1989" manufacturer "Sega" desc "MVP (set 2, US) (FD1094 317-0143)" devices ())
(name "mvpd" year "1989" manufacturer "bootleg" desc "MVP (set 2, US) (bootleg of FD1094 317-0143 set)" devices ())
(name "mvpj" year "1989" manufacturer "Sega" desc "MVP (set 1, Japan) (FD1094 317-0142)" devices ())
(name "mvpjd" year "1989" manufacturer "bootleg" desc "MVP (set 1, Japan) (bootleg of FD1094 317-0142 set)" devices ())
(name "mvsc" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Europe 980123)" devices ())
(name "mvsc2" year "2000" manufacturer "Capcom / Marvel" desc "Marvel Vs. Capcom 2: New Age of Heroes (Export, Korea, Rev A)" devices ())
(name "mvsc2u" year "2000" manufacturer "Capcom / Marvel" desc "Marvel Vs. Capcom 2: New Age of Heroes (USA, Rev A)" devices ())
(name "mvsca" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Asia 980123)" devices ())
(name "mvscar1" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Asia 980112)" devices ())
(name "mvscb" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Brazil 980123)" devices ())
(name "mvsch" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Hispanic 980123)" devices ())
(name "mvscj" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Japan 980123)" devices ())
(name "mvscjr1" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Japan 980112)" devices ())
(name "mvscjsing" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Japan 980123) (Single PCB)" devices ())
(name "mvscr1" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (Europe 980112)" devices ())
(name "mvscu" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (USA 980123)" devices ())
(name "mvscud" year "1998" manufacturer "bootleg" desc "Marvel Vs. Capcom: Clash of Super Heroes (USA 980123 Phoenix Edition) (bootleg)" devices ())
(name "mvscur1" year "1998" manufacturer "Capcom" desc "Marvel Vs. Capcom: Clash of Super Heroes (USA 971222)" devices ())
(name "mvstemp" year "1995?" manufacturer "Nazca" desc "MVS-TEMP 'SubSystem Ver1.4' (Nazca development board)" devices ((name "memcard" briefname "memc" ) ()))
(name "mw4pole" year "1995" manufacturer "Waldorf Electronics" desc "MiniWorks 4-Pole" devices ())
(name "mwalk" year "1990" manufacturer "Sega" desc "Michael Jackson's Moonwalker (World) (FD1094/8751 317-0159)" devices ())
(name "mwalkbl" year "1990" manufacturer "bootleg" desc "Michael Jackson's Moonwalker (bootleg)" devices ())
(name "mwalkd" year "1990" manufacturer "bootleg" desc "Michael Jackson's Moonwalker (World) (bootleg of FD1094/8751 317-0159 set)" devices ())
(name "mwalkj" year "1990" manufacturer "Sega" desc "Michael Jackson's Moonwalker (Japan) (FD1094/8751 317-0157)" devices ())
(name "mwalkjd" year "1990" manufacturer "bootleg" desc "Michael Jackson's Moonwalker (Japan) (bootleg of FD1094/8751 317-0157 set)" devices ())
(name "mwalku" year "1990" manufacturer "Sega" desc "Michael Jackson's Moonwalker (US) (FD1094/8751 317-0158)" devices ())
(name "mwalkud" year "1990" manufacturer "bootleg" desc "Michael Jackson's Moonwalker (US) (bootleg of FD1094/8751 317-0158 set)" devices ())
(name "mwarr" year "199?" manufacturer "Elettronica Video-Games S.R.L." desc "Mighty Warriors (24/1)" devices ())
(name "mwcbaseb" year "1980" manufacturer "Mattel Electronics" desc "World Championship Baseball" devices ())
(name "mwcfootb" year "1980" manufacturer "Mattel Electronics" desc "World Championship Football" devices ())
(name "mwskins" year "2000" manufacturer "Midway" desc "Skins Game (1.06)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "mwskinsa" year "2000" manufacturer "Midway" desc "Skins Game (1.06, alt)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "mwskinso" year "2000" manufacturer "Midway" desc "Skins Game (1.04)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "mwskinst" year "2000" manufacturer "Midway" desc "Skins Game Tournament Edition" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "mx10" year "1985" manufacturer "Casio" desc "MX-10 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" )))
(name "mx101" year "1987" manufacturer "Casio" desc "MX-101 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" )))
(name "mx15" year "1986" manufacturer "Casio" desc "MX-15 (MSX1, International)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "mx1600" year "1984" manufacturer "Dynacom" desc "MX-1600" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "mx2178" year "1984" manufacturer "Memorex" desc "Memorex 2178" devices ())
(name "mx3210" year "1994" manufacturer "Xyplex Inc." desc "MAXserver MX-3210 Local Router" devices ())
(name "mx5000" year "1987" manufacturer "Konami" desc "MX5000" devices ())
(name "mx64" year "1985" manufacturer "Yeno" desc "MX64 (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "mx83c305" year "199?" manufacturer "<unknown>" desc "386 motherboards using the MX83C305(A)(FC)/MX83C05(A)(FC) chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "my1stddr" year "2006" manufacturer "Konami" desc "My First Dance Dance Revolution (US)" devices ())
(name "myac220" year "201?" manufacturer "dreamGEAR / Senca" desc "My Arcade Go Gamer Portable (Family Sport 220-in-1)" devices ())
(name "myangel" year "1996" manufacturer "MOSS / Namco" desc "Kosodate Quiz My Angel (Japan)" devices ())
(name "myangel2" year "1997" manufacturer "MOSS / Namco" desc "Kosodate Quiz My Angel 2 (Japan)" devices ())
(name "myangel3" year "1998" manufacturer "MOSS / Namco" desc "Kosodate Quiz My Angel 3 (Japan, KQT1/VER.A)" devices ())
(name "myarccn" year "201?" manufacturer "DreamGear" desc "My Arcade Caveman Ninja" devices ())
(name "myb3k" year "1982" manufacturer "Matsushita" desc "MyBrain 3000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "printout" briefname "prin" )))
(name "mycom" year "1981" manufacturer "Japan Electronics College" desc "MYCOMZ-80A" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "myfairld" year "1998" manufacturer "Micronet" desc "Virtual Mahjong 2 - My Fair Lady (J 980608 V1.000)" devices ())
(name "myhero" year "1985" manufacturer "Coreland / Sega" desc "My Hero (US, not encrypted)" devices ())
(name "myherobl" year "1985" manufacturer "bootleg" desc "My Hero (bootleg, 315-5132 encryption)" devices ())
(name "myherok" year "1985" manufacturer "Coreland / Sega" desc "Cheongchun Ilbeonji (Korea)" devices ())
(name "myqbert" year "1982" manufacturer "Gottlieb" desc "Mello Yello Q*bert" devices ())
(name "mysprtch" year "200?" manufacturer "Senario / V-Tac Technology Co Ltd." desc "My Sports Challenge (5-in-1 version)" devices ())
(name "mysprtcp" year "200?" manufacturer "Senario / V-Tac Technology Co Ltd." desc "My Sports Challenge Plus / Wireless Sports Plus" devices ())
(name "mysptqvc" year "200?" manufacturer "Senario / V-Tac Technology Co Ltd. (QVC license)" desc "My Sports Challenge (6-in-1 version, QVC license)" devices ())
(name "mystarr" year "2002" manufacturer "Aristocrat" desc "Mystic Arrow (0151009, US)" devices ())
(name "mystcast" year "1993" manufacturer "Alvin G" desc "Mystery Castle (R02)" devices ())
(name "mystcasta" year "1993" manufacturer "Alvin G" desc "Mystery Castle (R03)" devices ())
(name "mysteria" year "1982" manufacturer "Bally" desc "Mysterian (prototype)" devices ())
(name "mysteycm" year "2001" manufacturer "Aristocrat" desc "Mystic Eyes - Mr. Cashman (10008111, NSW/ACT)" devices ())
(name "mysteycmu" year "2002" manufacturer "Aristocrat" desc "Mystic Eyes - Mr. Cashman (0251024, US)" devices ())
(name "mystgard" year "1996" manufacturer "Aristocrat" desc "Mystic Garden (0100275V, NSW/ACT)" devices ())
(name "mystic" year "1980" manufacturer "Bally" desc "Mystic" devices ())
(name "mysticm" year "1983" manufacturer "Williams" desc "Mystic Marathon" devices ())
(name "mysticmp" year "1983" manufacturer "Williams" desc "Mystic Marathon (prototype)" devices ())
(name "mysticri" year "1992" manufacturer "Irem" desc "Mystic Riders (World)" devices ())
(name "mysticrib" year "1992" manufacturer "Irem" desc "Mystic Riders (bootleg?)" devices ())
(name "mystmerm" year "2002" manufacturer "Aristocrat" desc "Mystic Mermaid (1J008711, NSW/ACT)" devices ())
(name "myststar" year "1984" manufacturer "Zaccaria" desc "Mystic Star" devices ())
(name "mystston" year "1984" manufacturer "Technos Japan" desc "Mysterious Stones - Dr. John's Adventure" devices ())
(name "myststono" year "1984" manufacturer "Technos Japan" desc "Mysterious Stones - Dr. Kick in Adventure" devices ())
(name "myststonoi" year "1984" manufacturer "Technos Japan" desc "Mysterious Stones - Dr. Kick in Adventure (Itisa PCB)" devices ())
(name "mystwarr" year "1993" manufacturer "Konami" desc "Mystic Warriors (ver EAA)" devices ())
(name "mystwarra" year "1993" manufacturer "Konami" desc "Mystic Warriors (ver AAB)" devices ())
(name "mystwarraa" year "1993" manufacturer "Konami" desc "Mystic Warriors (ver AAA)" devices ())
(name "mystwarrj" year "1993" manufacturer "Konami" desc "Mystic Warriors (ver JAA)" devices ())
(name "mystwarru" year "1993" manufacturer "Konami" desc "Mystic Warriors (ver UAA)" devices ())
(name "myvision" year "1983" manufacturer "Nichibutsu" desc "My Vision (KH-1000)" devices ((name "cartridge" briefname "cart" )))
(name "mywicodx" year "200?" manufacturer "<unknown> / Senca" desc "My Wico Deluxe (Family Sport 85-in-1)" devices ())
(name "mywicogt" year "200?" manufacturer "<unknown> / Senca" desc "My Wico Guitar" devices ())
(name "mz1" year "1986" manufacturer "Casio" desc "MZ-1 (prototype)" devices ((name "cartridge" briefname "cart" ) (name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" )))
(name "mz1500" year "1984" manufacturer "Sharp" desc "MZ-1500" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "mz2000" year "1982" manufacturer "Sharp" desc "MZ-2000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "mz2200" year "1982" manufacturer "Sharp" desc "MZ-2200" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "mz2500" year "1985" manufacturer "Sharp" desc "MZ-2500" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "mz2520" year "1985" manufacturer "Sharp" desc "MZ-2520" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "mz3500" year "198?" manufacturer "Sharp" desc "MZ-3500" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "mz6500" year "198?" manufacturer "Sharp" desc "MZ-6500" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "mz700" year "1982" manufacturer "Sharp" desc "MZ-700" devices ((name "cassette" briefname "cass" )))
(name "mz700j" year "1982" manufacturer "Sharp" desc "MZ-700 (Japan)" devices ((name "cassette" briefname "cass" )))
(name "mz800" year "1984" manufacturer "Sharp" desc "MZ-800" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "mz80a" year "1982" manufacturer "Sharp" desc "MZ-80A" devices ((name "cassette" briefname "cass" )))
(name "mz80b" year "1981" manufacturer "Sharp" desc "MZ-80B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "mz80k" year "1979" manufacturer "Sharp" desc "MZ-80K" devices ((name "cassette" briefname "cass" )))
(name "mz80kj" year "1979" manufacturer "Sharp" desc "MZ-80K (Japanese)" devices ((name "cassette" briefname "cass" )))
(name "n501" year "2001" manufacturer "Samsung" desc "Samsung NUON Enhanced DVD Player / DVD-N501" devices ())
(name "n64" year "1996" manufacturer "Nintendo" desc "Nintendo 64 (NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "n64_lodgenet" year "1997?" manufacturer "Nintendo / LodgeNet" desc "Nintendo Gateway 64" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "n64dd" year "1999" manufacturer "Nintendo" desc "Nintendo 64DD" devices ((name "cartridge" briefname "cart" ) (name "harddisk" briefname "hard" )))
(name "n64pal" year "1997" manufacturer "Nintendo" desc "Nintendo 64 (PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "n8810m15" year "1987" manufacturer "Nixdorf Computer AG" desc "8810 M15" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "n8810m16c" year "1990" manufacturer "Nixdorf Computer AG" desc "8810 M16 CGA version" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "n8810m16v" year "1990" manufacturer "Nixdorf Computer AG" desc "8810 M16 VGA version" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "n8810m20" year "1989" manufacturer "Nixdorf" desc "8810/20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "n8810m30" year "1990" manufacturer "Nixdorf Computer AG" desc "8810 M30" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "n8810m55" year "1986" manufacturer "Nixdorf Computer AG" desc "8810 M55" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "nabupc" year "1982" manufacturer "NABU" desc "NABU PC" devices ())
(name "nagano98" year "1998" manufacturer "Konami" desc "Nagano Winter Olympics '98 (GX720 EAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "naganoj" year "1998" manufacturer "Konami" desc "Hyper Olympic in Nagano (GX720 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "naltair" year "1991" manufacturer "bootleg (Nauchpribor)" desc "Altair (Nauchpribor)" devices ())
(name "nam1975" year "1990" manufacturer "SNK" desc "NAM-1975 (NGM-001 ~ NGH-001)" devices ((name "memcard" briefname "memc" ) ()))
(name "namcons1" year "2006" manufacturer "Bandai / SSD Company LTD / Namco" desc "Let's! TV Play Classic - Namco Nostalgia 1 (Japan)" devices ())
(name "namcons2" year "2006" manufacturer "Bandai / SSD Company LTD / Namco" desc "Let's! TV Play Classic - Namco Nostalgia 2 (Japan)" devices ())
(name "namcostr" year "2000" manufacturer "Namco" desc "Namco Stars" devices ())
(name "nameclub" year "1996" manufacturer "Sega" desc "Name Club (J 960315 V1.000)" devices ())
(name "namenayo" year "1982" manufacturer "Cat's" desc "Namennayo (Japan)" devices ())
(name "nametune" year "1986" manufacturer "Bally/Sente" desc "Name That Tune (Bally, 3/31/86)" devices ())
(name "nametunea" year "1986" manufacturer "Bally/Sente" desc "Name That Tune (Bally, 3/23/86)" devices ())
(name "naname" year "1994" manufacturer "Atlus" desc "Naname de Magic! (Japan)" devices ())
(name "nano" year "1980" manufacturer "OSCOM Oy" desc "OSCOM Nano" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "nanos" year "1985" manufacturer "Ingenieurhochschule fur Seefahrt Warnemunde/Wustrow" desc "NANOS" devices ((name "floppydisk" briefname "flop" )))
(name "narc" year "1988" manufacturer "Williams" desc "Narc (rev 7.00)" devices ())
(name "narc1" year "1988" manufacturer "Williams" desc "Narc (rev 1.80)" devices ())
(name "narc2" year "1988" manufacturer "Williams" desc "Narc (rev 2.00)" devices ())
(name "narc3" year "1988" manufacturer "Williams" desc "Narc (rev 3.20)" devices ())
(name "narc4" year "1988" manufacturer "Williams" desc "Narc (rev 4.00)" devices ())
(name "narc6" year "1988" manufacturer "Williams" desc "Narc (rev 6.00)" devices ())
(name "nascar" year "2005" manufacturer "Stern" desc "Nascar (CPU 4.50, display A4.00)" devices ())
(name "nascar_301" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.01, display A3.01)" devices ())
(name "nascar_340" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.40, display A3.03)" devices ())
(name "nascar_350" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.50, display A3.03)" devices ())
(name "nascar_352" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.52, display A3.03)" devices ())
(name "nascar_400" year "2005" manufacturer "Stern" desc "Nascar (CPU 4.00, display A4.00)" devices ())
(name "nascarl" year "2005" manufacturer "Stern" desc "Nascar (CPU 4.50, display L4.00, Spain)" devices ())
(name "nascarl_301" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.01, display L3.01, Spain)" devices ())
(name "nascarl_340" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.40, display L3.03, Spain)" devices ())
(name "nascarl_350" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.50, display L3.03, Spain)" devices ())
(name "nascarl_352" year "2005" manufacturer "Stern" desc "Nascar (CPU 3.52, display L3.03, Spain)" devices ())
(name "nascarl_400" year "2005" manufacturer "Stern" desc "Nascar (CPU 4.00, display L4.00, Spain)" devices ())
(name "nascom1" year "1978" manufacturer "Nascom Microcomputers" desc "Nascom 1" devices ((name "cassette" briefname "cass" ) (name "snapshot1" briefname "dump1" ) (name "snapshot2" briefname "dump2" )))
(name "nascom2" year "1979" manufacturer "Nascom Microcomputers" desc "Nascom 2" devices ((name "cassette" briefname "cass" ) (name "snapshot1" briefname "dump1" ) (name "snapshot2" briefname "dump2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" )))
(name "nascom2c" year "1980" manufacturer "Nascom Microcomputers" desc "Nascom 2 (CP/M)" devices ((name "cassette" briefname "cass" ) (name "snapshot1" briefname "dump1" ) (name "snapshot2" briefname "dump2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "nastar" year "1988" manufacturer "Taito Corporation Japan" desc "Nastar (World)" devices ())
(name "nastarw" year "1988" manufacturer "Taito America Corporation" desc "Nastar Warrior (US)" devices ())
(name "nat48pv" year "199?" manufacturer "<unknown>" desc "NAT48PV-1.00 VL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "natodef" year "1982" manufacturer "Pacific Novelty" desc "NATO Defense" devices ())
(name "natodefa" year "1982" manufacturer "Pacific Novelty" desc "NATO Defense (alternate mazes)" devices ())
(name "natsuiro" year "1989" manufacturer "Video System Co." desc "Natsuiro Mahjong (Japan)" devices ())
(name "naughtyb" year "1982" manufacturer "Jaleco" desc "Naughty Boy" devices ())
(name "naughtyba" year "1982" manufacturer "bootleg" desc "Naughty Boy (bootleg, set 1)" devices ())
(name "naughtybb" year "1982" manufacturer "bootleg" desc "Naughty Boy (bootleg, set 2)" devices ())
(name "naughtybc" year "1982" manufacturer "Jaleco (Cinematronics license)" desc "Naughty Boy (Cinematronics)" devices ())
(name "nautilus" year "1984" manufacturer "Playmatic" desc "Nautilus" devices ())
(name "navarone" year "1980" manufacturer "Namco" desc "Navarone" devices ())
(name "nba_500" year "2009" manufacturer "Stern" desc "NBA v5.00" devices ())
(name "nba_600" year "2009" manufacturer "Stern" desc "NBA v6.00" devices ())
(name "nba_700" year "2009" manufacturer "Stern" desc "NBA v7.00" devices ())
(name "nba_801" year "2009" manufacturer "Stern" desc "NBA v8.01" devices ())
(name "nba_802" year "2009" manufacturer "Stern" desc "NBA v8.02" devices ())
(name "nbaatw" year "1998" manufacturer "Konami" desc "NBA All The Way (ver EAB)" devices ())
(name "nbaatwa" year "1998" manufacturer "Konami" desc "NBA All The Way (ver EAA)" devices ())
(name "nbaf_11" year "1997" manufacturer "Bally" desc "NBA Fastbreak (1.1)" devices ())
(name "nbaf_115" year "1997" manufacturer "Bally" desc "NBA Fastbreak (1.15)" devices ())
(name "nbaf_11a" year "1997" manufacturer "Bally" desc "NBA Fastbreak (1.1 - S2.0)" devices ())
(name "nbaf_11s" year "1997" manufacturer "Bally" desc "NBA Fastbreak (1.1 - S0.4)" devices ())
(name "nbaf_21" year "1997" manufacturer "Bally" desc "NBA Fastbreak (2.1)" devices ())
(name "nbaf_22" year "1997" manufacturer "Bally" desc "NBA Fastbreak (2.2)" devices ())
(name "nbaf_23" year "1997" manufacturer "Bally" desc "NBA Fastbreak (2.3)" devices ())
(name "nbaf_31" year "1997" manufacturer "Bally" desc "NBA Fastbreak (3.1 - S3.0)" devices ())
(name "nbaf_31a" year "1997" manufacturer "Bally" desc "NBA Fastbreak (3.1 - S1.0)" devices ())
(name "nbagold" year "2000" manufacturer "Midway Games" desc "SportStation: NBA Showtime NBA on NBC Gold Edition (ver 3.0, Feb 18 2000) / NFL Blitz 2000 Gold Edition" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "nbahangt" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver L1.3 10/10/96)" devices ())
(name "nbahangtl11" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver L1.1 4/16/96)" devices ())
(name "nbahangtl12" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver L1.2 8/29/96)" devices ())
(name "nbahangtm11" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver M1.1 4/16/96)" devices ())
(name "nbahangtm12" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver M1.2 8/29/96)" devices ())
(name "nbahangtm13" year "1996" manufacturer "Midway" desc "NBA Hangtime (ver M1.3 10/10/96)" devices ())
(name "nbajam" year "1993" manufacturer "Midway" desc "NBA Jam (rev 3.01 4/07/93)" devices ())
(name "nbajamex" year "1996" manufacturer "Acclaim" desc "NBA Jam Extreme (ver. 1.10I)" devices ())
(name "nbajamexa" year "1996" manufacturer "Acclaim" desc "NBA Jam Extreme (ver. 1.04)" devices ())
(name "nbajamp1" year "1993" manufacturer "Midway" desc "NBA Jam (proto v 1.01 1/23/93)" devices ())
(name "nbajamp2" year "1993" manufacturer "Midway" desc "NBA Jam (proto v 2.00 1/24/93)" devices ())
(name "nbajamr1" year "1993" manufacturer "Midway" desc "NBA Jam (rev 1.00 2/1/93)" devices ())
(name "nbajamr2" year "1993" manufacturer "Midway" desc "NBA Jam (rev 2.00 2/10/93)" devices ())
(name "nbajamte" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 4.0 3/23/94)" devices ())
(name "nbajamte1" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 1.00 1/17/94)" devices ())
(name "nbajamte2" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 2.1 2/06/94)" devices ())
(name "nbajamte2a" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 2.0 1/28/94)" devices ())
(name "nbajamte3" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 3.0 3/04/94)" devices ())
(name "nbajamte3a" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 3.0 2/26/94)" devices ())
(name "nbajamte4" year "1994" manufacturer "Midway" desc "NBA Jam Tournament Edition (rev 4.0 3/03/94)" devices ())
(name "nbajamten" year "1995" manufacturer "Midway" desc "NBA Jam Tournament Edition (Nani Edition, rev 5.2 8/11/95, prototype)" devices ())
(name "nbajamtep2" year "1993" manufacturer "Midway" desc "NBA Jam Tournament Edition (proto 2.00 12/17/93)" devices ())
(name "nbamac" year "1996" manufacturer "MAC S.A." desc "NBA MAC" devices ())
(name "nbamht" year "1996" manufacturer "Midway" desc "NBA Maximum Hangtime (ver L1.03 06/09/97)" devices ())
(name "nbamhtl10" year "1996" manufacturer "Midway" desc "NBA Maximum Hangtime (ver L1.0 11/08/96)" devices ())
(name "nbamhtm10" year "1996" manufacturer "Midway" desc "NBA Maximum Hangtime (ver M1.0 11/08/96)" devices ())
(name "nbamhtp" year "1996" manufacturer "Midway" desc "NBA Maximum Hangtime (ver L0.9 10/30/96)" devices ())
(name "nbanfl" year "1999" manufacturer "Midway Games" desc "SportStation: NBA Showtime NBA on NBC (ver 2.1, Sep 22 1999) / NFL Blitz 2000 Gold Edition (ver 1.5, Sep 22 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "nbapbp" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver UAB)" devices ())
(name "nbapbpa" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver AAB)" devices ())
(name "nbapbpaa" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver AAA)" devices ())
(name "nbapbpj" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver JAB)" devices ())
(name "nbapbpja" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver JAA)" devices ())
(name "nbapbpua" year "1998" manufacturer "Konami" desc "NBA Play By Play (ver UAA)" devices ())
(name "nbashowt" year "1999" manufacturer "Midway Games" desc "NBA Showtime NBA on NBC (ver 2.0, Apr 25 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "nbbatman" year "1993" manufacturer "Irem" desc "Ninja Baseball Bat Man (World)" devices ())
(name "nbbatman2bl" year "1993" manufacturer "bootleg" desc "Ninja Baseball Bat Man II (bootleg)" devices ())
(name "nbbatmanu" year "1993" manufacturer "Irem America" desc "Ninja Baseball Bat Man (US)" devices ())
(name "nc100" year "1992" manufacturer "Amstrad plc" desc "NC100" devices ((name "printout" briefname "prin" )))
(name "nc100de" year "1992" manufacturer "Amstrad plc" desc "NC100 (Germany)" devices ((name "printout" briefname "prin" )))
(name "nc100dk" year "1992" manufacturer "Amstrad plc" desc "NC100 (Denmark)" devices ((name "printout" briefname "prin" )))
(name "nc100sv" year "1992" manufacturer "Amstrad plc" desc "NC100 (Sweden)" devices ((name "printout" briefname "prin" )))
(name "nc150fr" year "1992" manufacturer "Amstrad plc" desc "NC150 (France)" devices ((name "printout" briefname "prin" )))
(name "nc150it" year "1992" manufacturer "Amstrad plc" desc "NC150 (Italy)" devices ((name "printout" briefname "prin" )))
(name "nc200" year "1993" manufacturer "Amstrad plc" desc "NC200" devices ((name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" )))
(name "nc96" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.63, C1 PCB)" devices ())
(name "nc96a" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.62, C1 PCB)" devices ())
(name "nc96b" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.61, C1 PCB)" devices ())
(name "nc96c" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.54, D PCB)" devices ())
(name "nc96d" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.53, D PCB)" devices ())
(name "nc96e" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.40, D PCB)" devices ())
(name "nc96f" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.62, DK PCB)" devices ())
(name "nc96g" year "1996" manufacturer "Amcoe" desc "New Cherry '96 (v3.1, B PCB)" devices ())
(name "nc96h" year "1996" manufacturer "Amcoe" desc "New Cherry '96 (v3.1C, G PCB)" devices ())
(name "nc96i" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.55, C1 PCB)" devices ())
(name "nc96j" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.61, DK PCB)" devices ())
(name "nc96k" year "1996" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v3.51, D PCB)" devices ())
(name "nc96l" year "1996" manufacturer "Amcoe" desc "New Cherry '96 (v3.0, A PCB)" devices ())
(name "nc96txt" year "2000" manufacturer "Amcoe" desc "New Cherry '96 Special Edition (v1.32 Texas XT, C2 PCB)" devices ())
(name "ncarrera" year "2001" manufacturer "bootleg (J.T.)" desc "New Carrera - Version 2000" devices ())
(name "ncb3" year "199?" manufacturer "Dyna" desc "Cherry Bonus III (ver.1.40, set 1)" devices ())
(name "ncd16" year "1989" manufacturer "Network Computing Devices" desc "NCD 16" devices ())
(name "ncd17c" year "1990" manufacturer "Network Computing Devices" desc "NCD 17C" devices ())
(name "ncd19" year "1990" manufacturer "Network Computing Devices" desc "NCD 19" devices ())
(name "ncd19c" year "1991" manufacturer "Network Computing Devices" desc "19c" devices ())
(name "ncdmcx" year "1993" manufacturer "Network Computing Devices" desc "MCX" devices ())
(name "ncentury" year "1981" manufacturer "bootleg (Petaco S.A.)" desc "New Century (Spanish bootleg of Scramble)" devices ())
(name "nclubdis" year "1998" manufacturer "Sega" desc "Name Club Disney (J 980614 V1.000)" devices ())
(name "nclubv2" year "1996" manufacturer "Sega" desc "Name Club Ver.2 (J 960315 V1.000)" devices ())
(name "nclubv3" year "1997" manufacturer "Sega" desc "Name Club Ver.3 (J 970723 V1.000)" devices ())
(name "nclubv4" year "1997" manufacturer "Sega" desc "Name Club Ver.4 (J 971202 V1.000)" devices ())
(name "ncombat" year "1990" manufacturer "Alpha Denshi Co." desc "Ninja Combat (NGM-009)" devices ((name "memcard" briefname "memc" ) ()))
(name "ncombath" year "1990" manufacturer "Alpha Denshi Co." desc "Ninja Combat (NGH-009)" devices ((name "memcard" briefname "memc" ) ()))
(name "ncommand" year "1992" manufacturer "Alpha Denshi Co." desc "Ninja Commando" devices ((name "memcard" briefname "memc" ) ()))
(name "ncr3302" year "199?" manufacturer "NCR" desc "Class 3302 Model 0110" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ncr3433" year "199?" manufacturer "NCR" desc "Class 3433" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ncrpc4i" year "1985" manufacturer "NCR" desc "PC4i" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ncrpc6" year "1985" manufacturer "NCR" desc "PC6" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ncrpc8" year "1986" manufacturer "NCR" desc "PC-8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ncv1" year "1995" manufacturer "Namco" desc "Namco Classic Collection Vol.1" devices ())
(name "ncv1j" year "1995" manufacturer "Namco" desc "Namco Classic Collection Vol.1 (Japan, v1.00)" devices ())
(name "ncv1j2" year "1995" manufacturer "Namco" desc "Namco Classic Collection Vol.1 (Japan, v1.03)" devices ())
(name "ncv2" year "1996" manufacturer "Namco" desc "Namco Classic Collection Vol.2" devices ())
(name "ncv2j" year "1996" manufacturer "Namco" desc "Namco Classic Collection Vol.2 (Japan)" devices ())
(name "nd80z" year "19??" manufacturer "Chunichi" desc "ND-80Z" devices ())
(name "nd8lines" year "1991" manufacturer "Yamate (bootleg)" desc "New Draw 8 Lines (Version 2.1)" devices ())
(name "ndcfboxa" year "2009" manufacturer "Sega" desc "Naomi DIMM Firmware Update for CF-BOX (4.01) (GDS-0042A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ndongmul" year "1998" manufacturer "Hyoja Game" desc "New DongmulDongmul" devices ())
(name "ndongmul2" year "1999" manufacturer "Dyna" desc "New DongmulDongmul 2" devices ())
(name "nds" year "2004" manufacturer "Nintendo" desc "DS" devices ())
(name "ndxron10" year "2005" manufacturer "<unknown>" desc "Royal on Ten (hack of Noraut Deluxe Poker)" devices ())
(name "neat" year "1989" manufacturer "<generic>" desc "NEAT (12 MHz, MF2 Keyboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "nebulbee" year "1981" manufacturer "bootleg" desc "Nebulous Bee" devices ())
(name "nebulray" year "1994" manufacturer "Namco" desc "Nebulas Ray (World, NR2)" devices ())
(name "nebulrayj" year "1994" manufacturer "Namco" desc "Nebulas Ray (Japan, NR1)" devices ())
(name "nebulrayp" year "1994" manufacturer "Namco" desc "Nebulas Ray (prototype)" devices ())
(name "necapciv" year "1986" manufacturer "NEC" desc "APC IV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "neckneck" year "1992" manufacturer "Bundra Games / Incredible Technologies" desc "Neck-n-Neck (v1.2)" devices ())
(name "nectk85" year "1980" manufacturer "NEC" desc "TK-85" devices ())
(name "neiva" year "1987" manufacturer "<unknown>" desc "PK8020 Neiva" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "nekkyoku" year "1988" manufacturer "Video System Co." desc "Rettou Juudan Nekkyoku Janshi - Higashi Nippon Hen (Japan)" devices ())
(name "nemesis" year "1985" manufacturer "Konami" desc "Nemesis (ROM version)" devices ())
(name "nemesisp" year "1986" manufacturer "Peyper" desc "Nemesis" devices ())
(name "nemesisuk" year "1985" manufacturer "Konami" desc "Nemesis (World?, ROM version)" devices ())
(name "nemo" year "1990" manufacturer "Capcom" desc "Nemo (World 901130)" devices ())
(name "nemoj" year "1990" manufacturer "Capcom" desc "Nemo (Japan 901120, 89622B-3 ROM board)" devices ())
(name "nemoja" year "1990" manufacturer "Capcom" desc "Nemo (Japan 901120, 89625B-1 ROM board)" devices ())
(name "nemor1" year "1990" manufacturer "Capcom" desc "Nemo (World 901109)" devices ())
(name "neobattl" year "1992" manufacturer "Banpresto" desc "SD Gundam Neo Battling (Japan)" devices ())
(name "neobombe" year "1997" manufacturer "Hudson" desc "Neo Bomberman" devices ((name "memcard" briefname "memc" ) ()))
(name "neocd" year "1994" manufacturer "SNK" desc "Neo-Geo CD (NTSC?)" devices ((name "cdrom" briefname "cdrm" )))
(name "neocdz" year "1996" manufacturer "SNK" desc "Neo-Geo CDZ (US)" devices ((name "cdrom" briefname "cdrm" )))
(name "neocdzj" year "1996" manufacturer "SNK" desc "Neo-Geo CDZ (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "neocup98" year "1998" manufacturer "SNK" desc "Neo-Geo Cup '98 - The Road to the Victory" devices ((name "memcard" briefname "memc" ) ()))
(name "neodrift" year "1996" manufacturer "Visco" desc "Neo Drift Out - New Technology" devices ((name "memcard" briefname "memc" ) ()))
(name "neomania" year "2003" manufacturer "bootleg (Hyper M.A.R.)" desc "Neo Mania (Portugal)" devices ())
(name "neomrdo" year "1996" manufacturer "Visco" desc "Neo Mr. Do!" devices ((name "memcard" briefname "memc" ) ()))
(name "neoprint" year "1996" manufacturer "SNK" desc "Neo Print (Japan) (T2d)" devices ())
(name "neptunp2" year "2003" manufacturer "Unidesa/Cirsa" desc "Neptune's Pearls 2" devices ())
(name "neraidou" year "199?" manufacturer "bootleg" desc "Neraidoula" devices ())
(name "nerdwild" year "2005" manufacturer "Aristocrat" desc "Nerds Gone Wild (10197311, NSW/ACT)" devices ())
(name "neruton" year "1990" manufacturer "Dynax / Yukiyoshi Tokoro" desc "Mahjong Neruton Haikujiradan (Japan, Rev. B?)" devices ())
(name "nerutona" year "1990" manufacturer "Dynax / Yukiyoshi Tokoro" desc "Mahjong Neruton Haikujiradan (Japan, Rev. A?)" devices ())
(name "nes" year "1985" manufacturer "Nintendo" desc "Nintendo Entertainment System / Famicom (NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "nesm8" year "1986" manufacturer "Nintendo" desc "M8 Game Selectable Working Product Display (US, set 1)" devices ())
(name "nesm8a" year "1986" manufacturer "Nintendo" desc "M8 Game Selectable Working Product Display (US, set 2)" devices ())
(name "nesm8b" year "1986" manufacturer "Nintendo" desc "M8 Game Selectable Working Product Display (US, set 3)" devices ())
(name "nespal" year "1987" manufacturer "Nintendo" desc "Nintendo Entertainment System (PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "netchu02b" year "2002" manufacturer "Namco" desc "Netchuu Pro Yakyuu 2002 (NPY1 Ver. B)" devices ())
(name "netchu02c" year "2002" manufacturer "Namco" desc "Netchuu Pro Yakyuu 2002 (NPY1 Ver. C)" devices ())
(name "netmerc" year "1993" manufacturer "Sega" desc "Sega NetMerc" devices ())
(name "nettoqc" year "1995" manufacturer "Nakanihon" desc "Nettoh Quiz Champion (Japan)" devices ())
(name "netwars" year "1983" manufacturer "Orca (Esco Trading Co license)" desc "Net Wars" devices ())
(name "nevada" year "1995" manufacturer "VLC Inc." desc "VLC Nevada" devices ())
(name "nevadafw" year "198?" manufacturer "<unknown>" desc "Nevada (French, encrypted)" devices ())
(name "new2001" year "2000" manufacturer "Subsino" desc "New 2001 (Italy, Ver. 200N)" devices ())
(name "newapunk" year "1992" manufacturer "Irem America" desc "New Atomic Punk - Global Quest (US)" devices ())
(name "newbrain" year "1981" manufacturer "Grundy Business Systems Ltd" desc "NewBrain AD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "newbraina" year "1981" manufacturer "Grundy Business Systems Ltd" desc "NewBrain A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "newbrainmd" year "1981" manufacturer "Grundy Business Systems Ltd" desc "NewBrain MD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "newcanasta" year "2010" manufacturer "Marsaplay" desc "New Canasta" devices ())
(name "newdixie" year "19??" manufacturer "Seeben (Belgium)" desc "New Dixieland (Bingo)" devices ())
(name "newfant" year "1995" manufacturer "Comad & New Japan System" desc "New Fantasia (1995 copyright)" devices ())
(name "newfanta" year "1994" manufacturer "Comad & New Japan System" desc "New Fantasia (1994 copyright)" devices ())
(name "newhilop" year "19??" manufacturer "Song Won?" desc "New Hi-Low Poker" devices ())
(name "newhunter" year "1992" manufacturer "Karam" desc "New HUNTer" devices ())
(name "newhunterb" year "1993" manufacturer "bootleg" desc "New HUNTer (bootleg, set 1)" devices ())
(name "newhunterc" year "1993" manufacturer "bootleg" desc "New HUNTer (bootleg, set 2)" devices ())
(name "newhunterd" year "1993" manufacturer "bootleg" desc "New HUNTer (bootleg, set 3)" devices ())
(name "newmcard" year "2000" manufacturer "High Video" desc "New Magic Card" devices ())
(name "newpuc2" year "1980" manufacturer "hack" desc "Newpuc2 (set 1)" devices ())
(name "newpuc2b" year "1980" manufacturer "hack" desc "Newpuc2 (set 2)" devices ())
(name "newpuckx" year "1980" manufacturer "hack" desc "New Puck-X" devices ())
(name "news" year "1993" manufacturer "Poby / Virus" desc "News (set 1)" devices ())
(name "newsa" year "1993" manufacturer "Poby" desc "News (set 2)" devices ())
(name "newsin7" year "1983" manufacturer "ATW USA, Inc." desc "New Sinbad 7 (set 1)" devices ())
(name "newsin7a" year "1982" manufacturer "ATW USA, Inc" desc "New Sinbad 7 (set 2)" devices ())
(name "newtangl" year "1983" manufacturer "Irem" desc "New Tropical Angel" devices ())
(name "newtiger" year "200?" manufacturer "High Video" desc "New Tiger" devices ())
(name "newtnotp" year "1992" manufacturer "Apple Computer" desc "Newton Notepad (prototype)" devices ())
(name "newtonmp" year "1993" manufacturer "Apple Computer" desc "Newton MessagePad" devices ())
(name "newufo" year "1991" manufacturer "Sega" desc "New UFO Catcher (standard)" devices ())
(name "newufo_nfl" year "1991" manufacturer "Sega" desc "New UFO Catcher (Team NFL)" devices ())
(name "newufo_sonic" year "1991" manufacturer "Sega" desc "New UFO Catcher (Sonic The Hedgehog)" devices ())
(name "newufo_xmas" year "1991" manufacturer "Sega" desc "New UFO Catcher (Christmas season ROM kit)" devices ())
(name "newwave" year "1985" manufacturer "Bell Games" desc "New Wave" devices ())
(name "newxpang" year "1999" manufacturer "F2 System" desc "New Cross Pang (set 1)" devices ())
(name "newxpanga" year "1999" manufacturer "F2 System" desc "New Cross Pang (set 2)" devices ())
(name "next" year "1987" manufacturer "Next Software Inc" desc "NeXT Computer" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "nextc" year "1990" manufacturer "Next Software Inc" desc "NeXTcube" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "nextct" year "1992" manufacturer "Next Software Inc" desc "NeXTcube Turbo" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nextctc" year "1992" manufacturer "Next Software Inc" desc "NeXTcube Turbo Color" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nextfase" year "1981" manufacturer "bootleg (Petaco S.A.)" desc "Next Fase (bootleg of Phoenix)" devices ())
(name "nexts" year "1990" manufacturer "Next Software Inc" desc "NeXTstation" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nexts2" year "1990" manufacturer "Next Software Inc" desc "NeXTstation (X15 variant)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nextsc" year "1990" manufacturer "Next Software Inc" desc "NeXTstation Color" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nextst" year "1990" manufacturer "Next Software Inc" desc "NeXTstation Turbo" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nextstc" year "1990" manufacturer "Next Software Inc" desc "NeXTstation Turbo Color" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "nf500a" year "1985" manufacturer "China State-owned 830 Factory" desc "NF500A" devices ((name "cassette" briefname "cass" )))
(name "nf_08x" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (0.8X)" devices ())
(name "nf_10f" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (1.0F)" devices ())
(name "nf_20" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (2.0)" devices ())
(name "nf_22" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (2.2)" devices ())
(name "nf_23" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (2.3)" devices ())
(name "nf_23f" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (2.3F)" devices ())
(name "nf_23x" year "1995" manufacturer "Williams" desc "No Fear: Dangerous Sports (2.3X)" devices ())
(name "nfb96" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.63, C1 PCB)" devices ())
(name "nfb96a" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.62, C1 PCB)" devices ())
(name "nfb96b" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.54, D PCB)" devices ())
(name "nfb96c" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.62, DK PCB)" devices ())
(name "nfb96d" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 (v3.1, A PCB, set 1)" devices ())
(name "nfb96e" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.61a, C1 PCB)" devices ())
(name "nfb96f" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.61a, DK PCB)" devices ())
(name "nfb96g" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.61, DK PCB)" devices ())
(name "nfb96h" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.60, DK PCB)" devices ())
(name "nfb96i" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.53, D PCB)" devices ())
(name "nfb96j" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v3.40, D PCB)" devices ())
(name "nfb96k" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v97-3.3c, D PCB)" devices ())
(name "nfb96l" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 (v97-3.1c, B PCB)" devices ())
(name "nfb96m" year "1996" manufacturer "Amcoe" desc "New Fruit Bonus '96 (v3.1, A PCB, set 2)" devices ())
(name "nfb96se" year "1996" manufacturer "bootleg" desc "New Fruit Bonus '96 Special Edition (bootleg set 1, v97-3.3c Portuguese)" devices ())
(name "nfb96sea" year "1996" manufacturer "bootleg" desc "New Fruit Bonus '96 Special Edition (bootleg set 2, v97-3.3c English)" devices ())
(name "nfb96seb" year "1996" manufacturer "bootleg" desc "New Fruit Bonus '96 Special Edition (bootleg set 3, v97-3.3c Portuguese)" devices ())
(name "nfb96sec" year "1996" manufacturer "bootleg" desc "New Fruit Bonus '96 Special Edition (bootleg set 4, v97-3.3c English)" devices ())
(name "nfb96txt" year "2000" manufacturer "Amcoe" desc "New Fruit Bonus '96 Special Edition (v1.22 Texas XT, C2 PCB)" devices ())
(name "nfl" year "2001" manufacturer "Stern" desc "NFL (CPU 1.01, display A1.02)" devices ())
(name "nflclsfb" year "2003" manufacturer "Namco / Metro" desc "NFL Classic Football (US, NCF3 Ver.A.)" devices ((name "cdrom" briefname "cdrm" )))
(name "nflfoot" year "1983" manufacturer "Bally Midway" desc "NFL Football" devices ())
(name "nfm" year "2003" manufacturer "Ming-Yang Electronic" desc "New Fruit Machine (Ming-Yang Electronic, vFB02-07A)" devices ())
(name "nfma" year "2003" manufacturer "Ming-Yang Electronic" desc "New Fruit Machine (Ming-Yang Electronic, vFB02-01A)" devices ())
(name "nforcepc" year "2002" manufacturer "Nvidia" desc "Nvidia nForce PC (CRUSH11/12)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "nfs" year "2003" manufacturer "Global VR" desc "Need for Speed - 4 Cab Link (2 Discs) (v1.0.1 Rev B)" devices ())
(name "nfsgt" year "2004" manufacturer "Global VR" desc "Need for Speed GT (Hard Drive+2 Discs) (v1.1.0 Rev C)" devices ())
(name "nfsug" year "2005" manufacturer "Global VR" desc "Need For Speed: Underground Install (2 Discs) (v1.1)" devices ())
(name "ng_mv1" year "1990" manufacturer "SNK" desc "Neo-Geo MV-1" devices ((name "memcard" briefname "memc" ) (name "cartridge" briefname "cart" )))
(name "ng_mv1f" year "1990" manufacturer "SNK" desc "Neo-Geo MV-1F" devices ((name "cartridge" briefname "cart" )))
(name "ng_mv1fz" year "1990" manufacturer "SNK" desc "Neo-Geo MV-1FZ" devices ((name "cartridge" briefname "cart" )))
(name "ng_mv2f" year "1990" manufacturer "SNK" desc "Neo-Geo MV-2F" devices ((name "memcard" briefname "memc" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "ng_mv4f" year "1990" manufacturer "SNK" desc "Neo-Geo MV-4F" devices ((name "memcard" briefname "memc" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "cartridge4" briefname "cart4" )))
(name "ngalsumr" year "1985" manufacturer "Nichibutsu" desc "Night Gal Summer (Japan 850702 NGS 0-01)" devices ())
(name "ngbc" year "2005" manufacturer "Sammy / SNK Playmore" desc "NeoGeo Battle Coliseum" devices ())
(name "ngbcj" year "2005" manufacturer "Sammy / SNK Playmore" desc "NeoGeo Battle Coliseum (Japan)" devices ())
(name "ngdup23a" year "2001" manufacturer "Sega" desc "Naomi DIMM Firmware Updater (2.13) (GDS-0023A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ngdup23c" year "2001" manufacturer "Sega" desc "Naomi DIMM Firmware Updater (2.17) (GDS-0023C)" devices ((name "cdrom" briefname "cdrm" )))
(name "ngdup23e" year "2001" manufacturer "Sega" desc "Naomi DIMM Firmware Updater (3.17) (GDS-0023E)" devices ((name "cdrom" briefname "cdrm" )))
(name "ngen" year "1983" manufacturer "Convergent Technologies" desc "NGEN CP-001" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "ngenb38" year "1991" manufacturer "Financial Products Corp." desc "B28/38" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "ngg_10" year "1997" manufacturer "Williams" desc "No Good Gofers (1.0)" devices ())
(name "ngg_13" year "1997" manufacturer "Williams" desc "No Good Gofers (1.3)" devices ())
(name "ngg_p06" year "1997" manufacturer "Williams" desc "No Good Gofers (p0.6)" devices ())
(name "ngndshkr" year "1980" manufacturer "Bally" desc "Nitro Ground Shaker" devices ())
(name "ngold" year "198?" manufacturer "<unknown>" desc "Jack Potten's Poker (NGold, set 1)" devices ())
(name "ngolda" year "198?" manufacturer "<unknown>" desc "Jack Potten's Poker (NGold, set 2)" devices ())
(name "ngoldb" year "198?" manufacturer "<unknown>" desc "Jack Potten's Poker (NGold, set 3)" devices ())
(name "ngp" year "1998" manufacturer "SNK" desc "NeoGeo Pocket" devices ((name "cartridge" briefname "cart" )))
(name "ngpc" year "1999" manufacturer "SNK" desc "NeoGeo Pocket Color" devices ((name "cartridge" briefname "cart" )))
(name "ngpgal" year "1991" manufacturer "Nichibutsu" desc "Nekketsu Grand-Prix Gal (Japan)" devices ())
(name "ngtbunny" year "1984" manufacturer "Nichibutsu" desc "Night Bunny (Japan 840601 MRN 2-10)" devices ())
(name "ngtfever" year "1979" manufacturer "Sonic" desc "Night Fever" devices ())
(name "nhidctch" year "1999" manufacturer "Eolith" desc "New Hidden Catch (World) / New Tul Lin Gu Lim Chat Ki '98 (Korea) (pcb ver 3.02)" devices ())
(name "nhomerun" year "1988" manufacturer "Jaleco" desc "NEW Moero!! Pro Yakyuu Homerun Kyousou" devices ())
(name "nibbler" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 9, set 1)" devices ())
(name "nibbler6" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 6)" devices ())
(name "nibbler7" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 7)" devices ())
(name "nibbler8" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 8)" devices ())
(name "nibblera" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 9, set 2)" devices ())
(name "nibblero" year "1983" manufacturer "Rock-Ola (Olympia license)" desc "Nibbler (rev 8, Olympia)" devices ())
(name "nibblerp" year "1982" manufacturer "Rock-Ola" desc "Nibbler (rev 6, Pioneer Balloon conversion)" devices ())
(name "nicetsuk" year "2002" manufacturer "Namco / Metro" desc "Tsukkomi Yousei Gips Nice Tsukkomi (NTK1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "nichisel" year "2000" manufacturer "Nichibutsu" desc "DVD Select (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "nightgal" year "1984" manufacturer "Nichibutsu" desc "Night Gal (Japan 840920 AG 1-00)" devices ())
(name "nightlov" year "1986" manufacturer "Central Denshi" desc "Night Love (Japan 860705)" devices ())
(name "nightmare" year "1982" manufacturer "E.F.O." desc "Night Mare (Spain)" devices ())
(name "nightr20" year "1977" manufacturer "Bally" desc "Night Rider (rev. 20)" devices ())
(name "nightrai" year "2001" manufacturer "Takumi" desc "Night Raid (V2.03J 2001/02/26 17:00)" devices ((name "harddisk" briefname "hard" )))
(name "nightrdr" year "1977" manufacturer "Bally" desc "Night Rider (rev. 21)" devices ())
(name "nightstr" year "1989" manufacturer "Taito Corporation Japan" desc "Night Striker (World)" devices ())
(name "nightstrj" year "1989" manufacturer "Taito Corporation" desc "Night Striker (Japan)" devices ())
(name "nightstru" year "1989" manufacturer "Taito America Corporation" desc "Night Striker (US)" devices ())
(name "nimbus" year "1986" manufacturer "Research Machines" desc "Nimbus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "printout" briefname "prin" )))
(name "ninclown" year "1991" manufacturer "Strata / Incredible Technologies" desc "Ninja Clowns (27 oct 91)" devices ())
(name "nineball" year "1980" manufacturer "Stern" desc "Nine Ball" devices ())
(name "ninja" year "1985" manufacturer "Sega" desc "Ninja (315-5102)" devices ())
(name "ninjak" year "1990" manufacturer "Taito Corporation Japan" desc "The Ninja Kids (World)" devices ())
(name "ninjakd2" year "1987" manufacturer "UPL" desc "Ninja-Kid II / NinjaKun Ashura no Shou (set 1)" devices ())
(name "ninjakd2a" year "1987" manufacturer "UPL" desc "Ninja-Kid II / NinjaKun Ashura no Shou (set 2, bootleg?)" devices ())
(name "ninjakd2b" year "1987" manufacturer "UPL" desc "Ninja-Kid II / NinjaKun Ashura no Shou (set 3, bootleg?)" devices ())
(name "ninjakd2c" year "1987" manufacturer "UPL" desc "Ninja-Kid II / NinjaKun Ashura no Shou (set 4)" devices ())
(name "ninjakj" year "1990" manufacturer "Taito Corporation" desc "The Ninja Kids (Japan)" devices ())
(name "ninjaku" year "1990" manufacturer "Taito America Corporation" desc "The Ninja Kids (US)" devices ())
(name "ninjakun" year "1984" manufacturer "UPL (Taito license)" desc "Ninjakun Majou no Bouken" devices ())
(name "ninjamas" year "1996" manufacturer "ADK / SNK" desc "Ninja Master's - Haoh-ninpo-cho" devices ((name "memcard" briefname "memc" ) ()))
(name "ninjaslt" year "2000" manufacturer "Namco" desc "Ninja Assault (World, NJA2 Ver.A)" devices ())
(name "ninjaslta" year "2000" manufacturer "Namco" desc "Ninja Assault (Asia, NJA4 Ver.A)" devices ())
(name "ninjasltj" year "2000" manufacturer "Namco" desc "Ninja Assault (Japan, NJA1 Ver.A)" devices ())
(name "ninjasltu" year "2000" manufacturer "Namco" desc "Ninja Assault (US, NJA3 Ver.A)" devices ())
(name "ninjaw" year "1987" manufacturer "Taito Corporation Japan" desc "The Ninja Warriors (World, later version)" devices ())
(name "ninjaw1" year "1987" manufacturer "Taito Corporation Japan" desc "The Ninja Warriors (World, earlier version)" devices ())
(name "ninjawj" year "1987" manufacturer "Taito Corporation" desc "The Ninja Warriors (Japan)" devices ())
(name "ninjawu" year "1987" manufacturer "Taito Corporation America (licensed to Romstar)" desc "The Ninja Warriors (US, Romstar license)" devices ())
(name "ninjemak" year "1986" manufacturer "Nichibutsu" desc "Ninja Emaki (US)" devices ())
(name "nitd" year "2000" manufacturer "Eleven / Gavaking" desc "Nightmare in the Dark" devices ((name "memcard" briefname "memc" ) ()))
(name "nitdbl" year "2001" manufacturer "bootleg" desc "Nightmare in the Dark (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "nitedrvr" year "1976" manufacturer "Atari" desc "Night Driver" devices ())
(name "nitrobal" year "1992" manufacturer "Data East Corporation" desc "Nitro Ball (World, set 1)" devices ())
(name "nitrobala" year "1992" manufacturer "Data East Corporation" desc "Nitro Ball (World, set 2)" devices ())
(name "nitrobalb" year "1992" manufacturer "Data East Corporation" desc "Nitro Ball (World, set 3)" devices ())
(name "nixpc01" year "198?" manufacturer "Nixdorf Computer AG" desc "8810/25 CPC - PC01" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "niyanpai" year "1996" manufacturer "Nichibutsu" desc "Niyanpai (Japan)" devices ())
(name "njp60in1" year "200?" manufacturer "<unknown>" desc "NJ Pocket 60-in-1 handheld 'X zero' (NTSC)" devices ())
(name "nkdodge" year "1987" manufacturer "Technos Japan" desc "Nekketsu Koukou Dodgeball Bu (Japan)" devices ())
(name "nkdodgeb" year "1987" manufacturer "bootleg" desc "Nekketsu Koukou Dodgeball Bu (Japan, bootleg)" devices ())
(name "nkishusp" year "1998" manufacturer "IGS / Alta" desc "Mahjong Nenrikishu SP (Japan, V250J)" devices ())
(name "nkoulit" year "1995" manufacturer "JK Amusement" desc "Gkoulit (encrypted GFX)" devices ())
(name "nmaster" year "1995" manufacturer "Banpresto / Pandorabox" desc "Oni - The Ninja Master (Japan)" devices ())
(name "nmg5" year "1998" manufacturer "Yun Sung" desc "Multi 5 / New Multi Game 5 (set 1)" devices ())
(name "nmg5a" year "1998" manufacturer "Yun Sung" desc "Multi 5 / New Multi Game 5 (set 2, censored)" devices ())
(name "nmg5e" year "1997" manufacturer "Yun Sung" desc "Multi 5 / New Multi Game 5 (set 3, earlier)" devices ())
(name "nmicro" year "1981" manufacturer "Novag Industries" desc "Micro Chess" devices ())
(name "nmicro2" year "1982" manufacturer "Novag Industries / Heuristic Software" desc "Micro II (Novag)" devices ())
(name "nmouse" year "1981" manufacturer "Amenip (Palcom Queen River)" desc "Naughty Mouse (set 1)" devices ())
(name "nmouseb" year "1981" manufacturer "Amenip Nova Games Ltd." desc "Naughty Mouse (set 2)" devices ())
(name "nmoves" year "1989" manufacturer "International Concepts" desc "Night Moves" devices ())
(name "nms801" year "1989" manufacturer "Philips" desc "NMS-801 (MSX1, Italy)" devices ((name "cassette" briefname "cass" )))
(name "nms8220" year "1987" manufacturer "Philips" desc "NMS 8220 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8245" year "1987" manufacturer "Philips" desc "NMS 8245 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8245f" year "1987" manufacturer "Philips" desc "NMS 8245F (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8250" year "1987" manufacturer "Philips" desc "NMS 8250 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8250_16" year "1987" manufacturer "Philips" desc "NMS 8250/16 (MSX2, Spain)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8250_19" year "1987" manufacturer "Philips" desc "NMS 8250/19 (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8255" year "1987" manufacturer "Philips" desc "NMS 8255 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8255f" year "1987" manufacturer "Philips" desc "NMS 8255F (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8260" year "1987" manufacturer "Philips" desc "NMS 8260 (MSX2, Prototype)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8280" year "1987" manufacturer "Philips" desc "NMS 8280 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8280f" year "1986" manufacturer "Philips" desc "NMS 8280F (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms8280g" year "1986" manufacturer "Philips" desc "NMS 8280G (MSX2, Germany)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "nms9100" year "198?" manufacturer "Philips" desc "NMS 9100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "nmsengen" year "1991" manufacturer "Video System Co." desc "Nekketsu Mahjong Sengen! AFTER 5 (Japan)" devices ())
(name "nndmseal" year "1997" manufacturer "I'Max / Jaleco" desc "Nandemo Seal Iinkai (ver 1.3)" devices ())
(name "nndmseal11" year "1997" manufacturer "I'Max / Jaleco" desc "Nandemo Seal Iinkai (ver 1.1)" devices ())
(name "nndmseala" year "1997" manufacturer "I'Max / Jaleco" desc "Nandemo Seal Iinkai (Astro Boy ver. 1.0?)" devices ())
(name "nndmsealb" year "1997" manufacturer "I'Max / Jaleco" desc "Nandemo Seal Iinkai (Astro Boy ver. 1.1)" devices ())
(name "nndmsealc" year "1997" manufacturer "I'Max / Jaleco" desc "Nandemo Seal Iinkai (alternate ver 1.0)" devices ())
(name "noahsark" year "1983" manufacturer "Enter-Tech, Ltd." desc "Noah's Ark" devices ())
(name "nob" year "1986" manufacturer "Coreland / Data East Corporation" desc "Noboranka (Japan)" devices ())
(name "nobb" year "1986" manufacturer "bootleg (Game Electronics)" desc "Noboranka (Japan, bootleg)" devices ())
(name "nochnyev" year "19??" manufacturer "bootleg (Elektronika)" desc "Nochnye vorishki" devices ())
(name "noki3210" year "1999" manufacturer "Nokia" desc "Nokia 3210" devices ())
(name "noki3310" year "2000" manufacturer "Nokia" desc "Nokia 3310" devices ())
(name "noki3330" year "2001" manufacturer "Nokia" desc "Nokia 3330" devices ())
(name "noki3410" year "2002" manufacturer "Nokia" desc "Nokia 3410" devices ())
(name "noki5210" year "2002" manufacturer "Nokia" desc "Nokia 5210" devices ())
(name "noki6210" year "2000" manufacturer "Nokia" desc "Nokia 6210" devices ())
(name "noki6250" year "2000" manufacturer "Nokia" desc "Nokia 6250" devices ())
(name "noki7110" year "1999" manufacturer "Nokia" desc "Nokia 7110" devices ())
(name "noki8210" year "1999" manufacturer "Nokia" desc "Nokia 8210" devices ())
(name "noki8250" year "2000" manufacturer "Nokia" desc "Nokia 8250" devices ())
(name "noki8850" year "1999" manufacturer "Nokia" desc "Nokia 8850" devices ())
(name "noki8890" year "2000" manufacturer "Nokia" desc "Nokia 8890" devices ())
(name "nomnlnd" year "1980" manufacturer "Universal" desc "Sengoku no Jieitai" devices ())
(name "nomnlndg" year "1980" manufacturer "Universal (Gottlieb license)" desc "No Man's Land (Gottlieb)" devices ())
(name "noraut3a" year "2002" manufacturer "Noraut Ltd." desc "Noraut Jacks Plus / Joker Poker (V3.010a)" devices ())
(name "noraut3b" year "2003" manufacturer "Noraut Ltd." desc "Noraut Jacks Plus / Joker Poker (V3.011a)" devices ())
(name "norautdx" year "198?" manufacturer "Noraut Ltd." desc "Noraut Deluxe Poker (console)" devices ())
(name "norautjo" year "198?" manufacturer "Noraut Ltd." desc "Noraut Joker Poker (original)" devices ())
(name "norautjp" year "1988" manufacturer "Noraut Ltd." desc "Noraut Joker Poker (alt)" devices ())
(name "norautp" year "1988" manufacturer "Noraut Ltd." desc "Noraut Poker" devices ())
(name "norautpl" year "198?" manufacturer "Video Fun Games Ltd." desc "Noraut Joker Poker (Prologic HW)" devices ())
(name "norautpn" year "198?" manufacturer "bootleg" desc "Noraut Deluxe Poker (bootleg)" devices ())
(name "norautra" year "198?" manufacturer "Noraut Ltd." desc "Noraut Red Hot Joker Poker (alt HW)" devices ())
(name "norautrh" year "1988" manufacturer "Noraut Ltd." desc "Noraut Red Hot Joker Poker" devices ())
(name "norautu" year "1988" manufacturer "Noraut Ltd." desc "Noraut Poker (NTX10A)" devices ())
(name "norautua" year "198?" manufacturer "Noraut Ltd." desc "Noraut Joker Poker (console, set 1)" devices ())
(name "norautub" year "198?" manufacturer "Noraut Ltd." desc "Noraut Joker Poker (console, set 2)" devices ())
(name "nost" year "1993" manufacturer "Face" desc "Nostradamus" devices ())
(name "nostj" year "1993" manufacturer "Face" desc "Nostradamus (Japan)" devices ())
(name "nostk" year "1993" manufacturer "Face" desc "Nostradamus (Korea)" devices ())
(name "nostromo" year "198?" manufacturer "bootleg" desc "Nostromo" devices ())
(name "notechan" year "1995" manufacturer "Banpresto" desc "Note Chance" devices ())
(name "notetakr" year "1978" manufacturer "Xerox" desc "NoteTaker" devices ((name "floppydisk" briefname "flop" )))
(name "nouryoku" year "1995" manufacturer "Tecmo" desc "Nouryoku Koujou Iinkai" devices ())
(name "nouryokup" year "1995" manufacturer "Tecmo" desc "Nouryoku Koujou Iinkai (prototype)" devices ())
(name "nova2001" year "1983" manufacturer "UPL" desc "Nova 2001 (Japan)" devices ())
(name "nova2001h" year "1983" manufacturer "UPL" desc "Nova 2001 (Japan, hack?)" devices ())
(name "nova2001u" year "1983" manufacturer "UPL (Universal license)" desc "Nova 2001 (US)" devices ())
(name "noved" year "2006" manufacturer "bootleg (Kon)" desc "Nove Diamante (bootleg)" devices ())
(name "novoplay" year "1986" manufacturer "Admiral / Novomatic" desc "Novo Play Multi Card / Club Card" devices ())
(name "novoplaya" year "1992" manufacturer "Novo Play International" desc "Novo Play Club Card (V6.2H)" devices ())
(name "novoplayb" year "1991" manufacturer "Novo Play International" desc "Novo Play Club Card (V3.3H)" devices ())
(name "npc8300" year "1987" manufacturer "NEC" desc "PC-8300" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "npcartv1" year "1996" manufacturer "SNK" desc "Neo Print V1 (World) (E1a)" devices ())
(name "npcramen" year "1996" manufacturer "SNK" desc "Neo Print - Chicken Ramen (Japan)" devices ())
(name "npeurver" year "1997" manufacturer "SNK" desc "Neo Print - European Version (World) (T4i 2.00)" devices ())
(name "npfpit" year "1999" manufacturer "SNK" desc "Neo Print - Fuyu Pri Iitoko-dori (Japan) (T4i 3.07)" devices ())
(name "npft" year "1999" manufacturer "SNK" desc "Neo Print - Fairy Tales (World) (T4i 3.07)" devices ())
(name "npmillen" year "1999" manufacturer "SNK" desc "Neo Print - Millennium Multi Shot Edition (World) (T4i 3.07)" devices ())
(name "npotogib" year "1997" manufacturer "SNK" desc "Neo Print - Otogibanashi (Japan) (T4i 3.00)" devices ())
(name "nppopeye" year "1997" manufacturer "SNK" desc "Neo Print - Popeye (Japan) (T4i 3.04)" devices ())
(name "nprimo" year "1987" manufacturer "Novag Industries" desc "Primo (Novag)" devices ())
(name "nprinces" year "1985" manufacturer "bootleg?" desc "Ninja Princess (315-5051, 64k Ver. bootleg?)" devices ())
(name "nprincesb" year "1985" manufacturer "bootleg?" desc "Ninja Princess (315-5051?, 128k Ver. bootleg?)" devices ())
(name "nprinceso" year "1985" manufacturer "Sega" desc "Ninja Princess (315-5098, 128k Ver.)" devices ())
(name "nprincesu" year "1985" manufacturer "Sega" desc "Ninja Princess (64k Ver. not encrypted)" devices ())
(name "nprobowl" year "1996" manufacturer "Zuck / Able Corp" desc "New Pro Bowl" devices ())
(name "nprsp" year "1996" manufacturer "SNK" desc "NeopriSP Retro Collection (Japan)" devices ())
(name "npscv1" year "1996" manufacturer "SNK" desc "Neo Print - Senyou Cassette Ver. 1 (Japan)" devices ())
(name "npskv" year "1997" manufacturer "SNK" desc "Neo Print - Suizokukan Version (Japan) (T4i 2.00)" devices ())
(name "npsprg98" year "1998" manufacturer "SNK" desc "Neo Print - Spring '98 (T4i 3.07)" devices ())
(name "npsprgv4" year "1997" manufacturer "SNK" desc "Neo Print - Spring Ver. 4 (Japan) (T4f 1.00)" devices ())
(name "npssr2" year "1996" manufacturer "SNK" desc "Neo Print Special: Sekai Ryokou 2 (Japan)" devices ())
(name "npusagif" year "1997" manufacturer "SNK" desc "Neo Print - Usagi Frame (Japan) (T4i 3.07)" devices ())
(name "nrallyx" year "1981" manufacturer "Namco" desc "New Rally X" devices ())
(name "nrallyxb" year "1981" manufacturer "Namco" desc "New Rally X (bootleg?)" devices ())
(name "nratechu" year "1996" manufacturer "Seta" desc "Neratte Chu" devices ())
(name "ns5652" year "19??" manufacturer "National Semiconductor" desc "unknown INS8900 Multibus card (980305652)" devices ())
(name "ns8lines" year "198?" manufacturer "<unknown>" desc "New Lucky 8 Lines / New Super 8 Lines (W-4)" devices ())
(name "ns8linesa" year "1985" manufacturer "Yamate (bootleg)" desc "New Lucky 8 Lines / New Super 8 Lines (W-4, Lucky97 HW)" devices ())
(name "ns8linew" year "198?" manufacturer "<unknown>" desc "New Lucky 8 Lines / New Super 8 Lines (F-5, Witch Bonus)" devices ())
(name "ns8linewa" year "198?" manufacturer "<unknown>" desc "New Lucky 8 Lines / New Super 8 Lines (W-4, Witch Bonus)" devices ())
(name "nshort" year "1993" manufacturer "Hegener + Glaser" desc "Mephisto Nigel Short" devices ())
(name "nshrz" year "1976" manufacturer "North Star Computers" desc "Horizon (North Star Computers, 4MHz)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "nshrz2mhz" year "1976" manufacturer "North Star Computers" desc "Horizon (North Star Computers, 2MHz)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "nslasher" year "1994" manufacturer "Data East Corporation" desc "Night Slashers (Korea Rev 1.3, DE-0397-0 PCB)" devices ())
(name "nslasherj" year "1994" manufacturer "Data East Corporation" desc "Night Slashers (Japan Rev 1.2, DE-0397-0 PCB)" devices ())
(name "nslashers" year "1994" manufacturer "Data East Corporation" desc "Night Slashers (Over Sea Rev 1.2, DE-0397-0 PCB)" devices ())
(name "nslasheru" year "1994" manufacturer "Data East Corporation" desc "Night Slashers (US Rev 1.2, DE-0395-1 PCB)" devices ())
(name "nsmb3" year "1990" manufacturer "Nelsonic" desc "Super Mario Bros. 3 (Nelsonic)" devices ())
(name "nsmpoker" year "198?" manufacturer "NSM" desc "NSM Poker (TMS9995)" devices ())
(name "nsmw" year "1991" manufacturer "Nelsonic" desc "Super Mario World (Nelsonic)" devices ())
(name "nsnova" year "1990" manufacturer "Novag Industries" desc "Super Nova (Novag, set 1)" devices ())
(name "nsnovaa" year "1990" manufacturer "Novag Industries" desc "Super Nova (Novag, set 2)" devices ())
(name "nspirit" year "1988" manufacturer "Irem" desc "Ninja Spirit (World)" devices ())
(name "nspiritj" year "1988" manufacturer "Irem" desc "Saigo no Nindou (Japan)" devices ())
(name "nss_actr" year "1992" manufacturer "Enix" desc "Act Raiser (Nintendo Super System)" devices ())
(name "nss_adam" year "1992" manufacturer "Ocean" desc "The Addams Family (Nintendo Super System)" devices ())
(name "nss_aten" year "1992" manufacturer "Absolute Entertainment Inc." desc "David Crane's Amazing Tennis (Nintendo Super System)" devices ())
(name "nss_con3" year "1992" manufacturer "Konami" desc "Contra 3: The Alien Wars (Nintendo Super System)" devices ())
(name "nss_fzer" year "1991" manufacturer "Nintendo" desc "F-Zero (Nintendo Super System)" devices ())
(name "nss_lwep" year "1992" manufacturer "Ocean" desc "Lethal Weapon (Nintendo Super System)" devices ())
(name "nss_ncaa" year "1992" manufacturer "Sculptured Software Inc." desc "NCAA Basketball (Nintendo Super System)" devices ())
(name "nss_rob3" year "1992" manufacturer "Ocean" desc "Robocop 3 (Nintendo Super System)" devices ())
(name "nss_skin" year "1992" manufacturer "Irem" desc "Skins Game (Nintendo Super System)" devices ())
(name "nss_smas" year "1993" manufacturer "Nintendo" desc "Super Mario All-Stars (Nintendo Super System)" devices ())
(name "nss_smw" year "1991" manufacturer "Nintendo" desc "Super Mario World (Nintendo Super System)" devices ())
(name "nss_ssoc" year "1992" manufacturer "Human Inc." desc "Super Soccer (Nintendo Super System)" devices ())
(name "nss_sten" year "1991" manufacturer "Nintendo" desc "Super Tennis (Nintendo Super System)" devices ())
(name "nstarfox" year "1993" manufacturer "Nelsonic" desc "Star Fox (Nelsonic)" devices ())
(name "nstocker" year "1986" manufacturer "Bally/Sente" desc "Night Stocker (10/6/86)" devices ())
(name "nstockera" year "1986" manufacturer "Bally/Sente" desc "Night Stocker (8/27/86)" devices ())
(name "nstrphnx" year "1987" manufacturer "Zaccaria" desc "New Star's Phoenix (Italian speech)" devices ())
(name "nstrphnxf" year "1987" manufacturer "Zaccaria" desc "New Star's Phoenix (French speech)" devices ())
(name "nsub" year "1980" manufacturer "Sega" desc "N-Sub (upright)" devices ())
(name "nsupertr3" year "1988" manufacturer "Status Games" desc "New Super Triv III" devices ())
(name "nsvip" year "1989" manufacturer "Novag Industries" desc "Super VIP (v3.7)" devices ())
(name "nsvipa" year "1989" manufacturer "Novag Industries" desc "Super VIP (v3.6)" devices ())
(name "nsvipb" year "1989" manufacturer "Novag Industries" desc "Super VIP (v1.03)" devices ())
(name "nsvipc" year "1989" manufacturer "Novag Industries" desc "Super VIP (v1.01)" devices ())
(name "ntcash" year "1999" manufacturer "<unknown>" desc "NtCash" devices ())
(name "ntopstar" year "1990" manufacturer "Nichibutsu" desc "Mahjong Nerae! Top Star (Japan)" devices ())
(name "ntvmys" year "2000" manufacturer "Sega / NTV" desc "Nittere Shiki! Mirai Yosou Studio / NTV Future Forecast Studio (Japan, Rev A)" devices ())
(name "nubsupmf" year "2020" manufacturer "<unknown>" desc "NubSup Mini Game Fan" devices ())
(name "nudgeit" year "1990" manufacturer "Gottlieb" desc "Nudge-It" devices ())
(name "nugent" year "1978" manufacturer "Stern" desc "Nugent" devices ())
(name "numanath" year "1993" manufacturer "Namco" desc "Numan Athletics (World)" devices ())
(name "numanathj" year "1993" manufacturer "Namco" desc "Numan Athletics (Japan)" devices ())
(name "number1" year "1996" manufacturer "San Remo Games" desc "Number One" devices ())
(name "number10" year "2000" manufacturer "PlayMark SRL" desc "Number Dieci (Poker)" devices ())
(name "numbr10l" year "2000" manufacturer "PlayMark SRL" desc "Number Dieci (Lattine)" devices ())
(name "numcrash" year "1983" manufacturer "Hanshin Goraku / Peni" desc "Number Crash" devices ())
(name "nummunch" year "1989" manufacturer "VTech" desc "Electronic Number Muncher" devices ())
(name "nunchaku" year "1985" manufacturer "Kaneko / Taito" desc "Nunchackun" devices ())
(name "nupogodi" year "1984" manufacturer "bootleg (Elektronika)" desc "Nu, pogodi!" devices ())
(name "nuretemi" year "2000" manufacturer "Nichibutsu/Love Factory" desc "Nurete Mitaino... - Net Idol Hen (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "nvip" year "1987" manufacturer "Novag Industries" desc "VIP (Novag)" devices ())
(name "nvs_machrider" year "1985" manufacturer "Nintendo" desc "Vs. Mach Rider (Endurance Course Version)" devices ())
(name "nvs_machridera" year "1985" manufacturer "Nintendo" desc "Vs. Mach Rider (Fighting Course Version, set MR4-1 A)" devices ())
(name "nvs_mightybj" year "1986" manufacturer "Tecmo" desc "Vs. Mighty Bomb Jack (Japan)" devices ())
(name "nvs_platoon" year "1987" manufacturer "Ocean Software Limited" desc "Vs. Platoon" devices ())
(name "nwarr" year "1995" manufacturer "Capcom" desc "Night Warriors: Darkstalkers' Revenge (Europe 950316)" devices ())
(name "nwarra" year "1995" manufacturer "Capcom" desc "Night Warriors: Darkstalkers' Revenge (Asia 950302)" devices ())
(name "nwarrb" year "1995" manufacturer "Capcom" desc "Night Warriors: Darkstalkers' Revenge (Brazil 950403)" devices ())
(name "nwarrh" year "1995" manufacturer "Capcom" desc "Night Warriors: Darkstalkers' Revenge (Hispanic 950403)" devices ())
(name "nwarru" year "1995" manufacturer "Capcom" desc "Night Warriors: Darkstalkers' Revenge (USA 950406)" devices ())
(name "nwarrud" year "1995" manufacturer "bootleg" desc "Night Warriors: Darkstalkers' Revenge (USA 950406 Phoenix Edition) (bootleg)" devices ())
(name "nws1580" year "1988" manufacturer "Sony" desc "NWS-1580" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "nws3260" year "1991" manufacturer "Sony" desc "NWS-3260" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "nws3410" year "1991" manufacturer "Sony" desc "NWS-3410" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "nws3860" year "1989" manufacturer "Sony" desc "NWS-3860" devices ((name "floppydisk" briefname "flop" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "nws5000x" year "1994" manufacturer "Sony" desc "NET WORK STATION NWS-5000X" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "nyanpani" year "1988" manufacturer "Konami" desc "Nyan Nyan Panic (Japan)" devices ())
(name "nycaptor" year "1985" manufacturer "Taito" desc "N.Y. Captor (rev 2)" devices ())
(name "nyjoker" year "2000" manufacturer "High Video" desc "New York Joker" devices ())
(name "nyny" year "1980" manufacturer "Sigma Enterprises Inc." desc "New York! New York!" devices ())
(name "nynyg" year "1980" manufacturer "Sigma Enterprises Inc. (Gottlieb license)" desc "New York! New York! (Gottlieb)" devices ())
(name "nytsudo" year "200?" manufacturer "Excalibur Electronics / Nice Code" desc "The New York Times Sudoku" devices ())
(name "nzeroteam" year "1997" manufacturer "Seibu Kaihatsu" desc "New Zero Team (V33 SYSTEM TYPE_B hardware)" devices ())
(name "nzeroteama" year "1997" manufacturer "Seibu Kaihatsu (Zhongguo Shantou Yihuang license)" desc "New Zero Team (V33 SYSTEM TYPE_B hardware, Zhongguo Shantou Yihuang license)" devices ())
(name "nzeroteamb" year "1997" manufacturer "Seibu Kaihatsu (Haoyunlai Trading Company license)" desc "New Zero Team (V33 SYSTEM TYPE_B hardware, Haoyunlai Trading Company license)" devices ())
(name "o2" year "1996" manufacturer "Silicon Graphics Inc." desc "O2" devices ())
(name "o286foxii" year "198?" manufacturer "Octek" desc "Fox II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ob68k1a" year "1982" manufacturer "Omnibyte" desc "OB68K1A Single Board Computer" devices ())
(name "obaoba" year "1980" manufacturer "Taito do Brasil" desc "Oba-Oba (set 1)" devices ())
(name "obaoba1" year "1980" manufacturer "Taito do Brasil" desc "Oba-Oba (set 2)" devices ())
(name "obaobao" year "1980" manufacturer "Taito do Brasil" desc "Oba-Oba (old hardware)" devices ())
(name "oc2000" year "1979" manufacturer "SOE" desc "OC-2000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "oceanhun" year "1998" manufacturer "Sega" desc "The Ocean Hunter (Japan, Revision A)" devices ())
(name "oceanhuna" year "1998" manufacturer "Sega" desc "The Ocean Hunter (Japan)" devices ())
(name "oceanpar" year "1999" manufacturer "IGS" desc "Ocean Paradise (V105US)" devices ())
(name "oceanpara" year "1999" manufacturer "IGS" desc "Ocean Paradise (V101US)" devices ())
(name "ocfoxm" year "1990" manufacturer "Octek" desc "Fox M 286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ochaken" year "2007" manufacturer "Sega" desc "Ocha-Ken Hot Medal" devices ())
(name "ochawk" year "199?" manufacturer "Octek" desc "Hawk" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ochipcom" year "199?" manufacturer "Octek" desc "Hippo COM" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ochipdca2" year "1994" manufacturer "Octek" desc "Hippo DCA2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ochipvlp" year "199?" manufacturer "Octek" desc "Hippo VL+" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ocjagii" year "1992" manufacturer "Octek" desc "Jaguar II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ocjagv" year "1992" manufacturer "Octek" desc "Jaguar V v1.4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ocpanii" year "199?" manufacturer "Octek" desc "Panther II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "octane" year "1997" manufacturer "Silicon Graphics Inc" desc "Octane (Version 6.5 Rev 4.9 05/22/03)" devices ())
(name "octekg2" year "199?" manufacturer "Octek" desc "286 motherboard with Headland G2 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "octopus" year "1986" manufacturer "Digital Microsystems" desc "LSI Octopus" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "octopussy" year "1990" manufacturer "Covielsa" desc "Octopussy" devices ())
(name "ocxt286" year "198?" manufacturer "Octek" desc "XT-286 motherboard" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "odeontw" year "1998" manufacturer "CD Express" desc "Odeon Twister (v1.4)" devices ((name "cdrom" briefname "cdrm" )))
(name "odeontw2" year "1998" manufacturer "CD Express" desc "Odeon Twister 2 (v202.19)" devices ((name "cdrom" briefname "cdrm" )))
(name "odin" year "1985" manufacturer "Peyper" desc "Odin" devices ())
(name "odin_dlx" year "1985" manufacturer "Sonic" desc "Odin De Luxe" devices ())
(name "odinp" year "1985" manufacturer "Peyper" desc "Odin (prototype)" devices ())
(name "odisea" year "1987" manufacturer "Peyper" desc "Odisea Paris-Dakar" devices ())
(name "odyssey" year "1998" manufacturer "Silicon Gaming" desc "Odyssey" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "odyssey2" year "1979" manufacturer "Magnavox" desc "Odyssey 2 (US)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "odyssey3" year "1983" manufacturer "Philips" desc "Odyssey 3 Command Center (US, prototype)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "oedfight" year "1994" manufacturer "Kaneko" desc "Oedo Fight (Japan, Bloodshed version)" devices ())
(name "oedfighta" year "1994" manufacturer "Kaneko" desc "Oedo Fight (Japan, Bloodless version)" devices ())
(name "offensiv" year "1981" manufacturer "bootleg (Video Dens)" desc "Offensive (Spanish bootleg of Scramble)" devices ())
(name "officeye" year "2001" manufacturer "Danbi" desc "Office Yeo In Cheon Ha (version 1.2)" devices ())
(name "offroad" year "1989" manufacturer "Leland Corporation" desc "Ironman Ivan Stewart's Super Off-Road (rev 4)" devices ())
(name "offroad3" year "1989" manufacturer "Leland Corporation" desc "Ironman Ivan Stewart's Super Off-Road (rev 3)" devices ())
(name "offroadc" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.63)" devices ())
(name "offroadc0" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.00)" devices ())
(name "offroadc1" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.10)" devices ())
(name "offroadc3" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.30)" devices ())
(name "offroadc4" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.40)" devices ())
(name "offroadc5" year "1997" manufacturer "Midway" desc "Off Road Challenge (v1.50)" devices ())
(name "offroadt" year "1989" manufacturer "Leland Corporation" desc "Ironman Ivan Stewart's Super Off-Road Track-Pak (rev 4?)" devices ())
(name "offroadt2p" year "1989" manufacturer "Leland Corporation" desc "Ironman Ivan Stewart's Super Off-Road Track-Pak (rev 4, 2 players)" devices ())
(name "offrthnd" year "2000" manufacturer "Midway Games" desc "Offroad Thunder" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "offtwall" year "1991" manufacturer "Atari Games" desc "Off the Wall (2/3-player upright)" devices ())
(name "offtwallc" year "1991" manufacturer "Atari Games" desc "Off the Wall (2-player cocktail)" devices ())
(name "ogonsiro" year "1986" manufacturer "Allumer / Taito Corporation" desc "Ougon no Shiro (Japan)" devices ())
(name "ohbakyuun" year "1999" manufacturer "Eighting / Raizing / Namco" desc "Oh! Bakyuuun (Japan, OB1/VER.A)" devices ())
(name "ohmygod" year "1993" manufacturer "Atlus" desc "Oh My God! (Japan)" devices ())
(name "ohpaipee" year "1989" manufacturer "Nichibutsu" desc "Oh! Paipee (Japan 890227)" devices ())
(name "oigas" year "1986" manufacturer "bootleg" desc "Oigas (bootleg)" devices ())
(name "oinori" year "2003" manufacturer "Sega" desc "Oinori-daimyoujin Matsuri" devices ())
(name "oisipuzl" year "1993" manufacturer "Sunsoft / Atlus" desc "Oishii Puzzle Ha Irimasenka" devices ())
(name "ojanko2" year "1987" manufacturer "V-System Co." desc "Ojanko Yakata 2bankan (Japan)" devices ())
(name "ojankoc" year "1986" manufacturer "V-System Co." desc "Ojanko Club (Japan, Program Ver. 1.3, set 1)" devices ())
(name "ojankoca" year "1986" manufacturer "V-System Co." desc "Ojanko Club (Japan, Program Ver. 1.2)" devices ())
(name "ojankocb" year "1986" manufacturer "V-System Co." desc "Ojanko Club (Japan, Program Ver. 1.3, set 2)" devices ())
(name "ojankohs" year "1988" manufacturer "V-System Co." desc "Ojanko High School (Japan)" devices ())
(name "ojankoy" year "1986" manufacturer "V-System Co." desc "Ojanko Yakata (Japan)" devices ())
(name "ojousan" year "1987" manufacturer "Nichibutsu" desc "Ojousan (Japan 871204)" devices ())
(name "ojousanm" year "1987" manufacturer "Nichibutsu" desc "Ojousan (Japan 870108, medal)" devices ())
(name "okean240" year "1986" manufacturer "<unknown>" desc "Okeah-240" devices ())
(name "okean240a" year "1986" manufacturer "<unknown>" desc "Ocean-240 with FDD" devices ())
(name "okean240t" year "1986" manufacturer "<unknown>" desc "Ocean-240 Test ROM" devices ())
(name "okhota" year "1989" manufacturer "bootleg (Elektronika)" desc "Okhota" devices ())
(name "olds" year "1998" manufacturer "IGS" desc "Oriental Legend Super / Xiyou Shi E Zhuan Super (ver. 101, Korean Board)" devices ())
(name "olds100" year "1998" manufacturer "IGS" desc "Oriental Legend Special / Xiyou Shi E Zhuan Super (ver. 100, set 1)" devices ())
(name "olds100a" year "1998" manufacturer "IGS" desc "Oriental Legend Special / Xiyou Shi E Zhuan Super (ver. 100, set 2)" devices ())
(name "olds103t" year "1998" manufacturer "bootleg" desc "Xiyou Shi E Zhuan Super (ver. 103, China, Tencent) (unprotected)" devices ())
(name "oldsplus" year "2004" manufacturer "IGS" desc "Oriental Legend 2 (Korea) / Xiyou Shi E Zhuan Qunmoluanwu (World, China, Japan, Hong Kong, Taiwan) (ver. 205) [Oriental Ex]" devices ())
(name "oldsplus203" year "2004" manufacturer "IGS" desc "Oriental Legend 2 (Korea) / Xiyou Shi E Zhuan Qunmoluanwu (World, China, Japan, Hong Kong, Taiwan) (ver. 203) [Oriental Ex]" devices ())
(name "olibochu" year "1981" manufacturer "Irem (GDI license)" desc "Oli-Boo-Chu (USA)" devices ())
(name "olibug" year "1982" manufacturer "bootleg" desc "Oli Bug (bootleg of Jump Bug)" devices ())
(name "oligam" year "2005" manufacturer "Astro" desc "Olympian Games (Russia)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "olihockey" year "1985" manufacturer "Inor" desc "Olimpic Hockey (EM Bubble Hockey, set 1)" devices ())
(name "olihockeya" year "1985" manufacturer "Inor" desc "Olimpic Hockey (EM Bubble Hockey, set 2)" devices ())
(name "olim203" year "199?" manufacturer "Olivetti" desc "M203 motherboard" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "olivm15" year "198?" manufacturer "Olivetti" desc "M15" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "olivpc1" year "1987" manufacturer "Olivetti" desc "Prodest PC 1" devices ((name "floppydisk" briefname "flop" )))
(name "ollie" year "2003" manufacturer "Sega / Amusement Vision" desc "Ollie King (GDX-0007)" devices ((name "cdrom" briefname "cdrm" )))
(name "olmandingc" year "1982" manufacturer "bootleg (Calfesa)" desc "Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware, set 2)" devices ())
(name "olmandingo" year "1982" manufacturer "bootleg" desc "Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware, set 1)" devices ())
(name "olybossb" year "1981" manufacturer "Olympia International" desc "Olympia BOSS B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "olybossc" year "1981" manufacturer "Olympia International" desc "Olympia BOSS C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "olybossd" year "1981" manufacturer "Olympia International" desc "Olympia BOSS D" devices ((name "floppydisk" briefname "flop" )))
(name "olym65bj" year "1989" manufacturer "Olympic Video Gaming PTY LTD" desc "Black jack (Olympic Games, v5.04, upgrade kit for Wild Card)" devices ())
(name "olym65wc" year "1989" manufacturer "Olympic Video Gaming PTY LTD" desc "Wild Card (Olympic Games, v2.0)" devices ())
(name "olymp" year "2000?" manufacturer "Z Games" desc "Olympus (Z Games, version 10)" devices ())
(name "olympic" year "1984" manufacturer "Jeutel" desc "Olympic Games" devices ())
(name "olympic5" year "2005" manufacturer "IGS" desc "Olympic 5 (V112US)" devices ())
(name "olympic5a" year "2003" manufacturer "IGS" desc "Olympic 5 (V107US)" devices ())
(name "olympus" year "1986" manufacturer "Juegos Populares" desc "Olympus (Juegos Populares)" devices ())
(name "olypeopl" year "1983" manufacturer "Olympia International" desc "People PC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "olyport40" year "198?" manufacturer "AEG Olympia" desc "Olyport 40-21" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "olysoc92" year "1992" manufacturer "Seibu Kaihatsu" desc "Olympic Soccer '92 (set 1)" devices ())
(name "olysoc92a" year "1992" manufacturer "Seibu Kaihatsu" desc "Olympic Soccer '92 (set 2)" devices ())
(name "olysoc92b" year "1992" manufacturer "Seibu Kaihatsu" desc "Olympic Soccer '92 (set 3)" devices ())
(name "olystar20f" year "198?" manufacturer "AEG Olympia" desc "Olystar 20F" devices ((name "floppydisk" briefname "flop" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "olytext" year "1985" manufacturer "Olympia International" desc "Olympia Olytext 20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "olytext30" year "198?" manufacturer "AEG Olympia" desc "Olytext 30" devices ((name "floppydisk" briefname "flop" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "omar1" year "1979" manufacturer "Tryom" desc "Omar I" devices ())
(name "omar2" year "1979" manufacturer "Tryom" desc "Omar II" devices ())
(name "omatsuri" year "1999" manufacturer "NMK / Sega" desc "Shimura Ken no Bakatono-sama Ooedomatsuri" devices ())
(name "omega" year "1986" manufacturer "Nihon System" desc "Omega" devices ())
(name "omegaa" year "1986" manufacturer "Nihon System" desc "Omega (earlier)" devices ())
(name "omegab" year "19??" manufacturer "bootleg?" desc "Omega (bootleg?)" devices ())
(name "omegaf" year "1989" manufacturer "UPL" desc "Omega Fighter" devices ())
(name "omegafs" year "1989" manufacturer "UPL" desc "Omega Fighter Special" devices ())
(name "omegrace" year "1981" manufacturer "Midway" desc "Omega Race (set 1)" devices ())
(name "omegrace2" year "1981" manufacturer "Midway" desc "Omega Race (set 2)" devices ())
(name "omegrace3" year "1981" manufacturer "Midway" desc "Omega Race (set 3, 7/27)" devices ())
(name "omni" year "19??" manufacturer "bootleg (Videa System)" desc "Omni" devices ())
(name "omni2" year "198?" manufacturer "Kaypro Corporation" desc "Omni II Logic Analyzer" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "omni4" year "198?" manufacturer "Omni Logic Inc." desc "Omni 4 Logic Analyzer" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "omni_l1" year "1980" manufacturer "Williams/United" desc "Omni (Shuffle) (L-1)" devices ())
(name "omotesnd" year "1989" manufacturer "Anime Tec" desc "Omotesandou (Japan 890215)" devices ())
(name "omv1000" year "1984" manufacturer "Tsukuda Original" desc "Othello Multivision FG-1000" devices ((name "cartridge" briefname "cart" )))
(name "omv2000" year "1984" manufacturer "Tsukuda Original" desc "Othello Multivision FG-2000" devices ((name "cartridge" briefname "cart" )))
(name "ondrat" year "1989" manufacturer "Tesla" desc "Ondra" devices ((name "cassette" briefname "cass" )))
(name "ondrav" year "1989" manufacturer "ViLi" desc "Ondra ViLi" devices ((name "cassette" briefname "cass" )))
(name "one4all" year "2001" manufacturer "Aristocrat" desc "One For All (0101503V, New Zealand)" devices ())
(name "oneshot" year "1996" manufacturer "Promat" desc "One Shot One Kill" devices ())
(name "onetwo" year "1997" manufacturer "Barko" desc "One + Two" devices ())
(name "onetwoe" year "1997" manufacturer "Barko" desc "One + Two (earlier)" devices ())
(name "onlinertp" year "200?" manufacturer "Comatel / Atata Systems" desc "Onliner Touch Party" devices ())
(name "onna34ro" year "1985" manufacturer "Taito" desc "Onna Sanshirou - Typhoon Gal (rev 1)" devices ())
(name "onna34roa" year "1985" manufacturer "Taito" desc "Onna Sanshirou - Typhoon Gal (bootleg)" devices ())
(name "onyx" year "1982" manufacturer "Microdigital" desc "Onyx (Brazil/Prototype)" devices ((name "cartridge" briefname "cart" )))
(name "ooparts" year "1992" manufacturer "hack" desc "OOPArts (prototype, joystick hack)" devices ())
(name "op386wb" year "199?" manufacturer "OPTi" desc "OPTi 386WB VER.1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "op5cards" year "1987" manufacturer "MNG" desc "Open 5 Cards" devices ())
(name "op82c283" year "199?" manufacturer "<unknown>" desc "386sx motherboards using the OPTi 82C283 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "op82c291" year "199?" manufacturer "<unknown>" desc "386sx motherboards using the OPTi 82C291 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "op82c381" year "199?" manufacturer "<unknown>" desc "386 motherboards using the OPTi 82C381 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "op82c391" year "199?" manufacturer "<unknown>" desc "386 motherboards using the OPTi 82C391 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "op82c392" year "199?" manufacturer "<unknown>" desc "486 motherboards using the OPTi OPTi 82C392, 82C493 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "opaopa" year "1987" manufacturer "Sega" desc "Opa Opa (MC-8123, 317-0042)" devices ())
(name "opaopan" year "1987" manufacturer "Sega" desc "Opa Opa (Rev A, unprotected)" devices ())
(name "opengolf" year "1994" manufacturer "Konami" desc "Konami's Open Golf Championship (ver EAE)" devices ())
(name "opengolf2" year "1994" manufacturer "Konami" desc "Konami's Open Golf Championship (ver EAD)" devices ())
(name "openice" year "1995" manufacturer "Midway" desc "2 On 2 Open Ice Challenge (rev 1.21)" devices ())
(name "openicea" year "1995" manufacturer "Midway" desc "2 On 2 Open Ice Challenge (rev 1.2A)" devices ())
(name "openmj" year "1981?" manufacturer "Sapporo Mechanic" desc "Open Mahjong (Japan)" devices ())
(name "oplayer" year "200?" manufacturer "OPlayer / Senca" desc "OPlayer Mobile Game Console (MGS03-white) (Family Sport 100-in-1)" devices ())
(name "opsesam" year "200?" manufacturer "Aristocrat" desc "Open Sesame (0351309, US)" devices ())
(name "opthund" year "1992" manufacturer "Gottlieb" desc "Operation: Thunder" devices ())
(name "opti495slc" year "199?" manufacturer "<unknown>" desc "386 motherboards using a OPTi 82C495SLC chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "opti495xlc" year "199?" manufacturer "<unknown>" desc "386 motherboards using a OPTi 82C495XLC chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "optiger" year "1998" manufacturer "Taito" desc "Operation Tiger (Ver 2.14 O)" devices ())
(name "optigera" year "1998" manufacturer "Taito" desc "Operation Tiger (Ver 2.10 O)" devices ())
(name "optigerj" year "1998" manufacturer "Taito" desc "Operation Tiger (Ver 2.09 J)" devices ())
(name "optigersm" year "1998" manufacturer "Taito" desc "Operation Tiger Second Mission (Ver 2.02 J)" devices ())
(name "opwolf" year "1987" manufacturer "Taito Corporation Japan" desc "Operation Wolf (World, rev 2, set 1)" devices ())
(name "opwolf3" year "1994" manufacturer "Taito Corporation Japan" desc "Operation Wolf 3 (World)" devices ())
(name "opwolf3j" year "1994" manufacturer "Taito Corporation" desc "Operation Wolf 3 (Japan)" devices ())
(name "opwolf3u" year "1994" manufacturer "Taito America Corporation" desc "Operation Wolf 3 (US)" devices ())
(name "opwolfa" year "1987" manufacturer "Taito Corporation Japan" desc "Operation Wolf (World, rev 2, set 2)" devices ())
(name "opwolfb" year "1987" manufacturer "bootleg (Bear Corporation Korea)" desc "Operation Bear (bootleg of Operation Wolf)" devices ())
(name "opwolfj" year "1987" manufacturer "Taito Corporation" desc "Operation Wolf (Japan, rev 2)" devices ())
(name "opwolfjsc" year "1987" manufacturer "Taito Corporation" desc "Operation Wolf (Japan, SC)" devices ())
(name "opwolfp" year "1987" manufacturer "Taito Corporation" desc "Operation Wolf (Japan, prototype)" devices ())
(name "opwolfu" year "1987" manufacturer "Taito America Corporation" desc "Operation Wolf (US, rev 2)" devices ())
(name "orangec" year "1988" manufacturer "Daiichi Denshi" desc "Orange Club - Maruhi Kagai Jugyou (Japan 880213)" devices ())
(name "orangeci" year "1988" manufacturer "Daiichi Denshi" desc "Orange Club - Maru-hi Ippatsu Kaihou (Japan 880221)" devices ())
(name "orao" year "1984" manufacturer "PEL Varazdin" desc "Orao 102" devices ((name "cassette" briefname "cass" )))
(name "orao103" year "1985" manufacturer "PEL Varazdin" desc "Orao 103" devices ((name "cassette" briefname "cass" )))
(name "orbatak" year "1995" manufacturer "American Laser Games" desc "Orbatak (prototype)" devices ((name "cdrom" briefname "cdrm" )))
(name "orbeaut" year "2006" manufacturer "Aristocrat" desc "Oriental Beauty (10213511, NSW/ACT)" devices ())
(name "orbit" year "1978" manufacturer "Atari" desc "Orbit" devices ())
(name "orbit1" year "1978" manufacturer "Hankin" desc "Orbit 1" devices ())
(name "orbit9090" year "1996" manufacturer "E-mu Systems" desc "Orbit 9090 - The Dance Planet" devices ())
(name "orbite" year "1979?" manufacturer "Model Racing" desc "Orbite (prototype)" devices ())
(name "orbitor1" year "1982" manufacturer "Stern" desc "Orbitor 1" devices ())
(name "orbitron" year "1982" manufacturer "Comsoft (Signatron USA license)" desc "Orbitron" devices ())
(name "orbituvi" year "198?" manufacturer "Orbit Electronics" desc "UVI Compu-Game" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "orbs" year "1994" manufacturer "American Sammy" desc "Orbs (10/7/94 prototype?)" devices ())
(name "orchidms" year "1999" manufacturer "Aristocrat" desc "Orchid Mist (0200849V, NSW/ACT)" devices ())
(name "orchidmsa" year "1999" manufacturer "Aristocrat" desc "Orchid Mist (0100849V, NSW/ACT)" devices ())
(name "orchidmsnz" year "2000" manufacturer "Aristocrat" desc "Orchid Mist (0101241V, New Zealand)" devices ())
(name "ordentv" year "2007" manufacturer "Taikee / V-Tac" desc "Ordenador-TV (Spain)" devices ())
(name "ordisava" year "1988" manufacturer "Video Technology / Yeno" desc "Ordisavant (France)" devices ((name "cartridge" briefname "cart" )))
(name "ordyne" year "1988" manufacturer "Namco" desc "Ordyne (World)" devices ())
(name "ordynej" year "1988" manufacturer "Namco" desc "Ordyne (Japan)" devices ())
(name "ordyneje" year "1988" manufacturer "Namco" desc "Ordyne (Japan, English Version)" devices ())
(name "oric1" year "1983" manufacturer "Tangerine" desc "Oric-1" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "orica" year "1984" manufacturer "Tangerine" desc "Oric Atmos" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "orion128" year "1990" manufacturer "<unknown>" desc "Orion 128" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionide" year "1990" manufacturer "<unknown>" desc "Orion 128 + Z80 Card II + IDE" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionidm" year "1990" manufacturer "<unknown>" desc "Orion 128 + Z80 Card II + IDE (MS7007)" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionms" year "1990" manufacturer "<unknown>" desc "Orion 128 (MS7007)" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionpro" year "1994" manufacturer "<unknown>" desc "Orion Pro" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionz80" year "1990" manufacturer "<unknown>" desc "Orion 128 + Z80 Card II" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orionzms" year "1990" manufacturer "<unknown>" desc "Orion 128 + Z80 Card II (MS7007)" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "orius" year "1991" manufacturer "Konami" desc "Orius (ver UAA)" devices ())
(name "orizon" year "199?" manufacturer "<unknown>" desc "Orizon-Micro" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "orleg2" year "2007" manufacturer "IGS" desc "Oriental Legend 2 (V104, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_101" year "2007" manufacturer "IGS" desc "Oriental Legend 2 (V101, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_101cn" year "2007" manufacturer "IGS (Huatong license)" desc "Xiyou Shi E Zhuan 2 (V101, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_101jp" year "2007" manufacturer "IGS (Alta license)" desc "Saiyuu Shakuyakuden 2 (V101, Japan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_103" year "2007" manufacturer "IGS" desc "Oriental Legend 2 (V103, Oversea)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_103cn" year "2007" manufacturer "IGS (Huatong license)" desc "Xiyou Shi E Zhuan 2 (V103, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_103jp" year "2007" manufacturer "IGS (Alta license)" desc "Saiyuu Shakuyakuden 2 (V103, Japan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_104cn" year "2007" manufacturer "IGS (Huatong license)" desc "Xiyou Shi E Zhuan 2 (V104, China)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orleg2_104jp" year "2007" manufacturer "IGS (Alta license)" desc "Saiyuu Shakuyakuden 2 (V104, Japan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "memcard3" briefname "memc3" ) (name "memcard4" briefname "memc4" )))
(name "orlegend" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 126)" devices ())
(name "orlegend105k" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 105, Korean Board)" devices ())
(name "orlegend105t" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 105, Taiwanese Board)" devices ())
(name "orlegend111c" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 111, Chinese Board)" devices ())
(name "orlegend111k" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 111, Korean Board)" devices ())
(name "orlegend111t" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 111, Taiwanese Board)" devices ())
(name "orlegendc" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 112, Chinese Board)" devices ())
(name "orlegendca" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. ???, Chinese Board)" devices ())
(name "orlegende" year "1997" manufacturer "IGS" desc "Oriental Legend / Xiyou Shi E Zhuan (ver. 112)" devices ())
(name "ormatu" year "198?" manufacturer "Ormatu Electronics" desc "Ormatu 2001" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "orunners" year "1992" manufacturer "Sega" desc "OutRunners (World)" devices ())
(name "orunnersj" year "1992" manufacturer "Sega" desc "OutRunners (Japan)" devices ())
(name "orunnersu" year "1992" manufacturer "Sega" desc "OutRunners (US)" devices ())
(name "os214" year "1996" manufacturer "Argox" desc "Rabbit Printer (model OS-214)" devices ())
(name "osbexec" year "1982" manufacturer "Osborne" desc "Executive" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "osborne1" year "1981" manufacturer "Osborne" desc "Osborne-1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "osborne1nv" year "1984" manufacturer "Osborne/Nuevo" desc "Osborne-1 (Nuevo Video)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "osborne1sp" year "1983" manufacturer "Osborne" desc "Osborne-1 with SCREEN-PAC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "osc1000b" year "1977" manufacturer "OSCOM Oy" desc "OSCOM 1000B" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "oscar" year "1987" manufacturer "Data East Corporation" desc "Psycho-Nics Oscar (World revision 0)" devices ())
(name "oscara5" year "1996" manufacturer "Aristocrat" desc "Oscar (0200348V, NSW/ACT)" devices ())
(name "oscara5a" year "1996" manufacturer "Aristocrat" desc "Oscar (0100348V, NSW/ACT)" devices ())
(name "oscarbl" year "1987" manufacturer "bootleg" desc "Psycho-Nics Oscar (World revision 0, bootleg)" devices ())
(name "oscarj1" year "1987" manufacturer "Data East Corporation" desc "Psycho-Nics Oscar (Japan revision 1)" devices ())
(name "oscarj2" year "1987" manufacturer "Data East Corporation" desc "Psycho-Nics Oscar (Japan revision 2)" devices ())
(name "oscaru" year "1988" manufacturer "Data East USA" desc "Psycho-Nics Oscar (US)" devices ())
(name "osman" year "1996" manufacturer "Mitchell" desc "Osman (World)" devices ())
(name "otatidai" year "1995" manufacturer "Sphinx" desc "Disco Mahjong Otachidai no Okite (Japan)" devices ())
(name "otchart" year "2000" manufacturer "WMS" desc "Off The Charts (Russian)" devices ())
(name "otenamhf" year "2005" manufacturer "Success / Warashi" desc "Otenami Haiken Final (V2.07JC 2005/04/20 15:36)" devices ((name "harddisk" briefname "hard" )))
(name "otenamih" year "1999" manufacturer "Success" desc "Otenami Haiken (V2.04J 1999/02/01 18:00:00)" devices ((name "harddisk" briefname "hard" )))
(name "otenki" year "2001" manufacturer "Takumi" desc "Otenki Kororin (V2.01J 2001/07/02 10:00)" devices ((name "harddisk" briefname "hard" )))
(name "othello" year "1984" manufacturer "Success" desc "Othello (version 3.0)" devices ())
(name "othellos" year "1998" manufacturer "Success" desc "Othello Shiyouyo (J 980423 V1.002)" devices ())
(name "othldrby" year "1995" manufacturer "Sunwise" desc "Othello Derby (Japan)" devices ())
(name "othunder" year "1988" manufacturer "Taito Corporation Japan" desc "Operation Thunderbolt (World, rev 1)" devices ())
(name "othunderj" year "1988" manufacturer "Taito Corporation" desc "Operation Thunderbolt (Japan)" devices ())
(name "othunderjsc" year "1988" manufacturer "Taito Corporation" desc "Operation Thunderbolt (Japan, SC)" devices ())
(name "othundero" year "1988" manufacturer "Taito Corporation Japan" desc "Operation Thunderbolt (World)" devices ())
(name "othunderu" year "1988" manufacturer "Taito America Corporation" desc "Operation Thunderbolt (US, rev 1)" devices ())
(name "othunderua" year "1988" manufacturer "Taito America Corporation" desc "Operation Thunderbolt (US)" devices ())
(name "otomedius" year "2007" manufacturer "Konami" desc "Otomedius (ver GGG:J:A:A:2008041801)" devices ())
(name "otonano" year "1988" manufacturer "Apple" desc "Otona no Mahjong (Japan 880628)" devices ())
(name "otrail" year "2017" manufacturer "Basic Fun" desc "The Oregon Trail" devices ())
(name "otrigger" year "1999" manufacturer "Sega" desc "OutTrigger" devices ())
(name "otwalls" year "1984" manufacturer "Bally/Sente" desc "Off the Wall (Sente) (10/16/84)" devices ())
(name "ougonhai" year "1991" manufacturer "Dynax" desc "Mahjong Ougon no Hai (Japan)" devices ())
(name "ougonhaib1" year "1991" manufacturer "bootleg" desc "Mahjong Ougon no Hai (Japan bootleg set 1, medal)" devices ())
(name "ougonhaib2" year "1991" manufacturer "bootleg" desc "Mahjong Ougon no Hai (Japan bootleg set 2, medal)" devices ())
(name "ougonhaib3" year "1991" manufacturer "bootleg" desc "Mahjong Ougon no Hai (Japan bootleg set 3, medal)" devices ())
(name "outbackj" year "2005" manufacturer "Aristocrat" desc "Outback Jack (20195211, NSW/ACT)" devices ())
(name "outfxies" year "1994" manufacturer "Namco" desc "The Outfoxies (World, OU2)" devices ())
(name "outfxiesa" year "1994" manufacturer "Namco" desc "The Outfoxies (Korea?)" devices ())
(name "outfxiesj" year "1994" manufacturer "Namco" desc "The Outfoxies (Japan, OU1)" devices ())
(name "outfxiesja" year "1994" manufacturer "Namco" desc "The Outfoxies (Japan, OU1, alternate GFX ROMs)" devices ())
(name "outlaw" year "1976" manufacturer "Atari" desc "Outlaw" devices ())
(name "outline" year "1982" manufacturer "Century Electronics" desc "Outline" devices ())
(name "outr2" year "2003" manufacturer "Sega" desc "OutRun 2 (Rev A) (GDX-0004A)" devices ((name "cdrom" briefname "cdrm" )))
(name "outr2sdx" year "2006" manufacturer "Sega" desc "OutRun 2 SP SDX" devices ())
(name "outr2st" year "2004" manufacturer "Sega" desc "OutRun 2 Special Tours (Rev A) (GDX-0014A)" devices ((name "cdrom" briefname "cdrm" )))
(name "outr2stj" year "2004" manufacturer "Sega" desc "OutRun 2 Special Tours (Japan, Rev A) (GDX-0011A)" devices ((name "cdrom" briefname "cdrm" )))
(name "outr2stjo" year "2004" manufacturer "Sega" desc "OutRun 2 Special Tours (Japan) (GDX-0011)" devices ((name "cdrom" briefname "cdrm" )))
(name "outr2sto" year "2004" manufacturer "Sega" desc "OutRun 2 Special Tours (GDX-0014)" devices ((name "cdrom" briefname "cdrm" )))
(name "outrun" year "1986" manufacturer "Sega" desc "Out Run (sitdown/upright, Rev B)" devices ())
(name "outrunb" year "1986" manufacturer "bootleg" desc "Out Run (bootleg)" devices ())
(name "outrundx" year "1986" manufacturer "Sega" desc "Out Run (deluxe sitdown)" devices ())
(name "outrundxa" year "1986" manufacturer "Sega" desc "Out Run (deluxe sitdown earlier version)" devices ())
(name "outrundxeh" year "2020" manufacturer "hack (Chris White)" desc "Out Run (deluxe sitdown) (Enhanced Edition v2.0.3)" devices ())
(name "outrundxeha" year "2013" manufacturer "hack (Chris White)" desc "Out Run (deluxe sitdown) (Enhanced Edition v1.0.3)" devices ())
(name "outrundxj" year "1986" manufacturer "Sega" desc "Out Run (Japan, deluxe sitdown) (FD1089A 317-0019)" devices ())
(name "outruneh" year "2020" manufacturer "hack (Chris White)" desc "Out Run (sitdown/upright, Rev B) (Enhanced Edition v2.0.3)" devices ())
(name "outruneha" year "2014" manufacturer "hack (Chris White)" desc "Out Run (sitdown/upright, Rev B) (Enhanced Edition v1.1.0)" devices ())
(name "outrunra" year "1986" manufacturer "Sega" desc "Out Run (sitdown/upright, Rev A)" devices ())
(name "outzone" year "1990" manufacturer "Toaplan" desc "Out Zone" devices ())
(name "outzonea" year "1990" manufacturer "Toaplan" desc "Out Zone (old set)" devices ())
(name "outzoneb" year "1990" manufacturer "Toaplan" desc "Out Zone (older set)" devices ())
(name "outzonec" year "1990" manufacturer "Toaplan" desc "Out Zone (oldest set)" devices ())
(name "outzonecv" year "1990" manufacturer "Toaplan" desc "Out Zone (Zero Wing TP-015 PCB conversion)" devices ())
(name "outzoneh" year "1990" manufacturer "Toaplan" desc "Out Zone (harder)" devices ())
(name "overdriv" year "1990" manufacturer "Konami" desc "Over Drive (set 1)" devices ())
(name "overdriva" year "1990" manufacturer "Konami" desc "Over Drive (set 2)" devices ())
(name "overdrivb" year "1990" manufacturer "Konami" desc "Over Drive (set 3)" devices ())
(name "overrev" year "1997" manufacturer "Jaleco" desc "Over Rev (Model 2C, Revision A)" devices ())
(name "overrevb" year "1997" manufacturer "Jaleco" desc "Over Rev (Model 2B, Revision B)" devices ())
(name "overrevba" year "1997" manufacturer "Jaleco" desc "Over Rev (Model 2B, Revision A)" devices ())
(name "overtop" year "1996" manufacturer "ADK" desc "Over Top" devices ((name "memcard" briefname "memc" ) ()))
(name "owlcap" year "2001" manufacturer "Aristocrat" desc "Owl Capone (10008711, NSW/ACT, Show Program)" devices ())
(name "oz750" year "199?" manufacturer "Sharp" desc "Wizard OZ-750" devices ((name "quickload" briefname "quik" )))
(name "ozmawars" year "1979" manufacturer "SNK" desc "Ozma Wars (set 1)" devices ())
(name "ozmawars2" year "1979" manufacturer "SNK" desc "Ozma Wars (set 2)" devices ())
(name "ozmawarsmr" year "1979" manufacturer "bootleg (Model Racing)" desc "Ozma Wars (Model Racing bootleg)" devices ())
(name "ozon1" year "1983" manufacturer "Proma" desc "Ozon I" devices ())
(name "p112" year "1996" manufacturer "Dave Brooks" desc "P112" devices ())
(name "p2000m" year "1980" manufacturer "Philips" desc "Philips P2000M" devices ((name "cassette" briefname "cass" )))
(name "p2000t" year "1980" manufacturer "Philips" desc "Philips P2000T" devices ((name "cassette" briefname "cass" )))
(name "p386dx40" year "199?" manufacturer "Peacock" desc "P386DX-40" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "p386sx25pw" year "199?" manufacturer "Prolink" desc "P386SX-25PW VER:2.00" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "p47" year "1988" manufacturer "Jaleco" desc "P-47 - The Phantom Fighter (World)" devices ())
(name "p47aces" year "1995" manufacturer "Jaleco" desc "P-47 Aces (ver 1.1)" devices ())
(name "p47acesa" year "1995" manufacturer "Jaleco" desc "P-47 Aces (ver 1.0)" devices ())
(name "p47b" year "1988" manufacturer "bootleg" desc "P-47 - The Freedom Fighter (World, bootleg)" devices ())
(name "p47j" year "1988" manufacturer "Jaleco" desc "P-47 - The Freedom Fighter (Japan)" devices ())
(name "p47je" year "1988" manufacturer "Jaleco" desc "P-47 - The Freedom Fighter (Japan, Export)" devices ())
(name "p500" year "1983" manufacturer "Commodore Business Machines" desc "P500 (NTSC)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "p500p" year "1983" manufacturer "Commodore Business Machines" desc "P500 (PAL)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "p5txla" year "1997" manufacturer "ECS" desc "P5TX-LA (i430TX)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "p8000" year "1989" manufacturer "EAW electronic Treptow" desc "P8000 (8bit Board)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "p8000_16" year "1989" manufacturer "EAW electronic Treptow" desc "P8000 (16bit Board)" devices ())
(name "p911" year "2000" manufacturer "Konami" desc "The Keisatsukan: Shinjuku 24-ji (ver AAE)" devices ((name "harddisk" briefname "hard" )))
(name "p9112" year "2001" manufacturer "Konami" desc "Police 911 2 (VER. UAA:B)" devices ((name "harddisk" briefname "hard" )))
(name "p911ac" year "2000" manufacturer "Konami" desc "The Keisatsukan: Shinjuku 24-ji (ver AAC)" devices ((name "harddisk" briefname "hard" )))
(name "p911ed" year "2000" manufacturer "Konami" desc "Police 24/7 (ver EAD)" devices ((name "harddisk" briefname "hard" )))
(name "p911j" year "2000" manufacturer "Konami" desc "The Keisatsukan: Shinjuku 24-ji (ver JAE)" devices ((name "harddisk" briefname "hard" )))
(name "p911k" year "2000" manufacturer "Konami" desc "The Keisatsukan: Shinjuku 24-ji (ver KAE)" devices ((name "harddisk" briefname "hard" )))
(name "p911kc" year "2000" manufacturer "Konami" desc "The Keisatsukan: Shinjuku 24-ji (ver KAC)" devices ((name "harddisk" briefname "hard" )))
(name "p911ud" year "2000" manufacturer "Konami" desc "Police 911 (ver UAD)" devices ((name "harddisk" briefname "hard" )))
(name "pabball" year "1979" manufacturer "Calfax / Caprice Electronics" desc "Pro-Action Electronic-Computerized Baseball" devices ())
(name "pac90" year "199?" manufacturer "bootleg (Macro)" desc "Pac-Man (bootleg on World Cup '90 hardware)" devices ())
(name "pacapp" year "1998" manufacturer "Produce / Namco" desc "Paca Paca Passion (Japan, PPP1/VER.A2)" devices ())
(name "pacapp2" year "1999" manufacturer "Produce / Namco" desc "Paca Paca Passion 2 (Japan, PKS1/VER.A)" devices ())
(name "pacappsp" year "1999" manufacturer "Produce / Namco" desc "Paca Paca Passion Special (Japan, PSP1/VER.A)" devices ())
(name "paccarn" year "1996" manufacturer "Namco" desc "Pac-Carnival" devices ())
(name "paccon" year "2012" manufacturer "Bandai" desc "Pac-Man Connect & Play (Feb 14 2012 10:46:23)" devices ())
(name "paceight" year "1996" manufacturer "Namco" desc "Pac-Eight" devices ())
(name "pacgal" year "1981" manufacturer "hack" desc "Pac-Gal (set 1)" devices ())
(name "pacgal2" year "1981" manufacturer "bootleg" desc "Pac-Gal (set 2)" devices ())
(name "pacheart" year "1981" manufacturer "hack" desc "Pac-Man (Hearts)" devices ())
(name "pachifev" year "1983" manufacturer "Sanki Denshi Kogyo" desc "Pachifever" devices ())
(name "pachiten" year "1993" manufacturer "Nichibutsu / AV Japan / Miki Syouji" desc "Medal Mahjong Pachi-Slot Tengoku (Japan)" devices ())
(name "packbang" year "1994" manufacturer "Kaneko" desc "Pack'n Bang Bang" devices ())
(name "packbangp" year "1994" manufacturer "Kaneko" desc "Pack'n Bang Bang (prototype)" devices ())
(name "packmon" year "1981" manufacturer "Bandai" desc "Packri Monster" devices ())
(name "packysts" year "1997" manufacturer "Taito Corporation" desc "Packy's Treasure Slot (Japan, main ver. 1.3, video ver. 1.1)" devices ())
(name "pacland" year "1984" manufacturer "Namco" desc "Pac-Land (World)" devices ())
(name "paclandj" year "1984" manufacturer "Namco" desc "Pac-Land (Japan new)" devices ())
(name "paclandjo" year "1984" manufacturer "Namco" desc "Pac-Land (Japan old)" devices ())
(name "paclandjo2" year "1984" manufacturer "Namco" desc "Pac-Land (Japan older)" devices ())
(name "paclandm" year "1984" manufacturer "Namco (Bally Midway license)" desc "Pac-Land (Midway)" devices ())
(name "paclandm2" year "1984" manufacturer "Namco (Bally Midway license)" desc "Pac-Land (Bally-Midway)" devices ())
(name "paclandp" year "1989" manufacturer "Namco" desc "Pac-Land (United Amusements PC Engine)" devices ())
(name "pacman" year "1980" manufacturer "Namco (Midway license)" desc "Pac-Man (Midway)" devices ())
(name "pacmanbl" year "1981" manufacturer "bootleg" desc "Pac-Man (bootleg on Galaxian hardware, set 1)" devices ())
(name "pacmanbla" year "1981" manufacturer "bootleg" desc "Pac-Man (bootleg on Galaxian hardware, set 2)" devices ())
(name "pacmanblb" year "1981" manufacturer "bootleg" desc "Pac-Man (bootleg on Moon Alien 'AL-10A1' hardware)" devices ())
(name "pacmanblc" year "1981" manufacturer "bootleg (Calfesa)" desc "Pac-Man (Calfesa, Spanish bootleg on Galaxian hardware)" devices ())
(name "pacmanblci" year "1981" manufacturer "bootleg (Cirsa)" desc "Pac-Man (Cirsa, Spanish bootleg on Galaxian hardware)" devices ())
(name "pacmanblv" year "1981" manufacturer "bootleg (Video Dens)" desc "Pac-Man (Video Dens, Spanish bootleg on Galaxian hardware, set 1)" devices ())
(name "pacmanblva" year "1981" manufacturer "bootleg (Video Dens)" desc "Pac-Man (Video Dens, Spanish bootleg on Galaxian hardware, set 2)" devices ())
(name "pacmanf" year "1980" manufacturer "hack" desc "Pac-Man (Midway, speedup hack)" devices ())
(name "pacmanfm" year "1980" manufacturer "bootleg (FAMARE S.A.)" desc "Pac Man (FAMARE S.A. bootleg of Puck Man)" devices ())
(name "pacmania" year "1987" manufacturer "Namco" desc "Pac-Mania" devices ())
(name "pacmaniaj" year "1987" manufacturer "Namco" desc "Pac-Mania (Japan)" devices ())
(name "pacmaniao" year "1987" manufacturer "Namco" desc "Pac-Mania (111187 sound program)" devices ())
(name "pacmanjpm" year "1981" manufacturer "bootleg (JPM)" desc "Pac-Man (JPM bootleg)" devices ())
(name "pacmanmr" year "1981" manufacturer "bootleg (Model Racing)" desc "Pac-Man (Model Racing bootleg)" devices ())
(name "pacmanpe" year "1980" manufacturer "bootleg (Petaco SA)" desc "Come Come (Petaco SA bootleg of Puck Man)" devices ())
(name "pacmanso" year "1980" manufacturer "Namco (Sonic license)" desc "Pac-Man (SegaSA / Sonic)" devices ())
(name "pacmansp" year "198?" manufacturer "bootleg (Video Game SA)" desc "Puck Man (Spanish, 'Made in Greece' bootleg)" devices ())
(name "pacmanug" year "1980" manufacturer "bootleg (U.Games)" desc "Pac Man (U.Games bootleg of Puck Man)" devices ())
(name "pacmanvg" year "1980" manufacturer "bootleg (Video Game SA)" desc "Pac-Man (Video Game SA bootleg)" devices ())
(name "pacmball" year "2003" manufacturer "Namco" desc "Pacman BALL (PMB2 Ver.A.)" devices ((name "cdrom" briefname "cdrm" )))
(name "pacmod" year "1981" manufacturer "Namco (Midway license)" desc "Pac-Man (Midway, harder)" devices ())
(name "pacnchmp" year "1983" manufacturer "Namco" desc "Pac-Man & Chomp Chomp" devices ())
(name "pacnpal" year "1983" manufacturer "Namco" desc "Pac & Pal" devices ())
(name "pacnpal2" year "1983" manufacturer "Namco" desc "Pac & Pal (older)" devices ())
(name "pacominv" year "1979" manufacturer "Pacom Corporation" desc "Pacom Invader (set 1)" devices ())
(name "pacominva" year "19??" manufacturer "Pacom Corporation" desc "Pacom Invader (set 2)" devices ())
(name "pacplus" year "1982" manufacturer "Namco (Midway license)" desc "Pac-Man Plus" devices ())
(name "pacslot" year "1996" manufacturer "Namco" desc "Pac-Slot" devices ())
(name "pacuman" year "1980" manufacturer "bootleg (Recreativos Franco S.A.)" desc "Pacu-Man (Spanish bootleg of Puck Man)" devices ())
(name "paddle2" year "1988" manufacturer "bootleg" desc "Paddle 2 (bootleg on Block hardware)" devices ())
(name "paddlema" year "1988" manufacturer "SNK" desc "Paddle Mania" devices ())
(name "painter" year "1984" manufacturer "hack (Monshine Ent. Co.)" desc "Painter (hack of Crush Roller)" devices ())
(name "paintlad" year "1992" manufacturer "Gaelco / OMK Software" desc "Painted Lady (Splash) (Ver. 1.3 US)" devices ())
(name "paintrlr" year "1981" manufacturer "bootleg" desc "Paint Roller (bootleg of Crush Roller)" devices ())
(name "pairlove" year "1991" manufacturer "Athena / Nihon System" desc "Pairs Love" devices ())
(name "pairmtch" year "1984" manufacturer "Bandai" desc "Pair Match" devices ())
(name "pairs" year "1994" manufacturer "Strata / Incredible Technologies" desc "Pairs (V1.2, 09/30/94)" devices ())
(name "pairsa" year "1994" manufacturer "Strata / Incredible Technologies" desc "Pairs (V1, 09/07/94)" devices ())
(name "pairsnb" year "1989" manufacturer "Nichibutsu" desc "Pairs (Nichibutsu) (Japan 890822)" devices ())
(name "pairsred" year "1994" manufacturer "Strata / Incredible Technologies" desc "Pairs Redemption (V1.0, 10/25/94)" devices ())
(name "pairsten" year "1989" manufacturer "System Ten" desc "Pairs (System Ten) (Japan 890826)" devices ())
(name "pajaroes" year "1980" manufacturer "bootleg (PSV S.A.)" desc "Pajaro del Espacio (Spanish bootleg of UniWar S)" devices ())
(name "palamed" year "1990" manufacturer "Hot-B Co., Ltd." desc "Palamedes (US)" devices ())
(name "palamedj" year "1990" manufacturer "Taito Corporation" desc "Palamedes (Japan)" devices ())
(name "palestra" year "1978" manufacturer "LPO" desc "Palestra-02" devices ())
(name "palmf31" year "1977" manufacturer "Canon" desc "Palmtronic F-31" devices ())
(name "palmiii" year "1998" manufacturer "3Com" desc "Palm III" devices ())
(name "palmiiic" year "1998" manufacturer "3Com" desc "Palm IIIc" devices ())
(name "palmm100" year "2000" manufacturer "3Com" desc "Palm m100" devices ())
(name "palmm130" year "2000" manufacturer "3Com" desc "Palm m130" devices ())
(name "palmm505" year "2001" manufacturer "3Com" desc "Palm m505" devices ())
(name "palmm515" year "2001" manufacturer "3Com" desc "Palm m515" devices ())
(name "palmmd8" year "1977" manufacturer "Canon" desc "Palmtronic MD-8 (Multi 8)" devices ())
(name "palmpers" year "1997" manufacturer "U.S. Robotics" desc "Palm Pilot Personal" devices ())
(name "palmpro" year "1997" manufacturer "U.S. Robotics" desc "Palm Pilot Pro" devices ())
(name "palmv" year "1999" manufacturer "3Com" desc "Palm V" devices ())
(name "palmvx" year "1999" manufacturer "3Com" desc "Palm Vx" devices ())
(name "palmz22" year "2005" manufacturer "Palm" desc "Palm Z22" devices ())
(name "pandart" year "1999" manufacturer "Daryde S. L." desc "Panther Darts" devices ())
(name "pandoras" year "1984" manufacturer "Konami / Interlogic" desc "Pandora's Palace" devices ())
(name "pandpays" year "2004" manufacturer "Aristocrat" desc "Panda Pays - Mr. Cashman (0151109, US)" devices ())
(name "pang" year "1989" manufacturer "Mitchell" desc "Pang (World)" devices ())
(name "pang3" year "1995" manufacturer "Mitchell" desc "Pang! 3 (Europe 950601)" devices ())
(name "pang3b" year "1995" manufacturer "bootleg" desc "Pang! 3 (bootleg, set 1)" devices ())
(name "pang3b2" year "1995" manufacturer "bootleg" desc "Pang! 3 (bootleg, set 2)" devices ())
(name "pang3b3" year "1995" manufacturer "bootleg" desc "Pang! 3 (bootleg, set 3)" devices ())
(name "pang3b4" year "1995" manufacturer "bootleg" desc "Pang! 3 (bootleg, set 4)" devices ())
(name "pang3b5" year "1995" manufacturer "bootleg" desc "Pang! 3 (bootleg, set 5)" devices ())
(name "pang3j" year "1995" manufacturer "Mitchell" desc "Pang! 3: Kaitou Tachi no Karei na Gogo (Japan 950511)" devices ())
(name "pang3r1" year "1995" manufacturer "Mitchell" desc "Pang! 3 (Europe 950511)" devices ())
(name "pangb" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 1)" devices ())
(name "pangb2" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 4)" devices ())
(name "pangba" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 3)" devices ())
(name "pangbb" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 5)" devices ())
(name "pangbc" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 7)" devices ())
(name "pangbold" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 2)" devices ())
(name "pangbp" year "1989" manufacturer "bootleg" desc "Pang (bootleg, set 6)" devices ())
(name "pangofun" year "1995" manufacturer "InfoCube" desc "Pango Fun (Italy)" devices ())
(name "pangpang" year "1994" manufacturer "Dong Gue La Mi Ltd." desc "Pang Pang" devices ())
(name "pangpoms" year "1992" manufacturer "Metro" desc "Pang Pom's" devices ())
(name "pangpomsm" year "1992" manufacturer "Metro (Mitchell license)" desc "Pang Pom's (Mitchell)" devices ())
(name "pangpomsn" year "1992" manufacturer "Nova" desc "Pang Pom's (Nova)" devices ())
(name "panic" year "1980" manufacturer "Universal" desc "Space Panic (version E)" devices ())
(name "panic2" year "1980" manufacturer "Universal" desc "Space Panic (set 2)" devices ())
(name "panic3" year "1980" manufacturer "Universal" desc "Space Panic (set 3)" devices ())
(name "panic4" year "1980" manufacturer "Universal" desc "Space Panic (set 4)" devices ())
(name "panicbom" year "1994" manufacturer "Eighting / Hudson" desc "Panic Bomber" devices ((name "memcard" briefname "memc" ) ()))
(name "panicger" year "1980" manufacturer "Universal (ADP Automaten license)" desc "Space Panic (German)" devices ())
(name "panich" year "1980" manufacturer "Universal" desc "Space Panic (harder)" devices ())
(name "panicprk" year "1997" manufacturer "Namco" desc "Panic Park (World, PNP2 Ver. A)" devices ())
(name "panicprkj" year "1997" manufacturer "Namco" desc "Panic Park (Japan, PNP1 Ver. B, set 1)" devices ())
(name "panicprkj2" year "1997" manufacturer "Namco" desc "Panic Park (Japan, PNP1 Ver. B, set 2)" devices ())
(name "panicr" year "1986" manufacturer "Seibu Kaihatsu (Taito license)" desc "Panic Road (Japan)" devices ())
(name "panicrg" year "1986" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Panic Road (Germany)" devices ())
(name "panicstr" year "1999" manufacturer "Kaneko" desc "Panic Street (Japan)" devices ())
(name "panikuru" year "2002" manufacturer "Namco" desc "Panikuru Panekuru (Japan, PPA1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "panther" year "1981" manufacturer "Irem" desc "Panther (bootleg?)" devices ())
(name "panthera" year "1980" manufacturer "Gottlieb" desc "Panthera" devices ())
(name "pantmag" year "1999" manufacturer "Aristocrat" desc "Panther Magic (0101046V, NSW/ACT)" devices ())
(name "pantmaga" year "1999" manufacturer "Aristocrat" desc "Panther Magic (0100716V, NSW/ACT)" devices ())
(name "panzer" year "1980" manufacturer "bootleg (Proel)" desc "Panzer (bootleg of Spectar)" devices ())
(name "paperboy" year "1984" manufacturer "Atari Games" desc "Paperboy (rev 3)" devices ())
(name "paperboyp" year "1983" manufacturer "Atari Games" desc "Paperboy (prototype)" devices ())
(name "paperboyr1" year "1984" manufacturer "Atari Games" desc "Paperboy (rev 1)" devices ())
(name "paperboyr2" year "1984" manufacturer "Atari Games" desc "Paperboy (rev 2)" devices ())
(name "papillon" year "1986" manufacturer "Video Dens" desc "Papillon" devices ())
(name "paprazzi" year "1996" manufacturer "Yun Sung" desc "Paparazzi" devices ())
(name "papsudok" year "200?" manufacturer "Nice Code" desc "Plug and Play Sudoku Game (NES based)" devices ())
(name "para2dx" year "199?" manufacturer "Yun Sung" desc "Paradise 2 Deluxe" devices ())
(name "paradar" year "1995?" manufacturer "Videos A A" desc "Paradar" devices ())
(name "paradice" year "1995" manufacturer "BFM/ELAM" desc "Paradice (Dutch, Game Card 95-750-615)" devices ())
(name "paradise" year "1994" manufacturer "Yun Sung" desc "Paradise (set 1)" devices ())
(name "paradisea" year "1994" manufacturer "Yun Sung" desc "Paradise (set 2)" devices ())
(name "paradisee" year "1994" manufacturer "Yun Sung (Escape license)" desc "Paradise (Escape)" devices ())
(name "paradlx" year "199?" manufacturer "Yun Sung" desc "Paradise Deluxe" devices ())
(name "paragon" year "1979" manufacturer "Bally" desc "Paragon" devices ())
(name "paranoia" year "1990" manufacturer "Naxat Soft" desc "Paranoia (Arcade PC Engine, bootleg?)" devices ())
(name "parcade" year "2017" manufacturer "Hasbro" desc "Palace Arcade (Tiny Arcade)" devices ())
(name "parentj" year "1989" manufacturer "Taito" desc "Parent Jack (Japan)" devices ())
(name "parislgt" year "2001" manufacturer "Aristocrat" desc "Paris Lights (30002611, NSW/ACT)" devices ())
(name "parislgta" year "2001" manufacturer "Aristocrat" desc "Paris Lights (10139011, ASP)" devices ())
(name "parislgtu" year "2002" manufacturer "Aristocrat" desc "Paris Lights - Jackpot Carnival (0251031, US)" devices ())
(name "parodius" year "1990" manufacturer "Konami" desc "Parodius Da!: Shinwa kara Owarai e (World, set 1)" devices ())
(name "parodiusa" year "1990" manufacturer "Konami" desc "Parodius Da!: Shinwa kara Owarai e (Asia)" devices ())
(name "parodiuse" year "1990" manufacturer "Konami" desc "Parodius Da!: Shinwa kara Owarai e (World, set 2)" devices ())
(name "parodiusj" year "1990" manufacturer "Konami" desc "Parodius Da!: Shinwa kara Owarai e (Japan)" devices ())
(name "parrot3" year "2004" manufacturer "Amcoe" desc "Parrot Poker III (Version 2.6E Dual)" devices ())
(name "parrot3b1" year "2004" manufacturer "Amcoe" desc "Parrot Poker III (Version 2.6R, set 1)" devices ())
(name "parrot3d1" year "2004" manufacturer "Amcoe" desc "Parrot Poker III (Version 2.6R, set 2)" devices ())
(name "parrot3o" year "2003" manufacturer "Amcoe" desc "Parrot Poker III (Version 2.4)" devices ())
(name "parrot3v1" year "2004" manufacturer "Amcoe" desc "Parrot Poker III (Version 2.6R Dual)" devices ())
(name "partner" year "1987" manufacturer "SAM SKB VM" desc "Partner-01.01" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "partner1fg" year "1987" manufacturer "Iskra Delta" desc "Partner 1F/G" devices ((name "floppydisk" briefname "flop" )))
(name "partnerw" year "1984" manufacturer "Iskra Delta" desc "Partner" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "partnerwfg" year "1987" manufacturer "Iskra Delta" desc "Partner WF/G" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "party" year "1979" manufacturer "Playmatic" desc "Party" devices ())
(name "partygrs" year "2001" manufacturer "Aristocrat" desc "Party Gras (AHG1567, US)" devices ())
(name "partygrsa" year "2001" manufacturer "Aristocrat" desc "Party Gras (BHG1284, US)" devices ())
(name "partygrsb" year "2001" manufacturer "Aristocrat" desc "Party Gras (AHG1568, US)" devices ())
(name "pasha2" year "1998" manufacturer "Dong Sung" desc "Pasha Pasha 2" devices ())
(name "paso1600" year "198?" manufacturer "Toshiba" desc "Pasopia 1600" devices ())
(name "pasogo" year "1996" manufacturer "KOEI" desc "PasoGo" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "pasopia" year "1982" manufacturer "Toshiba" desc "Personal Computer Pasopia PA7010" devices ((name "cassette" briefname "cass" )))
(name "pasopia7" year "1983" manufacturer "Toshiba" desc "Pasopia 7 PA7007 (Raster)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "pasopia7lcd" year "1983" manufacturer "Toshiba" desc "Pasopia 7 PA7007 with PA7170 (LCD)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "pass" year "1992" manufacturer "Oksan" desc "Pass" devices ())
(name "passht4b" year "1988" manufacturer "bootleg" desc "Passing Shot (4 Players) (bootleg)" devices ())
(name "passsht" year "1988" manufacturer "Sega" desc "Passing Shot (World, 2 Players) (FD1094 317-0080)" devices ())
(name "passsht16a" year "1988" manufacturer "Sega" desc "Passing Shot (Japan, 4 Players, System 16A) (FD1094 317-0071)" devices ())
(name "passshta" year "1988" manufacturer "Sega" desc "Passing Shot (World, 4 Players) (FD1094 317-0074)" devices ())
(name "passshtad" year "1988" manufacturer "bootleg" desc "Passing Shot (World, 4 Players) (bootleg of FD1094 317-0074 set)" devices ())
(name "passshtb" year "1988" manufacturer "bootleg" desc "Passing Shot (2 Players) (bootleg)" devices ())
(name "passshtd" year "1988" manufacturer "bootleg" desc "Passing Shot (World, 2 Players) (bootleg of FD1094 317-0080 set)" devices ())
(name "passshtj" year "1988" manufacturer "Sega" desc "Passing Shot (Japan, 4 Players) (FD1094 317-0070)" devices ())
(name "passshtjd" year "1988" manufacturer "bootleg" desc "Passing Shot (Japan, 4 Players) (bootleg of FD1094 317-0070 set)" devices ())
(name "pastelg" year "1985" manufacturer "Nichibutsu" desc "Pastel Gal (Japan 851224)" devices ())
(name "pastelis" year "1993" manufacturer "Visco" desc "Pastel Island (Japan, prototype)" devices ())
(name "patapata" year "1993" manufacturer "Atlus" desc "Pata Pata Panic" devices ())
(name "patimono" year "1992" manufacturer "Nichibutsu" desc "Mahjong Pachinko Monogatari (Japan)" devices ())
(name "patinho" year "1972" manufacturer "Escola Politecnica - Universidade de Sao Paulo" desc "Patinho Feio" devices ((name "cartridge" briefname "cart" )))
(name "patocar" year "2001" manufacturer "Sega" desc "Hashire Patrol Car (J 990326 V1.000)" devices ())
(name "pb1000" year "1987" manufacturer "Casio" desc "PB-1000" devices ())
(name "pb2000c" year "1989" manufacturer "Casio" desc "PB-2000c" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pb_l1" year "1986" manufacturer "Williams" desc "Pin-Bot (L-1)" devices ())
(name "pb_l2" year "1986" manufacturer "Williams" desc "Pin-Bot (L-2)" devices ())
(name "pb_l3" year "1986" manufacturer "Williams" desc "Pin-Bot (L-3)" devices ())
(name "pb_l5" year "1986" manufacturer "Williams" desc "Pin-Bot (L-5)" devices ())
(name "pb_p4" year "1986" manufacturer "Williams" desc "Pin-Bot (P-4)" devices ())
(name "pbaction" year "1985" manufacturer "Tehkan" desc "Pinball Action (set 1)" devices ())
(name "pbaction2" year "1985" manufacturer "Tehkan" desc "Pinball Action (set 2, encrypted)" devices ())
(name "pbaction3" year "1985" manufacturer "Tehkan" desc "Pinball Action (set 3, encrypted)" devices ())
(name "pbaction4" year "1985" manufacturer "Tehkan" desc "Pinball Action (set 4, encrypted)" devices ())
(name "pbactiont" year "1985" manufacturer "Tehkan (Tecfri license)" desc "Pinball Action (Tecfri license)" devices ())
(name "pballoon" year "1982" manufacturer "SNK" desc "Pioneer Balloon" devices ())
(name "pballoonr" year "1982" manufacturer "SNK (Rock-Ola license)" desc "Pioneer Balloon (Rock-Ola license)" devices ())
(name "pballpup" year "2006" manufacturer "Hasbro / Tiger Electronics" desc "Mission: Paintball Powered Up" devices ())
(name "pbancho" year "1996" manufacturer "Fuuki" desc "Gyakuten!! Puzzle Bancho (Japan, set 1)" devices ())
(name "pbanchoa" year "1996" manufacturer "Fuuki" desc "Gyakuten!! Puzzle Bancho (Japan, set 2)" devices ())
(name "pbchmp95" year "1995" manufacturer "Veltmeijer Automaten" desc "Pinball Champ '95" devices ())
(name "pbem2017" year "2017" manufacturer "TecToy" desc "Pense Bem (2017)" devices ())
(name "pbillian" year "1986" manufacturer "Kaneko / Taito" desc "Prebillian" devices ())
(name "pbillianb" year "1987" manufacturer "bootleg (Game Corp.)" desc "Prebillian (bootleg)" devices ())
(name "pbillrd" year "1987" manufacturer "Nihon System (United Artists license)" desc "Perfect Billiard" devices ())
(name "pbillrdbl" year "1987" manufacturer "bootleg" desc "Perfect Billiard (bootleg)" devices ())
(name "pbillrds" year "1987" manufacturer "Nihon System (Sega license)" desc "Perfect Billiard (MC-8123, 317-0030)" devices ())
(name "pbillrdsa" year "1987" manufacturer "Nihon System (Sega license)" desc "Perfect Billiard (MC-8123, 317-5008)" devices ())
(name "pblbeach" year "1995" manufacturer "T&E Soft" desc "Pebble Beach - The Great Shot (JUE 950913 V0.990)" devices ())
(name "pbmastm" year "1978" manufacturer "Parker Brothers" desc "Electronic Master Mind (Parker Brothers)" devices ())
(name "pbo" year "1987" manufacturer "Philips" desc "BO (Videosynthesizer Prototype)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "pbobbl2n" year "1999" manufacturer "Taito (SNK license)" desc "Puzzle Bobble 2 / Bust-A-Move Again (Neo-Geo)" devices ((name "memcard" briefname "memc" ) ()))
(name "pbobble" year "1994" manufacturer "Taito Corporation" desc "Puzzle Bobble (Japan, B-System)" devices ())
(name "pbobble2" year "1995" manufacturer "Taito Corporation Japan" desc "Puzzle Bobble 2 (Ver 2.3O 1995/07/31)" devices ())
(name "pbobble2j" year "1995" manufacturer "Taito Corporation" desc "Puzzle Bobble 2 (Ver 2.2J 1995/07/20)" devices ())
(name "pbobble2o" year "1995" manufacturer "Taito Corporation Japan" desc "Puzzle Bobble 2 (Ver 2.2O 1995/07/20)" devices ())
(name "pbobble2u" year "1995" manufacturer "Taito America Corporation" desc "Bust-A-Move Again (Ver 2.3A 1995/07/31)" devices ())
(name "pbobble2x" year "1995" manufacturer "Taito Corporation" desc "Puzzle Bobble 2X (Ver 2.2J 1995/11/11)" devices ())
(name "pbobble3" year "1996" manufacturer "Taito Corporation" desc "Puzzle Bobble 3 (Ver 2.1O 1996/09/27)" devices ())
(name "pbobble3j" year "1996" manufacturer "Taito Corporation" desc "Puzzle Bobble 3 (Ver 2.1J 1996/09/27)" devices ())
(name "pbobble3u" year "1996" manufacturer "Taito Corporation" desc "Puzzle Bobble 3 (Ver 2.1A 1996/09/27)" devices ())
(name "pbobble4" year "1997" manufacturer "Taito Corporation" desc "Puzzle Bobble 4 (Ver 2.04O 1997/12/19)" devices ())
(name "pbobble4j" year "1997" manufacturer "Taito Corporation" desc "Puzzle Bobble 4 (Ver 2.04J 1997/12/19)" devices ())
(name "pbobble4u" year "1997" manufacturer "Taito Corporation" desc "Puzzle Bobble 4 (Ver 2.04A 1997/12/19)" devices ())
(name "pbobblen" year "1994" manufacturer "Taito" desc "Puzzle Bobble / Bust-A-Move (Neo-Geo, NGM-083)" devices ((name "memcard" briefname "memc" ) ()))
(name "pbobblenb" year "1994" manufacturer "bootleg" desc "Puzzle Bobble / Bust-A-Move (Neo-Geo, bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "pbqbert" year "1983" manufacturer "Parker Brothers" desc "Q*Bert (Parker Brothers)" devices ())
(name "pbss330" year "1993" manufacturer "Merit" desc "Pit Boss Superstar III 30 (9233-00-01 R0B, Standard version)" devices ())
(name "pbss330a" year "1993" manufacturer "Merit" desc "Pit Boss Superstar III 30 (9233-00-01 R0, Standard version)" devices ())
(name "pbss330ca" year "1993" manufacturer "Merit" desc "Pit Boss Superstar III 30 (9233-00-06 R0A, California version)" devices ())
(name "pbst30" year "1994" manufacturer "Merit" desc "Pit Boss Supertouch 30 (9234-10-01 R0)" devices ())
(name "pbst30a" year "1993" manufacturer "Merit" desc "Pit Boss Supertouch 30 (9234-00-01 R0A)" devices ())
(name "pc" year "1987" manufacturer "<generic>" desc "PC (CGA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pc100" year "198?" manufacturer "NEC" desc "PC-100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc1000" year "1988" manufacturer "Video Technology" desc "PreComputer 1000" devices ((name "cartridge" briefname "cart" )))
(name "pc10iii" year "1987" manufacturer "Commodore Business Machines" desc "Commodore PC-10 III" devices ((name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc1245" year "1982" manufacturer "Sharp" desc "Pocket Computer 1245" devices ())
(name "pc1250" year "1982" manufacturer "Sharp" desc "Pocket Computer 1250" devices ())
(name "pc1251" year "1982" manufacturer "Sharp" desc "Pocket Computer 1251" devices ())
(name "pc1255" year "1982" manufacturer "Sharp" desc "Pocket Computer 1255" devices ())
(name "pc1260" year "1982" manufacturer "Sharp" desc "Pocket Computer 1260" devices ())
(name "pc1261" year "1982" manufacturer "Sharp" desc "Pocket Computer 1261/1262" devices ())
(name "pc1350" year "1984" manufacturer "Sharp" desc "Pocket Computer 1350" devices ())
(name "pc1360" year "198?" manufacturer "Sharp" desc "Pocket Computer 1360" devices ())
(name "pc1401" year "1983" manufacturer "Sharp" desc "Pocket Computer 1401" devices ())
(name "pc1402" year "1984" manufacturer "Sharp" desc "Pocket Computer 1402" devices ())
(name "pc1403" year "1986" manufacturer "Sharp" desc "Pocket Computer 1403" devices ())
(name "pc1403h" year "198?" manufacturer "Sharp" desc "Pocket Computer 1403H" devices ())
(name "pc1450" year "198?" manufacturer "Sharp" desc "Pocket Computer 1450" devices ())
(name "pc1500" year "198?" manufacturer "Sharp" desc "Pocket Computer 1500" devices ())
(name "pc1512" year "1986" manufacturer "Amstrad plc" desc "PC1512 SD" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "pc1512dd" year "1986" manufacturer "Amstrad plc" desc "PC1512 DD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "pc1512hd10" year "1986" manufacturer "Amstrad plc" desc "PC1512 HD10" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pc1512hd20" year "1986" manufacturer "Amstrad plc" desc "PC1512 HD20" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pc1640" year "1987" manufacturer "Amstrad plc" desc "PC1640 SD" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "pc1640dd" year "1987" manufacturer "Amstrad plc" desc "PC1640 DD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "pc1640hd20" year "1987" manufacturer "Amstrad plc" desc "PC1640 HD20" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pc1640hd30" year "1987" manufacturer "Amstrad plc" desc "PC1640 HD30" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pc20" year "1988" manufacturer "Amstrad plc" desc "Amstrad PC20" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "pc200" year "1988" manufacturer "Sinclair Research Ltd" desc "PC200 Professional Series" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "pc2000" year "1993" manufacturer "Video Technology" desc "PreComputer 2000" devices ((name "cartridge" briefname "cart" )))
(name "pc2000s" year "1993" manufacturer "Video Technology" desc "PreComputer 2000 (Spain)" devices ((name "cartridge" briefname "cart" )))
(name "pc2086" year "1988" manufacturer "Amstrad plc" desc "Amstrad PC2086" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "pc2386" year "1989" manufacturer "Amstrad plc" desc "PC2386" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pc286vs" year "1989" manufacturer "Epson" desc "PC-286VS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc3086" year "1990" manufacturer "Amstrad plc" desc "Amstrad PC3086" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "pc30iii" year "1988" manufacturer "Commodore Business Machines" desc "PC 30-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pc386m" year "1990" manufacturer "Epson" desc "PC-386M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc4" year "1990" manufacturer "Laser Computer" desc "Laser PC4" devices ())
(name "pc40iii" year "1988" manufacturer "Commodore Business Machines" desc "PC 40-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pc45iii" year "198?" manufacturer "Commodore Business Machines" desc "PC 45-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pc486mu" year "1994" manufacturer "Epson" desc "PC-486MU" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc486se" year "1993" manufacturer "Epson" desc "PC-486SE" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc5086" year "199?" manufacturer "Amstrad plc" desc "Amstrad PC5086" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "pc50ii" year "198?" manufacturer "Commodore Business Machines" desc "PC 50-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pc532" year "1989" manufacturer "George Scolaro" desc "pc532" devices ((name "harddisk" briefname "hard" )))
(name "pc6001" year "1981" manufacturer "NEC" desc "PC-6001 (Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc6001a" year "1981" manufacturer "NEC" desc "PC-6001A \"NEC Trek\" (US)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc6001mk2" year "1983" manufacturer "NEC" desc "PC-6001mkII (Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc6001mk2sr" year "1984" manufacturer "NEC" desc "PC-6001mkIISR (Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "pc60iii" year "198?" manufacturer "Commodore Business Machines" desc "PC 60-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pc644vz" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice (PC644VZ) Standard Draw Poker" devices ())
(name "pc6601" year "1983" manufacturer "NEC" desc "PC-6601 (Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "pc6601sr" year "1984" manufacturer "NEC" desc "PC-6601SR \"Mr. PC\" (Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "pc679cy" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice (PC679CY) Standard Draw Poker" devices ())
(name "pc7000" year "1985" manufacturer "Sharp" desc "PC-7000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "pc70iii" year "199?" manufacturer "Commodore Business Machines" desc "PC 70-III" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pc714vz" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice (PC714VZ) Standard Draw Poker" devices ())
(name "pc716vy" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice (PC716VY) Standard Draw Poker" devices ())
(name "pc718vy" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice (PC718VY) Standard Draw Poker" devices ())
(name "pc8001" year "1979" manufacturer "NEC" desc "PC-8001" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8001mk2" year "1983" manufacturer "NEC" desc "PC-8001mkII" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8001mk2sr" year "1985" manufacturer "NEC" desc "PC-8001mkIISR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8201" year "1983" manufacturer "NEC" desc "PC-8201 (Japan)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc8201a" year "1983" manufacturer "NEC" desc "PC-8201A" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc8300" year "1984" manufacturer "Your Computer" desc "PC8300" devices ((name "cassette" briefname "cass" )))
(name "pc8401bd" year "1984" manufacturer "NEC" desc "PC-8401BD" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc8500" year "1985" manufacturer "NEC" desc "PC-8500" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pc8801" year "1981" manufacturer "NEC" desc "PC-8801" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801fa" year "1987" manufacturer "NEC" desc "PC-8801FA" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801ma" year "1987" manufacturer "NEC" desc "PC-8801MA" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801ma2" year "1988" manufacturer "NEC" desc "PC-8801MA2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801mc" year "1989" manufacturer "NEC" desc "PC-8801MC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cdrom" briefname "cdrm" )))
(name "pc8801mh" year "1986" manufacturer "NEC" desc "PC-8801MH" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801mk2" year "1983" manufacturer "NEC" desc "PC-8801mkII" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801mk2fr" year "1985" manufacturer "NEC" desc "PC-8801mkIIFR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801mk2mr" year "1985" manufacturer "NEC" desc "PC-8801mkIIMR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc8801mk2sr" year "1985" manufacturer "NEC" desc "PC-8801mkIISR" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pc88va" year "1987" manufacturer "NEC" desc "PC-88VA" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc88va2" year "1988" manufacturer "NEC" desc "PC-88VA2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc9486" year "199?" manufacturer "Amstrad" desc "PC9486" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pc9801" year "1982" manufacturer "NEC" desc "PC-9801" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "pc9801bx2" year "1993" manufacturer "NEC" desc "PC-9801BX2/U2 (98 FELLOW)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801dx" year "1990" manufacturer "NEC" desc "PC-9801DX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801f" year "1983" manufacturer "NEC" desc "PC-9801F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "pc9801fs" year "1992" manufacturer "NEC" desc "PC-9801FS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801rs" year "1989" manufacturer "NEC" desc "PC-9801RS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801rx" year "1988" manufacturer "NEC" desc "PC-9801RX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801us" year "1992" manufacturer "NEC" desc "PC-9801US" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801ux" year "1987" manufacturer "NEC" desc "PC-9801UX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801vm" year "1985" manufacturer "NEC" desc "PC-9801VM" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801vm11" year "1985" manufacturer "NEC" desc "PC-9801VM11" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9801vx" year "1986" manufacturer "NEC" desc "PC-9801VX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821" year "1992" manufacturer "NEC" desc "PC-9821 (98MULTi)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ap2" year "1993" manufacturer "NEC" desc "PC-9821Ap2/U8W (98MATE A)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821as" year "1993" manufacturer "NEC" desc "PC-9821As (98MATE A)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ce2" year "1994" manufacturer "NEC" desc "PC-9821Ce2 (98MULTi CanBe)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821cx3" year "1995" manufacturer "NEC" desc "PC-9821Cx3 (98MULTi CanBe)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ne" year "1994" manufacturer "NEC" desc "PC-9821Ne (98NOTE)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821nr15" year "1996" manufacturer "NEC" desc "PC-9821Nr15 (98NOTE Lavie)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821nr166" year "1997" manufacturer "NEC" desc "PC-9821Nr166 (98NOTE Lavie)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821nw150" year "1997" manufacturer "NEC" desc "PC-9821Nw150 (98NOTE Lavie)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ra20" year "1996" manufacturer "NEC" desc "PC-9821Ra20 (98MATE R)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ra266" year "1997" manufacturer "NEC" desc "PC-9821Ra266 (98MATE R)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821ra333" year "1998" manufacturer "NEC" desc "PC-9821Ra333 (98MATE R)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821v13" year "1998" manufacturer "NEC" desc "PC-9821V13 (98MATE VALUESTAR)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821v20" year "1998" manufacturer "NEC" desc "PC-9821V20 (98MATE VALUESTAR)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821xa16" year "1996" manufacturer "NEC" desc "PC-9821Xa16 (98MATE X)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc9821xs" year "1994" manufacturer "NEC" desc "PC-9821Xs (98MATE X)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc98ha" year "1990" manufacturer "NEC" desc "PC-98HA (Handy98)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc98lt" year "1989" manufacturer "NEC" desc "PC-98LT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pc_1942" year "1987" manufacturer "Capcom" desc "1942 (PlayChoice-10)" devices ())
(name "pc_bball" year "1984" manufacturer "Nintendo of America" desc "Baseball (PlayChoice-10)" devices ())
(name "pc_bfght" year "1984" manufacturer "Nintendo" desc "Balloon Fight (PlayChoice-10)" devices ())
(name "pc_bload" year "1990" manufacturer "Jaleco (Nintendo of America license)" desc "Bases Loaded (Prototype, PlayChoice-10)" devices ())
(name "pc_bstar" year "1989" manufacturer "SNK (Nintendo of America license)" desc "Baseball Stars: Be a Champ! (PlayChoice-10)" devices ())
(name "pc_cntra" year "1988" manufacturer "Konami (Nintendo of America license)" desc "Contra (PlayChoice-10)" devices ())
(name "pc_cshwk" year "1989" manufacturer "Rare (Nintendo of America license)" desc "Captain Sky Hawk (PlayChoice-10)" devices ())
(name "pc_cvnia" year "1987" manufacturer "Konami (Nintendo of America license)" desc "Castlevania (PlayChoice-10)" devices ())
(name "pc_dbldr" year "1987" manufacturer "Konami (Nintendo of America license)" desc "Double Dribble (PlayChoice-10)" devices ())
(name "pc_ddrgn" year "1988" manufacturer "Technos Japan" desc "Double Dragon (PlayChoice-10)" devices ())
(name "pc_drmro" year "1990" manufacturer "Nintendo" desc "Dr. Mario (PlayChoice-10)" devices ())
(name "pc_duckh" year "1984" manufacturer "Nintendo" desc "Duck Hunt (PlayChoice-10)" devices ())
(name "pc_ebike" year "1984" manufacturer "Nintendo" desc "Excitebike (PlayChoice-10)" devices ())
(name "pc_ftqst" year "1989" manufacturer "Sunsoft (Nintendo of America license)" desc "Uncle Fester's Quest: The Addams Family (PlayChoice-10)" devices ())
(name "pc_gntlt" year "1985" manufacturer "Atari / Tengen (Nintendo of America license)" desc "Gauntlet (PlayChoice-10)" devices ())
(name "pc_golf" year "1984" manufacturer "Nintendo" desc "Golf (PlayChoice-10)" devices ())
(name "pc_goons" year "1986" manufacturer "Konami" desc "The Goonies (PlayChoice-10)" devices ())
(name "pc_grdue" year "1986" manufacturer "Konami" desc "Gradius (PlayChoice-10, older)" devices ())
(name "pc_grdus" year "1986" manufacturer "Konami" desc "Gradius (PlayChoice-10)" devices ())
(name "pc_h98s" year "1991" manufacturer "NEC" desc "PC-H98S model 8/U8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pc_hgaly" year "1984" manufacturer "Nintendo" desc "Hogan's Alley (PlayChoice-10)" devices ())
(name "pc_kngfu" year "1985" manufacturer "Irem (Nintendo license)" desc "Kung Fu (PlayChoice-10)" devices ())
(name "pc_mario" year "1983" manufacturer "Nintendo" desc "Mario Bros. (PlayChoice-10)" devices ())
(name "pc_miket" year "1987" manufacturer "Nintendo" desc "Mike Tyson's Punch-Out!! (PlayChoice-10)" devices ())
(name "pc_mman3" year "1990" manufacturer "Capcom USA (Nintendo of America license)" desc "Mega Man III (PlayChoice-10)" devices ())
(name "pc_moglf" year "1991" manufacturer "Nintendo" desc "Mario's Open Golf (PlayChoice-10)" devices ())
(name "pc_mtoid" year "1986" manufacturer "Nintendo" desc "Metroid (PlayChoice-10)" devices ())
(name "pc_ngai2" year "1990" manufacturer "Tecmo (Nintendo of America license)" desc "Ninja Gaiden Episode II: The Dark Sword of Chaos (PlayChoice-10)" devices ())
(name "pc_ngai3" year "1991" manufacturer "Tecmo (Nintendo of America license)" desc "Ninja Gaiden Episode III: The Ancient Ship of Doom (PlayChoice-10)" devices ())
(name "pc_ngaid" year "1989" manufacturer "Tecmo (Nintendo of America license)" desc "Ninja Gaiden (PlayChoice-10)" devices ())
(name "pc_pinbt" year "1988" manufacturer "Rare (Nintendo of America license)" desc "PinBot (PlayChoice-10)" devices ())
(name "pc_pwbld" year "1991" manufacturer "Taito (Nintendo of America license)" desc "Power Blade (PlayChoice-10)" devices ())
(name "pc_pwrst" year "1986" manufacturer "Nintendo" desc "Pro Wrestling (PlayChoice-10)" devices ())
(name "pc_radr2" year "1990" manufacturer "Square (Nintendo of America license)" desc "Rad Racer II (PlayChoice-10)" devices ())
(name "pc_radrc" year "1987" manufacturer "Square" desc "Rad Racer (PlayChoice-10)" devices ())
(name "pc_rcpam" year "1987" manufacturer "Rare" desc "R.C. Pro-Am (PlayChoice-10)" devices ())
(name "pc_rkats" year "1991" manufacturer "Atlus (Nintendo of America license)" desc "Rockin' Kats (PlayChoice-10)" devices ())
(name "pc_rnatk" year "1987" manufacturer "Konami (Nintendo of America license)" desc "Rush'n Attack (PlayChoice-10)" devices ())
(name "pc_rrngr" year "1990" manufacturer "Capcom USA (Nintendo of America license)" desc "Chip'n Dale: Rescue Rangers (PlayChoice-10)" devices ())
(name "pc_rygar" year "1987" manufacturer "Tecmo (Nintendo of America license)" desc "Rygar (PlayChoice-10)" devices ())
(name "pc_sjetm" year "1990" manufacturer "Rare" desc "Solar Jetman (PlayChoice-10)" devices ())
(name "pc_smb" year "1985" manufacturer "Nintendo" desc "Super Mario Bros. (PlayChoice-10)" devices ())
(name "pc_smb2" year "1988" manufacturer "Nintendo" desc "Super Mario Bros. 2 (PlayChoice-10)" devices ())
(name "pc_smb3" year "1988" manufacturer "Nintendo" desc "Super Mario Bros. 3 (PlayChoice-10)" devices ())
(name "pc_suprc" year "1990" manufacturer "Konami (Nintendo of America license)" desc "Super C (PlayChoice-10)" devices ())
(name "pc_tbowl" year "1989" manufacturer "Tecmo (Nintendo of America license)" desc "Tecmo Bowl (PlayChoice-10)" devices ())
(name "pc_tenis" year "1983" manufacturer "Nintendo" desc "Tennis (PlayChoice-10)" devices ())
(name "pc_tkfld" year "1987" manufacturer "Konami (Nintendo of America license)" desc "Track & Field (PlayChoice-10)" devices ())
(name "pc_tmnt" year "1989" manufacturer "Konami (Nintendo of America license)" desc "Teenage Mutant Ninja Turtles (PlayChoice-10)" devices ())
(name "pc_tmnt2" year "1990" manufacturer "Konami (Nintendo of America license)" desc "Teenage Mutant Ninja Turtles II: The Arcade Game (PlayChoice-10)" devices ())
(name "pc_trjan" year "1986" manufacturer "Capcom USA (Nintendo of America license)" desc "Trojan (PlayChoice-10)" devices ())
(name "pc_ttoon" year "1991" manufacturer "Konami (Nintendo of America license)" desc "Tiny Toon Adventures (prototype) (PlayChoice-10)" devices ())
(name "pc_vball" year "1986" manufacturer "Nintendo" desc "Volley Ball (PlayChoice-10)" devices ())
(name "pc_virus" year "1990" manufacturer "Nintendo" desc "Virus (Dr. Mario prototype, PlayChoice-10)" devices ())
(name "pc_wcup" year "1990" manufacturer "Technos Japan (Nintendo license)" desc "Nintendo World Cup (PlayChoice-10)" devices ())
(name "pc_wgnmn" year "1984" manufacturer "Nintendo" desc "Wild Gunman (PlayChoice-10)" devices ())
(name "pc_ynoid" year "1990" manufacturer "Capcom USA (Nintendo of America license)" desc "Yo! Noid (PlayChoice-10)" devices ())
(name "pcb303" year "198?" manufacturer "Packard Bell" desc "PCB-303 Rev.01" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcbydem" year "2006" manufacturer "Aristocrat" desc "Player's Choice - By Demand (10223111, NSW/ACT)" devices ())
(name "pccm205" year "198?" manufacturer "PC-Chips" desc "M205" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pccm209" year "198?" manufacturer "PC-Chips" desc "M209" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pccm216" year "198?" manufacturer "PC-Chips" desc "M216" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pccm317" year "199?" manufacturer "PC-Chips" desc "M317" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pccm321" year "199?" manufacturer "PC-Chips" desc "M321" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pccm326" year "199?" manufacturer "PC-Chips" desc "M326" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pccm396f" year "199?" manufacturer "PC-Chips" desc "M396F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pccm912" year "199?" manufacturer "PC-Chips" desc "M912" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pccm915i" year "199?" manufacturer "PC-Chips" desc "M915i" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pccm919" year "199?" manufacturer "PC-Chips" desc "M919" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pcd" year "1984" manufacturer "Siemens" desc "PC-D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pcd2" year "1986" manufacturer "Siemens" desc "PCD-2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcd204" year "1991" manufacturer "Philips" desc "PCD204 (PCD200 series)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcd2m" year "198?" manufacturer "Siemens" desc "PCD-2M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcd3nsl" year "199?" manufacturer "Siemens-Nixdorf" desc "PCD-3Nsl Notebook Computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcd3nsx" year "199?" manufacturer "Siemens-Nixdorf" desc "PCD-3Nsx Notebook Computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pcd4nd" year "1993" manufacturer "Siemens-Nixdorf" desc "PCD-4ND" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pcd4nl" year "1995" manufacturer "Siemens-Nixdorf" desc "PCD-4NL" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pcd4x" year "199?" manufacturer "Siemens-Nixdorf" desc "PCD-4H, PCD-4M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pce" year "1987" manufacturer "NEC / Hudson Soft" desc "PC Engine" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" mandatory t)))
(name "pce220" year "1991" manufacturer "Sharp" desc "PC-E220" devices ((name "serial" briefname "serl" )))
(name "pcega" year "1987" manufacturer "<generic>" desc "PC (EGA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pcfavor" year "2004" manufacturer "Aristocrat" desc "Player's Choice - Favourites (20177311, NSW/ACT)" devices ())
(name "pcfx" year "1994" manufacturer "NEC" desc "PC-FX" devices ((name "cdrom" briefname "cdrm" )))
(name "pcfxga" year "199?" manufacturer "NEC" desc "PC-FX/GA (PC ISA Card)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcg815" year "1992" manufacturer "Sharp" desc "PC-G815" devices ((name "serial" briefname "serl" )))
(name "pcg850v" year "2001" manufacturer "Sharp" desc "PC-G850V" devices ((name "serial" briefname "serl" )))
(name "pcgold" year "2010" manufacturer "Aristocrat" desc "Player's Choice - Gold Edition (30291411, New Zealand)" devices ())
(name "pcherc" year "1987" manufacturer "<generic>" desc "PC (Hercules)" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pci48af" year "199?" manufacturer "TMC Research Corporation" desc "PCI48AF" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pciagp" year "1999" manufacturer "Hack Inc." desc "Sandbox PCI/AGP PC (440BX)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "pcipc" year "1998" manufacturer "Hack Inc." desc "Sandbox PCI PC (430HX)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "pcipcs7" year "1998" manufacturer "Hack Inc." desc "Sandbox PCI PC (430HX, Socket 7 CPU)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "pcipctx" year "1998" manufacturer "Hack Inc." desc "Sandbox PCI PC (430TX)" devices ())
(name "pck486dx" year "199?" manufacturer "Peacock" desc "PCK 486 DX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pckobe99" year "1997" manufacturer "Atlus" desc "Print Club 2 Kobe Luminaire '99 (Print Club Custom 3) (J 991203 V1.000)" devices ())
(name "pcksurfer" year "2006" manufacturer "Datawind" desc "Pocket Surfer (prototype)" devices ())
(name "pcktgal" year "1987" manufacturer "Data East Corporation" desc "Pocket Gal (Japan)" devices ())
(name "pcktgal2" year "1989" manufacturer "Data East Corporation" desc "Pocket Gal 2 (English)" devices ())
(name "pcktgal2j" year "1989" manufacturer "Data East Corporation" desc "Pocket Gal 2 (Japanese)" devices ())
(name "pcktgalb" year "1987" manufacturer "bootleg" desc "Pocket Gal (Yada East bootleg)" devices ())
(name "pcktgalba" year "1987" manufacturer "bootleg" desc "Pocket Gal / unknown card game" devices ())
(name "pclb2elk" year "1997" manufacturer "Atlus" desc "Print Club 2 Earth Limited Kobe (Print Club Custom) (J 970808 V1.000)" devices ())
(name "pclove" year "1997" manufacturer "Atlus" desc "Print Club LoveLove (J 970421 V1.000)" devices ())
(name "pclove2" year "1997" manufacturer "Atlus" desc "Print Club LoveLove Ver 2 (J 970825 V1.000)" devices ())
(name "pclub" year "1995" manufacturer "Atlus" desc "Print Club (World)" devices ())
(name "pclub2" year "1997" manufacturer "Atlus" desc "Print Club 2 (U 970921 V1.000)" devices ())
(name "pclub26w" year "1997" manufacturer "Atlus" desc "Print Club 2 Vol. 6 Winter (J 961210 V1.000)" devices ())
(name "pclub26wa" year "1997" manufacturer "Atlus" desc "Print Club 2 Vol. 6 Winter (J 970121 V1.200)" devices ())
(name "pclub27s" year "1997" manufacturer "Atlus" desc "Print Club 2 Vol. 7 Spring (J 970313 V1.100)" devices ())
(name "pclub2fc" year "1999" manufacturer "Atlus" desc "Print Club 2 Felix The Cat (Rev. A) (J 970415 V1.100)" devices ())
(name "pclub2kc" year "1997" manufacturer "Atlus" desc "Print Club Kome Kome Club (J 970203 V1.000)" devices ())
(name "pclub2pe" year "1997" manufacturer "Atlus" desc "Print Club 2 Pepsiman (J 970618 V1.100)" devices ())
(name "pclub2pf" year "1998" manufacturer "Atlus" desc "Print Club 2 Puffy (J V1.100)" devices ())
(name "pclub2v3" year "1999" manufacturer "Atlus" desc "Print Club 2 Vol. 3 (U 990310 V1.000)" devices ())
(name "pclub2wb" year "1997" manufacturer "Atlus" desc "Print Club 2 Warner Bros (J 970228 V1.000)" devices ())
(name "pclubj" year "1995" manufacturer "Atlus" desc "Print Club (Japan Vol.1)" devices ())
(name "pclubjv2" year "1995" manufacturer "Atlus" desc "Print Club (Japan Vol.2)" devices ())
(name "pclubjv3" year "1995" manufacturer "Atlus" desc "Print Club (Japan Vol.3)" devices ())
(name "pclubjv4" year "1996" manufacturer "Atlus" desc "Print Club (Japan Vol.4)" devices ())
(name "pclubjv5" year "1996" manufacturer "Atlus" desc "Print Club (Japan Vol.5)" devices ())
(name "pclubol" year "1999" manufacturer "Atlus" desc "Print Club Olive (J 980717 V1.000)" devices ())
(name "pclubor" year "1999" manufacturer "Atlus" desc "Print Club Goukakenran (J 991104 V1.000)" devices ())
(name "pclubpok" year "1999" manufacturer "Atlus" desc "Print Club Pokemon B (U 991126 V1.000)" devices ())
(name "pclubyo" year "1997" manufacturer "Atlus" desc "Print Club Yoshimoto V1 (J 970208 V1.000)" devices ())
(name "pclubyo2" year "1997" manufacturer "Atlus" desc "Print Club Yoshimoto V2 (J 970422 V1.100)" devices ())
(name "pclubys" year "2000" manufacturer "Yun Sung" desc "Puzzle Club (Yun Sung, set 1)" devices ())
(name "pclubysa" year "2000" manufacturer "Yun Sung" desc "Puzzle Club (Yun Sung, set 2)" devices ())
(name "pcm" year "1988" manufacturer "Mugler/Mathes" desc "PC/M" devices ((name "cassette" briefname "cass" )))
(name "pcmda" year "1987" manufacturer "<generic>" desc "PC (MDA)" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pcmostw" year "2008" manufacturer "Aristocrat" desc "Player's Choice - Most Wanted (20234911, NSW/ACT)" devices ())
(name "pcmx2" year "1985" manufacturer "Siemens" desc "PC-MX2" devices ())
(name "pcnfrk" year "1999" manufacturer "Konami" desc "Percussion Freaks (GQ881 VER. EAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk10m" year "2004" manufacturer "Konami" desc "Percussion Freaks 10th Mix (G*D40 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk2m" year "2000" manufacturer "Konami" desc "Percussion Freaks 2nd Mix (GE912 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk2mk" year "2000" manufacturer "Konami" desc "Percussion Freaks 2nd Mix (GE912 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk3m" year "2000" manufacturer "Konami" desc "Percussion Freaks 3rd Mix (G*A23 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk3mk" year "2000" manufacturer "Konami" desc "Percussion Freaks 3rd Mix (G*A23 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk4m" year "2001" manufacturer "Konami" desc "Percussion Freaks 4th Mix (G*A25 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk4mk" year "2001" manufacturer "Konami" desc "Percussion Freaks 4th Mix (G*A25 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk5m" year "2001" manufacturer "Konami" desc "Percussion Freaks 5th Mix (G*B05 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk5mk" year "2001" manufacturer "Konami" desc "Percussion Freaks 5th Mix (G*B05 VER. KAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk6m" year "2001" manufacturer "Konami" desc "Percussion Freaks 6th Mix (G*B16 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk7m" year "2002" manufacturer "Konami" desc "Percussion Freaks 7th Mix (G*C07 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk8m" year "2003" manufacturer "Konami" desc "Percussion Freaks 8th Mix (G*C38 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrk9m" year "2003" manufacturer "Konami" desc "Percussion Freaks 9th Mix (G*D09 VER. AAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrka" year "1999" manufacturer "Konami" desc "Percussion Freaks (GQ881 VER. AAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcnfrkk" year "1999" manufacturer "Konami" desc "Percussion Freaks (GQ881 VER. KAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "pcockmag" year "2002" manufacturer "Aristocrat" desc "Peacock Magic (1J008811, NSW/ACT)" devices ())
(name "pcockmaga" year "2002" manufacturer "Aristocrat" desc "Peacock Magic (10134311, ASP)" devices ())
(name "pcockmagu" year "2004" manufacturer "Aristocrat" desc "Peacock Magic (0151352, US)" devices ())
(name "pcompelr" year "1995" manufacturer "VTech" desc "Precomputer Elektronik (Russia)" devices ())
(name "pcorig" year "2004" manufacturer "Aristocrat" desc "Player's Choice - Original (30143011, NSW/ACT)" devices ())
(name "pcp8718" year "200?" manufacturer "PCP" desc "PCP 8718 - HD 360 Degrees Rocker Palm Eyecare Console - 788 in 1" devices ())
(name "pcp8728" year "200?" manufacturer "PCP" desc "PCP 8728 - 788 in 1" devices ())
(name "pcplat" year "2009" manufacturer "Aristocrat" desc "Player's Choice - Platinum (20282111, New Zealand)" devices ())
(name "pcpooh2" year "1997" manufacturer "Atlus" desc "Print Club Winnie-the-Pooh Vol. 2 (J 971218 V1.000)" devices ())
(name "pcpooh3" year "1998" manufacturer "Atlus" desc "Print Club Winnie-the-Pooh Vol. 3 (J 980406 V1.000)" devices ())
(name "pcramclr" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Choice RAM Clear" devices ())
(name "pcs30" year "1984" manufacturer "Yamaha" desc "PCS-30" devices ())
(name "pcscolor" year "1994" manufacturer "VTech" desc "PC Super Color (Spain)" devices ((name "cartridge" briefname "cart" )))
(name "pcunlim" year "1997" manufacturer "Video Technology" desc "PreComputer Unlimited (USA/Canada)" devices ((name "cartridge" briefname "cart" )))
(name "pcv20" year "1987" manufacturer "<generic>" desc "PC with V20 CPU" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pcvga" year "1987" manufacturer "<generic>" desc "PC (VGA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pcw10" year "1993" manufacturer "Amstrad plc" desc "PCW10" devices ((name "floppydisk" briefname "flop" )))
(name "pcw16" year "1995" manufacturer "Amstrad plc" desc "PcW16" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pcw8256" year "1985" manufacturer "Amstrad plc" desc "PCW8256" devices ((name "floppydisk" briefname "flop" )))
(name "pcw8512" year "1985" manufacturer "Amstrad plc" desc "PCW8512" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pcw9256" year "1991" manufacturer "Amstrad plc" desc "PCW9256" devices ((name "floppydisk" briefname "flop" )))
(name "pcw9512" year "1987" manufacturer "Amstrad plc" desc "PCW9512" devices ((name "floppydisk" briefname "flop" )))
(name "pcw9512p" year "1991" manufacturer "Amstrad plc" desc "PCW9512 (+)" devices ((name "floppydisk" briefname "flop" )))
(name "pcx" year "1984" manufacturer "Siemens" desc "PC-X" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pda600" year "1993" manufacturer "Amstrad plc" desc "PenPad PDA 600" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "pdc100" year "2008" manufacturer "Conny / Anncia" desc "PDC100 - Pocket Dream Console (Anncia, US)" devices ())
(name "pdc150t" year "2011" manufacturer "Conny / VideoJet" desc "PDC150 Tactile - Pocket Dream Console (VideoJet, France)" devices ())
(name "pdc200" year "2012" manufacturer "Conny / VideoJet" desc "PDC200 - Pocket Dream Console (VideoJet, France)" devices ())
(name "pdc40t" year "2011" manufacturer "Conny / VideoJet" desc "PDC40 Tactile - Pocket Dream Console (VideoJet, France)" devices ())
(name "pdc50" year "2010" manufacturer "Conny / VideoJet" desc "PDC50 - Pocket Dream Console (VideoJet, France)" devices ())
(name "pdp1" year "1961" manufacturer "Digital Equipment Corporation" desc "PDP-1" devices ((name "punchtape1" briefname "ptap1" ) (name "punchtape2" briefname "ptap2" ) (name "printout" briefname "prin" ) (name "cylinder" briefname "cyln" )))
(name "pdp11qb" year "198?" manufacturer "Digital Equipment Corporation" desc "PDP-11 [Q-BUS] (M7195 - MXV11-B)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "punchtape" briefname "ptap" )))
(name "pdp11ub" year "197?" manufacturer "Digital Equipment Corporation" desc "PDP-11 [Unibus](M9301-YA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "punchtape" briefname "ptap" )))
(name "pdp11ub2" year "197?" manufacturer "Digital Equipment Corporation" desc "PDP-11 [Unibus](M9312)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "punchtape" briefname "ptap" )))
(name "pdrift" year "1988" manufacturer "Sega" desc "Power Drift (World, Rev A)" devices ())
(name "pdrifta" year "1988" manufacturer "Sega" desc "Power Drift (World)" devices ())
(name "pdrifte" year "1988" manufacturer "Sega" desc "Power Drift (World, Earlier)" devices ())
(name "pdriftj" year "1988" manufacturer "Sega" desc "Power Drift (Japan)" devices ())
(name "pdriftl" year "1988" manufacturer "Sega" desc "Power Drift - Link Version (Japan, Rev A)" devices ())
(name "pdt3100" year "1998" manufacturer "Symbol" desc "PDT 3100 (v1.10-00)" devices ())
(name "peaflut" year "2000" manufacturer "Aristocrat" desc "Peacock Flutter (02J00011, NSW/ACT)" devices ())
(name "peafluta" year "2000" manufacturer "Aristocrat" desc "Peacock Flutter (01J00011, NSW/ACT)" devices ())
(name "peas286" year "198?" manufacturer "Peacock Computer" desc "S-286 Rev A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pebe0013" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (BE0013) Blackjack" devices ())
(name "pebe0014" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (BE0014) Blackjack" devices ())
(name "pebe0014a" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (BE0014) Blackjack (International English/Spanish)" devices ())
(name "pecmen" year "1981" manufacturer "LTD" desc "Mr. & Mrs. Pec-Men" devices ())
(name "pecom32" year "1986" manufacturer "Ei Nis (Elektronska Industrija Nis)" desc "Pecom 32" devices ((name "cassette" briefname "cass" )))
(name "pecom64" year "1987" manufacturer "Ei Nis (Elektronska Industrija Nis)" desc "Pecom 64" devices ((name "cassette" briefname "cass" )))
(name "peekaboo" year "1993" manufacturer "Jaleco" desc "Peek-a-Boo! (Japan, ver. 1.1)" devices ())
(name "peekaboou" year "1993" manufacturer "Jaleco" desc "Peek-a-Boo! (North America, ver 1.0)" devices ())
(name "peepshow" year "1989" manufacturer "AC" desc "Nozokimeguri Mahjong Peep Show (Japan 890404)" devices ())
(name "pegasos2" year "2003" manufacturer "Genesi" desc "PEGASOS II" devices ())
(name "pegasus" year "1981" manufacturer "Technosys" desc "Aamber Pegasus" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "cassette" briefname "cass" )))
(name "pegasusm" year "1981" manufacturer "Technosys" desc "Aamber Pegasus with RAM expansion unit" devices ((name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "cassette" briefname "cass" )))
(name "peggle" year "1991" manufacturer "Strata / Incredible Technologies" desc "Peggle (Joystick, v1.0)" devices ())
(name "pegglet" year "1991" manufacturer "Strata / Incredible Technologies" desc "Peggle (Trackball, v1.0)" devices ())
(name "peip0028" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0028) Joker Poker - French" devices ())
(name "peip0029" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0029) Joker Poker - French" devices ())
(name "peip0031" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0031) Standard Draw Poker - French" devices ())
(name "peip0041" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0041) Double Deuces Wild Poker - French" devices ())
(name "peip0051" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0051) Joker Poker - French" devices ())
(name "peip0058" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0058) Standard Draw Poker - French" devices ())
(name "peip0062" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0062) Joker Poker - French" devices ())
(name "peip0074" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0074) Joker Poker - French" devices ())
(name "peip0079" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0079) Standard Draw Poker - French" devices ())
(name "peip0101" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0101) Joker Poker - French" devices ())
(name "peip0103" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0103) Joker Poker - French" devices ())
(name "peip0105" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0105) Joker Poker - French" devices ())
(name "peip0108" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0108) Standard Draw Poker - French" devices ())
(name "peip0111" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0111) Joker Poker - French" devices ())
(name "peip0112" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0112) Standard Draw Poker - French" devices ())
(name "peip0114" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0114) Standard Draw Poker - French" devices ())
(name "peip0115" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0115) Joker Poker - French" devices ())
(name "peip0116" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0116) Standard Draw Poker - French" devices ())
(name "peip0118" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0118) Standard Draw Poker - French" devices ())
(name "peip0120" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IP0120) Standard Draw Poker - French" devices ())
(name "peivc006" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (IVC006) Clear EEPROM Chip" devices ())
(name "peke0004" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0004) Keno (set 1)" devices ())
(name "peke0004a" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0004) Keno (set 2)" devices ())
(name "peke0004b" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0004) Keno (set 3)" devices ())
(name "peke0017" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0017) Keno (set 1)" devices ())
(name "peke0017a" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0017) Keno (set 2)" devices ())
(name "peke0026" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE0026) Keno" devices ())
(name "peke1001" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1001) Keno" devices ())
(name "peke1006" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1006) Keno" devices ())
(name "peke1012" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1012) Keno (set 1)" devices ())
(name "peke1012a" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1012) Keno (set 2)" devices ())
(name "peke1012b" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1012) Keno (set 3)" devices ())
(name "peke1013" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1013) Keno (set 1)" devices ())
(name "peke1013a" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (KE1013) Keno (set 2)" devices ())
(name "pekoc766" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0766 A5W-A6F) Standard Draw Poker" devices ())
(name "pekoc801" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0801 A5W-A6F) 10's or Better" devices ())
(name "pekoc802" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0802 A5W-A6F) Standard Draw Poker" devices ())
(name "pekoc803" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0803 A5W-A6F) Joker Poker" devices ())
(name "pekoc803a" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0803 A50-A6N) Joker Poker" devices ())
(name "pekoc804" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0804 A5W-A6F) Bonus Poker Deluxe" devices ())
(name "pekoc806" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0806 A5W-A6F) Standard Draw Poker" devices ())
(name "pekoc818" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0818 A5W-A6F) Joker Poker (Aces or Better)" devices ())
(name "pekoc819" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0819 A5W-A6F) Bonus Poker Deluxe" devices ())
(name "pekoc822" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0822 A5W-A6F) Standard Draw Poker" devices ())
(name "pekoc825" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0825 A59-A7C) White Hot Aces" devices ())
(name "pelipete" year "2004" manufacturer "Aristocrat" desc "Pelican Pete (10177511, NSW/ACT)" devices ())
(name "pelipetea" year "2005" manufacturer "Aristocrat" desc "Pelican Pete (10196211, ASP)" devices ())
(name "pelipetejc" year "2006" manufacturer "Aristocrat" desc "Pelican Pete - Jackpot Carnival (10226711, Queensland)" devices ())
(name "pelipeteu" year "2005" manufacturer "Aristocrat" desc "Pelican Pete (0252555, US)" devices ())
(name "pem2530" year "198?" manufacturer "DTK" desc "PEM 2539" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pemg0025" year "1994" manufacturer "IGT - International Game Technology" desc "Montana Choice (MG0025) Multi-Game" devices ())
(name "pemg0026" year "1994" manufacturer "IGT - International Game Technology" desc "Montana Choice (MG0026) Multi-Game" devices ())
(name "pemg0182" year "1994" manufacturer "IGT - International Game Technology" desc "Montana Choice (MG0182) Multi-Game" devices ())
(name "pemg0183" year "1994" manufacturer "IGT - International Game Technology" desc "Montana Choice (MG0183) Multi-Game" devices ())
(name "pemg0213" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Choice (MG0213) Multi-Game" devices ())
(name "pemg0225" year "1994" manufacturer "IGT - International Game Technology" desc "Montana Choice (MG0225) Multi-Game" devices ())
(name "pemg0252" year "1994" manufacturer "IGT - International Game Technology" desc "Player's Choice (MG0252) Multi-Game" devices ())
(name "penalty" year "19??" manufacturer "Seeben (Belgium)" desc "Penalty (Bingo)" devices ())
(name "penbros" year "2000" manufacturer "Subsino" desc "Penguin Brothers (Japan)" devices ())
(name "pencil2" year "1983" manufacturer "Hanimex" desc "Pencil II" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "penfan" year "1999" manufacturer "Eolith" desc "Penfan Girls - Step1. Mild Mind (set 1)" devices ())
(name "penfana" year "1999" manufacturer "Eolith" desc "Penfan Girls - Step1. Mild Mind (set 2)" devices ())
(name "pengadvb" year "1988" manufacturer "bootleg (Screen)" desc "Penguin Adventure (bootleg of MSX version, encrypted)" devices ())
(name "pengadvb2" year "1988" manufacturer "bootleg (Comet)" desc "Penguin Adventure (bootleg of MSX version, not encrypted)" devices ())
(name "pengo" year "1982" manufacturer "Sega" desc "Pengo (World, not encrypted, rev A)" devices ())
(name "pengoa" year "1982" manufacturer "Sega" desc "Pengo (World, 315-5010 type, set 1)" devices ())
(name "pengob" year "1982" manufacturer "Sega" desc "Pengo (World, 315-5010 type, set 2)" devices ())
(name "pengoc" year "1982" manufacturer "Sega" desc "Pengo (World, 315-5010 type, set 3)" devices ())
(name "pengoj" year "1982" manufacturer "Sega" desc "Pengo (Japan, not encrypted)" devices ())
(name "pengoja" year "1982" manufacturer "Sega" desc "Pengo (Japan, 315-5010 type, rev C)" devices ())
(name "pengojb" year "1982" manufacturer "Sega" desc "Pengo (Japan, 315-5007 type, rev A)" devices ())
(name "pengojbl" year "1982" manufacturer "bootleg" desc "Pengo (Japan, bootleg)" devices ())
(name "pengojpm" year "1981" manufacturer "bootleg" desc "Pengo (bootleg on Pac-Man hardware, set 1)" devices ())
(name "pengomc1" year "1982" manufacturer "bootleg (Marti Colls)" desc "Pengo (Marti Colls bootleg on Pac-Man hardware, set 1)" devices ())
(name "pengomc2" year "1982" manufacturer "bootleg (Marti Colls)" desc "Pengo (Marti Colls bootleg on Pac-Man hardware, set 2)" devices ())
(name "pengopac" year "1981" manufacturer "bootleg" desc "Pengo (bootleg on Pac-Man hardware, set 2)" devices ())
(name "pengpay" year "1997" manufacturer "Aristocrat" desc "Penguin Pays (0200460V, NSW/ACT)" devices ())
(name "pengpaya" year "1996" manufacturer "Aristocrat" desc "Penguin Pays (0200357V, NSW/ACT)" devices ())
(name "pengpayb" year "1997" manufacturer "Aristocrat" desc "Penguin Pays (0200359V, NSW/ACT)" devices ())
(name "pengpayc" year "1995" manufacturer "Aristocrat" desc "Penguin Pays (0200113V, NSW/ACT)" devices ())
(name "pengpayce" year "2001" manufacturer "Aristocrat" desc "Penguin Pays - Cash Express (AHG1544, US)" devices ())
(name "pengpayd" year "1995" manufacturer "Aristocrat" desc "Penguin Pays (0300113V, NSW/ACT)" devices ())
(name "pengpayu" year "1997" manufacturer "Aristocrat" desc "Penguin Pays (BHI0417-03, US)" devices ())
(name "pengpayua" year "1997" manufacturer "Aristocrat" desc "Penguin Pays (OHG0417-03, US)" devices ())
(name "pengpayub" year "1997" manufacturer "Aristocrat" desc "Penguin Pays (OHG0417-02, US)" devices ())
(name "pengpuck" year "2001" manufacturer "Aristocrat" desc "Penguin Pays - Penguin Pucks (EHG1257, US)" devices ())
(name "pengpyce" year "2003" manufacturer "Aristocrat" desc "Penguin Pays - Cash Express (0151120, US)" devices ())
(name "penky" year "1996" manufacturer "Yun Sung" desc "Penky" devices ())
(name "penkyi" year "1996" manufacturer "Yun Sung (Impeuropex license)" desc "Penky (Italian)" devices ())
(name "pennyar" year "2005" manufacturer "Aristocrat" desc "Penny Arcade (0251169, US)" devices ())
(name "penpir" year "1998" manufacturer "Aristocrat" desc "Penguin Pirate (0100674V, NSW/ACT)" devices ())
(name "penpir2" year "1998" manufacturer "Aristocrat" desc "Penguin Pirate II (0100869V, ASP)" devices ())
(name "penpira" year "1998" manufacturer "Aristocrat" desc "Penguin Pirate (0200578V, NSW/ACT)" devices ())
(name "pent1024" year "2005" manufacturer "Alex Zhabin" desc "Pentagon 1024SL" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "penta" year "1982" manufacturer "bootleg (Grinbee Shouji)" desc "Penta (bootleg)" devices ())
(name "pentacup" year "1978" manufacturer "Micropin" desc "Pentacup (rev. 1)" devices ())
(name "pentacup2" year "1980" manufacturer "Micropin" desc "Pentacup (rev. 2)" devices ())
(name "pentagon" year "1991" manufacturer "Vladimir Drozdov" desc "Pentagon 128K" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "pentevo" year "2009" manufacturer "NedoPC" desc "ZX Evolution: BASECONF" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "pepk0719" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0719-PC092) Standard Draw Poker (El Cortez)" devices ())
(name "pepk0719a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0719-PC041) Standard Draw Poker" devices ())
(name "pepk0719b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0719-PC011) Standard Draw Poker" devices ())
(name "pepk0756" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0756-PC092) Standard Draw Poker" devices ())
(name "pepk0756a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0756-PC084) Standard Draw Poker (El Cortez)" devices ())
(name "pepk0756b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0756-PC041) Standard Draw Poker" devices ())
(name "pepk0756c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0756-PC011) Standard Draw Poker" devices ())
(name "pepk0756d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0756-PC001) Standard Draw Poker" devices ())
(name "pepk0757" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0757-PC074) Two Pair or Better" devices ())
(name "pepk0758" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0758-PC041) Standard Draw Poker" devices ())
(name "pepk0769" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0769-PC092) Standard Draw Poker" devices ())
(name "pepk0773" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0773-PC041) Standard Draw Poker" devices ())
(name "pepk0785" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0785-PC041) Tens or Better" devices ())
(name "pepk0788" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0788-PC041) Tens or Better" devices ())
(name "pepk0810" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0810-PC041) Joker Poker" devices ())
(name "pepk0810a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0810-PC011) Joker Poker" devices ())
(name "pepk0811" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0811-PC041) Joker Poker" devices ())
(name "pepk0823" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0823-PC009) Standard Draw Poker" devices ())
(name "pepk0832" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0832-PC041) Joker Poker" devices ())
(name "pepk0846" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0846-PC098) Standard Draw Poker" devices ())
(name "pepk0849" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0849-PC041) Joker Poker (Two Pair or Better)" devices ())
(name "pepk0856" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0856-PC092) Joker Poker" devices ())
(name "pepk0856a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0856-PC011) Joker Poker" devices ())
(name "pepk0858" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0858-PC075) Deuces Wild Poker" devices ())
(name "pepk0873" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0873-PC093) Deuces Wild Poker" devices ())
(name "pepk0873a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0873-PC046) Deuces Wild Poker" devices ())
(name "pepk0885" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0885-PC056) Deuces Wild Poker (El Cortez)" devices ())
(name "pepk0930" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0930-PC093) Deuces Wild Poker" devices ())
(name "pepk0930a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK0930-PC075) Deuces Wild Poker" devices ())
(name "pepk1002" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1002-PC082) Jake's Jacks Bonus Poker" devices ())
(name "pepk1004" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1004-PC075) Deuces Wild Poker" devices ())
(name "pepk1013" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1013-PC087) Tens or Better" devices ())
(name "pepk1015" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1015-PC088) 4 of a Kind Bonus Poker" devices ())
(name "pepk1017" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1017-PC041) Standard Draw Poker" devices ())
(name "pepk1020" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1020-PC078) 4 of a Kind Bonus Poker" devices ())
(name "pepk1024" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1024-PC095) Aces and Faces Bonus Poker" devices ())
(name "pepk1030" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1030-PC088) 4 of a Kind Bonus Poker" devices ())
(name "pepk1031" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1031-PC088) 4 of a Kind Bonus Poker" devices ())
(name "pepk1069" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge (PK1069-PC088) Double Bonus Poker" devices ())
(name "pepp0001" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0001) Standard Draw Poker" devices ())
(name "pepp0002" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0002) Standard Draw Poker" devices ())
(name "pepp0002a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0002) Standard Draw Poker (International)" devices ())
(name "pepp0005" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0005) Standard Draw Poker" devices ())
(name "pepp0006" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0006) Standard Draw Poker" devices ())
(name "pepp0008" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0008) Standard Draw Poker (set 1)" devices ())
(name "pepp0008a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0008) Standard Draw Poker (set 2, El Cortez)" devices ())
(name "pepp0008b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0008) Standard Draw Poker (set 3)" devices ())
(name "pepp0009" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0009) Standard Draw Poker" devices ())
(name "pepp0010" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0010) Standard Draw Poker" devices ())
(name "pepp0014" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0014) Standard Draw Poker (International)" devices ())
(name "pepp0014a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0014) Standard Draw Poker" devices ())
(name "pepp0021" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0021) Standard Draw Poker" devices ())
(name "pepp0023" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0023) 10's or Better" devices ())
(name "pepp0038" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0038) Standard Draw Poker" devices ())
(name "pepp0040" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0040) Standard Draw Poker (set 1)" devices ())
(name "pepp0040a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0040) Standard Draw Poker (set 2)" devices ())
(name "pepp0040b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0040) Standard Draw Poker (International)" devices ())
(name "pepp0041" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0041) Standard Draw Poker" devices ())
(name "pepp0042" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0042) 10's or Better (set 1)" devices ())
(name "pepp0042a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0042) 10's or Better (set 2)" devices ())
(name "pepp0042b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0042) 10's or Better (set 3)" devices ())
(name "pepp0043" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0043) 10's or Better" devices ())
(name "pepp0043a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0043) 10's or Better (International, set 1)" devices ())
(name "pepp0043b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0043) 10's or Better (International, set 2)" devices ())
(name "pepp0045" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0045) 10's or Better" devices ())
(name "pepp0045a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0045) 10's or Better (Gambler Downtown Reno)" devices ())
(name "pepp0045b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0045) 10's or Better (Par-A-Dice Riverboat Casino)" devices ())
(name "pepp0045c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0045) 10's or Better (Annie Oakley's Central City)" devices ())
(name "pepp0045d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0045) 10's or Better (Las Vegas Rio)" devices ())
(name "pepp0046" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0046) 10's or Better (set 1)" devices ())
(name "pepp0046a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0046) 10's or Better (International, set 1)" devices ())
(name "pepp0046b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0046) 10's or Better (International, set 2)" devices ())
(name "pepp0046c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0046) 10's or Better (set 2)" devices ())
(name "pepp0048" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0048) Joker Poker (set 1)" devices ())
(name "pepp0048a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0048) Joker Poker (set 2)" devices ())
(name "pepp0048b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0048) Joker Poker (set 3)" devices ())
(name "pepp0048c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0048) Joker Poker (set 4)" devices ())
(name "pepp0050" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0050) Joker Poker (set 1)" devices ())
(name "pepp0050a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0050) Joker Poker (set 2)" devices ())
(name "pepp0050b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0050) Joker Poker (set 3)" devices ())
(name "pepp0050c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0050) Joker Poker (set 4, El Cortez)" devices ())
(name "pepp0051" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0051) Joker Poker" devices ())
(name "pepp0052" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0052) Joker Poker (Aces or Better)" devices ())
(name "pepp0053" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0053) Joker Poker (Aces or Better)" devices ())
(name "pepp0054" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0054) Deuces Wild Poker (El Cortez)" devices ())
(name "pepp0055" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0055) Deuces Wild Poker (set 1)" devices ())
(name "pepp0055a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0055) Deuces Wild Poker (set 2, Skyline Casino)" devices ())
(name "pepp0055b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0055) Deuces Wild Poker (set 3)" devices ())
(name "pepp0055c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0055) Deuces Wild Poker (set 4)" devices ())
(name "pepp0057" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0057) Deuces Wild Poker (set 1)" devices ())
(name "pepp0057a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0057) Deuces Wild Poker (set 2)" devices ())
(name "pepp0057b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0057) Deuces Wild Poker (set 3, El Cortez)" devices ())
(name "pepp0057c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0057) Deuces Wild Poker (set 4)" devices ())
(name "pepp0057d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0057) Deuces Wild Poker (set 5)" devices ())
(name "pepp0059" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0059) Two Pair or Better (set 1)" devices ())
(name "pepp0059a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0059) Two Pair or Better (set 2)" devices ())
(name "pepp0060" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0060) Standard Draw Poker (set 1)" devices ())
(name "pepp0060a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0060) Standard Draw Poker (set 2)" devices ())
(name "pepp0060b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0060) Standard Draw Poker (set 3)" devices ())
(name "pepp0060c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0060) Standard Draw Poker (set 4)" devices ())
(name "pepp0063" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0063) 10's or Better" devices ())
(name "pepp0064" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0064) Joker Poker" devices ())
(name "pepp0065" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0065) Joker Poker (Aces or Better)" devices ())
(name "pepp0078" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0078) Standard Draw Poker" devices ())
(name "pepp0079" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0079) Standard Draw Poker" devices ())
(name "pepp0083" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0083) 10's or Better (set 1)" devices ())
(name "pepp0083a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0083) 10's or Better (set 2)" devices ())
(name "pepp0085" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0085) Joker Poker (Two Pair or Better)" devices ())
(name "pepp0089" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0089) Standard Draw Poker" devices ())
(name "pepp0094" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0094) Standard Draw Poker (set 1)" devices ())
(name "pepp0094a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0094) Standard Draw Poker (set 2)" devices ())
(name "pepp0103" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0103) Deuces Wild Poker (set 1)" devices ())
(name "pepp0103a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0103) Deuces Wild Poker (set 2)" devices ())
(name "pepp0103b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0103) Deuces Wild Poker (set 3)" devices ())
(name "pepp0103c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0103) Deuces Wild Poker (set 4)" devices ())
(name "pepp0104" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0104) Standard Draw Poker (set 1)" devices ())
(name "pepp0104a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0104) Standard Draw Poker (set 2, Fitzgeralds)" devices ())
(name "pepp0116" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0116) Standard Draw Poker" devices ())
(name "pepp0116a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0116) Standard Draw Poker (Mirage)" devices ())
(name "pepp0117" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0117) Standard Draw Poker" devices ())
(name "pepp0118" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0118) Standard Draw Poker" devices ())
(name "pepp0120" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0120) Wild Sevens Poker" devices ())
(name "pepp0122" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0122) Deuces Wild Poker" devices ())
(name "pepp0125" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0125) Deuces Wild Poker (set 1)" devices ())
(name "pepp0125a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0125) Deuces Wild Poker (set 2)" devices ())
(name "pepp0126" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0126) Deuces Wild Poker (set 1)" devices ())
(name "pepp0126a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0126) Deuces Wild Poker (set 2)" devices ())
(name "pepp0126b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0126) Deuces Wild Poker (set 3)" devices ())
(name "pepp0127" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0127) Deuces Joker Wild Poker (set 1)" devices ())
(name "pepp0127a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0127) Deuces Joker Wild Poker (set 2)" devices ())
(name "pepp0127b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0127) Deuces Joker Wild Poker (International)" devices ())
(name "pepp0129" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0129) Joker Poker (Two Pair or Better)" devices ())
(name "pepp0130" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0130) Aces and Faces Bonus Poker" devices ())
(name "pepp0132" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0132) Standard Draw Poker" devices ())
(name "pepp0143" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0143) Deuces Joker Wild Poker" devices ())
(name "pepp0150" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0150) Standard Draw Poker" devices ())
(name "pepp0158" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0158) 4 of a Kind Bonus Poker (set 1)" devices ())
(name "pepp0158a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0158) 4 of a Kind Bonus Poker (set 2, Skyline Casino)" devices ())
(name "pepp0158b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0158) 4 of a Kind Bonus Poker (set 3)" devices ())
(name "pepp0158c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0158) 4 of a Kind Bonus Poker (set 4)" devices ())
(name "pepp0158d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0158) 4 of a Kind Bonus Poker (set 5)" devices ())
(name "pepp0159" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0159) Standard Draw Poker (International)" devices ())
(name "pepp0171" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0171) Joker Poker" devices ())
(name "pepp0171a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0171) Joker Poker (International)" devices ())
(name "pepp0178" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0178) 4 of a Kind Bonus Poker (Operator selectable special 4 of a Kind)" devices ())
(name "pepp0181" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0181) Standard Draw Poker" devices ())
(name "pepp0188" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0188) Standard Draw Poker (set 1)" devices ())
(name "pepp0188a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0188) Standard Draw Poker (set 2)" devices ())
(name "pepp0188b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0188) Standard Draw Poker (set 3)" devices ())
(name "pepp0189" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0189) Standard Draw Poker" devices ())
(name "pepp0190" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0190) Deuces Wild Poker (set 1)" devices ())
(name "pepp0190a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0190) Deuces Wild Poker (set 2)" devices ())
(name "pepp0190b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0190) Deuces Wild Poker (set 3)" devices ())
(name "pepp0190c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0190) Deuces Wild Poker (International)" devices ())
(name "pepp0195" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0195) 4 of a Kind Bonus Poker" devices ())
(name "pepp0197" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (set 1)" devices ())
(name "pepp0197a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (set 2)" devices ())
(name "pepp0197b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (set 3)" devices ())
(name "pepp0197c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (set 4)" devices ())
(name "pepp0197d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (set 5)" devices ())
(name "pepp0197e" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0197) Standard Draw Poker (Cruise)" devices ())
(name "pepp0203" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (set 1)" devices ())
(name "pepp0203a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (set 2)" devices ())
(name "pepp0203b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (set 3)" devices ())
(name "pepp0203c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (set 4)" devices ())
(name "pepp0203d" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (International)" devices ())
(name "pepp0203e" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0203) 4 of a Kind Bonus Poker (set 5)" devices ())
(name "pepp0218" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0218) 4 of a Kind Bonus Poker" devices ())
(name "pepp0219" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0219) Standard Draw Poker" devices ())
(name "pepp0221" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0221) Standard Draw Poker (set 1)" devices ())
(name "pepp0221a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0221) Standard Draw Poker (set 2)" devices ())
(name "pepp0221b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0221) Standard Draw Poker (set 3)" devices ())
(name "pepp0223" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0223) Deuces Joker Wild Poker" devices ())
(name "pepp0224" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0224) Deuces Wild Poker (set 1)" devices ())
(name "pepp0224a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0224) Deuces Wild Poker (set 2)" devices ())
(name "pepp0230" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0230) Standard Draw Poker" devices ())
(name "pepp0232" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0232) Patriot Poker" devices ())
(name "pepp0242" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0242) Deuces Wild Poker (International English/Spanish)" devices ())
(name "pepp0249" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0249) Deuces Wild Poker" devices ())
(name "pepp0250" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0250) Double Down Stud Poker (set 1)" devices ())
(name "pepp0250a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0250) Double Down Stud Poker (set 2)" devices ())
(name "pepp0265" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0265) 4 of a Kind Bonus Poker (set 1)" devices ())
(name "pepp0265a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0265) 4 of a Kind Bonus Poker (set 2)" devices ())
(name "pepp0265b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0265) 4 of a Kind Bonus Poker (set 3)" devices ())
(name "pepp0265c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0265) 4 of a Kind Bonus Poker (International)" devices ())
(name "pepp0274" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0274) Standard Draw Poker" devices ())
(name "pepp0288" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0288) Standard Draw Poker (Spanish)" devices ())
(name "pepp0290" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0290) Deuces Wild Poker (set 1)" devices ())
(name "pepp0290a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0290) Deuces Wild Poker (set 2)" devices ())
(name "pepp0291" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0291) Deuces Wild Poker (set 1)" devices ())
(name "pepp0291a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0291) Deuces Wild Poker (set 2)" devices ())
(name "pepp0294" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0294) Aces and Faces Bonus Joker Poker" devices ())
(name "pepp0295" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0295) Super Deuces Wild Poker" devices ())
(name "pepp0401" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0401) 4 of a Kind Bonus Poker" devices ())
(name "pepp0409" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0409) 4 of a Kind Bonus Poker" devices ())
(name "pepp0410" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0410) 4 of a Kind Bonus Poker (set 1)" devices ())
(name "pepp0410a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0410) 4 of a Kind Bonus Poker (set 2)" devices ())
(name "pepp0417" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0417) Deuces Wild Poker (set 1)" devices ())
(name "pepp0417a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0417) Deuces Wild Poker (set 2)" devices ())
(name "pepp0418" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0418) Deuces Wild Poker (set 1)" devices ())
(name "pepp0418a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0418) Deuces Wild Poker (set 2)" devices ())
(name "pepp0419" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0419) Standard Draw Poker (set 1)" devices ())
(name "pepp0419a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0419) Standard Draw Poker (Old Chicago Casino)" devices ())
(name "pepp0419b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0419) Standard Draw Poker (set 2)" devices ())
(name "pepp0420" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0420) Standard Draw Poker (set 1)" devices ())
(name "pepp0420a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0420) Standard Draw Poker (set 2)" devices ())
(name "pepp0423" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0423) Standard Draw Poker (set 1)" devices ())
(name "pepp0423a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0423) Standard Draw Poker (set 2)" devices ())
(name "pepp0423b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0423) Standard Draw Poker (set 3)" devices ())
(name "pepp0423c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0423) Standard Draw Poker (set 4)" devices ())
(name "pepp0425" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0425) Joker Poker" devices ())
(name "pepp0426" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0426) Joker Poker" devices ())
(name "pepp0428" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0428) Joker Poker" devices ())
(name "pepp0429" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0429) Joker Poker (Aces or Better, set 1)" devices ())
(name "pepp0429a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0429) Joker Poker (Aces or Better, set 2)" devices ())
(name "pepp0430" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0430) Deuces Joker Wild Poker (set 1)" devices ())
(name "pepp0430a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0430) Deuces Joker Wild Poker (set 2)" devices ())
(name "pepp0431" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0431) Deuces Joker Wild Poker (International)" devices ())
(name "pepp0434" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0434) Bonus Poker Deluxe (set 1)" devices ())
(name "pepp0434a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0434) Bonus Poker Deluxe (set 2)" devices ())
(name "pepp0445" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0445) Aces and Faces Bonus Joker Poker" devices ())
(name "pepp0447" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0447) Standard Draw Poker (set 1)" devices ())
(name "pepp0447a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0447) Standard Draw Poker (set 2)" devices ())
(name "pepp0447b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0447) Standard Draw Poker (set 3)" devices ())
(name "pepp0449" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0449) Standard Draw Poker" devices ())
(name "pepp0449a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0449) Standard Draw Poker (International English/Spanish)" devices ())
(name "pepp0450" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0450) Loose Deuce Deuces Wild! Poker" devices ())
(name "pepp0451" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0451) Bonus Poker Deluxe" devices ())
(name "pepp0452" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0452) Double Deuces Wild Poker (set 1)" devices ())
(name "pepp0452a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0452) Double Deuces Wild Poker (set 2)" devices ())
(name "pepp0453" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0453) Joker Poker" devices ())
(name "pepp0454" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0454) Bonus Poker Deluxe (set 1)" devices ())
(name "pepp0454a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0454) Bonus Poker Deluxe (set 2)" devices ())
(name "pepp0455" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0455) Joker Poker" devices ())
(name "pepp0458" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0458) Joker Poker (Aces or Better)" devices ())
(name "pepp0459" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0459) Joker Poker (set 1)" devices ())
(name "pepp0459a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0459) Joker Poker (set 2)" devices ())
(name "pepp0467" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0467) 4 of a Kind Bonus Poker" devices ())
(name "pepp0469" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0469) Deuces Wild Poker" devices ())
(name "pepp0472" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0472) Deuces Wild Poker" devices ())
(name "pepp0488" year "1985" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0488) Standard Draw Poker (Arizona Charlie's)" devices ())
(name "pepp0508" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0508) Loose Deuce Deuces Wild! Poker (set 1)" devices ())
(name "pepp0508a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0508) Loose Deuce Deuces Wild! Poker (set 2)" devices ())
(name "pepp0509" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0509) Standard Draw Poker" devices ())
(name "pepp0510" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0510) Standard Draw Poker" devices ())
(name "pepp0514" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0514) Double Bonus Poker (set 1)" devices ())
(name "pepp0514a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0514) Double Bonus Poker (set 2)" devices ())
(name "pepp0514b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0514) Double Bonus Poker (set 3)" devices ())
(name "pepp0515" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0515) Double Bonus Poker (set 1)" devices ())
(name "pepp0515a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0515) Double Bonus Poker (set 2)" devices ())
(name "pepp0515b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0515) Double Bonus Poker (set 3)" devices ())
(name "pepp0515c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0515) Double Bonus Poker (set 4)" devices ())
(name "pepp0516" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0516) Double Bonus Poker (set 1)" devices ())
(name "pepp0516a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0516) Double Bonus Poker (set 2)" devices ())
(name "pepp0516b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0516) Double Bonus Poker (set 3)" devices ())
(name "pepp0516c" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0516) Double Bonus Poker (International)" devices ())
(name "pepp0526" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0526) Deuces Wild Poker" devices ())
(name "pepp0531" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0531) Joker Poker" devices ())
(name "pepp0536" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0536) Joker Poker" devices ())
(name "pepp0538" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0538) Double Bonus Poker" devices ())
(name "pepp0540" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0540) Double Bonus Poker (set 1)" devices ())
(name "pepp0540a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0540) Double Bonus Poker (set 2)" devices ())
(name "pepp0542" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0542) One Eyed Jacks Wild Poker (CG2243)" devices ())
(name "pepp0542a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0542) One Eyed Jacks Wild Poker (CG2020)" devices ())
(name "pepp0542b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0542) One Eyed Jacks Wild Poker (CG1199)" devices ())
(name "pepp0550" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0550) Joker Poker (Two Pair or Better, set 1)" devices ())
(name "pepp0550a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0550) Joker Poker (Two Pair or Better, set 2)" devices ())
(name "pepp0550b" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0550) Joker Poker (Two Pair or Better, set 3)" devices ())
(name "pepp0555" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0555) Standard Draw Poker" devices ())
(name "pepp0559" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0559) Joker Poker (Aces or Better)" devices ())
(name "pepp0562" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0562) 10's or Better" devices ())
(name "pepp0568" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0568) Joker Poker" devices ())
(name "pepp0585" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0585) Standard Draw Poker" devices ())
(name "pepp0587" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0587) Standard Draw Poker" devices ())
(name "pepp0596" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0596) Spades Sequential Royal Double Bonus Poker" devices ())
(name "pepp0598" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0598) Hearts Sequential Royal Double Bonus Poker" devices ())
(name "pepp0711" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0711) Bonus Poker Deluxe" devices ())
(name "pepp0713" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0713) Bonus Poker Deluxe" devices ())
(name "pepp0725" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0725) Double Bonus Poker (set 1)" devices ())
(name "pepp0725a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0725) Double Bonus Poker (set 2)" devices ())
(name "pepp0726" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0726) Double Bonus Poker" devices ())
(name "pepp0728" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0728) Double Bonus Poker" devices ())
(name "pepp0729" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0729) Double Bonus Poker" devices ())
(name "pepp0733" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0733) Double Aces and Faces Bonus Poker" devices ())
(name "pepp0750" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0750) Standard Draw Poker (set 1)" devices ())
(name "pepp0750a" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0750) Standard Draw Poker (set 2)" devices ())
(name "pepp0757" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0757) Double Down Stud Joker Poker" devices ())
(name "pepp0760" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0760) Double Down Stud Poker" devices ())
(name "pepp0763" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0763) 4 of a Kind Bonus Poker" devices ())
(name "pepp0764" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0764) 4 of a Kind Bonus Poker" devices ())
(name "pepp0775" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0775) Royal Deuces Poker??" devices ())
(name "pepp0777" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0777) Royal Deuces Poker??" devices ())
(name "pepp0797" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0797) One Eyed Jacks Wild Poker" devices ())
(name "pepp0812" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0812) Deuces Joker Wild Poker" devices ())
(name "pepp0816" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PP0816) Treasure Chest Poker" devices ())
(name "pepper2" year "1982" manufacturer "Exidy" desc "Pepper II (version 8)" devices ())
(name "pepper27" year "1982" manufacturer "Exidy" desc "Pepper II (version 7)" devices ())
(name "peps0014" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0014) Super Joker Slots" devices ())
(name "peps0015" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0015) Super Joker Slots" devices ())
(name "peps0021" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0021) Red White & Blue Slots" devices ())
(name "peps0022" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0022) Red White & Blue Slots" devices ())
(name "peps0040" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0040) Jackpot Jungle Slots" devices ())
(name "peps0041" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0041) Jackpot Jungle Slots" devices ())
(name "peps0042" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0042) Double Diamond Slots" devices ())
(name "peps0043" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0043) Double Diamond Slots" devices ())
(name "peps0044" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0044) Red White & Blue Slots" devices ())
(name "peps0045" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0045) Red White & Blue Slots" devices ())
(name "peps0047" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0047) Wild Cherry Slots" devices ())
(name "peps0048" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0048) Double Jackpot Slots" devices ())
(name "peps0070" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0070) Hurricane Slots" devices ())
(name "peps0086" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0086) Earth Quake Slots" devices ())
(name "peps0090" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0090) Gold, Silver & Bronze Slots" devices ())
(name "peps0092" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0092) Wild Cherry Slots" devices ())
(name "peps0205" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0205) Red White & Blue Slots" devices ())
(name "peps0206" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0206) Red White & Blue Slots" devices ())
(name "peps0207" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0207) Red White & Blue Slots" devices ())
(name "peps0239" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0239) Jackpot Jewels Slots" devices ())
(name "peps0267" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0267) Spin Til You Win Slots" devices ())
(name "peps0271" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0271) Spin Til You Win Slots" devices ())
(name "peps0275" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0275) 4th of July Slots (set 1)" devices ())
(name "peps0275a" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0275) 4th of July Slots (set 2)" devices ())
(name "peps0280" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0280) 4th of July Slots (set 1)" devices ())
(name "peps0280a" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0280) 4th of July Slots (set 2)" devices ())
(name "peps0291" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0291) Haywire Slots" devices ())
(name "peps0296" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0296) Haywire Slots" devices ())
(name "peps0298" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0298) Double Diamond Slots" devices ())
(name "peps0308" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0308) Double Jackpot Slots" devices ())
(name "peps0358" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0358) Wild Star Red White & Blue Slots" devices ())
(name "peps0364" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0364) Wild Star Red White & Blue Slots" devices ())
(name "peps0366" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0366) Double Diamond Deluxe Slots" devices ())
(name "peps0372" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0372) Double Diamond Deluxe Slots" devices ())
(name "peps0373" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0373) Double Diamond Deluxe Slots" devices ())
(name "peps0425" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0425) Sizzling Sevens Slots" devices ())
(name "peps0426" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0426) Sizzling Sevens Slots" devices ())
(name "peps0470" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0470) Triple Diamond Slots" devices ())
(name "peps0581" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0581) Red White & Blue Slots" devices ())
(name "peps0615" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0615) Chaos Slots" devices ())
(name "peps0623" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0623) Black Cherry Slots" devices ())
(name "peps0628" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0628) Double Black Jack Slots" devices ())
(name "peps0629" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0629) Double Hot Peppers Slots" devices ())
(name "peps0631" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0631) Wild Star Red White & Blue Slots" devices ())
(name "peps0708" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0708) Double Cherry Bar Slots" devices ())
(name "peps0716" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0716) River Gambler Slots" devices ())
(name "peps0722" year "1996" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (PS0722) River Gambler Slots" devices ())
(name "pepsiman" year "1997" manufacturer "Sigma" desc "PEPSI Man" devices ())
(name "percuss" year "1981" manufacturer "Orca" desc "The Percussor" devices ())
(name "perestro" year "1994" manufacturer "Promat" desc "Perestroika Girls" devices ())
(name "perestrof" year "1993" manufacturer "Promat (Fuuki license)" desc "Perestroika Girls (Fuuki license)" devices ())
(name "perfect" year "2000" manufacturer "WMS" desc "Perfect Game (Russian)" devices ())
(name "perfect1" year "1986" manufacturer "Bawareth" desc "Perfect MSX1 (MSX1, Middle East)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "perfrman" year "1985" manufacturer "Toaplan / Data East Corporation" desc "Performan (Japan)" devices ())
(name "perfrmanu" year "1985" manufacturer "Toaplan / Data East USA" desc "Performan (US)" devices ())
(name "perlacrb" year "2008" manufacturer "Unidesa/Cirsa" desc "La Perla del Caribe (V1.0, Catalonia)" devices ())
(name "perq" year "1979" manufacturer "Three Rivers Company Corporation" desc "PERQ 1A" devices ())
(name "pes" year "1987" manufacturer "Pacific Educational Systems" desc "VPU-01 Speech box" devices ())
(name "pesadelo" year "1989" manufacturer "bootleg (Forte II Games)" desc "Pesadelo (bootleg of Konami Knightmare)" devices ())
(name "peset001" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET001) Set Chip" devices ())
(name "peset004" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET004) Set Chip" devices ())
(name "peset012" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET012) Set Chip" devices ())
(name "peset022" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET022) Set Chip" devices ())
(name "peset033" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET033) Set Chip" devices ())
(name "peset038" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET038) Set Chip" devices ())
(name "peset100" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET100) Set Chip" devices ())
(name "peset117" year "1987" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (SET117) Set Chip" devices ())
(name "pesta" year "2002" manufacturer "Konami" desc "Pro Evolution Soccer The Arcade (ver EAA)" devices ())
(name "pestplce" year "1983" manufacturer "bootleg" desc "Pest Place" devices ())
(name "pet2001" year "1977" manufacturer "Commodore Business Machines" desc "PET 2001-4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "pet20018" year "1977" manufacturer "Commodore Business Machines" desc "PET 2001-8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "pet2001b" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-B8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet2001b16" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-B16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet2001b32" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-B32" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet2001n" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-N8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet2001n16" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-N16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet2001n32" year "1979" manufacturer "Commodore Business Machines" desc "PET 2001-N32" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "pet4016" year "1980" manufacturer "Commodore Business Machines" desc "PET 4016" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pet4032" year "1980" manufacturer "Commodore Business Machines" desc "PET 4032" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pet4032b" year "1980" manufacturer "Commodore Business Machines" desc "PET 4032B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pet4032f" year "1980" manufacturer "Commodore Business Machines" desc "PET 4032 (Fat 40)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "pet64" year "1983" manufacturer "Commodore Business Machines" desc "PET 64 / CBM 4064 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "pet8032" year "1980" manufacturer "Commodore Business Machines" desc "PET 8032" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "petaco" year "1984" manufacturer "Juegos Populares" desc "Petaco" devices ())
(name "petaco2" year "1985" manufacturer "Juegos Populares" desc "Petaco 2" devices ())
(name "petacon" year "1985" manufacturer "Juegos Populares" desc "Petaco (new hardware, set 1)" devices ())
(name "petacona" year "1985" manufacturer "Juegos Populares" desc "Petaco (new hardware, set 2)" devices ())
(name "peterpak" year "1984" manufacturer "Atari Games" desc "Peter Pack Rat" devices ())
(name "petshop" year "1998" manufacturer "Aristocrat" desc "Pet Shop (0100731V, NSW/ACT)" devices ())
(name "petshopa" year "1998" manufacturer "Aristocrat" desc "Pet Shop (0100679V, NSW/ACT)" devices ())
(name "pettanp" year "1984" manufacturer "Sun Electronics" desc "Pettan Pyuu (Japan)" devices ())
(name "pex0002p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000002P+XP000038) Standard Draw Poker" devices ())
(name "pex0002pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000002P+XP000006) Standard Draw Poker" devices ())
(name "pex0006k" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000006K+XK000001) Keno" devices ())
(name "pex0006p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000006P+XP000038) Standard Draw Poker" devices ())
(name "pex0013k" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000013K+XK000011) Keno" devices ())
(name "pex0013ka" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000013K+XK000012) Keno" devices ())
(name "pex0014p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000014P+XP000055) Standard Draw Poker" devices ())
(name "pex0040p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000040P+XP000038) Standard Draw Poker" devices ())
(name "pex0042p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000042P+XP000038) 10's or Better" devices ())
(name "pex0045p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000045P+XP000038) 10's or Better" devices ())
(name "pex0046p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000046P+XP000038) 10's or Better" devices ())
(name "pex0053p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000053P+XP000038) Joker Poker (Aces or Better)" devices ())
(name "pex0054p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000054P+XP000038) Deuces Wild Poker" devices ())
(name "pex0055p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000019) Deuces Wild Poker" devices ())
(name "pex0055pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000022) Deuces Wild Poker" devices ())
(name "pex0055pb" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000023) Deuces Wild Poker" devices ())
(name "pex0055pc" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000028) Deuces Wild Poker" devices ())
(name "pex0055pd" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000035) Deuces Wild Poker" devices ())
(name "pex0055pe" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000038) Deuces Wild Poker" devices ())
(name "pex0055pf" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000040) Deuces Wild Poker" devices ())
(name "pex0055pg" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000048) Deuces Wild Poker" devices ())
(name "pex0055ph" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000055) Deuces Wild Poker" devices ())
(name "pex0055pi" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000063) Deuces Wild Poker" devices ())
(name "pex0055pj" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000075) Deuces Wild Poker" devices ())
(name "pex0055pk" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000079) Deuces Wild Poker" devices ())
(name "pex0055pl" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000094) Deuces Wild Poker" devices ())
(name "pex0055pm" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000095) Deuces Wild Poker" devices ())
(name "pex0055pn" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000098) Deuces Wild Poker" devices ())
(name "pex0055po" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000102) Deuces Wild Poker" devices ())
(name "pex0055pp" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000104) Deuces Wild Poker" devices ())
(name "pex0055pq" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000109) Deuces Wild Poker" devices ())
(name "pex0055pr" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000126) Deuces Wild Poker" devices ())
(name "pex0055ps" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000132) Deuces Wild Poker" devices ())
(name "pex0055pt" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000055P+XP000137) Deuces Wild Poker" devices ())
(name "pex0057p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker" devices ())
(name "pex0057pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (The Orleans)" devices ())
(name "pex0057pb" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (The Fun Ships)" devices ())
(name "pex0057pc" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (Horseshoe)" devices ())
(name "pex0057pd" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (The Wild Wild West Casino)" devices ())
(name "pex0057pe" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (Sunset Station Hotel-Casino)" devices ())
(name "pex0057pf" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (Stratosphere Players Club)" devices ())
(name "pex0057pg" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000057P+XP000038) Deuces Wild Poker (MGM Grand Casino)" devices ())
(name "pex0060p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000060P+XP000038) Standard Draw Poker" devices ())
(name "pex0124p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000124P+XP000038) Deuces Wild Poker" devices ())
(name "pex0127p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000127P+XP000038) Deuces Wild Poker" devices ())
(name "pex0150p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000150P+XP000038) Standard Draw Poker" devices ())
(name "pex0158p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000158P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0171p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000171P+XP000038) Joker Poker" devices ())
(name "pex0188p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000188P+XP000038) Standard Draw Poker" devices ())
(name "pex0190p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000190P+XP000038) Deuces Wild Poker" devices ())
(name "pex0197p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000197P+XP000038) Standard Draw Poker" devices ())
(name "pex0203p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000203P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0224p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000224P+XP000038) Deuces Wild Poker" devices ())
(name "pex0225p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000225P+XP000079) Deuces Joker Wild Poker" devices ())
(name "pex0242p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000242P+XP000038) Deuces Wild Poker" devices ())
(name "pex0265p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000265P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0291p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000291P+XP000038) Deuces Wild Poker" devices ())
(name "pex0403p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000403P+XP000013) 4 of a Kind Bonus Poker" devices ())
(name "pex0417p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000417P+XP000038) Deuces Wild Poker" devices ())
(name "pex0426p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000426P+XP000038) Joker Poker" devices ())
(name "pex0430p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000430P+XP000079) Deuces Joker Wild Poker" devices ())
(name "pex0434p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000434P+XP000038) Bonus Poker Deluxe" devices ())
(name "pex0444p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000444P+XP000038) Standard Draw Poker" devices ())
(name "pex0447p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000447P+XP000038) Standard Draw Poker" devices ())
(name "pex0449p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000449P+XP000038) Standard Draw Poker" devices ())
(name "pex0451p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000451P+XP000038) Bonus Poker Deluxe" devices ())
(name "pex0452p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000452P+XP000038) Double Deuces Wild Poker" devices ())
(name "pex0454p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000454P+XP000038) Bonus Poker Deluxe" devices ())
(name "pex0455p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000455P+XP000038) Joker Poker" devices ())
(name "pex0458p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000458P+XP000038) Joker Poker (Aces or Better)" devices ())
(name "pex0459p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000459P+XP000038) Joker Poker" devices ())
(name "pex0459pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000459P+XP000155) Joker Poker" devices ())
(name "pex0489p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000489P+XP000038) Double Down Stud Deuces Wild Poker" devices ())
(name "pex0508p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000508P+XP000038) Loose Deuce Deuces Wild! Poker" devices ())
(name "pex0514p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000514P+XP000038) Double Bonus Poker" devices ())
(name "pex0515p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000515P+XP000038) Double Bonus Poker" devices ())
(name "pex0516p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000516P+XP000038) Double Bonus Poker" devices ())
(name "pex0536p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000536P+XP000038) Joker Poker" devices ())
(name "pex0537p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000537P+XP000038) Standard Draw Poker" devices ())
(name "pex0550p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000550P+XP000119) Joker Poker (Two Pair or Better)" devices ())
(name "pex0556p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000556P+XP000038) Deuces Joker Wild Poker" devices ())
(name "pex0557p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000557P+XP000119) Standard Draw Poker" devices ())
(name "pex0568p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000568P+XP000038) Joker Poker" devices ())
(name "pex0578p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000578P+XP000038) Standard Draw Poker" devices ())
(name "pex0581p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000581P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0588p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000588P+XP000038) Joker Poker" devices ())
(name "pex0725p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000725P+XP000038) Double Bonus Poker" devices ())
(name "pex0726p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000726P+XP000038) Double Bonus Poker" devices ())
(name "pex0727p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000727P+XP000038) Double Bonus Poker" devices ())
(name "pex0763p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000763P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0764p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000764P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex0827s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000827S+XS000002) Red, White & Blue Slots" devices ())
(name "pex0838s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000838S+XS000002) Five Times Pay Slots" devices ())
(name "pex0841s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000841S+XS000002) Five Times Pay Slots" devices ())
(name "pex0846s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000846S+XS000006) Wild Star Red White & Blue Slots" devices ())
(name "pex0998s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X000998S+XS000006) Triple Triple Diamond Slots" devices ())
(name "pex1087s" year "1997" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X001087S+XS000006) Double Double Diamond Slots" devices ())
(name "pex2002p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002002P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2004p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002004P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2010p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002010P+XP000038) Nevada Bonus Poker" devices ())
(name "pex2016p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002016P+XP000038) Full House Bonus Poker" devices ())
(name "pex2017p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002017P+XP000038) Full House Bonus Poker" devices ())
(name "pex2018p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002018P+XP000038) Full House Bonus Poker" devices ())
(name "pex2021p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002021P+XP000038) Lucky Deal Poker" devices ())
(name "pex2024p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002024P+XP000119) Double Bonus Poker" devices ())
(name "pex2025p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002025P+XP000019) Deuces Wild Bonus Poker" devices ())
(name "pex2026p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002026P+XP000019) Deuces Wild Bonus Poker" devices ())
(name "pex2027p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002027P+XP000019) Deuces Wild Bonus Poker" devices ())
(name "pex2028p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002028P+XP000019) Deuces Wild Bonus Poker" devices ())
(name "pex2029p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002029P+XP000019) Deuces Wild Bonus Poker" devices ())
(name "pex2031p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002031P+XP000038) Lucky Deal Poker" devices ())
(name "pex2033p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002033P+XP000038) White Hot Aces Poker" devices ())
(name "pex2034p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002034P+XP000038) White Hot Aces Poker" devices ())
(name "pex2035p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002035P+XP000038) White Hot Aces Poker" devices ())
(name "pex2036p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002036P+XP000038) White Hot Aces Poker" devices ())
(name "pex2037p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002037P+XP000038) Nevada Bonus Poker" devices ())
(name "pex2038p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002038P+XP000038) Nevada Bonus Poker" devices ())
(name "pex2039p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002039P+XP000038) Nevada Bonus Poker" devices ())
(name "pex2040p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002040P+XP000038) Nevada Bonus Poker" devices ())
(name "pex2042p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002042P+XP000038) Triple Bonus Poker" devices ())
(name "pex2043p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002043P+XP000038) Triple Bonus Poker" devices ())
(name "pex2044p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002044P+XP000038) Triple Bonus Poker" devices ())
(name "pex2045p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002045P+XP000038) Triple Bonus Poker" devices ())
(name "pex2046p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002046P+XP000038) Ace$ Bonus Poker" devices ())
(name "pex2066p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002066P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2067p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002067P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2068p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002068P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2069p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002069P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2070p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002070P+XP000038) Double Double Bonus Poker" devices ())
(name "pex2111p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002111P+XP000038) 4 of a Kind Bonus Poker (with Seq Royal Flush)" devices ())
(name "pex2121p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002121P+XP000038) Standard Draw Poker" devices ())
(name "pex2121pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002121P+XP000037) Standard Draw Poker" devices ())
(name "pex2127p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002127P+XP000043) Double Bonus Poker featuring 'Your Property' Royals" devices ())
(name "pex2134p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002134P+XP000043) Faces 'n' Deuces Double Bonus Poker" devices ())
(name "pex2143p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002143P+XP000043) Joker's Revenge Poker" devices ())
(name "pex2149p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002149P+XP000038) Triple Bonus Poker" devices ())
(name "pex2150p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002150P+XP000038) Triple Bonus Poker" devices ())
(name "pex2152p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002152P+XP000043) Blackjack Poker" devices ())
(name "pex2172p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002172P+XP000038) Ace$ Bonus Poker" devices ())
(name "pex2172pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002172P+XP000038) Ace$ Bonus Poker (The Fun Ships)" devices ())
(name "pex2173p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002173P+XP000038) Ace$ Bonus Poker" devices ())
(name "pex2178p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002178P+XP000119) Double Bonus Poker" devices ())
(name "pex2179p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002179P+XP000119) Double Bonus Poker" devices ())
(name "pex2180p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002180P+XP000119) Double Bonus Poker" devices ())
(name "pex2211p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002211P+XP000043) Double Double Bonus with 3 Jacks Poker" devices ())
(name "pex2236p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002236P+XP000043) Double Double Bonus with 3 Aces Poker" devices ())
(name "pex2240p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002240P+XP000038) Joker Poker (Two Pair or Better)" devices ())
(name "pex2241p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002241P+XP000079) 4 of a Kind Bonus Poker" devices ())
(name "pex2244p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002244P+XP000079) Double Bonus Poker" devices ())
(name "pex2245p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002245P+XP000055) Standard Draw Poker" devices ())
(name "pex2245pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002245P+XP000079) Standard Draw Poker" devices ())
(name "pex2247p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002247P+XP000038) Standard Draw Poker" devices ())
(name "pex2250p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002250P+XP000050) Shockwave Poker" devices ())
(name "pex2251p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002251P+XP000050) Shockwave Poker" devices ())
(name "pex2252p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002252P+XP000050) Shockwave Poker" devices ())
(name "pex2270p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002270P+XP000053) Jackpot Poker" devices ())
(name "pex2272p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002272P+XP000055) Black Jack Bonus Poker" devices ())
(name "pex2275p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002275P+XP000055) Black Jack Bonus Poker" devices ())
(name "pex2276p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002276P+XP000055) Black Jack Bonus Poker" devices ())
(name "pex2279p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002279P+XP000057) Ace$ Bonus" devices ())
(name "pex2283p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002283P+XP000057) Barbaric Decues Wild Poker" devices ())
(name "pex2284p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002284P+XP000057) Barbaric Decues Wild Poker" devices ())
(name "pex2287p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002287P+XP000057) No Faces Pay the Aces Poker" devices ())
(name "pex2297p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002297P+XP000053) Jackpot Poker" devices ())
(name "pex2297pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002297P+XP000112) Jackpot Poker" devices ())
(name "pex2302p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002302P+XP000038) Bonus Poker Deluxe" devices ())
(name "pex2303p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002303P+XP000038) White Hot Aces Poker" devices ())
(name "pex2306p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002306P+XP000038) Triple Double Bonus Poker" devices ())
(name "pex2307p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002307P+XP000038) Triple Double Bonus Poker" devices ())
(name "pex2308p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002308P+XP000038) Triple Double Bonus Poker" devices ())
(name "pex2309p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002309P+XP000038) Triple Double Bonus Poker" devices ())
(name "pex2310p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002310P+XP000038) Triple Double Bonus Poker" devices ())
(name "pex2312p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002312P+XP000038) Triple Bonus Poker Plus" devices ())
(name "pex2314p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002314P+XP000038) Triple Bonus Poker Plus" devices ())
(name "pex2315p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002315P+XP000038) Triple Bonus Poker Plus" devices ())
(name "pex2374p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002374P+XP000038) Super Aces Poker" devices ())
(name "pex2376p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002376P+XP000038) Super Double Bonus Poker" devices ())
(name "pex2377p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002377P+XP000038) Super Double Bonus Poker" devices ())
(name "pex2386p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002386P+XP000038) 4 of a Kind Bonus Poker" devices ())
(name "pex2412p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002412P+XP000096) Standard Draw with 5 decks (Two Pair or Better)" devices ())
(name "pex2419p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002419P+XP000064) Deuces Wild Bonus Poker - French" devices ())
(name "pex2420p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002420P+XP000064) Deuces Wild Bonus Poker - French" devices ())
(name "pex2421p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002421P+XP000064) Deuces Wild Bonus Poker - French" devices ())
(name "pex2440p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002440P+XP000053) Deuces Wild Poker" devices ())
(name "pex2461p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002461P+XP000055) Joker Poker (Two Pair or Better)" devices ())
(name "pex2474p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002474P+XP000038) Double Double Bonus Plus" devices ())
(name "pex2478p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002478P+XP000154) Joker Poker - French" devices ())
(name "pex2479p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002479P+XP000154) Joker Poker - French" devices ())
(name "pex2480p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002480P+XP000154) Joker Poker (Aces or Better) - French" devices ())
(name "pex2485p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (X002485P+XP000154) Standard Draw Poker - French" devices ())
(name "pexm001p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00001P+XMP00003) Multi-Poker" devices ())
(name "pexm002p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00002P+XMP00006) Multi-Poker" devices ())
(name "pexm002pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00002P+XMP00006) Multi-Poker (MGM Grand Detroit Casino)" devices ())
(name "pexm003p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00003P+XMP00024) Multi-Poker" devices ())
(name "pexm004p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00004P+XMP00002) Multi-Poker" devices ())
(name "pexm005p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00005P+XMP00004) Multi-Poker" devices ())
(name "pexm006p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00006P+XMP00020) Multi-Poker" devices ())
(name "pexm006pa" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00006P+XMP00002) Multi-Poker (The Orleans)" devices ())
(name "pexm007p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00007P+XMP00006) Multi-Poker" devices ())
(name "pexm008p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00008P+XMP00006) Multi-Poker" devices ())
(name "pexm009p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00009P+XMP00002) Multi-Poker" devices ())
(name "pexm013p" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XM00013P+XMP00025) Multi-Poker" devices ())
(name "pexmp011" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00011) 5-in-1 Wingboard (CG2298)" devices ())
(name "pexmp013" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00013) 5-in-1 Wingboard (CG2346) - Spanish" devices ())
(name "pexmp014" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00014) 5-in-1 Wingboard (CG2352) - International" devices ())
(name "pexmp017" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00017) 5-in-1 Wingboard (CG2298)" devices ())
(name "pexmp017a" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00017) 5-in-1 Wingboard (CG2426)" devices ())
(name "pexmp022" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00022) 5-in-1 Wingboard (CG2346) - Spanish" devices ())
(name "pexmp026" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00026) 5-in-1 Wingboard (CG2346) - Spanish" devices ())
(name "pexmp030" year "1995" manufacturer "IGT - International Game Technology" desc "Player's Edge Plus (XMP00030) 5-in-1 Wingboard (CG2451)" devices ())
(name "pf2012" year "1998" manufacturer "Taito" desc "Psychic Force 2012 (Ver 2.04J)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pfevr_l2" year "1984" manufacturer "Williams" desc "Pennant Fever (L-2)" devices ())
(name "pfevr_p3" year "1984" manufacturer "Williams" desc "Pennant Fever (P-3)" devices ())
(name "pfghtj" year "1997" manufacturer "Capcom" desc "Pocket Fighter (Japan 970904)" devices ())
(name "pg675" year "198?" manufacturer "Siemens" desc "Simatic PG675" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pg685" year "198?" manufacturer "Siemens" desc "Simatic PG685 OUA11" devices ((name "floppydisk" briefname "flop" )))
(name "pg685oua12" year "198?" manufacturer "Siemens" desc "Simatic PG685 OUA12" devices ((name "floppydisk" briefname "flop" )))
(name "pg750" year "199?" manufacturer "Siemens" desc "PG 750" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "pg750eisa" year "199?" manufacturer "Siemens" desc "PG-750 486 EISA" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pgalvip" year "1996" manufacturer "ACE International / Afega" desc "Pocket Gals V.I.P (set 1)" devices ())
(name "pgalvipa" year "1997" manufacturer "<unknown>" desc "Pocket Gals V.I.P (set 2)" devices ())
(name "pgear" year "1994" manufacturer "Capcom" desc "Powered Gear: Strategic Variant Armor Equipment (Japan 941024)" devices ())
(name "pgearr1" year "1994" manufacturer "Capcom" desc "Powered Gear: Strategic Variant Armor Equipment (Japan 940916)" devices ())
(name "pgm3in1" year "2004" manufacturer "IGS" desc "Shan Liang San He Yi (Flash 3-in-1) (V102 08/23/04 13:03:26)" devices ())
(name "pgm3in1c100" year "2004" manufacturer "IGS" desc "Shan Liang San He Yi (Flash 3-in-1) (V100 07/13/04 12:09:20)" devices ())
(name "pgoal" year "1996" manufacturer "Saurus" desc "Pleasure Goal / Futsal - 5 on 5 Mini Soccer (NGM-219)" devices ((name "memcard" briefname "memc" ) ()))
(name "pgs268" year "200?" manufacturer "<unknown>" desc "Portable Game Station 268-in-1" devices ())
(name "ph_04" year "1996" manufacturer "Williams" desc "Phantom Haus (0.4)" devices ())
(name "phantasm" year "1990" manufacturer "Jaleco" desc "Phantasm (Japan)" devices ())
(name "phantom" year "1980" manufacturer "bootleg (Proel)" desc "Phantom (bootleg of Spectar)" devices ())
(name "phantom2" year "1979" manufacturer "Midway" desc "Phantom II" devices ())
(name "phantoma" year "1980" manufacturer "bootleg (Jeutel)" desc "Phantomas (bootleg of Spectar)" devices ())
(name "phantomp" year "1998" manufacturer "Aristocrat" desc "Phantom Pays (4VXFC5431, New Zealand)" devices ())
(name "phantpay" year "1995" manufacturer "Aristocrat" desc "Phantom Pays (0500005V, NSW/ACT)" devices ())
(name "phantpyc" year "2000" manufacturer "Aristocrat" desc "Phantom Pays Classic (0101003V, NSW/ACT)" devices ())
(name "pharfor" year "2000" manufacturer "Aristocrat" desc "Pharaoh's Fortune (40000921, NSW/ACT)" devices ())
(name "pharo_l2" year "1981" manufacturer "Williams" desc "Pharaoh (L-2)" devices ())
(name "pharrier" year "2000" manufacturer "Sega" desc "Planet Harriers (Rev A)" devices ())
(name "phasor" year "2010" manufacturer "Linus Åkesson" desc "Phasor" devices ())
(name "phatt" year "1997" manufacturer "E-mu Systems" desc "Planet Phatt - The Swing System" devices ())
(name "phc2" year "1985" manufacturer "Olympia" desc "PHC-2 (MSX1, France)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc20" year "1982" manufacturer "Sanyo" desc "PHC-20" devices ((name "cassette" briefname "cass" )))
(name "phc23" year "1986" manufacturer "Sanyo" desc "PHC-23 / Wavy23 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc23jb" year "1987" manufacturer "Sanyo" desc "PHC-23JB / Wavy23 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc25" year "1983" manufacturer "Sanyo" desc "PHC-25 (Europe)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "phc25j" year "1983" manufacturer "Sanyo" desc "PHC-25 (Japan)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "phc28" year "1984" manufacturer "Olympia" desc "PHC-28 (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc28l" year "1985" manufacturer "Sanyo" desc "PHC-28L (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc28s" year "1984" manufacturer "Sanyo" desc "PHC-28S (MSX1, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc35j" year "1989" manufacturer "Sanyo" desc "PHC-35J / Wavy35 (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc55fd2" year "1988" manufacturer "Sanyo" desc "PHC-55FD2 / Wavy55FD2 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc64" year "1985" manufacturer "Hegener + Glaser" desc "Mephisto PHC 64 (Germany)" devices ((name "printout" briefname "prin" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" )))
(name "phc70fd" year "1988" manufacturer "Sanyo" desc "PHC-70FD / Wavy70FD (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc70fd2" year "1989" manufacturer "Sanyo" desc "PHC-70FD2 / Wavy70FD2 (MSX2+, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phc77" year "1987" manufacturer "Sanyo" desc "PHC-77 / Wavy77 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "floppydisk" briefname "flop" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "phelios" year "1988" manufacturer "Namco" desc "Phelios" devices ())
(name "pheliosj" year "1988" manufacturer "Namco" desc "Phelios (Japan)" devices ())
(name "phklad" year "19??" manufacturer "<unknown>" desc "Klad / Labyrinth (Photon System)" devices ())
(name "phnix_l1" year "1978" manufacturer "Williams" desc "Phoenix (L-1)" devices ())
(name "phntmshp" year "1987" manufacturer "Playmatic" desc "Phantom Ship" devices ())
(name "phoenix" year "1980" manufacturer "Amstar" desc "Phoenix (Amstar, set 1)" devices ())
(name "phoenix2" year "1980" manufacturer "Amstar" desc "Phoenix (Amstar, set 2)" devices ())
(name "phoenix3" year "1980" manufacturer "bootleg (T.P.N.)" desc "Phoenix (T.P.N. bootleg)" devices ())
(name "phoenixa" year "1980" manufacturer "Amstar (Centuri license)" desc "Phoenix (Centuri, set 1)" devices ())
(name "phoenixass" year "1981" manufacturer "bootleg (Assa)" desc "Phoenix (Assa, Spanish bootleg)" devices ())
(name "phoenixb" year "1980" manufacturer "Amstar (Centuri license)" desc "Phoenix (Centuri, set 2)" devices ())
(name "phoenixbl" year "1981" manufacturer "bootleg" desc "Phoenix (bootleg)" devices ())
(name "phoenixc" year "1981" manufacturer "bootleg? (Irecsa / G.G.I. Corporation)" desc "Phoenix (Irecsa / G.G.I. Corporation)" devices ())
(name "phoenixc2" year "1981" manufacturer "bootleg (G.G.I. Corporation)" desc "Phoenix (G.G.I. Corporation, set 1)" devices ())
(name "phoenixc3" year "1981" manufacturer "bootleg (G.G.I. Corporation)" desc "Phoenix (G.G.I. Corporation, set 2)" devices ())
(name "phoenixc4" year "1981" manufacturer "bootleg (G.G.I. Corporation)" desc "Phoenix (G.G.I. Corporation, set 3)" devices ())
(name "phoenixdal" year "1980" manufacturer "bootleg (D&L)" desc "Phoenix (D&L bootleg)" devices ())
(name "phoenixgu" year "1981" manufacturer "bootleg? (G. Universal Video)" desc "Phoenix (G. Universal Video bootleg)" devices ())
(name "phoenixha" year "1981" manufacturer "bootleg (Hellomat Automaten)" desc "Phoenix (Hellomat Automaten bootleg)" devices ())
(name "phoenixi" year "1981" manufacturer "bootleg (IDI)" desc "Phoenix (IDI bootleg)" devices ())
(name "phoenixj" year "1980" manufacturer "Amstar (Taito Japan license)" desc "Phoenix (Taito Japan)" devices ())
(name "phoenixs" year "1981" manufacturer "bootleg (Sonic)" desc "Phoenix (Sonic, Spanish bootleg)" devices ())
(name "phoenixt" year "1980" manufacturer "Amstar (Taito license)" desc "Phoenix (Taito)" devices ())
(name "phoenxp2" year "1981" manufacturer "bootleg" desc "Phoenix Part 2" devices ())
(name "photof" year "1991" manufacturer "Jaleco / Casio" desc "Photo Finish (bootleg?)" devices ())
(name "photoply2k" year "2000" manufacturer "Funworld" desc "Photo Play 2000 (v2.01)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2k1it" year "2001" manufacturer "Funworld" desc "Photo Play 2001 (Italy)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2k1mtnl" year "2001" manufacturer "Funworld" desc "Photo Play Masters 2001 (Netherlands)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2k1nl" year "2001" manufacturer "Funworld" desc "Photo Play 2001 (Netherlands)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2k1sp" year "2001" manufacturer "Funworld" desc "Photo Play 2001 (Spanish)" devices ())
(name "photoply2k2be" year "2002" manufacturer "Funworld" desc "Photo Play 2002 (Belgium)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2k4" year "2004" manufacturer "Funworld" desc "Photo Play 2004" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2knl" year "2000" manufacturer "Funworld" desc "Photo Play 2000 (Netherlands)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply2ksp" year "2000" manufacturer "Funworld" desc "Photo Play 2000 (Spain)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply98sp" year "1998" manufacturer "Funworld" desc "Photo Play 1998 (Spain)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply99nl" year "1999" manufacturer "Funworld" desc "Photo Play 1999 (Netherlands)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photoply99sp" year "1999" manufacturer "Funworld" desc "Photo Play 1999 (Spain)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "photopsxsp" year "2004" manufacturer "Funworld" desc "Photo Play Spirit Xtreme (Spanish)" devices ())
(name "photopsxusp" year "2004?" manufacturer "Funworld" desc "Photo Play Spirit Xtreme (update, Spanish)" devices ())
(name "photoy2k" year "1999" manufacturer "IGS" desc "Photo Y2K / Chaoji Bi Yi Bi / Dajia Lai Zhao Cha / Real and Fake (ver. 105)" devices ())
(name "photoy2k102j" year "1999" manufacturer "IGS" desc "Photo Y2K / Chaoji Bi Yi Bi / Dajia Lai Zhao Cha / Real and Fake (ver. 102, Japanese Board)" devices ())
(name "photoy2k103j" year "1999" manufacturer "IGS" desc "Photo Y2K / Chaoji Bi Yi Bi / Dajia Lai Zhao Cha / Real and Fake (ver. 103, Japanese Board)" devices ())
(name "photoy2k104" year "1999" manufacturer "IGS" desc "Photo Y2K / Chaoji Bi Yi Bi / Dajia Lai Zhao Cha / Real and Fake (ver. 104)" devices ())
(name "phozon" year "1983" manufacturer "Namco" desc "Phozon (Japan)" devices ())
(name "phozons" year "1983" manufacturer "Namco (Sidam license)" desc "Phozon (Sidam)" devices ())
(name "php3239" year "199?" manufacturer "Philips" desc "P3239" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "phpball" year "1980" manufacturer "Tomy" desc "Power House Pinball" devices ())
(name "phpython" year "1989?" manufacturer "<unknown>" desc "Python (Photon System)" devices ())
(name "phrcraze" year "1986" manufacturer "Merit" desc "Phraze Craze (6221-40, U5-3A, Expanded Questions)" devices ())
(name "phrcrazea" year "1986" manufacturer "Merit" desc "Phraze Craze (6221-40, U5-3, Expanded Questions)" devices ())
(name "phrcrazeb" year "1986" manufacturer "Merit" desc "Phraze Craze (6221-40, U5-0A)" devices ())
(name "phrcrazec" year "1986" manufacturer "Merit" desc "Phraze Craze (6221-40, U5-0)" devices ())
(name "phrcrazev" year "1986" manufacturer "Merit" desc "Phraze Craze (6221-45, U5-2, Vertical)" devices ())
(name "phtetris" year "19??" manufacturer "<unknown>" desc "Tetris (Photon System)" devices ())
(name "phunsy" year "1980" manufacturer "J.F.P. Philipse" desc "PHUNSY" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "phusion" year "2000" manufacturer "VTech" desc "Phusion" devices ())
(name "phxfant" year "2005" manufacturer "Aristocrat" desc "Phoenix Fantasy (20197511, NSW/ACT)" devices ())
(name "pi4d20" year "1988" manufacturer "Silicon Graphics" desc "Personal IRIS 4D/20" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pi4d25" year "1989" manufacturer "Silicon Graphics" desc "Personal IRIS 4D/25" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pi4d30" year "1991" manufacturer "Silicon Graphics" desc "Personal IRIS 4D/30" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pi4d35" year "1991" manufacturer "Silicon Graphics" desc "Personal IRIS 4D/35" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "pi4d50" year "1987" manufacturer "Silicon Graphics" desc "Professional IRIS 4D/50" devices ((name "harddisk" briefname "hard" )))
(name "pi4d70" year "1987" manufacturer "Silicon Graphics" desc "Professional IRIS 4D/70" devices ((name "harddisk" briefname "hard" )))
(name "pi_stry" year "200?" manufacturer "Publications International Ltd" desc "Story Reader" devices ((name "cartridge" briefname "cart" )))
(name "pi_stry2" year "200?" manufacturer "Publications International Ltd" desc "Story Reader 2.0" devices ((name "cartridge" briefname "cart" )))
(name "piccolop" year "1991" manufacturer "Admiral/Novomatic" desc "Piccolo Poker 100" devices ())
(name "pickin" year "1983" manufacturer "Valadon Automation" desc "Pickin'" devices ())
(name "pickwin" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.9E Dual)" devices ())
(name "pickwinb1" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.9R, set 1)" devices ())
(name "pickwinbt" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.8T, set 1)" devices ())
(name "pickwind1" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.9R, set 2)" devices ())
(name "pickwindt" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.8T, set 2)" devices ())
(name "pickwino" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.6)" devices ())
(name "pickwino2" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.5T)" devices ())
(name "pickwinv1" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.9R Dual)" devices ())
(name "pickwinvt" year "2001" manufacturer "Amcoe" desc "Pick 'n Win (Version 2.8T, Dual)" devices ())
(name "pickytlk" year "1997" manufacturer "Casio" desc "Super Picky Talk - Forest of Gurutan" devices ())
(name "picno" year "1993" manufacturer "Konami" desc "Picno" devices ((name "cartridge" briefname "cart" )))
(name "picno2" year "1993" manufacturer "Konami" desc "Picno 2" devices ((name "cartridge" briefname "cart" )))
(name "pico" year "1994" manufacturer "Sega" desc "Pico (Europe, PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "picoj" year "1993" manufacturer "Sega" desc "Pico (Japan, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "picou" year "1994" manufacturer "Sega" desc "Pico (USA, NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "piece2m" year "2001" manufacturer "Aquaplus" desc "P/ECE (2 MB Flash)" devices ())
(name "piece512k" year "2001" manufacturer "Aquaplus" desc "P/ECE (512 kB Flash)" devices ())
(name "piggypas" year "1992" manufacturer "Doyle & Assoc." desc "Piggy Pass (version 04.40)" devices ())
(name "pignewt" year "1983" manufacturer "Sega" desc "Pig Newton (version C)" devices ())
(name "pignewta" year "1983" manufacturer "Sega" desc "Pig Newton (version A)" devices ())
(name "pigout" year "1990" manufacturer "Leland Corporation" desc "Pig Out: Dine Like a Swine! (rev 2?)" devices ())
(name "pigouta" year "1990" manufacturer "Leland Corporation" desc "Pig Out: Dine Like a Swine! (rev 1)" devices ())
(name "pigskin" year "1990" manufacturer "Midway" desc "Pigskin 621AD (rev 1.1K 8/01/90)" devices ())
(name "pigskina" year "1990" manufacturer "Midway" desc "Pigskin 621AD (rev 2.0 7/06/90)" devices ())
(name "pigskinb" year "1990" manufacturer "Midway" desc "Pigskin 621AD (rev 1.1 6/05/90)" devices ())
(name "pikkaric" year "2000" manufacturer "Konami" desc "Pikkari Chance" devices ())
(name "pilot1k" year "1996" manufacturer "U.S. Robotics" desc "Pilot 1000" devices ())
(name "pilot5k" year "1996" manufacturer "U.S. Robotics" desc "Pilot 5000" devices ())
(name "pimbal" year "19??" manufacturer "Juegos Populares / Automáticos Montecarlo" desc "Pimbal (Pinball 3000)" devices ())
(name "pimps" year "197?" manufacturer "Henry Colford" desc "P.I.M.P.S." devices ())
(name "pinball" year "1977" manufacturer "Stern" desc "Pinball" devices ())
(name "pinbo" year "1984" manufacturer "Jaleco" desc "Pinbo (set 1)" devices ())
(name "pinboa" year "1984" manufacturer "Jaleco" desc "Pinbo (set 2)" devices ())
(name "pinbos" year "1985" manufacturer "bootleg (Strike)" desc "Pinbo (bootleg)" devices ())
(name "pinchamp" year "1983" manufacturer "Zaccaria" desc "Pinball Champ" devices ())
(name "pinchamp7" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (7 digits)" devices ())
(name "pinchamp7f" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (7 digits French speech)" devices ())
(name "pinchamp7g" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (7 digits German speech)" devices ())
(name "pinchamp7i" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (7 digits Italian speech)" devices ())
(name "pinchampf" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (French speech)" devices ())
(name "pinchampg" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (German speech)" devices ())
(name "pinchampi" year "1983" manufacturer "Zaccaria" desc "Pinball Champ (Italian speech)" devices ())
(name "pinclown" year "1988" manufacturer "Inder" desc "Clown (Inder)" devices ())
(name "pingpong" year "1985" manufacturer "Konami" desc "Konami's Ping-Pong" devices ())
(name "pingu" year "2006" manufacturer "Pygos Group / Capcom" desc "Pingu's Ice Block (Ver.1.00 2006/01/27)" devices ((name "harddisk" briefname "hard" )))
(name "pinguinos" year "1982" manufacturer "bootleg (Aincar)" desc "Pinguinos (Spanish bootleg on Pac-Man hardware)" devices ())
(name "pinkiri8" year "1994" manufacturer "Alta" desc "Pinkiri 8" devices ())
(name "pinkjelly" year "200?" manufacturer "VRT / Simmer Technology Co., Ltd." desc "VRT VT SDK 'Pink Jelly' (VT03 Demo)" devices ())
(name "pinkswts" year "2006" manufacturer "Cave (AMI license)" desc "Pink Sweets: Ibara Sorekara (2006/04/06 MASTER VER....)" devices ())
(name "pinkswtsa" year "2006" manufacturer "Cave (AMI license)" desc "Pink Sweets: Ibara Sorekara (2006/04/06 MASTER VER...)" devices ())
(name "pinkswtsb" year "2006" manufacturer "Cave (AMI license)" desc "Pink Sweets: Ibara Sorekara (2006/04/06 MASTER VER.)" devices ())
(name "pinkswtssc" year "2017" manufacturer "bootleg (Four Horsemen)" desc "Pink Sweets: Suicide Club (2017/10/31 SUICIDECLUB VER., bootleg)" devices ())
(name "pinkswtsx" year "2006" manufacturer "Cave (AMI license)" desc "Pink Sweets: Ibara Sorekara (2006/xx/xx MASTER VER.)" devices ())
(name "pinmoonl" year "1987" manufacturer "Inder" desc "Moon Light (Inder)" devices ())
(name "pinpool" year "1979" manufacturer "Gottlieb" desc "Pinball Pool" devices ())
(name "pinups" year "200?" manufacturer "Nazionale Elettronica" desc "Pin Ups (Ver 1.0 Rev A)" devices ())
(name "pioner" year "1993" manufacturer "<unknown>" desc "Pioner" devices ((name "cassette" briefname "cass" )))
(name "piopx7" year "1984" manufacturer "Pioneer" desc "PX-07 Palcom (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "piopx7uk" year "1985" manufacturer "Pioneer" desc "PX-07UK Palcom (MSX1, UK)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "piopxv60" year "1986" manufacturer "Pioneer" desc "PX-V60 (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pipbug" year "1979" manufacturer "Signetics" desc "PIPBUG" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "pipedrm" year "1990" manufacturer "Video System Co." desc "Pipe Dream (World)" devices ())
(name "pipedrmj" year "1990" manufacturer "Video System Co." desc "Pipe Dream (Japan)" devices ())
(name "pipedrmt" year "1990" manufacturer "Video System Co." desc "Pipe Dream (Taiwan)" devices ())
(name "pipedrmu" year "1990" manufacturer "Video System Co." desc "Pipe Dream (US)" devices ())
(name "pipeline" year "1990" manufacturer "Daehyun Electronics" desc "Pipeline" devices ())
(name "pipibibs" year "1991" manufacturer "Toaplan" desc "Pipi & Bibis / Whoopee!! (Z80 sound cpu, set 1)" devices ())
(name "pipibibsa" year "1991" manufacturer "Toaplan" desc "Pipi & Bibis / Whoopee!! (Z80 sound cpu, set 2)" devices ())
(name "pipibibsbl" year "1991" manufacturer "bootleg (Ryouta Kikaku)" desc "Pipi & Bibis / Whoopee!! (Ryouta Kikaku bootleg, encrypted)" devices ())
(name "pipibibsbl2" year "1991" manufacturer "bootleg" desc "Pipi & Bibis / Whoopee!! (bootleg, decrypted)" devices ())
(name "pipibibsbl3" year "1991" manufacturer "bootleg (Ryouta Kikaku)" desc "Pipi & Bibis / Whoopee!! (Ryouta Kikaku bootleg, decrypted)" devices ())
(name "pipibibsp" year "1991" manufacturer "Toaplan" desc "Pipi & Bibis / Whoopee!! (prototype)" devices ())
(name "pippin" year "1996" manufacturer "Apple / Bandai" desc "Pippin @mark" devices ((name "floppydisk" briefname "flop" ) (name "cdrom" briefname "cdrm" )))
(name "pir2001" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.5E Dual)" devices ())
(name "pir2001b1" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.5R, set 1)" devices ())
(name "pir2001bx" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.40XT, set 1)" devices ())
(name "pir2001d1" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.5R, set 2)" devices ())
(name "pir2001dx" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.40XT, set 2)" devices ())
(name "pir2001o" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.3N)" devices ())
(name "pir2001o2" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.3)" devices ())
(name "pir2001o3" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.20XT)" devices ())
(name "pir2001v1" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.5R Dual)" devices ())
(name "pir2001vx" year "2001" manufacturer "Amcoe" desc "Pirate 2001 (Version 2.40XT Dual)" devices ())
(name "pir2002" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 2.0E Dual)" devices ())
(name "pir2002b1" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 2.0R, set 1)" devices ())
(name "pir2002bx" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.90XT, set 1)" devices ())
(name "pir2002d1" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 2.0R, set 2)" devices ())
(name "pir2002dx" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.90XT, set 2)" devices ())
(name "pir2002o" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.8N)" devices ())
(name "pir2002o2" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.8)" devices ())
(name "pir2002o3" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.70XT)" devices ())
(name "pir2002v1" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 2.0R Dual)" devices ())
(name "pir2002vx" year "2001" manufacturer "Amcoe" desc "Pirate 2002 (Version 1.90XT Dual)" devices ())
(name "piranha" year "1981" manufacturer "GL (US Billiards license)" desc "Piranha" devices ())
(name "piranhah" year "1981" manufacturer "hack" desc "Piranha (hack)" devices ())
(name "piranhao" year "1981" manufacturer "GL (US Billiards license)" desc "Piranha (older)" devices ())
(name "pirata6" year "2000" manufacturer "Aristocrat" desc "Pirates (10001511, NSW/ACT)" devices ())
(name "pirata6a" year "2001" manufacturer "Aristocrat" desc "Pirates (10122311, ASP)" devices ())
(name "pirate" year "2005" manufacturer "Igrosoft" desc "Pirate (051229 World)" devices ())
(name "pirate2" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (061005 World)" devices ())
(name "pirate2_10" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (110311 Entertainment B)" devices ())
(name "pirate2_11" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (140526 Entertainment B)" devices ())
(name "pirate2_12" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (110411 Entertainment C)" devices ())
(name "pirate2_2" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (070126 Russia)" devices ())
(name "pirate2_2a" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 070126, banking address hack)" devices ())
(name "pirate2_3" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (090528 Lottery)" devices ())
(name "pirate2_4" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (090730 Entertainment)" devices ())
(name "pirate2_5" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (100406 Entertainment X)" devices ())
(name "pirate2_6" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (101209 Entertainment N)" devices ())
(name "pirate2_7" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (110111 Entertainment A)" devices ())
(name "pirate2_8" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (110124 Entertainment A)" devices ())
(name "pirate2_9" year "2006" manufacturer "Igrosoft" desc "Pirate 2 (110204 Entertainment A)" devices ())
(name "pirate2a" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, banking address hack set 1)" devices ())
(name "pirate2b" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, banking address hack set 2)" devices ())
(name "pirate2c" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, banking address hack, changed version text set 1)" devices ())
(name "pirate2d" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, banking address hack, changed version text set 2)" devices ())
(name "pirate2e" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, banking address hack, changed version text set 3)" devices ())
(name "pirate2f" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, VIDEO GAME-1 PR01)" devices ())
(name "pirate2g" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, LOTTOGAME (I))" devices ())
(name "pirate2h" year "2006" manufacturer "bootleg" desc "Pirate 2 (bootleg, 061005, LOTOS PR01)" devices ())
(name "pirate_2" year "2005" manufacturer "Igrosoft" desc "Pirate (060210 World)" devices ())
(name "pirate_3" year "2005" manufacturer "Igrosoft" desc "Pirate (060803 World)" devices ())
(name "pirate_4" year "2005" manufacturer "Igrosoft" desc "Pirate (070412 Russia)" devices ())
(name "pirate_5" year "2005" manufacturer "Igrosoft" desc "Pirate (090803 Entertainment)" devices ())
(name "pirates" year "1994" manufacturer "NIX" desc "Pirates (set 1)" devices ())
(name "piratesb" year "1995" manufacturer "NIX" desc "Pirates (set 2)" devices ())
(name "piratesh" year "1995" manufacturer "Konami" desc "Pirate Ship (ver UAA)" devices ())
(name "piratetr" year "1982" manufacturer "Pacific Polytechnical Corp. (Tong Electronic license)" desc "Pirate Treasure" devices ())
(name "pirati" year "2001" manufacturer "Cin" desc "Pirati" devices ())
(name "piratpet" year "1982" manufacturer "Taito America Corporation" desc "Pirate Pete" devices ())
(name "pirpok2" year "2003" manufacturer "Amcoe" desc "Pirate Poker II (Version 2.4E Dual)" devices ())
(name "pirpok2b1" year "2003" manufacturer "Amcoe" desc "Pirate Poker II (Version 2.2R, set 1)" devices ())
(name "pirpok2d1" year "2003" manufacturer "Amcoe" desc "Pirate Poker II (Version 2.2R, set 2)" devices ())
(name "pirpok2o" year "2003" manufacturer "Amcoe" desc "Pirate Poker II (Version 2.0)" devices ())
(name "pirpok2v1" year "2003" manufacturer "Amcoe" desc "Pirate Poker II (Version 2.2R Dual)" devices ())
(name "pisces" year "19??" manufacturer "Subelectro" desc "Pisces" devices ())
(name "piscesb" year "19??" manufacturer "bootleg" desc "Pisces (bootleg)" devices ())
(name "pistoldm" year "1990" manufacturer "Namco" desc "Pistol Daimyo no Bouken (Japan)" devices ())
(name "pitagjr" year "199?" manufacturer "VTech" desc "Pitagorin Junior" devices ())
(name "pitagor" year "1993" manufacturer "VTech" desc "Pitagorin" devices ())
(name "pitapat" year "1997" manufacturer "F2 System" desc "Pitapat Puzzle (set 1)" devices ())
(name "pitapata" year "1997" manufacturer "F2 System" desc "Pitapat Puzzle (set 2)" devices ())
(name "pitboss" year "1983" manufacturer "Merit" desc "The Pit Boss (2214-07, U5-0A)" devices ())
(name "pitboss03" year "1983" manufacturer "Merit" desc "The Pit Boss (2214-03, U5-0C)" devices ())
(name "pitboss03a" year "1983" manufacturer "Merit" desc "The Pit Boss (2214-03, U5-1C)" devices ())
(name "pitboss03b" year "1983" manufacturer "Merit" desc "The Pit Boss (M4A4)" devices ())
(name "pitboss04" year "1983" manufacturer "Merit" desc "The Pit Boss (2214-04)" devices ())
(name "pitboss2" year "1988" manufacturer "Merit" desc "Pit Boss II (9221-01C)" devices ())
(name "pitbossa" year "1983" manufacturer "Merit" desc "The Pit Boss (2214-07, U5-0)" devices ())
(name "pitbossm" year "1994" manufacturer "Merit" desc "Pit Boss Megastar (9244-00-01 R0B)" devices ())
(name "pitbossm4" year "1983" manufacturer "Merit" desc "The Pit Boss (M4A1)" devices ())
(name "pitbossma" year "1994" manufacturer "Merit" desc "Pit Boss Megastar (9244-00-01 R0)" devices ())
(name "pitbossmb" year "1994" manufacturer "Merit" desc "Pit Boss Megastar (9243-00-01 R0)" devices ())
(name "pitbossps" year "1983" manufacturer "Merit" desc "The Pit Boss (PSB1)" devices ())
(name "pitbosss" year "1990" manufacturer "Merit" desc "Pit Boss Superstar (9221-10-00B)" devices ())
(name "pitbosssa" year "1990" manufacturer "Merit" desc "Pit Boss Superstar (9221-10-00A)" devices ())
(name "pitbosssc" year "1992" manufacturer "Merit" desc "Pit Boss Superstar (9221-12-01, California version)" devices ())
(name "pitbosssm" year "1992" manufacturer "Merit" desc "Pit Boss Superstar (9221-12-02, Minnesota version)" devices ())
(name "pitchhit" year "1993" manufacturer "National Sports Games" desc "Pitch Hitter - Baseball Challenge" devices ())
(name "pitfall2" year "1985" manufacturer "Sega" desc "Pitfall II (315-5093)" devices ())
(name "pitfall2a" year "1985" manufacturer "Sega" desc "Pitfall II (315-5093, Flicky Conversion)" devices ())
(name "pitfall2u" year "1985" manufacturer "Sega" desc "Pitfall II (not encrypted)" devices ())
(name "pitfight" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 9)" devices ())
(name "pitfight1p2" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 1, 2 players)" devices ())
(name "pitfight2" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 2)" devices ())
(name "pitfight3" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 3)" devices ())
(name "pitfight4" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 4)" devices ())
(name "pitfight5" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 5)" devices ())
(name "pitfight6" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 6)" devices ())
(name "pitfight7" year "1990" manufacturer "Atari Games" desc "Pit Fighter (rev 7)" devices ())
(name "pitfightb" year "1990" manufacturer "bootleg" desc "Pit Fighter (bootleg)" devices ())
(name "pitfightj" year "1990" manufacturer "Atari Games" desc "Pit Fighter (Japan rev 3, 2 players)" devices ())
(name "pitnrun" year "1984" manufacturer "Taito Corporation" desc "Pit & Run - F-1 Race (rev 1)" devices ())
(name "pitnruna" year "1984" manufacturer "Taito Corporation" desc "Pit & Run - F-1 Race" devices ())
(name "pitnrunb" year "1984" manufacturer "Taito Corporation" desc "Pit & Run - F-1 Race (location test?)" devices ())
(name "pixtermu" year "2005" manufacturer "Mattel" desc "Pixter Multi-Media" devices ((name "cartridge" briefname "cart" )))
(name "pjoyn50" year "200?" manufacturer "<unknown>" desc "PowerJoy Navigator 50 in 1" devices ())
(name "pjoypj001" year "200?" manufacturer "Trump Grand" desc "PowerJoy (PJ001, NES based plug & play)" devices ())
(name "pjoys30" year "200?" manufacturer "<unknown>" desc "PowerJoy Supermax 30 in 1" devices ())
(name "pjoys60" year "200?" manufacturer "<unknown>" desc "PowerJoy Supermax 60 in 1" devices ())
(name "pjustic" year "2000" manufacturer "Capcom" desc "Project Justice / Moero! Justice Gakuen (Rev B)" devices ())
(name "pjustica" year "2000" manufacturer "Capcom" desc "Project Justice / Moero! Justice Gakuen (Rev A)" devices ())
(name "pk6128c" year "1987" manufacturer "<unknown>" desc "PK-6128c" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" )))
(name "pk8002" year "1987" manufacturer "<unknown>" desc "PK8002 Elf" devices ((name "cassette" briefname "cass" )))
(name "pk88" year "1988" manufacturer "NPO Microprocessor" desc "Elektronika PK-88" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "pkgnsh" year "1998" manufacturer "Nakanihon / Dynax" desc "Pachinko Gindama Shoubu (Japan)" devices ())
(name "pkgnshdx" year "1998" manufacturer "Nakanihon / Dynax" desc "Pachinko Gindama Shoubu DX (Japan)" devices ())
(name "pkii_dm" year "198?" manufacturer "<unknown>" desc "unknown poker game PKII/DM" devices ())
(name "pkladies" year "1989" manufacturer "Mitchell" desc "Poker Ladies" devices ())
(name "pkladiesbl" year "1989" manufacturer "bootleg" desc "Poker Ladies (Censored bootleg, encrypted)" devices ())
(name "pkladiesbl2" year "1989" manufacturer "bootleg" desc "Poker Ladies (Censored bootleg, not encrypted)" devices ())
(name "pkladiesblu" year "1989" manufacturer "bootleg" desc "Poker Ladies (Uncensored bootleg, encrypted)" devices ())
(name "pkladiesl" year "1989" manufacturer "Leprechaun" desc "Poker Ladies (Leprechaun ver. 510)" devices ())
(name "pkladiesla" year "1989" manufacturer "Leprechaun" desc "Poker Ladies (Leprechaun ver. 401)" devices ())
(name "pkm0038s" year "199?" manufacturer "DTK" desc "PKM-0038S aka Gemlight GMB-486SG" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pkrdewin" year "1990" manufacturer "bootleg" desc "Poker De Win" devices ())
(name "pkrmast" year "199?" manufacturer "Fun USA" desc "Poker Master (ED-1993 set 1)" devices ())
(name "pkrmasta" year "1993" manufacturer "Fun USA" desc "Poker Master (ED-1993 set 2)" devices ())
(name "pkrno_l1" year "1978" manufacturer "Williams" desc "Pokerino (L-1)" devices ())
(name "pkscram" year "1993" manufacturer "Cosmo Electronics Corporation" desc "PK Scramble" devices ())
(name "pkspirit" year "1992" manufacturer "Taito Corporation" desc "Poker Spirit" devices ())
(name "pktet346" year "1993?" manufacturer "IGS" desc "PK Tetris (v346I)" devices ())
(name "pktgaldx" year "1992" manufacturer "Data East Corporation" desc "Pocket Gal Deluxe (Europe v3.00)" devices ())
(name "pktgaldxa" year "1992" manufacturer "Data East Corporation" desc "Pocket Gal Deluxe (Asia v3.00)" devices ())
(name "pktgaldxb" year "1993" manufacturer "bootleg (Data West)" desc "Pocket Gal Deluxe (Europe v3.00, bootleg)" devices ())
(name "pktgaldxj" year "1993" manufacturer "Data East Corporation (Nihon System license)" desc "Pocket Gal Deluxe (Japan v3.00)" devices ())
(name "pkunwar" year "1985" manufacturer "UPL" desc "Penguin-Kun Wars (US)" devices ())
(name "pkunwarj" year "1985" manufacturer "UPL" desc "Penguin-Kun Wars (Japan, set 1)" devices ())
(name "pkunwarja" year "1985" manufacturer "UPL" desc "Penguin-Kun Wars (Japan, set 2)" devices ())
(name "pl6_kfp" year "2014" manufacturer "G Squared" desc "Kung Fu Pounda" devices ())
(name "pl6_lgk" year "2014" manufacturer "Betcom" desc "Let's Get Kraken" devices ())
(name "plan80" year "1988" manufacturer "Tesla Eltos" desc "Plan-80" devices ())
(name "play2000" year "1999" manufacturer "Nova Desitec" desc "Play 2000 (Super Slot & Gran Tesoro) (v7.0i) (Italy)" devices ())
(name "play2000_40i" year "1999" manufacturer "Nova Desitec" desc "Play 2000 (Super Slot & Gran Tesoro) (v4.0i) (Italy)" devices ())
(name "play2000_50i" year "1999" manufacturer "Nova Desitec" desc "Play 2000 (Super Slot & Gran Tesoro) (v5.0i) (Italy)" devices ())
(name "play_a24" year "1989" manufacturer "Data East" desc "Playboy 35th Anniversary (2.4)" devices ())
(name "playball" year "1983" manufacturer "Williams" desc "PlayBall! (prototype)" devices ())
(name "playboy" year "1978" manufacturer "Bally" desc "Playboy" devices ())
(name "playboyf" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display F5.00, France)" devices ())
(name "playboyf_203" year "2002" manufacturer "Stern" desc "Playboy (CPU 2.03, display F2.01, France)" devices ())
(name "playboyf_300" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.00, display F3.00, France)" devices ())
(name "playboyf_302" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.02, display F3.00, France)" devices ())
(name "playboyf_303" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.03, display F3.00, France)" devices ())
(name "playboyf_401" year "2002" manufacturer "Stern" desc "Playboy (CPU 4.01, display F4.00, France)" devices ())
(name "playboyg" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display G5.00, Germany)" devices ())
(name "playboyg_203" year "2002" manufacturer "Stern" desc "Playboy (CPU 2.03, display G2.01, Germany)" devices ())
(name "playboyg_300" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.00, display G3.00, Germany)" devices ())
(name "playboyg_302" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.02, display G3.00, Germany)" devices ())
(name "playboyg_303" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.03, display G3.00, Germany)" devices ())
(name "playboyg_401" year "2002" manufacturer "Stern" desc "Playboy (CPU 4.01, display G4.00, Germany)" devices ())
(name "playboyi" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display I5.00, Italy)" devices ())
(name "playboyi_203" year "2002" manufacturer "Stern" desc "Playboy (CPU 2.03, display I2.01, Italy)" devices ())
(name "playboyi_300" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.00, display I3.00, Italy)" devices ())
(name "playboyi_302" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.02, display I3.00, Italy)" devices ())
(name "playboyi_303" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.03, display I3.00, Italy)" devices ())
(name "playboyi_401" year "2002" manufacturer "Stern" desc "Playboy (CPU 4.01, display I4.00, Italy)" devices ())
(name "playboyl" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display L5.00, Spain)" devices ())
(name "playboyl_203" year "2002" manufacturer "Stern" desc "Playboy (CPU 2.03, display L2.01, Spain)" devices ())
(name "playboyl_300" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.00, display L3.00, Spain)" devices ())
(name "playboyl_302" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.02, display L3.00, Spain)" devices ())
(name "playboyl_303" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.03, display L3.00, Spain)" devices ())
(name "playboyl_401" year "2002" manufacturer "Stern" desc "Playboy (CPU 4.01, display L4.00, Spain)" devices ())
(name "playboys" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display A5.00)" devices ())
(name "playboys_203" year "2002" manufacturer "Stern" desc "Playboy (CPU 2.03, display A2.01)" devices ())
(name "playboys_300" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.00, display A3.00)" devices ())
(name "playboys_302" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.02, display A3.00)" devices ())
(name "playboys_303" year "2002" manufacturer "Stern" desc "Playboy (CPU 3.03, display A3.00)" devices ())
(name "playboys_401" year "2002" manufacturer "Stern" desc "Playboy (CPU 4.01, display A4.00)" devices ())
(name "playmaker" year "1980" manufacturer "Tiger Electronics" desc "Playmaker: Hockey, Soccer, Basketball" devices ((name "cartridge" briefname "cart" )))
(name "playnew" year "2002" manufacturer "Stern" desc "Playboy (CPU 5.00, display A5.00, ARM7 sound board)" devices ())
(name "pldoraemon" year "1999" manufacturer "NMK" desc "Doraemon (Power Link)" devices ())
(name "plegends" year "1995" manufacturer "Atlus" desc "Gogetsuji Legends (US, Ver. 95.06.20)" devices ())
(name "plegendsj" year "1995" manufacturer "Atlus" desc "Gouketsuji Gaiden - Saikyou Densetsu (Japan, Ver. 95.06.20)" devices ())
(name "pleiadbl" year "1981" manufacturer "bootleg" desc "Pleiads (bootleg set 1)" devices ())
(name "pleiadce" year "1981" manufacturer "Tehkan (Centuri license)" desc "Pleiads (Centuri)" devices ())
(name "pleiads" year "1981" manufacturer "Tehkan" desc "Pleiads (Tehkan)" devices ())
(name "pleiadsb2" year "1981" manufacturer "bootleg (ESG)" desc "Pleiads (bootleg set 2)" devices ())
(name "pleiadsgmp" year "1981" manufacturer "bootleg (GMP Games)" desc "Pleiads (GMP Games)" devices ())
(name "pleiadsi" year "1981" manufacturer "bootleg (Irecsa)" desc "Pleiads (Irecsa, set 1)" devices ())
(name "pleiadsia" year "1981" manufacturer "bootleg (Irecsa)" desc "Pleiads (Irecsa, set 2)" devices ())
(name "pleiadsn" year "1981" manufacturer "bootleg (Niemer S.A.)" desc "Pleiads (Niemer S.A.)" devices ())
(name "pleiadss" year "1981" manufacturer "bootleg (Famaresa)" desc "Pleiads (Famaresa, Spanish bootleg)" devices ())
(name "plgirls" year "1992" manufacturer "Hot-B Co., Ltd." desc "Play Girls" devices ())
(name "plgirls2" year "1993" manufacturer "Hot-B Co., Ltd." desc "Play Girls 2" devices ())
(name "plgirls2b" year "1993" manufacturer "bootleg" desc "Play Girls 2 (bootleg)" devices ())
(name "plldium" year "198?" manufacturer "Neckermann" desc "Palladium Video-Computer-Game" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "plotting" year "1989" manufacturer "Taito Corporation Japan" desc "Plotting (World set 1)" devices ())
(name "plottinga" year "1989" manufacturer "Taito Corporation Japan" desc "Plotting (World set 2, protected)" devices ())
(name "plottingb" year "1989" manufacturer "Taito Corporation Japan" desc "Plotting (World set 3, earliest version)" devices ())
(name "plottingu" year "1989" manufacturer "Taito America Corporation" desc "Plotting (US)" devices ())
(name "plpittashi" year "1998" manufacturer "NMK" desc "Love Pi Chan (Power Link)" devices ())
(name "plsmaswd" year "1998" manufacturer "Capcom" desc "Plasma Sword: Nightmare of Bilstein (USA 980316)" devices ())
(name "plsmaswda" year "1998" manufacturer "Capcom" desc "Plasma Sword: Nightmare of Bilstein (Asia 980316)" devices ())
(name "plsonic4" year "1991" manufacturer "SegaSA / Sonic" desc "Play Sonic 4" devices ())
(name "pltkids" year "1998" manufacturer "Psikyo" desc "Pilot Kids (Model 2B, Revision A)" devices ())
(name "pltkidsa" year "1998" manufacturer "Psikyo" desc "Pilot Kids (Model 2A)" devices ())
(name "plumppop" year "1987" manufacturer "Taito Corporation" desc "Plump Pop (Japan)" devices ())
(name "plus1" year "1980" manufacturer "Milton Bradley" desc "Plus One" devices ())
(name "plus4" year "1984" manufacturer "Commodore Business Machines" desc "Plus/4 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "plus4p" year "1984" manufacturer "Commodore Business Machines" desc "Plus/4 (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "plusalph" year "1989" manufacturer "Jaleco" desc "Plus Alpha" devices ())
(name "plutus" year "200?" manufacturer "I.A.M." desc "Plutus (V100)" devices ())
(name "plycntrchtr" year "2000" manufacturer "Recreativos Presas / Undergaming" desc "PlayCenter Champions Tournament (v9.3, 'Epox' hardware)" devices ())
(name "plycntrchtrc" year "2000" manufacturer "Recreativos Presas / Undergaming" desc "PlayCenter Champions Tournament (v9.3, 'Celeron' hardware)" devices ())
(name "plycntrchtrk" year "2000" manufacturer "Recreativos Presas / Undergaming" desc "PlayCenter Champions Tournament (v9.3, 'K6' hardware)" devices ())
(name "plycntre3" year "2004" manufacturer "Recreativos Presas / Undergaming" desc "Playcenter Evolution III (v14.0, 'Epox' hardware)" devices ())
(name "plygonet" year "1993" manufacturer "Konami" desc "Polygonet Commanders (ver UAA)" devices ())
(name "pm486pu" year "199?" manufacturer "PROTECH" desc "PM486PU-S7" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pm68k" year "198?" manufacturer "Callan Data Systems" desc "PM68K" devices ())
(name "pma" year "1983" manufacturer "PMA" desc "PMA Poker" devices ())
(name "pmac6100" year "1994" manufacturer "Apple Computer" desc "Power Macintosh 6100/60" devices ((name "cdrom" briefname "cdrm" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "pmd851" year "1985" manufacturer "Tesla" desc "PMD-85.1" devices ((name "cassette" briefname "cass" )))
(name "pmd852" year "1985" manufacturer "Tesla" desc "PMD-85.2" devices ((name "cassette" briefname "cass" )))
(name "pmd852a" year "1985" manufacturer "Tesla" desc "PMD-85.2A" devices ((name "cassette" briefname "cass" )))
(name "pmd852b" year "1985" manufacturer "Tesla" desc "PMD-85.2B" devices ((name "cassette" briefname "cass" )))
(name "pmd853" year "1988" manufacturer "Tesla" desc "PMD-85.3" devices ((name "cassette" briefname "cass" )))
(name "pmi80" year "1982" manufacturer "Tesla" desc "PMI-80" devices ((name "cassette" briefname "cass" )))
(name "pmonster" year "1999" manufacturer "Capcom" desc "Gamushara Battle! Puchi Monster (Japan 990519)" devices ())
(name "pmpoker" year "1981" manufacturer "PM / Beck Elektronik" desc "PlayMan Poker (German)" devices ())
(name "pmv112" year "1995" manufacturer "Capcom" desc "Pinball Magic" devices ())
(name "pmv112r" year "1995" manufacturer "Capcom" desc "Pinball Magic (Redemption)" devices ())
(name "pn8800" year "1996" manufacturer "Brother" desc "PN-8800FXB" devices ((name "floppydisk" briefname "flop" )))
(name "pnchmn" year "2000" manufacturer "Konami" desc "Punch Mania: Hokuto no Ken (GQ918 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "pnchmn2" year "2000" manufacturer "Konami" desc "Punch Mania 2: Hokuto no Ken (GQA09 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "pnchmna" year "2000" manufacturer "Konami" desc "Punch Mania: Hokuto no Ken (GQ918 VER. JAB ALT CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "pnickj" year "1994" manufacturer "Capcom" desc "Pnickies (Japan 940608)" devices ())
(name "pnkpnthr" year "1981" manufacturer "Gottlieb" desc "Pink Panther" devices ())
(name "pntnpuzl" year "1993" manufacturer "Century Vending" desc "Paint 'N Puzzle" devices ())
(name "pnyaa" year "2003" manufacturer "Aiky / Taito" desc "Pochi and Nyaa (Ver 2.02)" devices ((name "memcard" briefname "memc" ) ()))
(name "pnyaaa" year "2003" manufacturer "Aiky / Taito" desc "Pochi and Nyaa (Ver 2.00)" devices ((name "memcard" briefname "memc" ) ()))
(name "pockchal" year "199?" manufacturer "Benesse Corporation" desc "Pocket Challenge W (Japan)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "pockchv2" year "2002" manufacturer "Benesse Corporation" desc "Pocket Challenge V2" devices ((name "cartridge" briefname "cart" )))
(name "pocketbk" year "1992" manufacturer "Acorn Computers" desc "Pocket Book" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "pocketbk2" year "1994" manufacturer "Acorn Computers" desc "Pocket Book II" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "pocketrc" year "1996" manufacturer "Namco" desc "Pocket Racer (Japan, PKR1/VER.B)" devices ())
(name "pockstat" year "1999" manufacturer "Sony Computer Entertainment Inc" desc "Sony PocketStation" devices ((name "cartridge" briefname "cart" )))
(name "poembase" year "2004" manufacturer "Konami" desc "Nekketsu Pawapuro Champ (Japan)" devices ())
(name "poemgolf" year "2004" manufacturer "Konami" desc "Soukai Golf Champ (Japan)" devices ())
(name "poemspoo" year "2005" manufacturer "Konami" desc "Goo Choco Lantan Spoo Daisuki! Playmat" devices ())
(name "poemzet" year "2004" manufacturer "Konami" desc "Zettai Zetsumei Dangerous Jiisan - Mini Game de Taiketsu ja!" devices ())
(name "poemzet2" year "2005" manufacturer "Konami" desc "Zettai Zetsumei Dangerous Jiisan Party ja! Zen-in Shuugou!!" devices ())
(name "pofo" year "1989" manufacturer "Atari" desc "Portfolio" devices ((name "memcard" briefname "memc" )))
(name "poisk1" year "1989" manufacturer "Electronmash" desc "Poisk-1" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "poisk2" year "1991" manufacturer "<unknown>" desc "Poisk-2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "poitto" year "1993" manufacturer "Metro / Able Corp." desc "Poitto! (revision D)" devices ())
(name "poittoc" year "1993" manufacturer "Metro / Able Corp." desc "Poitto! (revision C)" devices ())
(name "poizone" year "1991" manufacturer "Eterna" desc "Poizone" devices ())
(name "pokasuka" year "2007" manufacturer "Sega" desc "Pokasuka Ghost! (Japan)" devices ())
(name "pokechmp" year "1995" manufacturer "D.G.R.M." desc "Poke Champ (set 1)" devices ())
(name "pokechmpa" year "1995" manufacturer "D.G.R.M." desc "Poke Champ (set 2)" devices ())
(name "pokemini" year "2001" manufacturer "Nintendo" desc "Pokemon Mini" devices ((name "cartridge" briefname "cart" )))
(name "poker41" year "1983" manufacturer "Game-A-Tron" desc "Four In One Poker" devices ())
(name "poker52" year "1993?" manufacturer "Blitz Systems Inc." desc "Poker 52 (Ver. 1.2)" devices ())
(name "poker72" year "1995" manufacturer "Extrema Systems International Ltd." desc "Poker Monarch (v2.50)" devices ())
(name "poker91" year "1991" manufacturer "<unknown>" desc "Poker 91" devices ())
(name "pokerdub" year "198?" manufacturer "<unknown>" desc "unknown French poker game" devices ())
(name "pokeresp" year "1979" manufacturer "Electro-Sport" desc "Poker (Electro-Sport)" devices ())
(name "pokeri" year "1991" manufacturer "Impera" desc "Poker (Impera, V11/90b)" devices ())
(name "pokeriwc" year "1991" manufacturer "UCMC/IWC" desc "Poker UCMC/IWC (ver 162.03)" devices ())
(name "pokermon" year "1987" manufacturer "<unknown>" desc "Mundial/Mondial (Italian/French)" devices ())
(name "pokeroul" year "1990" manufacturer "Coinmaster" desc "Poker Roulette (Version 8.22)" devices ())
(name "pokerout" year "19??" manufacturer "<unknown>" desc "Potten's Poker stealth with Breakout front game" devices ())
(name "pokersis" year "198?" manufacturer "Sisteme France" desc "Good Luck! poker (Sisteme France)" devices ())
(name "pokio" year "1994" manufacturer "BFM/ELAM" desc "Pokio (Dutch, Game Card 95-750-278)" devices ())
(name "pokiwc162" year "1991" manufacturer "UCMC/IWC" desc "Poker UCMC/IWC (ver 162.03 20-6-91)" devices ())
(name "pokoachu" year "1999" manufacturer "Nichibutsu/eic" desc "PokoaPoka Onsen de CHU - Bijin 3 Shimai ni Kiotsukete! (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "pokonl97" year "1997" manufacturer "Amcoe" desc "Poker Only '97 (Talking ver. 3.3)" devices ())
(name "pokonyan" year "1994" manufacturer "Capcom" desc "Pokonyan! Balloon (Japan 940322)" devices ())
(name "pokrdice" year "1991" manufacturer "Strata / Incredible Technologies" desc "Poker Dice (V1.7)" devices ())
(name "pokrwild" year "200?" manufacturer "I.A.M." desc "Poker's Wild (V117)" devices ())
(name "polar" year "198?" manufacturer "Taito do Brasil" desc "Polar Explorer" devices ())
(name "polaris" year "1980" manufacturer "Taito" desc "Polaris (latest version)" devices ())
(name "polarisa" year "1980" manufacturer "Taito" desc "Polaris (second revision)" devices ())
(name "polarisb" year "1980" manufacturer "Taito" desc "Polaris (first revision)" devices ())
(name "polarisbr" year "1981" manufacturer "Taito do Brasil" desc "Polaris (Brazil)" devices ())
(name "polariso" year "1980" manufacturer "Taito" desc "Polaris (original version)" devices ())
(name "polepos" year "1982" manufacturer "Namco" desc "Pole Position (World)" devices ())
(name "polepos2" year "1983" manufacturer "Namco" desc "Pole Position II (Japan)" devices ())
(name "polepos2a" year "1983" manufacturer "Namco (Atari license)" desc "Pole Position II (Atari)" devices ())
(name "polepos2b" year "1983" manufacturer "bootleg" desc "Pole Position II (bootleg)" devices ())
(name "polepos2bi" year "1984" manufacturer "bootleg" desc "Gran Premio F1 (Italian bootleg of Pole Position II)" devices ())
(name "polepos2bs" year "1984" manufacturer "bootleg (BCN Internacional S.A.)" desc "Gran Premio F1 (Spanish bootleg of Pole Position II)" devices ())
(name "poleposa1" year "1982" manufacturer "Namco (Atari license)" desc "Pole Position (Atari version 1)" devices ())
(name "poleposa1n" year "1982" manufacturer "Namco (Atari license)" desc "Pole Position (Atari version 1 on Namco PCB)" devices ())
(name "poleposa2" year "1982" manufacturer "Namco (Atari license)" desc "Pole Position (Atari version 2)" devices ())
(name "poleposj" year "1982" manufacturer "Namco" desc "Pole Position (Japan)" devices ())
(name "poleposn" year "1987" manufacturer "Sonic" desc "Pole Position (Sonic)" devices ())
(name "polgar" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Polgar (v1.50)" devices ())
(name "polgar10" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Polgar 10 MHz (v10.0)" devices ())
(name "polgar101" year "1990" manufacturer "Hegener + Glaser" desc "Mephisto Polgar 10 MHz (v10.1)" devices ())
(name "polgara" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Polgar (v1.10)" devices ())
(name "polic_g4" year "1989" manufacturer "Williams" desc "Police Force (LG-4) Germany" devices ())
(name "polic_l2" year "1989" manufacturer "Williams" desc "Police Force (LA-2)" devices ())
(name "polic_l3" year "1989" manufacturer "Williams" desc "Police Force (LA-3)" devices ())
(name "polic_l4" year "1989" manufacturer "Williams" desc "Police Force (LA-4)" devices ())
(name "policet2" year "2003" manufacturer "Team Play/Phantom Entertainment" desc "Police Trainer 2" devices ())
(name "policetr" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.3B, Rev 0.3 PCB)" devices ())
(name "policetr10" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.0)" devices ())
(name "policetr11" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.1)" devices ())
(name "policetr13" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.3)" devices ())
(name "policetr13a" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.3B Newer, Rev 0.5B PCB)" devices ())
(name "policetr13b" year "1996" manufacturer "P&P Marketing" desc "Police Trainer (Rev 1.3B, Rev 0.5B PCB)" devices ())
(name "pollux" year "1991" manufacturer "Dooyong" desc "Pollux (set 1)" devices ())
(name "polluxa" year "1991" manufacturer "Dooyong" desc "Pollux (set 2)" devices ())
(name "polluxa2" year "1991" manufacturer "Dooyong" desc "Pollux (set 3)" devices ())
(name "polluxn" year "1991" manufacturer "Dooyong (NTC / Atlus license)" desc "Pollux (Japan, NTC license, distributed by Atlus)" devices ())
(name "polmega" year "2004" manufacturer "Polaroid / JungleTac" desc "TV MegaMax active power game system 30-in-1 (MegaMax GPD001SDG)" devices ())
(name "poly1" year "1981" manufacturer "Polycorp" desc "Poly 1 Educational Computer" devices ())
(name "poly1e" year "1981" manufacturer "Polycorp" desc "Poly 1 Educational Computer (early)" devices ())
(name "poly2" year "1984" manufacturer "Polycorp" desc "Poly 2 Learning System" devices ())
(name "poly61" year "1982" manufacturer "Korg" desc "Poly-61 Programmable Polyphonic Synthesizer" devices ())
(name "poly800" year "1984" manufacturer "Korg" desc "Poly-800 Programmable Polyphonic Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "poly800ii" year "1986" manufacturer "Korg" desc "Poly-800II Programmable Polyphonic Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "poly800mdk" year "1984" manufacturer "Korg" desc "Poly-800 Programmable Polyphonic Synthesizer (MIDI Dump Kit)" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "poly88" year "1976" manufacturer "PolyMorphic Systems" desc "Poly-88" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "poly880" year "1983" manufacturer "VEB Polytechnik Karl-Marx-Stadt" desc "Poly-Computer 880" devices ((name "cassette" briefname "cass" )))
(name "poly880s" year "1983" manufacturer "hack" desc "Poly-Computer 880 (SC1)" devices ((name "cassette" briefname "cass" )))
(name "poly8813" year "1977" manufacturer "PolyMorphic Systems" desc "Poly-8813" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "polydev" year "1983" manufacturer "Polycorp" desc "Poly Development System" devices ((name "floppydisk" briefname "flop" )))
(name "polynetw" year "1993" manufacturer "Konami" desc "Poly-Net Warriors (ver JAA)" devices ())
(name "polyplay" year "1986" manufacturer "VEB Polytechnik Karl-Marx-Stadt" desc "Poly-Play (ZRE)" devices ())
(name "polyplay2" year "1989" manufacturer "VEB Polytechnik Karl-Marx-Stadt" desc "Poly-Play (ZRE-PP)" devices ())
(name "polyplay2c" year "1989" manufacturer "VEB Polytechnik Karl-Marx-Stadt" desc "Poly-Play (ZRE-PP - Czech)" devices ())
(name "polysix" year "1980" manufacturer "Korg" desc "Polysix Programmable Polyphonic Synthesizer" devices ())
(name "polystar" year "1997" manufacturer "Konami" desc "Tobe! Polystars (ver JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "polyvcg" year "1983" manufacturer "Polybrain" desc "Polybrain Video Computer Game" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "pomp_l1" year "1978" manufacturer "Williams/United" desc "Pompeii (Shuffle) (L-1)" devices ())
(name "pompeia6" year "2001" manufacturer "Aristocrat" desc "Pompeii (10002211, NSW/ACT)" devices ())
(name "pompeia6a" year "2002" manufacturer "Aristocrat" desc "Pompeii (10122411, ASP)" devices ())
(name "pompeia6u" year "2005" manufacturer "Aristocrat" desc "Pompeii (0151158, US)" devices ())
(name "pompeia6ua" year "2002" manufacturer "Aristocrat" desc "Pompeii (0251010, US)" devices ())
(name "pompingw" year "1989" manufacturer "Mitchell" desc "Pomping World (Japan)" devices ())
(name "ponchin" year "1991" manufacturer "Visco" desc "Mahjong Pon Chin Kan (Japan set 1)" devices ())
(name "ponchina" year "1991" manufacturer "Visco" desc "Mahjong Pon Chin Kan (Japan set 2)" devices ())
(name "pong" year "1972" manufacturer "Atari" desc "Pong (Rev E)" devices ())
(name "pongboo2" year "1997" manufacturer "OCT" desc "Pong Boo! 2 (Ver. 1.31)" devices ())
(name "pongd" year "1973" manufacturer "Atari" desc "Pong Doubles" devices ())
(name "ponpoko" year "1982" manufacturer "Sigma Enterprises Inc." desc "Ponpoko" devices ())
(name "ponpokov" year "1982" manufacturer "Sigma Enterprises Inc. (Venture Line license)" desc "Ponpoko (Venture Line)" devices ())
(name "pontoon" year "1989" manufacturer "Sega" desc "Pontoon (FD1094 317-0153)" devices ())
(name "pontoona" year "1989" manufacturer "Sega" desc "Pontoon (FD1094 317-?)" devices ())
(name "ponttehk" year "1985" manufacturer "Tehkan" desc "Pontoon (Tehkan)" devices ())
(name "pool10" year "1996" manufacturer "C.M.C." desc "Pool 10 (Italian, set 1)" devices ())
(name "pool10b" year "1996" manufacturer "C.M.C." desc "Pool 10 (Italian, set 2)" devices ())
(name "pool10c" year "1996" manufacturer "C.M.C." desc "Pool 10 (Italian, set 3)" devices ())
(name "pool10d" year "1997" manufacturer "C.M.C." desc "Pool 10 (Italian, set 4)" devices ())
(name "pool10e" year "1997" manufacturer "C.M.C." desc "Pool 10 (Italian, Dino 4 hardware, encrypted)" devices ())
(name "pool10f" year "1997" manufacturer "C.M.C." desc "Pool 10 (Italian, set 5)" devices ())
(name "pool10g" year "1996" manufacturer "C.M.C." desc "Pool 10 (Italian, set 6)" devices ())
(name "pool10h" year "1996" manufacturer "C.M.C." desc "Pool 10 (Italian, set 7)" devices ())
(name "pool10i" year "1997" manufacturer "C.M.C." desc "Pool 10 (Italian, set 8)" devices ())
(name "pool10j" year "1996" manufacturer "bootleg (R.B.)" desc "Pool 10 (Italian, set 9)" devices ())
(name "pool10k" year "1997" manufacturer "C.M.C." desc "Pool 10 (Italian, set 10)" devices ())
(name "pool_l5" year "1990" manufacturer "Bally" desc "Pool Sharks (LA-5)" devices ())
(name "pool_l6" year "1990" manufacturer "Bally" desc "Pool Sharks (LA-6)" devices ())
(name "pool_l7" year "1990" manufacturer "Bally" desc "Pool Sharks (LA-7)" devices ())
(name "pool_le2" year "1990" manufacturer "Bally" desc "Pool Sharks (LE-2)" devices ())
(name "pool_p7" year "1989" manufacturer "Bally" desc "Pool Sharks (PA-7)" devices ())
(name "poolcham" year "1985" manufacturer "Zaccaria" desc "Pool Champion" devices ())
(name "poolchami" year "1985" manufacturer "Zaccaria" desc "Pool Champion (Italian speech)" devices ())
(name "poolshrk" year "1977" manufacturer "Atari" desc "Poolshark" devices ())
(name "poosho" year "1999" manufacturer "F2 System" desc "Poosho Poosho" devices ())
(name "pootan" year "1982" manufacturer "bootleg" desc "Pootan" devices ())
(name "pooyan" year "1982" manufacturer "Konami" desc "Pooyan" devices ())
(name "pooyans" year "1982" manufacturer "Konami (Stern Electronics license)" desc "Pooyan (Stern Electronics)" devices ())
(name "pop_hh" year "1989" manufacturer "bootleg" desc "Popper (bootleg of Hard Head)" devices ())
(name "pop_la4" year "1994" manufacturer "Bally" desc "Popeye Saves The Earth (LA-4)" devices ())
(name "pop_lx5" year "1994" manufacturer "Bally" desc "Popeye Saves The Earth (LX-5)" devices ())
(name "pop_pa3" year "1994" manufacturer "Bally" desc "Popeye Saves The Earth (PA-3)" devices ())
(name "popbingo" year "1996" manufacturer "Dooyong" desc "Pop Bingo" devices ())
(name "popbounc" year "1997" manufacturer "Video System Co." desc "Pop 'n Bounce / Gapporin" devices (()))
(name "popeye" year "1982" manufacturer "Nintendo" desc "Popeye (revision D)" devices ())
(name "popeyeb2" year "1982" manufacturer "bootleg" desc "Popeye (bootleg set 2)" devices ())
(name "popeyeb3" year "1982" manufacturer "bootleg" desc "Popeye (bootleg set 3)" devices ())
(name "popeyebl" year "1982" manufacturer "bootleg" desc "Popeye (bootleg set 1)" devices ())
(name "popeyef" year "1982" manufacturer "Nintendo" desc "Popeye (revision F)" devices ())
(name "popeyehs" year "1982" manufacturer "hack (Braze Technologies)" desc "Popeye (Braze High Score Kit P1.00D)" devices ())
(name "popeyej" year "1982" manufacturer "Nintendo" desc "Popeye (Japan)" devices ())
(name "popeyejo" year "1982" manufacturer "Nintendo" desc "Popeye (Japan, Older)" devices ())
(name "popeyeman" year "1981" manufacturer "hack" desc "Popeye-Man" devices ())
(name "popeyeu" year "1982" manufacturer "Nintendo" desc "Popeye (revision D not protected)" devices ())
(name "popflame" year "1982" manufacturer "Jaleco" desc "Pop Flamer (protected)" devices ())
(name "popflamea" year "1982" manufacturer "Jaleco" desc "Pop Flamer (not protected)" devices ())
(name "popflameb" year "1982" manufacturer "Jaleco" desc "Pop Flamer (hack?)" devices ())
(name "popflamen" year "1982" manufacturer "Jaleco" desc "Pop Flamer (bootleg on Naughty Boy PCB)" devices ())
(name "popira" year "2000" manufacturer "Takara / SSD Company LTD" desc "Popira (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "popira2" year "2002" manufacturer "Takara / SSD Company LTD" desc "Popira 2 (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "popn1" year "1998" manufacturer "Konami" desc "Pop'n Music 1 (ver TA-A, HDD 1.01)" devices ((name "harddisk" briefname "hard" )))
(name "popn1a" year "1998" manufacturer "Konami" desc "Pop'n Music 1 (ver AA-A, HDD 1.00)" devices ((name "harddisk" briefname "hard" )))
(name "popn1j" year "1998" manufacturer "Konami" desc "Pop'n Music 1 (ver JA-A, HDD 1.00)" devices ((name "harddisk" briefname "hard" )))
(name "popn1k" year "1998" manufacturer "Konami" desc "Pop'n Music 1 (ver KA-A, HDD 1.01)" devices ((name "harddisk" briefname "hard" )))
(name "popn2" year "1999" manufacturer "Konami" desc "Pop'n Music 2 (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "popn3" year "1999" manufacturer "Konami" desc "Pop'n Music 3 (ver JA-A)" devices ((name "harddisk" briefname "hard" )))
(name "popn4" year "2000" manufacturer "Konami" desc "Pop'n Music 4" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popn5" year "2000" manufacturer "Konami" desc "Pop'n Music 5" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popn6" year "2001" manufacturer "Konami" desc "Pop'n Music 6" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popn7" year "2001" manufacturer "Konami" desc "Pop'n Music 7" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popn8" year "2002" manufacturer "Konami" desc "Pop'n Music 8" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popn9" year "2003" manufacturer "Konami" desc "Pop'n Music 9 (ver JAB)" devices ())
(name "popnanm" year "2000" manufacturer "Konami" desc "Pop'n Music Animelo" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnanm2" year "2001" manufacturer "Konami" desc "Pop'n Music Animelo 2 (JAC)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnanm2a" year "2001" manufacturer "Konami" desc "Pop'n Music Animelo 2 (JAC, license expired)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnanm2ja" year "2001" manufacturer "Konami" desc "Pop'n Music Animelo 2 (JAA)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnanm2jaa" year "2001" manufacturer "Konami" desc "Pop'n Music Animelo 2 (JAA, license expired)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnanma" year "2000" manufacturer "Konami" desc "Pop'n Music Animelo (license expired)" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnmt" year "2000" manufacturer "Konami" desc "Pop'n Music Mickey Tunes" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnmt2" year "2000" manufacturer "Konami" desc "Pop'n Music Mickey Tunes!" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" ) (name "cdrom3" briefname "cdrm3" )))
(name "popnpop" year "1997" manufacturer "Taito Corporation" desc "Pop'n Pop (Ver 2.07O 1998/02/09)" devices ())
(name "popnpopj" year "1997" manufacturer "Taito Corporation" desc "Pop'n Pop (Ver 2.07J 1998/02/09)" devices ())
(name "popnpopu" year "1997" manufacturer "Taito Corporation" desc "Pop'n Pop (Ver 2.07A 1998/02/09)" devices ())
(name "popnrun" year "1987" manufacturer "Seibu Kaihatsu / Yukai Tsukai" desc "Pop'n Run - The Videogame (set 1)" devices ())
(name "popnruna" year "1987" manufacturer "Seibu Kaihatsu / Yukai Tsukai" desc "Pop'n Run - The Videogame (set 2)" devices ())
(name "popnstex" year "1999" manufacturer "Konami" desc "Pop'n Stage EX (ver JB-A)" devices ((name "harddisk" briefname "hard" )))
(name "popobear" year "2000" manufacturer "BMC" desc "PoPo Bear" devices ())
(name "popper" year "1983" manufacturer "Omori Electric Co., Ltd." desc "Popper" devices ())
(name "poppympt" year "198?" manufacturer "Transonic" desc "Poppy MPT-03 Tele Computer Spiel" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "popshot" year "1991" manufacturer "Dynamo" desc "Pop Shot (prototype)" devices ())
(name "popspops" year "1999" manufacturer "Afega" desc "Pop's Pop's" devices ())
(name "porky" year "1985" manufacturer "Shinkai Inc. (Magic Electronics Inc. license)" desc "Porky" devices ())
(name "port16" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Portorose 16 Bit (v1.01)" devices ())
(name "port32" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Portorose 32 Bit (v1.04)" devices ())
(name "port32a" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Portorose 32 Bit (v1.03)" devices ())
(name "port32b" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Portorose 32 Bit (v1.01)" devices ())
(name "port32t" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Portorose 68030" devices ())
(name "porter" year "1982" manufacturer "bootleg" desc "Port Man (bootleg on Moon Cresta hardware)" devices ())
(name "portera" year "1982" manufacturer "bootleg" desc "El Estivador (Spanish bootleg of Port Man on Galaxian hardware)" devices ())
(name "portman" year "1982" manufacturer "Taito Corporation (Nova Games Ltd. license)" desc "Port Man" devices ())
(name "portmanj" year "1982" manufacturer "Taito Corporation" desc "Port Man (Japan)" devices ())
(name "portrait" year "1983" manufacturer "Olympia" desc "Portraits (set 1)" devices ())
(name "portraita" year "1983" manufacturer "Olympia" desc "Portraits (set 2)" devices ())
(name "positron" year "1982" manufacturer "Positron Computers Ltd" desc "Positron 9000" devices ((name "cassette" briefname "cass" )))
(name "potc_110af" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.10 (English,French)" devices ())
(name "potc_110ai" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.10 (English,Italian)" devices ())
(name "potc_110gf" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.10 (German,French)" devices ())
(name "potc_111as" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.11 (English,Spanish)" devices ())
(name "potc_113af" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.13 (English,French)" devices ())
(name "potc_113ai" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.13 (English,Italian)" devices ())
(name "potc_113as" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.13 (English,Spanish)" devices ())
(name "potc_113gf" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.13 (German,French)" devices ())
(name "potc_115af" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.15 (English,French)" devices ())
(name "potc_115ai" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.15 (English,Italian)" devices ())
(name "potc_115as" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.15 (English,Spanish)" devices ())
(name "potc_115gf" year "2006" manufacturer "Stern" desc "Pirates of the Caribbean v1.15 (German,French)" devices ())
(name "potc_300af" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v3.00 (English,French)" devices ())
(name "potc_300ai" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v3.00 (English,Italian)" devices ())
(name "potc_300as" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v3.00 (English,Spanish)" devices ())
(name "potc_300gf" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v3.00 (German,French)" devices ())
(name "potc_400af" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v4.00 (English,French)" devices ())
(name "potc_400ai" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v4.00 (English,Italian)" devices ())
(name "potc_400as" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v4.00 (English,Spanish)" devices ())
(name "potc_400gf" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v4.00 (German,French)" devices ())
(name "potc_600" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v6.00 (English,French)" devices ())
(name "potc_600ai" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v6.00 (English,Italian)" devices ())
(name "potc_600as" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v6.00 (English,Spanish)" devices ())
(name "potc_600gf" year "2007" manufacturer "Stern" desc "Pirates of the Caribbean v6.00 (German,French)" devices ())
(name "potgame" year "1996" manufacturer "C.M.C." desc "Pot Game (Italian)" devices ())
(name "potgoldu" year "200?" manufacturer "U.S. Games, Inc." desc "Pot O' Gold (U.S. Games, v400x?)" devices ())
(name "potgoldu580" year "2001" manufacturer "U.S. Games, Inc." desc "Pot O' Gold (U.S. Games, v580F)" devices ())
(name "potnpkra" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 2)" devices ())
(name "potnpkrb" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 3)" devices ())
(name "potnpkrc" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 4)" devices ())
(name "potnpkrd" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 5)" devices ())
(name "potnpkre" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 6)" devices ())
(name "potnpkrf" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 7, Royale GFX)" devices ())
(name "potnpkrg" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 8, Australian)" devices ())
(name "potnpkrh" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 9, 'just 4 fun')" devices ())
(name "potnpkri" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 10, ICP-1 PCB)" devices ())
(name "potnpkrj" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 11, German, W.W.)" devices ())
(name "potnpkrk" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 12, no Double-Up)" devices ())
(name "potnpkrl" year "198?" manufacturer "<unknown>" desc "Jack Potten's Poker (set 13, ICP-1 PCB)" devices ())
(name "poto_a29" year "1990" manufacturer "Data East" desc "The Phantom of the Opera (2.9)" devices ())
(name "poto_a31" year "1990" manufacturer "Data East" desc "The Phantom of the Opera (3.1)" devices ())
(name "poto_a32" year "1990" manufacturer "Data East" desc "The Phantom of the Opera (3.2)" devices ())
(name "potogold" year "1982" manufacturer "Pacific Polytechnical Corp. (Game Plan license)" desc "Pot of Gold" devices ())
(name "potopoto" year "1994" manufacturer "Sega" desc "Poto Poto (Japan, Rev A)" devices ())
(name "pottnpkr" year "198?" manufacturer "bootleg" desc "Jack Potten's Poker (set 1)" devices ())
(name "poundfor" year "1990" manufacturer "Irem" desc "Pound for Pound (World)" devices ())
(name "poundforj" year "1990" manufacturer "Irem" desc "Pound for Pound (Japan)" devices ())
(name "poundforu" year "1990" manufacturer "Irem America" desc "Pound for Pound (US)" devices ())
(name "pow" year "1988" manufacturer "SNK" desc "P.O.W. - Prisoners of War (US version 1)" devices ())
(name "pow3000" year "1983" manufacturer "Creon Enterprises" desc "Power 3000" devices ((name "cassette" briefname "cass" )))
(name "powa" year "1988" manufacturer "SNK" desc "P.O.W. - Prisoners of War (US version 1, mask ROM sprites)" devices ())
(name "powbl" year "1988" manufacturer "bootleg" desc "P.O.W. - Prisoners of War (bootleg of US version 1)" devices ())
(name "powerbal" year "1994" manufacturer "Playmark" desc "Power Balls" devices ())
(name "powerbals" year "1994" manufacturer "Playmark" desc "Power Balls (Super Slam conversion)" devices ())
(name "powercrd" year "1993" manufacturer "Fun World" desc "Power Card (Ver 0263, encrypted)" devices ())
(name "powerdrv" year "1986" manufacturer "Bally Midway" desc "Power Drive" devices ())
(name "powerins" year "1993" manufacturer "Atlus" desc "Power Instinct (USA)" devices ())
(name "powerinsa" year "1993" manufacturer "bootleg" desc "Power Instinct (USA, bootleg set 1)" devices ())
(name "powerinsb" year "1993" manufacturer "bootleg" desc "Power Instinct (USA, bootleg set 2)" devices ())
(name "powerinsc" year "1993" manufacturer "bootleg" desc "Power Instinct (USA, bootleg set 3)" devices ())
(name "powerinsj" year "1993" manufacturer "Atlus" desc "Gouketsuji Ichizoku (Japan)" devices ())
(name "powerinspj" year "1993" manufacturer "Atlus" desc "Gouketsuji Ichizoku (Japan, prototype)" devices ())
(name "powerinspu" year "1993" manufacturer "Atlus" desc "Power Instinct (USA, prototype)" devices ())
(name "powernin" year "2009" manufacturer "Linus Åkesson" desc "Power Ninja Action Challenge" devices ())
(name "powerstk" year "1996" manufacturer "Motorola" desc "Powerstack II" devices ())
(name "powj" year "1988" manufacturer "SNK" desc "Datsugoku - Prisoners of War (Japan)" devices ())
(name "powrplay" year "1985" manufacturer "Cinematronics" desc "Power Play" devices ())
(name "powsled" year "1996" manufacturer "Sega" desc "Power Sled (Slave, Revision A)" devices ())
(name "powsledm" year "1996" manufacturer "Sega" desc "Power Sled (Main, hack of Relay)" devices ())
(name "powsledr" year "1996" manufacturer "Sega" desc "Power Sled (Relay, Revision A)" devices ())
(name "powyak96" year "1996" manufacturer "Konami" desc "Jikkyou Powerful Pro Yakyuu '96 (GV017 Japan 1.03)" devices ((name "cdrom" briefname "cdrm" )))
(name "powyakex" year "1998" manufacturer "Konami" desc "Jikkyou Pawafuru Puro Yakyu EX (GX802 VER. JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "pp" year "1983" manufacturer "STM Electronics" desc "Pied Piper Communicator 1" devices ((name "floppydisk" briefname "flop" )))
(name "pp01" year "198?" manufacturer "ZVT" desc "PP-01" devices ((name "cassette" briefname "cass" )))
(name "pp100" year "2000" manufacturer "Illinois Pinball" desc "Pool Player (1.0)" devices ())
(name "pp1292" year "1978" manufacturer "Audio Sonic" desc "PP-1292 Advanced Programmable Video System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "pp1392" year "1978" manufacturer "Audio Sonic" desc "PP-1392 Advanced Programmable Video System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "ppan" year "1992" manufacturer "bootleg" desc "Peter Pan (bootleg of Hook)" devices ())
(name "ppc512" year "1987" manufacturer "Amstrad plc" desc "Amstrad PPC512" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "ppc640" year "1987" manufacturer "Amstrad plc" desc "Amstrad PPC640" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout1" briefname "prin1" ) (name "printout2" briefname "prin2" ) (name "printout3" briefname "prin3" )))
(name "ppcar" year "1999" manufacturer "Icarus" desc "Pang Pang Car" devices ())
(name "ppchamp" year "1997" manufacturer "Dongsung / Para" desc "Pasha Pasha Champ Mini Game Festival (Korea, set 1)" devices ())
(name "ppchampa" year "1997" manufacturer "Dongsung / Para" desc "Pasha Pasha Champ Mini Game Festival (Korea, set 2)" devices ())
(name "ppd" year "2000" manufacturer "Konami" desc "ParaParaDancing" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "ppgc200g" year "201?" manufacturer "Fizz Creations" desc "Plug & Play Game Controller with 200 Games (Supreme 200)" devices ())
(name "ppj" year "1991" manufacturer "Success / Taiyo Jidoki" desc "Pyon Pyon Jump (V1.40, Japan)" devices ())
(name "ppking" year "1985" manufacturer "Taito America Corporation" desc "Ping-Pong King" devices ())
(name "ppm3333p" year "199?" manufacturer "DTK Computer" desc "PPM-3333P" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "ppmast93" year "1993" manufacturer "Electronic Devices S.R.L." desc "Ping Pong Masters '93" devices ())
(name "ppp" year "2000" manufacturer "Konami" desc "ParaParaParadise" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "ppp11" year "2000" manufacturer "Konami" desc "ParaParaParadise v1.1" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "ppp1mp" year "2000" manufacturer "Konami" desc "ParaParaParadise 1st Mix Plus" devices ((name "cdrom1" briefname "cdrm1" ) (name "cdrom2" briefname "cdrm2" )))
(name "ppp2nd" year "2001" manufacturer "Konami" desc "ParaParaParadise 2nd Mix (JAA)" devices ((name "harddisk" briefname "hard" )))
(name "ppp2nda" year "2001" manufacturer "Konami" desc "ParaParaParadise 2nd Mix (AAA)" devices ((name "harddisk" briefname "hard" )))
(name "pprobe" year "1985" manufacturer "Crux / Kyugo?" desc "Planet Probe (prototype?)" devices ())
(name "ppsatan" year "1996" manufacturer "Kato Seisakujo Co., Ltd." desc "Poka Poka Satan (Japan)" devices ())
(name "ppspeed" year "1983" manufacturer "bootleg" desc "Speed Up (Spanish bootleg of Pole Position)" devices ())
(name "pr100" year "1987" manufacturer "Roland" desc "PR-100 Digital Sequencer (v2.02)" devices ())
(name "pr100_201" year "1987" manufacturer "Roland" desc "PR-100 Digital Sequencer (v2.01)" devices ())
(name "pr_5xcsh" year "199?" manufacturer "Project" desc "5x Cash (Project) (PROCONN)" devices ())
(name "pr_7hvn" year "199?" manufacturer "Project" desc "777 Heaven (Project) (PROCONN)" devices ())
(name "pr_7hvna" year "199?" manufacturer "Project" desc "777 Heaven (Project) (10GBP Jackpot) (PROCONN)" devices ())
(name "pr_7hvnb" year "199?" manufacturer "Project" desc "777 Heaven (Project) (20p 6GBP Jackpot Version 114) (PROCONN)" devices ())
(name "pr_7hvnc" year "199?" manufacturer "Project" desc "777 Heaven (Project) (10p 3GBP Jackpot Version 380) (PROCONN)" devices ())
(name "pr_7hvnd" year "199?" manufacturer "Project" desc "777 Heaven (Project) (5p 3GBP Jackpot Version 105) (PROCONN)" devices ())
(name "pr_7hvne" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 6) (PROCONN)" devices ())
(name "pr_7hvnf" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 7) (PROCONN)" devices ())
(name "pr_7hvng" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 8) (PROCONN)" devices ())
(name "pr_7hvnh" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 9) (PROCONN)" devices ())
(name "pr_7hvni" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 10) (PROCONN)" devices ())
(name "pr_7hvnj" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 11) (PROCONN)" devices ())
(name "pr_7hvnk" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 12) (PROCONN)" devices ())
(name "pr_7hvnl" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 13) (PROCONN)" devices ())
(name "pr_7hvnm" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 14) (PROCONN)" devices ())
(name "pr_7hvnn" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 15) (PROCONN)" devices ())
(name "pr_7hvno" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 16) (PROCONN)" devices ())
(name "pr_7hvnp" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 17) (PROCONN)" devices ())
(name "pr_7hvnq" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 18) (PROCONN)" devices ())
(name "pr_7hvnr" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 19) (PROCONN)" devices ())
(name "pr_7hvns" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 20) (PROCONN)" devices ())
(name "pr_7hvnt" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 21) (PROCONN)" devices ())
(name "pr_7hvnu" year "199?" manufacturer "Project" desc "777 Heaven (Project) (set 22) (PROCONN)" devices ())
(name "pr_alwy9" year "199?" manufacturer "PCP" desc "Always Nine (Pcp) (set 1) (PROCONN)" devices ())
(name "pr_alwy9a" year "199?" manufacturer "PCP" desc "Always Nine (Pcp) (set 2) (PROCONN)" devices ())
(name "pr_barbl" year "199?" manufacturer "Project" desc "Bars & Bells (Project) (PROCONN)" devices ())
(name "pr_batls" year "199?" manufacturer "Project" desc "Battleships (Project) (set 1) (PROCONN)" devices ())
(name "pr_batlsa" year "199?" manufacturer "Project" desc "Battleships (Project) (set 2) (PROCONN)" devices ())
(name "pr_batlsb" year "199?" manufacturer "Project" desc "Battleships (Project) (set 3) (PROCONN)" devices ())
(name "pr_bears" year "199?" manufacturer "Coinworld" desc "Bear Streak (set 1) (Coinworld)" devices ())
(name "pr_bearsa" year "199?" manufacturer "Coinworld" desc "Bear Streak (set 2) (Coinworld)" devices ())
(name "pr_bearsb" year "199?" manufacturer "Coinworld" desc "Bear Streak (set 3) (Coinworld)" devices ())
(name "pr_bearx" year "199?" manufacturer "Coinworld" desc "Bear X (Version 2.3) (Coinworld)" devices ())
(name "pr_bearxa" year "199?" manufacturer "Coinworld" desc "Bear X (Version 2.2) (Coinworld)" devices ())
(name "pr_bearxb" year "199?" manufacturer "Coinworld" desc "Bear X (Version 1.3) (Coinworld)" devices ())
(name "pr_bearxc" year "199?" manufacturer "Coinworld" desc "Bear X (20p set 1) (Coinworld)" devices ())
(name "pr_bearxd" year "199?" manufacturer "Coinworld" desc "Bear X (20p set 2) (Coinworld)" devices ())
(name "pr_bearxe" year "199?" manufacturer "Coinworld" desc "Bear X (10p set 1) (Coinworld)" devices ())
(name "pr_bearxf" year "199?" manufacturer "Coinworld" desc "Bear X (10p set 2) (Coinworld)" devices ())
(name "pr_bearxg" year "199?" manufacturer "Coinworld" desc "Bear X (10p set 3) (Coinworld)" devices ())
(name "pr_bearxh" year "199?" manufacturer "Coinworld" desc "Bear X (10p set 4?) (Coinworld)" devices ())
(name "pr_bearxi" year "199?" manufacturer "Coinworld" desc "Bear X (10p set 5) (Coinworld)" devices ())
(name "pr_bearxj" year "199?" manufacturer "Coinworld" desc "Bear X (code 813) (Coinworld)" devices ())
(name "pr_bearxk" year "199?" manufacturer "Coinworld" desc "Bear X (8GBP Token?) (Coinworld)" devices ())
(name "pr_bearxl" year "199?" manufacturer "Coinworld" desc "Bear X (Version 41) (Coinworld)" devices ())
(name "pr_bearxlp" year "199?" manufacturer "Coinworld" desc "Bear X (Version 41, Protocol) (Coinworld)" devices ())
(name "pr_bearxm" year "199?" manufacturer "Coinworld" desc "Bear X (Version 31) (Coinworld)" devices ())
(name "pr_bigdp" year "199?" manufacturer "Project" desc "Big Dipper (Project) (set 1) (PROCONN)" devices ())
(name "pr_bigdpa" year "199?" manufacturer "Project" desc "Big Dipper (Project) (set 2) (PROCONN)" devices ())
(name "pr_btwar" year "199?" manufacturer "Project" desc "Beat The Warden (Project) (set 1) (PROCONN)" devices ())
(name "pr_btwara" year "199?" manufacturer "Project" desc "Beat The Warden (Project) (set 2) (PROCONN)" devices ())
(name "pr_btwarb" year "199?" manufacturer "Project" desc "Beat The Warden (Project) (set 3) (PROCONN)" devices ())
(name "pr_bulbn" year "199?" manufacturer "Project" desc "Bully's Big Night (Project) (PROCONN)" devices ())
(name "pr_bulbna" year "199?" manufacturer "Project" desc "Bully's Big Night (Project) (set 1) (PROCONN)" devices ())
(name "pr_bulbnb" year "199?" manufacturer "Project" desc "Bully's Big Night (Project) (set 2) (PROCONN)" devices ())
(name "pr_buljp" year "199?" manufacturer "Project" desc "Bully's Jackpot (Project) (set 1) (PROCONN)" devices ())
(name "pr_buljpa" year "199?" manufacturer "Project" desc "Bully's Jackpot (Project) (set 2) (PROCONN)" devices ())
(name "pr_bulls" year "199?" manufacturer "Project" desc "Bullseye (Project) (set 1) (PROCONN)" devices ())
(name "pr_bullsa" year "199?" manufacturer "Project" desc "Bullseye (Project) (set 2) (PROCONN)" devices ())
(name "pr_bullsb" year "199?" manufacturer "Project" desc "Bullseye (Project) (set 3) (PROCONN)" devices ())
(name "pr_cas7" year "199?" manufacturer "Project" desc "Casino Jackpot 7s (Project) (PROCONN)" devices ())
(name "pr_cashb" year "199?" manufacturer "Project" desc "Cash Back (Project) (PROCONN)" devices ())
(name "pr_chico" year "199?" manufacturer "Project" desc "Chico the Bandit (Project) (set 1) (PROCONN)" devices ())
(name "pr_chicoa" year "199?" manufacturer "Project" desc "Chico the Bandit (Project) (set 2) (PROCONN)" devices ())
(name "pr_chicob" year "199?" manufacturer "Project" desc "Chico the Bandit (Project) (set 3) (PROCONN)" devices ())
(name "pr_coolm" year "199?" manufacturer "Project" desc "Cool Million (Project) (set 1) (PROCONN)" devices ())
(name "pr_coolma" year "199?" manufacturer "Project" desc "Cool Million (Project) (set 2) (PROCONN)" devices ())
(name "pr_coolmb" year "199?" manufacturer "Project" desc "Cool Million (Project) (set 3) (PROCONN)" devices ())
(name "pr_coyot" year "199?" manufacturer "PCP" desc "Crazy Coyote (Pcp) (10p) (PROCONN)" devices ())
(name "pr_coyota" year "199?" manufacturer "PCP" desc "Crazy Coyote (Pcp) (20p) (PROCONN)" devices ())
(name "pr_crz77" year "199?" manufacturer "Project" desc "Crazy 777s (Project) (PROCONN)" devices ())
(name "pr_crzbr" year "199?" manufacturer "Project" desc "Crazy Bars (Project) (PROCONN)" devices ())
(name "pr_crzpy" year "199?" manufacturer "Project" desc "Crazy Pays (Project) (PROCONN)" devices ())
(name "pr_dblup" year "199?" manufacturer "Project" desc "Double Up (Project) (PROCONN)" devices ())
(name "pr_fire" year "199?" manufacturer "Project" desc "Fircecracker (Project) (PROCONN)" devices ())
(name "pr_flshc" year "199?" manufacturer "Project" desc "Flash The Cash (Project) (PROCONN)" devices ())
(name "pr_fspot" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 4.1) (Coinworld)" devices ())
(name "pr_fspota" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 3.1) (Coinworld)" devices ())
(name "pr_fspotb" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 2.1, set 1) (Coinworld)" devices ())
(name "pr_fspotc" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 2.1, 20p stake, 82%) (Coinworld)" devices ())
(name "pr_fspotd" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 2.1, 7 button) (Coinworld)" devices ())
(name "pr_fspote" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 1.1, set 1) (Coinworld)" devices ())
(name "pr_fspotf" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 1.1, 20p stake, 82%) (Coinworld)" devices ())
(name "pr_fspotg" year "199?" manufacturer "Coinworld" desc "Fun Spot (Version 1.1, 6 button) (Coinworld)" devices ())
(name "pr_ftwhl" year "199?" manufacturer "Project" desc "Fortune Wheel (Project) (PROCONN)" devices ())
(name "pr_funrn" year "199?" manufacturer "Project" desc "Fun On The Run (Project) (PROCONN)" devices ())
(name "pr_gdft" year "199?" manufacturer "Project" desc "Good Fortune (Project) (PROCONN)" devices ())
(name "pr_gldng" year "199?" manufacturer "Project" desc "Golden Nugget (Project) (PROCONN)" devices ())
(name "pr_gldnl" year "199?" manufacturer "Project" desc "Golden Nile (Project) (PROCONN)" devices ())
(name "pr_gnuc" year "199?" manufacturer "Coinworld" desc "Golden Nugget (Version 2.2) (Coinworld)" devices ())
(name "pr_gnuca" year "199?" manufacturer "Coinworld" desc "Golden Nugget (Version 1.2) (Coinworld)" devices ())
(name "pr_gogld" year "199?" manufacturer "Project" desc "Go For Gold (Project) (PROCONN)" devices ())
(name "pr_happy" year "199?" manufacturer "Project" desc "Happy Days (Project) (PROCONN)" devices ())
(name "pr_heato" year "199?" manufacturer "Project" desc "The Heat Is On (Project) (PROCONN)" devices ())
(name "pr_hiclm" year "199?" manufacturer "Project" desc "Hi Climber (Project) (PROCONN)" devices ())
(name "pr_hit6" year "199?" manufacturer "Project" desc "Hit The Six (Project) (set 1) (PROCONN)" devices ())
(name "pr_hit6a" year "199?" manufacturer "Project" desc "Hit The Six (Project) (set 2) (PROCONN)" devices ())
(name "pr_hit6b" year "199?" manufacturer "Project" desc "Hit The Six (Project) (set 3) (PROCONN)" devices ())
(name "pr_hotcs" year "199?" manufacturer "Project" desc "Hot Cash (Project) (PROCONN)" devices ())
(name "pr_hotsp" year "199?" manufacturer "Project" desc "Hot Spots (Project) (PROCONN)" devices ())
(name "pr_jkpt7" year "199?" manufacturer "Project" desc "Jackpot 7's (Project) (PROCONN)" devices ())
(name "pr_jkrwd" year "199?" manufacturer "Project" desc "Jokers Wild (Project) (PROCONN)" devices ())
(name "pr_jumpj" year "199?" manufacturer "Project" desc "Jumping Jacks (Project) (set 1) (PROCONN)" devices ())
(name "pr_jumpja" year "199?" manufacturer "Project" desc "Jumping Jacks (Project) (set 2) (PROCONN)" devices ())
(name "pr_lday" year "199?" manufacturer "Project" desc "'L' Of A Day (Project) (Cash set) (PROCONN)" devices ())
(name "pr_ldaya" year "199?" manufacturer "Project" desc "'L' Of A Day (Project) (Token set) (PROCONN)" devices ())
(name "pr_magln" year "199?" manufacturer "Coinworld" desc "Magic Lines (Version 2.1) (Coinworld)" devices ())
(name "pr_maglna" year "199?" manufacturer "Coinworld" desc "Magic Lines (Version 1.1) (Coinworld)" devices ())
(name "pr_medl" year "199?" manufacturer "Project" desc "Medalist (Project) (PROCONN)" devices ())
(name "pr_megmn" year "199?" manufacturer "Project" desc "Mega Money (Project) (PROCONN)" devices ())
(name "pr_nifty" year "199?" manufacturer "Project" desc "Nifty Fifty (Project) (PROCONN)" devices ())
(name "pr_nudxs" year "199?" manufacturer "Project" desc "Nudge XS (Project) (PROCONN)" devices ())
(name "pr_qksht" year "199?" manufacturer "Maygay" desc "Quickshot (Maygay) (PROCONN)" devices ())
(name "pr_rags" year "199?" manufacturer "Project" desc "Rags To Riches (Project) (PROCONN)" devices ())
(name "pr_reflx" year "199?" manufacturer "Project" desc "Reflex (Project) (PROCONN)" devices ())
(name "pr_roadr" year "199?" manufacturer "Project" desc "Road Riot (Project) (PROCONN)" devices ())
(name "pr_roll" year "199?" manufacturer "Project" desc "The Roll (Project) (PROCONN)" devices ())
(name "pr_sevab" year "199?" manufacturer "Project" desc "Seven's Above (Project) (PROCONN)" devices ())
(name "pr_sevml" year "199?" manufacturer "Project" desc "Sevens & Melons (Project) (PROCONN)" devices ())
(name "pr_sptb" year "199?" manufacturer "Pcp" desc "Simply the Best (Pcp) (PROCONN?)" devices ())
(name "pr_supbr" year "199?" manufacturer "PCP" desc "Super Bars (PCP) (PROCONN)" devices ())
(name "pr_swop" year "199?" manufacturer "Ace" desc "Swop It (Ace)" devices ())
(name "pr_theme" year "199?" manufacturer "Project" desc "Theme Park (Project) (PROCONN)" devices ())
(name "pr_trktp" year "1999" manufacturer "Project" desc "Trick or Treat (Protocol?) (Project) (PROCONN)" devices ())
(name "pr_trktr" year "1999" manufacturer "Project" desc "Trick or Treat (Project) (PROCONN)" devices ())
(name "pr_trpx" year "199?" manufacturer "Project" desc "Triple X (Project) (PROCONN)" devices ())
(name "pr_ttrai" year "199?" manufacturer "Project" desc "Treasure Trail (Project) (PROCONN)" devices ())
(name "pr_upnun" year "199?" manufacturer "Project" desc "Up & Under (Project) (PROCONN)" devices ())
(name "pr_walls" year "199?" manufacturer "Project" desc "Wall Street (Project) (PROCONN)" devices ())
(name "pr_whlft" year "199?" manufacturer "Project" desc "Wheel Of Fortune (Project) (PROCONN)" devices ())
(name "pr_wldkn" year "199?" manufacturer "Project" desc "Wild Kings (Project) (PROCONN)" devices ())
(name "pr_wnstk" year "199?" manufacturer "Coinworld" desc "Winning Streak (Version 1.1) (Coinworld)" devices ())
(name "prav82" year "1982" manufacturer "Pravetz" desc "Pravetz 82" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "prav8c" year "1989" manufacturer "Pravetz" desc "Pravetz 8C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "prav8d" year "1985" manufacturer "Pravetz" desc "Pravetz 8D" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "prav8dd" year "1989" manufacturer "Pravetz" desc "Pravetz 8D (Disk ROM)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "prav8m" year "1985" manufacturer "Pravetz" desc "Pravetz 8M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "prc28su" year "1997" manufacturer "Atlus" desc "Print Club 2 Vol. 8 '97 Summer (J 970616 V1.100)" devices ())
(name "prc297wi" year "1997" manufacturer "Atlus" desc "Print Club 2 '97 Winter Ver (J 971017 V1.100, set 1)" devices ())
(name "prc297wia" year "1997" manufacturer "Atlus" desc "Print Club 2 '97 Winter Ver (J 971017 V1.100, set 2)" devices ())
(name "prc298au" year "1998" manufacturer "Atlus" desc "Print Club 2 '98 Autumn Ver (J 980827 V1.000)" devices ())
(name "prc298sp" year "1998" manufacturer "Atlus" desc "Print Club 2 '98 Spring Ver (J 971017 V1.100)" devices ())
(name "prc298su" year "1998" manufacturer "Atlus" desc "Print Club 2 '98 Summer Ver (J 980603 V1.100)" devices ())
(name "prc29au" year "1997" manufacturer "Atlus" desc "Print Club 2 Vol. 9 Autumn (J V1.100)" devices ())
(name "prc2ksu" year "2000" manufacturer "Atlus" desc "Print Club 2 2000 Summer (J 000509 V1.000)" devices ())
(name "prdgp03" year "2003" manufacturer "Namco" desc "Pride GP 2003 (PR21 Ver. A)" devices ())
(name "prehisle" year "1989" manufacturer "SNK" desc "Prehistoric Isle in 1930 (World)" devices ())
(name "prehisleb" year "1989" manufacturer "bootleg" desc "Prehistoric Isle in 1930 (World, bootleg)" devices ())
(name "prehislek" year "1989" manufacturer "SNK (Victor license)" desc "Wonsido 1930's (Korea)" devices ())
(name "prehisleu" year "1989" manufacturer "SNK" desc "Prehistoric Isle in 1930 (US)" devices ())
(name "preisle2" year "1999" manufacturer "Yumekobo / Saurus" desc "Prehistoric Isle 2" devices ((name "memcard" briefname "memc" ) ()))
(name "premiere" year "1992" manufacturer "Fidelity Electronics International" desc "Elite Premiere" devices ())
(name "prestige" year "1998" manufacturer "VTech" desc "PreComputer Prestige Elite" devices ((name "cartridge" briefname "cart" )))
(name "prestmpt" year "198?" manufacturer "Prestige" desc "Prestige Video Computer Game MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "prideaf" year "2005" manufacturer "Aristocrat" desc "Pride of Africa (10208511, NSW/ACT)" devices ())
(name "prikura" year "1996" manufacturer "Atlus" desc "Princess Clara Daisakusen (J 960910 V1.000)" devices ())
(name "primella" year "1994" manufacturer "Dooyong (NTC license)" desc "Primella (Japan, NTC license)" devices ())
(name "primevah" year "2008" manufacturer "Sega" desc "Primeval Hunt" devices ())
(name "primglex" year "1996" manufacturer "Namco" desc "Prime Goal EX (Japan, PG1/VER.A)" devices ())
(name "primoa32" year "1984" manufacturer "Microkey" desc "Primo A-32" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primoa48" year "1984" manufacturer "Microkey" desc "Primo A-48" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primoa64" year "1984" manufacturer "Microkey" desc "Primo A-64" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primob32" year "1984" manufacturer "Microkey" desc "Primo B-32" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primob48" year "1984" manufacturer "Microkey" desc "Primo B-48" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primob64" year "1984" manufacturer "Microkey" desc "Primo B-64" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primoc64" year "1984" manufacturer "Microkey" desc "Primo C-64" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "primrag2" year "1996" manufacturer "Atari" desc "Primal Rage 2 (Ver 0.36a)" devices ((name "harddisk" briefname "hard" )))
(name "primrage" year "1994" manufacturer "Atari Games" desc "Primal Rage (version 2.3, Jan 1995)" devices ())
(name "primrage20" year "1994" manufacturer "Atari Games" desc "Primal Rage (version 2.0)" devices ())
(name "primrageo" year "1994" manufacturer "Atari Games" desc "Primal Rage (version 2.3, Dec 1994)" devices ())
(name "primusex" year "198?" manufacturer "Yeno" desc "Primus Expert mit Stimme" devices ((name "cartridge" briefname "cart" )))
(name "princ" year "1997?" manufacturer "Tomy" desc "Prin-C Tablet" devices ((name "cartridge" briefname "cart" )))
(name "princess" year "1979" manufacturer "Stern" desc "Cosmic Princess" devices ())
(name "princnt" year "1996?" manufacturer "Tomy" desc "Prin-C (Rev 1)" devices ((name "cartridge" briefname "cart" )))
(name "princnt3" year "1996?" manufacturer "Tomy" desc "Prin-C (Rev 3)" devices ((name "cartridge" briefname "cart" )))
(name "prisma" year "1990" manufacturer "Saitek / Heuristic Software" desc "Kasparov Prisma" devices ())
(name "prmrsocr" year "1993" manufacturer "Konami" desc "Premier Soccer (ver EAB)" devices ())
(name "prmrsocrj" year "1993" manufacturer "Konami" desc "Premier Soccer (ver JAB)" devices ())
(name "prmtmfgt" year "1993" manufacturer "Taito America Corporation" desc "Prime Time Fighter (Ver 2.1A 1993/05/21) (New Version)" devices ())
(name "prmtmfgto" year "1993" manufacturer "Taito America Corporation" desc "Prime Time Fighter (Ver 2.1A 1993/05/21) (Old Version)" devices ())
(name "pro128" year "1986" manufacturer "Olivetti / Thomson" desc "Prodest PC 128" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "pro128s" year "1987" manufacturer "Olivetti" desc "Prodest PC 128S" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) () () (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" ) (name "romimage6" briefname "rom6" )))
(name "pro80" year "1981" manufacturer "Protec" desc "Pro-80" devices ((name "cassette" briefname "cass" )))
(name "probowl2" year "1996" manufacturer "Zuck / Able Corp" desc "Pro Bowl 2" devices ())
(name "procuss" year "1991" manufacturer "E-mu Systems" desc "Pro/Cussion Maximum Percussion Module" devices ())
(name "prodigy" year "1982" manufacturer "Applied Concepts" desc "Destiny Prodigy" devices ())
(name "prof180x" year "1986" manufacturer "Conitec Datensysteme" desc "PROF-180X" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "printout" briefname "prin" )))
(name "prof181x" year "1992" manufacturer "Conitec Datensysteme" desc "PROF-181X" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "printout" briefname "prin" )))
(name "prof80" year "1984" manufacturer "Conitec Datensysteme" desc "PROF-80" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "profi" year "1991" manufacturer "Kondor and Kramis" desc "Profi" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "profpac" year "1983" manufacturer "Dave Nutting Associates / Bally Midway" desc "Professor Pac-Man" devices ())
(name "profpc33" year "1990" manufacturer "Profex" desc "PC 33" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "profweis" year "1988" manufacturer "Video Technology / Yeno" desc "Professor Weiss-Alles" devices ((name "cartridge" briefname "cart" )))
(name "progear" year "2001" manufacturer "Cave (Capcom license)" desc "Progear (USA 010117)" devices ())
(name "progeara" year "2001" manufacturer "Cave (Capcom license)" desc "Progear (Asia 010117)" devices ())
(name "progearj" year "2001" manufacturer "Cave (Capcom license)" desc "Progear no Arashi (Japan 010117)" devices ())
(name "progearjbl" year "2001" manufacturer "bootleg" desc "Progear no Arashi (Japan 010117) (decrypted bootleg)" devices ())
(name "progearjd" year "2001" manufacturer "bootleg" desc "Progear no Arashi (Japan 010117 Phoenix Edition) (bootleg)" devices ())
(name "progearud" year "2001" manufacturer "bootleg" desc "Progear (USA 010117 Phoenix Edition) (bootleg)" devices ())
(name "progolf" year "1981" manufacturer "Data East Corporation" desc "18 Holes Pro Golf (set 1)" devices ())
(name "progolfa" year "1981" manufacturer "Data East Corporation" desc "18 Holes Pro Golf (set 2)" devices ())
(name "progress" year "1984" manufacturer "Chuo Co. Ltd" desc "Progress" devices ())
(name "prolite286" year "198?" manufacturer "CAF" desc "Prolite 286/16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "promutrv" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Progressive Music Trivia (Question set 1)" devices ())
(name "promutrva" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Progressive Music Trivia (Question set 2)" devices ())
(name "promutrvb" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Progressive Music Trivia (Question set 3)" devices ())
(name "promutrvc" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Progressive Music Trivia (Question set 4)" devices ())
(name "propcycl" year "1996" manufacturer "Namco" desc "Prop Cycle (World, PR2 Ver.A)" devices ())
(name "propcyclj" year "1996" manufacturer "Namco" desc "Prop Cycle (Japan, PR1 Ver.A)" devices ())
(name "prophecy" year "2004" manufacturer "Aristocrat" desc "Prophecy (20173411, NSW/ACT)" devices ())
(name "prose2k" year "1987" manufacturer "Telesensory Systems Inc/Speech Plus" desc "Prose 2000/2020 v3.4.1" devices ())
(name "prose2ko" year "1982" manufacturer "Telesensory Systems Inc/Speech Plus" desc "Prose 2000/2020 v1.1" devices ())
(name "prosoccr" year "1983" manufacturer "Data East Corporation" desc "Pro Soccer" devices ())
(name "prosport" year "1983" manufacturer "Data East Corporation" desc "Pro Sports - Bowling, Tennis, and Golf" devices ())
(name "prosporta" year "1983" manufacturer "Data East Corporation (Digital Controls license)" desc "Pro Sports - Bowling, Tennis, and Golf (USA)" devices ())
(name "protenn" year "1982" manufacturer "Data East Corporation" desc "Pro Tennis (Japan)" devices ())
(name "protennb" year "1982" manufacturer "bootleg" desc "Tennis (bootleg of Pro Tennis)" devices ())
(name "proteus" year "1982" manufacturer "Polycorp" desc "Poly Proteus (Standalone)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "proteus1" year "1989" manufacturer "E-mu Systems" desc "Proteus/1 16-Bit Multi-Timbral Digital Sound Module" devices ())
(name "proteus3" year "1978" manufacturer "Proteus International" desc "Proteus III" devices ((name "cassette" briefname "cass" )))
(name "proteusxr" year "1989" manufacturer "E-mu Systems" desc "Proteus/1 XR 16-Bit Multi-Timbral Digital Sound Module" devices ())
(name "protpp" year "200?" manufacturer "Protocol" desc "Virtual Ping Pong (Protocol)" devices ())
(name "prpht600" year "1983" manufacturer "Sequential Circuits" desc "Prophet-600" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "prsarcde" year "1988" manufacturer "Telegames" desc "Personal Arcade" devices ((name "cartridge" briefname "cart" )))
(name "prschess" year "1982" manufacturer "SciSys / Heuristic Software" desc "President Chess" devices ())
(name "prtyanim" year "1987" manufacturer "Bally" desc "Party Animal" devices ())
(name "prtyanimg" year "1987" manufacturer "Bally" desc "Party Animal (German)" devices ())
(name "prtytime" year "1995" manufacturer "Mitchell" desc "Party Time: Gonta the Diver II / Ganbare! Gonta!! 2 (World Release)" devices ())
(name "przfight" year "1996" manufacturer "Aristocrat" desc "Prize Fight (0100299V, NSW/ACT)" devices ())
(name "przonegd" year "1997" manufacturer "Lazer-Tron" desc "Prize Zone Gold (USA, v2.01)" devices ((name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ps2" year "2000" manufacturer "Sony" desc "PlayStation 2" devices ())
(name "ps400" year "1982" manufacturer "Yamaha" desc "PS-400" devices ())
(name "psa" year "1995" manufacturer "Sony Computer Entertainment Inc" desc "Sony PlayStation (Asia-Pacific)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "quickload" briefname "quik" ) (name "cdrom" briefname "cdrm" )))
(name "psailor1" year "1994" manufacturer "Sphinx" desc "Bishoujo Janshi Pretty Sailor 18-kin (Japan)" devices ())
(name "psailor2" year "1994" manufacturer "Sphinx" desc "Bishoujo Janshi Pretty Sailor 2 (Japan)" devices ())
(name "psattack" year "2004" manufacturer "Uniana" desc "P's Attack" devices ((name "harddisk" briefname "hard" )))
(name "pse" year "1995" manufacturer "Sony Computer Entertainment Inc" desc "Sony PlayStation (Europe)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "quickload" briefname "quik" ) (name "cdrom" briefname "cdrm" )))
(name "psi98" year "1984" manufacturer "Kontron" desc "PSI98" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "psion1" year "1984" manufacturer "Psion" desc "Organiser I" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psion3" year "1991" manufacturer "Psion" desc "Series 3" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a" year "1993" manufacturer "Psion" desc "Series 3a" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a2" year "1995" manufacturer "Psion" desc "Series 3a (2M)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a2_de" year "1995" manufacturer "Psion" desc "Series 3a (2M) (German)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a2_it" year "1995" manufacturer "Psion" desc "Series 3a (2M) (Italian)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a2_ru" year "1997" manufacturer "Psion" desc "Series 3a (2M) (Russian)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3a2_us" year "1995" manufacturer "Psion" desc "Series 3a (2M) (US)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3c" year "1996" manufacturer "Psion" desc "Series 3c" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3mx" year "1998" manufacturer "Psion" desc "Series 3mx" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3mx_fr" year "1998" manufacturer "Psion" desc "Series 3mx (French)" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion3s" year "1994" manufacturer "Psion" desc "Series 3s" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psion5mx" year "1999" manufacturer "Psion" desc "Series 5mx" devices ())
(name "psioncm" year "1986" manufacturer "Psion" desc "Organiser II CM" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionhc100" year "1991" manufacturer "Psion" desc "HC 100" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psionhc110" year "1991" manufacturer "Psion" desc "HC 110" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psionhc120" year "1991" manufacturer "Psion" desc "HC 120" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psionla" year "1986" manufacturer "Psion" desc "Organiser II LA" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionlam" year "1986" manufacturer "Psion" desc "Organiser II LAM" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionlz" year "1989" manufacturer "Psion" desc "Organiser II LZ" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionlz64" year "1989" manufacturer "Psion" desc "Organiser II LZ64" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionlz64s" year "1989" manufacturer "Psion" desc "Organiser II LZ64S" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionp200" year "1986" manufacturer "Psion" desc "Organiser II P200" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionp350" year "1986" manufacturer "Psion" desc "Organiser II P350" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionp464" year "1989" manufacturer "Psion" desc "Organiser II P464" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psionwa" year "1995" manufacturer "Psion" desc "Workabout" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psionwamx" year "1998" manufacturer "Psion" desc "Workabout mx" devices ((name "ssd1" briefname "ssd1" ) (name "ssd2" briefname "ssd2" )))
(name "psionxp" year "1986" manufacturer "Psion" desc "Organiser II XP" devices ((name "datapack1" briefname "dpak1" ) (name "datapack2" briefname "dpak2" )))
(name "psj" year "1994" manufacturer "Sony Computer Entertainment Inc" desc "Sony PlayStation (Japan)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "quickload" briefname "quik" ) (name "cdrom" briefname "cdrm" )))
(name "psmash3" year "2006" manufacturer "Sega" desc "Power Smash 3 / Virtua Tennis 3 (Export)" devices ())
(name "psoldier" year "1993" manufacturer "Irem" desc "Perfect Soldiers (Japan)" devices ())
(name "pspikes" year "1991" manufacturer "Video System Co." desc "Power Spikes (World)" devices ())
(name "pspikes2" year "1994" manufacturer "Video System Co." desc "Power Spikes II (NGM-068)" devices ((name "memcard" briefname "memc" ) ()))
(name "pspikesb" year "1991" manufacturer "bootleg" desc "Power Spikes (bootleg)" devices ())
(name "pspikesba" year "1991" manufacturer "bootleg (Playmark?)" desc "Power Spikes (Italian bootleg)" devices ())
(name "pspikesc" year "1991" manufacturer "bootleg" desc "Power Spikes (China, bootleg)" devices ())
(name "pspikesk" year "1991" manufacturer "Video System Co." desc "Power Spikes (Korea)" devices ())
(name "pspikesu" year "1991" manufacturer "Video System Co." desc "Power Spikes (US)" devices ())
(name "psr11" year "1986" manufacturer "Yamaha" desc "Portatone PSR-11" devices ())
(name "psr110" year "1993" manufacturer "Yamaha" desc "PSR-110" devices ())
(name "psr150" year "1992" manufacturer "Yamaha" desc "PSR-150" devices ())
(name "psr16" year "1988" manufacturer "Yamaha" desc "PSR-16" devices ())
(name "psr160" year "2000" manufacturer "Yamaha" desc "PSR-160" devices ())
(name "psr180" year "1994" manufacturer "Yamaha" desc "PSR-180" devices ())
(name "psr190" year "1996" manufacturer "Yamaha" desc "PSR-190" devices ())
(name "psr2000" year "2001" manufacturer "Yamaha" desc "PSR-2000" devices ())
(name "psr260" year "2000" manufacturer "Yamaha" desc "PSR-260" devices ())
(name "psr340" year "1994" manufacturer "Yamaha" desc "PSR-340 PortaSound" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "psr36" year "1988" manufacturer "Yamaha" desc "PSR-36" devices ())
(name "psr40" year "1985" manufacturer "Yamaha" desc "PSR-40" devices ())
(name "psr500" year "1991" manufacturer "Yamaha" desc "PSR-500" devices ())
(name "psr540" year "1999" manufacturer "Yamaha" desc "PSR540" devices ((name "floppydisk" briefname "flop" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "psr60" year "1985" manufacturer "Yamaha" desc "PSR-60 PortaSound" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "psr70" year "1985" manufacturer "Yamaha" desc "PSR-70 PortaSound" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "psr75" year "1992" manufacturer "Yamaha" desc "PSR-75" devices ())
(name "psr76" year "1994" manufacturer "Yamaha" desc "PSR-76" devices ())
(name "psr78" year "1996" manufacturer "Yamaha" desc "PSR-78" devices ())
(name "psr79" year "1998" manufacturer "Yamaha" desc "PSR-79" devices ())
(name "psrockmn" year "1992" manufacturer "Capcom" desc "Panic Shot Rockman" devices ())
(name "pss11" year "1992" manufacturer "Yamaha" desc "PSS-11" devices ())
(name "pss12" year "1994" manufacturer "Yamaha" desc "PSS-12" devices ())
(name "pss21" year "1992" manufacturer "Yamaha" desc "PSS-21" devices ())
(name "pss31" year "1992" manufacturer "Yamaha" desc "PSS-31" devices ())
(name "pss480" year "1988" manufacturer "Yamaha" desc "PSS-480 / PSS-580" devices ())
(name "pss6" year "1994" manufacturer "Yamaha" desc "PSS-6" devices ())
(name "pss61" year "1994" manufacturer "Nintendo" desc "Super Mario Kart / Super Mario Collection / Star Fox (Super Famicom Box)" devices ())
(name "pss62" year "1994" manufacturer "T&E Soft / I'Max" desc "New Super 3D Golf Simulation - Waialae no Kiseki / Super Mahjong 2 (Super Famicom Box)" devices ())
(name "pss63" year "1994" manufacturer "Nintendo / BPS" desc "Super Donkey Kong / Super Tetris 2 + Bombliss (Super Famicom Box)" devices ())
(name "pss64" year "199?" manufacturer "Nintendo / Hudson Soft" desc "Super Donkey Kong / Super Bomberman 2 (Super Famicom Box)" devices ())
(name "pss680" year "1988" manufacturer "Yamaha" desc "PSS-680" devices ())
(name "pss780" year "1989" manufacturer "Yamaha" desc "PSS-780" devices ())
(name "pstadium" year "1990" manufacturer "Nichibutsu" desc "Mahjong Panic Stadium (Japan)" devices ())
(name "pstlpkr" year "1993" manufacturer "Alvin G" desc "Pistol Poker (R02)" devices ())
(name "pstlpkr1" year "1993" manufacturer "Alvin G" desc "Pistol Poker (R01)" devices ())
(name "pstone" year "1999" manufacturer "Capcom" desc "Power Stone" devices ())
(name "pstone2" year "2000" manufacturer "Capcom" desc "Power Stone 2" devices ())
(name "pstone2b" year "2000" manufacturer "Capcom" desc "Power Stone 2 (bootleg)" devices ())
(name "psu" year "1995" manufacturer "Sony Computer Entertainment Inc" desc "Sony PlayStation (USA)" devices ((name "memcard1" briefname "memc1" ) (name "memcard2" briefname "memc2" ) (name "quickload" briefname "quik" ) (name "cdrom" briefname "cdrm" )))
(name "psurge" year "1988" manufacturer "Vision Electronics" desc "Power Surge" devices ())
(name "psychic5" year "1987" manufacturer "Jaleco / NMK" desc "Psychic 5 (World)" devices ())
(name "psychic5j" year "1987" manufacturer "Jaleco / NMK" desc "Psychic 5 (Japan)" devices ())
(name "psychos" year "1987" manufacturer "SNK" desc "Psycho Soldier (US)" devices ())
(name "psychosj" year "1987" manufacturer "SNK" desc "Psycho Soldier (Japan)" devices ())
(name "psyforce" year "1995" manufacturer "Taito" desc "Psychic Force (Ver 2.4O)" devices ())
(name "psyforcej" year "1995" manufacturer "Taito" desc "Psychic Force (Ver 2.4J)" devices ())
(name "psyforcex" year "1995" manufacturer "Taito" desc "Psychic Force EX (Ver 2.0J)" devices ())
(name "psyvar2" year "2003" manufacturer "Success" desc "Psyvariar 2 - The Will To Fabricate (Japan) (GDL-0024)" devices ((name "cdrom" briefname "cdrm" )))
(name "psyvaria" year "2000" manufacturer "Success" desc "Psyvariar -Medium Unit- (V2.02O 2000/02/22 13:00)" devices ((name "harddisk" briefname "hard" )))
(name "psyvarij" year "2000" manufacturer "Success" desc "Psyvariar -Medium Unit- (V2.04J 2000/02/15 11:00)" devices ((name "harddisk" briefname "hard" )))
(name "psyvarrv" year "2000" manufacturer "Success" desc "Psyvariar -Revision- (V2.04J 2000/08/11 22:00)" devices ((name "harddisk" briefname "hard" )))
(name "pt319a" year "199?" manufacturer "Pine" desc "PT-319A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pt430" year "199?" manufacturer "Pine Technology" desc "PT-430" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pt432b" year "199?" manufacturer "Pine Technology" desc "PT-432b aka SR-M401-A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pt581392" year "199?" manufacturer "<unknown>" desc "386 motherboard using the Forex FRX46C402 + FRX46C411 + SiS 85C206 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pt68k2" year "1988" manufacturer "Peripheral Technology" desc "PT68K2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pt68k4" year "1990" manufacturer "Peripheral Technology" desc "PT68K4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ptblank" year "1994" manufacturer "Namco" desc "Point Blank (World, GN2 Rev B, set 1)" devices ())
(name "ptblank2" year "1999" manufacturer "Namco" desc "Point Blank 2 (World, GNB5/VER.A)" devices ())
(name "ptblank2a" year "1999" manufacturer "Namco" desc "Point Blank 2 (World, GNB2/VER.A)" devices ())
(name "ptblank2b" year "1999" manufacturer "Namco" desc "Point Blank 2 (World, GNB2/VER.A alt)" devices ())
(name "ptblank2c" year "1999" manufacturer "Namco" desc "Point Blank 2 (World, unknown version)" devices ())
(name "ptblank2ua" year "1999" manufacturer "Namco" desc "Point Blank 2 (US, GNB3/VER.A)" devices ())
(name "ptblank3" year "2000" manufacturer "Namco" desc "Point Blank 3 (World, GNN2 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ptblanka" year "1994" manufacturer "Namco" desc "Point Blank (World, GN2 Rev B, set 2)" devices ())
(name "ptc100" year "198?" manufacturer "Grundig" desc "PTC-100" devices ())
(name "ptmb457" year "199?" manufacturer "PowerTech" desc "MB457" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ptrain" year "1999" manufacturer "Subsino" desc "Panda Train (Novamatic 1.7)" devices ())
(name "ptraina" year "1999" manufacturer "Subsino" desc "Panda Train (Ver. 1.3)" devices ())
(name "ptrmj" year "1979" manufacturer "Irem" desc "PT Reach Mahjong (Japan)" devices ())
(name "pturn" year "1984" manufacturer "Jaleco" desc "Parallel Turn" devices ())
(name "pubball" year "1996" manufacturer "Midway / Incredible Technologies" desc "Power Up Baseball (prototype)" devices ())
(name "pubtimed" year "1987" manufacturer "Merit-Nomac Industries" desc "Pub Time Darts" devices ())
(name "pubtimed2ch" year "1992" manufacturer "Merit" desc "Pub Time Darts II Plus 2 with Solo Challenger (Mar 24, 1992)" devices ())
(name "puchicar" year "1997" manufacturer "Taito Corporation" desc "Puchi Carat (Ver 2.02O 1997/10/29)" devices ())
(name "puchicarj" year "1997" manufacturer "Taito Corporation" desc "Puchi Carat (Ver 2.02J 1997/10/29)" devices ())
(name "puchicaru" year "1997" manufacturer "Taito America Corporation" desc "Puchi Carat (Ver 2.04A 1997/11/08)" devices ())
(name "puckimon" year "1982" manufacturer "Romtec" desc "Pucki & Monsters" devices ())
(name "puckman" year "1980" manufacturer "Namco" desc "Puck Man (Japan set 1)" devices ())
(name "puckmana" year "1980" manufacturer "bootleg (Alca)" desc "Puck Man (Alca bootleg)" devices ())
(name "puckmanb" year "1980" manufacturer "bootleg" desc "Puck Man (bootleg set 1)" devices ())
(name "puckmanf" year "1980" manufacturer "hack" desc "Puck Man (speedup hack)" devices ())
(name "puckmanh" year "1980" manufacturer "bootleg (Falcom?)" desc "Puck Man (bootleg set 2)" devices ())
(name "puckmod" year "1981" manufacturer "Namco" desc "Puck Man (Japan set 2)" devices ())
(name "puckpepl" year "199?" manufacturer "Microhard" desc "Puck People" devices ())
(name "puckpkmn" year "2000" manufacturer "Sun Mixing" desc "Puckman Pockimon Genie 2000" devices ())
(name "puckpkmnb" year "2000" manufacturer "bootleg" desc "Puckman Pockimon Genie 2000 (bootleg)" devices ())
(name "pulirula" year "1991" manufacturer "Taito Corporation Japan" desc "PuLiRuLa (World)" devices ())
(name "pulirulaa" year "1991" manufacturer "Taito Corporation" desc "PuLiRuLa (World, earlier?)" devices ())
(name "pulirulaj" year "1991" manufacturer "Taito Corporation" desc "PuLiRuLa (Japan)" devices ())
(name "pulltabs" year "1983" manufacturer "Game-A-Tron" desc "Pull Tabs" devices ())
(name "pullttrig" year "2003" manufacturer "Digital Silkroad" desc "Pull The Trigger" devices ())
(name "pulsar" year "1981" manufacturer "Sega" desc "Pulsar" devices ())
(name "pulsarlb" year "1981" manufacturer "Pulsar" desc "Little Big Board (6000 series)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pulstar" year "1995" manufacturer "Aicom" desc "Pulstar" devices ((name "memcard" briefname "memc" ) ()))
(name "pumpactv" year "200?" manufacturer "Giggle" desc "TV Pump Active" devices ())
(name "pumpit1" year "1999" manufacturer "Andamiro" desc "Pump It Up: The 1st Dance Floor (ver 0.53.1999.9.31)" devices ((name "cdrom" briefname "cdrm" )))
(name "punchita" year "1984" manufacturer "bootleg" desc "Punch-Out!! (Italian bootleg)" devices ())
(name "punchkid" year "1981" manufacturer "Irem" desc "Punching Kid (Japan)" devices ())
(name "punchout" year "1984" manufacturer "Nintendo" desc "Punch-Out!! (Rev B)" devices ())
(name "punchouta" year "1984" manufacturer "Nintendo" desc "Punch-Out!! (Rev A)" devices ())
(name "punchoutj" year "1984" manufacturer "Nintendo" desc "Punch-Out!! (Japan)" devices ())
(name "punchy" year "1993" manufacturer "Alvin G" desc "Punchy The Clown (R02)" devices ())
(name "punchy3" year "1993" manufacturer "Alvin G" desc "Punchy The Clown (R03)" devices ())
(name "punipic" year "1993" manufacturer "bootleg" desc "The Punisher (bootleg with PIC16C57, set 1)" devices ())
(name "punipic2" year "1993" manufacturer "bootleg" desc "The Punisher (bootleg with PIC16C57, set 2)" devices ())
(name "punipic3" year "1993" manufacturer "bootleg" desc "The Punisher (bootleg with PIC16C57, set 3)" devices ())
(name "punisher" year "1993" manufacturer "Capcom" desc "The Punisher (World 930422)" devices ())
(name "punisherbz" year "1993" manufacturer "bootleg" desc "Biaofeng Zhanjing (Chinese bootleg of The Punisher)" devices ())
(name "punisherh" year "1993" manufacturer "Capcom" desc "The Punisher (Hispanic 930422)" devices ())
(name "punisherj" year "1993" manufacturer "Capcom" desc "The Punisher (Japan 930422)" devices ())
(name "punisheru" year "1993" manufacturer "Capcom" desc "The Punisher (USA 930422)" devices ())
(name "punk" year "1982" manufacturer "Gottlieb" desc "Punk!" devices ())
(name "punkshot" year "1990" manufacturer "Konami" desc "Punk Shot (US 4 Players)" devices ())
(name "punkshot2" year "1990" manufacturer "Konami" desc "Punk Shot (US 2 Players)" devices ())
(name "punkshot2e" year "1990" manufacturer "Konami" desc "Punk Shot (World 2 Players)" devices ())
(name "punkshotj" year "1990" manufacturer "Konami" desc "Punk Shot (Japan 2 Players)" devices ())
(name "punkywil" year "1986" manufacturer "Joctronic" desc "Punky Willy" devices ())
(name "pururun" year "1995" manufacturer "Metro / Banpresto" desc "Pururun (set 1)" devices ())
(name "pururuna" year "1995" manufacturer "Metro / Banpresto" desc "Pururun (set 2)" devices ())
(name "pushman" year "1990" manufacturer "Comad" desc "Pushman (Korea, set 1)" devices ())
(name "pushmana" year "1990" manufacturer "Comad" desc "Pushman (Korea, set 2)" devices ())
(name "pushmans" year "1990" manufacturer "Comad (American Sammy license)" desc "Pushman (American Sammy license)" devices ())
(name "pushmant" year "1990" manufacturer "Comad (Top Tronic license)" desc "Pushman (Top Tronic license)" devices ())
(name "pushover" year "1981" manufacturer "Summit Coin" desc "Push-Over (Summit Coin)" devices ())
(name "puyo" year "1992" manufacturer "Compile / Sega" desc "Puyo Puyo (World)" devices ())
(name "puyobl" year "1992" manufacturer "bootleg" desc "Puyo Puyo (World, bootleg)" devices ())
(name "puyoda" year "1999" manufacturer "Compile" desc "Puyo Puyo Da! (Japan)" devices ())
(name "puyofev" year "2003" manufacturer "Sega" desc "Puyo Pop Fever (World) (GDS-0034)" devices ((name "cdrom" briefname "cdrm" )))
(name "puyofevj" year "2003" manufacturer "Sega" desc "Puyo Puyo Fever (Japan) (GDS-0031)" devices ((name "cdrom" briefname "cdrm" )))
(name "puyofevp" year "2003" manufacturer "Sega" desc "Puyo Puyo Fever (prototype ver 0.01)" devices ())
(name "puyoj" year "1992" manufacturer "Compile / Sega" desc "Puyo Puyo (Japan, Rev B)" devices ())
(name "puyoja" year "1992" manufacturer "Compile / Sega" desc "Puyo Puyo (Japan, Rev A)" devices ())
(name "puyomedal" year "2009" manufacturer "Sega" desc "Puyo Puyo! The Medal Edition" devices ())
(name "puyopuy2" year "1994" manufacturer "Compile (Sega license)" desc "Puyo Puyo 2 (Japan)" devices ())
(name "puyosun" year "1996" manufacturer "Compile" desc "Puyo Puyo Sun (J 961115 V0.001)" devices ())
(name "puzlbang" year "1999" manufacturer "Omega System" desc "Puzzle Bang Bang (Korea, version 2.9 / 990108)" devices ())
(name "puzlbanga" year "1999" manufacturer "Omega System" desc "Puzzle Bang Bang (Korea, version 2.8 / 990106)" devices ())
(name "puzlclub" year "1990" manufacturer "Namco" desc "Puzzle Club (Japan prototype)" devices ())
(name "puzldama" year "1994" manufacturer "Konami" desc "Taisen Puzzle-dama (ver JAA)" devices ())
(name "puzlstar" year "1999" manufacturer "IGS (Metro license)" desc "Puzzle Star / Mohuan Xingzuo (ver. 100MG, 09/30/99 build)" devices ())
(name "puzlstara" year "1999" manufacturer "IGS (Metro license)" desc "Puzzle Star / Mohuan Xingzuo (ver. 100MG, 09/20/99 build)" devices ())
(name "puzzball" year "2002" manufacturer "Namco" desc "Puzz Ball (Japan, PZB1 Ver.C)" devices ((name "cdrom" briefname "cdrm" )))
(name "puzzballa" year "2002" manufacturer "Namco" desc "Puzz Ball (Japan, PZB1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "puzzldpr" year "1997" manufacturer "Visco" desc "Puzzle De Pon! R!" devices ((name "memcard" briefname "memc" ) ()))
(name "puzzledp" year "1995" manufacturer "Visco" desc "Puzzle De Pon!" devices ((name "memcard" briefname "memc" ) ()))
(name "puzzlekg" year "1998" manufacturer "Eolith" desc "Puzzle King (Dance & Puzzle)" devices ())
(name "puzzleme" year "199?" manufacturer "Impera" desc "Puzzle Me!" devices ())
(name "puzzlet" year "2000" manufacturer "Unies Corporation" desc "Puzzlet (Japan)" devices ())
(name "puzzli" year "1995" manufacturer "Metro / Banpresto" desc "Puzzli (revision B)" devices ())
(name "puzzli2" year "1999" manufacturer "IGS (Metro license)" desc "Puzzli 2 / Pao Pao Yu (ver. 100)" devices ())
(name "puzzli2s" year "2001" manufacturer "IGS (Metro license)" desc "Puzzli 2 Super / Pao Pao Yu Super (ver. 200)" devices ())
(name "puzzlia" year "1995" manufacturer "Metro / Banpresto" desc "Puzzli (revision A)" devices ())
(name "puzzloop" year "1998" manufacturer "Mitchell" desc "Puzz Loop (Europe, v0.94)" devices ())
(name "puzzloopa" year "1998" manufacturer "Mitchell" desc "Puzz Loop (Asia)" devices ())
(name "puzzloope" year "1998" manufacturer "Mitchell" desc "Puzz Loop (Europe, v0.93)" devices ())
(name "puzzloopj" year "1998" manufacturer "Mitchell" desc "Puzz Loop (Japan)" devices ())
(name "puzzloopk" year "1998" manufacturer "Mitchell" desc "Puzz Loop (Korea)" devices ())
(name "puzzloopu" year "1998" manufacturer "Mitchell" desc "Puzz Loop (USA)" devices ())
(name "puzzlove" year "1994" manufacturer "Para" desc "PuzzLove" devices ())
(name "puzzlovek" year "1994" manufacturer "Para" desc "PuzzLove (Korea)" devices ())
(name "puzznic" year "1989" manufacturer "Taito Corporation Japan" desc "Puzznic (World)" devices ())
(name "puzznicb" year "1989" manufacturer "bootleg" desc "Puzznic (bootleg, set 1)" devices ())
(name "puzznicba" year "1989" manufacturer "bootleg" desc "Puzznic (bootleg, set 2)" devices ())
(name "puzznici" year "1989" manufacturer "bootleg" desc "Puzznic (Italian bootleg)" devices ())
(name "puzznicj" year "1989" manufacturer "Taito Corporation" desc "Puzznic (Japan)" devices ())
(name "puzznicu" year "1989" manufacturer "Taito America Corporation" desc "Puzznic (US)" devices ())
(name "pv1000" year "1983" manufacturer "Casio" desc "PV-1000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "pv16" year "1985" manufacturer "Casio" desc "PV-16 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "pv2000" year "1983" manufacturer "Casio" desc "PV-2000" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "pv7" year "1984" manufacturer "Casio" desc "PV-7 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "pv9234" year "1997" manufacturer "Scientific Atlanta" desc "PowerVu D9234" devices ())
(name "pve500" year "1995" manufacturer "SONY" desc "PVE-500" devices ())
(name "pvmil" year "2006" manufacturer "Play Vision" desc "Who Wants to Be a Millionaire? (Play Vision, Plug and Play, UK, 16-bit version)" devices ())
(name "pvmil8" year "2005" manufacturer "Play Vision" desc "Who Wants to Be a Millionaire? (Play Vision, Plug and Play, UK, 8-bit version)" devices ())
(name "pvmilfin" year "2005" manufacturer "Play Vision" desc "Haluatko miljonääriksi? (Finland)" devices ())
(name "pvwwcas" year "2005" manufacturer "Play Vision / Taikee / V-Tac" desc "Worldwide Casino Tour 12-in-1" devices ())
(name "pwaih4077c" year "199?" manufacturer "Mitac" desc "PWA-IH4077C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pwaih4077d" year "199?" manufacturer "Mitac" desc "PWA-IH4077D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "pwb7270e" year "198?" manufacturer "Advanced Logic Research" desc "PWB 7270 REV E" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "pwball" year "199?" manufacturer "TCH" desc "Power Ball (prototype)" devices ())
(name "pwerplay" year "1978" manufacturer "Bally" desc "Power Play (Pinball)" devices ())
(name "pwheelsj" year "1991" manufacturer "Taito Corporation" desc "Power Wheels (Japan, Rev 2, Linkable)" devices ())
(name "pwp14" year "1986" manufacturer "Smith Corona" desc "PWP System 14" devices ())
(name "pwrchanc" year "1999" manufacturer "Konami" desc "Powerful Chance" devices ())
(name "pwrflip" year "1994" manufacturer "Excellent System" desc "Power Flipper Pinball Shooting (v1.33)" devices ())
(name "pwrgoal" year "1994" manufacturer "Taito Corporation Japan" desc "Taito Power Goal (Ver 2.5O 1994/11/03)" devices ())
(name "pwrinst2" year "1994" manufacturer "Atlus" desc "Power Instinct 2 (US, Ver. 94.04.08, set 1)" devices ())
(name "pwrinst2a" year "1994" manufacturer "Atlus" desc "Power Instinct 2 (US, Ver. 94.04.08, set 2)" devices ())
(name "pwrinst2j" year "1994" manufacturer "Atlus" desc "Gouketsuji Ichizoku 2 (Japan, Ver. 94.04.08)" devices ())
(name "pwrkick" year "1994" manufacturer "Sunwise" desc "Power Kick (Japan)" devices ())
(name "pwrmacg3" year "1997" manufacturer "Apple Computer" desc "Power Macintosh G3" devices ((name "floppydisk" briefname "flop" )))
(name "pwrshovl" year "1999" manufacturer "Taito" desc "Power Shovel ni Norou!! - Power Shovel Simulator (v2.07J)" devices ((name "harddisk" briefname "hard" )))
(name "pwrshovla" year "1999" manufacturer "Taito" desc "Power Shovel ni Norou!! - Power Shovel Simulator (v2.07J, alt)" devices ((name "harddisk" briefname "hard" )))
(name "pwrview" year "1984" manufacturer "Compugraphic" desc "MCS PowerView 10" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pwsuper" year "200?" manufacturer "Aristocrat" desc "Player's World - Super (0154019, US)" devices ())
(name "px4" year "1985" manufacturer "Epson" desc "PX-4" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "px486p3" year "199?" manufacturer "QDI" desc "PX486P3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "px4p" year "1985" manufacturer "Epson" desc "PX-4+" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "px8" year "1984" manufacturer "Epson" desc "PX-8" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cassette" briefname "cass" )))
(name "py2k2" year "2001" manufacturer "IGS" desc "Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (M101XX 05/25/01 11:02:54)" devices ())
(name "py2k2100" year "2000" manufacturer "IGS" desc "Photo Y2K 2 / Chaoji Bi Yi Bi 2 / Dajia Lai Zhao Cha 2 / Real and Fake 2 Photo Y2K (ver. 100, Japanese Board)" devices ())
(name "pyenaget" year "2000" manufacturer "Sammy" desc "Pye-nage Taikai" devices ())
(name "pyl601" year "1989" manufacturer "Mikroelektronika" desc "Pyldin-601" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pyl601a" year "1989" manufacturer "Mikroelektronika" desc "Pyldin-601A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "pylo" year "1988" manufacturer "Tiger" desc "Punch Your Lights Out" devices ())
(name "pyramid" year "1996" manufacturer "BFM/ELAM" desc "Pyramid (Dutch, Game Card 95-750-898)" devices ())
(name "pyros" year "1987" manufacturer "Toaplan / Taito America Corporation" desc "Pyros (US)" devices ())
(name "pyuuta" year "1982" manufacturer "Tomy" desc "Tomy Pyuuta" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "pyuutajr" year "1983" manufacturer "Tomy" desc "Tomy Pyuuta Jr." devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "pz_f4" year "1991" manufacturer "Bally" desc "The Party Zone (F-4)" devices ())
(name "pz_l1" year "1991" manufacturer "Bally" desc "The Party Zone (L-1)" devices ())
(name "pz_l2" year "1991" manufacturer "Bally" desc "The Party Zone (L-2)" devices ())
(name "pz_l3" year "1991" manufacturer "Bally" desc "The Party Zone (L-3)" devices ())
(name "pzlbowl" year "1999" manufacturer "Nihon System / MOSS" desc "Puzzle De Bowling (Japan)" devices ())
(name "pzlbreak" year "1997" manufacturer "SemiCom / Tirano" desc "Puzzle Break (set 1)" devices ())
(name "pzlbreaka" year "1997" manufacturer "SemiCom / Tirano" desc "Puzzle Break (set 2)" devices ())
(name "pzlestar" year "1991" manufacturer "Sang Ho Soft" desc "Puzzle Star (Sang Ho Soft)" devices ())
(name "pzletime" year "199?" manufacturer "Elettronica Video-Games S.R.L." desc "Puzzle Time (prototype)" devices ())
(name "pzloop2" year "2001" manufacturer "Mitchell (Capcom license)" desc "Puzz Loop 2 (Europe 010302)" devices ())
(name "pzloop2j" year "2001" manufacturer "Mitchell (Capcom license)" desc "Puzz Loop 2 (Japan 010226)" devices ())
(name "pzloop2jd" year "2001" manufacturer "bootleg" desc "Puzz Loop 2 (Japan 010226 Phoenix Edition) (bootleg)" devices ())
(name "pzloop2jr1" year "2001" manufacturer "Mitchell (Capcom license)" desc "Puzz Loop 2 (Japan 010205)" devices ())
(name "q5_500in1" year "201?" manufacturer "<unknown>" desc "Q5 500 in 1 Handheld" devices ())
(name "qad" year "1992" manufacturer "Capcom" desc "Quiz & Dragons: Capcom Quiz Game (USA 920701)" devices ())
(name "qadjr" year "1994" manufacturer "Capcom" desc "Quiz & Dragons: Capcom Quiz Game (Japan Resale Ver. 940921)" devices ())
(name "qb3" year "1982" manufacturer "Rock-Ola" desc "QB-3 (prototype)" devices ())
(name "qbeebing" year "2003" manufacturer "Subsino" desc "Queen Bee Bingo" devices ())
(name "qbert" year "1982" manufacturer "Gottlieb" desc "Q*bert (US set 1)" devices ())
(name "qberta" year "1982" manufacturer "Gottlieb" desc "Q*bert (US set 2)" devices ())
(name "qbertj" year "1982" manufacturer "Gottlieb (Konami license)" desc "Q*bert (Japan)" devices ())
(name "qbertqub" year "1983" manufacturer "Mylstar" desc "Q*bert's Qubes" devices ())
(name "qberttst" year "1982" manufacturer "Gottlieb" desc "Q*bert (early test version)" devices ())
(name "qbquest" year "1983" manufacturer "Gottlieb" desc "Q*Bert's Quest" devices ())
(name "qbtrktst" year "1982" manufacturer "Gottlieb" desc "Q*bert Board Input Test Rom" devices ())
(name "qc" year "1995" manufacturer "ArJay Exports/Prestige Games" desc "Quarter Horse Classic" devices ())
(name "qcash" year "1998" manufacturer "Aristocrat" desc "Queens of Cash (0100706V, NSW/ACT)" devices ())
(name "qcrayon" year "1993" manufacturer "Taito Corporation" desc "Quiz Crayon Shinchan (Japan)" devices ())
(name "qcrayon2" year "1993" manufacturer "Taito Corporation" desc "Crayon Shinchan Orato Asobo (Japan)" devices ())
(name "qczl" year "2011" manufacturer "Sealy" desc "Qing Cheng Zhi Lian" devices ())
(name "qdrmfgp" year "1994" manufacturer "Konami" desc "Quiz Do Re Mi Fa Grand Prix (Japan)" devices ((name "harddisk" briefname "hard" )))
(name "qdrmfgp2" year "1995" manufacturer "Konami" desc "Quiz Do Re Mi Fa Grand Prix 2 - Shin-Kyoku Nyuukadayo (Japan)" devices ((name "harddisk" briefname "hard" )))
(name "qdu386dx" year "199?" manufacturer "<unknown>" desc "QD-U386DX VER 1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "qfire" year "1979" manufacturer "Electroplay" desc "Quickfire" devices ())
(name "qgakumon" year "1993" manufacturer "Konami" desc "Quiz Gakumon no Susume (Japan ver. JA1 Type H)" devices ())
(name "qgh" year "1994" manufacturer "Sega" desc "Quiz Ghost Hunter (Japan, ROM Based)" devices ())
(name "qgundam" year "2006" manufacturer "Namco" desc "Quiz Mobile Suit Gundam: Monsenshi (QG1 Ver. A)" devices ())
(name "qhzb" year "2007" manufacturer "IGS" desc "Que Huang Zheng Ba (V100CN)" devices ())
(name "qi600" year "1988" manufacturer "Apricot" desc "Apricot Qi 600 (Neptune Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "qi900" year "1990" manufacturer "Apricot" desc "Apricot Qi 900 (Scorpion Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "qix" year "1981" manufacturer "Taito America Corporation" desc "Qix (Rev 2)" devices ())
(name "qix2" year "1981" manufacturer "Taito America Corporation" desc "Qix II (Tournament)" devices ())
(name "qixa" year "1981" manufacturer "Taito America Corporation" desc "Qix (set 2, smaller roms)" devices ())
(name "qixb" year "1981" manufacturer "Taito America Corporation" desc "Qix (set 2, larger roms)" devices ())
(name "qixo" year "1981" manufacturer "Taito America Corporation" desc "Qix (set 3, earlier)" devices ())
(name "qjinsei" year "1992" manufacturer "Taito Corporation" desc "Quiz Jinsei Gekijoh (Japan)" devices ())
(name "qkracer" year "1977" manufacturer "National Semiconductor" desc "QuizKid Racer (MM5799 version)" devices ())
(name "qkracera" year "1979" manufacturer "National Semiconductor" desc "QuizKid Racer (COP420 version)" devices ())
(name "qkspeller" year "1978" manufacturer "National Semiconductor" desc "QuizKid Speller" devices ())
(name "ql" year "1984" manufacturer "Sinclair Research Ltd" desc "QL (UK)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_de" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Germany)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_dk" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Denmark)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_es" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Spain)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_fr" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (France)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_gr" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Greece)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_it" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Italy)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_se" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (Sweden)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "ql_us" year "1985" manufacturer "Sinclair Research Ltd" desc "QL (USA)" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "qlgs" year "1999" manufacturer "IGS" desc "Que Long Gao Shou" devices ())
(name "qmegamis" year "2000" manufacturer "Sega" desc "Quiz Aa! Megami-sama ~Tatakau Tsubasa to Tomoni~ (Japan)" devices ())
(name "qmhayaku" year "1991" manufacturer "Nichibutsu" desc "Quiz-Mahjong Hayaku Yatteyo! (Japan)" devices ())
(name "qmquasar" year "1993" manufacturer "Quasimidi Musikelektronik GmbH" desc "Quasimidi Quasar" devices ())
(name "qmrave" year "1996" manufacturer "Quasimidi Musikelektronik GmbH" desc "Rave-O-Lution 309" devices ())
(name "qmsirius" year "1998" manufacturer "Quasimidi Musikelektronik GmbH" desc "Quasimidi Sirius" devices ())
(name "qncrash" year "1999" manufacturer "Namco" desc "Quick & Crash (set 1, V2.200)" devices ())
(name "qncrasha" year "1999" manufacturer "Namco" desc "Quick & Crash (set 2)" devices ())
(name "qndream" year "1996" manufacturer "Capcom" desc "Quiz Nanairo Dreams: Nijiirochou no Kiseki (Japan 960826)" devices ())
(name "qnile" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile (0300439V, NSW/ACT)" devices ())
(name "qnilea" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (0200439V, NSW/ACT)" devices ())
(name "qnilea6" year "2005" manufacturer "Aristocrat" desc "Queen of the Nile (3J011111, NSW/ACT)" devices ())
(name "qnilea6a" year "2005" manufacturer "Aristocrat" desc "Queen of the Nile (10204311, ASP)" devices ())
(name "qnilea6b" year "2005" manufacturer "Aristocrat" desc "Queen of the Nile (10192311, ASP)" devices ())
(name "qnileb" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (0100439V, NSW/ACT)" devices ())
(name "qnilebr" year "2002" manufacturer "Aristocrat" desc "Queen of the Nile (0101707V, Brazil)" devices ())
(name "qnilec" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (0300440V, NSW/ACT)" devices ())
(name "qnilece" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile - Cash Express (AHG1609, US)" devices ())
(name "qnilecea" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile - Cash Express (AHG1525, US)" devices ())
(name "qnileceb" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile - Cash Express (AHG1608, US)" devices ())
(name "qniled" year "1999" manufacturer "Aristocrat" desc "Queen of the Nile (0101139V, NSW/ACT)" devices ())
(name "qnilefl" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile - Fast Lane (0101670V, Queensland)" devices ())
(name "qnilejc" year "2002" manufacturer "Aristocrat" desc "Queen of the Nile Special Edition - Jackpot Carnival (20123911, NSW/ACT)" devices ())
(name "qnilejcsp" year "2002" manufacturer "Aristocrat" desc "Queen of the Nile Special Edition - Jackpot Carnival (20123911, NSW/ACT, Show Program)" devices ())
(name "qnilemax" year "1999" manufacturer "Aristocrat" desc "Queen of the Nile - Maximillions (0401072V, NSW/ACT)" devices ())
(name "qnilemt2" year "2005" manufacturer "Aristocrat" desc "Queen of the Nile - Money Train II (10203811, Queensland)" devices ())
(name "qnilenl" year "2000" manufacturer "Aristocrat" desc "Queen of the Nile (0301059V, Holland)" devices ())
(name "qnilenz" year "1998" manufacturer "Aristocrat" desc "Queen of the Nile (0300785V, New Zealand)" devices ())
(name "qnilepe" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (04J00784, Peru)" devices ())
(name "qnileq" year "1999" manufacturer "Aristocrat" desc "Queen of the Nile (0201200V, Queensland)" devices ())
(name "qnilese" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile Special Edition (20102811, NSW/ACT)" devices ())
(name "qnilesea" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile Special Edition (10102811, NSW/ACT)" devices ())
(name "qnileseb" year "2001" manufacturer "Aristocrat" desc "Queen of the Nile Special Edition (10127411, ASP)" devices ())
(name "qnileu" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (GHG4091-02, US)" devices ())
(name "qnileua" year "1997" manufacturer "Aristocrat" desc "Queen of the Nile (GHG4091-03, US)" devices ())
(name "qntoond" year "1993" manufacturer "BFM/ELAM" desc "Quintoon (Dutch, Game Card 95-750-243)" devices ())
(name "qntoondo" year "1993" manufacturer "BFM/ELAM" desc "Quintoon (Dutch, Game Card 95-750-136)" devices ())
(name "qofd3" year "2007" manufacturer "Sega" desc "Quest of D Oukoku no Syugosya Ver. 3.02 (CDV-10026D)" devices ((name "cdrom" briefname "cdrm" )))
(name "qofdtbk" year "2007" manufacturer "Sega" desc "Quest of D The Battle Kingdom (CDV-10035B)" devices ((name "cdrom" briefname "cdrm" )))
(name "qos" year "1992" manufacturer "BFM" desc "A Question of Sport (set 1, 39-960-107)" devices ())
(name "qosa" year "1992" manufacturer "BFM" desc "A Question of Sport (set 2, 39-960-099)" devices ())
(name "qosb" year "1992" manufacturer "BFM" desc "A Question of Sport (set 3, 39-960-089)" devices ())
(name "qrouka" year "1991" manufacturer "Sega" desc "Quiz Rouka Ni Tattenasai (Japan, ROM Based)" devices ())
(name "qs300" year "1999" manufacturer "Yamaha" desc "QS300" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "qsangoku" year "1991" manufacturer "Capcom" desc "Quiz Sangokushi (Japan)" devices ())
(name "qsheba" year "2003" manufacturer "Aristocrat" desc "Queen of Sheba (10133721, NSW/ACT)" devices ())
(name "qshebaa" year "2003" manufacturer "Aristocrat" desc "Queen of Sheba (30146921, ASP)" devices ())
(name "qsww" year "1991" manufacturer "Sega" desc "Quiz Syukudai wo Wasuremashita (Japan, Floppy Based, FD1094 317-0058-08b)" devices ())
(name "qtbird" year "1994" manufacturer "Aristocrat" desc "Q.T. Bird (0500009V, NSW/ACT)" devices ())
(name "qtheater" year "1994" manufacturer "Taito Corporation" desc "Quiz Theater - 3tsu no Monogatari (Ver 2.3J 1994/11/10)" devices ())
(name "qtono1" year "1991" manufacturer "Capcom" desc "Quiz Tonosama no Yabou (Japan)" devices ())
(name "qtono2j" year "1995" manufacturer "Capcom" desc "Quiz Tonosama no Yabou 2: Zenkoku-ban (Japan 950123)" devices ())
(name "qtorimon" year "1990" manufacturer "Taito Corporation" desc "Quiz Torimonochou (Japan)" devices ())
(name "qtsbc" year "198?" manufacturer "QT Computer Systems Inc." desc "SBC + 2/4" devices ())
(name "quaak" year "1981" manufacturer "bootleg" desc "Quaak (bootleg of Frogger)" devices ())
(name "quake" year "1998" manufacturer "Lazer-Tron / iD Software" desc "Quake Arcade Tournament (Release Beta 2)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "quantum" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Quantum (rev 2)" devices ())
(name "quantum1" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Quantum (rev 1)" devices ())
(name "quantump" year "1982" manufacturer "General Computer Corporation (Atari license)" desc "Quantum (prototype)" devices ())
(name "quaquiz2" year "1985" manufacturer "Status Games" desc "Quadro Quiz II" devices ())
(name "quarterb" year "1987" manufacturer "Leland Corporation" desc "Quarterback (rev 5)" devices ())
(name "quarterba" year "1987" manufacturer "Leland Corporation" desc "Quarterback (rev 2)" devices ())
(name "quarterbc" year "1987" manufacturer "Leland Corporation" desc "Quarterback (rev 1, cocktail)" devices ())
(name "quarterh" year "1983" manufacturer "Electro-Sport" desc "Quarter Horse (set 1, Pioneer PR-8210)" devices ())
(name "quarterha" year "1983" manufacturer "Electro-Sport" desc "Quarter Horse (set 2, Pioneer PR-8210)" devices ())
(name "quarterhb" year "1983" manufacturer "Electro-Sport" desc "Quarter Horse (set 3, Pioneer LD-V2000)" devices ())
(name "quartet" year "1986" manufacturer "Sega" desc "Quartet (Rev A, 8751 315-5194)" devices ())
(name "quartet2" year "1986" manufacturer "Sega" desc "Quartet 2 (8751 317-0010)" devices ())
(name "quartet2a" year "1986" manufacturer "Sega" desc "Quartet 2 (unprotected)" devices ())
(name "quarteta" year "1986" manufacturer "Sega" desc "Quartet (8751 315-5194)" devices ())
(name "quarth" year "1989" manufacturer "Konami" desc "Quarth (Japan)" devices ())
(name "quasar" year "1980" manufacturer "Zaccaria / Zelco" desc "Quasar (set 1)" devices ())
(name "quasara" year "1980" manufacturer "Zaccaria / Zelco" desc "Quasar (set 2)" devices ())
(name "queen" year "2002?" manufacturer "STG" desc "Queen?" devices ((name "harddisk" briefname "hard" )))
(name "queenbee" year "2001" manufacturer "Subsino (American Alpha license)" desc "Queen Bee (Ver. 114)" devices ())
(name "queenbeeb" year "2001" manufacturer "Subsino" desc "Queen Bee (Brazil, Ver. 202)" devices ())
(name "queenbeei" year "2001" manufacturer "Subsino" desc "Queen Bee (Israel, Ver. 100)" devices ())
(name "queenbeesa" year "2001" manufacturer "Subsino" desc "Queen Bee (SA-101-HARD)" devices ())
(name "queenotg" year "200?" manufacturer "<unknown>" desc "Queen of the Games" devices ())
(name "questarm" year "1982" manufacturer "Honeywell Bull" desc "Questar/M" devices ())
(name "quester" year "1987" manufacturer "Namco" desc "Quester (Japan)" devices ())
(name "questers" year "1987" manufacturer "Namco" desc "Quester Special Edition (Japan)" devices ())
(name "questofd" year "2004" manufacturer "Sega" desc "Quest of D (CDV-10005C)" devices ((name "cdrom" briefname "cdrm" )))
(name "quickjac" year "1993" manufacturer "ADP" desc "Quick Jack" devices ())
(name "quickp5" year "1991" manufacturer "Konami" desc "Quick Pick 5" devices ())
(name "quicksil" year "1980" manufacturer "Stern" desc "Quicksilver" devices ())
(name "quingo" year "1999" manufacturer "Impera" desc "Quingo Export (5.00)" devices ())
(name "quintond" year "1993" manufacturer "BFM" desc "Quintoon (UK, Game Card 95-751-206, Datapak)" devices ())
(name "quintono" year "1993" manufacturer "BFM" desc "Quintoon (UK, Game Card 95-750-203)" devices ())
(name "quintoon" year "1993" manufacturer "BFM" desc "Quintoon (UK, Game Card 95-750-206)" devices ())
(name "quiz" year "1986" manufacturer "Elettronolo" desc "Quiz (Revision 2)" devices ())
(name "quiz18k" year "1992" manufacturer "EIM" desc "Miyasu Nonki no Quiz 18-Kin" devices ())
(name "quiz211" year "1991" manufacturer "Elettronolo" desc "Quiz (Revision 2.11)" devices ())
(name "quiz365" year "1994" manufacturer "Nakanihon" desc "Quiz 365 (Japan)" devices ())
(name "quiz365t" year "1994" manufacturer "Nakanihon / Taito" desc "Quiz 365 (Hong Kong & Taiwan)" devices ())
(name "quizard" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.8, German, i8751 DE 11 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard2" year "1995" manufacturer "TAB Austria" desc "Quizard 2 (v2.3, German, i8751 DN 122 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard2_22" year "1995" manufacturer "TAB Austria" desc "Quizard 2 (v2.2, German, i8751 DN 122 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard3" year "1995" manufacturer "TAB Austria" desc "Quizard 3 (v3.4, German, i8751 DE 132 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard3_32" year "1996" manufacturer "TAB Austria" desc "Quizard 3 (v3.2, German, i8751 DE 132 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard3a" year "1995" manufacturer "TAB Austria" desc "Quizard 3 (v3.4, German, i8751 DE 132 A1)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard4" year "1998" manufacturer "TAB Austria" desc "Quizard 4 Rainbow (v4.2, German, i8751 DE 142 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard4_40" year "1997" manufacturer "TAB Austria" desc "Quizard 4 Rainbow (v4.0, German, i8751 DE 142 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard4_41" year "1998" manufacturer "TAB Austria" desc "Quizard 4 Rainbow (v4.1, German, i8751 DE 142 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard4cz" year "1998" manufacturer "TAB Austria" desc "Quizard 4 Rainbow (v4.2, Czech, i8751 TS142 CZ1)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard_10" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.0, German, i8751 DE 11 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard_12" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.2, German, i8751 DE 11 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizard_17" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.7, German, i8751 DE 11 D3)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizardff" year "1996" manufacturer "TAB Austria" desc "Quizard Fun and Fascination (French Edition V1 - 01/96)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizardi" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.8, Italian, i8751 IT 11 I2)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizardi_10" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.0, Italian, i8751 IT 11 I2)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizardi_12" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.2, Italian, i8751 IT 11 I2)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizardi_17" year "1995" manufacturer "TAB Austria" desc "Quizard (v1.7, Italian, i8751 IT 11 I2)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizchq" year "1993" manufacturer "Nakanihon" desc "Quiz Channel Question (Japan, Ver 1.00)" devices ())
(name "quizchqk" year "1993" manufacturer "KM Korea Co, Ltd (official license)" desc "Quiz Channel Question (Korea, Ver 1.10)" devices ())
(name "quizchql" year "1993" manufacturer "Nakanihon (Laxan license)" desc "Quiz Channel Question (Taiwan?, Ver 1.23)" devices ())
(name "quizdai2" year "1992" manufacturer "SNK" desc "Quiz Meitantei Neo & Geo - Quiz Daisousa Sen part 2 (NGM-042 ~ NGH-042)" devices ((name "memcard" briefname "memc" ) ()))
(name "quizdais" year "1991" manufacturer "SNK" desc "Quiz Daisousa Sen - The Last Count Down (NGM-023 ~ NGH-023)" devices ((name "memcard" briefname "memc" ) ()))
(name "quizdaisk" year "1995" manufacturer "SNK / Viccom" desc "Quiz Salibtamjeong - The Last Count Down (Korean localized Quiz Daisousa Sen)" devices ((name "memcard" briefname "memc" ) ()))
(name "quizdna" year "1992" manufacturer "Face" desc "Quiz DNA no Hanran (Japan)" devices ())
(name "quizf1" year "1992" manufacturer "Irem" desc "Quiz F1 1-2 Finish (Japan)" devices ())
(name "quizhq" year "1990" manufacturer "Taito Corporation" desc "Quiz H.Q. (Japan)" devices ())
(name "quizhuhu" year "1995" manufacturer "Taito Corporation" desc "Moriguchi Hiroko no Quiz de Hyuu!Hyuu! (Ver 2.2J 1995/05/25)" devices ())
(name "quizkof" year "1995" manufacturer "Saurus (SNK license)" desc "Quiz King of Fighters (SAM-080 ~ SAH-080)" devices ((name "memcard" briefname "memc" ) ()))
(name "quizkofk" year "1996" manufacturer "Saurus / Viccom (SNK license)" desc "Quiz King of Fighters (Korea)" devices ((name "memcard" briefname "memc" ) ()))
(name "quizmeku" year "1992" manufacturer "Sega" desc "Quiz Mekurumeku Story (Japan, ROM Based)" devices ())
(name "quizmoon" year "1997" manufacturer "Banpresto" desc "Quiz Bishoujo Senshi Sailor Moon - Chiryoku Tairyoku Toki no Un" devices ())
(name "quizmstr" year "1985" manufacturer "Loewen Spielautomaten" desc "Quizmaster (German)" devices ())
(name "quizo" year "1985" manufacturer "Seoul Coin Corp." desc "Quiz Olympic (set 1)" devices ())
(name "quizoa" year "1985" manufacturer "Seoul Coin Corp." desc "Quiz Olympic (set 2)" devices ())
(name "quizpani" year "1993" manufacturer "NMK" desc "Quiz Panicuru Fantasy" devices ())
(name "quizpun" year "1988" manufacturer "Space Computer" desc "Quiz Punch" devices ())
(name "quizpun2" year "1989" manufacturer "Space Computer" desc "Quiz Punch II" devices ())
(name "quizqgd" year "2002" manufacturer "Amedio (Taito license)" desc "Quiz Keitai Q mode (GDL-0017)" devices ((name "cdrom" briefname "cdrm" )))
(name "quizshow" year "1976" manufacturer "Atari (Kee Games)" desc "Quiz Show" devices ((name "cassette" briefname "cass" )))
(name "quiztou" year "1993" manufacturer "Namco" desc "Nettou! Gekitou! Quiztou!! (Japan)" devices ())
(name "quiztvqq" year "1992" manufacturer "Dynax" desc "Quiz TV Gassyuukoku Q&Q (Japan)" devices ())
(name "quizvadr" year "1991" manufacturer "BFM" desc "Quizvaders (39-360-078)" devices ())
(name "quizvid" year "1986" manufacturer "bootleg" desc "Video Quiz" devices ())
(name "quizwizc" year "1981" manufacturer "Coleco" desc "Quiz Wiz Challenger" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "quorum" year "19??" manufacturer "<unknown>" desc "Quorum" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "quorum48" year "1993" manufacturer "<unknown>" desc "Kvorum 48K" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "qvt102" year "1983" manufacturer "Qume" desc "QVT-102" devices ())
(name "qvt102a" year "1983" manufacturer "Qume" desc "QVT-102A" devices ())
(name "qvt103" year "1983" manufacturer "Qume" desc "QVT-103" devices ())
(name "qvt190" year "1987" manufacturer "Qume" desc "QVT-190" devices ())
(name "qvt201" year "1986" manufacturer "Qume" desc "QVT-201 (Rev. T201VE)" devices ())
(name "qvt70" year "1992" manufacturer "Qume" desc "QVT-70" devices ())
(name "qvt82" year "1993" manufacturer "Qume" desc "QVT-82" devices ())
(name "qwak" year "1982" manufacturer "Atari" desc "Qwak (prototype)" devices ())
(name "qwakttl" year "1974" manufacturer "Atari" desc "Qwak!/Quack" devices ())
(name "qx10" year "1983" manufacturer "Epson" desc "QX-10" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "qy70" year "1997" manufacturer "Yamaha" desc "QY70 Music Sequencer" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "qzchikyu" year "1991" manufacturer "Taito Corporation" desc "Quiz Chikyu Bouei Gun (Japan)" devices ())
(name "qzkklgy2" year "1993" manufacturer "Tecmo" desc "Quiz Kokology 2" devices ())
(name "qzkklogy" year "1992" manufacturer "Tecmo" desc "Quiz Kokology" devices ())
(name "qzquest" year "1991" manufacturer "Taito Corporation" desc "Quiz Quest - Hime to Yuusha no Monogatari (Japan)" devices ())
(name "qzshowby" year "1993" manufacturer "Taito Corporation" desc "Quiz Sekai wa SHOW by shobai (Japan)" devices ())
(name "r100" year "1987" manufacturer "Kawai Musical Instrument Manufacturing" desc "R-100 Digital Drum Machine" devices ())
(name "r2dtank" year "1980" manufacturer "Sigma Enterprises Inc." desc "R2D Tank" devices ())
(name "r2dx_v33" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden II New / Raiden DX (newer V33 PCB) (Raiden DX EEPROM)" devices ())
(name "r2dx_v33_r2" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden II New / Raiden DX (newer V33 PCB) (Raiden II EEPROM)" devices ())
(name "r8" year "1989" manufacturer "Roland" desc "R-8 Human Rhythm Composer (v2.02)" devices ((name "cartridge" briefname "cart" )))
(name "r8m" year "1990" manufacturer "Roland" desc "R-8M Total Percussion Sound Module (v1.04)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "r8mk2" year "1992" manufacturer "Roland" desc "R-8 Mk II Human Rhythm Composer (v1.0.3)" devices ((name "cartridge" briefname "cart" )))
(name "r9751" year "1988" manufacturer "ROLM Systems, Inc." desc "ROLM 9751 Model 10" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "r_alaska" year "1978" manufacturer "Interflip" desc "Alaska" devices ())
(name "r_antar" year "1980" manufacturer "Recel" desc "Antar (Recel)" devices ())
(name "r_blackm4" year "1980" manufacturer "Recel" desc "Black Magic 4" devices ())
(name "r_blackmag" year "1980" manufacturer "Recel" desc "Black Magic" devices ())
(name "r_cavalier" year "1979" manufacturer "Recel" desc "Cavalier" devices ())
(name "r_crzyrace" year "1978" manufacturer "Recel" desc "Crazy Race" devices ())
(name "r_fairfght" year "1978" manufacturer "Recel" desc "Fair Fight" devices ())
(name "r_flipper" year "1980" manufacturer "Recel" desc "The Flipper Game" devices ())
(name "r_hotcold" year "1978" manufacturer "Inder" desc "Hot & Cold" devices ())
(name "r_mrdoom" year "1979" manufacturer "Recel" desc "Mr. Doom" devices ())
(name "r_mrevil" year "1978" manufacturer "Recel" desc "Mr. Evil" devices ())
(name "r_pokrplus" year "1978" manufacturer "Recel" desc "Poker Plus" devices ())
(name "r_quijote" year "1979" manufacturer "Recel" desc "Don Quijote" devices ())
(name "r_screech" year "1978" manufacturer "Inder" desc "Screech" devices ())
(name "r_spcgame7" year "1979" manufacturer "Recel" desc "Space Game (Bingo 6+1)" devices ())
(name "r_swash" year "1979" manufacturer "Recel" desc "SwashBuckler" devices ())
(name "r_torneo" year "1978" manufacturer "Recel" desc "Torneo" devices ())
(name "ra145" year "2018" manufacturer "<unknown>" desc "Retro Arcade 16 Bits Classic Edition Mini TV Game Console - 145 Classic Games - TV Arcade Plug and Play (Mega Drive bootlegs)" devices ())
(name "ra30" year "1995" manufacturer "Roland" desc "RA-30 Realtime Arranger" devices ())
(name "raaspec" year "1984" manufacturer "Roy Abel & Associates" desc "Spectrum I+" devices ())
(name "rab_103s" year "1993" manufacturer "Data East" desc "Adventures of Rocky and Bullwinkle and Friends (USA 1.03, display S1.03)" devices ())
(name "rab_130" year "1993" manufacturer "Data East" desc "Adventures of Rocky and Bullwinkle and Friends (USA 1.30, display A1.30)" devices ())
(name "rab_320" year "1993" manufacturer "Data East" desc "Adventures of Rocky and Bullwinkle and Friends (USA 3.20, display A3.00)" devices ())
(name "rabbit" year "1997" manufacturer "Aorn / Electronic Arts" desc "Rabbit (Asia 3/6)" devices ())
(name "rabbita" year "1996" manufacturer "Aorn / Electronic Arts" desc "Rabbit (Asia 1/28?)" devices ())
(name "rabbitj" year "1997" manufacturer "Aorn / Electronic Arts" desc "Rabbit (Japan 3/6?)" devices ())
(name "rabbitjt" year "1996" manufacturer "Aorn / Electronic Arts" desc "Rabbit (Japan 1/28, location test)" devices ())
(name "rabbitpk" year "1990" manufacturer "bootleg" desc "Rabbit Poker (Arizona Poker v1.1?)" devices ())
(name "rabiolep" year "1987" manufacturer "V-System Co." desc "Rabio Lepus (Japan)" devices ())
(name "raccoon" year "1998" manufacturer "Eolith" desc "Raccoon World" devices ())
(name "racechl8" year "2005" manufacturer "Play Vision / Taikee" desc "Racing Challenge - 8 Games In 1" devices ())
(name "racedriv" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, rev 5)" devices ())
(name "racedriv1" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, rev 1)" devices ())
(name "racedriv2" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, rev 2)" devices ())
(name "racedriv3" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, rev 3)" devices ())
(name "racedriv4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, rev 4)" devices ())
(name "racedrivb" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, British, rev 5)" devices ())
(name "racedrivb1" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, British, rev 1)" devices ())
(name "racedrivb4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, British, rev 4)" devices ())
(name "racedrivc" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, rev 5)" devices ())
(name "racedrivc1" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, rev 1)" devices ())
(name "racedrivc2" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, rev 2)" devices ())
(name "racedrivc4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, rev 4)" devices ())
(name "racedrivcb" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, British, rev 5)" devices ())
(name "racedrivcb4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, British, rev 4)" devices ())
(name "racedrivcg" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, German, rev 5)" devices ())
(name "racedrivcg4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, German, rev 4)" devices ())
(name "racedrivcp" year "1990" manufacturer "Atari Games" desc "Race Drivin' (compact, prototype)" devices ())
(name "racedrivg" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, German, rev 5)" devices ())
(name "racedrivg1" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, German, rev 2)" devices ())
(name "racedrivg4" year "1990" manufacturer "Atari Games" desc "Race Drivin' (cockpit, German, rev 4)" devices ())
(name "racedrivpan" year "1990" manufacturer "Atari Games" desc "Race Drivin' Panorama (prototype, rev 2.1)" devices ())
(name "raceon" year "1998" manufacturer "Namco" desc "Race On! (World, RO2 Ver. A)" devices ())
(name "racetime" year "1980" manufacturer "Bandai" desc "Race Time" devices ())
(name "rachero" year "1989" manufacturer "Sega" desc "Racing Hero (FD1094 317-0144)" devices ())
(name "racherod" year "1989" manufacturer "bootleg" desc "Racing Hero (bootleg of FD1094 317-0144 set)" devices ())
(name "racinfrc" year "1994" manufacturer "Konami" desc "Racin' Force (ver EAC)" devices ())
(name "racinfrcu" year "1994" manufacturer "Konami" desc "Racin' Force (ver UAB)" devices ())
(name "racingb" year "1991" manufacturer "Taito Corporation Japan" desc "Racing Beat (World)" devices ())
(name "racingbj" year "1991" manufacturer "Taito Corporation" desc "Racing Beat (Japan)" devices ())
(name "racingj" year "1998" manufacturer "Konami" desc "Racing Jam (GQ676UAC)" devices ())
(name "racingj2" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GQ888UAA)" devices ())
(name "racingj2a" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GQ888AAA)" devices ())
(name "racingj2e" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GQ888EAA)" devices ())
(name "racingj2j" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GQ888JAA)" devices ())
(name "racingj2m" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GM888UAA)" devices ())
(name "racingj2ma" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GM888AAA)" devices ())
(name "racingj2me" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GM888EAA)" devices ())
(name "racingj2mj" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GM888JAA)" devices ())
(name "racingj2n" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GN888UAA)" devices ())
(name "racingj2na" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GN888AAA)" devices ())
(name "racingj2ne" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GN888EAA)" devices ())
(name "racingj2nj" year "1998" manufacturer "Konami" desc "Racing Jam: Chapter II (GN888JAA)" devices ())
(name "racingja" year "1998" manufacturer "Konami" desc "Racing Jam (GQ676AAC)" devices ())
(name "racingje" year "1998" manufacturer "Konami" desc "Racing Jam (GQ676EAC)" devices ())
(name "racingjj" year "1998" manufacturer "Konami" desc "Racing Jam (GQ676JAC)" devices ())
(name "racingjm" year "1998" manufacturer "Konami" desc "Racing Jam (GM676UAC)" devices ())
(name "racingjma" year "1998" manufacturer "Konami" desc "Racing Jam (GM676AAC)" devices ())
(name "racingjme" year "1998" manufacturer "Konami" desc "Racing Jam (GM676EAC)" devices ())
(name "racingjmj" year "1998" manufacturer "Konami" desc "Racing Jam (GM676JAC)" devices ())
(name "racingjn" year "1998" manufacturer "Konami" desc "Racing Jam (GN676UAC)" devices ())
(name "racingjna" year "1998" manufacturer "Konami" desc "Racing Jam (GN676AAC)" devices ())
(name "racingjne" year "1998" manufacturer "Konami" desc "Racing Jam (GN676EAC)" devices ())
(name "racingjnj" year "1998" manufacturer "Konami" desc "Racing Jam (GN676JAC)" devices ())
(name "racjamdx" year "1997" manufacturer "Konami" desc "Racing Jam DX" devices ((name "harddisk" briefname "hard" )))
(name "rackempp" year "1983" manufacturer "Gottlieb" desc "Rack 'em Up! (Pinball)" devices ())
(name "rackemup" year "1987" manufacturer "Konami" desc "Rack 'em Up (program code L)" devices ())
(name "racknrol" year "1986" manufacturer "Senko Industries (Status license from Shinkai Inc.)" desc "Rack + Roll" devices ())
(name "rad_bask" year "2005" manufacturer "Radica / FarSight Studios" desc "Play TV Basketball" devices ())
(name "rad_baskp" year "2005" manufacturer "Radica / FarSight Studios" desc "Connectv Basketball" devices ())
(name "rad_bass" year "2001" manufacturer "Radica / SSD Company LTD" desc "Play TV Bass Fishin' (NTSC)" devices ())
(name "rad_bassp" year "2001" manufacturer "Radica / SSD Company LTD" desc "ConnecTV Bass Fishin' (PAL)" devices ())
(name "rad_bb" year "2000" manufacturer "Radica / SSD Company LTD" desc "Play TV Baseball (NTSC)" devices ())
(name "rad_bb2" year "2002" manufacturer "Radica / SSD Company LTD" desc "Play TV Baseball 2 (NTSC)" devices ())
(name "rad_bb3" year "2005" manufacturer "Radica / FarSight Studios" desc "Play TV Baseball 3" devices ())
(name "rad_bb3p" year "2005" manufacturer "Radica / FarSight Studios" desc "Connectv Baseball 3" devices ())
(name "rad_bdp" year "2002" manufacturer "Radica / Mattel / SSD Company LTD" desc "Barbie Dance Party" devices ())
(name "rad_box" year "200?" manufacturer "Radica / SSD Company LTD" desc "Play TV Boxin' (NTSC)" devices ())
(name "rad_boxp" year "200?" manufacturer "Radica / SSD Company LTD" desc "ConnecTV Boxin' (PAL)" devices ())
(name "rad_crdn" year "200?" manufacturer "Radica / SSD Company LTD" desc "Play TV Card Night (NTSC)" devices ())
(name "rad_crdnp" year "200?" manufacturer "Radica / SSD Company LTD" desc "ConnecTV Card Night (PAL)" devices ())
(name "rad_crik" year "2006" manufacturer "Radica" desc "Connectv Cricket (PAL)" devices ())
(name "rad_digi" year "2005" manufacturer "Radica" desc "Digi Makeover (Girl Tech)" devices ())
(name "rad_fb" year "200?" manufacturer "Radica / SSD Company LTD" desc "Play TV Football (NTSC)" devices ())
(name "rad_fb2" year "2007" manufacturer "Radica" desc "Play TV Football 2" devices ())
(name "rad_foot" year "2006" manufacturer "Radica / Medialink" desc "Connectv Football" devices ())
(name "rad_gen1" year "2004" manufacturer "Radica / Sega" desc "Genesis Collection Volume 1 (Radica, Arcade Legends) (USA)" devices ())
(name "rad_gen2" year "2004" manufacturer "Radica / Sega" desc "Genesis Collection Volume 2 (Radica, Arcade Legends) (USA)" devices ())
(name "rad_gtg" year "2006" manufacturer "Radica / FarSight Studios (licensed from Incredible Technologies)" desc "Golden Tee Golf: Home Edition" devices ())
(name "rad_hnt" year "2000" manufacturer "Radica / SSD Company LTD" desc "Play TV Buckmasters Huntin' (NTSC)" devices ())
(name "rad_hnt2" year "2003" manufacturer "Radica / SSD Company LTD" desc "Play TV Buckmasters Huntin' 2 (NTSC)" devices ())
(name "rad_hnt3" year "2005" manufacturer "Radica / V-Tac Technology Co Ltd." desc "Play TV Huntin' 3" devices ())
(name "rad_hnt3p" year "2005" manufacturer "Radica / V-Tac Technology Co Ltd." desc "Connectv Huntin' 3" devices ())
(name "rad_jcon" year "2002" manufacturer "Radica / Takara / SSD Company LTD" desc "Play TV Jr. Construction" devices ())
(name "rad_madf" year "2003" manufacturer "Radica / Electronics Arts / SSD Company LTD" desc "EA Sports Madden Football (NTSC)" devices ())
(name "rad_md1" year "2004" manufacturer "Radica / Sega" desc "Mega Drive Collection Volume 1 (Radica, Arcade Legends) (Europe)" devices ())
(name "rad_md1uk" year "2004" manufacturer "Radica / Sega" desc "Mega Drive Collection Volume 1 (Radica, Arcade Legends) (UK)" devices ())
(name "rad_md2uk" year "2004" manufacturer "Radica / Sega" desc "Mega Drive Collection Volume 2 (Radica, Arcade Legends) (UK)" devices ())
(name "rad_mtrk" year "2003" manufacturer "Radica / SSD Company LTD" desc "Play TV Monster Truck (NTSC)" devices ())
(name "rad_mtrkp" year "2003" manufacturer "Radica / SSD Company LTD" desc "ConnecTV Monster Truck (PAL)" devices ())
(name "rad_opus" year "2000" manufacturer "Radica / SSD Company LTD" desc "Play TV Opus (NTSC)" devices ())
(name "rad_orun" year "2004" manufacturer "Radica / Sega" desc "Out Run 2019 (Radica Plug & Play, UK)" devices ())
(name "rad_ping" year "2000" manufacturer "Radica / SSD Company LTD / Simmer Technology" desc "Play TV Ping Pong (NTSC)" devices ())
(name "rad_pingp" year "2000" manufacturer "Radica / SSD Company LTD / Simmer Technology" desc "ConnecTV Table Tennis (PAL)" devices ())
(name "rad_rh" year "200?" manufacturer "Radica / Fisher-Price / SSD Company LTD" desc "Play TV Rescue Heroes (NTSC)" devices ())
(name "rad_rsg" year "2005" manufacturer "Radica / FarSight Studios" desc "Play TV Real Swing Golf" devices ())
(name "rad_rsgp" year "2005" manufacturer "Radica / FarSight Studios" desc "Connectv Real Swing Golf" devices ())
(name "rad_sbw" year "2006" manufacturer "Radica / SSD Company LTD" desc "Play TV Snowboarder (White) (NTSC)" devices ())
(name "rad_sf2" year "2004" manufacturer "Radica / Capcom / Sega" desc "Street Fighter II: Special Champion Edition [Ghouls'n Ghosts] (Radica, Arcade Legends) (USA)" devices ())
(name "rad_sf2uk" year "2004" manufacturer "Radica / Capcom / Sega" desc "Street Fighter II: Special Champion Edition [Ghouls'n Ghosts] (Radica, Arcade Legends) (UK)" devices ())
(name "rad_sinv" year "2004" manufacturer "Radica (licensed from Taito)" desc "Space Invaders [Lunar Rescue, Colony 7, Qix, Phoenix] (Radica, Arcade Legends TV Game)" devices ())
(name "rad_skat" year "2006" manufacturer "Radica" desc "Play TV Skateboarder (NTSC)" devices ())
(name "rad_skatp" year "2006" manufacturer "Radica" desc "Connectv Skateboarder (PAL)" devices ())
(name "rad_sktv" year "2007" manufacturer "Radica" desc "Skannerz TV" devices ())
(name "rad_snow" year "2001" manufacturer "Radica / SSD Company LTD" desc "Play TV Snowboarder (Blue) (NTSC)" devices ())
(name "rad_snowp" year "2001" manufacturer "Radica / SSD Company LTD" desc "ConnecTV Snowboarder (Blue) (PAL)" devices ())
(name "rad_socr" year "2002" manufacturer "Radica / Epoch / SSD Company LTD" desc "Play TV Soccer" devices ())
(name "rad_sonic" year "2004" manufacturer "Radica / Sega" desc "Super Sonic Gold (Radica Plug & Play) (USA)" devices ())
(name "rad_sonicuk" year "2004" manufacturer "Radica / Sega" desc "Super Sonic Gold (Radica Plug & Play) (UK)" devices ())
(name "rad_ssoc" year "2004" manufacturer "Radica / Sensible Software / Sega" desc "Sensible Soccer plus [Cannon Fodder, Mega lo Mania] (Radica, Arcade Legends) (UK)" devices ())
(name "rad_ssx" year "2004" manufacturer "Radica / Electronics Arts / SSD Company LTD" desc "Play TV SSX Snowboarder (NTSC)" devices ())
(name "rad_ssxp" year "2004" manufacturer "Radica / Electronics Arts / SSD Company LTD" desc "ConnecTV SSX Snowboarder (PAL)" devices ())
(name "rad_tetr" year "2004" manufacturer "Radica (licensed from Elorg / The Tetris Company)" desc "Tetris (Radica, Arcade Legends TV Game)" devices ())
(name "radarscp" year "1980" manufacturer "Nintendo" desc "Radar Scope (TRS02, rev. D)" devices ())
(name "radarscp1" year "1980" manufacturer "Nintendo" desc "Radar Scope (TRS01)" devices ())
(name "radarscpc" year "1980" manufacturer "Nintendo" desc "Radar Scope (TRS02?, rev. C)" devices ())
(name "radarzon" year "1982" manufacturer "Century Electronics" desc "Radar Zone" devices ())
(name "radarzon1" year "1982" manufacturer "Century Electronics" desc "Radar Zone (Rev.1)" devices ())
(name "radarzont" year "1982" manufacturer "Century Electronics (Tuni Electro Service license)" desc "Radar Zone (Tuni)" devices ())
(name "radcl_g1" year "1990" manufacturer "Bally" desc "Radical! (G-1)" devices ())
(name "radcl_l1" year "1990" manufacturer "Bally" desc "Radical! (L-1)" devices ())
(name "radcl_p3" year "1990" manufacturer "Bally" desc "Radical! (P-3)" devices ())
(name "radendur" year "199?" manufacturer "TCH / Sator Videogames" desc "Radical Enduro (early prototype)" devices ())
(name "radikalb" year "1998" manufacturer "Gaelco" desc "Radikal Bikers (version 2.02)" devices ())
(name "radikalba" year "1998" manufacturer "Gaelco (Atari license)" desc "Radikal Bikers (version 2.02, Atari license)" devices ())
(name "radikaldrt" year "2011?" manufacturer "Gaelco Darts" desc "Radikal Darts (Diana Version 7.29.25)" devices ())
(name "radio16" year "1986" manufacturer "<unknown>" desc "Radio-86RK (16K RAM)" devices ((name "cassette" briefname "cass" )))
(name "radio4k" year "1986" manufacturer "<unknown>" desc "Radio-86RK (4K ROM)" devices ((name "cassette" briefname "cass" )))
(name "radio86" year "1986" manufacturer "<unknown>" desc "Radio-86RK" devices ((name "cassette" briefname "cass" )))
(name "radio99" year "1993" manufacturer "<unknown>" desc "Radio-99DM" devices ((name "cassette" briefname "cass" )))
(name "radionic" year "1983" manufacturer "Komtek" desc "Radionic R1001/Komtek 1" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "radioram" year "1986" manufacturer "<unknown>" desc "Radio-86RK (ROM/RAM Disk)" devices ((name "cassette" briefname "cass" )))
(name "radiorom" year "1986" manufacturer "<unknown>" desc "Radio-86RK (ROM-Disk)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "radirgy" year "2005" manufacturer "Milestone" desc "Radirgy (Japan, Rev A) (GDL-0032A)" devices ((name "cdrom" briefname "cdrm" )))
(name "radirgyn" year "2009" manufacturer "Milestone / Lucky" desc "Radirgy Noa (Japan)" devices ())
(name "radirgyo" year "2005" manufacturer "Milestone" desc "Radirgy (Japan) (GDL-0032)" devices ((name "cdrom" briefname "cdrm" )))
(name "radm" year "1990" manufacturer "Sega" desc "Rad Mobile (World)" devices ())
(name "radmu" year "1990" manufacturer "Sega" desc "Rad Mobile (US)" devices ())
(name "radr" year "1991" manufacturer "Sega" desc "Rad Rally (World)" devices ())
(name "radrad" year "1982" manufacturer "Nichibutsu USA" desc "Radical Radial (US)" devices ())
(name "radradj" year "1983" manufacturer "Logitec Corp." desc "Radical Radial (Japan)" devices ())
(name "radrj" year "1991" manufacturer "Sega" desc "Rad Rally (Japan)" devices ())
(name "radru" year "1991" manufacturer "Sega" desc "Rad Rally (US)" devices ())
(name "raflesia" year "1986" manufacturer "Coreland / Sega" desc "Rafflesia (315-5162)" devices ())
(name "raflesiau" year "1986" manufacturer "Coreland / Sega" desc "Rafflesia (not encrypted)" devices ())
(name "ragc153" year "201?" manufacturer "Orb" desc "Retro Arcade Game Controller 153-in-1" devices ())
(name "ragnagrd" year "1996" manufacturer "Saurus" desc "Ragnagard / Shin-Oh-Ken" devices ((name "memcard" briefname "memc" ) ()))
(name "ragtime" year "1992" manufacturer "Data East Corporation" desc "The Great Ragtime Show (Japan v1.5, 92.12.07)" devices ())
(name "ragtimea" year "1992" manufacturer "Data East Corporation" desc "The Great Ragtime Show (Japan v1.3, 92.11.26)" devices ())
(name "raiden" year "1990" manufacturer "Seibu Kaihatsu" desc "Raiden (World set 1)" devices ())
(name "raiden2" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (US, set 1)" devices ())
(name "raiden2au" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Australia)" devices ())
(name "raiden2dx" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (harder, Raiden DX hardware, Korea)" devices ())
(name "raiden2e" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (easier, Korea)" devices ())
(name "raiden2ea" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (easier, Japan)" devices ())
(name "raiden2eg" year "1993" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden II (easier, Germany)" devices ())
(name "raiden2es" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Spain)" devices ())
(name "raiden2eu" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (easier, US set 2)" devices ())
(name "raiden2eua" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (easier, US set 1)" devices ())
(name "raiden2eub" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (easier, US set 3)" devices ())
(name "raiden2eup" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (easier, US, prototype? 11-16)" devices ())
(name "raiden2f" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (France)" devices ())
(name "raiden2g" year "1993" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden II (Germany)" devices ())
(name "raiden2hk" year "1993" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Raiden II (Hong Kong)" devices ())
(name "raiden2i" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Italy)" devices ())
(name "raiden2j" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Japan)" devices ())
(name "raiden2k" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (harder, Korea)" devices ())
(name "raiden2nl" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Holland)" devices ())
(name "raiden2sw" year "1993" manufacturer "Seibu Kaihatsu" desc "Raiden II (Switzerland)" devices ())
(name "raiden2u" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden II (US, set 2)" devices ())
(name "raiden3" year "2005" manufacturer "MOSS / Seibu Kaihatsu" desc "Raiden III (v2.01J)" devices ())
(name "raiden4" year "2007" manufacturer "MOSS / Seibu Kaihatsu" desc "Raiden IV (v1.00J)" devices ())
(name "raidenb" year "1990" manufacturer "Seibu Kaihatsu" desc "Raiden (World set 2, newer hardware)" devices ())
(name "raidendx" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (UK)" devices ())
(name "raidendxa1" year "1994" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Raiden DX (Hong Kong, set 1)" devices ())
(name "raidendxa2" year "1994" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Raiden DX (Hong Kong, set 2)" devices ())
(name "raidendxch" year "1994" manufacturer "Seibu Kaihatsu (Ideal International Development Corp license)" desc "Raiden DX (China)" devices ())
(name "raidendxg" year "1994" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden DX (Germany)" devices ())
(name "raidendxj" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (Japan, set 1)" devices ())
(name "raidendxja" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (Japan, set 2)" devices ())
(name "raidendxk" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (Korea)" devices ())
(name "raidendxnl" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (Holland)" devices ())
(name "raidendxpt" year "1994" manufacturer "Seibu Kaihatsu" desc "Raiden DX (Portugal)" devices ())
(name "raidendxu" year "1994" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden DX (US)" devices ())
(name "raidenj" year "1990" manufacturer "Seibu Kaihatsu" desc "Raiden (Japan)" devices ())
(name "raidenk" year "1990" manufacturer "Seibu Kaihatsu (IBL Corporation license)" desc "Raiden (Korea)" devices ())
(name "raidenkb" year "1990" manufacturer "bootleg" desc "Raiden (Korea, bootleg)" devices ())
(name "raidenm" year "1990" manufacturer "bootleg (Gaelco / Ervisa)" desc "Raiden (Modular System)" devices ())
(name "raident" year "1990" manufacturer "Seibu Kaihatsu (Liang HWA Electronics license)" desc "Raiden (Taiwan)" devices ())
(name "raidenu" year "1990" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden (US set 1)" devices ())
(name "raidenua" year "1990" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden (US set 2, SEI8904 hardware)" devices ())
(name "raidenub" year "1990" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden (US set 3, newer hardware)" devices ())
(name "raiders" year "1983" manufacturer "Century Electronics" desc "Raiders" devices ())
(name "raiders5" year "1985" manufacturer "UPL" desc "Raiders5" devices ())
(name "raiders5t" year "1985" manufacturer "UPL (Taito license)" desc "Raiders5 (Japan, set 1)" devices ())
(name "raiders5ta" year "1985" manufacturer "UPL (Taito license)" desc "Raiders5 (Japan, set 2, bootleg?)" devices ())
(name "raidersr3" year "1983" manufacturer "Century Electronics" desc "Raiders (Rev.3)" devices ())
(name "raiga" year "1991" manufacturer "Tecmo" desc "Raiga - Strato Fighter (Japan)" devices ())
(name "raimais" year "1988" manufacturer "Taito Corporation Japan" desc "Raimais (World, rev 1)" devices ())
(name "raimaisj" year "1988" manufacturer "Taito Corporation" desc "Raimais (Japan, rev 1)" devices ())
(name "raimaisjo" year "1988" manufacturer "Taito Corporation" desc "Raimais (Japan)" devices ())
(name "raimfire" year "1983" manufacturer "Gottlieb" desc "Ready...Aim...Fire!" devices ())
(name "rainbow" year "1983" manufacturer "Digital Equipment Corporation" desc "Rainbow 100-B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" ) (name "printout" briefname "prin" )))
(name "rainbow100a" year "1982" manufacturer "Digital Equipment Corporation" desc "Rainbow 100-A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" ) (name "printout" briefname "prin" )))
(name "rainbow190" year "1985" manufacturer "Digital Equipment Corporation" desc "Rainbow 190-B" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "harddisk5" briefname "hard5" ) (name "printout" briefname "prin" )))
(name "rainwarr" year "2001" manufacturer "Aristocrat" desc "Rainbow Warriors (0101132V, NSW/ACT)" devices ())
(name "rainwarrce" year "2001" manufacturer "Aristocrat" desc "Rainbow Warriors - Cash Express (0101332V, NSW/ACT)" devices ())
(name "raisedvl" year "1980" manufacturer "Entex" desc "Raise The Devil Pinball" devices ())
(name "raizpin" year "2002" manufacturer "Taito" desc "Raizin Ping Pong (V2.01O)" devices ((name "harddisk" briefname "hard" )))
(name "raizpinj" year "2002" manufacturer "Taito" desc "Raizin Ping Pong (V2.01J)" devices ((name "harddisk" briefname "hard" )))
(name "rally" year "1980" manufacturer "Taito do Brasil" desc "Rally" devices ())
(name "rallybik" year "1988" manufacturer "Toaplan / Taito Corporation" desc "Rally Bike / Dash Yarou" devices ())
(name "rallypnt2" year "1999" manufacturer "Atlus" desc "Rally Point 2" devices ())
(name "rallys" year "1980" manufacturer "bootleg (Novar)" desc "Rallys (bootleg of Spectar, set 1)" devices ())
(name "rallysa" year "1980" manufacturer "bootleg (Musik Box Brescia)" desc "Rallys (bootleg of Spectar, set 2)" devices ())
(name "rallyx" year "1980" manufacturer "Namco" desc "Rally X (32k Ver.?)" devices ())
(name "rallyxa" year "1980" manufacturer "Namco" desc "Rally X" devices ())
(name "rallyxeg" year "1981" manufacturer "bootleg (Video Game / Electrogame)" desc "Rally X (Video Game bootleg)" devices ())
(name "rallyxm" year "1980" manufacturer "Namco (Midway license)" desc "Rally X (Midway)" devices ())
(name "rallyxmr" year "1980" manufacturer "bootleg (Model Racing)" desc "Rally X (Model Racing bootleg)" devices ())
(name "rambo" year "2008" manufacturer "Sega" desc "Rambo (Export)" devices ())
(name "rambo3" year "1989" manufacturer "Taito Europe Corporation" desc "Rambo III (Europe)" devices ())
(name "rambo3p" year "1989" manufacturer "Taito Europe Corporation" desc "Rambo III (Europe, Proto?)" devices ())
(name "rambo3u" year "1989" manufacturer "Taito America Corporation" desc "Rambo III (US)" devices ())
(name "rameses" year "1982" manufacturer "Hanimex" desc "Rameses HVC6502 (Oceania)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "rampage" year "1986" manufacturer "Bally Midway" desc "Rampage (Rev 3, 8/27/86)" devices ())
(name "rampage2" year "1986" manufacturer "Bally Midway" desc "Rampage (Rev 2, 8/4/86)" devices ())
(name "rampart" year "1990" manufacturer "Atari Games" desc "Rampart (Trackball)" devices ())
(name "rampart2p" year "1990" manufacturer "Atari Games" desc "Rampart (Joystick, bigger ROMs)" devices ())
(name "rampart2pa" year "1990" manufacturer "Atari Games" desc "Rampart (Joystick, smaller ROMs)" devices ())
(name "rampartj" year "1990" manufacturer "Atari Games" desc "Rampart (Japan, Joystick)" devices ())
(name "ramstar" year "1991" manufacturer "Ram Star" desc "unknown Ram Star multi-game (version 80.1)" devices ())
(name "rangrmsn" year "2004" manufacturer "RIZ Inc./ Sammy" desc "Ranger Mission" devices ())
(name "rapfire5" year "200?" manufacturer "Konami" desc "Rapid Fire 5 (Konami Endeavour, NSW)" devices ())
(name "raphero" year "1994" manufacturer "NMK" desc "Rapid Hero (NMK)" devices ())
(name "rapheroa" year "1994" manufacturer "NMK (Media Trading license)" desc "Rapid Hero (Media Trading)" devices ())
(name "rapidfip" year "1982" manufacturer "Bally" desc "Rapid Fire" devices ())
(name "rapidfir" year "1998" manufacturer "Hanaho Games" desc "Rapid Fire (v1.1, Build 239)" devices ())
(name "rapidfira" year "1998" manufacturer "Hanaho Games" desc "Rapid Fire (v1.1, Build 238)" devices ())
(name "rapidfire" year "1998" manufacturer "Hanaho Games" desc "Rapid Fire (v1.0, Build 236)" devices ())
(name "rapidrvr" year "1997" manufacturer "Namco" desc "Rapid River (US, RD3 Ver. C)" devices ())
(name "rapidrvrp" year "1997" manufacturer "Namco" desc "Rapid River (prototype)" devices ())
(name "rapidrvrv2c" year "1997" manufacturer "Namco" desc "Rapid River (World, RD2 Ver. C)" devices ())
(name "raprichs" year "2005" manufacturer "Aristocrat" desc "Rapid Riches (10194211, NSW/ACT)" devices ())
(name "rasce" year "2005" manufacturer "Astro" desc "Ra's Scepter (Russia)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "rascot" year "1991" manufacturer "Sega" desc "Royal Ascot (Japan, terminal?)" devices ())
(name "rascot2" year "1997" manufacturer "Sega" desc "Royal Ascot II" devices ())
(name "rastan" year "1987" manufacturer "Taito Corporation Japan" desc "Rastan (World Rev 1)" devices ())
(name "rastana" year "1987" manufacturer "Taito Corporation Japan" desc "Rastan (World)" devices ())
(name "rastanb" year "1987" manufacturer "Taito Corporation Japan" desc "Rastan (World, earlier code base)" devices ())
(name "rastanu" year "1987" manufacturer "Taito America Corporation" desc "Rastan (US Rev 1)" devices ())
(name "rastanua" year "1987" manufacturer "Taito America Corporation" desc "Rastan (US)" devices ())
(name "rastanub" year "1987" manufacturer "Taito America Corporation" desc "Rastan (US, earlier code base)" devices ())
(name "rastsag2" year "1988" manufacturer "Taito Corporation" desc "Rastan Saga 2 (Japan)" devices ())
(name "rastsaga" year "1987" manufacturer "Taito Corporation" desc "Rastan Saga (Japan Rev 1)" devices ())
(name "rastsagaa" year "1987" manufacturer "Taito Corporation" desc "Rastan Saga (Japan Rev 1, earlier code base)" devices ())
(name "rastsagaabl" year "1987" manufacturer "bootleg" desc "Rastan Saga (bootleg, Japan Rev 1, earlier code base)" devices ())
(name "rastsagab" year "1987" manufacturer "Taito Corporation" desc "Rastan Saga (Japan, earlier code base)" devices ())
(name "ratrc_l1" year "1983" manufacturer "Williams" desc "Rat Race (L-1)" devices ())
(name "raven" year "1986" manufacturer "Gottlieb" desc "Raven" devices ())
(name "ravena" year "1986" manufacturer "Gottlieb" desc "Raven (alternate set)" devices ())
(name "raveng" year "1986" manufacturer "Gottlieb" desc "Raven (German)" devices ())
(name "ravens" year "1984" manufacturer "Joseph Glagla and Dieter Feiler" desc "Ravensburger Selbstbaucomputer V0.9" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "ravens2" year "1985" manufacturer "Joseph Glagla and Dieter Feiler" desc "Ravensburger Selbstbaucomputer V2.0" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "raverace" year "1995" manufacturer "Namco" desc "Rave Racer (World, RV2 Ver.B)" devices ())
(name "raveracej" year "1995" manufacturer "Namco" desc "Rave Racer (Japan, RV1 Ver.B)" devices ())
(name "raveraceja" year "1995" manufacturer "Namco" desc "Rave Racer (Japan, RV1)" devices ())
(name "raycris" year "1998" manufacturer "Taito" desc "Ray Crisis (V2.03O 1998/11/15 15:43)" devices ((name "harddisk" briefname "hard" )))
(name "raycrisj" year "1998" manufacturer "Taito" desc "Ray Crisis (V2.03J 1998/11/15 15:43)" devices ((name "harddisk" briefname "hard" )))
(name "rayforce" year "1993" manufacturer "Taito America Corporation" desc "Ray Force (Ver 2.3A 1994/01/20)" devices ())
(name "rayforcej" year "1993" manufacturer "Taito Corporation" desc "Ray Force (Ver 2.3J 1994/01/20)" devices ())
(name "raystorm" year "1996" manufacturer "Taito" desc "Ray Storm (Ver 2.06A)" devices ())
(name "raystormj" year "1996" manufacturer "Taito" desc "Ray Storm (Ver 2.05J)" devices ())
(name "raystormo" year "1996" manufacturer "Taito" desc "Ray Storm (Ver 2.05O)" devices ())
(name "raystormu" year "1996" manufacturer "Taito" desc "Ray Storm (Ver 2.05A)" devices ())
(name "razmataz" year "1983" manufacturer "Sega" desc "Razzmatazz" devices ())
(name "rbbrite" year "2018" manufacturer "Coleco" desc "Rainbow Brite (mini-arcade)" devices ())
(name "rbff1" year "1995" manufacturer "SNK" desc "Real Bout Fatal Fury / Real Bout Garou Densetsu (NGM-095 ~ NGH-095)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff1a" year "1995" manufacturer "SNK" desc "Real Bout Fatal Fury / Real Bout Garou Densetsu (bug fix revision)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff1k" year "1995" manufacturer "SNK" desc "Real Bout Fatal Fury / Real Bout Garou Densetsu (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff1ka" year "1995" manufacturer "SNK" desc "Real Bout Fatal Fury / Real Bout Garou Densetsu (Korean release, bug fix revision)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff2" year "1998" manufacturer "SNK" desc "Real Bout Fatal Fury 2 - The Newcomers / Real Bout Garou Densetsu 2 - The Newcomers (NGM-2400)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff2h" year "1998" manufacturer "SNK" desc "Real Bout Fatal Fury 2 - The Newcomers / Real Bout Garou Densetsu 2 - The Newcomers (NGH-2400)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbff2k" year "1998" manufacturer "SNK" desc "Real Bout Fatal Fury 2 - The Newcomers (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbffspec" year "1996" manufacturer "SNK" desc "Real Bout Fatal Fury Special / Real Bout Garou Densetsu Special" devices ((name "memcard" briefname "memc" ) ()))
(name "rbffspeck" year "1996" manufacturer "SNK" desc "Real Bout Fatal Fury Special / Real Bout Garou Densetsu Special (Korean release)" devices ((name "memcard" briefname "memc" ) ()))
(name "rbibb" year "1986" manufacturer "Namco" desc "Vs. Atari R.B.I. Baseball (set 1)" devices ())
(name "rbibba" year "1986" manufacturer "Namco" desc "Vs. Atari R.B.I. Baseball (set 2)" devices ())
(name "rbisland" year "1987" manufacturer "Taito Corporation" desc "Rainbow Islands (rev 1)" devices ())
(name "rbislande" year "1988" manufacturer "Taito Corporation" desc "Rainbow Islands - Extra Version" devices ())
(name "rbislando" year "1987" manufacturer "Taito Corporation" desc "Rainbow Islands" devices ())
(name "rbitgen" year "2016" manufacturer "Retro-Bit" desc "Generations (Retro-Bit)" devices ())
(name "rblaster" year "1985" manufacturer "Data East" desc "Road Blaster (Data East LD)" devices ())
(name "rbmk" year "1998" manufacturer "GMS" desc "Shizhan Majiang Wang (Version 8.8)" devices ())
(name "rbowlorama" year "2008" manufacturer "Namco / Cosmodog" desc "Rockin' Bowl-O-Rama (v2.1.1)" devices ())
(name "rbspm" year "1998" manufacturer "GMS" desc "Shizhan Ding Huang Maque (Version 4.1)" devices ())
(name "rbtapper" year "1984" manufacturer "Bally Midway" desc "Tapper (Root Beer)" devices ())
(name "rc2014" year "2016" manufacturer "RFC2795 Ltd" desc "RC2014 Classic" devices ())
(name "rc2014bp5" year "2016" manufacturer "RFC2795 Ltd" desc "RC2014 Backplane-5" devices ())
(name "rc2014bp8" year "2016" manufacturer "RFC2795 Ltd" desc "RC2014 Backplane-8" devices ())
(name "rc2014bppro" year "2017" manufacturer "RFC2795 Ltd" desc "RC2014 Backplane Pro" devices ())
(name "rc2014cl2" year "2020" manufacturer "RFC2795 Ltd" desc "RC2014 Classic II" devices ())
(name "rc2014micro" year "2019" manufacturer "RFC2795 Ltd" desc "RC2014 Micro" devices ())
(name "rc2014mini" year "2016" manufacturer "RFC2795 Ltd" desc "RC2014 Mini" devices ())
(name "rc2014minicpm" year "2016" manufacturer "RFC2795 Ltd" desc "RC2014 Mini with CP/M Upgrade" devices ((name "harddisk" briefname "hard" )))
(name "rc2014pro" year "2017" manufacturer "RFC2795 Ltd" desc "RC2014 Pro" devices ((name "harddisk" briefname "hard" )))
(name "rc2014zed" year "2018" manufacturer "RFC2795 Ltd" desc "RC2014 Zed" devices ())
(name "rc2014zedp" year "2018" manufacturer "RFC2795 Ltd" desc "RC2014 Zed Pro" devices ())
(name "rc2030" year "1989" manufacturer "MIPS" desc "RC2030" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "rc3230" year "1990" manufacturer "MIPS" desc "RC3230" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "rc702" year "1979" manufacturer "Regnecentralen" desc "RC702 Piccolo" devices ((name "floppydisk" briefname "flop" )))
(name "rc759" year "1984" manufacturer "Regnecentralen" desc "RC759 Piccoline" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rcapnp" year "200?" manufacturer "RCA / JungleTac" desc "RCA NS-500 30-in-1" devices ())
(name "rcasino" year "1984" manufacturer "Dyna Electronics" desc "Royal Casino (D-2608208A1-2)" devices ())
(name "rcasino1" year "1984" manufacturer "Dyna Electronics" desc "Royal Casino (D-2608208A1-1, Larger Board)" devices ())
(name "rcasino2" year "1984" manufacturer "Dyna Electronics" desc "Royal Casino (D-2608208A1-1, Smaller Board, set 2)" devices ())
(name "rcasinoo" year "1984" manufacturer "Dyna Electronics" desc "Royal Casino (D-2608208A1-1, Smaller Board, set 1)" devices ())
(name "rcdego" year "1999" manufacturer "Taito" desc "RC De Go (V2.03J 1999/05/22 19:29)" devices ((name "harddisk" briefname "hard" )))
(name "rcdino4" year "1998" manufacturer "<unknown>" desc "Royal Card (Italian, Dino 4 hardware, encrypted)" devices ())
(name "rchase" year "1991" manufacturer "Sega" desc "Rail Chase (World)" devices ())
(name "rchase2" year "1994" manufacturer "Sega" desc "Rail Chase 2 (Revision A)" devices ())
(name "rchasej" year "1991" manufacturer "Sega" desc "Rail Chase (Japan)" devices ())
(name "rchasejb" year "1991" manufacturer "Sega" desc "Rail Chase (Japan, Rev B)" devices ())
(name "rcirulet" year "199?" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RCI (6-players, Spanish)" devices ())
(name "rclimb" year "2004" manufacturer "Igrosoft" desc "Rock Climber (040815 World)" devices ())
(name "rclimb_10" year "2004" manufacturer "Igrosoft" desc "Rock Climber (110111 Entertainment A)" devices ())
(name "rclimb_11" year "2004" manufacturer "Igrosoft" desc "Rock Climber (110124 Entertainment A)" devices ())
(name "rclimb_12" year "2004" manufacturer "Igrosoft" desc "Rock Climber (110204 Entertainment A)" devices ())
(name "rclimb_13" year "2004" manufacturer "Igrosoft" desc "Rock Climber (110311 Entertainment B)" devices ())
(name "rclimb_14" year "2004" manufacturer "Igrosoft" desc "Rock Climber (110411 Entertainment C)" devices ())
(name "rclimb_2" year "2004" manufacturer "Igrosoft" desc "Rock Climber (040823 World)" devices ())
(name "rclimb_3" year "2004" manufacturer "Igrosoft" desc "Rock Climber (040827 World)" devices ())
(name "rclimb_3a" year "2004" manufacturer "bootleg" desc "Rock Climber (bootleg, 040827, backdoor)" devices ())
(name "rclimb_3b" year "2004" manufacturer "bootleg" desc "Rock Climber (bootleg, 040827, new service menu)" devices ())
(name "rclimb_3c" year "2004" manufacturer "bootleg" desc "Rock Climber (bootleg, 040827, VIDEO GAME-1 SK01)" devices ())
(name "rclimb_3d" year "2004" manufacturer "bootleg" desc "Rock Climber (bootleg, 040827, LOTTOGAME (I))" devices ())
(name "rclimb_3e" year "2004" manufacturer "bootleg" desc "Rock Climber (bootleg, 040827, LOTOS SK01)" devices ())
(name "rclimb_4" year "2004" manufacturer "Igrosoft" desc "Rock Climber (070322 Russia)" devices ())
(name "rclimb_5" year "2004" manufacturer "Igrosoft" desc "Rock Climber (070621 Russia)" devices ())
(name "rclimb_7" year "2004" manufacturer "Igrosoft" desc "Rock Climber (090716 Entertainment)" devices ())
(name "rclimb_8" year "2004" manufacturer "Igrosoft" desc "Rock Climber (100331 Entertainment X)" devices ())
(name "rclimb_9" year "2004" manufacturer "Igrosoft" desc "Rock Climber (101209 Entertainment N)" devices ())
(name "rcorsair" year "1984" manufacturer "Nakasawa" desc "Red Corsair" devices ())
(name "rctnew" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display A7.01, ARM7 sound board)" devices ())
(name "rctycn" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display A7.01)" devices ())
(name "rctycn_400" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 4.00, display A4.00)" devices ())
(name "rctycn_600" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 6.00, display A6.00)" devices ())
(name "rctycn_701" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.01, display A7.01)" devices ())
(name "rctycnf" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display F7.01, France)" devices ())
(name "rctycnf_400" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 4.00, display F4.00, France)" devices ())
(name "rctycnf_600" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 6.00, display F6.00, France)" devices ())
(name "rctycnf_701" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.01, display F7.00, France)" devices ())
(name "rctycng" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display G7.01, Germany)" devices ())
(name "rctycng_400" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 4.00, display G4.00, Germany)" devices ())
(name "rctycng_701" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.01, display G7.00, Germany)" devices ())
(name "rctycni" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display I7.01, Italy)" devices ())
(name "rctycni_400" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 4.00, display I4.00, Italy)" devices ())
(name "rctycni_600" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 6.00, display I6.00, Italy)" devices ())
(name "rctycni_701" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.01, display I7.00, Italy)" devices ())
(name "rctycnl" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.02, display L7.01, Spain)" devices ())
(name "rctycnl_400" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 4.00, display L4.00, Spain)" devices ())
(name "rctycnl_600" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 6.00, display L6.00, Spain)" devices ())
(name "rctycnl_701" year "2002" manufacturer "Stern" desc "RollerCoaster Tycoon (CPU 7.01, display L7.00, Spain)" devices ())
(name "rd100" year "1989" manufacturer "Data R.D." desc "RD100" devices ())
(name "rd500" year "1994" manufacturer "Roland" desc "RD-500 Digital Piano" devices ())
(name "rd5_240" year "201?" manufacturer "Red5" desc "Mini Arcade Machine 240-in-1 (Red5)" devices ())
(name "rdaction" year "1987" manufacturer "UPL (World Games license)" desc "Rad Action / NinjaKun Ashura no Shou" devices ())
(name "rdft" year "1996" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden Fighters (Germany)" devices ())
(name "rdft2" year "1997" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden Fighters 2 - Operation Hell Dive (Germany)" devices ())
(name "rdft22kc" year "2000" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive 2000 (China, SYS386I)" devices ())
(name "rdft2a" year "1997" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Raiden Fighters 2 - Operation Hell Dive (Hong Kong)" devices ())
(name "rdft2aa" year "1997" manufacturer "Seibu Kaihatsu (Dream Island license)" desc "Raiden Fighters 2 - Operation Hell Dive (Korea)" devices ())
(name "rdft2it" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Italy)" devices ())
(name "rdft2j" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Japan set 1)" devices ())
(name "rdft2ja" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Japan set 2)" devices ())
(name "rdft2jb" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Japan set 3)" devices ())
(name "rdft2jc" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Japan set 4)" devices ())
(name "rdft2s" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Switzerland)" devices ())
(name "rdft2t" year "1997" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters 2 - Operation Hell Dive (Taiwan)" devices ())
(name "rdft2u" year "1997" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden Fighters 2 - Operation Hell Dive (US)" devices ())
(name "rdft2us" year "1997" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden Fighters 2 - Operation Hell Dive (US, single board)" devices ())
(name "rdfta" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Austria)" devices ())
(name "rdftadi" year "1996" manufacturer "Seibu Kaihatsu (Dream Island license)" desc "Raiden Fighters (Korea)" devices ())
(name "rdftam" year "1996" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Raiden Fighters (Hong Kong)" devices ())
(name "rdftau" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Australia)" devices ())
(name "rdftauge" year "1996" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden Fighters (Evaluation Software For Show, Germany)" devices ())
(name "rdftgb" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Great Britain)" devices ())
(name "rdftgr" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Greece)" devices ())
(name "rdftit" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Italy)" devices ())
(name "rdftj" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Japan, earlier)" devices ())
(name "rdftja" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Japan, earliest)" devices ())
(name "rdftjb" year "1996" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters (Japan, newer)" devices ())
(name "rdfts" year "1996" manufacturer "Seibu Kaihatsu (Explorer System Corp. license)" desc "Raiden Fighters (Taiwan, single board)" devices ())
(name "rdftu" year "1996" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden Fighters (US, earlier)" devices ())
(name "rdftua" year "1996" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden Fighters (US, newer)" devices ())
(name "rdkng_l1" year "1986" manufacturer "Williams" desc "Road Kings (L-1)" devices ())
(name "rdkng_l2" year "1986" manufacturer "Williams" desc "Road Kings (L-2)" devices ())
(name "rdkng_l3" year "1986" manufacturer "Williams" desc "Road Kings (L-3)" devices ())
(name "rdkng_l4" year "1986" manufacturer "Williams" desc "Road Kings (L-4)" devices ())
(name "rdqa" year "1980" manufacturer "Selchow & Righter" desc "Reader's Digest Q&A: Computer Question & Answer Game" devices ())
(name "re800ea" year "1991" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RE-800 (earlier, no attract)" devices ())
(name "re800v1" year "1991" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RE-800 (v1.0, set 1)" devices ())
(name "re800v1a" year "1991" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RE-800 (v1.0, set 2)" devices ())
(name "re800v3" year "1991" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RE-800 (v3.0)" devices ())
(name "re900" year "1993" manufacturer "Entretenimientos GEMINIS" desc "Ruleta RE-900" devices ())
(name "react" year "2009" manufacturer "Ultimate Products Ltd. / Waixing" desc "Reactor 32-in-1 (NTSC)" devices ())
(name "reactmd" year "2009" manufacturer "AtGames / Sega / Waixing" desc "Reactor MD (PAL)" devices ())
(name "reactor" year "1982" manufacturer "Gottlieb" desc "Reactor" devices ())
(name "reaktor" year "1987" manufacturer "Zilec" desc "Reaktor (Track & Field conversion)" devices ())
(name "real" year "1978" manufacturer "Game Plan" desc "Real" devices ())
(name "realbrk" year "1998" manufacturer "Nakanihon" desc "Billiard Academy Real Break (Europe)" devices ())
(name "realbrkj" year "1998" manufacturer "Nakanihon" desc "Billiard Academy Real Break (Japan)" devices ())
(name "realbrkk" year "1998" manufacturer "Nakanihon" desc "Billiard Academy Real Break (Korea)" devices ())
(name "realbrko" year "1998" manufacturer "Nakanihon" desc "Billiard Academy Real Break (Europe, older)" devices ())
(name "realbrod" year "1996" manufacturer "Merit" desc "The Real Broadway (9131-20-00 R0C)" devices ())
(name "realbroda" year "1995" manufacturer "Merit" desc "The Real Broadway (9131-20-00 R0A)" devices ())
(name "realpunc" year "1994" manufacturer "Taito Corporation Japan" desc "Real Puncher (World, v2.12O)" devices ())
(name "realpuncj" year "1994" manufacturer "Taito Corporation Japan" desc "Real Puncher (Japan, v2.12J)" devices ())
(name "rebel5" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Rebell 5,0 (set 1)" devices ())
(name "rebel5a" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Rebell 5,0 (set 2)" devices ())
(name "rebel5b" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Rebell 5,0 (set 3)" devices ())
(name "rebound" year "1974" manufacturer "Atari" desc "Rebound (Rev B)" devices ())
(name "rebus" year "1995" manufacturer "Microhard" desc "Rebus" devices ())
(name "recalh" year "1994" manufacturer "Taito Corporation" desc "Recalhorn (Ver 1.42J 1994/5/11, prototype)" devices ())
(name "record" year "2000" manufacturer "High Video" desc "Record (Version 1)" devices ())
(name "recordbr" year "1988" manufacturer "Taito Corporation Japan" desc "Recordbreaker (World)" devices ())
(name "red5mam" year "201?" manufacturer "Red5" desc "Mini Arcade Machine (Red5, 'Xtra Game')" devices ())
(name "redalert" year "1981" manufacturer "Irem (GDI license)" desc "Red Alert" devices ())
(name "redbara6" year "2002" manufacturer "Aristocrat" desc "Red Baron (10119911, NSW/ACT)" devices ())
(name "redbarfl" year "2003" manufacturer "Aristocrat" desc "Red Baron - Fast Lane (10160711, Queensland)" devices ())
(name "redbarjc" year "2003" manufacturer "Aristocrat" desc "Red Baron - Jackpot Carnival (10160911, Queensland)" devices ())
(name "redbarnp" year "1985" manufacturer "Barni" desc "Red Baron (Pinball)" devices ())
(name "redbaron" year "1980" manufacturer "Atari" desc "Red Baron (revised hardware)" devices ())
(name "redbarona" year "1980" manufacturer "Atari" desc "Red Baron" devices ())
(name "redbird" year "1980" manufacturer "bootleg (Codematic)" desc "Red Bird (bootleg of Space Firebird)" devices ())
(name "redclash" year "1981" manufacturer "Kaneko" desc "Red Clash" devices ())
(name "redclashs" year "1982" manufacturer "Kaneko (Suntronics license)" desc "Red Clash (Suntronics)" devices ())
(name "redclasht" year "1981" manufacturer "Kaneko (Tehkan license)" desc "Red Clash (Tehkan, set 1)" devices ())
(name "redclashta" year "1981" manufacturer "Kaneko (Tehkan license)" desc "Red Clash (Tehkan, set 2)" devices ())
(name "redearth" year "1996" manufacturer "Capcom" desc "Red Earth (Europe 961121)" devices ((name "cdrom" briefname "cdrm" )))
(name "redearthn" year "1996" manufacturer "Capcom" desc "Red Earth (Asia 961121, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "redearthnr1" year "1996" manufacturer "Capcom" desc "Red Earth (Asia 961023, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "redearthr1" year "1996" manufacturer "Capcom" desc "Red Earth (Europe 961023)" devices ((name "cdrom" briefname "cdrm" )))
(name "redfoxwp2" year "1998" manufacturer "Afega" desc "Hong Hu Zhanji II (China, set 1)" devices ())
(name "redfoxwp2a" year "1998" manufacturer "Afega" desc "Hong Hu Zhanji II (China, set 2)" devices ())
(name "redhawk" year "1997" manufacturer "Afega (New Vision Ent. license)" desc "Red Hawk (USA, Canada & South America)" devices ())
(name "redhawkb" year "1997" manufacturer "bootleg (Vince)" desc "Red Hawk (horizontal, bootleg)" devices ())
(name "redhawke" year "1997" manufacturer "Afega (Excellent Co. license)" desc "Red Hawk (Excellent Co., Ltd)" devices ())
(name "redhawkg" year "1997" manufacturer "Afega" desc "Red Hawk (horizontal, Greece)" devices ())
(name "redhawki" year "1997" manufacturer "Afega (Hae Dong Corp license)" desc "Red Hawk (horizontal, Italy)" devices ())
(name "redhawkk" year "1997" manufacturer "Afega" desc "Red Hawk (Korea)" devices ())
(name "redhawks" year "1997" manufacturer "Afega (Hae Dong Corp license)" desc "Red Hawk (horizontal, Spain, set 1)" devices ())
(name "redhawksa" year "1997" manufacturer "Afega (Hae Dong Corp license)" desc "Red Hawk (horizontal, Spain, set 2)" devices ())
(name "redlin2p" year "1987" manufacturer "Cinematronics (Tradewest license)" desc "Redline Racer (2 players)" devices ())
(name "redline" year "1989" manufacturer "Fun World" desc "Red Line (v808, encrypted)" devices ())
(name "redrobin" year "1986" manufacturer "Elettronolo" desc "Red Robin" devices ())
(name "redufo" year "1981" manufacturer "Artic" desc "Defend the Terra Attack on the Red UFO" devices ())
(name "redufob" year "1981" manufacturer "bootleg" desc "Defend the Terra Attack on the Red UFO (bootleg, set 1)" devices ())
(name "redufob2" year "1981" manufacturer "bootleg" desc "Defend the Terra Attack on the Red UFO (bootleg, set 2)" devices ())
(name "redufob3" year "1981" manufacturer "bootleg" desc "Defend the Terra Attack on the Red UFO (bootleg, set 3)" devices ())
(name "reelemin" year "1997" manufacturer "WMS" desc "Reel 'Em In (English)" devices ())
(name "reeleminr" year "1997" manufacturer "WMS" desc "Reel 'Em In (Russian)" devices ())
(name "reelfun" year "1986" manufacturer "Grayhound Electronics" desc "Reel Fun (Version 7.03)" devices ())
(name "reelfun0" year "1986" manufacturer "Grayhound Electronics" desc "Reel Fun (Version 7.00)" devices ())
(name "reelfun1" year "1986" manufacturer "Grayhound Electronics" desc "Reel Fun (Version 7.01)" devices ())
(name "reelpwr" year "1998" manufacturer "Aristocrat" desc "Reel Power (0100400V, NSW/ACT)" devices ())
(name "reelquak" year "1997" manufacturer "<unknown>" desc "Reel'N Quake! (Version 1.05)" devices ())
(name "reelrkfl" year "201?" manufacturer "Aristocrat" desc "Reelin-n-Rockin - Fast Lane (10298611, Queensland)" devices ())
(name "reelrock" year "1998" manufacturer "Aristocrat" desc "Reelin-n-Rockin (0100779V, NSW/ACT)" devices ())
(name "reelrockq" year "2000" manufacturer "Aristocrat" desc "Reelin-n-Rockin (0101460V, Queensland)" devices ())
(name "reflexcrd" year "1999" manufacturer "TAB Austria" desc "Reflex Cards (English, serial protected)" devices ())
(name "regence" year "1982" manufacturer "France Double R / Intelligent Software" desc "La Régence" devices ())
(name "regency" year "1996" manufacturer "Krypton / Timorite" desc "Regency" devices ())
(name "regulus" year "1983" manufacturer "Sega" desc "Regulus (315-5033, Rev A.)" devices ())
(name "reguluso" year "1983" manufacturer "Sega" desc "Regulus (315-5033)" devices ())
(name "regulusu" year "1983" manufacturer "Sega" desc "Regulus (not encrypted)" devices ())
(name "reikaids" year "1988" manufacturer "Home Data" desc "Reikai Doushi - Chinese Exorcist (Japan)" devices ())
(name "relief" year "1992" manufacturer "Atari Games" desc "Relief Pitcher (Rev D, 07 Jun 1992 / 28 May 1992)" devices ())
(name "relief2" year "1992" manufacturer "Atari Games" desc "Relief Pitcher (Rev C, 26 Apr 1992 / 08 Apr 1992)" devices ())
(name "relief3" year "1992" manufacturer "Atari Games" desc "Relief Pitcher (Rev B, 10 Apr 1992 / 08 Apr 1992)" devices ())
(name "renaiclb" year "1993" manufacturer "Fujic" desc "Mahjong Ren-ai Club (Japan)" devices ())
(name "renaimj" year "1999" manufacturer "Nichibutsu/eic" desc "Renai Mahjong Idol Gakuen (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "renaissa" year "1989" manufacturer "Saitek / Heuristic Software" desc "Kasparov Renaissance (set 1)" devices ())
(name "renaissaa" year "1989" manufacturer "Saitek / Heuristic Software" desc "Kasparov Renaissance (set 2)" devices ())
(name "rendfgtr" year "2000" manufacturer "Taito Corporation" desc "Renda Fighter (Japan, main ver. 2.02, video ver. 2.03)" devices ())
(name "renegade" year "1986" manufacturer "Technos Japan (Taito America license)" desc "Renegade (US)" devices ())
(name "renegadeb" year "1986" manufacturer "bootleg" desc "Renegade (US bootleg)" devices ())
(name "renju" year "1994" manufacturer "Visco" desc "Renju Kizoku - Kira Kira Gomoku Narabe" devices ())
(name "replica1" year "2012" manufacturer "Makerbot" desc "Replicator 1 desktop 3d printer" devices ())
(name "repulse" year "1985" manufacturer "Crux / Sega" desc "Repulse" devices ())
(name "resclunar" year "1980" manufacturer "bootleg (Niemer S.A.)" desc "Rescate Lunar (Spanish bootleg of Lunar Rescue)" devices ())
(name "rescraid" year "1987" manufacturer "Bally Midway" desc "Rescue Raider (5/11/87) (non-cartridge)" devices ())
(name "rescraida" year "1987" manufacturer "Bally Midway" desc "Rescue Raider (stand-alone)" devices ())
(name "rescu911" year "1994" manufacturer "Gottlieb" desc "Rescue 911 (rev.1)" devices ())
(name "rescue" year "1982" manufacturer "Stern Electronics" desc "Rescue" devices ())
(name "rescueb" year "1982" manufacturer "bootleg (Videl Games)" desc "Tuono Blu (bootleg of Rescue)" devices ())
(name "rescuefe" year "1982" manufacturer "bootleg (Free Enterprise Games)" desc "Rescue (Free Enterprise Games, bootleg)" devices ())
(name "resdnt" year "2004" manufacturer "Igrosoft" desc "Resident (040415 World)" devices ())
(name "resdnt_10" year "2004" manufacturer "Igrosoft" desc "Resident (100331 Entertainment X)" devices ())
(name "resdnt_11" year "2004" manufacturer "Igrosoft" desc "Resident (101209 Entertainment N)" devices ())
(name "resdnt_12" year "2004" manufacturer "Igrosoft" desc "Resident (110111 Entertainment A)" devices ())
(name "resdnt_13" year "2004" manufacturer "Igrosoft" desc "Resident (110124 Entertainment A)" devices ())
(name "resdnt_14" year "2004" manufacturer "Igrosoft" desc "Resident (110204 Entertainment A)" devices ())
(name "resdnt_15" year "2004" manufacturer "Igrosoft" desc "Resident (110311 Entertainment A)" devices ())
(name "resdnt_16" year "2004" manufacturer "Igrosoft" desc "Resident (140526 Entertainment A)" devices ())
(name "resdnt_17" year "2004" manufacturer "Igrosoft" desc "Resident (110411 Entertainment A)" devices ())
(name "resdnt_2" year "2004" manufacturer "Igrosoft" desc "Resident (040513 World)" devices ())
(name "resdnt_2a" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, backdoor)" devices ())
(name "resdnt_2b" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, VIDEO GAME-1 SE01 set 1)" devices ())
(name "resdnt_2c" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, VIDEO GAME-1 SE01 set 2)" devices ())
(name "resdnt_2d" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, VIDEO GAME-1 SE01 set 3)" devices ())
(name "resdnt_2e" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, LOTTOGAME (I))" devices ())
(name "resdnt_2f" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, LOTO PROGRAM V-RS2)" devices ())
(name "resdnt_2g" year "2004" manufacturer "bootleg" desc "Resident (bootleg, 040513, LOTOS SE01)" devices ())
(name "resdnt_3" year "2004" manufacturer "Igrosoft" desc "Resident (070222 Russia)" devices ())
(name "resdnt_5" year "2004" manufacturer "Igrosoft" desc "Resident (090722 Entertainment)" devices ())
(name "resdnt_6" year "2004" manufacturer "Igrosoft" desc "Resident (100311 World)" devices ())
(name "resdnt_8" year "2004" manufacturer "Igrosoft" desc "Resident (100311 Entertainment)" devices ())
(name "resdnt_9" year "2004" manufacturer "Igrosoft" desc "Resident (100316 Russia)" devices ())
(name "retofinv" year "1985" manufacturer "Taito Corporation" desc "Return of the Invaders" devices ())
(name "retofinvb" year "1985" manufacturer "bootleg" desc "Return of the Invaders (bootleg w/MCU)" devices ())
(name "retofinvb1" year "1985" manufacturer "bootleg" desc "Return of the Invaders (bootleg no MCU set 1)" devices ())
(name "retofinvb2" year "1985" manufacturer "bootleg" desc "Return of the Invaders (bootleg no MCU set 2)" devices ())
(name "retofinvb3" year "1985" manufacturer "bootleg" desc "Return of the Invaders (bootleg no MCU set 3)" devices ())
(name "retro400" year "201?" manufacturer "<unknown>" desc "Retro FC 400-in-1" devices ())
(name "retrsam" year "1997" manufacturer "Aristocrat" desc "Return of the Samurai (0400549V, NSW/ACT)" devices ())
(name "retrsama" year "1997" manufacturer "Aristocrat" desc "Return of the Samurai (0200549V, NSW/ACT)" devices ())
(name "retrsamb" year "1997" manufacturer "Aristocrat" desc "Return of the Samurai (0200506V, NSW/ACT)" devices ())
(name "retsama6" year "2002" manufacturer "Aristocrat" desc "Return of the Samurai (10117211, NSW/ACT)" devices ())
(name "reutapm" year "1985" manufacturer "Acorn Computers" desc "Reuters APM" devices ((name "printout" briefname "prin" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "romimage5" briefname "rom5" )))
(name "revenger" year "1984" manufacturer "Epos Corporation" desc "Revenger '84 (older)" devices ())
(name "reversic" year "1981" manufacturer "Fidelity Electronics" desc "Reversi Sensory Challenger" devices ())
(name "revlatns" year "1991" manufacturer "Nova Productions Ltd." desc "Revelations" devices ())
(name "revngr84" year "1984" manufacturer "Epos Corporation" desc "Revenger '84 (newer)" devices ())
(name "revx" year "1994" manufacturer "Midway" desc "Revolution X (rev 1.0 6/16/94)" devices ())
(name "revxp5" year "1994" manufacturer "Midway" desc "Revolution X (prototype, rev 5.0 5/23/94)" devices ())
(name "rex6000" year "2000" manufacturer "Xircom / Intel" desc "REX 6000" devices ((name "quickload" briefname "quik" )))
(name "rezon" year "1992" manufacturer "Allumer" desc "Rezon" devices ())
(name "rezono" year "1991" manufacturer "Allumer" desc "Rezon (earlier)" devices ())
(name "rf2" year "1985" manufacturer "Konami" desc "Konami RF2 - Red Fighter" devices ())
(name "rf51w14cg" year "2003" manufacturer "Recreativos Franco" desc "unknown Recreativos Franco slot machine (model RF51W14-CG)" devices ())
(name "rfcp168" year "201?" manufacturer "<unknown>" desc "Retro FC Plus 168 in 1 Handheld" devices ())
(name "rfjailbrk" year "2000" manufacturer "Recreativos Franco" desc "Jail Break (Recreativos Franco slot machine)" devices ())
(name "rfjet" year "1998" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Raiden Fighters Jet (Germany)" devices ())
(name "rfjet2kc" year "2000" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters Jet 2000 (China, SYS386I)" devices ())
(name "rfjeta" year "1998" manufacturer "Seibu Kaihatsu (Dream Island license)" desc "Raiden Fighters Jet (Korea)" devices ())
(name "rfjetj" year "1998" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters Jet (Japan)" devices ())
(name "rfjets" year "1999" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters Jet (US, single board)" devices ())
(name "rfjetsa" year "1999" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters Jet (US, single board, test version?)" devices ())
(name "rfjett" year "1998" manufacturer "Seibu Kaihatsu" desc "Raiden Fighters Jet (Taiwan)" devices ())
(name "rfjetu" year "1998" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Raiden Fighters Jet (US)" devices ())
(name "rflshdlx" year "1983" manufacturer "Gottlieb" desc "Royal Flush Deluxe" devices ())
(name "rfmpb" year "1999" manufacturer "Midway" desc "Pinball 2000: Revenge From Mars (rev. 1)" devices ((name "harddisk" briefname "hard" )))
(name "rfmpbr2" year "1999" manufacturer "Midway" desc "Pinball 2000: Revenge From Mars (rev. 2)" devices ((name "harddisk" briefname "hard" )))
(name "rfsantafeg" year "2014" manufacturer "Recreativos Franco" desc "Santa Fe Golden" devices ())
(name "rfsantafem" year "1995" manufacturer "Recreativos Franco" desc "Santa Fe Mine (set 1)" devices ())
(name "rfsantafema" year "1995" manufacturer "Recreativos Franco" desc "Santa Fe Mine (set 2)" devices ())
(name "rgum" year "1993" manufacturer "<unknown>" desc "Royal Gum (Italy)" devices ())
(name "rhhc152" year "201?" manufacturer "Orb" desc "Retro Handheld Console 152-in-1" devices ())
(name "rhnation" year "2003" manufacturer "ICE/Play Mechanix" desc "Rhythm Nation (v01.00.04, boot v3.1.5)" devices ((name "harddisk" briefname "hard" )))
(name "rhunting" year "1976" manufacturer "bootleg" desc "Robot Hunting (bootleg of Death Race)" devices ())
(name "rhytngk" year "2007" manufacturer "Sega / Nintendo - J.P ROOM" desc "Rhythm Tengoku (Japan)" devices ())
(name "ribbit" year "1991" manufacturer "Sega" desc "Ribbit!" devices ())
(name "ribbitj" year "1991" manufacturer "Sega" desc "Ribbit! (Japan)" devices ())
(name "ribrac" year "1993" manufacturer "Lazer-Tron" desc "Ribbit Racin (Lazer-Tron)" devices ())
(name "ridersrf" year "1986" manufacturer "JocMatic" desc "Rider's Surf" devices ())
(name "ridgera2" year "1994" manufacturer "Namco" desc "Ridge Racer 2 (World, RRS2)" devices ())
(name "ridgera28" year "1994" manufacturer "Namco" desc "Ridge Racer 2 (World, RRS8)" devices ())
(name "ridgera2j" year "1994" manufacturer "Namco" desc "Ridge Racer 2 (Japan, RRS1 Ver.B)" devices ())
(name "ridgera2ja" year "1994" manufacturer "Namco" desc "Ridge Racer 2 (Japan, RRS1)" devices ())
(name "ridgerac" year "1993" manufacturer "Namco" desc "Ridge Racer (World, RR2 Ver.B)" devices ())
(name "ridgeraca" year "1993" manufacturer "Namco" desc "Ridge Racer (World, RR2)" devices ())
(name "ridgeracb" year "1993" manufacturer "Namco" desc "Ridge Racer (US, RR3 Ver.B)" devices ())
(name "ridgeracc" year "1993" manufacturer "Namco" desc "Ridge Racer (US, RR3)" devices ())
(name "ridgeracf" year "1993" manufacturer "Namco" desc "Ridge Racer Full Scale (World, RRF2)" devices ())
(name "ridgeracj" year "1993" manufacturer "Namco" desc "Ridge Racer (Japan, RR1)" devices ())
(name "ridhero" year "1990" manufacturer "SNK" desc "Riding Hero (NGM-006 ~ NGH-006)" devices ((name "memcard" briefname "memc" ) ()))
(name "ridheroh" year "1990" manufacturer "SNK" desc "Riding Hero (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "ridingf" year "1992" manufacturer "Taito Corporation Japan" desc "Riding Fight (Ver 1.0O)" devices ())
(name "ridingfj" year "1992" manufacturer "Taito Corporation" desc "Riding Fight (Ver 1.0J)" devices ())
(name "ridingfu" year "1992" manufacturer "Taito America Corporation" desc "Riding Fight (Ver 1.0A)" devices ())
(name "ridleofp" year "1986" manufacturer "Sega / Nasco" desc "Riddle of Pythagoras (Japan)" devices ())
(name "rimrockn" year "1991" manufacturer "Strata / Incredible Technologies" desc "Rim Rockin' Basketball (V2.2)" devices ())
(name "rimrockn12" year "1991" manufacturer "Strata / Incredible Technologies" desc "Rim Rockin' Basketball (V1.2)" devices ())
(name "rimrockn12b" year "1991" manufacturer "bootleg" desc "Rim Rockin' Basketball (V1.2, bootleg)" devices ())
(name "rimrockn15" year "1991" manufacturer "Strata / Incredible Technologies" desc "Rim Rockin' Basketball (V1.5)" devices ())
(name "rimrockn16" year "1991" manufacturer "Strata / Incredible Technologies" desc "Rim Rockin' Basketball (V1.6)" devices ())
(name "rimrockn20" year "1991" manufacturer "Strata / Incredible Technologies" desc "Rim Rockin' Basketball (V2.0)" devices ())
(name "ringball" year "1995" manufacturer "Microhard" desc "Ring Ball (Ver. 2.6)" devices ())
(name "ringdest" year "1994" manufacturer "Capcom" desc "Ring of Destruction: Slammasters II (Europe 940902)" devices ())
(name "ringdesta" year "1994" manufacturer "Capcom" desc "Ring of Destruction: Slammasters II (Asia 940831)" devices ())
(name "ringdestb" year "1994" manufacturer "Capcom" desc "Ring of Destruction: Slammasters II (Brazil 940902)" devices ())
(name "ringdesth" year "1994" manufacturer "Capcom" desc "Ring of Destruction: Slammasters II (Hispanic 940902)" devices ())
(name "ringdstd" year "1994" manufacturer "bootleg" desc "Ring of Destruction: Slammasters II (Europe 940902 Phoenix Edition) (bootleg)" devices ())
(name "ringfgt" year "1984" manufacturer "Kaneko (Taito license)" desc "Ring Fighter (rev 1)" devices ())
(name "ringfgta" year "1984" manufacturer "Kaneko (Taito license)" desc "Ring Fighter" devices ())
(name "ringking" year "1985" manufacturer "Woodplace Inc. (Data East USA license)" desc "Ring King (US set 1)" devices ())
(name "ringking2" year "1985" manufacturer "Woodplace Inc. (Data East USA license)" desc "Ring King (US set 2)" devices ())
(name "ringking3" year "1985" manufacturer "Woodplace Inc. (Data East USA license)" desc "Ring King (US set 3)" devices ())
(name "ringkingw" year "1985" manufacturer "Woodplace Inc." desc "Ring King (US, Woodplace Inc.)" devices ())
(name "ringo470" year "1983" manufacturer "Ritas do Brasil Ltda" desc "Ringo R-470" devices ((name "cassette" briefname "cass" )))
(name "ringohja" year "1988" manufacturer "Konami" desc "Ring no Ohja (Japan 2 Players ver. N)" devices ())
(name "ringout" year "1999" manufacturer "Sega" desc "Ring Out 4x4 (Rev A)" devices ())
(name "ringouto" year "1999" manufacturer "Sega" desc "Ring Out 4x4" devices ())
(name "ringrage" year "1992" manufacturer "Taito Corporation Japan" desc "Ring Rage (Ver 2.3O 1992/08/09)" devices ())
(name "ringragej" year "1992" manufacturer "Taito Corporation" desc "Ring Rage (Ver 2.3J 1992/08/09)" devices ())
(name "ringrageu" year "1992" manufacturer "Taito America Corporation" desc "Ring Rage (Ver 2.3A 1992/08/09)" devices ())
(name "rio" year "1978" manufacturer "Game Plan" desc "Rio" devices ())
(name "riot" year "1992" manufacturer "NMK" desc "Riot" devices ())
(name "riotcity" year "1991" manufacturer "Sega / Westone" desc "Riot City (Japan)" devices ())
(name "riotw" year "1992" manufacturer "Woong Bi" desc "Riot (Woong Bi license)" devices ())
(name "rip300" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.00, display A3.00)" devices ())
(name "rip301" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.01, display A3.20)" devices ())
(name "rip302" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.02, display A3.20)" devices ())
(name "rip310" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.10, display A3.20)" devices ())
(name "ripcord" year "1979" manufacturer "Exidy" desc "Rip Cord" devices ())
(name "ripf300" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.00, display F3.00, France)" devices ())
(name "ripf301" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.01, display F3.01, France)" devices ())
(name "ripf302" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.02, display F3.01, France)" devices ())
(name "ripf310" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.10, display F3.01, France)" devices ())
(name "ripg300" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.00, display G3.00, Germany)" devices ())
(name "ripg301" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.01, display G3.00, Germany)" devices ())
(name "ripg302" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.02, display G3.00, Germany)" devices ())
(name "ripg310" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.10, display G3.00, Germany)" devices ())
(name "ripi300" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.00, display I3.00, Italy)" devices ())
(name "ripi301" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.01, display I3.00, Italy)" devices ())
(name "ripi302" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.02, display I3.00, Italy)" devices ())
(name "ripi310" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.10, display I3.00, Italy)" devices ())
(name "ripl300" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.00, display L3.00, Spain)" devices ())
(name "ripl301" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.01, display L3.01, Spain)" devices ())
(name "ripl302" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.02, display L3.01, Spain)" devices ())
(name "ripl310" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.10, display L3.01, Spain)" devices ())
(name "ripleys" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.20, display A3.20)" devices ())
(name "ripleysf" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.20, display F3.01, France)" devices ())
(name "ripleysg" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.20, display G3.00, Germany)" devices ())
(name "ripleysi" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.20, display I3.00, Italy)" devices ())
(name "ripleysl" year "2004" manufacturer "Stern" desc "Ripley's Believe It or Not! (CPU 3.20, display L3.01, Spain)" devices ())
(name "ripoff" year "1980" manufacturer "Cinematronics" desc "Rip Off" devices ())
(name "ripribit" year "1997" manufacturer "LAI Games" desc "Ripper Ribbit (Version 3.5)" devices ())
(name "ripribita" year "1997" manufacturer "LAI Games" desc "Ripper Ribbit (Version 2.8.4)" devices ())
(name "risc2500" year "1992" manufacturer "Saitek / Tasc" desc "Kasparov RISC 2500 (v1.04)" devices ())
(name "risc2500a" year "1992" manufacturer "Saitek / Tasc" desc "Kasparov RISC 2500 (v1.03)" devices ())
(name "riskchal" year "1993" manufacturer "Irem" desc "Risky Challenge" devices ())
(name "rittam" year "1990" manufacturer "Jaleco" desc "R&T (Rod-Land prototype)" devices ())
(name "riviera" year "1987" manufacturer "Merit" desc "Riviera Hi-Score (2131-08, U5-4A)" devices ())
(name "rivieraa" year "1986" manufacturer "Merit" desc "Riviera Hi-Score (2131-08, U5-4)" devices ())
(name "rivierab" year "1986" manufacturer "Merit" desc "Riviera Hi-Score (2131-08, U5-2D)" devices ())
(name "rjammer" year "1984" manufacturer "Nichibutsu / Alice" desc "Roller Jammer" devices ())
(name "rk7007" year "1986" manufacturer "<unknown>" desc "Radio-86RK (MS7007)" devices ((name "cassette" briefname "cass" )))
(name "rk700716" year "1986" manufacturer "<unknown>" desc "Radio-86RK (MS7007 16K RAM)" devices ((name "cassette" briefname "cass" )))
(name "rkjanoh2" year "1984" manufacturer "SNK / Dyna Corp" desc "Royal King Jang Oh 2 (v4.00 1984 Jun 10th)" devices ())
(name "rkosmosa" year "1989" manufacturer "bootleg (Elektronika)" desc "Razvedchiki kosmosa" devices ())
(name "rlndtnsc1" year "198?" manufacturer "Roland" desc "Roland Music Style Card TN-SC1 Software List holder" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "rlndtnsc2" year "198?" manufacturer "Roland" desc "Roland Music Style Card TN-SC2 Software List holder" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "rltennis" year "1993" manufacturer "TCH" desc "Reality Tennis (set 1)" devices ())
(name "rltennisa" year "1993" manufacturer "TCH" desc "Reality Tennis (set 2)" devices ())
(name "rm380z" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 4.0B/M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rm380z34d" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 3.4D/F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "rm380z34e" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 3.4E/M" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "rm380zf" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 4.0B/F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rm380zfhrg" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 4.0B/F with HRG" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rm380zhrg" year "1978" manufacturer "Research Machines" desc "RM-380Z, COS 4.0B/M with HRG" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rm480z" year "1981" manufacturer "Research Machines" desc "LINK RM-480Z (set 1)" devices ())
(name "rm480za" year "1981" manufacturer "Research Machines" desc "LINK RM-480Z (set 2)" devices ())
(name "rmancp2j" year "1995" manufacturer "Capcom" desc "Rockman: The Power Battle (CPS2, Japan 950922)" devices ())
(name "rmgoldyh" year "1988" manufacturer "Seta (Alba license)" desc "Real Mahjong Gold Yumehai / Super Real Mahjong GOLD part.2 (Japan)" devices ())
(name "rmhaihai" year "1985" manufacturer "Alba" desc "Real Mahjong Haihai (Japan, newer)" devices ())
(name "rmhaihai2" year "1985" manufacturer "Alba" desc "Real Mahjong Haihai (Japan, older)" devices ())
(name "rmhaihib" year "1985" manufacturer "Alba" desc "Real Mahjong Haihai (Japan, medal)" devices ())
(name "rmhaijin" year "1986" manufacturer "Alba" desc "Real Mahjong Haihai Jinji Idou Hen (Japan)" devices ())
(name "rmhaisei" year "1986" manufacturer "Visco" desc "Real Mahjong Haihai Seichouhen (Japan)" devices ())
(name "rminitv" year "2015" manufacturer "Orb Gaming" desc "Retro 'Mini TV' Console 300-in-1" devices ())
(name "rmontecarlo" year "1991" manufacturer "Falgas" desc "Rally Montecarlo" devices ())
(name "rmpgwt" year "1997" manufacturer "Midway" desc "Rampage: World Tour (rev 1.3)" devices ())
(name "rmpgwt11" year "1997" manufacturer "Midway" desc "Rampage: World Tour (rev 1.1)" devices ())
(name "rndrndqs" year "1996" manufacturer "Quick $ilver Development Co." desc "Round and Round (Rev 6) (Quick $ilver)" devices ())
(name "roadblst" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, rev 4)" devices ())
(name "roadblst1" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, rev 1)" devices ())
(name "roadblst2" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, rev 2)" devices ())
(name "roadblst3" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, rev 3)" devices ())
(name "roadblstc" year "1987" manufacturer "Atari Games" desc "Road Blasters (cockpit, rev 2)" devices ())
(name "roadblstc1" year "1987" manufacturer "Atari Games" desc "Road Blasters (cockpit, rev 1)" devices ())
(name "roadblstcg" year "1987" manufacturer "Atari Games" desc "Road Blasters (cockpit, German, rev 1)" devices ())
(name "roadblstg" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, German, rev 3)" devices ())
(name "roadblstg1" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, German, rev 1)" devices ())
(name "roadblstg2" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, German, rev 2)" devices ())
(name "roadblstgu" year "1987" manufacturer "Atari Games" desc "Road Blasters (upright, German, rev ?)" devices ())
(name "roadburn" year "1999" manufacturer "Atari Games" desc "Road Burners (ver 1.04)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "roadburn1" year "1999" manufacturer "Atari Games" desc "Road Burners (ver 1.0)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "roadedge" year "1997" manufacturer "SNK" desc "Roads Edge / Round Trip RV (rev.B)" devices ())
(name "roadf" year "1984" manufacturer "Konami" desc "Road Fighter (set 1)" devices ())
(name "roadf2" year "1984" manufacturer "Konami" desc "Road Fighter (set 2)" devices ())
(name "roadfh" year "1984" manufacturer "bootleg" desc "Road Fighter (bootleg GX330 conversion)" devices ())
(name "roadfu" year "1984" manufacturer "Konami" desc "Road Fighter (set 3, unencrypted)" devices ())
(name "roadriot" year "1991" manufacturer "Atari Games" desc "Road Riot 4WD (04 Dec 1991, conversion kit)" devices ())
(name "roadriota" year "1991" manufacturer "Atari Games" desc "Road Riot 4WD (13 Nov 1991, conversion kit)" devices ())
(name "roadriotb" year "1991" manufacturer "Atari Games" desc "Road Riot 4WD (04 Jun 1991, dedicated twin)" devices ())
(name "roadrunm" year "1977" manufacturer "Midway" desc "Road Runner (Midway)" devices ())
(name "roadrunn" year "1985" manufacturer "Atari Games" desc "Road Runner (rev 2)" devices ())
(name "roadrunn1" year "1985" manufacturer "Atari Games" desc "Road Runner (rev 1)" devices ())
(name "roadrunn2" year "1985" manufacturer "Atari Games" desc "Road Runner (rev 1+)" devices ())
(name "roadrunr" year "1979" manufacturer "Atari" desc "Road Runner" devices ())
(name "roadstar" year "199?" manufacturer "San Remo Games" desc "Road Star" devices ())
(name "roadtrip" year "2005" manufacturer "Aristocrat" desc "Road Trip (0152539, US)" devices ())
(name "robadv" year "2004" manufacturer "Amcoe" desc "Robin's Adventure (Version 1.7E Dual)" devices ())
(name "robadv2" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7E Dual)" devices ())
(name "robadv2c1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7R, set 1)" devices ())
(name "robadv2c2" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7LT, set 1)" devices ())
(name "robadv2c3" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7SH, set 1)" devices ())
(name "robadv2d1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7R, set 2)" devices ())
(name "robadv2d2" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7LT, set 2)" devices ())
(name "robadv2d3" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7SH, set 2)" devices ())
(name "robadv2o" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.5SH)" devices ())
(name "robadv2o2" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.5)" devices ())
(name "robadv2v1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7R Dual)" devices ())
(name "robadv2v2" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7LT Dual)" devices ())
(name "robadv2v3" year "2004" manufacturer "Amcoe" desc "Robin's Adventure 2 (Version 1.7SH Dual)" devices ())
(name "robadvc1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure (Version 1.7R, set 1)" devices ())
(name "robadvd1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure (Version 1.7R, set 2)" devices ())
(name "robadvo" year "2004" manufacturer "Amcoe" desc "Robin's Adventure (Version 1.5)" devices ())
(name "robadvv1" year "2004" manufacturer "Amcoe" desc "Robin's Adventure (Version 1.7R Dual)" devices ())
(name "robby" year "1981" manufacturer "Dave Nutting Associates / Bally Midway" desc "The Adventures of Robby Roto!" devices ())
(name "robie" year "1984" manufacturer "Kaypro Corporation" desc "Kaypro Robie" devices ((name "quickload" briefname "quik" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "robo_a29" year "1989" manufacturer "Data East" desc "Robocop (2.9)" devices ())
(name "robo_a30" year "1989" manufacturer "Data East" desc "Robocop (3.0)" devices ())
(name "robo_a34" year "1989" manufacturer "Data East" desc "Robocop (3.4)" devices ())
(name "roboarmy" year "1991" manufacturer "SNK" desc "Robo Army" devices ((name "memcard" briefname "memc" ) ()))
(name "roboarmya" year "1991" manufacturer "SNK" desc "Robo Army (NGM-032 ~ NGH-032)" devices ((name "memcard" briefname "memc" ) ()))
(name "robocop" year "1988" manufacturer "Data East Corporation" desc "Robocop (World, revision 4)" devices ())
(name "robocop2" year "1991" manufacturer "Data East Corporation" desc "Robocop 2 (Euro/Asia v0.10)" devices ())
(name "robocop2j" year "1991" manufacturer "Data East Corporation" desc "Robocop 2 (Japan v0.11)" devices ())
(name "robocop2u" year "1991" manufacturer "Data East Corporation" desc "Robocop 2 (US v0.10)" devices ())
(name "robocop2ua" year "1991" manufacturer "Data East Corporation" desc "Robocop 2 (US v0.05)" devices ())
(name "robocopb" year "1988" manufacturer "bootleg" desc "Robocop (World bootleg)" devices ())
(name "robocopj" year "1988" manufacturer "Data East Corporation" desc "Robocop (Japan)" devices ())
(name "robocopu" year "1988" manufacturer "Data East USA" desc "Robocop (US, revision 1)" devices ())
(name "robocopu0" year "1988" manufacturer "Data East USA" desc "Robocop (US, revision 0)" devices ())
(name "robocopw" year "1988" manufacturer "Data East Corporation" desc "Robocop (World, revision 3)" devices ())
(name "robokid" year "1988" manufacturer "UPL" desc "Atomic Robo-kid (World, Type-2)" devices ())
(name "robokidj" year "1988" manufacturer "UPL" desc "Atomic Robo-kid (Japan, Type-2, set 1)" devices ())
(name "robokidj2" year "1988" manufacturer "UPL" desc "Atomic Robo-kid (Japan, Type-2, set 2)" devices ())
(name "robokidj3" year "1988" manufacturer "UPL" desc "Atomic Robo-kid (Japan)" devices ())
(name "robot" year "1985" manufacturer "Zaccaria" desc "Robot (Zaccaria)" devices ())
(name "robotadv" year "1982" manufacturer "Novag Industries" desc "Chess Robot Adversary" devices ())
(name "robotbwl" year "1977" manufacturer "Exidy" desc "Robot Bowl" devices ())
(name "robotech" year "2018" manufacturer "Coleco" desc "Robotech" devices ())
(name "robotf" year "1985" manufacturer "Zaccaria" desc "Robot (Zaccaria, French speech)" devices ())
(name "robotg" year "1985" manufacturer "Zaccaria" desc "Robot (Zaccaria, German speech)" devices ())
(name "roboti" year "1985" manufacturer "Zaccaria" desc "Robot (Zaccaria, Italian speech)" devices ())
(name "robotron" year "1982" manufacturer "Williams / Vid Kidz" desc "Robotron: 2084 (Solid Blue label)" devices ())
(name "robotron12" year "2012" manufacturer "hack" desc "Robotron: 2084 (2012 'wave 201 start' hack)" devices ())
(name "robotron87" year "1987" manufacturer "hack" desc "Robotron: 2084 (1987 'shot-in-the-corner' bugfix)" devices ())
(name "robotrontd" year "2015" manufacturer "hack" desc "Robotron: 2084 (2015 'tie-die V2' hack)" devices ())
(name "robotronun" year "1982" manufacturer "Williams / Vid Kidz (Unidesa license)" desc "Robotron: 2084 (Unidesa license)" devices ())
(name "robotronyo" year "1982" manufacturer "Williams / Vid Kidz" desc "Robotron: 2084 (Yellow/Orange label)" devices ())
(name "robowars" year "1988" manufacturer "Gottlieb" desc "Robo-War" devices ())
(name "robowarsf" year "1988" manufacturer "Gottlieb" desc "Robo-War (French)" devices ())
(name "robowres" year "1986" manufacturer "Sanritsu / Sega" desc "Robo Wres 2001" devices ())
(name "robowresb" year "1986" manufacturer "bootleg" desc "Robo Wres 2001 (bootleg)" devices ())
(name "rock" year "1985" manufacturer "Gottlieb" desc "Rock" devices ())
(name "rock2500" year "1985" manufacturer "Playmatic" desc "Rock 2500" devices ())
(name "rock_enc" year "1986" manufacturer "Gottlieb" desc "Rock Encore" devices ())
(name "rock_encg" year "1986" manufacturer "Gottlieb" desc "Rock Encore (German)" devices ())
(name "rockclim" year "1981" manufacturer "Taito" desc "Rock Climber" devices ())
(name "rockduck" year "1983" manufacturer "Datel SAS" desc "Rock Duck (prototype?)" devices ())
(name "rockg" year "1985" manufacturer "Gottlieb" desc "Rock (German)" devices ())
(name "rockman2j" year "1996" manufacturer "Capcom" desc "Rockman 2: The Power Fighters (Japan 960708)" devices ())
(name "rockmanbc" year "2006" manufacturer "Capcom" desc "Rockman EXE Battle Chip Stadium Ver.3.00" devices ((name "harddisk" briefname "hard" )))
(name "rockmanj" year "1995" manufacturer "Capcom" desc "Rockman: The Power Battle (CPS1, Japan 950922)" devices ())
(name "rockmanmdl" year "2005" manufacturer "Capcom" desc "Rockman EXE The Medal Operation" devices ((name "harddisk" briefname "hard" )))
(name "rockn" year "1999" manufacturer "Jaleco" desc "Rock'n Tread (Japan)" devices ())
(name "rockn2" year "1999" manufacturer "Jaleco" desc "Rock'n Tread 2 (Japan)" devices ())
(name "rockn3" year "1999" manufacturer "Jaleco" desc "Rock'n 3 (Japan)" devices ())
(name "rockn4" year "2000" manufacturer "Jaleco / PCCWJ" desc "Rock'n 4 (Japan, prototype)" devices ())
(name "rockna" year "1999" manufacturer "Jaleco" desc "Rock'n Tread (Japan, alternate)" devices ())
(name "rocknms" year "1999" manufacturer "Jaleco" desc "Rock'n MegaSession (Japan)" devices ())
(name "rockpin" year "1979" manufacturer "Tiger Electronics" desc "Rocket Pinball" devices ())
(name "rockrage" year "1986" manufacturer "Konami" desc "Rock'n Rage (World)" devices ())
(name "rockragea" year "1986" manufacturer "Konami" desc "Rock'n Rage (prototype?)" devices ())
(name "rockragej" year "1986" manufacturer "Konami" desc "Koi no Hotrock (Japan)" devices ())
(name "rockroll" year "1999" manufacturer "Unidesa/Cirsa" desc "Rock 'n' Roll" devices ())
(name "rockstar" year "2007" manufacturer "Ultimate Products / TaiKee" desc "Plug 'N' Play Rockstar Guitar / Guitar Rock (PAL)" devices ())
(name "rocktris" year "1994?" manufacturer "Yun Sung" desc "Rock Tris" devices ())
(name "rocktrv2" year "1986" manufacturer "Triumph Software Inc." desc "MTV Rock-N-Roll Trivia (Part 2)" devices ())
(name "rocky" year "1982" manufacturer "Gottlieb" desc "Rocky" devices ())
(name "rockyf" year "1982" manufacturer "Gottlieb" desc "Rocky (French speech)" devices ())
(name "rocnrope" year "1983" manufacturer "Konami" desc "Roc'n Rope" devices ())
(name "rocnropek" year "1983" manufacturer "Konami (Kosuka license)" desc "Roc'n Rope (Kosuka)" devices ())
(name "rodent" year "2005" manufacturer "The Game Room" desc "Rodent Exterminator" devices ())
(name "rodland" year "1990" manufacturer "Jaleco" desc "Rod-Land (World, set 1)" devices ())
(name "rodlanda" year "1990" manufacturer "Jaleco" desc "Rod-Land (World, set 2)" devices ())
(name "rodlandj" year "1990" manufacturer "Jaleco" desc "Rod-Land (Japan)" devices ())
(name "rodlandjb" year "1990" manufacturer "bootleg" desc "Rod-Land (Japan bootleg with unencrypted program)" devices ())
(name "rodlandjb2" year "1990" manufacturer "bootleg" desc "Rod-Land (Japan bootleg with unencrypted program and GFX)" devices ())
(name "rohga" year "1991" manufacturer "Data East Corporation" desc "Rohga Armor Force (Asia/Europe v5.0)" devices ())
(name "rohga1" year "1991" manufacturer "Data East Corporation" desc "Rohga Armor Force (Asia/Europe v3.0 set 1)" devices ())
(name "rohga2" year "1991" manufacturer "Data East Corporation" desc "Rohga Armor Force (Asia/Europe v3.0 set 2)" devices ())
(name "rohgah" year "1991" manufacturer "Data East Corporation" desc "Rohga Armor Force (Hong Kong v3.0)" devices ())
(name "rohgau" year "1991" manufacturer "Data East Corporation" desc "Rohga Armor Force (US v1.0)" devices ())
(name "roishtar" year "1986" manufacturer "Namco" desc "The Return of Ishtar" devices ())
(name "rolcrush" year "1999" manufacturer "SemiCom / Exit (Trust license)" desc "Rolling Crush (version 1.07.E - 1999/02/11, Trust license)" devices ())
(name "rolcrusha" year "1999" manufacturer "SemiCom / Exit" desc "Rolling Crush (version 1.03.E - 1999/01/29)" devices ())
(name "roldfrog" year "1993" manufacturer "Microhard" desc "The Return of Lady Frog (set 1)" devices ())
(name "roldfroga" year "1993" manufacturer "Microhard" desc "The Return of Lady Frog (set 2)" devices ())
(name "roldisco" year "1980" manufacturer "Gottlieb" desc "Roller Disco" devices ())
(name "roljokr1" year "1999" manufacturer "Paloma Elektronik?" desc "Rolling Joker" devices ())
(name "roljokr2" year "1997" manufacturer "Paloma Elektronik?" desc "Rolling Joker (v23.11.91)" devices ())
(name "roljokr3" year "1999" manufacturer "Paloma Elektronik?" desc "Rolling Joker (v.99.7)" devices ())
(name "rolla" year "199?" manufacturer "Random Games" desc "unknown 'Rolla' slot machine" devices ())
(name "rollace" year "1983" manufacturer "Kaneko (Williams license)" desc "Roller Aces (set 1)" devices ())
(name "rollace2" year "1983" manufacturer "Kaneko (Williams license)" desc "Roller Aces (set 2)" devices ())
(name "rollerg" year "1991" manufacturer "Konami" desc "Rollergames (US)" devices ())
(name "rollergj" year "1991" manufacturer "Konami" desc "Rollergames (Japan)" devices ())
(name "rollext" year "1999" manufacturer "Gaelco (Namco America license)" desc "ROLLing eX.tre.me (US)" devices ())
(name "rollfr" year "2003" manufacturer "Igrosoft" desc "Roll Fruit (030821)" devices ())
(name "rollfr_2" year "2003" manufacturer "Igrosoft" desc "Roll Fruit (040318)" devices ())
(name "rollfr_3" year "2003" manufacturer "Igrosoft" desc "Roll Fruit (080327)" devices ())
(name "rollfr_4" year "2003" manufacturer "Igrosoft" desc "Roll Fruit (080331)" devices ())
(name "rollfr_5" year "2003" manufacturer "Igrosoft" desc "Roll Fruit (100924)" devices ())
(name "rolling" year "1998" manufacturer "bootleg" desc "Rolling" devices ())
(name "rollingc" year "1979" manufacturer "Nichibutsu" desc "Rolling Crash / Moon Base" devices ())
(name "rollr_d2" year "1990" manufacturer "Williams" desc "Rollergames (AD-2) Prototype" devices ())
(name "rollr_e1" year "1991" manufacturer "Williams" desc "Rollergames (PU-1)" devices ())
(name "rollr_ex" year "1991" manufacturer "Williams" desc "Rollergames (EXPERIMENTAL)" devices ())
(name "rollr_f2" year "1991" manufacturer "Williams" desc "Rollergames (LF-2) French" devices ())
(name "rollr_f3" year "1990" manufacturer "Williams" desc "Rollergames (LF-3) French" devices ())
(name "rollr_g3" year "1990" manufacturer "Williams" desc "Rollergames (LG-3) Germany" devices ())
(name "rollr_l1" year "1990" manufacturer "Williams" desc "Rollergames (LA-1)" devices ())
(name "rollr_l2" year "1990" manufacturer "Williams" desc "Rollergames (LA-2)" devices ())
(name "rollr_l3" year "1990" manufacturer "Williams" desc "Rollergames (LU-3) Europe" devices ())
(name "rollr_p2" year "1991" manufacturer "Williams" desc "Rollergames (PA-2 / PA-1 Sound)" devices ())
(name "rollston" year "1980" manufacturer "Bally" desc "Rolling Stones" devices ())
(name "roma16" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Roma 68000" devices ())
(name "roma16g" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Roma 68000 (Glasgow hardware)" devices ())
(name "roma2" year "1989" manufacturer "Hegener + Glaser" desc "Mephisto Roma II" devices ())
(name "roma32" year "1987" manufacturer "Hegener + Glaser" desc "Mephisto Roma 68020" devices ())
(name "romanl" year "200?" manufacturer "Konami" desc "Roman Legions (Konami Endeavour, Russia)" devices ())
(name "rompers" year "1989" manufacturer "Namco" desc "Rompers (Japan, new version (Rev B))" devices ())
(name "romperso" year "1989" manufacturer "Namco" desc "Rompers (Japan, old version)" devices ())
(name "ron2" year "1981" manufacturer "Sanritsu" desc "Futari Mahjong Ron II" devices ())
(name "rongrong" year "1994" manufacturer "Nakanihon (Activision license)" desc "Puzzle Game Rong Rong (Europe)" devices ())
(name "rongrongg" year "1994" manufacturer "Nakanihon (Activision license)" desc "Puzzle Game Rong Rong (Germany)" devices ())
(name "rongrongj" year "1994" manufacturer "Nakanihon (Activision license)" desc "Puzzle Game Rong Rong (Japan)" devices ())
(name "ronjan" year "1991" manufacturer "Wing Co., Ltd" desc "Ron Jan" devices ())
(name "ronjans" year "1994" manufacturer "Wing Co., Ltd" desc "Ron Jan Super" devices ())
(name "ropeman" year "1983" manufacturer "bootleg" desc "Ropeman (bootleg of Roc'n Rope)" devices ())
(name "rota_101" year "1978" manufacturer "Midway" desc "Rotation VIII (v. 1.01)" devices ())
(name "rota_115" year "1978" manufacturer "Midway" desc "Rotation VIII (v. 1.15)" devices ())
(name "rotaryf" year "1979" manufacturer "Kasco" desc "Rotary Fighter" devices ())
(name "rotation" year "1978" manufacturer "Midway" desc "Rotation VIII (v. 1.17)" devices ())
(name "rotd" year "2002" manufacturer "Evoga / Playmore" desc "Rage of the Dragons (NGM-2640?)" devices ((name "memcard" briefname "memc" ) ()))
(name "rotdh" year "2002" manufacturer "Evoga / Playmore" desc "Rage of the Dragons (NGH-2640?)" devices ((name "memcard" briefname "memc" ) ()))
(name "rotr" year "1994" manufacturer "BFM/Mirage" desc "Rise of the Robots (prototype)" devices ((name "harddisk" briefname "hard" )))
(name "rotra" year "1994" manufacturer "BFM/Mirage" desc "Rise of the Robots (prototype, older)" devices ((name "harddisk" briefname "hard" )))
(name "roughrac" year "1990" manufacturer "Sega" desc "Rough Racer (Japan, Floppy Based, FD1094 317-0058-06b)" devices ())
(name "rougien" year "1982" manufacturer "Sanritsu" desc "Rougien" devices ())
(name "roul" year "1990" manufacturer "bootleg" desc "Super Lucky Roulette" devices ())
(name "roundup" year "1981" manufacturer "Taito Corporation (Amenip/Centuri license)" desc "Round-Up" devices ())
(name "roundup5" year "1989" manufacturer "Tatsumi" desc "Round Up 5 - Super Delta Force" devices ())
(name "route16" year "1981" manufacturer "Sun Electronics" desc "Route 16 (Sun Electronics, set 1)" devices ())
(name "route16a" year "1981" manufacturer "Tehkan / Sun Electronics (Centuri license)" desc "Route 16 (Centuri license, set 1)" devices ())
(name "route16b" year "1981" manufacturer "Tehkan / Sun Electronics (Centuri license)" desc "Route 16 (Centuri license, set 2)" devices ())
(name "route16bl" year "1981" manufacturer "bootleg (Leisure and Allied)" desc "Route 16 (bootleg)" devices ())
(name "route16c" year "1981" manufacturer "Tehkan / Sun Electronics (Centuri license)" desc "Route 16 (Centuri license, set 3, bootleg?)" devices ())
(name "route16d" year "1981" manufacturer "Sun Electronics" desc "Route 16 (Sun Electronics, set 2)" devices ())
(name "routex" year "1981" manufacturer "bootleg" desc "Route X (bootleg, set 1)" devices ())
(name "routexa" year "1981" manufacturer "bootleg" desc "Route X (bootleg, set 2)" devices ())
(name "rowtrn2k" year "198?" manufacturer "Rowtron" desc "Rowtron 2000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "royal" year "2001" manufacturer "<unknown>" desc "Royal (Pool 10 hack)" devices ())
(name "royalcdfr" year "1991" manufacturer "TAB Austria" desc "Royal Card (French)" devices ())
(name "royalcrd" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 1)" devices ())
(name "royalcrd_msx" year "1991" manufacturer "bootleg" desc "Royal Card (stealth with MSX multigame)" devices ())
(name "royalcrd_nes" year "1991" manufacturer "bootleg" desc "Royal Card (stealth with NES multigame, set 1)" devices ())
(name "royalcrd_nesa" year "1991" manufacturer "bootleg" desc "Royal Card (stealth with NES multigame, set 2)" devices ())
(name "royalcrda" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 2)" devices ())
(name "royalcrdb" year "1991" manufacturer "TAB Austria" desc "Royal Card (German/Polish, set 3)" devices ())
(name "royalcrdc" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 4)" devices ())
(name "royalcrdd" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 5)" devices ())
(name "royalcrde" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 6)" devices ())
(name "royalcrdf" year "1991" manufacturer "Evona Electronic" desc "Royal Card (Evona, Polish, encrypted)" devices ())
(name "royalcrdg" year "1990" manufacturer "bootleg" desc "Royal Card (German, set 7, CMC C1030 HW)" devices ())
(name "royalcrdh" year "1991" manufacturer "TAB Austria" desc "Royal Card (German, set 8)" devices ())
(name "royalcrdp" year "1993" manufacturer "Digital Dreams" desc "Royal Card v2.0 Professional" devices ())
(name "royalcrdt" year "1991" manufacturer "TAB Austria" desc "Royal Card (TAB original)" devices ())
(name "royale" year "198?" manufacturer "<unknown>" desc "Royale (set 1)" devices ())
(name "royalea" year "198?" manufacturer "<unknown>" desc "Royale (set 2)" devices ())
(name "royaljp" year "199?" manufacturer "TAB / Video Klein" desc "Royal Card / Royal Jackpot (with a third draw)(encrypted)" devices ())
(name "royalmah" year "1982" manufacturer "bootleg" desc "Royal Mahjong (Falcon bootleg, v1.01)" devices ())
(name "royalmj" year "1981" manufacturer "Nichibutsu" desc "Royal Mahjong (Japan, v1.13)" devices ())
(name "royalngt" year "1984" manufacturer "Royal Denshi" desc "Royal Night (Japan 840220 RN 2-00)" devices ())
(name "royalpk2" year "1999" manufacturer "F2 System" desc "Royal Poker 2 (Network version 3.12)" devices ())
(name "royalqn" year "1984" manufacturer "Royal Denshi" desc "Royal Queen (Japan 841010 RQ 0-07)" devices ())
(name "royclark" year "1977" manufacturer "Fascination Int." desc "Roy Clark - The Entertainer" devices ())
(name "roylcrdn" year "1985" manufacturer "Amusement" desc "Royal Card (Nichibutsu HW)" devices ())
(name "roylcrdna" year "1982" manufacturer "Miki Corp." desc "Royal Card Part-Two (Nichibutsu HW, Ver. 1.02)" devices ())
(name "roypok96" year "1996" manufacturer "Amcoe" desc "Royal Poker '96 (set 1, v97-3.5)" devices ())
(name "roypok96a" year "1996" manufacturer "Amcoe" desc "Royal Poker '96 (set 2, v98-3.6)" devices ())
(name "roypok96b" year "1996" manufacturer "Amcoe" desc "Royal Poker '96 (set 3, v98-3.6?)" devices ())
(name "roypok96c" year "1996" manufacturer "Amcoe" desc "Royal Poker '96 (set 4, C3 board)" devices ())
(name "rp200" year "1999" manufacturer "Generalmusic" desc "GEM RealPiano RP200" devices ())
(name "rpanic" year "1992" manufacturer "Excellent System / Jaleco" desc "Rolling Panic (v2.33)" devices ())
(name "rpatrol" year "1981" manufacturer "Orca" desc "River Patrol (Japan)" devices ())
(name "rpatrolb" year "1981" manufacturer "bootleg" desc "River Patrol (bootleg)" devices ())
(name "rpatroln" year "1981" manufacturer "Orca" desc "River Patrol (Japan, unprotected)" devices ())
(name "rpc600" year "1994" manufacturer "Acorn" desc "Risc PC 600" devices ())
(name "rpc700" year "1994" manufacturer "Acorn" desc "Risc PC 700" devices ())
(name "rpc86" year "19??" manufacturer "Intel" desc "RPC 86" devices ())
(name "rpunch" year "1987" manufacturer "V-System Co. (Bally/Midway/Sente license)" desc "Rabbit Punch (US)" devices ())
(name "rranger" year "1988" manufacturer "SunA (Sharp Image license)" desc "Rough Ranger (v2.0)" devices ())
(name "rrangerb" year "1988" manufacturer "bootleg" desc "Rough Ranger (v2.0, bootleg)" devices ())
(name "rriders" year "2004" manufacturer "Gaelco" desc "Ring Riders (Software version v2.2)" devices ())
(name "rrreveng" year "1993" manufacturer "Atari Games" desc "Road Riot's Revenge (prototype, Sep 06, 1994)" devices ())
(name "rrrevenga" year "1993" manufacturer "Atari Games" desc "Road Riot's Revenge (prototype, Jan 27, 1994, set 1)" devices ())
(name "rrrevengb" year "1993" manufacturer "Atari Games" desc "Road Riot's Revenge (prototype, Jan 27, 1994, set 2)" devices ())
(name "rrvac" year "2000" manufacturer "Namco" desc "Ridge Racer V Arcade Battle (RRV3 Ver. A)" devices ())
(name "rrvac1" year "2000" manufacturer "Namco" desc "Ridge Racer V Arcade Battle (RRV1 Ver. A)" devices ())
(name "rrvac2" year "2000" manufacturer "Namco" desc "Ridge Racer V Arcade Battle (RRV2 Ver. A)" devices ())
(name "rs128" year "1984" manufacturer "Memotech Ltd" desc "RS 128" devices ((name "printout" briefname "prin" ) (name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "romimage" briefname "rom" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "rs2030" year "1989" manufacturer "MIPS" desc "RS2030" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "rs3230" year "1990" manufacturer "MIPS" desc "Magnum 3000" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "rs6k7009" year "1994" manufacturer "International Business Machines" desc "RS/6000 Type 7009 Model C10 Server" devices ())
(name "rs70_648" year "2019" manufacturer "CoolBoy" desc "RS-70 648-in-1" devices ())
(name "rs_l6" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (L-6)" devices ())
(name "rs_la4" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (La-4)" devices ())
(name "rs_la5" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (La-5)" devices ())
(name "rs_lx2" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (Lx-2)" devices ())
(name "rs_lx3" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (Lx-3)" devices ())
(name "rs_lx4" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (Lx-4)" devices ())
(name "rs_lx5" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (Lx-5)" devices ())
(name "rs_pa2" year "1994" manufacturer "Williams" desc "Red and Ted's Road Show (PA-2 prototype)" devices ())
(name "rsgun" year "1998" manufacturer "Treasure" desc "Radiant Silvergun (JUET 980523 V1.000)" devices ())
(name "rshark" year "1995" manufacturer "Dooyong" desc "R-Shark" devices ())
(name "rt1715" year "1986" manufacturer "Robotron" desc "Robotron PC-1715" devices ((name "printout" briefname "prin" ) (name "bitbanger" briefname "bitb" )))
(name "rt1715lc" year "1986" manufacturer "Robotron" desc "Robotron PC-1715 (latin/cyrillic)" devices ((name "printout" briefname "prin" ) (name "bitbanger" briefname "bitb" )))
(name "rt1715w" year "1986" manufacturer "Robotron" desc "Robotron PC-1715W" devices ((name "printout" briefname "prin" ) (name "bitbanger" briefname "bitb" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rthun2" year "1990" manufacturer "Namco" desc "Rolling Thunder 2" devices ())
(name "rthun2j" year "1990" manufacturer "Namco" desc "Rolling Thunder 2 (Japan)" devices ())
(name "rthunder" year "1986" manufacturer "Namco" desc "Rolling Thunder (rev 3)" devices ())
(name "rthunder0" year "1986" manufacturer "Namco" desc "Rolling Thunder (oldest)" devices ())
(name "rthunder1" year "1986" manufacturer "Namco" desc "Rolling Thunder (rev 1)" devices ())
(name "rthunder2" year "1986" manufacturer "Namco" desc "Rolling Thunder (rev 2)" devices ())
(name "rthundera" year "1986" manufacturer "bootleg" desc "Rolling Thunder (rev 3, hack)" devices ())
(name "rtpc010" year "1986" manufacturer "International Business Machines" desc "IBM RT PC Model 010" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rtpc015" year "1986" manufacturer "International Business Machines" desc "IBM RT PC Model 015" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "rtpc020" year "1986" manufacturer "International Business Machines" desc "IBM RT PC Model 020" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "rtpc025" year "1986" manufacturer "International Business Machines" desc "IBM RT PC Model 025" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "rtpca25" year "1986" manufacturer "International Business Machines" desc "IBM RT PC Model A25" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "rtriv" year "198?" manufacturer "Romar" desc "Romar Triv" devices ())
(name "rtvgc300" year "2016" manufacturer "Lexibook" desc "Retro TV Game Console - 300 Games" devices ())
(name "rtvgc300fz" year "2017" manufacturer "Lexibook" desc "Retro TV Game Console - Frozen - 300 Games" devices ())
(name "rtype" year "1987" manufacturer "Irem" desc "R-Type (World)" devices ())
(name "rtype2" year "1989" manufacturer "Irem" desc "R-Type II (World)" devices ())
(name "rtype2j" year "1989" manufacturer "Irem" desc "R-Type II (Japan)" devices ())
(name "rtype2jc" year "1989" manufacturer "Irem" desc "R-Type II (Japan, revision C)" devices ())
(name "rtype2m82b" year "1997" manufacturer "bootleg" desc "R-Type II (Japan, bootleg M82 conversion)" devices ())
(name "rtypeb" year "1987" manufacturer "bootleg" desc "R-Type (World bootleg)" devices ())
(name "rtypej" year "1987" manufacturer "Irem" desc "R-Type (Japan)" devices ())
(name "rtypejp" year "1987" manufacturer "Irem" desc "R-Type (Japan prototype)" devices ())
(name "rtypeleo" year "1992" manufacturer "Irem" desc "R-Type Leo (World)" devices ())
(name "rtypeleoj" year "1992" manufacturer "Irem" desc "R-Type Leo (Japan)" devices ())
(name "rtypem82b" year "2009" manufacturer "bootleg" desc "R-Type (Japan, bootleg M82 conversion)" devices ())
(name "rtypeu" year "1987" manufacturer "Irem (Nintendo of America license)" desc "R-Type (US)" devices ())
(name "rubymag" year "2002" manufacturer "Aristocrat" desc "Ruby Magic (10125711, NSW/ACT)" devices ())
(name "rubymaga" year "2003" manufacturer "Aristocrat" desc "Ruby Magic (10148811, ASP)" devices ())
(name "rugby" year "1999" manufacturer "C.M.C." desc "Rugby? (four roses hardware)" devices ())
(name "rugrats" year "1983" manufacturer "Nichibutsu" desc "Rug Rats" devices ())
(name "rulechab" year "1991" manufacturer "ElectroChance" desc "Super Ball (Version EC-3.50 N165)" devices ())
(name "rulechan" year "1991" manufacturer "ElectroChance" desc "Super Ball (Version EC-3.50 N322)" devices ())
(name "rumba" year "1984" manufacturer "Taito" desc "Rumba Lumber (rev 1)" devices ())
(name "rumblef" year "2004" manufacturer "Sammy / Dimps" desc "The Rumble Fish" devices ())
(name "rumblef2" year "2005" manufacturer "Sammy / Dimps" desc "The Rumble Fish 2" devices ())
(name "rumblefp" year "2004" manufacturer "Sammy / Dimps" desc "The Rumble Fish (prototype)" devices ())
(name "rumblf2p" year "2005" manufacturer "Sammy / Dimps" desc "The Rumble Fish 2 (prototype)" devices ())
(name "rumbreel" year "2010" manufacturer "Aristocrat" desc "Rumble Reels (20288611, NSW/ACT)" devices ())
(name "runark" year "1990" manufacturer "Taito Corporation" desc "Runark (Japan)" devices ())
(name "runaway" year "1982" manufacturer "Atari" desc "Runaway (Atari, prototype)" devices ())
(name "runaways" year "1979" manufacturer "Sun Electronics" desc "Runaway (Sun Electronics, Japan)" devices ())
(name "rundeep" year "1988" manufacturer "Cream Co., Ltd." desc "Run Deep" devices ())
(name "rungun" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 10.8)" devices ())
(name "rungun2" year "1996" manufacturer "Konami" desc "Run and Gun 2 (ver UAA)" devices ())
(name "runguna" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 10.4)" devices ())
(name "rungunad" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 10.4) (dual screen with demux adapter)" devices ())
(name "rungunb" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 9.10, prototype?)" devices ())
(name "rungunbd" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 9.10, prototype?) (dual screen with demux adapter)" devices ())
(name "rungund" year "1993" manufacturer "Konami" desc "Run and Gun (ver EAA 1993 10.8) (dual screen with demux adapter)" devices ())
(name "rungunua" year "1993" manufacturer "Konami" desc "Run and Gun (ver UBA 1993 10.8)" devices ())
(name "rungunuad" year "1993" manufacturer "Konami" desc "Run and Gun (ver UBA 1993 10.8) (dual screen with demux adapter)" devices ())
(name "rungunud" year "1993" manufacturer "Konami" desc "Run and Gun (ver UAB 1993 10.12, dedicated twin cabinet)" devices ())
(name "runpuppy" year "2000" manufacturer "Konami" desc "Run Run Puppy" devices ((name "harddisk" briefname "hard" )))
(name "runrun" year "1984" manufacturer "bootleg" desc "Run Run (Do! Run Run bootleg)" devices ())
(name "ruprup" year "2002" manufacturer "Aristocrat" desc "Roll Up! Roll Up!! (10115911, NSW/ACT)" devices ())
(name "rush" year "20??" manufacturer "Dave Astill" desc "Rush (1.0)" devices ())
(name "rushatck" year "1985" manufacturer "Konami" desc "Rush'n Attack (US)" devices ())
(name "rushbets" year "1997" manufacturer "bootleg" desc "Rushing Beat Shura (SNES bootleg)" devices ())
(name "rushcrsh" year "1986" manufacturer "Capcom" desc "Rush & Crash (Japan)" devices ())
(name "rushhero" year "1996" manufacturer "Konami" desc "Rushing Heroes (ver UAB)" devices ())
(name "rushrst" year "1997" manufacturer "Aristocrat" desc "Rushin Rooster (0100534V, NSW/ACT)" devices ())
(name "rvoicepc" year "1988?" manufacturer "Adaptive Communication Systems" desc "Realvoice PC" devices ())
(name "rvrbt_l3" year "1990" manufacturer "Williams" desc "Riverboat Gambler (L-3)" devices ())
(name "rvrbt_p7" year "1990" manufacturer "Williams" desc "Riverboat Gambler (PA-7)" devices ())
(name "rvschool" year "1997" manufacturer "Capcom" desc "Rival Schools: United By Fate (Europe 971117)" devices ())
(name "rvschoola" year "1997" manufacturer "Capcom" desc "Rival Schools: United By Fate (Asia 971117)" devices ())
(name "rvschoolu" year "1997" manufacturer "Capcom" desc "Rival Schools: United By Fate (USA 971117)" devices ())
(name "rw10r" year "1974" manufacturer "Rockwell" desc "10R (Rockwell)" devices ())
(name "rw12r" year "1975" manufacturer "Rockwell" desc "12R: Square Root" devices ())
(name "rw18r" year "1975" manufacturer "Rockwell" desc "18R: Memory" devices ())
(name "rw24k" year "1976" manufacturer "Rockwell" desc "24K (Rockwell)" devices ())
(name "rw30r" year "1974" manufacturer "Rockwell" desc "30R: Slide Rule Memory (B5500 version)" devices ())
(name "rw31r" year "1975" manufacturer "Rockwell" desc "31R: Slide Rule Memory" devices ())
(name "rwtrntcs" year "1979" manufacturer "Rowtron" desc "Rowtron Television Computer System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "rx15" year "1984" manufacturer "Yamaha" desc "RX15 Digital Rhythm Programmer" devices ())
(name "rx78" year "1983" manufacturer "Bandai" desc "Gundam RX-78" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "rygar" year "1986" manufacturer "Tecmo" desc "Rygar (US set 1)" devices ())
(name "rygar2" year "1986" manufacturer "Tecmo" desc "Rygar (US set 2)" devices ())
(name "rygar3" year "1986" manufacturer "Tecmo" desc "Rygar (US set 3 Old Version)" devices ())
(name "rygarj" year "1986" manufacturer "Tecmo" desc "Argus no Senshi (Japan set 1)" devices ())
(name "rygarj2" year "1986" manufacturer "Tecmo" desc "Argus no Senshi (Japan set 2)" devices ())
(name "ryorioh" year "1998" manufacturer "Visco" desc "Gourmet Battle Quiz Ryohrioh CooKing (Japan)" devices ())
(name "ryouran" year "1998" manufacturer "Electro Design" desc "VS Mahjong Otome Ryouran (revision 2)" devices ())
(name "ryourano" year "1998" manufacturer "Electro Design" desc "VS Mahjong Otome Ryouran (revision 1)" devices ())
(name "ryujin" year "1993" manufacturer "Taito Corporation" desc "Ryu Jin (Japan, ET910000B PCB)" devices ())
(name "ryujina" year "1993" manufacturer "Taito Corporation" desc "Ryu Jin (Japan, ET910000A PCB)" devices ())
(name "ryukendn" year "1989" manufacturer "Tecmo" desc "Ninja Ryukenden (Japan, set 1)" devices ())
(name "ryukendna" year "1989" manufacturer "Tecmo" desc "Ninja Ryukenden (Japan, set 2)" devices ())
(name "ryukobou" year "1995" manufacturer "IGS / Alta" desc "Mahjong Ryukobou (Japan, V030J)" devices ())
(name "ryukyu" year "1990" manufacturer "Success / Sega" desc "RyuKyu (Rev A, Japan) (FD1094 317-5023A)" devices ())
(name "ryukyua" year "1990" manufacturer "Success / Sega" desc "RyuKyu (Japan) (FD1094 317-5023)" devices ())
(name "ryukyud" year "1990" manufacturer "bootleg" desc "RyuKyu (Japan) (bootleg of FD1094 317-5023 set)" devices ())
(name "ryuuha" year "1987" manufacturer "Central Denshi" desc "Ryuuha (Japan 871027)" devices ())
(name "rz1" year "1986" manufacturer "Casio" desc "RZ-1" devices ((name "midiin" briefname "min" ) (name "midiout1" briefname "mout1" ) (name "midiout2" briefname "mout2" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "rzbatfor" year "1995" manufacturer "Tiger Electronics" desc "R-Zone: Batman Forever" devices ())
(name "rzindy500" year "1996" manufacturer "Tiger Electronics" desc "R-Zone: Indy 500" devices ())
(name "rztoshden" year "1996" manufacturer "Tiger Electronics" desc "R-Zone: Battle Arena Toshinden" devices ())
(name "s10" year "1986" manufacturer "Roland" desc "S-10 Digital Sampling Keyboard" devices ())
(name "s1945" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (World)" devices ())
(name "s1945a" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (Japan / World)" devices ())
(name "s1945bl" year "1995" manufacturer "bootleg" desc "Strikers 1945 (Hong Kong, bootleg)" devices ())
(name "s1945ii" year "1997" manufacturer "Psikyo" desc "Strikers 1945 II" devices ())
(name "s1945iii" year "1999" manufacturer "Psikyo" desc "Strikers 1945 III (World) / Strikers 1999 (Japan)" devices ())
(name "s1945iiibl" year "1999" manufacturer "bootleg" desc "Strikers 1945 III (World) / Strikers 1999 (Japan) (bootleg, set 1)" devices ())
(name "s1945iiibla" year "1999" manufacturer "bootleg" desc "Strikers 1945 III (World) / Strikers 1999 (Japan) (bootleg, set 2)" devices ())
(name "s1945j" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (Japan)" devices ())
(name "s1945k" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (Korea)" devices ())
(name "s1945n" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (World, unprotected)" devices ())
(name "s1945nj" year "1995" manufacturer "Psikyo" desc "Strikers 1945 (Japan, unprotected)" devices ())
(name "s1945p" year "1999" manufacturer "Psikyo" desc "Strikers 1945 Plus" devices ((name "memcard" briefname "memc" ) ()))
(name "s220" year "1987" manufacturer "Roland" desc "S-220 Digital Sampler" devices ())
(name "s3670" year "1984" manufacturer "Symbolics" desc "3670" devices ())
(name "s50" year "1987" manufacturer "Roland" desc "S-50 Digital Sampling Keyboard" devices ((name "floppydisk" briefname "flop" )))
(name "s550" year "1987" manufacturer "Roland" desc "S-550 Digital Sampler" devices ((name "floppydisk" briefname "flop" )))
(name "s80btest" year "198?" manufacturer "Gottlieb" desc "System 80B Test" devices ())
(name "s80tst" year "1981" manufacturer "Gottlieb" desc "System 80 Test" devices ())
(name "s8waysfc" year "1989" manufacturer "Sigma" desc "Super 8 Ways FC (DB98103-011, Fruit combination)" devices ())
(name "sabavdpl" year "1977" manufacturer "SABA" desc "SABA Videoplay" devices ((name "cartridge" briefname "cart" )))
(name "sabavpl2" year "1978" manufacturer "SABA" desc "SABA Videoplay 2" devices ((name "cartridge" briefname "cart" )))
(name "sabotenb" year "1992" manufacturer "NMK / Tecmo" desc "Saboten Bombers (set 1)" devices ())
(name "sabotenba" year "1992" manufacturer "NMK / Tecmo" desc "Saboten Bombers (set 2)" devices ())
(name "sackids" year "2000" manufacturer "Sega" desc "Soreyuke Anpanman Crayon Kids (J 001026 V1.000)" devices ())
(name "sacstate" year "1973" manufacturer "SacState" desc "SacState 8008" devices ())
(name "sadari" year "1993" manufacturer "Dooyong (NTC license)" desc "Sadari (Japan, NTC license)" devices ())
(name "safari" year "1977" manufacturer "Gremlin" desc "Safari (set 1)" devices ())
(name "safaria" year "1977" manufacturer "Gremlin" desc "Safari (set 2, bootleg?)" devices ())
(name "safarir" year "1979" manufacturer "SNK (Taito license)" desc "Safari Rally (World)" devices ())
(name "safarirj" year "1979" manufacturer "SNK" desc "Safari Rally (Japan)" devices ())
(name "safemon" year "200?" manufacturer "Konami" desc "Safe Money (Konami Endeavour, Russia)" devices ())
(name "safemonn" year "200?" manufacturer "Konami" desc "Safe Money (Konami Endeavour, NSW)" devices ())
(name "sag" year "1981" manufacturer "Entex" desc "Select-A-Game Machine" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "sagafox" year "1980" manufacturer "Sistemi Avanzati Gestione Aziendale" desc "Saga Fox" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "sagafoxf80" year "1980" manufacturer "Sistemi Avanzati Gestione Aziendale" desc "Saga Fox/F80" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "sagaia" year "1989" manufacturer "Taito Corporation Japan" desc "Sagaia (dual screen) (World)" devices ())
(name "sage2" year "1982" manufacturer "Sage Technology" desc "Sage II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "sagitta180" year "1979?" manufacturer "Scopus" desc "Sagitta 180" devices ())
(name "sahalove" year "1984" manufacturer "Christian Tabart" desc "Sahara Love (France)" devices ())
(name "sailormn" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22B, Europe)" devices ())
(name "sailormnh" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22B, Hong Kong)" devices ())
(name "sailormnj" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22B, Japan)" devices ())
(name "sailormnk" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22B, Korea)" devices ())
(name "sailormnn" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22, Europe)" devices ())
(name "sailormnnh" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22, Hong Kong)" devices ())
(name "sailormnnj" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22, Japan)" devices ())
(name "sailormnnk" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22, Korea)" devices ())
(name "sailormnnt" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22, Taiwan)" devices ())
(name "sailormnnu" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22, USA)" devices ())
(name "sailormno" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/21, Europe)" devices ())
(name "sailormnoh" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/21, Hong Kong)" devices ())
(name "sailormnoj" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/21, Japan)" devices ())
(name "sailormnok" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/21, Korea)" devices ())
(name "sailormnot" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/21, Taiwan)" devices ())
(name "sailormnou" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/21, USA)" devices ())
(name "sailormnt" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Bishoujo Senshi Sailor Moon (Version 95/03/22B, Taiwan)" devices ())
(name "sailormnu" year "1995" manufacturer "Gazelle (Banpresto license)" desc "Pretty Soldier Sailor Moon (Version 95/03/22B, USA)" devices ())
(name "sailorwa" year "1993" manufacturer "Nichibutsu" desc "Mahjong Sailor Wars (Japan set 2)" devices ())
(name "sailorwr" year "1993" manufacturer "Nichibutsu" desc "Mahjong Sailor Wars-R (Japan)" devices ())
(name "sailorws" year "1993" manufacturer "Nichibutsu" desc "Mahjong Sailor Wars (Japan set 1)" devices ())
(name "saiyugou" year "1988" manufacturer "Technos Japan" desc "Sai Yu Gou Ma Roku (Japan)" devices ())
(name "saiyugoub1" year "1988" manufacturer "bootleg" desc "Sai Yu Gou Ma Roku (Japan bootleg 1)" devices ())
(name "saiyugoub2" year "1988" manufacturer "bootleg" desc "Sai Yu Gou Ma Roku (Japan bootleg 2)" devices ())
(name "saiyukip" year "1998" manufacturer "World Station Co.,LTD" desc "Slot Poker Saiyuki (Japan)" devices ())
(name "saklove" year "1998" manufacturer "Subsino" desc "Ying Hua Lian 2.0 (China, Ver. 1.02)" devices ())
(name "saladue" year "200?" manufacturer "Industrias Brasileiras" desc "Sala Due (Version 3.04)" devices ())
(name "saladuea" year "200?" manufacturer "Industrias Brasileiras" desc "Sala Due (Version 1.04)" devices ())
(name "salamand" year "1986" manufacturer "Konami" desc "Salamander (version D)" devices ())
(name "salamandj" year "1986" manufacturer "Konami" desc "Salamander (version J)" devices ())
(name "salamandt" year "1986" manufacturer "Konami (Tecfri license)" desc "Salamander (Tecfri license)" devices ())
(name "salarymc" year "2000" manufacturer "Success / Konami" desc "Salary Man Champ - Tatakau Salary Man (GCA18 VER. JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "salmankt" year "2004" manufacturer "Yuki Enterprise / Sammy" desc "Net@Select: Salaryman Kintaro" devices ())
(name "salmndr2" year "1996" manufacturer "Konami" desc "Salamander 2 (ver JAA)" devices ())
(name "salmndr2a" year "1996" manufacturer "Konami" desc "Salamander 2 (ver AAB)" devices ())
(name "saloon" year "198?" manufacturer "<unknown>" desc "Saloon (French, encrypted)" devices ())
(name "samba" year "1999" manufacturer "Sega" desc "Samba De Amigo (Rev B)" devices ())
(name "samba2k" year "2000" manufacturer "Sega" desc "Samba de Amigo ver. 2000 (Japan)" devices ())
(name "sambaa" year "1999" manufacturer "Sega" desc "Samba De Amigo (Rev A)" devices ())
(name "sambap" year "1999" manufacturer "Sega" desc "Samba De Amigo (USA, prototype)" devices ())
(name "samcoupe" year "1989" manufacturer "Miles Gordon Technology plc" desc "SAM Coupé" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "samdm286" year "199?" manufacturer "Samsung" desc "Deskmaster 286-12" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "samesame" year "1989" manufacturer "Toaplan" desc "Same! Same! Same! (1P set)" devices ())
(name "samesame2" year "1989" manufacturer "Toaplan" desc "Same! Same! Same! (2P set)" devices ())
(name "samesamecn" year "1990" manufacturer "Toaplan (Hong Kong Honest Trading license)" desc "Jiao! Jiao! Jiao! (China, 2P set)" devices ())
(name "samesamenh" year "2015" manufacturer "hack (trap15)" desc "Same! Same! Same! (1P set, NEW VER! hack)" devices ())
(name "sams64" year "1998" manufacturer "SNK" desc "Samurai Shodown 64 / Samurai Spirits / Paewang Jeonseol 64" devices ())
(name "sams64_2" year "1998" manufacturer "SNK" desc "Samurai Shodown 64: Warriors Rage / Samurai Spirits 2: Asura Zanmaden" devices ())
(name "samsh5sp" year "2004" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V Special / Samurai Spirits Zero Special (NGM-2720)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsh5sph" year "2004" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V Special / Samurai Spirits Zero Special (NGH-2720, 2nd release, less censored)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsh5spho" year "2004" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V Special / Samurai Spirits Zero Special (NGH-2720, 1st release, censored)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho" year "1993" manufacturer "SNK" desc "Samurai Shodown / Samurai Spirits (NGM-045)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho2" year "1994" manufacturer "SNK" desc "Samurai Shodown II / Shin Samurai Spirits - Haohmaru Jigokuhen (NGM-063 ~ NGH-063)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho2k" year "1994" manufacturer "SNK" desc "Saulabi Spirits / Jin Saulabi Tu Hon (Korean release of Samurai Shodown II, set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho2ka" year "1994" manufacturer "SNK" desc "Saulabi Spirits / Jin Saulabi Tu Hon (Korean release of Samurai Shodown II, set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho3" year "1995" manufacturer "SNK" desc "Samurai Shodown III / Samurai Spirits - Zankurou Musouken (NGM-087)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho3h" year "1995" manufacturer "SNK" desc "Samurai Shodown III / Samurai Spirits - Zankurou Musouken (NGH-087)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho4" year "1996" manufacturer "SNK" desc "Samurai Shodown IV - Amakusa's Revenge / Samurai Spirits - Amakusa Kourin (NGM-222 ~ NGH-222)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho4k" year "1996" manufacturer "SNK" desc "Paewang Jeonseol / Legend of a Warrior (Korean censored Samurai Shodown IV)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho5" year "2003" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V / Samurai Spirits Zero (NGM-2700, set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho5a" year "2003" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V / Samurai Spirits Zero (NGM-2700, set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho5b" year "2003" manufacturer "bootleg" desc "Samurai Shodown V / Samurai Spirits Zero (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "samsho5h" year "2003" manufacturer "Yuki Enterprise / SNK Playmore" desc "Samurai Shodown V / Samurai Spirits Zero (NGH-2700)" devices ((name "memcard" briefname "memc" ) ()))
(name "samshoh" year "1993" manufacturer "SNK" desc "Samurai Shodown / Samurai Spirits (NGH-045)" devices ((name "memcard" briefname "memc" ) ()))
(name "samspsen" year "2008" manufacturer "SNK Playmore" desc "Samurai Spirits Sen (v1.00)" devices ())
(name "samsptk" year "2005" manufacturer "Sammy / SNK Playmore" desc "Samurai Spirits Tenkaichi Kenkakuden" devices ())
(name "samurai" year "1980" manufacturer "Sega" desc "Samurai (World)" devices ())
(name "samuraia" year "1993" manufacturer "Psikyo (Banpresto license)" desc "Samurai Aces (World)" devices ())
(name "samuraij" year "1980" manufacturer "Sega" desc "Samurai (Japan)" devices ())
(name "sandor" year "1995" manufacturer "Sega" desc "Puzzle & Action: Sando-R (J 951114 V1.000)" devices ())
(name "sandscrp" year "1992" manufacturer "Face" desc "Sand Scorpion" devices ())
(name "sandscrpa" year "1992" manufacturer "Face" desc "Sand Scorpion (Earlier)" devices ())
(name "sandscrpb" year "1992" manufacturer "Face" desc "Kuai Da Shizi Huangdi (China?, Revised Hardware)" devices ())
(name "sanfuze2" year "200?" manufacturer "Sandisk" desc "Sansa Fuze 2" devices ())
(name "sanjeon" year "1999" manufacturer "Sega / Deniam" desc "DaeJeon! SanJeon SuJeon (AJTUE 990412 V1.000)" devices ())
(name "sanma" year "2001" manufacturer "ANES" desc "Sanma - San-nin Uchi Mahjong (Japan, version 2.60)" devices ())
(name "sanremmg" year "2003" manufacturer "San Remo Games" desc "unknown San Remo / Elsy Multigame" devices ())
(name "santaka2" year "1991" manufacturer "<unknown>" desc "Santaka-002" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "santam" year "2002" manufacturer "Atronic" desc "Santa Maria (Russia) (Atronic)" devices ())
(name "sapi1" year "1985" manufacturer "Tesla" desc "SAPI-1 ZPS 1" devices ((name "cassette" briefname "cass" )))
(name "sapizps2" year "1985" manufacturer "Tesla" desc "SAPI-1 ZPS 2" devices ((name "cassette" briefname "cass" )))
(name "sapizps3" year "1985" manufacturer "Tesla" desc "SAPI-1 ZPS 3" devices ())
(name "sapizps3a" year "1985" manufacturer "Tesla" desc "SAPI-1 ZPS 3 (terminal)" devices ())
(name "sapizps3b" year "1985" manufacturer "Tesla" desc "SAPI-1 ZPS 3 (6845)" devices ())
(name "sapphire" year "1994" manufacturer "Novag Industries" desc "Sapphire" devices ())
(name "sapphire2" year "1997" manufacturer "Novag Industries" desc "Sapphire II" devices ())
(name "sarc110" year "200?" manufacturer "<unknown>" desc "Super Arcade 101-in-1 (set 1)" devices ())
(name "sarc110a" year "200?" manufacturer "<unknown>" desc "Super Arcade 101-in-1 (set 2)" devices ())
(name "sarcpc" year "199?" manufacturer "<unknown>" desc "80286 Standard System (SARC RC2015 chipset)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "sarge" year "1985" manufacturer "Bally Midway" desc "Sarge" devices ())
(name "sarpc" year "1997" manufacturer "Acorn" desc "StrongARM Risc PC" devices ())
(name "sarpc_j233" year "1997" manufacturer "Acorn" desc "J233 StrongARM Risc PC" devices ())
(name "sart3733" year "1978?" manufacturer "Sartorius-Werke GmbH" desc "3733 (digital scale)" devices ())
(name "sarukani" year "1997" manufacturer "Kaneko / Mediaworks" desc "Saru-Kani-Hamu-Zou (Japan)" devices ())
(name "sasissu" year "1998" manufacturer "Sega" desc "Taisen Tanto-R Sashissu!! (J 980216 V1.000)" devices ())
(name "sasuke" year "1980" manufacturer "SNK" desc "Sasuke vs. Commander" devices ())
(name "satansat" year "1981" manufacturer "SNK" desc "Satan of Saturn (set 1)" devices ())
(name "satansata" year "1981" manufacturer "SNK" desc "Satan of Saturn (set 2)" devices ())
(name "satansatind" year "1981" manufacturer "bootleg (Inder S.A.)" desc "Satan of Saturn (Inder S.A., bootleg)" devices ())
(name "sathena" year "1987" manufacturer "bootleg" desc "Super Athena (bootleg)" devices ())
(name "satsf3d" year "1979" manufacturer "Data East" desc "Saturn: Space Fighter 3D" devices ())
(name "saturn" year "1994" manufacturer "Sega" desc "Saturn (USA)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "saturn2" year "1985" manufacturer "Bell Games" desc "Saturn 2" devices ())
(name "saturneu" year "1994" manufacturer "Sega" desc "Saturn (PAL)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "saturnjp" year "1994" manufacturer "Sega" desc "Saturn (Japan)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "saturnkr" year "1995" manufacturer "Samsung" desc "Saturn (Korea)" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "saturnzi" year "1983" manufacturer "Zilec Electronics / Jaleco" desc "Saturn" devices ())
(name "sauro" year "1987" manufacturer "Tecfri" desc "Sauro (set 1)" devices ())
(name "sauroa" year "1987" manufacturer "Tecfri" desc "Sauro (set 2)" devices ())
(name "saurob" year "1987" manufacturer "Tecfri" desc "Sauro (set 3)" devices ())
(name "saurobl" year "1987" manufacturer "bootleg" desc "Sauro (bootleg)" devices ())
(name "sauroc" year "1987" manufacturer "Tecfri" desc "Sauro (set 4, easier)" devices ())
(name "saurop" year "1987" manufacturer "Tecfri (Philko license)" desc "Sauro (Philko license)" devices ())
(name "saurorr" year "1987" manufacturer "Tecfri (Recreativos Real S.A. license)" desc "Sauro (Recreativos Real S.A. license)" devices ())
(name "savagere" year "1995" manufacturer "SNK" desc "Savage Reign / Fu'un Mokushiroku - Kakutou Sousei" devices ((name "memcard" briefname "memc" ) ()))
(name "savanna" year "1982" manufacturer "bootleg (Olympia)" desc "Savanna (bootleg of Jungler)" devices ())
(name "savant" year "1981" manufacturer "Novag Industries" desc "Savant" devices ())
(name "savant2" year "1982" manufacturer "Novag Industries" desc "Savant II" devices ())
(name "savgbees" year "1985" manufacturer "Capcom (Memetron license)" desc "Savage Bees" devices ())
(name "savia84" year "1984" manufacturer "J.T. Hyan" desc "Savia 84" devices ())
(name "savquest" year "1999" manufacturer "Interactive Light" desc "Savage Quest" devices ((name "harddisk" briefname "hard" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "sawatte" year "1996?" manufacturer "Sega" desc "Sawatte" devices ((name "cartridge" briefname "cart" )))
(name "sb180" year "1985" manufacturer "Micromint" desc "SB180" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "sb2003" year "2003" manufacturer "Limenko" desc "Super Bubble 2003 (World, Ver 1.0)" devices ())
(name "sb2003a" year "2003" manufacturer "Limenko" desc "Super Bubble 2003 (Asia, Ver 1.0)" devices ())
(name "sb2m600b" year "1978" manufacturer "Ohio Scientific" desc "Superboard II Model 600 (Rev. B)" devices ((name "cassette" briefname "cass" )))
(name "sb486" year "1993" manufacturer "Subor" desc "SB-486" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "sb8085" year "1977" manufacturer "Space Byte" desc "Space Byte 8085" devices ())
(name "sbagman" year "1984" manufacturer "Valadon Automation" desc "Super Bagman (version 5)" devices ())
(name "sbagman2" year "1984" manufacturer "Valadon Automation" desc "Super Bagman (version 3?)" devices ())
(name "sbagmani" year "1984" manufacturer "Valadon Automation (Itisa license)" desc "Super Bagman (Itisa, Spain)" devices ())
(name "sbagmans" year "1984" manufacturer "Valadon Automation (Stern Electronics license)" desc "Super Bagman (Stern Electronics)" devices ())
(name "sbasebal" year "1989" manufacturer "Alpha Denshi Co. (SNK of America license)" desc "Super Champion Baseball (US)" devices ())
(name "sbasebalj" year "1989" manufacturer "Alpha Denshi Co." desc "Super Champion Baseball (Japan)" devices ())
(name "sbasketb" year "1984" manufacturer "Konami" desc "Super Basketball (version I, encrypted)" devices ())
(name "sbaskete" year "1984" manufacturer "Konami" desc "Super Basketball (version E, encrypted)" devices ())
(name "sbasketg" year "1984" manufacturer "Konami" desc "Super Basketball (version G, encrypted)" devices ())
(name "sbasketh" year "1984" manufacturer "Konami" desc "Super Basketball (version H, unprotected)" devices ())
(name "sbasssta" year "1997" manufacturer "Novation" desc "Super Bass Station" devices ())
(name "sbbros" year "1990" manufacturer "Mitchell (Capcom license)" desc "Super Buster Bros. (USA 901001)" devices ())
(name "sbc6510" year "2009" manufacturer "Josip Perusanec" desc "SBC6510" devices ())
(name "sbdk" year "1984" manufacturer "Century Electronics" desc "Super Bike (DK conversion)" devices ())
(name "sbhoei" year "1980" manufacturer "Hoei" desc "Space Battle (Hoei, set 1)" devices ())
(name "sbhoeia" year "1980" manufacturer "Hoei" desc "Space Battle (Hoei, set 2)" devices ())
(name "sbishi" year "1998" manufacturer "Konami" desc "Super Bishi Bashi Champ (ver JAA, 2 Players)" devices ())
(name "sbishik" year "1998" manufacturer "Konami" desc "Super Bishi Bashi Champ (ver KAB, 3 Players)" devices ())
(name "sbishika" year "1998" manufacturer "Konami" desc "Super Bishi Bashi Champ (ver KAA, 3 Players)" devices ())
(name "sblast2b" year "1997" manufacturer "bootleg" desc "Sonic Blast Man II Special Turbo (SNES bootleg)" devices ())
(name "sblazerp" year "1983" manufacturer "Sega" desc "Star Blazer (Pioneer LDV1000)" devices ())
(name "sbm" year "1990" manufacturer "Taito Corporation" desc "Sonic Blast Man (US)" devices ())
(name "sbmj" year "1990" manufacturer "Taito Corporation" desc "Sonic Blast Man (Japan)" devices ())
(name "sbmjb" year "1998" manufacturer "Taito Corporation" desc "Sonic Blast Man's Janken Battle (Japan, main ver. 1.1, video ver. 1.0)" devices ())
(name "sboblbobl" year "1986" manufacturer "bootleg (Datsu)" desc "Super Bobble Bobble (bootleg, set 1)" devices ())
(name "sboblbobla" year "1986" manufacturer "bootleg" desc "Super Bobble Bobble (bootleg, set 2)" devices ())
(name "sboblboblb" year "1986" manufacturer "bootleg" desc "Super Bobble Bobble (bootleg, set 3)" devices ())
(name "sboblboblc" year "1986" manufacturer "bootleg" desc "Super Bubble Bobble (bootleg)" devices ())
(name "sboblbobld" year "1986" manufacturer "bootleg" desc "Super Bobble Bobble (bootleg, set 4)" devices ())
(name "sboblboble" year "1986" manufacturer "bootleg" desc "Super Bobble Bobble (bootleg, set 5)" devices ())
(name "sboblboblf" year "1986" manufacturer "bootleg" desc "Super Bobble Bobble (bootleg, set 6)" devices ())
(name "sbomber" year "1998" manufacturer "Psikyo" desc "Space Bomber (ver. B)" devices ())
(name "sbombera" year "1998" manufacturer "Psikyo" desc "Space Bomber" devices ())
(name "sbowling" year "1982" manufacturer "Taito Corporation" desc "Strike Bowling" devices ())
(name "sbp" year "2004" manufacturer "Vektorlogic" desc "Super Bubble Pop" devices ((name "memcard" briefname "memc" ) ()))
(name "sbrain" year "1981" manufacturer "Intertec Data Systems" desc "SuperBrain Video Computer System" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "sbrkout" year "1978" manufacturer "Atari" desc "Super Breakout (rev 04)" devices ())
(name "sbrkout3" year "1978" manufacturer "Atari" desc "Super Breakout (rev 03)" devices ())
(name "sbrkoutc" year "1978" manufacturer "Atari" desc "Super Breakout (Canyon and Vertical Breakout, prototype)" devices ())
(name "sbrkoutct" year "1978" manufacturer "Atari" desc "Super Breakout (Cocktail, prototype)" devices ())
(name "sbsgomo" year "1990" manufacturer "UPL" desc "Space Battle Ship Gomorrah" devices ())
(name "sbubsm" year "1996" manufacturer "Sun Mixing" desc "Super Bubble Bobble (Sun Mixing, Mega Drive clone hardware)" devices ())
(name "sbugger" year "1981" manufacturer "Game-A-Tron" desc "Space Bugger (set 1)" devices ())
(name "sbuggera" year "1981" manufacturer "Game-A-Tron" desc "Space Bugger (set 2)" devices ())
(name "sbuk2" year "1999" manufacturer "Aristocrat" desc "Super Bucks II (0400501V, NSW/ACT)" devices ())
(name "sbuk2a" year "1995" manufacturer "Aristocrat" desc "Super Bucks II (0300006V, NSW/ACT)" devices ())
(name "sbuk3" year "1998" manufacturer "Aristocrat" desc "Super Bucks III (0200711V, NSW/ACT)" devices ())
(name "sbuk3a" year "1998" manufacturer "Aristocrat" desc "Super Bucks III (0100711V, NSW/ACT)" devices ())
(name "sbuk5" year "2005" manufacturer "Aristocrat" desc "Super Bucks V (20203611, NSW/ACT)" devices ())
(name "sburners" year "1975" manufacturer "Allied Leisure" desc "Street Burners" devices ())
(name "sbxc" year "2008" manufacturer "Capcom / Arc System Works" desc "Sengoku Basara X Cross" devices ())
(name "sc105" year "2018" manufacturer "Stephen C Cousins" desc "SC105 - Modular Backplane (RC2014)" devices ())
(name "sc112" year "2018" manufacturer "Stephen C Cousins" desc "SC112 - Modular Backplane (RC2014)" devices ())
(name "sc116" year "2018" manufacturer "Stephen C Cousins" desc "SC116 - Modular Backplane (RC2014)" devices ())
(name "sc133" year "2018" manufacturer "Stephen C Cousins" desc "SC133 - Modular Backplane (RC2014)" devices ())
(name "sc155" year "1992" manufacturer "Roland" desc "Sound Canvas SC-155" devices ())
(name "sc1actv8" year "198?" manufacturer "BFM/ELAM" desc "Active 8 (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1armad" year "198?" manufacturer "BFM/ELAM" desc "Armada (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1barcd" year "198?" manufacturer "BFM" desc "Barcode (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1barcda" year "198?" manufacturer "BFM" desc "Barcode (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1bartk" year "198?" manufacturer "BFM" desc "Bar Trek (Bellfruit) (Scorpion 1)" devices ())
(name "sc1bigmt" year "198?" manufacturer "BFM/ELAM" desc "The Big Match (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1boncl" year "199?" manufacturer "<unknown>" desc "Bonanza Club (unknown) (Scorpion 1)" devices ())
(name "sc1btbc" year "199?" manufacturer "<unknown>" desc "Beat The Bank Club (unknown) (Scorpion 1?)" devices ())
(name "sc1btclk" year "199?" manufacturer "Mdm" desc "Beat The Clock (Mdm) (set 1) (Scorpion 2/3?)" devices ())
(name "sc1btclka" year "199?" manufacturer "Mdm" desc "Beat The Clock (Mdm) (set 2) (Scorpion 2/3?)" devices ())
(name "sc1btclkb" year "199?" manufacturer "Mdm" desc "Beat The Clock (Mdm) (set 3) (Scorpion 2/3?)" devices ())
(name "sc1calyp" year "198?" manufacturer "BFM/ELAM" desc "Calypso (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1carro" year "198?" manufacturer "BFM/ELAM" desc "Carrousel (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1ccoin" year "198?" manufacturer "BFM/ELAM" desc "Cash Coin (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1ccroc" year "199?" manufacturer "Mdm" desc "Crazy Crocs (Mdm) (set 1) (Scorpion 2/3?)" devices ())
(name "sc1ccroca" year "199?" manufacturer "Mdm" desc "Crazy Crocs (Mdm) (set 2) (Scorpion 2/3?)" devices ())
(name "sc1ccrocb" year "199?" manufacturer "Mdm" desc "Crazy Crocs (Mdm) (set 3) (Scorpion 2/3?)" devices ())
(name "sc1ccrocc" year "199?" manufacturer "Mdm" desc "Crazy Crocs (Mdm) (set 4) (Scorpion 2/3?)" devices ())
(name "sc1cdm" year "199?" manufacturer "Crystal" desc "Club Diamond (Crystal) (set 1) (Scorpion 1)" devices ())
(name "sc1cdmp" year "199?" manufacturer "Crystal" desc "Club Diamond (Crystal) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1cexpd" year "198?" manufacturer "BFM/ELAM" desc "Cash Explosion (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1cexpl" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1cexpla" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1cexplb" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1chain" year "199?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1chainp" year "199?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1china" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1chinaa" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1chinaap" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1chinab" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1chinabp" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1chinap" year "198?" manufacturer "BFM" desc "China Town Club (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1chqfl" year "199?" manufacturer "Global" desc "Chequered Flag (Global)" devices ())
(name "sc1cl2k" year "198?" manufacturer "BFM/ELAM" desc "Club 2000 (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1cl2k1" year "198?" manufacturer "BFM/ELAM" desc "Club 2001 (Dutch (Bellfruit) (Scorpion 1)" devices ())
(name "sc1cl65" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1cl65a" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 5) (Scorpion 1)" devices ())
(name "sc1cl65ap" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 5, Protocol) (Scorpion 1)" devices ())
(name "sc1cl65b" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 4) (Scorpion 1)" devices ())
(name "sc1cl65bp" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 4, Protocol) (Scorpion 1)" devices ())
(name "sc1cl65c" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1cl65cp" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1cl65d" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1cl65dp" year "198?" manufacturer "BFM" desc "Club 65 Special (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1class" year "198?" manufacturer "BFM/ELAM" desc "Classic (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1clatt" year "1990" manufacturer "BFM" desc "Club Attraction (UK, Game Card 39-370-196)" devices ())
(name "sc1clatta" year "1990" manufacturer "BFM" desc "Club Attraction (set 2)" devices ())
(name "sc1clb3" year "199?" manufacturer "BFM/ELAM" desc "Club 3000 (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1clbdm" year "198?" manufacturer "BFM/ELAM" desc "Club Diamond (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1clbdy" year "199?" manufacturer "Global" desc "Club Dynamite (Global) (set 1)" devices ())
(name "sc1clbdya" year "199?" manufacturer "Global" desc "Club Dynamite (Global) (set 2)" devices ())
(name "sc1clbrn" year "198?" manufacturer "<unknown>" desc "Club Runner (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1clbsp" year "198?" manufacturer "<unknown>" desc "Club Spinner (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1clbtm" year "198?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1clbtma" year "198?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1clbw" year "198?" manufacturer "BFM" desc "Club Wise (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1clbwa" year "198?" manufacturer "BFM" desc "Club Wise (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1clbxp" year "198?" manufacturer "BFM" desc "Club Explosion (Bellfruit) (Scorpion 1) (set 1)" devices ())
(name "sc1clbxpa" year "198?" manufacturer "BFM" desc "Club Explosion (Bellfruit) (Scorpion 1) (set 2)" devices ())
(name "sc1clins" year "199?" manufacturer "BFM/PCP" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 1)" devices ())
(name "sc1clinsa" year "199?" manufacturer "BFM/PCP" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 2)" devices ())
(name "sc1clinsb" year "199?" manufacturer "BFM" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 3)" devices ())
(name "sc1clinsc" year "199?" manufacturer "BFM" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 4)" devices ())
(name "sc1clinsd" year "199?" manufacturer "BFM" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 5)" devices ())
(name "sc1clinse" year "199?" manufacturer "BFM" desc "Cash Lines (Bellfruit) (Scorpion 1) (set 6)" devices ())
(name "sc1clown" year "198?" manufacturer "BFM/ELAM" desc "Clown Around (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1copdd" year "198?" manufacturer "BFM/ELAM" desc "Cops 'n' Robbers Deluxe (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1copdx" year "198?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1cops" year "198?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1copsa" year "198?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1count" year "198?" manufacturer "BFM" desc "Count Cash Club (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1counta" year "198?" manufacturer "BFM" desc "Count Cash Club (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1countap" year "198?" manufacturer "BFM" desc "Count Cash Club (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1countp" year "198?" manufacturer "BFM" desc "Count Cash Club (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1crocr" year "199?" manufacturer "Mdm" desc "Croc And Roll (Mdm) (Scorpion 2/3?)" devices ())
(name "sc1crzyc" year "199?" manufacturer "Global" desc "Crazy Cash (Global) (set 1)" devices ())
(name "sc1crzyca" year "199?" manufacturer "Global" desc "Crazy Cash (Global) (set 2)" devices ())
(name "sc1cscl" year "199?" manufacturer "Global" desc "Cash Classic (Global) (set 1)" devices ())
(name "sc1cscla" year "199?" manufacturer "Global" desc "Cash Classic (Global) (set 2)" devices ())
(name "sc1cshat" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 5, Protocol) (Scorpion 1)" devices ())
(name "sc1cshata" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1cshatb" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 5) (Scorpion 1)" devices ())
(name "sc1cshatc" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1cshatf" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1cshatg" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 4, Protocol) (Scorpion 1)" devices ())
(name "sc1cshath" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1cshati" year "198?" manufacturer "BFM" desc "Cash Attraction (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1cshcd" year "198?" manufacturer "BFM/ELAM" desc "Cash Card (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1cshcda" year "198?" manufacturer "BFM" desc "Cash Card (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1cshcdb" year "198?" manufacturer "BFM" desc "Cash Card (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1cshin" year "198?" manufacturer "BFM/ELAM" desc "Cashino (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1cshwz" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1cshwza" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1cshwzb" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1cshwzc" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1cshwzd" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 4, Protocol) (Scorpion 1)" devices ())
(name "sc1cshwze" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1cshwzf" year "198?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1cshwzg" year "199?" manufacturer "BFM" desc "Cash Wise (Bellfruit) (set 4) (Scorpion 1)" devices ())
(name "sc1cwcl" year "198?" manufacturer "BFM" desc "Clockwise (Bellfruit) (Scorpion 1)" devices ())
(name "sc1czbrk" year "199?" manufacturer "<unknown>" desc "Crazy Break (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1dago" year "198?" manufacturer "ELAM" desc "Dagobert's Vault (Dutch) (Elam) (Scorpion 1)" devices ())
(name "sc1days" year "199?" manufacturer "Global" desc "All In A Days Work (Global) (set 1)" devices ())
(name "sc1daysa" year "199?" manufacturer "Global" desc "All In A Days Work (Global) (set 2)" devices ())
(name "sc1dblch" year "198?" manufacturer "BFM" desc "Double Chance (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1dblcha" year "198?" manufacturer "BFM" desc "Double Chance (Bellfruit) (set 2, bad) (Scorpion 1)" devices ())
(name "sc1dblchb" year "198?" manufacturer "BFM" desc "Double Chance (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1dip" year "199?" manufacturer "Eurocoin" desc "Diplomat (Eurocoin) (Scorpion 1)" devices ())
(name "sc1disc" year "198?" manufacturer "BFM/ELAM" desc "Discovey (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1dream" year "198?" manufacturer "BFM/ELAM" desc "Dream Machine (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1driv" year "199?" manufacturer "Global" desc "Driving School (Global) (set 1)" devices ())
(name "sc1driva" year "199?" manufacturer "Global" desc "Driving School (Global) (set 2)" devices ())
(name "sc1drivb" year "199?" manufacturer "Global" desc "Driving School (Global) (set 3)" devices ())
(name "sc1drivc" year "199?" manufacturer "Global" desc "Driving School (Global) (set 4)" devices ())
(name "sc1druby" year "199?" manufacturer "BFM" desc "Diamonds & Rubys (Bellfruit) (Scorpion ?) (set 1)" devices ())
(name "sc1drubya" year "199?" manufacturer "BFM" desc "Diamonds & Rubys (Bellfruit) (Scorpion ?) (set 2)" devices ())
(name "sc1energ" year "199?" manufacturer "<unknown>" desc "Energy (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1final" year "198?" manufacturer "<unknown>" desc "Final Touch (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1flash" year "198?" manufacturer "BFM/ELAM" desc "Flash (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1frpus" year "199?" manufacturer "BFM" desc "Fruit Pursuit (Bellfruit) (set 1) (Scorpion 1?)" devices ())
(name "sc1frpusa" year "199?" manufacturer "BFM" desc "Fruit Pursuit (Bellfruit) (set 2) (Scorpion 1?)" devices ())
(name "sc1frtln" year "198?" manufacturer "BFM/ELAM" desc "Fruit Lines (Dutch) (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1fruit" year "198?" manufacturer "BFM/ELAM" desc "Fruit Lines (Dutch) (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1funh" year "198?" manufacturer "BFM" desc "Fun House Club (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1funha" year "198?" manufacturer "BFM" desc "Fun House Club (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1funhp" year "198?" manufacturer "BFM" desc "Fun House Club (Bellfruit) (set 1, Protocol, bad) (Scorpion 1)" devices ())
(name "sc1goldw" year "199?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion ?)" devices ())
(name "sc1gprix" year "198?" manufacturer "BFM/ELAM" desc "Grand Prix (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1gslam" year "198?" manufacturer "BFM/ELAM" desc "Grand Slam (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1gtime" year "198?" manufacturer "BFM/ELAM" desc "Good Times (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1happy" year "198?" manufacturer "BFM/ELAM" desc "Happy Hour (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1hfcc" year "199?" manufacturer "Crystal" desc "Hi Flyer Club (Crystal) (set 1) (Scorpion 1)" devices ())
(name "sc1hfccp" year "199?" manufacturer "Crystal" desc "Hi Flyer Club (Crystal) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1hipt" year "199?" manufacturer "BFM" desc "High Point (Bellfruit) (Scorpion 1) (set 1)" devices ())
(name "sc1hipta" year "199?" manufacturer "BFM" desc "High Point (Bellfruit) (Scorpion 1) (set 2)" devices ())
(name "sc1impc" year "198?" manufacturer "BFM/ELAM" desc "Impact (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1kings" year "198?" manufacturer "BFM/ELAM" desc "Kings Club (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1lamb" year "199?" manufacturer "Eurocoin" desc "Lambada (Eurocoin) (Scorpion 1)" devices ())
(name "sc1linx" year "198?" manufacturer "BFM" desc "Linx (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1linxa" year "198?" manufacturer "BFM" desc "Linx (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1linxp" year "198?" manufacturer "BFM" desc "Linx (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1lotus" year "1988" manufacturer "BFM/ELAM" desc "Lotus SE (Dutch) (set 1)" devices ())
(name "sc1lotusa" year "1988" manufacturer "BFM/ELAM" desc "Lotus SE (Dutch) (set 2)" devices ())
(name "sc1ltdv" year "199?" manufacturer "Pcp" desc "Little Devil (Pcp)" devices ())
(name "sc1magc" year "198?" manufacturer "BFM/ELAM" desc "Magic Circle (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1manha" year "198?" manufacturer "BFM/ELAM" desc "Manhattan (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1mast" year "198?" manufacturer "BFM/ELAM" desc "Master Club (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1mist" year "198?" manufacturer "BFM/ELAM" desc "Mistral (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1moonl" year "199?" manufacturer "Bwb" desc "Moon Lite (Bwb)" devices ())
(name "sc1ofs56" year "199?" manufacturer "BFM" desc "Only Fools and Horses (Bellfruit) (Scorpion 1?)" devices ())
(name "sc1olym" year "198?" manufacturer "BFM/ELAM" desc "Olympia (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1orac" year "198?" manufacturer "BFM/ELAM" desc "Oracle (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1pwrl" year "198?" manufacturer "BFM" desc "Power Lines (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1quat" year "198?" manufacturer "BFM/ELAM" desc "Quatro (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1rain" year "198?" manufacturer "BFM/ELAM" desc "Rainbow (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1re" year "198?" manufacturer "BFM/ELAM" desc "Reel Cash (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1reply" year "199?" manufacturer "Eurocoin" desc "Replay (Eurocoin) (Scorpion 1)" devices ())
(name "sc1rese" year "198?" manufacturer "BFM/ELAM" desc "Reel Cash SE (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1revo" year "198?" manufacturer "BFM/ELAM" desc "Revolution (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1rose" year "198?" manufacturer "BFM/ELAM" desc "Rose 'n' Crown (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1roul" year "1988" manufacturer "BFM/ELAM" desc "Roulette (Dutch, Game Card 39-360-129?)" devices ())
(name "sc1s1000" year "1992" manufacturer "Deltasoft" desc "Super 1000 (Deltasoft)" devices ())
(name "sc1sant" year "198?" manufacturer "BFM/ELAM" desc "Santana (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1sat" year "198?" manufacturer "BFM/ELAM" desc "Satellite (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1satse" year "199?" manufacturer "BFM/ELAM" desc "Satellite SE (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1scunk" year "199?" manufacturer "<unknown>" desc "unknown Scorpion 1 'Super ?' (Bellfruit) (Scorpion 1)" devices ())
(name "sc1shan" year "198?" manufacturer "BFM/ELAM" desc "Shanghai (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1sir" year "198?" manufacturer "BFM" desc "Strike It Rich (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1sira" year "198?" manufacturer "BFM" desc "Strike It Rich (Bellfruit) (set 3, bad) (Scorpion 1)" devices ())
(name "sc1sirb" year "198?" manufacturer "BFM" desc "Strike It Rich (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1sirc" year "198?" manufacturer "BFM" desc "Strike It Rich (Bellfruit) (set 4, bad) (Scorpion 1)" devices ())
(name "sc1smoke" year "199?" manufacturer "Mdm" desc "Smokey Vs The Bandit (Mdm) (set 1) (Scorpion 2/3?)" devices ())
(name "sc1smokea" year "199?" manufacturer "Mdm" desc "Smokey Vs The Bandit (Mdm) (set 2) (Scorpion 2/3?)" devices ())
(name "sc1spct" year "198?" manufacturer "BFM" desc "Spectre (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1spcta" year "198?" manufacturer "BFM" desc "Spectre (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1spit" year "198?" manufacturer "ELAM" desc "Spitfire (Dutch) (Elam) (Scorpion 1)" devices ())
(name "sc1ster" year "198?" manufacturer "BFM/ELAM" desc "Sterling (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1str4" year "198?" manufacturer "BFM/ELAM" desc "Strike 4 (Dutch) (Bellfruit) (Scorpion 1) (set 1)" devices ())
(name "sc1str4a" year "198?" manufacturer "BFM/ELAM" desc "Strike 4 (Dutch) (Bellfruit) (Scorpion 1) (set 2)" devices ())
(name "sc1strk" year "199?" manufacturer "BFM/ELAM" desc "Strike (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1supfl" year "199?" manufacturer "BFM/ELAM" desc "Super Flush (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1sups" year "198?" manufacturer "<unknown>" desc "Superstar (Dutch) (unknown) (Scorpion 1)" devices ())
(name "sc1t1k" year "198?" manufacturer "Eurocoin" desc "Top 1000 (Dutch) (Eurocoin) (Scorpion 1)" devices ())
(name "sc1tiara" year "198?" manufacturer "BFM/ELAM" desc "Tiara (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1torn" year "198?" manufacturer "BFM/ELAM" desc "Tornado (Dutch) (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1torna" year "198?" manufacturer "BFM/ELAM" desc "Tornado (Dutch) (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1tri" year "198?" manufacturer "BFM" desc "Tri Star (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1tria" year "198?" manufacturer "BFM" desc "Tri Star (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1triap" year "198?" manufacturer "BFM" desc "Tri Star (Bellfruit) (set 2, Protocol) (Scorpion 1)" devices ())
(name "sc1trib" year "198?" manufacturer "BFM" desc "Tri Star (Bellfruit) (set 3) (Scorpion 1)" devices ())
(name "sc1tribp" year "198?" manufacturer "BFM" desc "Tri Star (Bellfruit) (set 3, Protocol) (Scorpion 1)" devices ())
(name "sc1twice" year "199?" manufacturer "Associated Leisure" desc "Twice As Nice (Associated Leisure) (Scorpion 1)" devices ())
(name "sc1typ" year "198?" manufacturer "BFM" desc "Typhoon Club (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1typp" year "198?" manufacturer "BFM" desc "Typhoon Club (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1ult" year "198?" manufacturer "BFM/ELAM" desc "Ultimate (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1vent" year "198?" manufacturer "BFM/ELAM" desc "Ventura (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1vict" year "198?" manufacturer "BFM/ELAM" desc "Victory (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1voy" year "198?" manufacturer "ELAM" desc "Voyager (Dutch) (Elam) (set 1) (Scorpion 1)" devices ())
(name "sc1voya" year "198?" manufacturer "ELAM" desc "Voyager (Dutch) (Elam) (set 2) (Scorpion 1)" devices ())
(name "sc1vsd" year "199?" manufacturer "Global" desc "Vegas Super Deal (Global)" devices ())
(name "sc1winfl" year "198?" manufacturer "BFM/ELAM" desc "Winfalls (Dutch) (Bellfruit) (Scorpion 1)" devices ())
(name "sc1winst" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 1) (Scorpion 1)" devices ())
(name "sc1winsta" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 2) (Scorpion 1)" devices ())
(name "sc1winstp" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 1, Protocol) (Scorpion 1)" devices ())
(name "sc1wof" year "199?" manufacturer "Global" desc "Wheel Of Fortune (Global) (set 1)" devices ())
(name "sc1wofa" year "199?" manufacturer "Global" desc "Wheel Of Fortune (Global) (set 2)" devices ())
(name "sc1wofb" year "199?" manufacturer "Global" desc "Wheel Of Fortune (Global) (set 3)" devices ())
(name "sc1wthn" year "198?" manufacturer "Eurocoin" desc "Wild Thing (Eurocoin) (Scorpion 1)" devices ())
(name "sc1wud" year "199?" manufacturer "<unknown>" desc "What's Up Dr (Scorpion 1?)" devices ())
(name "sc1zep" year "198?" manufacturer "ELAM" desc "Zeppelin (Dutch) (Elam) (Scorpion 1)" devices ())
(name "sc2" year "1981" manufacturer "VEB Funkwerk Erfurt" desc "Schachcomputer SC 2 (rev. E)" devices ())
(name "sc203" year "2018" manufacturer "Stephen C Cousins" desc "SC203 - Modular Z180 Computer" devices ())
(name "sc2a" year "1981" manufacturer "VEB Funkwerk Erfurt" desc "Schachcomputer SC 2" devices ())
(name "sc2bar7" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 1)" devices ())
(name "sc2bar7a" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 2)" devices ())
(name "sc2bar7b" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 3)" devices ())
(name "sc2bar7c" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 4)" devices ())
(name "sc2bar7d" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 5)" devices ())
(name "sc2bar7e" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 6)" devices ())
(name "sc2bar7f" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 7)" devices ())
(name "sc2bar7g" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 8)" devices ())
(name "sc2bar7h" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 9)" devices ())
(name "sc2bar7i" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 10)" devices ())
(name "sc2bar7j" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 11)" devices ())
(name "sc2bar7k" year "199?" manufacturer "Concept" desc "Bar 7 (Concept) (set 12)" devices ())
(name "sc2bbar7" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 1)" devices ())
(name "sc2bbar7a" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 2)" devices ())
(name "sc2bbar7b" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 3)" devices ())
(name "sc2bbar7c" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 4)" devices ())
(name "sc2bbar7d" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 5)" devices ())
(name "sc2bbar7e" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 6)" devices ())
(name "sc2bbar7f" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 7)" devices ())
(name "sc2bbar7g" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 8)" devices ())
(name "sc2bbar7h" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 9)" devices ())
(name "sc2bbar7i" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 10)" devices ())
(name "sc2bbar7j" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 11)" devices ())
(name "sc2bbar7k" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 12)" devices ())
(name "sc2bbar7l" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 13)" devices ())
(name "sc2bbar7m" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 14)" devices ())
(name "sc2bbar7n" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 15)" devices ())
(name "sc2bbar7o" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 16)" devices ())
(name "sc2bbar7p" year "199?" manufacturer "Concept" desc "Big Bar 7 (Concept) (set 17)" devices ())
(name "sc2brkfs" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 2) (Scorpion 2/3)" devices ())
(name "sc2brkfs1" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 1 UK, Single Site) (Scorpion 2/3)" devices ())
(name "sc2brkfs1p" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 1 UK, Single Site, Protocol) (Scorpion 2/3)" devices ())
(name "sc2brkfs2" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 4 UK, Arcade, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2brkfs3" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 3) (Scorpion 2/3)" devices ())
(name "sc2brkfs3p" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 4 UK, Arcade, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2brkfs4" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 5 UK, Arcade, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2brkfs4p" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 5 UK, Arcade, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2brkfs5" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 6 UK, Arcade, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2brkfs5p" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 6 UK, Arcade, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2brkfs6" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 3, Protocol) (Scorpion 2/3)" devices ())
(name "sc2brkfsm" year "1994" manufacturer "BFM" desc "The Big Breakfast Casino (Scorpion 2/3)" devices ())
(name "sc2brkfsm1" year "1994" manufacturer "BFM/Mazooma" desc "The Big Breakfast Casino (Mazooma, set 1) (Scorpion 2/3)" devices ())
(name "sc2brkfsm2" year "1994" manufacturer "BFM/Mazooma" desc "The Big Breakfast Casino (Mazooma, set 2) (Scorpion 2/3)" devices ())
(name "sc2brkfsp" year "1994" manufacturer "BFM" desc "The Big Breakfast (set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2call" year "199?" manufacturer "Global" desc "It's Your Call (Global) (v2.7) (Scorpion 2/3)" devices ())
(name "sc2callc" year "199?" manufacturer "Global" desc "It's Your Call (Club?) (Global) (v1.6) (Scorpion 2/3)" devices ())
(name "sc2callcp" year "199?" manufacturer "Global" desc "It's Your Call (Club?) (Global) (v1.6 Protocol) (Scorpion 2/3)" devices ())
(name "sc2callp" year "199?" manufacturer "Global" desc "It's Your Call (Global) (v2.7 Protocol) (Scorpion 2/3)" devices ())
(name "sc2casr" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 5, UK, 10GBP Jackpot, 3rd Triennial) (Scorpion 2/3)" devices ())
(name "sc2casr1" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 4, UK, 3rd Triennial) (Scorpion 2/3)" devices ())
(name "sc2casr1p" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 4, UK, 3rd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2casr2" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2casr2p" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2casr3" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 1, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2casr3p" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 1, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2casr4" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2casr4p" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2casrp" year "199?" manufacturer "BFM" desc "Casino Royale (Bellfruit) (set 5, UK, 10GBP Jackpot, 3rd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2catms" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 4, Deluxe) (Scorpion 2/3)" devices ())
(name "sc2catms1" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 10) (Scorpion 2/3)" devices ())
(name "sc2catms1p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 10, Protocol) (Scorpion 2/3)" devices ())
(name "sc2catms2" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 9) (Scorpion 2/3)" devices ())
(name "sc2catms2p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 9, Protocol) (Scorpion 2/3)" devices ())
(name "sc2catms3" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2cb7" year "199?" manufacturer "BFM" desc "Super Bar 7 Casino (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2cb71" year "199?" manufacturer "BFM" desc "Super Bar 7 Casino (Bellfruit) (set 1, UK, All Cash) (Scorpion 2/3)" devices ())
(name "sc2cb72" year "199?" manufacturer "BFM" desc "Super Bar 7 Casino (Bellfruit) (set 2, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cb72p" year "199?" manufacturer "BFM" desc "Super Bar 7 Casino (Bellfruit) (set 2, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cb7p" year "199?" manufacturer "BFM" desc "Super Bar 7 Casino (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cexpl" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 2, Protocol) (Scorpion 2)" devices ())
(name "sc2cexpla" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 1, Protocol) (Scorpion 2)" devices ())
(name "sc2cexplb" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 3, Protocol) (Scorpion 2)" devices ())
(name "sc2cexplc" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 2) (Scorpion 2)" devices ())
(name "sc2cexpld" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 1) (Scorpion 2)" devices ())
(name "sc2cexple" year "198?" manufacturer "BFM" desc "Cash Explosion (Bellfruit) (set 3) (Scorpion 2)" devices ())
(name "sc2cgc" year "199?" manufacturer "BFM" desc "Carrot Gold Club (Bellfruit) (Protocol) (Scorpion 2/3)" devices ())
(name "sc2cgcas" year "199?" manufacturer "BFM" desc "Club Grand Casino (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2cgcas1" year "199?" manufacturer "BFM" desc "Club Grand Casino (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cgcas1p" year "199?" manufacturer "BFM" desc "Club Grand Casino (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cgcasp" year "199?" manufacturer "BFM" desc "Club Grand Casino (Bellfruit) (set 1, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cmbt" year "199?" manufacturer "BFM" desc "Cat & Mouse & Bonzo Too (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2cmbtp" year "199?" manufacturer "BFM" desc "Cat & Mouse & Bonzo Too (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cnile" year "199?" manufacturer "BFM" desc "Cash On The Nile Club (Bellfruit) (set 2 UK, 150GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cnile1" year "199?" manufacturer "BFM" desc "Cash On The Nile Club (Bellfruit) (set 1 UK, 150GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cnile2" year "199?" manufacturer "BFM" desc "Cash On The Nile Club (Bellfruit) (set 3 UK, 200GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cnile2p" year "199?" manufacturer "BFM" desc "Cash On The Nile Club (Bellfruit) (set 3 UK, 200GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cnilep" year "199?" manufacturer "BFM" desc "Cash On The Nile Club (Bellfruit) (set 2 UK, 150GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 9, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copcl1" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copcl10" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 6, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl11" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl11p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 11, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl12" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 10, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl1p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl2" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 10, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl3" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 12, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl3p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 12, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl4" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl5" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 11, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl6" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl6p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl7" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl8" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 8, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl8p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 8, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copcl9" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 7, UK) (Scorpion 2/3)" devices ())
(name "sc2copcl9p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 7, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copclp" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club (Bellfruit) (set 9, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 7, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc1" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 3, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc1p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 3, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc2" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 4, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc2p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 4, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc3" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 5, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc3p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 5, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc4" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 6, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc4p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 6, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc5" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 1, UK, 200GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdc5p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 1, UK, 200GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copdc6" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2copdcp" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers Club Deluxe (Bellfruit) (set 7, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cops" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 6) (Scorpion 2/3)" devices ())
(name "sc2cops1p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 6, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cops2" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2cops3" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 3) (Scorpion 2/3)" devices ())
(name "sc2cops3p" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 3, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cops4" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 5) (Scorpion 2/3)" devices ())
(name "sc2cops5" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2copsc" year "199?" manufacturer "BFM" desc "Casino Cops 'n' Robbers (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2copsc1" year "199?" manufacturer "BFM" desc "Casino Cops 'n' Robbers (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2copsc1p" year "199?" manufacturer "BFM" desc "Casino Cops 'n' Robbers (Bellfruit) (set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copsc1pa" year "199?" manufacturer "BFM" desc "Casino Cops 'n' Robbers (Bellfruit) (set 2, Protocol) (Scorpion 2/3) (alt matrix rom)" devices ())
(name "sc2copscp" year "199?" manufacturer "BFM" desc "Casino Cops 'n' Robbers (Bellfruit) (set 1, Protocol) (Scorpion 2/3)" devices ())
(name "sc2copsp" year "199?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (set 4, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpe" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2cpe1" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2cpe1p" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpe2" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2cpe2p" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpe3" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2cpe3p" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpe4" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2cpe4p" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpep" year "1996" manufacturer "BFM" desc "Club Public Enemy No.1 (set 5, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpg" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cpg1" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 3, UK, p65) (Scorpion 2/3)" devices ())
(name "sc2cpg1p" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 3, UK, p65, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpg2" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2cpg2p" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cpgp" year "199?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cshcl" year "199?" manufacturer "BFM" desc "Cashino Club (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2cshcl1" year "199?" manufacturer "BFM" desc "Cashino Club (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2cshcl1p" year "199?" manufacturer "BFM" desc "Cashino Club (Bellfruit) (set 1, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cshclp" year "199?" manufacturer "BFM" desc "Cashino Club (Bellfruit) (set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ctms2" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2ctms21" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 7) (Scorpion 2/3)" devices ())
(name "sc2ctms21p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 7, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ctms22" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 6) (Scorpion 2/3)" devices ())
(name "sc2ctms22p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 6, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ctms23" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 5) (Scorpion 2/3)" devices ())
(name "sc2ctms23p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 5, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ctms24p" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 8, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ctms25" year "199?" manufacturer "BFM" desc "Cat & Mouse (Bellfruit) (set 3) (Scorpion 2/3)" devices ())
(name "sc2cvega" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2cvega1" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 4, UK, 10GBP Jackpot, 3rd Triennial) (Scorpion 2/3)" devices ())
(name "sc2cvega1p" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 4, UK, 10GBP Jackpot, 3rd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cvega2" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 3, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cvega2p" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 3, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cvega3" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 2, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2cvega3p" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 2, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2cvega4p" year "199?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dbl" year "199?" manufacturer "BFM" desc "Double Diamond (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2dbl1" year "199?" manufacturer "BFM" desc "Double Diamond (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2dbl1p" year "199?" manufacturer "BFM" desc "Double Diamond (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dblp" year "199?" manufacturer "BFM" desc "Double Diamond (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dels" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 9, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels1" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 10, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels10" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 11, UK, ??GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels11" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 12, UK, ??GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels1p" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 10, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dels2" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 7, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels2p" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 7, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dels3" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 3, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2dels3p" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 3, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dels4" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 6, UK) (Scorpion 2/3)" devices ())
(name "sc2dels4p" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 6, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dels5" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2dels6" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2dels7" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2dels8" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 8, UK) (Scorpion 2/3)" devices ())
(name "sc2dels9" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 5, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2delsd" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 4, Deluxe) (Scorpion 2/3)" devices ())
(name "sc2delsm" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ11_N) (Scorpion 2/3)" devices ())
(name "sc2delsm1" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ13_N) (Scorpion 2/3)" devices ())
(name "sc2delsm1p" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ14_N) (Scorpion 2/3)" devices ())
(name "sc2delsm2" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ11_P) (Scorpion 2/3)" devices ())
(name "sc2delsm2p" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ12_P) (Scorpion 2/3)" devices ())
(name "sc2delsm3" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ13_P) (Scorpion 2/3)" devices ())
(name "sc2delsm3p" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ14_P) (Scorpion 2/3)" devices ())
(name "sc2delsmp" year "199?" manufacturer "BFM/Mazooma" desc "Del's Millions (Bellfruit/Mazooma) (DMVMAZ12_N) (Scorpion 2/3)" devices ())
(name "sc2delsp" year "199?" manufacturer "BFM" desc "Del's Millions (Bellfruit) (set 9, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2dick" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v3.1) (Scorpion 2/3)" devices ())
(name "sc2dick1" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v2.2) (Scorpion 2/3)" devices ())
(name "sc2dick2" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v1.5) (Scorpion 2/3)" devices ())
(name "sc2dick2e" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v?.? Euro) (Scorpion 2/3)" devices ())
(name "sc2dick2eu" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v?.? Euro unencrypted) (Scorpion 2/3)" devices ())
(name "sc2dick2p" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v1.5 Protocol ) (Scorpion 2/3)" devices ())
(name "sc2dickp" year "199?" manufacturer "Global" desc "Spotted Dick (Global) (v3.1 Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 7, UK) (Scorpion 2/3)" devices ())
(name "sc2downt1" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 4, UK, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt1p" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 4, UK, 16RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt2" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 6, UK) (Scorpion 2/3)" devices ())
(name "sc2downt2p" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 7, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt3" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 11, UK, 15RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt3a" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 8, UK) (Scorpion 2/3)" devices ())
(name "sc2downt3ap" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 8, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt3p" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 11, UK, 15RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt4" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 10, UK, 15RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt4a" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 9, UK) (Scorpion 2/3)" devices ())
(name "sc2downt4ap" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 9, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt4p" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 10, UK, 15RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downt5" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2downt6" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 1, UK, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt7" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 2, Irish, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt8a" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 3, UK, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2downt8ap" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 3, UK, 16RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2downtp" year "199?" manufacturer "BFM" desc "Down Town (Bellfruit) (set 6, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 1, UK, Single Site) (Scorpion 2/3)" devices ())
(name "sc2drwho1" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 2, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2drwho1p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 2, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho2" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 3, UK, no Jackpot spin) (Scorpion 2/3)" devices ())
(name "sc2drwho2p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 3, UK, no Jackpot spin, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho3" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 4, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2drwho3p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 4, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho4" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2drwho4p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 5, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho5" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 6, UK, Arcade, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2drwho5p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 6, UK, Arcade, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho6" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 7, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2drwho6p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 7, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwho7" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 8, UK, Arcade, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2drwho7p" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 8, UK, Arcade, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwhodx" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord Deluxe (set 1) (Scorpion 2/3)" devices ())
(name "sc2drwhodx1" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord Deluxe (set 2) (Scorpion 2/3)" devices ())
(name "sc2drwhomz" year "1994" manufacturer "BFM/Mazooma" desc "Dr.Who The Timelord (Mazooma) (Scorpion 2/3)" devices ())
(name "sc2drwhomzp" year "1994" manufacturer "BFM/Mazooma" desc "Dr.Who The Timelord (Mazooma, Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwhop" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 1, UK, Single Site Protocol) (Scorpion 2/3)" devices ())
(name "sc2drwhou" year "1994" manufacturer "BFM" desc "Dr.Who The Timelord (set 1, UK, Single Site) (Scorpion 2/3) (not encrypted)" devices ())
(name "sc2easy" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2easy1" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 3) (Scorpion 2/3)" devices ())
(name "sc2easy1p" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 3, Protocol) (Scorpion 2/3)" devices ())
(name "sc2easy2" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2easy2p" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2easyp" year "199?" manufacturer "BFM" desc "Easy Money (Bellfruit) (set 1, Protocol) (Scorpion 2/3)" devices ())
(name "sc2eggs" year "199?" manufacturer "BFM" desc "Eggs On Legs Tour (Bellfruit) (set 2, UK, Arcade, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2eggs1" year "199?" manufacturer "BFM" desc "Eggs On Legs Tour (Bellfruit) (set 1, UK, Arcade, 10GBP Jackpot?) (Scorpion 2/3)" devices ())
(name "sc2eggs1p" year "199?" manufacturer "BFM" desc "Eggs On Legs Tour (Bellfruit) (set 1, UK, Arcade, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2eggsp" year "199?" manufacturer "BFM" desc "Eggs On Legs Tour (Bellfruit) (set 2, UK, Arcade, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2flaca" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 3, UK, 10GBP Jackpot, 3rd Triennial) (Scorpion 2/3)" devices ())
(name "sc2flaca1" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 1, UK, 10GBP Jackpot, 2nd Triennial) (Scorpion 2/3)" devices ())
(name "sc2flaca1p" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 1, UK, 10GBP Jackpot, 2nd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2flaca2" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 2, UK, 10GBP Jackpot, 2nd Triennial) (Scorpion 2/3)" devices ())
(name "sc2flaca2p" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 2, UK, 10GBP Jackpot, 2nd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2flacap" year "199?" manufacturer "BFM" desc "Flash Cash (Bellfruit) (set 3, UK, 10GBP Jackpot, 3rd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2flutr" year "199?" manufacturer "Concept" desc "Flutter (Concept)" devices ())
(name "sc2focus" year "1995" manufacturer "BFM/ELAM" desc "Focus (Dutch, Game Card 95-750-347) (Scorpion 2/3)" devices ())
(name "sc2foot" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2foot1" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 3, UK, 100GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2foot1p" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 3, UK, 100GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2foot2" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2foot2p" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2footp" year "199?" manufacturer "BFM" desc "Football Club (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gcclb" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2gcclb1" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 3, UK, 100GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2gcclb1p" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 3, UK, 100GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gcclb2" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2gcclb2p" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gcclbp" year "199?" manufacturer "BFM" desc "Golden Casino Club (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2goldr" year "199?" manufacturer "Mdm" desc "Gold Reserve (Mdm) (v1.3) (Scorpion 2/3)" devices ())
(name "sc2goldr1" year "199?" manufacturer "Mdm" desc "Gold Reserve (Mdm) (set 2) (Scorpion 2/3)" devices ())
(name "sc2goldrp" year "199?" manufacturer "Mdm" desc "Gold Reserve (Mdm) (v1.3 Protocol) (Scorpion 2/3)" devices ())
(name "sc2groul" year "199?" manufacturer "BFM" desc "Golden Roulette (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2groulp" year "199?" manufacturer "BFM" desc "Golden Roulette (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 4, UK, Arcade, p65) (Scorpion 2/3)" devices ())
(name "sc2gsclb1" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 7, UK, Arcade, 250GBP Jackpot, p65) (Scorpion 2/3)" devices ())
(name "sc2gsclb1p" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 7, UK, Arcade, 250GBP Jackpot, p65, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb2" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 3, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2gsclb2p" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 3, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb3" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 5, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2gsclb3p" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 5, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb4" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 6, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2gsclb4p" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 6, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb5" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2gsclb6" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 8, UK) (Scorpion 2/3)" devices ())
(name "sc2gsclb6p" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 8, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gsclb7" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2gsclbp" year "199?" manufacturer "BFM" desc "The Game Show Club (Bellfruit) (set 4, UK, Arcade, p65, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gslam" year "1996" manufacturer "BFM" desc "Club Grand Slam (UK, set 2) (Scorpion 2/3)" devices ())
(name "sc2gslam1" year "1996" manufacturer "BFM" desc "Club Grand Slam (UK, set 1) (Scorpion 2/3)" devices ())
(name "sc2gslam1p" year "1996" manufacturer "BFM" desc "Club Grand Slam (UK, set 1, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gslamp" year "1996" manufacturer "BFM" desc "Club Grand Slam (UK, set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2gtr" year "199?" manufacturer "BFM" desc "The Great Train Robbery (Bellfruit) (Scorpion 2/3)" devices ())
(name "sc2heypr" year "199?" manufacturer "BFM" desc "Hey Presto (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2heyprp" year "199?" manufacturer "BFM" desc "Hey Presto (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2hifly" year "199?" manufacturer "Mdm" desc "High Flyer (Mdm) (v4.1) (Scorpion 2/3)" devices ())
(name "sc2hifly2" year "199?" manufacturer "Mdm" desc "High Flyer (Mdm) (v3.1) (Scorpion 2/3)" devices ())
(name "sc2hifly3" year "199?" manufacturer "Mdm" desc "High Flyer (Mdm) (v2.1) (Scorpion 2/3)" devices ())
(name "sc2hifly4" year "199?" manufacturer "Mdm" desc "High Flyer (Mdm) (v?.?) (Scorpion 2/3)" devices ())
(name "sc2hypr" year "199?" manufacturer "BFM" desc "Hyperactive (Bellfruit) (set 1, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2hypr1" year "199?" manufacturer "BFM" desc "Hyperactive (Bellfruit) (set 2, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2hypr1p" year "199?" manufacturer "BFM" desc "Hyperactive (Bellfruit) (set 2, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2hyprp" year "199?" manufacturer "BFM" desc "Hyperactive (Bellfruit) (set 1, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2in1" year "2001" manufacturer "GMS" desc "Super Card 2 in 1 (English version 03.23)" devices ())
(name "sc2inst" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 6, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2inst1" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 7, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2inst1p" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 7, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2inst2" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2inst2p" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2inst3" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 5, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2inst3p" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 5, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2inst4" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2inst4p" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2inst5" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2inst6" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2instp" year "199?" manufacturer "BFM" desc "Instant Jackpot (Bellfruit) (set 6, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2kcclb" year "199?" manufacturer "BFM" desc "King Cash Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2kcclb1" year "199?" manufacturer "BFM" desc "King Cash Club (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2kcclb1p" year "199?" manufacturer "BFM" desc "King Cash Club (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2kcclbp" year "199?" manufacturer "BFM" desc "King Cash Club (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2luvv" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 3, UK, Multisite 10GBP/25p) (Scorpion 2/3)" devices ())
(name "sc2luvv1" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 3, UK, Multisite 10GBP/20p) (Scorpion 2/3)" devices ())
(name "sc2luvv1p" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 3, UK, Multisite 10GBP/20p, Protocol) (Scorpion 2/3)" devices ())
(name "sc2luvv2" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 2, UK, Multisite) (Scorpion 2/3)" devices ())
(name "sc2luvv2p" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 2, UK, Multisite, Protocol) (Scorpion 2/3)" devices ())
(name "sc2luvv4" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 4, UK, Multisite 4GBP/5p) (Scorpion 2/3)" devices ())
(name "sc2luvv4p" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 4, UK, Multisite 4GBP/5p, Protocol) (Scorpion 2/3)" devices ())
(name "sc2luvv6p" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2luvvp" year "1996" manufacturer "BFM" desc "Luvvly Jubbly (set 3, UK, Multisite 10GBP/25p, Protocol) (Scorpion 2/3)" devices ())
(name "sc2maina" year "199?" manufacturer "BFM" desc "Main Attraction (Bellfruit) (Scorpion 2/3)" devices ())
(name "sc2majes" year "199?" manufacturer "BFM" desc "Majestic Bells (Bellfruit) (set 1) (set 1)" devices ())
(name "sc2majesp" year "199?" manufacturer "BFM" desc "Majestic Bells (Bellfruit) (set 1, Protocol) (set 2)" devices ())
(name "sc2mam" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 4, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2mam1" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 5, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2mam1p" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 5, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mam2" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 3, UK, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2mam2p" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 3, UK, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mam3" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2mam3a" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 2, UK, alt) (Scorpion 2/3)" devices ())
(name "sc2mam3p" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mam4" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2mam4p" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mamcl" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 3, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2mamcl1" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2mamcl1p" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mamcl2" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2mamcl2p" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mamcl3" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2mamclp" year "199?" manufacturer "BFM" desc "Make A Million Club (Bellfruit) (set 3, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2mamp" year "199?" manufacturer "BFM" desc "Make A Million (Bellfruit) (set 4, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 9, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2motd1" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 7, UK, 10GBP Jackpot, 1st Triennial) (Scorpion 2/3)" devices ())
(name "sc2motd1p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 7, UK, 10GBP Jackpot, 1st Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd2" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 8, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2motd2p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 8, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd3" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 6, UK) (Scorpion 2/3)" devices ())
(name "sc2motd3p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 6, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd4" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 3, UK, Arcade) (Scorpion 2/3)" devices ())
(name "sc2motd4p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 3, UK, Arcade, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd5" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 2, UK, Single Site) (Scorpion 2/3)" devices ())
(name "sc2motd5p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 2, UK, Single Site, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd6" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 4, Irish, 8GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2motd6p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 4, Irish, 8GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd7" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2motd8p" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 5, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2motd9" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 1, Irish) (Scorpion 2/3)" devices ())
(name "sc2motdp" year "199?" manufacturer "BFM" desc "Match Of The Day (Bellfruit) (set 9, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2ofool" year "199?" manufacturer "BFM" desc "Only Fools & Horses (Bellfruit) (set 3) (Scorpion 2/3)" devices ())
(name "sc2ofool1" year "199?" manufacturer "BFM" desc "Only Fools & Horses (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2ofool2" year "199?" manufacturer "BFM" desc "Only Fools & Horses (Bellfruit) (set 4) (Scorpion 2/3)" devices ())
(name "sc2ofool3" year "199?" manufacturer "BFM" desc "Only Fools & Horses (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2ofool4" year "199?" manufacturer "BFM" desc "Only Fools & Horses (Bellfruit) (set 5) (Scorpion 2/3)" devices ())
(name "sc2olgld" year "199?" manufacturer "BFM" desc "Olympic Gold (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2olgld1" year "199?" manufacturer "BFM" desc "Olympic Gold (Bellfruit) (set 2, UK, 10GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2olgld1p" year "199?" manufacturer "BFM" desc "Olympic Gold (Bellfruit) (set 2, UK, 10GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc2olgldp" year "199?" manufacturer "BFM" desc "Olympic Gold (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2payr" year "199?" manufacturer "BFM/Mazooma" desc "Pay Roll Casino (Bellfruit/Mazooma) (Scorpion 2/3)" devices ())
(name "sc2pe1g" year "199?" manufacturer "BFM" desc "Public Enemy No.1 (Bellfruit) [German] (Scorpion 2/3)" devices ())
(name "sc2pick" year "199?" manufacturer "Global" desc "Pick Of The Bunch (Global) (v2.3) (Scorpion 2/3)" devices ())
(name "sc2pickc" year "199?" manufacturer "Global" desc "Pick Of The Bunch (Club?) (Global) (v1.9) (Scorpion 2/3)" devices ())
(name "sc2pickcp" year "199?" manufacturer "Global" desc "Pick Of The Bunch (Club?) (Global) (v1.9 Protocol) (Scorpion 2/3)" devices ())
(name "sc2pickp" year "199?" manufacturer "Global" desc "Pick Of The Bunch (Global) (v2.3 Protocol) (Scorpion 2/3)" devices ())
(name "sc2prem" year "199?" manufacturer "BFM" desc "Premier Club Manager (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2prem1" year "199?" manufacturer "BFM" desc "Premier Club Manager (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2prem1p" year "199?" manufacturer "BFM" desc "Premier Club Manager (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2prem2" year "199?" manufacturer "BFM" desc "Premier Club Manager (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2prom" year "199?" manufacturer "BFM" desc "Along The Prom (Bellfruit) (Scorpion 2/3)" devices ())
(name "sc2ptytm" year "199?" manufacturer "BFM" desc "Party Time (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2ptytm1" year "199?" manufacturer "BFM" desc "Party Time (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2ptytmp" year "199?" manufacturer "BFM" desc "Party Time (Bellfruit) (set 2, Protocol) (Scorpion 2/3)" devices ())
(name "sc2relgm" year "199?" manufacturer "BFM" desc "Reel Gems (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2relgm1p" year "199?" manufacturer "BFM" desc "Reel Gems (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2relgmp" year "199?" manufacturer "BFM" desc "Reel Gems (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2rock" year "199?" manufacturer "Global" desc "How Big's Your Rock? (Global) (v1.5) (Scorpion 2/3)" devices ())
(name "sc2rock1" year "199?" manufacturer "Global" desc "How Big's Your Rock? (Global) (v1.4) (Scorpion 2/3)" devices ())
(name "sc2rock1p" year "199?" manufacturer "Global" desc "How Big's Your Rock? (Global) (v1.4 Protocol) (Scorpion 2/3)" devices ())
(name "sc2rocke" year "199?" manufacturer "Global" desc "How Big's Your Rock? (Global) (v?.? Euro) (Scorpion 2/3)" devices ())
(name "sc2rockp" year "199?" manufacturer "Global" desc "How Big's Your Rock? (Global) (v1.5 Protocol) (Scorpion 2/3)" devices ())
(name "sc2scc" year "199?" manufacturer "Mdm" desc "Safe Cracker Club (Mdm) (v4.4) (Scorpion 2/3)" devices ())
(name "sc2scshx" year "199?" manufacturer "Concept" desc "Super Cash X (Concept)" devices ())
(name "sc2scshxcas" year "199?" manufacturer "Concept" desc "Super Casino Cash X (Concept)" devices ())
(name "sc2scshxgman" year "199?" manufacturer "Concept" desc "Super Cash X (Concept) (Gamesman Hardware)" devices ())
(name "sc2scshxstar" year "199?" manufacturer "Concept" desc "Super Cash X (Concept) (Starpoint Hardware)" devices ())
(name "sc2sghst" year "199?" manufacturer "Concept" desc "Super Ghost (Concept)" devices ())
(name "sc2showt" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2showt1" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 5, UK) (Scorpion 2/3)" devices ())
(name "sc2showt1p" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 5, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2showt2" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2showt2p" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2showt3" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2showt3p" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2showt4" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2showt4p" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2showtp" year "199?" manufacturer "BFM" desc "Showtime Spectacular (Bellfruit) (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2smnud" year "199?" manufacturer "Concept" desc "Super Multi Nudger (Concept)" devices ())
(name "sc2sstar" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 2, UK, 3rd Triennial) (Scorpion 2/3)" devices ())
(name "sc2sstar1" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 1, UK, 2nd Triennial) (Scorpion 2/3)" devices ())
(name "sc2sstar1p" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 1, UK, 2nd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2sstar2" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 4, UK, 2nd Triennial) (Scorpion 2/3)" devices ())
(name "sc2sstar2p" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 4, UK, 2nd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2sstar3" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 3, UK, 2nd Triennial) (Scorpion 2/3)" devices ())
(name "sc2sstar3p" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 3, UK, 2nd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2sstarp" year "199?" manufacturer "BFM" desc "Super Star (Bellfruit) (set 2, UK, 3rd Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2suprz" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2suprz1" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 2, UK) (Scorpion 2/3)" devices ())
(name "sc2suprz1p" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 2, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2suprz2" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 4, UK) (Scorpion 2/3)" devices ())
(name "sc2suprz2p" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 4, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2suprz3" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2suprzp" year "199?" manufacturer "BFM" desc "Surprise Surprize (Bellfruit) (set 1, UK, Protocol)(Scorpion 2/3)" devices ())
(name "sc2topwk" year "199?" manufacturer "BFM" desc "Top Wack (Bellfruit) (set 1, UK, 10GBP Jackpot, 1st Triennial) (Scorpion 2/3)" devices ())
(name "sc2topwkp" year "199?" manufacturer "BFM" desc "Top Wack (Bellfruit) (set 1, UK, 10GBP Jackpot, 1st Triennial, Protocol) (Scorpion 2/3)" devices ())
(name "sc2town" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 6) (Scorpion 2/3)" devices ())
(name "sc2town1" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 4) (Scorpion 2/3)" devices ())
(name "sc2town1a" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 4, alt) (Scorpion 2/3)" devices ())
(name "sc2town1p" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 4, Protocol) (Scorpion 2/3)" devices ())
(name "sc2town2" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 2) (Scorpion 2/3)" devices ())
(name "sc2town3" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 3) (Scorpion 2/3)" devices ())
(name "sc2town3p" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 3, Protocol) (Scorpion 2/3)" devices ())
(name "sc2town4" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 1) (Scorpion 2/3)" devices ())
(name "sc2town5" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 5) (Scorpion 2/3)" devices ())
(name "sc2townp" year "199?" manufacturer "BFM" desc "Round The Town (Bellfruit) (set 6, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 8, UK, 10GBP Jackpot, 15RM motor) (Scorpion 2/3)" devices ())
(name "sc2wembl1" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 6, UK, 15RM motor) (Scorpion 2/3)" devices ())
(name "sc2wembl10" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 5, Irish, 8GBP Jackpot, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2wembl1p" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 6, UK, 15RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl2" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 7, UK) (Scorpion 2/3)" devices ())
(name "sc2wembl2p" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 7, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl4p" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 3, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl5a" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 2, UK, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2wembl5ap" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 2, UK, 16RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl6ap" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 4, Arcade, 16RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl7a" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 1, UK, 8GBP Jackpot, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2wembl7ap" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 5, Irish, 8GBP Jackpot, 16RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wembl8" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 3, UK) (Scorpion 2/3)" devices ())
(name "sc2wembl9" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 4, Arcade, 16RM motor) (Scorpion 2/3)" devices ())
(name "sc2wemblm" year "199?" manufacturer "BFM/Mazooma" desc "Match Of The Day - Road To Wembley (Bellfruit/Mazooma) (Scorpion 2/3)" devices ())
(name "sc2wemblp" year "199?" manufacturer "BFM" desc "Match Of The Day - Road To Wembley (Bellfruit) (set 8, UK, 10GBP Jackpot, 15RM motor, Protocol) (Scorpion 2/3)" devices ())
(name "sc2winst" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 1) (Scorpion 2)" devices ())
(name "sc2winstb" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 3) (Scorpion 2)" devices ())
(name "sc2winstbp" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 3, Protocol) (Scorpion 2)" devices ())
(name "sc2winstd" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 2) (Scorpion 2)" devices ())
(name "sc2winstdp" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 2, Protocol) (Scorpion 2)" devices ())
(name "sc2winste" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 4) (Scorpion 2)" devices ())
(name "sc2winstep" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 4, Protocol) (Scorpion 2)" devices ())
(name "sc2winstf" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 6) (Scorpion 2)" devices ())
(name "sc2winstfp" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 6, Protocol) (Scorpion 2)" devices ())
(name "sc2winstg" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 5) (Scorpion 2)" devices ())
(name "sc2winstp" year "198?" manufacturer "BFM" desc "Winning Streak (Bellfruit) (set 1, Protocol) (Scorpion 2)" devices ())
(name "sc2wwcl" year "199?" manufacturer "BFM" desc "Wild West Club (Bellfruit) (set 2, UK, 250GBP Jackpot) (Scorpion 2/3)" devices ())
(name "sc2wwcl1" year "199?" manufacturer "BFM" desc "Wild West Club (Bellfruit) (set 1, UK) (Scorpion 2/3)" devices ())
(name "sc2wwcl1p" year "199?" manufacturer "BFM" desc "Wild West Club (Bellfruit) (set 1, UK, Protocol) (Scorpion 2/3)" devices ())
(name "sc2wwclp" year "199?" manufacturer "BFM" desc "Wild West Club (Bellfruit) (set 2, UK, 250GBP Jackpot, Protocol) (Scorpion 2/3)" devices ())
(name "sc3000" year "1983" manufacturer "Sega" desc "SC-3000" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" mandatory t)))
(name "sc3000h" year "1983" manufacturer "Sega" desc "SC-3000H" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" mandatory t)))
(name "sc4a40" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4a40a" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4a40b" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4a40c" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4a40cl" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4a40cla" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4a40clb" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4a40clc" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4abra" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 1, 041)" devices ())
(name "sc4abraa" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 2, 041)" devices ())
(name "sc4abrab" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 3, 044)" devices ())
(name "sc4abrac" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 4, 044)" devices ())
(name "sc4abrad" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 5, 014)" devices ())
(name "sc4abrae" year "200?" manufacturer "Qps" desc "Abracadabra (Qps) (Scorpion 4) (set 6, 014)" devices ())
(name "sc4acesh" year "200?" manufacturer "Mazooma" desc "Aces High (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4acesha" year "200?" manufacturer "Mazooma" desc "Aces High (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4aceshb" year "200?" manufacturer "Mazooma" desc "Aces High (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4aceshc" year "200?" manufacturer "Mazooma" desc "Aces High (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4adjb" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4adjba" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4adjbb" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4adjbc" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4adjbd" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4adjbe" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4adjbf" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4adjbg" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4adjbh" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4adjbi" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4adren" year "200?" manufacturer "Mazooma" desc "Adrenalin (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4adrena" year "200?" manufacturer "Mazooma" desc "Adrenalin (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4adrenb" year "200?" manufacturer "Mazooma" desc "Adrenalin (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4adrenc" year "200?" manufacturer "Mazooma" desc "Adrenalin (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4adsnt" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4adsnta" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4adwta" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway Win The Ads (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4adwtaa" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway Win The Ads (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4alad" year "200?" manufacturer "Mazooma" desc "Aladdin's Cave (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4alada" year "200?" manufacturer "Mazooma" desc "Aladdin's Cave (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4aztec" year "200?" manufacturer "BFG / Eurocoin" desc "Aztec Casino (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4azteca" year "200?" manufacturer "BFG / Eurocoin" desc "Aztec (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4bankb" year "200?" manufacturer "Qps" desc "Bankety Bank (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4bankba" year "200?" manufacturer "Qps" desc "Bankety Bank (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4bantm" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bantma" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bantmb" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bantmc" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bar7" year "200?" manufacturer "BFM" desc "Bar 7's (PR1433) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bar7a" year "200?" manufacturer "BFM" desc "Bar 7's (PR1433) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bar7b" year "200?" manufacturer "BFM" desc "Bar 7's (PR1438) (Bellfruit) (Scorpion 4) (Top Box?, set 1)" devices ())
(name "sc4bar7c" year "200?" manufacturer "BFM" desc "Bar 7's (PR1438) (Bellfruit) (Scorpion 4) (Top Box?, set 2)" devices ())
(name "sc4bar7d" year "200?" manufacturer "BFM" desc "Bar 7's (PR1438) (Bellfruit) (Scorpion 4) (Top Box?, set 3)" devices ())
(name "sc4bar7e" year "200?" manufacturer "BFM" desc "Bar 7's (PR1438) (Bellfruit) (Scorpion 4) (Top Box?, set 4)" devices ())
(name "sc4batl" year "200?" manufacturer "BFM" desc "Battleships & Cruisers (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4batla" year "200?" manufacturer "BFM" desc "Battleships & Cruisers (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bb" year "200?" manufacturer "Qps" desc "Bankety Bank (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4bba" year "200?" manufacturer "Qps" desc "Bankety Bank (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4bbclb" year "200?" manufacturer "Qps" desc "Bankety Bank Club (V1.0) (Qps) (Scorpion 4)" devices ())
(name "sc4bbclba" year "200?" manufacturer "Qps" desc "Bankety Bank Club (V1.1) (Qps) (Scorpion 4)" devices ())
(name "sc4bbclbb" year "200?" manufacturer "Qps" desc "Bankety Bank Club (V411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4bbclbc" year "200?" manufacturer "Qps" desc "Bankety Bank Club (V411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4bblas" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bblasa" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bblasb" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bblasc" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bblasd" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bblase" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4bblasf" year "200?" manufacturer "Mazooma" desc "Big Blaster (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4bbust" year "200?" manufacturer "Mazooma" desc "Blockbuster (Mazooma) (Scorpion 4)" devices ())
(name "sc4bed" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4beda" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bedb" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bedc" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bedcl" year "200?" manufacturer "Mazooma" desc "Bedazzled Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bedcla" year "200?" manufacturer "Mazooma" desc "Bedazzled Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bedclb" year "200?" manufacturer "Mazooma" desc "Bedazzled Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bedclc" year "200?" manufacturer "Mazooma" desc "Bedazzled Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bedcld" year "200?" manufacturer "Mazooma" desc "Bedazzled Club (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bedd" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bede" year "200?" manufacturer "Mazooma" desc "Bedazzled (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4bgold" year "200?" manufacturer "Nova" desc "Black Gold (Nova) (Scorpion 4) (set 1)" devices ())
(name "sc4bgolda" year "200?" manufacturer "Nova" desc "Black Gold (Nova) (Scorpion 4) (set 2)" devices ())
(name "sc4bigdl" year "200?" manufacturer "Qps" desc "Big Deal (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4bigdla" year "200?" manufacturer "Qps" desc "Big Deal (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4bingb" year "200?" manufacturer "Mazooma" desc "Bingo Belle (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bingba" year "200?" manufacturer "Mazooma" desc "Bingo Belle (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4blast" year "200?" manufacturer "Qps" desc "Blast Off (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4blasta" year "200?" manufacturer "Qps" desc "Blast Off (041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4blastb" year "200?" manufacturer "Qps" desc "Blast Off (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4blastc" year "200?" manufacturer "Qps" desc "Blast Off (041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4blastd" year "200?" manufacturer "Qps" desc "Blast Off (042) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4blaste" year "200?" manufacturer "Qps" desc "Blast Off (042) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4blokq" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4blokqa" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4blokqb" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4blokqc" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4blokqd" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4blokqe" year "200?" manufacturer "Qps" desc "Blockbuster (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4blue" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bluea" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4blueb" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bluec" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4blued" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bluee" year "200?" manufacturer "Mazooma" desc "Blue Rinse (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4bob" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4boba" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bobb" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bobc" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bobcl" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bobcla" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bobd" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bobe" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4bobf" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4bobg" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4bobh" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4bobi" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4bonbx" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4bonbxa" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4bonbxb" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4bonbxc" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4bonbxd" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4bonbxe" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bonbxf" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4bonbxg" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4bonbxh" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4bonbxi" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4bonbxj" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4bonbxk" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4bonbxl" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4boomb" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4boomba" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4botn" year "200?" manufacturer "Qps" desc "Back Of The Net (Qps) (Scorpion 4) (set 1, 011)" devices ())
(name "sc4botna" year "200?" manufacturer "Qps" desc "Back Of The Net (Qps) (Scorpion 4) (set 2, 011)" devices ())
(name "sc4bpb" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bpba" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bpbb" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4bpbc" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bpbd" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4bpbe" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4brix" year "200?" manufacturer "Nova" desc "Brix (German) (Nova) (Scorpion 4) (set 1)" devices ())
(name "sc4brixa" year "200?" manufacturer "Nova" desc "Brix (German) (Nova) (Scorpion 4) (set 2)" devices ())
(name "sc4brixb" year "200?" manufacturer "Nova" desc "Brix (German) (Nova) (Scorpion 4) (set 3)" devices ())
(name "sc4brkfs" year "200?" manufacturer "BFM" desc "The Big Breakfast (BFM) (Scorpion 4) (set 1)" devices ())
(name "sc4brkfsa" year "200?" manufacturer "BFM" desc "The Big Breakfast (BFM) (Scorpion 4) (set 2)" devices ())
(name "sc4brkfsb" year "200?" manufacturer "BFM" desc "The Big Breakfast (BFM) (Scorpion 4) (set 3)" devices ())
(name "sc4brkfsc" year "200?" manufacturer "BFM" desc "The Big Breakfast (BFM) (Scorpion 4) (set 4)" devices ())
(name "sc4brksp" year "200?" manufacturer "Mazooma" desc "Break The Spell (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4brkspa" year "200?" manufacturer "Mazooma" desc "Break The Spell (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4broll" year "200?" manufacturer "Mazooma" desc "Bank Roll (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4brolla" year "200?" manufacturer "Mazooma" desc "Bank Roll (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4brollb" year "200?" manufacturer "Mazooma" desc "Bank Roll (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4brollc" year "200?" manufacturer "Mazooma" desc "Bank Roll (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4bsp" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bspa" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bspb" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bspc" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4bspd" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4bspe" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3042) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bspf" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3042) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bspg" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3040) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4bugs" year "200?" manufacturer "BFM" desc "Bugs Money (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bugsa" year "200?" manufacturer "BFM" desc "Bugs Money (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bugsb" year "200?" manufacturer "BFM" desc "Bugs Money (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bugsc" year "200?" manufacturer "BFM" desc "Bugs Money (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4bulcl" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bulcla" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bulclb" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bulclc" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4bulcld" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4bulcle" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4bulclf" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4bulclg" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4bulclh" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4bulcli" year "200?" manufacturer "BFM" desc "Bullseye Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4bulcs" year "200?" manufacturer "BFM" desc "Bullseye Classic (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bulcsa" year "200?" manufacturer "BFM" desc "Bullseye Classic (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bulcsb" year "200?" manufacturer "BFM" desc "Bullseye Classic (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bulcsc" year "200?" manufacturer "BFM" desc "Bullseye Classic (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4bull" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4bulla" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4bullb" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4bullc" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4butch" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4butcha" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4butchb" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4butchc" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4butchd" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4butche" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4butchf" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4butchg" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4bwow" year "200?" manufacturer "BFM" desc "Wheel Of Wealth (Bellfruit) (PR1726) (Scorpion 4) (WHEL013, set 1)" devices ())
(name "sc4bwowa" year "200?" manufacturer "BFM" desc "Wheel Of Wealth (Bellfruit) (PR1726) (Scorpion 4) (WHEL013, set 2)" devices ())
(name "sc4cabin" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cabina" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cabinb" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cabinc" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cabind" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cabine" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cabinf" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4cabing" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4cabinh" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4cabini" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4cabinj" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4cabink" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4cabinl" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4cabinm" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 4) (set 14)" devices ())
(name "sc4cad" year "200?" manufacturer "Qps" desc "Cash Adder (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cada" year "200?" manufacturer "Qps" desc "Cash Adder (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadb" year "200?" manufacturer "Qps" desc "Cash Adder (V011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadc" year "200?" manufacturer "Qps" desc "Cash Adder (V041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadcl" year "200?" manufacturer "Qps" desc "Cash Adder Club (411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadcla" year "200?" manufacturer "Qps" desc "Cash Adder Club (411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadd" year "200?" manufacturer "Qps" desc "Cash Adder (V012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cade" year "200?" manufacturer "Qps" desc "Cash Adder (V042) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadf" year "200?" manufacturer "Qps" desc "Cash Adder (V1.0) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cadg" year "200?" manufacturer "Qps" desc "Cash Adder (V1.0) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cadh" year "200?" manufacturer "Qps" desc "Cash Adder (V011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadi" year "200?" manufacturer "Qps" desc "Cash Adder (V041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadj" year "200?" manufacturer "Qps" desc "Cash Adder (V012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadk" year "200?" manufacturer "Qps" desc "Cash Adder (V042) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadl" year "200?" manufacturer "Qps" desc "Cash Adder (V013) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadm" year "200?" manufacturer "Qps" desc "Cash Adder (V013) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadn" year "200?" manufacturer "Qps" desc "Cash Adder (V014) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cado" year "200?" manufacturer "Qps" desc "Cash Adder (V043) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cadp" year "200?" manufacturer "Qps" desc "Cash Adder (V014) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cadq" year "200?" manufacturer "Qps" desc "Cash Adder (V043) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4canca" year "200?" manufacturer "Mazooma" desc "Can Can Cash Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cancaa" year "200?" manufacturer "Mazooma" desc "Can Can Cash Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cancab" year "200?" manufacturer "Mazooma" desc "Can Can Cash Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cancac" year "200?" manufacturer "Mazooma" desc "Can Can Cash Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4captn" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4captna" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4captnb" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4captnc" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4captnd" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4captne" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4captnf" year "200?" manufacturer "Qps" desc "Captain Cash (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4cari" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4caria" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4carib" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4caric" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4carid" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4carie" year "200?" manufacturer "Mazooma" desc "Caribbean Cash (PR2326) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cariq" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cariqa" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cariqb" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cariqc" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cariqd" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4cariqe" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4cariqf" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4cariqg" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4carry" year "200?" manufacturer "BFM" desc "Carry On Winning (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4carrya" year "200?" manufacturer "BFM" desc "Carry On Winning (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cashg" year "200?" manufacturer "Mazooma / Nova" desc "Cashanova (German) (Mazooma / Nova) (Scorpion 4)" devices ())
(name "sc4cashm" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cashma" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cashmb" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cashmc" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cashmd" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cashme" year "200?" manufacturer "Mazooma" desc "Cashanova (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cashn" year "200?" manufacturer "Mazooma / Eurocoin" desc "Cashanova (Dutch) (Mazooma / Eurocoin) (Scorpion 4)" devices ())
(name "sc4casry" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2062) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4casrya" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2073) (Czech) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4casryb" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2073) (Czech) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4casryc" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2062) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4casryd" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2075) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4casrye" year "200?" manufacturer "Mazooma" desc "Casino Royale (PR2075) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4casxt" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4casxta" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4casxtb" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4casxtc" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4casxtd" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4casxte" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cbaz" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cbaza" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cbazb" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cbazc" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cbazd" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cbaze" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cbazf" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cbazg" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cbazh" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cbazi" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cbazj" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cbazk" year "200?" manufacturer "BFM" desc "Cash Bazaar Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cblas" year "200?" manufacturer "Voodoo Games" desc "Cash Blast (Voodoo Games) (Scorpion 4) (set 1)" devices ())
(name "sc4cblasa" year "200?" manufacturer "Voodoo Games" desc "Cash Blast (Voodoo Games) (Scorpion 4) (set 2)" devices ())
(name "sc4cburn" year "200?" manufacturer "Qps" desc "Cash 'n' Burn (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cburna" year "200?" manufacturer "Qps" desc "Cash 'n' Burn (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ccc" year "200?" manufacturer "BFM" desc "Criss Cross Crazy (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4cccsh" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cccsha" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cccshb" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cccshc" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cccshd" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cccshe" year "200?" manufacturer "Mazooma" desc "Criss Cross Cash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cckey" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cckeya" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cckeyb" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cckeyc" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cckeyd" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cckeye" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cckeyf" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cckeyg" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cckeyh" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cckeyi" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cckeyj" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cckeyk" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cckeyl" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4cckeym" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4cckeyn" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4cckeyo" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits Gold (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4cclas" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cclas0" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 24)" devices ())
(name "sc4cclas1" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 25)" devices ())
(name "sc4cclas2" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 26)" devices ())
(name "sc4cclas3" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 27)" devices ())
(name "sc4cclas4" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 28)" devices ())
(name "sc4cclasa" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cclasb" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cclasc" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cclasd" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cclase" year "200?" manufacturer "BFM" desc "Club Class (65% Ferry) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cclasf" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cclasg" year "200?" manufacturer "BFM" desc "Club Class (65% Ferry) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cclash" year "200?" manufacturer "BFM" desc "Club Class (65% Ferry) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cclasi" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cclasj" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cclask" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cclasl" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cclasm" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cclasn" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cclaso" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4cclasp" year "200?" manufacturer "BFM" desc "Club Class (65% Ferry) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cclasq" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4cclasr" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4cclass" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4cclast" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4cclasu" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4cclasv" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4cclasw" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4cclasx" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 21)" devices ())
(name "sc4cclasy" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 22)" devices ())
(name "sc4cclasz" year "200?" manufacturer "BFM" desc "Club Class (Bellfruit) (Scorpion 4) (set 23)" devices ())
(name "sc4cclim" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cclima" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cclimb" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cclimc" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cclimd" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cclime" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4cclimf" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4cclimg" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4cclimh" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cclimi" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cclimj" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4cclimk" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4ccliml" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4cclimm" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cclimn" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cclimo" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cclimp" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cclimq" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4cclimr" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4cclims" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cclimt" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 21)" devices ())
(name "sc4cclimu" year "200?" manufacturer "BFM" desc "Casino Crazy Climber (Bellfruit) (Scorpion 4) (set 22)" devices ())
(name "sc4ccogs" year "200?" manufacturer "Qps" desc "Clever Cogs (Qps) (Scorpion 4)" devices ())
(name "sc4cconx" year "200?" manufacturer "Mazooma" desc "Cash Connexion (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cconxa" year "200?" manufacturer "Mazooma" desc "Cash Connexion (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cconxb" year "200?" manufacturer "Mazooma" desc "Cash Connexion (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cconxc" year "200?" manufacturer "Mazooma" desc "Cash Connexion (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cconxd" year "200?" manufacturer "Mazooma" desc "Cash Connexion (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ccrus" year "200?" manufacturer "Mazooma" desc "Cash Crusaders (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ccrusa" year "200?" manufacturer "Mazooma" desc "Cash Crusaders (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ccrusb" year "200?" manufacturer "Mazooma" desc "Cash Crusaders (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4celeb" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4celeba" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4celebb" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4celebc" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4celebd" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cerup" year "200?" manufacturer "Mazooma" desc "Cash Eruption (Mazooma) (Scorpion 4)" devices ())
(name "sc4cexpl" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cexpla" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cexplb" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cexplc" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cexpld" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2120) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cexple" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2120) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cexplf" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cexplg" year "200?" manufacturer "Mazooma" desc "Cash Explosion (PR2076) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cfcas" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfcas0" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4cfcas1" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4cfcas2" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4cfcas3" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cfcas4" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (CCFR) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfcas5" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (CCFR) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfcas6" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 21)" devices ())
(name "sc4cfcas7" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 22)" devices ())
(name "sc4cfcas8" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 23)" devices ())
(name "sc4cfcas9" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cfcasa" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfcasaa" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 24)" devices ())
(name "sc4cfcasab" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cfcasac" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cfcasad" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (CCFR) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfcasae" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (CCFR) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfcasaf" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 25)" devices ())
(name "sc4cfcasag" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 26)" devices ())
(name "sc4cfcasah" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 27)" devices ())
(name "sc4cfcasai" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 28)" devices ())
(name "sc4cfcasaj" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 29)" devices ())
(name "sc4cfcasak" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 30)" devices ())
(name "sc4cfcasal" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 31)" devices ())
(name "sc4cfcasam" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 32)" devices ())
(name "sc4cfcasb" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfcasc" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cfcasd" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cfcase" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfcasf" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cfcasg" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cfcash" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cfcasi" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfcasj" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfcask" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cfcasl" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYPF) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfcasm" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cfcasn" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfcaso" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYFR) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfcasp" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cfcasq" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cfcasr" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (ZYPF) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfcass" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cfcast" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4cfcasu" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4cfcasv" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4cfcasw" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4cfcasx" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4cfcasy" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4cfcasz" year "200?" manufacturer "BFM" desc "Casino Crazy Fruits (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4cfcla" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfclab" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfclac" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfclad" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfclae" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cfclaf" year "200?" manufacturer "BFM" desc "Crazy Fruits Classic (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cfclb" year "200?" manufacturer "BFM" desc "Crazy Fruits Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfclba" year "200?" manufacturer "BFM" desc "Crazy Fruits Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfclbb" year "200?" manufacturer "BFM" desc "Crazy Fruits Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfdu" year "200?" manufacturer "BFM" desc "Crazy Fruits Down Under (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfdua" year "200?" manufacturer "BFM" desc "Crazy Fruits Down Under (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfdub" year "200?" manufacturer "BFM" desc "Crazy Fruits Down Under (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfduc" year "200?" manufacturer "BFM" desc "Crazy Fruits Down Under (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfgcl" year "200?" manufacturer "BFM" desc "Crazy Fruits Gold Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cfgcla" year "200?" manufacturer "BFM" desc "Crazy Fruits Gold Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cfgclb" year "200?" manufacturer "BFM" desc "Crazy Fruits Gold Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cfgclc" year "200?" manufacturer "BFM" desc "Crazy Fruits Gold Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cfqps" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CRFR) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cfqpsa" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CRFR) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cfqpsb" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CRFR) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cfqpsc" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cfqpsd" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CRFR) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cfqpse" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cfqpsf" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cfqpsg" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cfqpsh" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4cfqpsi" year "200?" manufacturer "Qps" desc "Crazy Fruits V1.0 (PR2521, ECRZ) (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4cfqpsj" year "200?" manufacturer "Qps" desc "Crazy Fruits SP98 (PR4613) (Qps) (Scorpion 4)" devices ())
(name "sc4cfqpsk" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CCAS) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cfqpsl" year "200?" manufacturer "BFM" desc "Crazy Fruits SP98 (PR4613) (BFM) (Scorpion 4) (set 1)" devices ())
(name "sc4cfqpsm" year "200?" manufacturer "BFM / Whitbread" desc "Crazy Fruits SP98 (PR4613) (BFM / Whitbread) (Scorpion 4) (set 1)" devices ())
(name "sc4cfqpsn" year "200?" manufacturer "BFM" desc "Crazy Fruits SP98 (PR4613) (BFM) (Scorpion 4) (set 2)" devices ())
(name "sc4cfqpso" year "200?" manufacturer "BFM / Whitbread" desc "Crazy Fruits SP98 (PR4613) (BFM / Whitbread) (Scorpion 4) (set 2)" devices ())
(name "sc4cfqpsp" year "200?" manufacturer "BFM" desc "Crazy Fruits SP98 (PR4613) (BFM) (Scorpion 4) (set 3)" devices ())
(name "sc4chain" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4chaina" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4chainb" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4chainc" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4chand" year "200?" manufacturer "BFM" desc "Cash In Hand (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4chanda" year "200?" manufacturer "BFM" desc "Cash In Hand (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4chandb" year "200?" manufacturer "BFM" desc "Cash In Hand (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4chandc" year "200?" manufacturer "BFM" desc "Cash In Hand (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4chavi" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4chavia" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4chavib" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4chavic" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4chavid" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4chavie" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4chavif" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4chavig" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4chavy" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4chavya" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4chavyb" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4chavyc" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4chavyd" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4chavye" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4chavyf" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4chavyg" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4chick" year "200?" manufacturer "Mazooma" desc "Chickendales (Mazooma) (Scorpion 4)" devices ())
(name "sc4chub" year "200?" manufacturer "Mazooma" desc "Chubby Does Vegas (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4chuba" year "200?" manufacturer "Mazooma" desc "Chubby Does Vegas (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4chubb" year "200?" manufacturer "Mazooma" desc "Chubby Does Vegas (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cinv" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cinva" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cinvb" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cinvc" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cinvd" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cinve" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cinvf" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cinvg" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4cinvh" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4cinvi" year "200?" manufacturer "BFM" desc "Cash Invaders (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4cj" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cja" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cjb" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cjc" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cjcl" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cjcla" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cjclb" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cjclc" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cjcld" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cjcle" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cjclf" year "200?" manufacturer "BFM" desc "Cool Jewels Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4cjd" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ckx" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4ckxa" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 1)" devices ())
(name "sc4ckxb" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 2)" devices ())
(name "sc4ckxc" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 3)" devices ())
(name "sc4ckxd" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4ckxe" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 4)" devices ())
(name "sc4ckxf" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 5)" devices ())
(name "sc4ckxg" year "200?" manufacturer "Mazooma" desc "Casino King X (Mazooma) (Scorpion 4) (Base, set 6)" devices ())
(name "sc4cla7" year "200?" manufacturer "Mazooma" desc "Classic 7s (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cla7a" year "200?" manufacturer "Mazooma" desc "Classic 7s (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cla7b" year "200?" manufacturer "Mazooma" desc "Classic 7s (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cla7c" year "200?" manufacturer "Mazooma" desc "Classic 7s (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4clash" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4clasha" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4clashb" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4clashc" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4clashd" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4clashe" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4clashf" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4clashg" year "200?" manufacturer "Mazooma" desc "Cash On The Lash (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4clbmn" year "200?" manufacturer "BFM" desc "Club Moneybags (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4clbmna" year "200?" manufacturer "BFM" desc "Club Moneybags (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4clbmnb" year "200?" manufacturer "BFM" desc "Club Moneybags (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4clbmnc" year "200?" manufacturer "BFM" desc "Club Moneybags (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4clbtm" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4clbtma" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4clbtmb" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4clbtmc" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4clbtmd" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4clbtme" year "200?" manufacturer "BFM" desc "Club Temptation (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4clclo" year "200?" manufacturer "QPS" desc "Club Clouseau (QPS) (Scorpion 4)" devices ())
(name "sc4clown" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4clowna" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4clownb" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4clownc" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4clownd" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4clowne" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4clownf" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4clowng" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4clucl" year "200?" manufacturer "Mazooma" desc "Cluedo Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4clucla" year "200?" manufacturer "Mazooma" desc "Cluedo Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4clue" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cluea" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4clueb" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cluec" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4clued" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cluee" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cluef" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4clueg" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4cmani" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cmania" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cmon" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cmona" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cmonb" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cmonc" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cmond" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4cmone" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4cmonf" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4cmong" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4cmonh" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4cmoni" year "200?" manufacturer "Mazooma" desc "Casino Monopoly (PR2133) (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4cmous" year "200?" manufacturer "Qps" desc "Cash & Mouse (V041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cmousa" year "200?" manufacturer "Qps" desc "Cash & Mouse (V011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cmousb" year "200?" manufacturer "Qps" desc "Cash & Mouse (V041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cmousc" year "200?" manufacturer "Qps" desc "Cash & Mouse (V011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cnfr" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cnfra" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cnfrb" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cnfrc" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit S+P98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4cnfrd" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit S+P98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cnfre" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4cnfrf" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4cnfrg" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cnfrh" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit S+P98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4cnfri" year "200?" manufacturer "BFM" desc "Cash 'n' Fruit S+P98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4colos" year "200?" manufacturer "BFM" desc "Colossus (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4copsr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4copsra" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4copsrb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4copsrc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4copsrd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4copsre" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4copsrf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4copsrg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4copsrh" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4copsri" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4corcl" year "200?" manufacturer "Mazooma" desc "Coronation Street Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4corcla" year "200?" manufacturer "Mazooma" desc "Coronation Street Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4coro" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4coroa" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4coroc" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (Arcade Version 012) (PR2249) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4corod" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4corof" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4corog" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4coroh" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (Arcade Version 012) (PR2249) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4coroi" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4coroj" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4corok" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4corol" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4corom" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4coron" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (Bingo Version ?1) (PR2?4?) (Mazooma) (Scorpion 4)" devices ())
(name "sc4corotb" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Top Box (PR2526, CSTB) (Mazooma) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4corotba" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Top Box (PR2526, CSTB) (Mazooma) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4count" year "200?" manufacturer "BFM" desc "Countdown (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4counta" year "200?" manufacturer "BFM" desc "Countdown (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4cr" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cra" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crb" year "200?" manufacturer "Qps" desc "Cash Raker (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4crc" year "200?" manufacturer "Qps" desc "Cash Raker (V2.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4crcc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Classic (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crcca" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Classic (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crccb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Classic (65%) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crccc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Classic (65%) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crcl" year "200?" manufacturer "Qps" desc "Cash Raker Club (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4crcla" year "200?" manufacturer "Qps" desc "Cash Raker Club (V1.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4crclb" year "200?" manufacturer "Qps" desc "Cash Raker Club (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crclc" year "200?" manufacturer "Qps" desc "Cash Raker Club (V1.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crcld" year "200?" manufacturer "Qps" desc "Cash Raker Club (V1.3) (Qps) (Scorpion 4)" devices ())
(name "sc4crcle" year "200?" manufacturer "Qps" desc "Cash Raker Club (411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4crclf" year "200?" manufacturer "Qps" desc "Cash Raker Club (411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crcp" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crcpa" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crcpc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crcpd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crcpe" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crcpf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crcpg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crcph" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crcpi" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crcpj" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Club Platinum (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crd" year "200?" manufacturer "Qps" desc "Cash Raker (V2.2) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cre" year "200?" manufacturer "Qps" desc "Cash Raker (V2.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crf" year "200?" manufacturer "Qps" desc "Cash Raker (V2.2) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4crgc" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crgca" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crgcb" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crgcc" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crgcd" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crgce" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crgcf" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crgcg" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crgch" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crgci" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crgcj" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4crgck" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4crgcl" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4crgcm" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4crgcn" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4crgco" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4crgcp" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4crgcq" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4crgcr" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 21)" devices ())
(name "sc4crgcs" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 23)" devices ())
(name "sc4crgct" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4crgcu" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 22)" devices ())
(name "sc4crgcv" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 24)" devices ())
(name "sc4crgcw" year "2003" manufacturer "BFM" desc "Cops 'n' Robbers Gold Club (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4crnjw" year "200?" manufacturer "BFM" desc "Crown Jewels (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crnjwa" year "200?" manufacturer "BFM" desc "Crown Jewels (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crsc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crsca" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crscb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crscc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crscd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crsce" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crscf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crscg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crzcs" year "200?" manufacturer "BFM" desc "Crazy Casino SP98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crzcsa" year "200?" manufacturer "BFM" desc "Crazy Casino SP98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crzcsb" year "200?" manufacturer "BFM" desc "Crazy Casino SP98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crzcsc" year "200?" manufacturer "BFM" desc "Crazy Casino SP98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crzgn" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 1, Top Box)" devices ())
(name "sc4crzgn0" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4crzgn1" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4crzgn2" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4crzgn3" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crzgn4" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crzgn5" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crzgn6" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crzgn7" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4crzgn8" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4crzgna" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crzgnb" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 2, Top Box)" devices ())
(name "sc4crzgnc" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crzgnd" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crzgne" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crzgnf" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crzgng" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 3, Top Box)" devices ())
(name "sc4crzgnh" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crzgni" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crzgnj" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 4, Top Box)" devices ())
(name "sc4crzgnk" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crzgnl" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crzgnm" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crzgnn" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4crzgno" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4crzgnp" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4crzgnq" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4crzgnr" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crzgns" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crzgnt" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crzgnu" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crzgnv" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crzgnw" year "200?" manufacturer "BFM" desc "Crazy Gang Arcade (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crzgnx" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4crzgny" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4crzgnz" year "200?" manufacturer "BFM" desc "Crazy Gang (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4crzky" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crzkya" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crzkyb" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crzkyc" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crzkyd" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crzkye" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crzkyf" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crzkyg" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crzkyh" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crzkyi" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4crzkyj" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4crzkyk" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4crzkyl" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crzkym" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4crzkyn" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4crzkyo" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4crzkyp" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4crzkyq" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4crzkyr" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4crzkys" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4crzkyt" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4crzkyu" year "200?" manufacturer "BFM" desc "Casino Crazy Keys (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4crzkyv" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4crzkyw" year "200?" manufacturer "BFM" desc "Casino Crazy Keys Arcade (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4crzwl" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4crzwla" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4crzwlb" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4crzwlc" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4crzwld" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4crzwle" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4crzwlf" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4crzwlg" year "200?" manufacturer "Mazooma" desc "Crazy World (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4ctl" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ctla" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ctlb" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ctlc" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ctlcl" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ctlcla" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ctlclb" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ctlclc" year "200?" manufacturer "BFM" desc "Cop The Lot Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ctld" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ctle" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4cvani" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cvania" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cvanib" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cvanic" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cvanid" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4cvanie" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4cvanif" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4cvanig" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4cvanih" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 9)" devices ())
(name "sc4cvanii" year "200?" manufacturer "QPS" desc "Cashvania (Qps) (Scorpion 4) (set 10)" devices ())
(name "sc4cvclb" year "200?" manufacturer "QPS" desc "Cashvania Club (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cvclba" year "200?" manufacturer "QPS" desc "Cashvania Club (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cvclbb" year "200?" manufacturer "QPS" desc "Cashvania Club (V2.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cvclbc" year "200?" manufacturer "QPS" desc "Cashvania Club (V1.0) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4cvclbd" year "200?" manufacturer "QPS" desc "Cashvania Club (V1.0) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4cvclbe" year "200?" manufacturer "QPS" desc "Cashvania Club (V2.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cvclbf" year "200?" manufacturer "QPS" desc "Cashvania Club (V411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4cvclbg" year "200?" manufacturer "QPS" desc "Cashvania Club (V411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4cyc" year "200?" manufacturer "Mazooma" desc "Count Yer Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cyca" year "200?" manufacturer "Mazooma" desc "Count Yer Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cycb" year "200?" manufacturer "Mazooma" desc "Count Yer Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cycc" year "200?" manufacturer "Mazooma" desc "Count Yer Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cyccl" year "200?" manufacturer "Mazooma" desc "Count Yer Cash Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4cyccla" year "200?" manufacturer "Mazooma" desc "Count Yer Cash Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4cycclb" year "200?" manufacturer "Mazooma" desc "Count Yer Cash Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4cycclc" year "200?" manufacturer "Mazooma" desc "Count Yer Cash Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4cycd" year "200?" manufacturer "Mazooma" desc "Count Yer Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4czfr" year "200?" manufacturer "BFM" desc "Crazy Fruits (Germany?) (PR6982, GCRF, 1.02) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4czfra" year "200?" manufacturer "BFM" desc "Crazy Fruits (Dutch) (PR1212, CRAZ) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4czfrb" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 1)" devices ())
(name "sc4czfrc" year "200?" manufacturer "Qps" desc "Crazy Fruits (PR6813, CCAS) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4czfrd" year "200?" manufacturer "BFM" desc "Crazy Fruits (Germany?) (PR6982, GCRF) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4czfre" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 2)" devices ())
(name "sc4czfrf" year "200?" manufacturer "BFM / Whitbread" desc "Crazy Fruits (PR6813, CRFR) (BFM + Whitbread) (Scorpion 4) (set 1)" devices ())
(name "sc4czfrg" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 3)" devices ())
(name "sc4czfrh" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 4)" devices ())
(name "sc4czfri" year "200?" manufacturer "BFM / Whitbread" desc "Crazy Fruits (PR6813, CRFR) (BFM + Whitbread) (Scorpion 4) (set 2)" devices ())
(name "sc4czfrj" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 5)" devices ())
(name "sc4czfrk" year "200?" manufacturer "BFM" desc "Crazy Fruits (PR6813, CRFR) (BFM) (Scorpion 4) (set 6)" devices ())
(name "sc4darw" year "200?" manufacturer "Qps" desc "Dough & Arrow (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4darwa" year "200?" manufacturer "Qps" desc "Dough & Arrow (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4darwb" year "200?" manufacturer "Qps" desc "Dough & Arrow (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4darwc" year "200?" manufacturer "Qps" desc "Dough & Arrow (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4daylt" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4daylta" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4dayltb" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4dayltc" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4dayltd" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4daylte" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4dayltf" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4dayltg" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4daylth" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4daylti" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4dayltj" year "200?" manufacturer "BFM" desc "Daylight Robbery (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4dayltk" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4dayltl" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4dayltm" year "200?" manufacturer "BFM" desc "Daylight Robbery SP98 (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4db" year "200?" manufacturer "Mazooma" desc "Gold Fever (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4dbldm" year "200?" manufacturer "Qps" desc "Double Diamond (Qps) (Scorpion 4)" devices ())
(name "sc4dblfr" year "200?" manufacturer "Qps" desc "Double Frenzy (PR7060) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4dblfra" year "200?" manufacturer "Qps" desc "Double Frenzy (PR7060) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4dblfrb" year "200?" manufacturer "Qps" desc "Double Frenzy (PR7060) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4dblfrc" year "200?" manufacturer "Qps" desc "Double Frenzy (PR7060) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4dblfrd" year "200?" manufacturer "Qps" desc "Double Frenzy (PR2276) (212) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4dblfre" year "200?" manufacturer "Qps" desc "Double Frenzy (PR2276) (212) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrls" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (021) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlsa" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (031) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlsb" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (022) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlsc" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (032) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlsd" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (023) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlse" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (033) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4dcrlsf" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (021) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrlsg" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (031) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrlsh" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (022) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrlsi" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (032) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrlsj" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (023) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4dcrlsk" year "200?" manufacturer "Mazooma" desc "Double Crazy Reels (033) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ddosh" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ddosha" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ddoshb" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ddoshc" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ddoshd" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ddoshe" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4ddoshf" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4ddoshg" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4ddoshh" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4ddoshi" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4ddoshj" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4ddoshk" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4ddoshl" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4ddoshm" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4ddoshn" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4ddosho" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4deepi" year "200?" manufacturer "Mazooma" desc "Deep Impact (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4deepia" year "200?" manufacturer "Mazooma" desc "Deep Impact (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4deepib" year "200?" manufacturer "Mazooma" desc "Deep Impact (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4deepid" year "200?" manufacturer "Mazooma" desc "Deep Impact (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4derby" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4derbya" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4derbyb" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4derbyc" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4derbyd" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4derbye" year "200?" manufacturer "BFM" desc "Demolition Derby (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4dhh" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4dhha" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4dhhb" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4dhhc" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4dhhd" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4dhhe" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4disco" year "200?" manufacturer "Mazooma" desc "Disco Inferno (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4discoa" year "200?" manufacturer "Mazooma" desc "Disco Inferno (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4discob" year "200?" manufacturer "Mazooma" desc "Disco Inferno (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4discoc" year "200?" manufacturer "Mazooma" desc "Disco Inferno (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4discod" year "200?" manufacturer "Mazooma" desc "Disco Inferno (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4dmine" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4dminea" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4dmineb" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4dminec" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4dmined" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4dminee" year "200?" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4dnd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL016, set 1)" devices ())
(name "sc4dnda" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL422, set 2)" devices ())
(name "sc4dndb" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL016, set 2)" devices ())
(name "sc4dndbb" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE471, set 1)" devices ())
(name "sc4dndbba" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE472, set 1)" devices ())
(name "sc4dndbbb" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE471, set 2)" devices ())
(name "sc4dndbbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE472, set 2)" devices ())
(name "sc4dndbbd" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE473, set 1)" devices ())
(name "sc4dndbbe" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE571, set 1)" devices ())
(name "sc4dndbbf" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE572, set 1)" devices ())
(name "sc4dndbbg" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE473, set 2)" devices ())
(name "sc4dndbbh" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE571, set 2)" devices ())
(name "sc4dndbbi" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 4) (CRBE572, set 2)" devices ())
(name "sc4dndbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 4) (BOXR571, set 1)" devices ())
(name "sc4dndbca" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 4) (BOXR571, set 2)" devices ())
(name "sc4dndbd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA471, set 1)" devices ())
(name "sc4dndbda" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA471, set 2)" devices ())
(name "sc4dndbdb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA472, set 1)" devices ())
(name "sc4dndbdc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA571, set 1)" devices ())
(name "sc4dndbdd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA472, set 2)" devices ())
(name "sc4dndbde" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 4) (BGDA571, set 2)" devices ())
(name "sc4dndbe" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK012, set 1)" devices ())
(name "sc4dndbeb" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK422, set 1)" devices ())
(name "sc4dndbec" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK012, set 2)" devices ())
(name "sc4dndbed" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK422, set 2)" devices ())
(name "sc4dndbee" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK423, set 1)" devices ())
(name "sc4dndbef" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK425, set 1)" devices ())
(name "sc4dndbeg" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK013, set 1)" devices ())
(name "sc4dndbeh" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK014, set 1)" devices ())
(name "sc4dndbei" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK423, set 2)" devices ())
(name "sc4dndbej" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK425, set 2)" devices ())
(name "sc4dndbek" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK013, set 2)" devices ())
(name "sc4dndbel" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK014, set 2)" devices ())
(name "sc4dndbem" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK426, set 1)" devices ())
(name "sc4dndben" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 4) (DBTK426, set 2)" devices ())
(name "sc4dndbr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD471, set 1)" devices ())
(name "sc4dndbra" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD472, set 1)" devices ())
(name "sc4dndbrb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD471, set 2)" devices ())
(name "sc4dndbrc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD472, set 2)" devices ())
(name "sc4dndbrd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD475, set 1)" devices ())
(name "sc4dndbre" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD571, set 1)" devices ())
(name "sc4dndbrf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD475, set 2)" devices ())
(name "sc4dndbrg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (Bellfruit) (Scorpion 4) (BIGD571, set 2)" devices ())
(name "sc4dndc" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL422, set 1)" devices ())
(name "sc4dndcc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR471, set 1)" devices ())
(name "sc4dndcca" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR474)" devices ())
(name "sc4dndccb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR471, set 2)" devices ())
(name "sc4dndccc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR475, set 1)" devices ())
(name "sc4dndccd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR571, set 1)" devices ())
(name "sc4dndcce" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR475, set 2)" devices ())
(name "sc4dndccf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 4) (CRZR571, set 2)" devices ())
(name "sc4dndcl" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL313, set 1)" devices ())
(name "sc4dndcla" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL212, set 1)" devices ())
(name "sc4dndclb" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL391, set 1)" devices ())
(name "sc4dndclc" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL181, set 1)" devices ())
(name "sc4dndcld" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL313, set 2)" devices ())
(name "sc4dndcle" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL212, set 2)" devices ())
(name "sc4dndclf" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL391, set 2)" devices ())
(name "sc4dndclg" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 4) (DNDL181, set 2)" devices ())
(name "sc4dndcs" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD211, set 1)" devices ())
(name "sc4dndcsa" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD212, set 1)" devices ())
(name "sc4dndcsb" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD211, set 2)" devices ())
(name "sc4dndcsc" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD212, set 2)" devices ())
(name "sc4dndcsd" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD215, set 1)" devices ())
(name "sc4dndcse" year "200?" manufacturer "BFM" desc "Deal or No Deal Classic (Bellfruit) (Scorpion 4) (CLDD215, set 2)" devices ())
(name "sc4dndcw" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 4) (CWOH271, set 1)" devices ())
(name "sc4dndcwa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 4) (CWOH272, set 1)" devices ())
(name "sc4dndcwb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 4) (CWOH271, set 2)" devices ())
(name "sc4dndcwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 4) (CWOH272, set 2)" devices ())
(name "sc4dndd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL402, set 1)" devices ())
(name "sc4dnddd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO471, set 1)" devices ())
(name "sc4dnddda" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO571, set 1)" devices ())
(name "sc4dndddb" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO572, set 1)" devices ())
(name "sc4dndddc" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO573, set 1)" devices ())
(name "sc4dndddd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO471, set 2)" devices ())
(name "sc4dnddde" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO571, set 2)" devices ())
(name "sc4dndddf" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO572, set 2)" devices ())
(name "sc4dndddg" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 4) (DDNO573, set 2)" devices ())
(name "sc4dnddf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC471, set 1)" devices ())
(name "sc4dnddfa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC471, set 2)" devices ())
(name "sc4dnddfb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC475, set 1)" devices ())
(name "sc4dnddfc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC571, set 1)" devices ())
(name "sc4dnddfd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC475, set 2)" devices ())
(name "sc4dnddfe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 4) (TDFC571, set 2)" devices ())
(name "sc4dnddw" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN471, set 1)" devices ())
(name "sc4dnddwa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN473, set 1)" devices ())
(name "sc4dnddwb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN471, set 2)" devices ())
(name "sc4dnddwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN473, set 2)" devices ())
(name "sc4dnddwd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN475, set 1)" devices ())
(name "sc4dnddwe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN572, set 1)" devices ())
(name "sc4dnddwf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN475, set 2)" devices ())
(name "sc4dnddwg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 4) (DOFN572, set 2)" devices ())
(name "sc4dnde" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL017, set 1)" devices ())
(name "sc4dndf" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL018, set 1)" devices ())
(name "sc4dndg" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL402, set 2)" devices ())
(name "sc4dndh" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL017, set 2)" devices ())
(name "sc4dndhf" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA473, set 1)" devices ())
(name "sc4dndhfa" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA473, set 2)" devices ())
(name "sc4dndhfb" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA477, set 1)" devices ())
(name "sc4dndhfc" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA571, set 1)" devices ())
(name "sc4dndhfd" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA477, set 2)" devices ())
(name "sc4dndhfe" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA571, set 2)" devices ())
(name "sc4dndhff" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA471, set 1)" devices ())
(name "sc4dndhfg" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA472, set 1)" devices ())
(name "sc4dndhfh" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA471, set 2)" devices ())
(name "sc4dndhfi" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA472, set 2)" devices ())
(name "sc4dndhfj" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA476)" devices ())
(name "sc4dndhfk" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA572, set 1, bad?)" devices ())
(name "sc4dndhfl" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 4) (DNHA572, set 2, bad?)" devices ())
(name "sc4dndi" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL018, set 2)" devices ())
(name "sc4dndj" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL406, set 1)" devices ())
(name "sc4dndk" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL428, set 1)" devices ())
(name "sc4dndl" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL406, set 2)" devices ())
(name "sc4dndlp" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN571, set 1)" devices ())
(name "sc4dndlpa" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN572, set 1)" devices ())
(name "sc4dndlpb" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN573, set 1)" devices ())
(name "sc4dndlpc" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN571, set 2)" devices ())
(name "sc4dndlpd" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN572, set 2)" devices ())
(name "sc4dndlpe" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 4) (LPDN573, set 2)" devices ())
(name "sc4dndm" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL428, set 2)" devices ())
(name "sc4dndn" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL424, set 1)" devices ())
(name "sc4dndo" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 4) (DONL424, set 2)" devices ())
(name "sc4dndpg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPBG471, set 1)" devices ())
(name "sc4dndpga" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPBG571, set 1)" devices ())
(name "sc4dndpgb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPBG572, set 1)" devices ())
(name "sc4dndpgc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPBG471, set 2)" devices ())
(name "sc4dndpgd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPGB571, set 2)" devices ())
(name "sc4dndpge" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 4) (TPGB572, set 2)" devices ())
(name "sc4dndra" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT471, set 1)" devices ())
(name "sc4dndraa" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT471, set 2)" devices ())
(name "sc4dndrab" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT474, set 1)" devices ())
(name "sc4dndrac" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT572, set 1)" devices ())
(name "sc4dndrad" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT474, set 2)" devices ())
(name "sc4dndrae" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 4) (REDT572, set 2)" devices ())
(name "sc4dndtp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV411, set 1)" devices ())
(name "sc4dndtpa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV412, set 1)" devices ())
(name "sc4dndtpb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV413, set 1)" devices ())
(name "sc4dndtpc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV414, set 1, bad)" devices ())
(name "sc4dndtpd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV415, set 1)" devices ())
(name "sc4dndtpe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV411, set 2)" devices ())
(name "sc4dndtpf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV412, set 2)" devices ())
(name "sc4dndtpg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV413, set 2)" devices ())
(name "sc4dndtph" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV414, set 2, bad)" devices ())
(name "sc4dndtpi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV415, set 2)" devices ())
(name "sc4dndtpj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV41A, set 1)" devices ())
(name "sc4dndtpk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV41A, set 2)" devices ())
(name "sc4dndtpl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV416, set 1)" devices ())
(name "sc4dndtpm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power 5 (Bellfruit) (Scorpion 4) (TPRV416, set 2)" devices ())
(name "sc4dndtr" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 4) (THRE571, set 1)" devices ())
(name "sc4dndtra" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 4) (THRE571, set 2)" devices ())
(name "sc4dndwb" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX412, set 1)" devices ())
(name "sc4dndwba" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX414, set 1)" devices ())
(name "sc4dndwbb" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX412, set 2)" devices ())
(name "sc4dndwbc" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX414, set 2)" devices ())
(name "sc4dndwbd" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX415, set 1)" devices ())
(name "sc4dndwbe" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX415, set 2)" devices ())
(name "sc4dndwbf" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX419, set 1)" devices ())
(name "sc4dndwbg" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 4) (WIYX419, set 2)" devices ())
(name "sc4dndww" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH411, set 1)" devices ())
(name "sc4dndwwa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH412, set 1)" devices ())
(name "sc4dndwwb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH411, set 2)" devices ())
(name "sc4dndwwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH415, set 1)" devices ())
(name "sc4dndwwd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH415, set 2)" devices ())
(name "sc4dndwwe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 4) (TWOH412, set 2)" devices ())
(name "sc4dndys" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 4) (DOBO571, set 1)" devices ())
(name "sc4dndysa" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 4) (DOBO474, set 1)" devices ())
(name "sc4dndysb" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 4) (DOBO571, set 2)" devices ())
(name "sc4dndysc" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 4) (DOBO474, set 2)" devices ())
(name "sc4dough" year "200?" manufacturer "BFM" desc "Dough Selecta (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4dougha" year "200?" manufacturer "BFM" desc "Dough Selecta (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4druby" year "200?" manufacturer "BFM" desc "Diamonds & Rubies (Bellfruit) (Scorpion 4) (Top Box?, set 1)" devices ())
(name "sc4drubya" year "200?" manufacturer "BFM" desc "Diamonds & Rubies (Bellfruit) (Scorpion 4) (Top Box?, set 2)" devices ())
(name "sc4drubyb" year "200?" manufacturer "BFM" desc "Diamonds & Rubies (Bellfruit) (Scorpion 4) (Top Box?, set 3)" devices ())
(name "sc4drubyc" year "200?" manufacturer "BFM" desc "Diamonds & Rubies (Bellfruit) (Scorpion 4) (Top Box?, set 4)" devices ())
(name "sc4drubyd" year "200?" manufacturer "BFM" desc "Diamonds & Rubies (Bellfruit) (Scorpion 4) (Top Box?, set 5)" devices ())
(name "sc4duckq" year "200?" manufacturer "Qps" desc "Ducks Of Hazzard (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4duckqa" year "200?" manufacturer "Qps" desc "Ducks Of Hazzard (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ducks" year "200?" manufacturer "Mazooma" desc "Ducks Of Hazzard (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ducksa" year "200?" manufacturer "Mazooma" desc "Ducks Of Hazzard (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ducksb" year "200?" manufacturer "Mazooma" desc "Ducks Of Hazzard (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ducksc" year "200?" manufacturer "Mazooma" desc "Ducks Of Hazzard (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4dyna" year "200?" manufacturer "BFM" desc "Dynamite (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4dynaa" year "200?" manufacturer "BFM" desc "Dynamite (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4eascs" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4eascsa" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4eascsb" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4eascsc" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4eascsd" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4eascse" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4eascsf" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4eascsg" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4eascsh" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4eascsi" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4eascsj" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4eascsk" year "200?" manufacturer "BFM" desc "Casino Easy Streak (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4easy" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4easya" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4easyb" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4easyc" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4easyd" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4easye" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4easyf" year "200?" manufacturer "BFM" desc "Easy Streak (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4emmer" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4emmera" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4emmerb" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4emmerc" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4evol" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4evola" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4evolb" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4evolc" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4evold" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4evole" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4evolf" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4evolg" year "200?" manufacturer "Qps" desc "Evolution (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4fastf" year "200?" manufacturer "Mazooma" desc "Fast 'n' Furious (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4fastfa" year "200?" manufacturer "Mazooma" desc "Fast 'n' Furious (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4fastfb" year "200?" manufacturer "Mazooma" desc "Fast 'n' Furious (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4fastfc" year "200?" manufacturer "Mazooma" desc "Fast 'n' Furious (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4fbcrz" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fbcrza" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fbcrzb" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fbcrzc" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fbcrzd" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4fbcrze" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4fbcrzf" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4fbcrzg" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4fbcrzh" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4fbcrzi" year "200?" manufacturer "BFM" desc "Football Crazy (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4fbspn" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fbspna" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fbspnb" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fbspnc" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fcc" year "200?" manufacturer "BFM" desc "Firecracker Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fcca" year "200?" manufacturer "BFM" desc "Firecracker Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fccb" year "200?" manufacturer "BFM" desc "Firecracker Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fccc" year "200?" manufacturer "BFM" desc "Firecracker Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fd7th" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fd7tha" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fd7thb" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fd7thc" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven SP98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fd7thd" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven SP98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fd7the" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fd7thf" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4fd7thg" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4fd7thh" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven SP98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fd7thi" year "200?" manufacturer "BFM" desc "Frankie Dettori's 7th Heaven SP98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fevdt" year "200?" manufacturer "BFM" desc "Fever (PR1202) (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fevdta" year "200?" manufacturer "BFM" desc "Fever (PR1202) (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fevdtb" year "200?" manufacturer "BFM" desc "Fever (PR1202) (Dutch) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fever" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fevera" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4feverb" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4feverc" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4feverd" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4fevere" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4feverf" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4feverg" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4feverh" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4feverk" year "200?" manufacturer "BFM" desc "Fever (PR1007) (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4fevnx" year "200?" manufacturer "BFM" desc "Fever The Next (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fevnxa" year "200?" manufacturer "BFM" desc "Fever The Next (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ffru" year "200?" manufacturer "Qps / Mazooma" desc "Fast Fruit (Qps / Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ffrua" year "200?" manufacturer "Qps" desc "Fast Fruit (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ffrub" year "200?" manufacturer "Qps / Mazooma" desc "Fast Fruit (Qps / Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ffruc" year "200?" manufacturer "Qps" desc "Fast Fruit (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ffrud" year "200?" manufacturer "Qps" desc "Fast Fruit (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4ffrue" year "200?" manufacturer "Qps" desc "Fast Fruit (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4fguy" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fguya" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fguyb" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fguyc" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fguyd" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4fguye" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4fire" year "200?" manufacturer "Mazooma" desc "Firepower (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4firea" year "200?" manufacturer "Mazooma" desc "Firepower (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4fmj" year "200?" manufacturer "QPS / Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4fmja" year "200?" manufacturer "QPS / Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4fmjb" year "200?" manufacturer "QPS / Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4fmjc" year "200?" manufacturer "QPS / Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4fpitc" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4fpitca" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4fpitcb" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4fpitcc" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4fpitcd" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4fpitce" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4fpitcf" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4fpitcg" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4fpitch" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4fpitci" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4fpitcj" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4fpitck" year "200?" manufacturer "BFM" desc "Fever Pitch (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4frboo" year "200?" manufacturer "BFM" desc "Frooty Booty (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4frbooa" year "200?" manufacturer "BFM" desc "Frooty Booty (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4frboob" year "200?" manufacturer "BFM" desc "Frooty Booty (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4frbooc" year "200?" manufacturer "BFM" desc "Frooty Booty (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4frenz" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4frenza" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4frenzb" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4frenzc" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4frenzd" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4frenze" year "200?" manufacturer "BFM" desc "Fruit Frenzy (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4frsu" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4frsua" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4frsub" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4frsuc" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4frsud" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4frsue" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4frsuf" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4frsug" year "200?" manufacturer "BFM" desc "Casino Fruits 'n' Suits (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4ftopi" year "200?" manufacturer "Qps" desc "Fruitopia (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ftopia" year "200?" manufacturer "Qps" desc "Fruitopia (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ftopib" year "200?" manufacturer "Qps" desc "Fruitopia (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4ftopic" year "200?" manufacturer "Qps" desc "Fruitopia (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4ftopid" year "200?" manufacturer "Qps" desc "Fruitopia (V2.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ftopie" year "200?" manufacturer "Qps" desc "Fruitopia (V2.2) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ftopif" year "200?" manufacturer "Qps" desc "Fruitopia (V1.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ftopig" year "200?" manufacturer "Qps" desc "Fruitopia (V2.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ftopih" year "200?" manufacturer "Qps" desc "Fruitopia (V2.2) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ftopii" year "200?" manufacturer "Qps" desc "Fruitopia (V1.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fullt" year "200?" manufacturer "Qps" desc "Full Throttle (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4fullta" year "200?" manufacturer "Qps" desc "Full Throttle (041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4fulltb" year "200?" manufacturer "Qps" desc "Full Throttle (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fulltc" year "200?" manufacturer "Qps" desc "Full Throttle (041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fulltd" year "200?" manufacturer "Qps" desc "Full Throttle (012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4fullte" year "200?" manufacturer "Qps" desc "Full Throttle (042) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4fulltf" year "200?" manufacturer "Qps" desc "Full Throttle (013) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4fulltg" year "200?" manufacturer "Qps" desc "Full Throttle (012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fullth" year "200?" manufacturer "Qps" desc "Full Throttle (042) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fullti" year "200?" manufacturer "Qps" desc "Full Throttle (013) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4fwp" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4fwpa" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4fwpb" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4fwpc" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4fwpcs" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4fwpcsa" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4fwpcsb" year "200?" manufacturer "Mazooma" desc "Five Ways Pays (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4gag" year "200?" manufacturer "Mazooma" desc "Grab A Granny (PR7019, GRAB) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4gaga" year "200?" manufacturer "Mazooma" desc "Grab A Granny (PR7019, GRAN) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4gagb" year "200?" manufacturer "Mazooma" desc "Grab A Granny (PR7019, GRAB) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gagc" year "200?" manufacturer "Mazooma" desc "Grab A Granny (PR7019, GRAN) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gamcs" year "200?" manufacturer "BFM" desc "The Game Casino (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4game" year "200?" manufacturer "BFM" desc "The Game (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4gball" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gballa" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gballb" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gballc" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gbcas" year "200?" manufacturer "BFM" desc "Casino Golden Balls (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gbcasa" year "200?" manufacturer "BFM" desc "Casino Golden Balls (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gbcasb" year "200?" manufacturer "BFM" desc "Casino Golden Balls (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gbcasc" year "200?" manufacturer "BFM" desc "Casino Golden Balls (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gcb" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4gcba" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gcbb" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4gcbc" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4gcbd" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4gcbe" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4gcbf" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4gcbg" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4gcbh" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4gcbi" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4gcbj" year "200?" manufacturer "Mazooma" desc "Grand Blaster Cash (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4gcclb" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gcclba" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gcclbb" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gcclbc" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gcclbd" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4gcclbe" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4gcclbf" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4gcclbg" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4gcclbh" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4gcclbi" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4gcclbj" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4gcclbk" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4gcclbl" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4gcclbm" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4gcclbn" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4gcclbo" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4gcclbp" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4gcclbq" year "200?" manufacturer "BFM" desc "Grandslam Casino (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4gd" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gda" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gdb" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gdc" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gdclb" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gdclba" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gdclbb" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gdclbc" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gdclbd" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4gdclbe" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4gdclbf" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4gdclbg" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4gdclbh" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4gdclbi" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4gdclbj" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4gdclbk" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4gdd" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4gde" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4gdf" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4gdg" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4gdmz" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (set 3)" devices ())
(name "sc4gdmza" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (set 4)" devices ())
(name "sc4gfev" year "200?" manufacturer "Mazooma" desc "Gold Fever (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4gfeva" year "200?" manufacturer "Mazooma" desc "Gold Fever (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gfevb" year "200?" manufacturer "Mazooma" desc "Gold Fever (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ggame" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 25GBP, set 1)" devices ())
(name "sc4ggame0" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (set 2)" devices ())
(name "sc4ggame1" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 7)" devices ())
(name "sc4ggame2" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 8)" devices ())
(name "sc4ggame3" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 6)" devices ())
(name "sc4ggame4" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 7)" devices ())
(name "sc4ggame5" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 8)" devices ())
(name "sc4ggame6" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 9)" devices ())
(name "sc4ggame7" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 1)" devices ())
(name "sc4ggame8" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 2)" devices ())
(name "sc4ggame9" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 3)" devices ())
(name "sc4ggamea" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 1)" devices ())
(name "sc4ggameaa" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 4)" devices ())
(name "sc4ggameab" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 5)" devices ())
(name "sc4ggameac" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 6)" devices ())
(name "sc4ggamead" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 7)" devices ())
(name "sc4ggameae" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 35GBP, set 8)" devices ())
(name "sc4ggameb" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 2)" devices ())
(name "sc4ggamec" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 3)" devices ())
(name "sc4ggamed" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 4)" devices ())
(name "sc4ggamef" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 1)" devices ())
(name "sc4ggameg" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 2)" devices ())
(name "sc4ggamei" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 25GBP, set 2)" devices ())
(name "sc4ggamej" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 3)" devices ())
(name "sc4ggamek" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 4)" devices ())
(name "sc4ggamel" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 1)" devices ())
(name "sc4ggamem" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 2)" devices ())
(name "sc4ggamen" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (set 1)" devices ())
(name "sc4ggamep" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 25GBP, set 3)" devices ())
(name "sc4ggameq" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 25GBP, set 4)" devices ())
(name "sc4ggamer" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (GLDX, 25GBP, set 5)" devices ())
(name "sc4ggames" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 5)" devices ())
(name "sc4ggamet" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 6)" devices ())
(name "sc4ggameu" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 25GBP, set 7)" devices ())
(name "sc4ggamev" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056) (Scorpion 4) (GLDX, 30GBP, set 5)" devices ())
(name "sc4ggamew" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 3)" devices ())
(name "sc4ggamex" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 4)" devices ())
(name "sc4ggamey" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 5)" devices ())
(name "sc4ggamez" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, newer?) (Scorpion 4) (set 6)" devices ())
(name "sc4ggcas" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 9)" devices ())
(name "sc4ggcasa" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 10)" devices ())
(name "sc4ggcasb" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 11)" devices ())
(name "sc4ggcasc" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 12)" devices ())
(name "sc4ggcl" year "200?" manufacturer "Qps" desc "Golden Grid Club (V1.0) (Qps) (Scorpion 4)" devices ())
(name "sc4ggcla" year "200?" manufacturer "Qps" desc "Golden Grid Club (V411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggclb" year "200?" manufacturer "Qps" desc "Golden Grid Club (V411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggclc" year "200?" manufacturer "Qps" desc "Golden Grid Club (V412) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggcld" year "200?" manufacturer "Qps" desc "Golden Grid Club (V412) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggdlx" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 1)" devices ())
(name "sc4ggdlxa" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 3)" devices ())
(name "sc4ggdlxb" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 4)" devices ())
(name "sc4ggdlxc" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 2)" devices ())
(name "sc4ggdlxd" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 5)" devices ())
(name "sc4ggdlxe" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 6)" devices ())
(name "sc4ggdlxf" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 7)" devices ())
(name "sc4ggdlxg" year "200?" manufacturer "Mazooma" desc "Golden Game Deluxe (Mazooma) (PR2201) (Scorpion 4) (GGDX, set 8)" devices ())
(name "sc4ggg" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 1)" devices ())
(name "sc4gggb" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 2)" devices ())
(name "sc4gggc" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 3)" devices ())
(name "sc4gggd" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 4)" devices ())
(name "sc4ggge" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 5)" devices ())
(name "sc4gggf" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 6)" devices ())
(name "sc4gggg" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 13)" devices ())
(name "sc4gggh" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2353) (Scorpion 4) (GGGB, 35GBP, set 1)" devices ())
(name "sc4gggi" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2353) (Scorpion 4) (GGGB, 35GBP, set 2)" devices ())
(name "sc4gggk" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 7)" devices ())
(name "sc4gggl" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 8)" devices ())
(name "sc4gggm" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 9)" devices ())
(name "sc4gggn" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 10)" devices ())
(name "sc4gggo" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 11)" devices ())
(name "sc4gggp" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056) (Scorpion 4) (GGGB, 35GBP, set 12)" devices ())
(name "sc4gggq" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2353) (Scorpion 4) (GGGB, 35GBP, set 3)" devices ())
(name "sc4gggr" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2353) (Scorpion 4) (GGGB, 35GBP, set 4)" devices ())
(name "sc4gggs" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2353) (Scorpion 4) (GGGB, 35GBP, set 5)" devices ())
(name "sc4gggtb" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056, GGGT) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4gggtba" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (PR2056, GGGT) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4ggrid" year "200?" manufacturer "Qps" desc "Golden Grid (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggrida" year "200?" manufacturer "Qps" desc "Golden Grid (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggridb" year "200?" manufacturer "Qps" desc "Golden Grid (V1.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggridc" year "200?" manufacturer "Qps" desc "Golden Grid (V1.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggridd" year "200?" manufacturer "Qps" desc "Golden Grid (V1.3) (Qps) (Scorpion 4)" devices ())
(name "sc4ggride" year "200?" manufacturer "Qps" desc "Golden Grid (V1.0) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4ggridf" year "200?" manufacturer "Qps" desc "Golden Grid (V1.0) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4ggridg" year "200?" manufacturer "Qps" desc "Golden Grid (V1.1) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4ggridh" year "200?" manufacturer "Qps" desc "Golden Grid (V1.1) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4ggridi" year "200?" manufacturer "Qps" desc "Golden Grid (V011) (Scorpion 4) (set 1)" devices ())
(name "sc4ggridj" year "200?" manufacturer "Qps" desc "Golden Grid (V041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggridk" year "200?" manufacturer "Qps" desc "Golden Grid (V011) (Scorpion 4) (set 2)" devices ())
(name "sc4ggridl" year "200?" manufacturer "Qps" desc "Golden Grid (V041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggridm" year "200?" manufacturer "Qps" desc "Golden Grid (V012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ggridn" year "200?" manufacturer "Qps" desc "Golden Grid (V012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ggtb" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4ggtba" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4ggtbb" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 3)" devices ())
(name "sc4ghost" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ghosta" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4ghostb" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ghostc" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ghostd" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4ghoste" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ghostf" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ghostg" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ghosth" year "200?" manufacturer "Mazooma" desc "Golden Ghost (Mazooma) (Scorpion 4) (Top Box, set 3)" devices ())
(name "sc4glad" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4glada" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gladb" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4gladc" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4gladd" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4glade" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4gladf" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4gladg" year "200?" manufacturer "QPS / Mazooma" desc "Gladiator (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4gldcl" year "200?" manufacturer "QPS" desc "Gladiator Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4gldcla" year "200?" manufacturer "QPS" desc "Gladiator Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4gnc" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 1)" devices ())
(name "sc4gnca" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 2)" devices ())
(name "sc4gncb" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 3)" devices ())
(name "sc4gncc" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 4)" devices ())
(name "sc4gncd" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 5)" devices ())
(name "sc4gnce" year "200?" manufacturer "Mazooma" desc "Golden Game Club (Mazooma) (Scorpion 4) (GLDC, set 6)" devices ())
(name "sc4gocas" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4gocasa" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4goldo" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4goldoa" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4goldob" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4goldoc" year "200?" manufacturer "Mazooma" desc "Casino Golden Oldie (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4goldw" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4goldwa" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4goldwb" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4goldwc" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4goldwd" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4goldwe" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4goldwf" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4goldwg" year "200?" manufacturer "BFM" desc "Golden Winner (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4goud" year "200?" manufacturer "BFM" desc "Goudkoorts (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4greed" year "200?" manufacturer "BFM" desc "Greedy Gonzalez (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4greeda" year "200?" manufacturer "BFM" desc "Greedy Gonzalez (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gshot" year "200?" manufacturer "Qps" desc "Golden Shot (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4gshota" year "200?" manufacturer "Qps" desc "Golden Shot Arcade (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4gshotb" year "200?" manufacturer "Qps" desc "Golden Shot (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4gshotc" year "200?" manufacturer "Qps" desc "Golden Shot Arcade (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4gslam" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 1)" devices ())
(name "sc4gslama" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 2)" devices ())
(name "sc4gslamb" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 3)" devices ())
(name "sc4gslamc" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 4)" devices ())
(name "sc4gslamd" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 5)" devices ())
(name "sc4gslame" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 6)" devices ())
(name "sc4gslamf" year "200?" manufacturer "BFM" desc "Grandslam Club (BFM) (Scorpion 4) (set 7)" devices ())
(name "sc4gunp" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4gunpa" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4gunpb" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4gunpc" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4gunpd" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4gunpe" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4gunpf" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4gunpg" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4gx" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 1)" devices ())
(name "sc4gx3" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 1)" devices ())
(name "sc4gx3a" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 2)" devices ())
(name "sc4gx3b" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 3)" devices ())
(name "sc4gx3c" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 4)" devices ())
(name "sc4gx3d" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 5)" devices ())
(name "sc4gx3e" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 6)" devices ())
(name "sc4gx3f" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 7)" devices ())
(name "sc4gx3g" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (Scorpion 4) (GLDX, set 8)" devices ())
(name "sc4gxa" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 8)" devices ())
(name "sc4gxb" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 9)" devices ())
(name "sc4gxcasa" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 2)" devices ())
(name "sc4gxcasb" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 3)" devices ())
(name "sc4gxcasc" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 4)" devices ())
(name "sc4gxcasd" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 5)" devices ())
(name "sc4gxcase" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 6)" devices ())
(name "sc4gxcasf" year "200?" manufacturer "Mazooma" desc "Bar X (Mazooma) (Scorpion 4) (BARX, set 7)" devices ())
(name "sc4h6cl" year "200?" manufacturer "BFM" desc "Hot Six Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4h6cla" year "200?" manufacturer "BFM" desc "Hot Six Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4h6clb" year "200?" manufacturer "BFM" desc "Hot Six Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4h6clc" year "200?" manufacturer "BFM" desc "Hot Six Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hapnt" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hapnta" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hapntb" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hapntc" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hapntd" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hapnte" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hdd" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7016) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4hdda" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7045) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4hddb" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7045) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4hddc" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7016) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4hddd" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7016) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4hdde" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7045) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4hddf" year "200?" manufacturer "Mazooma" desc "Hickory Dickory Dosh (PR7045) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4heatw" year "200?" manufacturer "BFM" desc "Heatwave (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4hellb" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hellbb" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hellbc" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hellbd" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hellbe" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hellbf" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hellbg" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4hellbh" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4hellbi" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4hellbj" year "200?" manufacturer "BFM" desc "Hells Bells (PR1419) (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4helld" year "200?" manufacturer "BFM / Eurocoin" desc "Hells Bells (PR1201) (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4helrd" year "200?" manufacturer "BFM" desc "Hellraiser (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4helrs" year "200?" manufacturer "BFM" desc "Hellraiser (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hf" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hfa" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hfb" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hfc" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hfcl" year "200?" manufacturer "BFM" desc "Happy Fruits Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hfcla" year "200?" manufacturer "BFM" desc "Happy Fruits Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hfd" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hfe" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hff" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4hfg" year "200?" manufacturer "BFM" desc "Happy Fruits (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4hi5" year "200?" manufacturer "BFM" desc "High 5 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hi5a" year "200?" manufacturer "BFM / Whitbread" desc "High 5 (Bellfruit / Whitbread) (Scorpion 4) (set 1)" devices ())
(name "sc4hi5b" year "200?" manufacturer "BFM" desc "High 5 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hi5c" year "200?" manufacturer "BFM / Whitbread" desc "High 5 (Bellfruit / Whitbread) (Scorpion 4) (set 2)" devices ())
(name "sc4hi5d" year "200?" manufacturer "BFM" desc "High 5 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hi5e" year "200?" manufacturer "BFM / Whitbread" desc "High 5 (Bellfruit / Whitbread) (Scorpion 4) (set 3)" devices ())
(name "sc4hi5f" year "200?" manufacturer "BFM" desc "High 5 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hi5g" year "200?" manufacturer "BFM / Whitbread" desc "High 5 (Bellfruit / Whitbread) (Scorpion 4) (set 4)" devices ())
(name "sc4hill" year "200?" manufacturer "BFM" desc "Hill Billionaire (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hilla" year "200?" manufacturer "BFM" desc "Hill Billionaire (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hilo" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hiloa" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hilob" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hiloc" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hilod" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hiloe" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hilof" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4hilog" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4hiloh" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4hiloi" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4hiloj" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4hilok" year "200?" manufacturer "BFM" desc "Hilowatha (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4himi" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4himia" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2119) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4himib" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2067) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4himic" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4himid" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2067) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4himie" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2119) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4himif" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4himig" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4himih" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4himii" year "200?" manufacturer "Mazooma" desc "High 'n' Mighty (PR2999) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4hiss" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4hissa" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4hissb" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4hissc" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4hissd" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4hisse" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4hissf" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4hissg" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4hitsh" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hitsha" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hitshb" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hitshc" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hitshd" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hitshe" year "200?" manufacturer "BFM" desc "Hit Shot (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hntcs" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hntcsa" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hntcsb" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hntcsc" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hntcsd" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hntcse" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hntcsf" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4hntcsg" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4hntcsh" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4hntcsi" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4hntcsj" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4hntcsk" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4hntcsl" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4hntcsm" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4hntcsn" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4hntcso" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4hntcsp" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4hntcsq" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4hntcsr" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4hntcss" year "200?" manufacturer "BFM" desc "Happy Notes Casino (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4holyw" year "200?" manufacturer "BFM" desc "Hollywood (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4holywa" year "200?" manufacturer "BFM / Whitbread" desc "Hollywood (Bellfruit / Whitbread) (Scorpion 4) (set 1)" devices ())
(name "sc4holywb" year "200?" manufacturer "BFM" desc "Hollywood (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4holywc" year "200?" manufacturer "BFM / Whitbread" desc "Hollywood (Bellfruit / Whitbread) (Scorpion 4) (set 2)" devices ())
(name "sc4hotdg" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hotdga" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hotdgb" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hotdgc" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hotpr" year "200?" manufacturer "BFM" desc "Hot Property (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hotpra" year "200?" manufacturer "BFM / Whitbread" desc "Hot Property (Bellfruit) (Scorpion 4) (Whitbread, set 1)" devices ())
(name "sc4hotprb" year "200?" manufacturer "BFM" desc "Hot Property (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hotprc" year "200?" manufacturer "BFM / Whitbread" desc "Hot Property (Bellfruit) (Scorpion 4) (Whitbread, set 2)" devices ())
(name "sc4hotprd" year "200?" manufacturer "BFM" desc "Hot Property (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hotpre" year "200?" manufacturer "BFM" desc "Hot Property (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hotrd" year "200?" manufacturer "BFM" desc "Hot Rod (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hotrda" year "200?" manufacturer "BFM" desc "Hot Rod (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hotsh" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hotsha" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hotwd" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4hotwda" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4hotwdb" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4hotwdc" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4hotwdd" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4hotwde" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4hrolr" year "2011" manufacturer "BFM" desc "High Roller (Bellfruit) (Scorpion 4)" devices ())
(name "sc4hyde" year "200?" manufacturer "Mazooma" desc "Hyde & Streak (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4hydea" year "200?" manufacturer "Mazooma" desc "Hyde & Streak (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4hydeb" year "200?" manufacturer "Mazooma" desc "Hyde & Streak (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4hydec" year "200?" manufacturer "Mazooma" desc "Hyde & Streak (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4hyper" year "200?" manufacturer "Mazooma" desc "Hyperactive (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4hypera" year "200?" manufacturer "Mazooma" desc "Hyperactive (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ibiza" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ibizaa" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ibizab" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ibizac" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ibizad" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ibizae" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4ibizaf" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4ibizag" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4ibizah" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4ibizai" year "200?" manufacturer "BFM" desc "Red Hot Ibiza (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4ijclb" year "200?" manufacturer "Mazooma" desc "Italian Job Club (Mazooma) (Scorpion 4)" devices ())
(name "sc4ijob" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ijoba" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ijobb" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ijobc" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ijobd" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ijobe" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ijobf" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ijobg" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4ijobh" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4ijobi" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4ijobj" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4ijobk" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4ijobl" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4ijobm" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 4) (set 14)" devices ())
(name "sc4inspn" year "200?" manufacturer "Mazooma" desc "Inner Spin (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4inspna" year "200?" manufacturer "Mazooma" desc "Inner Spin (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ivply" year "200?" manufacturer "BFM" desc "4 Play (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4jack" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4jacka" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4jackb" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4jackc" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4jackd" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4jacke" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4jackf" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4jackg" year "200?" manufacturer "Mazooma" desc "Jack The Kipper (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4jbuck" year "200?" manufacturer "BFM" desc "Jungle Bucks (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jbucka" year "200?" manufacturer "BFM" desc "Jungle Bucks (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jbuckb" year "200?" manufacturer "BFM" desc "Jungle Bucks (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4jbuckc" year "200?" manufacturer "BFM" desc "Jungle Bucks (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4jbuckd" year "200?" manufacturer "BFM" desc "Jungle Bucks (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4jiggn" year "200?" manufacturer "Nova" desc "Jiggery Pockery (German) (Nova) (Scorpion 4)" devices ())
(name "sc4jiggr" year "200?" manufacturer "Mazooma" desc "Jiggery Pokery (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4jiggra" year "200?" manufacturer "Mazooma" desc "Jiggery Pokery (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4jiggrb" year "200?" manufacturer "Mazooma" desc "Jiggery Pokery (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4jiggrc" year "200?" manufacturer "Mazooma" desc "Jiggery Pokery (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4jive" year "200?" manufacturer "Mazooma" desc "Jive Money (PR2096) (Mazooma) (Scorpion 4)" devices ())
(name "sc4jivea" year "200?" manufacturer "Mazooma" desc "Jive Money (PR2160) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4jiveb" year "200?" manufacturer "Mazooma" desc "Jive Money (PR2160) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4jivec" year "200?" manufacturer "Mazooma" desc "Jive Money (PR2160) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4jived" year "200?" manufacturer "Mazooma" desc "Jive Money (PR2160) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4jjc" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4jjca" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4jjcb" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4jjcc" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4jjcd" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4jjce" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4jjcf" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4jjcg" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4jjch" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4jjci" year "200?" manufacturer "Mazooma" desc "Jumping Jack Cash (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4jjf" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjfa" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjfb" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4jjfc" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjfd" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjfe" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4jjff" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4jjfg" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4jjfh" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4jjfi" year "200?" manufacturer "BFM" desc "Jumping Jack Flash (PR6807) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4jjfj" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4jjfk" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4jjfl" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4jjfm" year "200?" manufacturer "BFM" desc "Jumping Jack Flash SP98 (PR4607) (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4jjok" year "200?" manufacturer "BFM" desc "Jackpot Jokers (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjoka" year "200?" manufacturer "BFM" desc "Jackpot Jokers (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjucl" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjucla" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Ferry) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjuclb" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjuclc" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Ferry) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjucld" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4jjucle" year "200?" manufacturer "BFM" desc "Jackpot Junction Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4jjunc" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4jjunca" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4jjuncb" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4jjuncc" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4jjuncd" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4jjunce" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4jjuncf" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4jjuncg" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4jjunch" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4jjunci" year "2002" manufacturer "BFM" desc "Jackpot Junction (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4jolly" year "200?" manufacturer "Qps" desc "Jolly Jousting (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4jollya" year "200?" manufacturer "Qps" desc "Jolly Jousting (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4juicy" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (65% Ferry) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4juicya" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1123) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4juicyb" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (65% Ferry) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4juicyc" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1123) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4juicyd" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4juicye" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4juicyf" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4juicyg" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4juicyi" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (311 Club, set 1)" devices ())
(name "sc4juicyj" year "200?" manufacturer "BFM" desc "Juicy Jackpots Club (PR1136) (Bellfruit) (Scorpion 4) (311 Club, set 2)" devices ())
(name "sc4kalei" year "200?" manufacturer "Qps" desc "Kaleidoscope (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4kaleia" year "200?" manufacturer "Qps" desc "Kaleidoscope (041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4kaleib" year "200?" manufacturer "Qps" desc "Kaleidoscope (011) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4kaleic" year "200?" manufacturer "Qps" desc "Kaleidoscope (041) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4kaleid" year "200?" manufacturer "Qps" desc "Kaleidoscope (051) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4kaleie" year "200?" manufacturer "Qps" desc "Kaleidoscope (051) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4kkong" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4kkonga" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4kkongb" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4kkongc" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4kkongd" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4kkonge" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4kkongf" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4kkongg" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4kkongh" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4kkongi" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4kkongj" year "200?" manufacturer "Mazooma" desc "King Kong Cash (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4knok" year "200?" manufacturer "Mazooma" desc "Knockout (PR7061, KOUT) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4knoka" year "200?" manufacturer "Mazooma" desc "Knockout (PR7061, KOUT) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4knokb" year "200?" manufacturer "Mazooma" desc "Knock Out (PR2057, PKOT) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4knokc" year "200?" manufacturer "Mazooma" desc "Knock Out (PR2057, PKOT) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4lasv" year "200?" manufacturer "BFM" desc "Las Vegas (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lasva" year "200?" manufacturer "BFM" desc "Las Vegas (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ldcas" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ldcasa" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ldcasb" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ldcasc" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ldcasd" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ldcase" year "200?" manufacturer "Mazooma" desc "Line Dancer Casino (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ldvcl" year "200?" manufacturer "Mazooma" desc "Little Devil Club (Mazooma) (Scorpion 4)" devices ())
(name "sc4ldvl" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ldvla" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ldvlb" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ldvlc" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4leg" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lega" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4legb" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4legc" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4legcb" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4legcba" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4legcbb" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4legcbc" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4legcbd" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4legcbe" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4legd" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lege" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4legf" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4legg" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4legh" year "200?" manufacturer "BFM" desc "Who Wants To Be A Legionnaire (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4lined" year "200?" manufacturer "Mazooma" desc "Line Dancer (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4lineda" year "200?" manufacturer "Mazooma" desc "Line Dancer (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4linedb" year "200?" manufacturer "Mazooma" desc "Line Dancer (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4linedc" year "200?" manufacturer "Mazooma" desc "Line Dancer (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4linedd" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4linede" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4linedf" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4linedg" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4linedh" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4linedi" year "200?" manufacturer "Mazooma" desc "Line Dancer Arcade (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4lions" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4lionsa" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4lionsb" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4lionsc" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4lionsd" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4lionse" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4lionsf" year "200?" manufacturer "Mazooma" desc "Three Lions (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4lir" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lira" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lirb" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lirc" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lird" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lire" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4lirf" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4lirg" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4lirh" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4liri" year "200?" manufacturer "BFM" desc "Let It Roll (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4lkbcl" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lkbcla" year "200?" manufacturer "BFM" desc "Lock Buster Club (Euro) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lkbclb" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lkbclc" year "200?" manufacturer "BFM" desc "Lock Buster Club (Euro) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lkbcld" year "200?" manufacturer "BFM" desc "Lock Buster Club (Ferry) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lkbcle" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lkbclf" year "200?" manufacturer "BFM" desc "Lock Buster Club (Ferry) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lkbclg" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lkbclh" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (311 Club, set 1)" devices ())
(name "sc4lkbcli" year "200?" manufacturer "BFM" desc "Lock Buster Club (Bellfruit) (Scorpion 4) (311 Club, set 2)" devices ())
(name "sc4lockb" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lockba" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lockbb" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lockbc" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lockbd" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lockbe" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4lockbf" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4lockbg" year "200?" manufacturer "BFM" desc "Lock Buster (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4lotr2" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lotr2a" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lotr2b" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lotr2c" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lotr2d" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lotr2e" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4lotr2f" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4lotr2g" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4lotr2h" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4lotr2i" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4lotr2j" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4lotr2k" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4lotr2l" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4lotr2m" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4lotrf" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lotrfa" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lotrfb" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lotrfc" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lotrfd" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lotrfe" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4lotrff" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4lotrfg" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4lotrr" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4lotrra" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4lotrrb" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4lotrrc" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4lotrrd" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4lotrre" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4lotrt" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4lotrta" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Fellowship Of The Ring (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4ltr2c" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ltr2ca" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ltr2cb" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ltr2cc" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ltr2cd" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ltr2ce" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4ltr2cf" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4ltr2cg" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4ltr2ch" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4ltr2ci" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4ltr2cj" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4ltr2ck" year "200?" manufacturer "BFM" desc "Lord Of The Rings - The Two Towers Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4luck7" year "200?" manufacturer "Mazooma" desc "Lucky 7s (Mazooma) (Scorpion 4) (Top Box)" devices ())
(name "sc4luck7a" year "200?" manufacturer "Mazooma" desc "Lucky 7s (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4luck7b" year "200?" manufacturer "Mazooma" desc "Lucky 7s (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4luck7c" year "200?" manufacturer "Mazooma" desc "Lucky 7s (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4luck7d" year "200?" manufacturer "Mazooma" desc "Lucky 7s (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4luckb" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4luckb0" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4luckb1" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 23)" devices ())
(name "sc4luckb2" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 24)" devices ())
(name "sc4luckb3" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 25)" devices ())
(name "sc4luckb4" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 26)" devices ())
(name "sc4luckba" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4luckbb" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4luckbc" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4luckbd" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4luckbe" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4luckbf" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4luckbg" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4luckbh" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4luckbi" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4luckbj" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4luckbk" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4luckbl" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4luckbm" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4luckbn" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4luckbo" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4luckbp" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 17)" devices ())
(name "sc4luckbq" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4luckbr" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4luckbs" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4luckbt" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 18)" devices ())
(name "sc4luckbu" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 19)" devices ())
(name "sc4luckbv" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 20)" devices ())
(name "sc4luckbw" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 21)" devices ())
(name "sc4luckbx" year "200?" manufacturer "BFM" desc "Lucky Balls Casino (Bellfruit) (Scorpion 4) (set 22)" devices ())
(name "sc4luckby" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4luckbz" year "200?" manufacturer "BFM" desc "Lucky Balls Casino Arcade (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4m2m" year "200?" manufacturer "Mazooma" desc "Money To Money (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4m2ma" year "200?" manufacturer "Mazooma" desc "Money To Money (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4magci" year "200?" manufacturer "Qps" desc "Magic Circle (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcia" year "200?" manufacturer "Qps" desc "Magic Circle (021) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcib" year "200?" manufacturer "Qps" desc "Magic Circle (031) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcic" year "200?" manufacturer "Qps" desc "Magic Circle (012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcid" year "200?" manufacturer "Qps" desc "Magic Circle (012) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4magcie" year "200?" manufacturer "Qps" desc "Magic Circle (022) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcif" year "200?" manufacturer "Qps" desc "Magic Circle (032) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcig" year "200?" manufacturer "Qps" desc "Magic Circle (013) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcih" year "200?" manufacturer "Qps" desc "Magic Circle (014) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcii" year "200?" manufacturer "Qps" desc "Magic Circle (024) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcij" year "200?" manufacturer "Qps" desc "Magic Circle (034) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magcik" year "200?" manufacturer "Qps" desc "Magic Circle (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcil" year "200?" manufacturer "Qps" desc "Magic Circle (021) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcim" year "200?" manufacturer "Qps" desc "Magic Circle (031) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcin" year "200?" manufacturer "Qps" desc "Magic Circle (012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcio" year "200?" manufacturer "Qps" desc "Magic Circle (012) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4magcip" year "200?" manufacturer "Qps" desc "Magic Circle (022) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magciq" year "200?" manufacturer "Qps" desc "Magic Circle (032) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcir" year "200?" manufacturer "Qps" desc "Magic Circle (013) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcis" year "200?" manufacturer "Qps" desc "Magic Circle (014) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magcit" year "200?" manufacturer "Qps" desc "Magic Circle (024) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magciu" year "200?" manufacturer "Qps" desc "Magic Circle (034) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magic" year "200?" manufacturer "Qps" desc "Magic Poundabout (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4magica" year "200?" manufacturer "Qps" desc "Magic Poundabout (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4magicb" year "200?" manufacturer "Qps" desc "Magic Poundabout (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4magicc" year "200?" manufacturer "Qps" desc "Magic Poundabout (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4manic" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4manica" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4manicb" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4manicc" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4manicd" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4manice" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4manicf" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4manicg" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4maxcc" year "200?" manufacturer "Mazooma" desc "Maximus Cash Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4maxcca" year "200?" manufacturer "Mazooma" desc "Maximus Cash Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4maxccb" year "200?" manufacturer "Mazooma" desc "Maximus Cash Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4maxccc" year "200?" manufacturer "Mazooma" desc "Maximus Cash Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4maxim" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4maxima" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4maximb" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4maximc" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4maximd" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4maxime" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4maximf" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4maximg" year "200?" manufacturer "Mazooma" desc "Maximus Cash (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4mbags" year "200?" manufacturer "BFM" desc "Money Bags (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mbagsa" year "200?" manufacturer "BFM" desc "Money Bags (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mbagsb" year "200?" manufacturer "BFM" desc "Money Bags (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mbagsc" year "200?" manufacturer "BFM" desc "Money Bags (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mcas" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 1)" devices ())
(name "sc4mcas0" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 15)" devices ())
(name "sc4mcas1" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 16)" devices ())
(name "sc4mcas2" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 17)" devices ())
(name "sc4mcas3" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 18)" devices ())
(name "sc4mcas4" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2056) (Mazooma) (Scorpion 4) (GMTB, Top Box, set 3)" devices ())
(name "sc4mcask" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2056) (Mazooma) (Scorpion 4) (GMTB, Top Box, set 1)" devices ())
(name "sc4mcasm" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 2)" devices ())
(name "sc4mcasn" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 3)" devices ())
(name "sc4mcaso" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 4)" devices ())
(name "sc4mcasp" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 5)" devices ())
(name "sc4mcasq" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 6)" devices ())
(name "sc4mcasr" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 7)" devices ())
(name "sc4mcass" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 8)" devices ())
(name "sc4mcast" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 9)" devices ())
(name "sc4mcasu" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2056) (Mazooma) (Scorpion 4) (GMTB, Top Box, set 2)" devices ())
(name "sc4mcasv" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 10)" devices ())
(name "sc4mcasw" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 11)" devices ())
(name "sc4mcasx" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 12)" devices ())
(name "sc4mcasy" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 13)" devices ())
(name "sc4mcasz" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (PR2354) (Mazooma) (Scorpion 4) (GMBU, set 14)" devices ())
(name "sc4mclb" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mclba" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mclbb" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mclbc" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mclbd" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4mclbe" year "200?" manufacturer "Mazooma" desc "Monopoly Club (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4mdm" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mdma" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mgr" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mgra" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mgrb" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4mgrc" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4mgrd" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4mgre" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4mgrf" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4mgrg" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4mgrh" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mgri" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mgrj" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4mgrk" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4mgrl" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4mgrm" year "200?" manufacturer "BFM" desc "Money Go Round Casino (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4mhn" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mhna" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mhp" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mhpa" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mhpb" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mhpc" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mhpd" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4mhpe" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4mhpf" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4mhpg" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4mhph" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4mhpi" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4mhpj" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4mhpk" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4mhpl" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4mhpm" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4mhpn" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4mhpo" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4milja" year "200?" manufacturer "BFM" desc "Miljonairs Arcade (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4miljo" year "200?" manufacturer "BFM" desc "Miljonairs (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4milro" year "200?" manufacturer "BFM" desc "Millionaires Row (Scorpion 4?)" devices ())
(name "sc4mmad" year "200?" manufacturer "Mazooma" desc "Money Madness (PR2533) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mmada" year "200?" manufacturer "Mazooma" desc "Money Madness (PR2533) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mmadb" year "200?" manufacturer "Mazooma" desc "Money Madness (PR2533) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mmadc" year "200?" manufacturer "Mazooma" desc "Money Madness (PR2533) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mmadd" year "200?" manufacturer "Mazooma" desc "Money Madness (PR0000) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4mmade" year "200?" manufacturer "Mazooma" desc "Money Madness (PR0000) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4mmadf" year "200?" manufacturer "Mazooma" desc "Money Madness (PR0000) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4mmadg" year "200?" manufacturer "Mazooma" desc "Money Madness (PR0000) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4mmb" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mmba" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mmm" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mmma" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mmmb" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mmmc" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mmmd" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4mmme" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4mmmf" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4mmmg" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4mondx" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.0) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mondxa" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.0) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mondxb" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.0) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mondxc" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.0) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mondxd" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.1) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mondxe" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.1) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mondxf" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.1) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mondxg" year "200?" manufacturer "Mazooma" desc "Monopoly Deluxe (PR2202, MPDX 1.1) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mono5" year "200?" manufacturer "Mazooma" desc "Monopoly 5 (PR7089, MONF) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mono5a" year "200?" manufacturer "Mazooma" desc "Monopoly 5 (PR7089, MONF) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4monoa" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4monoaa" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4monoab" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4monoac" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4monoad" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4monoae" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4monoaf" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4monoag" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4monoah" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4monoai" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4monoaj" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4monoak" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4monoal" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4monoam" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 14)" devices ())
(name "sc4monoan" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 15)" devices ())
(name "sc4monoao" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 16)" devices ())
(name "sc4monoap" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 17)" devices ())
(name "sc4monoaq" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2122, MOTR) (Mazooma) (Scorpion 4) (set 18)" devices ())
(name "sc4monob" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4monoba" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4monobb" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4monobc" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4monobd" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4monobe" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4monobf" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4monobg" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4monobh" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4monobi" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4monobj" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4monobk" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4monobl" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4monobm" year "200?" manufacturer "BFM" desc "Monopoly (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4monod" year "200?" manufacturer "Mazooma" desc "Monopoly (Mazooma) [German] (Scorpion 4) (set 1)" devices ())
(name "sc4monoda" year "200?" manufacturer "Mazooma" desc "Monopoly (Mazooma) [German] (Scorpion 4) (set 2)" devices ())
(name "sc4monodb" year "200?" manufacturer "Mazooma" desc "Monopoly (Mazooma) [German] (Scorpion 4) (set 3)" devices ())
(name "sc4monog" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 5)" devices ())
(name "sc4monoga" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 6)" devices ())
(name "sc4monop" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2056, TBOX) (Mazooma) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4monopa" year "200?" manufacturer "Mazooma" desc "Monopoly Triple (PR2056, TBOX) (Mazooma) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4monot" year "200?" manufacturer "Mazooma" desc "Monopoly TTT (PR2133) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4monota" year "200?" manufacturer "Mazooma" desc "Monopoly TTT (PR2133) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4monotb" year "200?" manufacturer "Mazooma" desc "Monopoly TTT (PR2133) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4monotc" year "200?" manufacturer "Mazooma" desc "Monopoly TTT (PR2133) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4monsp" year "200?" manufacturer "BFM" desc "Money Spinner (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4mont" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4monta" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4montb" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4montc" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4montd" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4monte" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4montf" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4montg" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4month" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 9)" devices ())
(name "sc4monti" year "200?" manufacturer "Qps" desc "Montego Pay (Qps) (Scorpion 4) (set 10)" devices ())
(name "sc4motor" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4motora" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4motorb" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4motorc" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4motord" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4motore" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4motorf" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4motorg" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4motorh" year "200?" manufacturer "BFM" desc "Motorway Mania (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4mou" year "200?" manufacturer "Qps" desc "Move On Up (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4moua" year "200?" manufacturer "Qps" desc "Move On Up (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4moub" year "200?" manufacturer "Qps" desc "Move On Up (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4mowow" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2118) (Scorpion 4) (set 1)" devices ())
(name "sc4mowowa" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2118) (Scorpion 4) (set 2)" devices ())
(name "sc4mowowb" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2118) (Scorpion 4) (set 3)" devices ())
(name "sc4mowowc" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2118) (Scorpion 4) (set 4)" devices ())
(name "sc4mr2r" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mr2ra" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mr2rb" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mr2rc" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mr2rd" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4mr2re" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4mrh" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4mrha" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4mrhb" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4mrhc" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4mrhd" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4mrhe" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4msclb" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4msclba" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4msclbb" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4msclbc" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4msclbd" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4msclbe" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4msclbf" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4msclbg" year "200?" manufacturer "BFM" desc "Money Spinner Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4mspid" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mspida" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mspidb" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mspidc" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mspidd" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4mspide" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4mspidf" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4mspidg" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4mspidh" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4mspidi" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4mspidj" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4mspidk" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4mspidl" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4mspidm" year "200?" manufacturer "BFM" desc "Casino Money Spider (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4mtb" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mtba" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mtbb" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mtbc" year "200?" manufacturer "BFM" desc "Money To Burn SP98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mtbcl" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4mtbcla" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mtbclb" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mtbclc" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mtbcld" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4mtbcle" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4mtbclf" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4mtbclg" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4mtbclh" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4mtbcli" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4mtbclj" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4mtbclk" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4mtbcll" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4mtbclm" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4mtbcln" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4mtbclo" year "200?" manufacturer "BFM" desc "Money To Burn Club (Bellfruit) (Scorpion 4) (set 16)" devices ())
(name "sc4mtbd" year "200?" manufacturer "BFM" desc "Money To Burn SP98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4mtbe" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mtbf" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4mtbg" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4mtbh" year "200?" manufacturer "BFM" desc "Money To Burn SP98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4mtbi" year "200?" manufacturer "BFM" desc "Money To Burn SP98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4mtbj" year "200?" manufacturer "BFM" desc "Money To Burn (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4mwwtb" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2389, Top Box) (Scorpion 4) (set 1)" devices ())
(name "sc4mwwtba" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2389, Top Box) (Scorpion 4) (set 2)" devices ())
(name "sc4mwwtbb" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2389, Top Box) (Scorpion 4) (set 3)" devices ())
(name "sc4mwwtbc" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2389, Top Box) (Scorpion 4) (set 4)" devices ())
(name "sc4mwwtbd" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (PR2389, Top Box) (Scorpion 4) (set 5)" devices ())
(name "sc4nmare" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4nmarea" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4nmareb" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4nmarec" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4nmtj" year "200?" manufacturer "Mazooma" desc "Never Mind The Jackpots (Mazooma) (Scorpion 4) (011)" devices ())
(name "sc4nmtja" year "200?" manufacturer "Mazooma" desc "Never Mind The Jackpots (Mazooma) (Scorpion 4) (014, set 1)" devices ())
(name "sc4nmtjb" year "200?" manufacturer "Mazooma" desc "Never Mind The Jackpots (Mazooma) (Scorpion 4) (044, set 1)" devices ())
(name "sc4nmtjc" year "200?" manufacturer "Mazooma" desc "Never Mind The Jackpots (Mazooma) (Scorpion 4) (014, set 2)" devices ())
(name "sc4nmtjd" year "200?" manufacturer "Mazooma" desc "Never Mind The Jackpots (Mazooma) (Scorpion 4) (044, set 2)" devices ())
(name "sc4nudit" year "200?" manufacturer "Mazooma" desc "Nudge It (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4nudita" year "200?" manufacturer "Mazooma" desc "Nudge It (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4nuditb" year "200?" manufacturer "Mazooma" desc "Nudge It (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4nunsm" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4nunsmb" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4nunsmc" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4nunsmd" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4nunsme" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4nunsmf" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4nunsmg" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4nunsmh" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4nunsmi" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4nunsmj" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4onup" year "200?" manufacturer "BFM" desc "On The Up (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4onupa" year "200?" manufacturer "BFM" desc "On The Up (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4opses" year "200?" manufacturer "BFM" desc "Open Sesame (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4opsesa" year "200?" manufacturer "BFM" desc "Open Sesame (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4outlw" year "200?" manufacturer "BFM" desc "Outlaw (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4outlwa" year "200?" manufacturer "BFM" desc "Outlaw (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4outlwb" year "200?" manufacturer "BFM" desc "Outlaw (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4outlwc" year "200?" manufacturer "BFM" desc "Outlaw (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4oyf" year "200?" manufacturer "BFM" desc "Off Your Face (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4oyfa" year "200?" manufacturer "BFM" desc "Off Your Face (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4paccl" year "200?" manufacturer "Mazooma" desc "Pac Man Club (PR2018, CPAC) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4paccla" year "200?" manufacturer "Mazooma" desc "Pac Man Club (PR2018, CPAC) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4pacclb" year "200?" manufacturer "Mazooma" desc "Pac Man Club (PR2018, CPAC) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4pacclc" year "200?" manufacturer "Mazooma" desc "Pac Man Club (PR2018, CPAC) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4paccs" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4paccsa" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4paccsb" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4paccsc" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4paccsd" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4paccse" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4paccsf" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4paccsg" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4paccsh" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4paccsi" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4paccsj" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4paccsk" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4paccsl" year "200?" manufacturer "Mazooma" desc "Pac Man Casino (PR7049, PACL) (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4pacmn" year "200?" manufacturer "Mazooma" desc "Pac Man (PR7026, PMAN) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4pacmna" year "200?" manufacturer "Mazooma" desc "Pac Man (PR7026, PMAN) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4pacmnb" year "200?" manufacturer "Mazooma" desc "Pac Man (PR7026, PMAN) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4pacpl" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4pacpla" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4pacplb" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4pacplc" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4pacpld" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4pacple" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4pacplf" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4pacplg" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4pacplh" year "200?" manufacturer "Mazooma" desc "Pac Man Plus (PR7058, PACP) (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4pacqp" year "200?" manufacturer "QPS" desc "Pac Man (PR7072, QPAC) (QPS) (Scorpion 4) (set 1)" devices ())
(name "sc4pacqpa" year "200?" manufacturer "QPS" desc "Pac Man (PR7072, QPAC) (QPS) (Scorpion 4) (set 2)" devices ())
(name "sc4pacqpb" year "200?" manufacturer "QPS" desc "Pac Man (PR7072, QPAC) (QPS) (Scorpion 4) (set 3)" devices ())
(name "sc4party" year "200?" manufacturer "Nova" desc "Party Time (German) (PR7151, GPTM) (Nova) (Scorpion 4)" devices ())
(name "sc4paytm" year "200?" manufacturer "BFM" desc "Pay Time (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4pen1" year "200?" manufacturer "BFM" desc "Public Enemy No1 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pen1a" year "200?" manufacturer "BFM" desc "Public Enemy No1 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pen1b" year "200?" manufacturer "BFM" desc "Public Enemy No1 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pen1c" year "200?" manufacturer "BFM" desc "Public Enemy No1 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pen1d" year "200?" manufacturer "BFM" desc "Public Enemy No1 (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pglcl" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pglcla" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pglclb" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pglclc" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pglcld" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pglcle" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pglclf" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4pglclg" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4pglclh" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4pglcs" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Casino (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pglcsa" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Casino (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pglcsb" year "200?" manufacturer "BFM" desc "Pharaoh's Gold Casino (Dutch) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pgold" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pgolda" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pgoldb" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pgoldc" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pgoldd" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pgoldf" year "200?" manufacturer "BFM" desc "Pharaoh's Gold (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pipe" year "200?" manufacturer "Mazooma" desc "Piping Hot (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4pipea" year "200?" manufacturer "Mazooma" desc "Piping Hot (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4pir" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pira" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pirb" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pirc" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pird" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pire" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pirf" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4pirg" year "200?" manufacturer "BFM" desc "The Prize Is Right (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4plumb" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (413) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4plumba" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (413) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4plumbb" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4plumbc" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4plumbd" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (412) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4plumbe" year "200?" manufacturer "Qps" desc "Plumb Crazy Club (412) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pmani" year "200?" manufacturer "Mazooma" desc "Pac Mania (PR2031, ANIA) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4pmania" year "200?" manufacturer "Mazooma" desc "Pac Mania (PR2031, ANIA) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4po8" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8a" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8b" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4po8c" year "200?" manufacturer "Qps" desc "Pieces Of Eight (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8d" year "200?" manufacturer "Qps" desc "Pieces Of Eight (041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8e" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4po8f" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.0) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4po8g" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.1) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4po8h" year "200?" manufacturer "Qps" desc "Pieces Of Eight (V1.1) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4po8i" year "200?" manufacturer "Qps" desc "Pieces Of Eight (012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8j" year "200?" manufacturer "Qps" desc "Pieces Of Eight (042) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4po8k" year "200?" manufacturer "Qps" desc "Pieces Of Eight (012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4po8l" year "200?" manufacturer "Qps" desc "Pieces Of Eight (042) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4po8m" year "200?" manufacturer "Qps" desc "Pieces Of Eight (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4po8n" year "200?" manufacturer "Qps" desc "Pieces Of Eight (041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pog" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4poga" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pogb" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pogbl" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pogbla" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pogblb" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pogblc" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pogbld" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pogble" year "200?" manufacturer "BFM" desc "Pots Of Gold Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pogc" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pogd" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4poge" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pogf" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4pogg" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4pogh" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4pogi" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4polem" year "200?" manufacturer "Mazooma" desc "Pole Position (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4polema" year "200?" manufacturer "Mazooma" desc "Pole Position (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4polemb" year "200?" manufacturer "Mazooma" desc "Pole Position (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4polemc" year "200?" manufacturer "Mazooma" desc "Pole Position (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4polemd" year "200?" manufacturer "Mazooma" desc "Pole Position (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4polen" year "200?" manufacturer "Nova" desc "Pole Position (German) (PR7012, GPOS) (Nova) (Scorpion 4)" devices ())
(name "sc4polic" year "200?" manufacturer "Qps" desc "Police Squid (V1.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4polica" year "200?" manufacturer "Qps" desc "Police Squid (V2.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4policb" year "200?" manufacturer "Qps" desc "Police Squid (V1.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4policc" year "200?" manufacturer "Qps" desc "Police Squid (V2.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pony" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ponya" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ponyb" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ponyc" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ponyd" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ponye" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4popey" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4popeya" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4popeyb" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4popeyc" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4popeyd" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4popeye" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4potp" year "200?" manufacturer "BFM" desc "Pick Of The Pack (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4potpa" year "200?" manufacturer "BFM" desc "Pick Of The Pack (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4potsh" year "200?" manufacturer "Qps" desc "Pot Shot (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4potsha" year "200?" manufacturer "Qps" desc "Pot Shot (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pp" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ppa" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ppb" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ppc" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ppclb" year "200?" manufacturer "Qps" desc "Pink Panther Club (411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ppclba" year "200?" manufacturer "Qps" desc "Pink Panther Club (412) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4ppclbb" year "200?" manufacturer "Qps" desc "Pink Panther Club (411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ppclbc" year "200?" manufacturer "Qps" desc "Pink Panther Club (412) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4ppcr" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ppcra" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ppcrb" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ppcrd" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ppcre" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ppcrf" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ppcrg" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ppcrh" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4ppcri" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4ppcrj" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4ppcrtb" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge Top Box (Mazooma) (Scorpion 4)" devices ())
(name "sc4ppctc" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ppctca" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ppctcb" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ppctcc" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ppctcd" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ppctce" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4ppctcf" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4ppctcg" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4ppd" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ppdym" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ppdymb" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ppdymc" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ppdymd" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ppdymf" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ppdymg" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ppdymh" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ppdymi" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4ppdymtb" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money Top Box (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ppdymtba" year "200?" manufacturer "Mazooma" desc "Pink Panther Double Your Money Top Box (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ppsag" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ppsaga" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ppsagb" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ppsagc" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ppsagd" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ppsage" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ppsagf" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ppsagg" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4ppsagh" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4ppsagi" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4pstat" year "200?" manufacturer "QPS" desc "Paystation (V2.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstata" year "200?" manufacturer "QPS" desc "Paystation (V2.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstatb" year "200?" manufacturer "QPS" desc "Paystation (V2.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatc" year "200?" manufacturer "QPS" desc "Paystation (V2.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatd" year "200?" manufacturer "QPS" desc "Paystation (V2.2) (Qps) (Scorpion 4)" devices ())
(name "sc4pstate" year "200?" manufacturer "QPS" desc "Paystation (V2.3) (Qps) (Scorpion 4)" devices ())
(name "sc4pstatf" year "200?" manufacturer "QPS" desc "Paystation (V011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstatg" year "200?" manufacturer "QPS" desc "Paystation (V041) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstath" year "200?" manufacturer "QPS" desc "Paystation (V4.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstati" year "200?" manufacturer "QPS" desc "Paystation (V011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatj" year "200?" manufacturer "QPS" desc "Paystation (V041) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatm" year "200?" manufacturer "QPS" desc "Paystation (V4.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatn" year "200?" manufacturer "QPS" desc "Paystation (V012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstato" year "200?" manufacturer "QPS" desc "Paystation (V042) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pstatp" year "200?" manufacturer "QPS" desc "Paystation (V012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pstatq" year "200?" manufacturer "QPS" desc "Paystation (V042) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pwcrz" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pwcrza" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pwcrzb" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pwcrzc" year "200?" manufacturer "BFM" desc "Power Crazy SP98 (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pwcrzd" year "200?" manufacturer "BFM" desc "Power Crazy SP98 (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pwcrze" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pwcrzf" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4pwcrzg" year "200?" manufacturer "BFM" desc "Power Crazy (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4pwcrzh" year "200?" manufacturer "BFM" desc "Power Crazy SP98 (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4pwcrzi" year "200?" manufacturer "BFM" desc "Power Crazy SP98 (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4pwrbl" year "200?" manufacturer "BFM" desc "Powerball (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4pwrbla" year "200?" manufacturer "BFM" desc "Powerball (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4pwrbq" year "200?" manufacturer "Qps" desc "Power Ball (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pwrbqa" year "200?" manufacturer "Qps" desc "Power Ball (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pwrpl" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4pwrpla" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4pwrplb" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4pwrplc" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4pwrsg" year "200?" manufacturer "Qps" desc "Power Surge (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4pwrsga" year "200?" manufacturer "Qps" desc "Power Surge (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4pwrsgb" year "200?" manufacturer "Qps" desc "Power Surge (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4pwrsgc" year "200?" manufacturer "Qps" desc "Power Surge (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4qmodo" year "200?" manufacturer "Qps" desc "Quazzi Mo' Dough (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4qmodoa" year "200?" manufacturer "Qps" desc "Quazzi Mo' Dough (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4qmodob" year "200?" manufacturer "Qps" desc "Quazzi Mo' Dough (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4qmodoc" year "200?" manufacturer "Qps" desc "Quazzi Mo' Dough (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4qmodod" year "200?" manufacturer "Qps" desc "Quazzi Mo' Dough (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4quart" year "200?" manufacturer "Mazooma" desc "Quaterback (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4quarta" year "200?" manufacturer "Mazooma" desc "Quaterback (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4quartb" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2072) (Italian) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4quartc" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4quartd" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4quarte" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2072) (Italian) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4quartf" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4quartg" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4quarth" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4quarti" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2072) (Italian) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4quartj" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4quartk" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2072) (Italian) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4quartl" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4quartm" year "200?" manufacturer "Mazooma" desc "Quaterback (PR2064) (German) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4quidr" year "200?" manufacturer "Qps" desc "Quid Rock (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4quidra" year "200?" manufacturer "Qps" desc "Quid Rock (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4quidrb" year "200?" manufacturer "Qps" desc "Quid Rock (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4quidrc" year "200?" manufacturer "Qps" desc "Quid Rock (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4quidv" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4quidva" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4quidvb" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4quidvc" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4r2r" year "200?" manufacturer "Mazooma" desc "Reel To Reel (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4r2ra" year "200?" manufacturer "Mazooma" desc "Reel To Reel (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4r2rb" year "200?" manufacturer "Mazooma" desc "Reel To Reel (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4r2rc" year "200?" manufacturer "Mazooma" desc "Reel To Reel (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4r66" year "200?" manufacturer "Mazooma" desc "Route 66 (Mazooma) (Scorpion 4)" devices ())
(name "sc4rbank" year "200?" manufacturer "BFM" desc "Royle Banker (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4rbanka" year "200?" manufacturer "BFM" desc "Royle Banker (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4rbankb" year "200?" manufacturer "BFM" desc "Royle Banker (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4rbankc" year "200?" manufacturer "BFM" desc "Royle Banker (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4rdrag" year "200?" manufacturer "Qps" desc "Red Dragon (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rdraga" year "200?" manufacturer "Qps" desc "Red Dragon (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rdragc" year "200?" manufacturer "Qps" desc "Red Dragon (021) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rdragf" year "200?" manufacturer "Qps" desc "Red Dragon (021) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rdrcl" year "200?" manufacturer "Qps" desc "Red Dragon Club (411) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rdrcla" year "200?" manufacturer "Qps" desc "Red Dragon Club (412) (Qps) (Scorpion 4)" devices ())
(name "sc4rdrclb" year "200?" manufacturer "Qps" desc "Red Dragon Club (411) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4redad" year "200?" manufacturer "BFM" desc "Red Alert (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4redada" year "200?" manufacturer "BFM" desc "Red Alert (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4redsq" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4redsqa" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4redsqb" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4redsqc" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4relcz" year "200?" manufacturer "BFM" desc "Reely Crazy (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4relcza" year "200?" manufacturer "BFM" desc "Reely Crazy (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4relczb" year "200?" manufacturer "BFM" desc "Reely Crazy (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4relczc" year "200?" manufacturer "BFM" desc "Reely Crazy (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4revo" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4revoa" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4revob" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4revoc" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4revod" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4revoe" year "200?" manufacturer "Mazooma" desc "Revolver (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4rhx" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rhxa" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rhxb" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4rhxc" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4rhxcl" year "200?" manufacturer "Mazooma" desc "Red Hot X Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rhxcla" year "200?" manufacturer "Mazooma" desc "Red Hot X Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rhxclb" year "200?" manufacturer "Mazooma" desc "Red Hot X Club (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rhxclc" year "200?" manufacturer "Mazooma" desc "Red Hot X Club (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rhxcs" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rhxcsa" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rhxcsb" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rhxcsc" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rhxcsd" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rhxcse" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4rhxd" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rhxe" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rhxf" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4rhxg" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4rhxh" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4rhxi" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 14)" devices ())
(name "sc4rhxj" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rhxk" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4rhxl" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4rhxm" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4rhxn" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 15)" devices ())
(name "sc4rhxo" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 16)" devices ())
(name "sc4rhxp" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 17)" devices ())
(name "sc4rhxq" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 18)" devices ())
(name "sc4rhxr" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 19)" devices ())
(name "sc4rhxs" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 20)" devices ())
(name "sc4rhxt" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 21)" devices ())
(name "sc4rhxu" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 22)" devices ())
(name "sc4rhxv" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 23)" devices ())
(name "sc4rhxw" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 4) (set 24)" devices ())
(name "sc4rich" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4richa" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4richb" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4richc" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4richd" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4riche" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4richf" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4richg" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4richh" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4richi" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4richj" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4richk" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4richl" year "200?" manufacturer "BFM" desc "Rich Geezer (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4rio" year "200?" manufacturer "BFM" desc "Rio Grande (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4rmo" year "200?" manufacturer "BFM" desc "Roll Me Over Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4rmoa" year "200?" manufacturer "BFM" desc "Roll Me Over Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4rogds" year "200?" manufacturer "Qps" desc "Rogan Dosh (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rogdsa" year "200?" manufacturer "Qps" desc "Rogan Dosh (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rogdsb" year "200?" manufacturer "Qps" desc "Rogan Dosh (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4rogdsc" year "200?" manufacturer "Qps" desc "Rogan Dosh (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4rogdsd" year "200?" manufacturer "Qps" desc "Rogan Dosh (v2.0) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rogdse" year "200?" manufacturer "Qps" desc "Rogan Dosh (v1.6) (Qps) (Scorpion 4)" devices ())
(name "sc4rogdsf" year "200?" manufacturer "Qps" desc "Rogan Dosh (v2.0) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rogdsg" year "200?" manufacturer "Qps" desc "Rogan Dosh (v2.1) (Qps) (Scorpion 4)" devices ())
(name "sc4roksc" year "200?" manufacturer "Qps" desc "Rocket Science (V1.1) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4roksca" year "200?" manufacturer "Qps" desc "Rocket Science (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4rokscb" year "200?" manufacturer "Qps" desc "Rocket Science (V1.1) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rokscc" year "200?" manufacturer "Qps" desc "Rocket Science (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4rollo" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7002) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rolloa" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7002) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rollob" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7032) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rolloc" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7002) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rollod" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7002) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rolloe" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7032) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rollof" year "200?" manufacturer "Mazooma" desc "Rollover Jackpot (PR7032) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rosts" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4rostsa" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4rostsb" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4rostsc" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4rostsd" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4rostse" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4rostsf" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4rostsg" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4rotc" year "200?" manufacturer "Mazooma" desc "Return Of The Count (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rotca" year "200?" manufacturer "Mazooma" desc "Return Of The Count (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rotcb" year "200?" manufacturer "Mazooma" desc "Return Of The Count (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rotcc" year "200?" manufacturer "Mazooma" desc "Return Of The Count (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rotcd" year "200?" manufacturer "Mazooma" desc "Return Of The Count (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rovrt" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rovrta" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rovrtb" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rovrtc" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rovrtd" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rovrte" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4royle" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4roylea" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4royleb" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4roylec" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4royled" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4roylee" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4roylef" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4royleg" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4royleh" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4roylei" year "200?" manufacturer "BFM" desc "Royle Family (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4roylej" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4roylek" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4roylel" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4roylem" year "200?" manufacturer "BFM" desc "Royle Family (REV 2) (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4rt" year "200?" manufacturer "Mazooma" desc "Rolling Thunder (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rta" year "200?" manufacturer "Mazooma" desc "Rolling Thunder (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rtb" year "200?" manufacturer "Mazooma" desc "Rolling Thunder (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rtc" year "200?" manufacturer "Mazooma" desc "Rolling Thunder (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rtclb" year "200?" manufacturer "Mazooma" desc "Rolling Thunder Club (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rtclba" year "200?" manufacturer "Mazooma" desc "Rolling Thunder Club (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rtd" year "200?" manufacturer "Mazooma" desc "Rolling Thunder (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rttt" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4rttta" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4rtttb" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4rtttc" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4rtttd" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4rttte" year "200?" manufacturer "Mazooma" desc "Rise To The Top (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4rvl" year "200?" manufacturer "BFM" desc "Revolution (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4rvlnx" year "200?" manufacturer "BFM" desc "Revolution The Next (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4s16" year "200?" manufacturer "Mazooma" desc "Section 16 (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4s16a" year "200?" manufacturer "Mazooma" desc "Section 16 (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4s2k" year "200?" manufacturer "Nova" desc "Sinbad 2000 (German) (Nova) (Scorpion 4)" devices ())
(name "sc4s6c" year "200?" manufacturer "BFM" desc "Super 6 Club (65% Fixed) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4s6ca" year "200?" manufacturer "BFM" desc "Super 6 Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4s6cb" year "200?" manufacturer "BFM" desc "Super 6 Club (65% Fixed) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4s6cc" year "200?" manufacturer "BFM" desc "Super 6 Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4s6cd" year "200?" manufacturer "BFM" desc "Super 6 Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4s6ce" year "200?" manufacturer "BFM" desc "Super 6 Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4s6cf" year "200?" manufacturer "BFM" desc "Super 6 Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4sace" year "200?" manufacturer "Qps" desc "Space Ace (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4sacea" year "200?" manufacturer "Qps" desc "Space Ace (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4sahed" year "200?" manufacturer "Qps" desc "Streaks Ahead (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4saheda" year "200?" manufacturer "Qps" desc "Streaks Ahead (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4sahedb" year "200?" manufacturer "Qps" desc "Streaks Ahead (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4sbust" year "200?" manufacturer "Qps" desc "Space Buster (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4sbusta" year "200?" manufacturer "Qps" desc "Space Buster (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4sdr" year "200?" manufacturer "BFM" desc "Super Diamonds & Rubies (PR6921) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4sdra" year "200?" manufacturer "BFM" desc "Super Diamonds & Rubies SP98 (PR6921) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4sdrb" year "200?" manufacturer "BFM" desc "Super Diamonds & Rubies (PR6921) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4sdrc" year "200?" manufacturer "BFM" desc "Super Diamonds & Rubies SP98 (PR6921) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4sf" year "200?" manufacturer "Mazooma" desc "Street Fighter (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4sfa" year "200?" manufacturer "Mazooma" desc "Street Fighter (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4sfb" year "200?" manufacturer "Mazooma" desc "Street Fighter (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4sfc" year "200?" manufacturer "Mazooma" desc "Street Fighter (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4sfd" year "200?" manufacturer "Mazooma" desc "Street Fighter (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4showt" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4showta" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4showtb" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4showtc" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4showtd" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4showte" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4showtf" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4sidsp" year "200?" manufacturer "Mazooma" desc "Side Splitter (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4sidspa" year "200?" manufacturer "Mazooma" desc "Side Splitter (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4sidspb" year "200?" manufacturer "Mazooma" desc "Side Splitter (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4sidspc" year "200?" manufacturer "Mazooma" desc "Side Splitter (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4sirpz" year "200?" manufacturer "Mazooma" desc "Sir Prize (PR2004, SIRV) (Mazooma) (Scorpion 4)" devices ())
(name "sc4sirpza" year "200?" manufacturer "Mazooma" desc "Sir Prize (PR7079, SIRP) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4sirpzb" year "200?" manufacturer "Mazooma" desc "Sir Prize (PR7079, SIRP) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4slad" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4slada" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4sladb" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4sladc" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4sladd" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4slade" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4sladf" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4sladg" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4sladh" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4slc" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4slca" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4slcb" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4slcc" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4slcd" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4slce" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4slcf" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4slcg" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4slch" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4slci" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4slcj" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4slck" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4slcl" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 15)" devices ())
(name "sc4slcm" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4slcn" year "2003" manufacturer "BFM" desc "Snakes & Ladders Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4slih" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4sliha" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4slihb" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4slihc" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4slihd" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4slihe" year "200?" manufacturer "Mazooma" desc "Some Like It Hot (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4smk7" year "200?" manufacturer "BFM" desc "Smoking 7's (Bellfruit) (Scorpion 4)" devices ())
(name "sc4solgl" year "200?" manufacturer "BFM" desc "Solid Gold (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4solgla" year "200?" manufacturer "BFM" desc "Solid Gold (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4solglb" year "200?" manufacturer "BFM" desc "Solid Gold (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4solglc" year "200?" manufacturer "BFM" desc "Solid Gold (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4spark" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 1)" devices ())
(name "sc4sparka" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 2)" devices ())
(name "sc4sparkb" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 3)" devices ())
(name "sc4sparkc" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 4)" devices ())
(name "sc4sparkd" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 5)" devices ())
(name "sc4sparke" year "200?" manufacturer "BFM" desc "South Park (BFM) (Scorpion 4) (set 6)" devices ())
(name "sc4spice" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4spicea" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4spiceb" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4spicec" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4splgb" year "200?" manufacturer "Mazooma" desc "Splash & Grab (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4splgba" year "200?" manufacturer "Mazooma" desc "Splash & Grab (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4spred" year "200?" manufacturer "Mazooma" desc "Spread Your Bet (Mazooma) (Scorpion 4)" devices ())
(name "sc4sprng" year "200?" manufacturer "Mazooma" desc "Highly Sprung (Mazooma) (Scorpion 4)" devices ())
(name "sc4srr" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4srra" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4srrb" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4srrc" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4srrca" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4srrcaa" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4srrcab" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4srrcac" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4srrcad" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4srrcae" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4srrmz" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll (Mazooma) (Scorpion 4) (Top Box)" devices ())
(name "sc4srrmza" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4srrmzb" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4srrmzc" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4srrmzd" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4srrmze" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4srrmzf" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4srrmzg" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4srrmzh" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4srrmzi" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4srrmzj" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4srrmzk" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4srrmzl" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4srrmzm" year "200?" manufacturer "Mazooma" desc "Shake Rattle Roll Arcade (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4sslam" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4sslama" year "200?" manufacturer "BFM" desc "Super Slam (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4sstep" year "200?" manufacturer "Qps" desc "Super Step (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4sstepa" year "200?" manufacturer "Qps" desc "Super Step (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4sstepb" year "200?" manufacturer "Qps / 21 Casino" desc "Super Step (Qps / 21 Casino) (Scorpion 4)" devices ())
(name "sc4stag" year "200?" manufacturer "BFM" desc "Stag Night (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4staga" year "200?" manufacturer "BFM" desc "Stag Night (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4starp" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4starpa" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4starpb" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4starpc" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4starpd" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4starpe" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4starpf" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4starpg" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4starph" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4starpi" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4starpj" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4starpk" year "200?" manufacturer "BFM" desc "Starprize (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4stirc" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4stirca" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4stircb" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4stircc" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4stircd" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4stirce" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4stircf" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4stircg" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4stirch" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4stirci" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4stircj" year "200?" manufacturer "Mazooma" desc "Stir Crazy (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4stl" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4stla" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4stlb" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4stlc" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4stld" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4stle" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4stlf" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4stlg" year "200?" manufacturer "BFM" desc "The Sky's The Limit (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4strbr" year "200?" manufacturer "BFM" desc "Stars 'n' Bars (PR1219) (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4strbra" year "200?" manufacturer "BFM" desc "Stars 'n' Bars Arcade (PR1263) (Dutch) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4strbrb" year "200?" manufacturer "BFM" desc "Stars 'n' Bars (PR1219) (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4strbrc" year "200?" manufacturer "BFM" desc "Stars 'n' Bars Arcade (PR1263) (Dutch) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4strbrd" year "200?" manufacturer "BFM" desc "Stars 'n' Bars Arcade (PR1263) (Dutch) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4strk" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4strka" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4strkb" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4strkc" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4strkd" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4strke" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4strkf" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4strkg" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4strkh" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4strki" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4strkj" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4strkk" year "200?" manufacturer "Mazooma" desc "The Streak (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4strx" year "200?" manufacturer "BFM" desc "Strike X (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4strxa" year "200?" manufacturer "BFM" desc "Strike X (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4strxb" year "200?" manufacturer "BFM" desc "Strike X (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4strxc" year "200?" manufacturer "BFM" desc "Strike X (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4sumit" year "200?" manufacturer "Mazooma" desc "Summit Up (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4sumita" year "200?" manufacturer "Mazooma" desc "Summit Up (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4sumitb" year "200?" manufacturer "Mazooma" desc "Summit Up (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4sumitc" year "200?" manufacturer "Mazooma" desc "Summit Up (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4supst" year "200?" manufacturer "Mazooma" desc "Super Streax (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4supsta" year "200?" manufacturer "Mazooma" desc "Super Streax (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4sus" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4susc" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4suscl" year "200?" manufacturer "Qps" desc "Suits U Sir Club (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4suscla" year "200?" manufacturer "Qps" desc "Suits U Sir Club (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4susclb" year "200?" manufacturer "Qps" desc "Suits U Sir Club (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4susclc" year "200?" manufacturer "Qps" desc "Suits U Sir Club (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4susf" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4susg" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4sush" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4susi" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4susj" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4susk" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4swbak" year "200?" manufacturer "QPS" desc "Switch Back (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4swbaka" year "200?" manufacturer "QPS" desc "Switch Back (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4swbakb" year "200?" manufacturer "QPS" desc "Switch Back (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4swbakc" year "200?" manufacturer "QPS" desc "Switch Back (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4swywm" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4swywma" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4swywmb" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4swywmc" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4swywmd" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4swywme" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4swywmf" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4swywmg" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4taekw" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4taekwa" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4taekwb" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4taekwc" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 8)" devices ())
(name "sc4taekwd" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 9)" devices ())
(name "sc4taekwe" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 10)" devices ())
(name "sc4taekwf" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 11)" devices ())
(name "sc4taekwg" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4taekwh" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 5)" devices ())
(name "sc4taekwi" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 6)" devices ())
(name "sc4taekwj" year "200?" manufacturer "Qps" desc "Tae Kwon Dough (Qps) (Scorpion 4) (set 7)" devices ())
(name "sc4takcl" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4takcla" year "200?" manufacturer "BFM" desc "Take Note Club 500 (Bellfruit) (Scorpion 4)" devices ())
(name "sc4takclb" year "200?" manufacturer "BFM" desc "Take Note Club (Ferry) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4takclc" year "200?" manufacturer "BFM" desc "Take Note Club (Ferry) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4takcld" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4takcle" year "200?" manufacturer "BFM" desc "Take Note Club (Ferry) (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4takclf" year "200?" manufacturer "BFM" desc "Take Note Club (Ferry) (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4takclg" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4takclh" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4takcli" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4takclj" year "200?" manufacturer "BFM" desc "Take Note Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4taknt" year "200?" manufacturer "BFM" desc "Take Note (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4taknta" year "200?" manufacturer "BFM" desc "Take Note (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tbana" year "200?" manufacturer "BFM" desc "Top Banana (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tbanaa" year "200?" manufacturer "BFM" desc "Top Banana (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tbox" year "200?" manufacturer "Mazooma" desc "Golden X (Mazooma) (PR2056, TBOX) (Scorpion 4) (Top Box, set 4)" devices ())
(name "sc4tempt" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tempta" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4temptb" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4temptc" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4temptd" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4tempte" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4temptf" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4temptg" year "200?" manufacturer "BFM" desc "Temptation (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4tetri" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tetria" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tetrib" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4tetric" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tetrid" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tetrie" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tetrif" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4tetrig" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4tetrih" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4tetrii" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4tetrij" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4tetrik" year "200?" manufacturer "Mazooma" desc "Tetris (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4tfclb" year "200?" manufacturer "BFM" desc "Tutti Frutti Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tfclba" year "200?" manufacturer "BFM" desc "Tutti Frutti Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tgear" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tgeara" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tgearb" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4tgearc" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tgeard" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tgeare" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tgearf" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4tgearg" year "200?" manufacturer "Mazooma" desc "Top Gears (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4tic2" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tic2a" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tic2b" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4tic2c" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tic2d" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tic2e" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tic2f" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4tic2g" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4tic2h" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tic2i" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tic2j" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tic2k" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4tic2l" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tic2m" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino Arcade (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tic2n" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4tic2o" year "200?" manufacturer "Mazooma" desc "Tic Tac Two Casino (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4ticlb" year "200?" manufacturer "BFM" desc "Treasure Island Club (Fixed 65%) (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ticlba" year "200?" manufacturer "BFM" desc "Treasure Island Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ticlbb" year "200?" manufacturer "BFM" desc "Treasure Island Club (Fixed 65%) (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ticlbc" year "200?" manufacturer "BFM" desc "Treasure Island Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ticlbd" year "200?" manufacturer "BFM" desc "Treasure Island Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4tload" year "200?" manufacturer "Mazooma" desc "Top Loader (Mazooma) (Scorpion 4)" devices ())
(name "sc4tpsht" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tpshta" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tpshtb" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4tpshtc" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tpshtd" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tpshte" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tpshtf" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4tpshtg" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4trail" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4traila" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4trailb" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4trailc" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tri7" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4tri7a" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4tri7b" year "200?" manufacturer "BFM" desc "Triple 7's Arcade (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tri7c" year "200?" manufacturer "BFM" desc "Triple 7's Arcade (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tri7d" year "200?" manufacturer "BFM" desc "Triple 7's Arcade (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4tri7e" year "200?" manufacturer "BFM" desc "Triple 7's Arcade (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4tri7f" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tri7g" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tri7h" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4tri7i" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4tri7j" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4tri7k" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4tri7l" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4tri7m" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 3)" devices ())
(name "sc4tri7n" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 4)" devices ())
(name "sc4tri7o" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4tri7p" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4tri7q" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4tri7r" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4tri7s" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4tri7t" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4tri7u" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4tri7v" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 5)" devices ())
(name "sc4tri7w" year "200?" manufacturer "BFM" desc "Triple 7's (Bellfruit) (Scorpion 4) (Top Box, set 6)" devices ())
(name "sc4tridn" year "200?" manufacturer "Mazooma" desc "The Trident (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tridna" year "200?" manufacturer "Mazooma" desc "The Trident (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4trist" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2188) (Mazooma) (Scorpion 4) (Top Box, set 1)" devices ())
(name "sc4trista" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2188) (Mazooma) (Scorpion 4) (Top Box, set 2)" devices ())
(name "sc4tristb" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4tristc" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4tristd" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4triste" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4tristf" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4tristg" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4tristh" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4tristi" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4tristj" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 9)" devices ())
(name "sc4tristk" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 10)" devices ())
(name "sc4tristl" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 11)" devices ())
(name "sc4tristm" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 12)" devices ())
(name "sc4tristn" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 13)" devices ())
(name "sc4tristo" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 14)" devices ())
(name "sc4tristp" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 15)" devices ())
(name "sc4tristq" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 16)" devices ())
(name "sc4tristr" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 17)" devices ())
(name "sc4trists" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 18)" devices ())
(name "sc4tristt" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 19)" devices ())
(name "sc4tristu" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 20)" devices ())
(name "sc4tristv" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 21)" devices ())
(name "sc4tristw" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 22)" devices ())
(name "sc4tristx" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 23)" devices ())
(name "sc4tristy" year "200?" manufacturer "Mazooma" desc "Triple Streak (PR2167) (Mazooma) (Scorpion 4) (set 24)" devices ())
(name "sc4tst" year "200?" manufacturer "BFM" desc "Scorpion 4 Test Rig (Bellfruit) (Scorpion ?)" devices ())
(name "sc4ttomb" year "200?" manufacturer "BFM" desc "Treasure Tomb (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ttomba" year "200?" manufacturer "BFM" desc "Treasure Tomb (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ttombb" year "200?" manufacturer "BFM" desc "Treasure Tomb (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ttombc" year "200?" manufacturer "BFM" desc "Treasure Tomb (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ttp" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ttpa" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ttpb" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ttpc" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ttpd" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ttpe" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ttpf" year "200?" manufacturer "Mazooma" desc "Take The Piste (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ttpie" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 4) (set 1)" devices ())
(name "sc4ttpiea" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 1)" devices ())
(name "sc4ttpieb" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 2)" devices ())
(name "sc4ttpiec" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 4) (set 2)" devices ())
(name "sc4ttpied" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 3)" devices ())
(name "sc4ttpiee" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 4)" devices ())
(name "sc4ttpief" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 5)" devices ())
(name "sc4ttpieg" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1734) (Scorpion 4) (set 6)" devices ())
(name "sc4tub" year "200?" manufacturer "BFM" desc "Tubular Bells (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4tuba" year "200?" manufacturer "BFM" desc "Tubular Bells (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4tubb" year "200?" manufacturer "BFM" desc "Tubular Bells (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4tubc" year "200?" manufacturer "BFM" desc "Tubular Bells (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4twilt" year "200?" manufacturer "BFM" desc "Twilight (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4typ" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4typa" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4typb" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4typc" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ufg" year "200?" manufacturer "Mazooma" desc "Up For Grabs (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ufga" year "200?" manufacturer "Mazooma" desc "Up For Grabs (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ufi" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4ufia" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ufib" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4ufic" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4ufid" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4ufie" year "200?" manufacturer "BFM" desc "Up For It (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4valnv" year "200?" manufacturer "Nova" desc "Valhalla (German) (PR7025, GVAL) (Nova) (Scorpion 4)" devices ())
(name "sc4valqp" year "200?" manufacturer "Qps / Eurocoin" desc "Valhalla (Dutch) (Qps) (Scorpion 4)" devices ())
(name "sc4vivam" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4vivama" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4vivamb" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4vivamc" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4vivcs" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4vivcsa" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4vivcsb" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4vivcsc" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4vivcsd" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4vivcse" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4vivcsf" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4vivcsg" year "200?" manufacturer "BFM" desc "Casino Viva Mexico (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4vmclb" year "200?" manufacturer "BFM" desc "Viva Mexico Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4vmclba" year "200?" manufacturer "BFM" desc "Viva Mexico Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4vmclbb" year "200?" manufacturer "BFM" desc "Viva Mexico Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4vmnv" year "200?" manufacturer "Nova" desc "Viva Mexico (Nova) (Scorpion 4) (set 1)" devices ())
(name "sc4vmnva" year "200?" manufacturer "Nova" desc "Viva Mexico (Nova) (Scorpion 4) (set 2)" devices ())
(name "sc4vrgcl" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4vrgcla" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4vrgclb" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4vrgclc" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4vrgcld" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4vrgcle" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4vrgclf" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4vrgclg" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4vrgclh" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4vrgcli" year "200?" manufacturer "BFM" desc "Very Rich Geezer Club (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4wadzl" year "200?" manufacturer "Mazooma" desc "Wadzilla (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4wadzla" year "200?" manufacturer "Mazooma" desc "Wadzilla (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4wag" year "200?" manufacturer "Mazooma/Nova" desc "WIN-10-Gain (German) (Nova) (Scorpion 4)" devices ())
(name "sc4waw" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4wawa" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4wawb" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4wawc" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4wawd" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4wawe" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4wawf" year "200?" manufacturer "Mazooma" desc "Wet & Wild (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4wdw" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wdwa" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4wdwb" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4wdwc" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4wdwd" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4wdwe" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4wdwf" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4wdwg" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4wdwh" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4wdwi" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4wdwj" year "200?" manufacturer "BFM" desc "Who Dares Wins (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4wernr" year "200?" manufacturer "Nova" desc "Werner (German) (PR7027, GWER) (Nova) (Scorpion 4) (set 1)" devices ())
(name "sc4winsp" year "200?" manufacturer "Qps" desc "Winning Spin Top Box (PR2526, WSPT) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winsp0" year "200?" manufacturer "Qps" desc "Winning Spin Top Box (PR2526, WSPT) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspa" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspb" year "200?" manufacturer "Qps" desc "Winning Spin (V021) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspc" year "200?" manufacturer "Qps" desc "Winning Spin (V031) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspd" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspe" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspf" year "200?" manufacturer "Qps" desc "Winning Spin (V022) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspg" year "200?" manufacturer "Qps" desc "Winning Spin (V032) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winsph" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspi" year "200?" manufacturer "Qps" desc "Winning Spin (V021) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspj" year "200?" manufacturer "Qps" desc "Winning Spin (V031) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspk" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspl" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspm" year "200?" manufacturer "Qps" desc "Winning Spin (V022) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspn" year "200?" manufacturer "Qps" desc "Winning Spin (V032) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspo" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V061) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspp" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V062) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspq" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V012) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4winspr" year "200?" manufacturer "Qps" desc "Winning Spin (V022) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4winsps" year "200?" manufacturer "Qps" desc "Winning Spin (V032) (Qps) (Scorpion 4) (set 3)" devices ())
(name "sc4winspt" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V012) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4winspu" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V061) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspv" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V062) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winspw" year "200?" manufacturer "Qps" desc "Winning Spin (Bingo V012) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4winspx" year "200?" manufacturer "Qps" desc "Winning Spin (V022) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4winspy" year "200?" manufacturer "Qps" desc "Winning Spin (V032) (Qps) (Scorpion 4) (set 4)" devices ())
(name "sc4winspz" year "200?" manufacturer "Qps" desc "Winning Spin (Arcade V012) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4winxp" year "200?" manufacturer "BFM" desc "Win X-plosion (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4wldbn" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wldbna" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4wldbnb" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4wldbnc" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4wldbnd" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 5)" devices ())
(name "sc4wldbne" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 6)" devices ())
(name "sc4wldbnf" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 7)" devices ())
(name "sc4wldbng" year "200?" manufacturer "BFM" desc "Wild Bunch Casino (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wldbnh" year "200?" manufacturer "BFM" desc "Wild Bunch Casino (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4wldbni" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 8)" devices ())
(name "sc4wldbnj" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 9)" devices ())
(name "sc4wldbnk" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 10)" devices ())
(name "sc4wldbnl" year "200?" manufacturer "BFM" desc "Wild Bunch Casino (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4wldbnm" year "200?" manufacturer "BFM" desc "Wild Bunch Casino (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4wldbnn" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 11)" devices ())
(name "sc4wldbno" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 12)" devices ())
(name "sc4wldbnp" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 13)" devices ())
(name "sc4wldbnq" year "200?" manufacturer "BFM" desc "Wild Bunch (Bellfruit) (Scorpion 4) (set 14)" devices ())
(name "sc4wldjk" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4wldjka" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4wldjkb" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4wldjkc" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4wldjkd" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4wldjke" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4wldjkf" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4wldjkg" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc4wondw" year "200?" manufacturer "BFM" desc "Wonder Wheel (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wondwa" year "200?" manufacturer "BFM" desc "Wonder Wheel (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4wrnlt" year "200?" manufacturer "Nova" desc "Werner (German) (PR7027, GWER) (Nova) (Scorpion 4) (set 2)" devices ())
(name "sc4wspin" year "200?" manufacturer "Qps" desc "Win Spinner Arcade (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4wspinb" year "200?" manufacturer "Qps" desc "Win Spinner SP Arcade (011) (Qps) (Scorpion 4) (set 1)" devices ())
(name "sc4wspinc" year "200?" manufacturer "Qps" desc "Win Spinner Arcade (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4wspind" year "200?" manufacturer "Qps" desc "Win Spinner SP Arcade (011) (Qps) (Scorpion 4) (set 2)" devices ())
(name "sc4wtc" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4wtca" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4wtcb" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4wtcc" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4wtcd" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4wtce" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4wtcf" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4wthng" year "200?" manufacturer "BFM" desc "Wild Thing (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wthnga" year "200?" manufacturer "BFM" desc "Wild Thing (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4wthngb" year "200?" manufacturer "BFM" desc "Wild Thing (Bellfruit) (Scorpion 4) (set 3)" devices ())
(name "sc4wthngc" year "200?" manufacturer "BFM" desc "Wild Thing (Bellfruit) (Scorpion 4) (set 4)" devices ())
(name "sc4wthnm" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4wthnma" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4wthnmb" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4wthnmc" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4wthnmd" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4wthnme" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4wthnmf" year "200?" manufacturer "Mazooma" desc "Wild Thing Casino Arcade (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4wwys" year "200?" manufacturer "BFM" desc "Win When Your Spinning (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4wwysa" year "200?" manufacturer "BFM" desc "Win When Your Spinning (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4xcash" year "200?" manufacturer "BFM" desc "Xtra Cash Casino (Dutch) (Bellfruit) (Scorpion 4)" devices ())
(name "sc4xmark" year "200?" manufacturer "BFM" desc "X Marks The Spot (Bellfruit) (Scorpion 4) (set 1)" devices ())
(name "sc4xmarka" year "200?" manufacturer "BFM" desc "X Marks The Spot (Bellfruit) (Scorpion 4) (set 2)" devices ())
(name "sc4ziggy" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 1)" devices ())
(name "sc4ziggya" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 2)" devices ())
(name "sc4ziggyb" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 3)" devices ())
(name "sc4ziggyc" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 4)" devices ())
(name "sc4ziggyd" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 5)" devices ())
(name "sc4ziggye" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 6)" devices ())
(name "sc4ziggyf" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 7)" devices ())
(name "sc4ziggyg" year "200?" manufacturer "Mazooma" desc "Gettin Ziggy With It (Mazooma) (Scorpion 4) (set 8)" devices ())
(name "sc55" year "1991" manufacturer "Roland" desc "Sound Canvas SC-55" devices ())
(name "sc55mk2" year "1994" manufacturer "Roland" desc "Sound Canvas SC-55mkii" devices ())
(name "sc5_3414" year "200?" manufacturer "BFM" desc "Bullseye Hot Arrows (Scorpion 5)" devices ())
(name "sc5_3434" year "200?" manufacturer "BFM" desc "Monopoly Takeover (Scorpion 5)" devices ())
(name "sc5_3435" year "200?" manufacturer "BFM" desc "Monopoly Street Party (Scorpion 5)" devices ())
(name "sc5_3437" year "200?" manufacturer "BFM" desc "Red Hot Silly Peppers Community Party (Scorpion 5)" devices ())
(name "sc5_3438" year "200?" manufacturer "BFM" desc "Juicy Gems Community Party (Scorpion 5)" devices ())
(name "sc5_3450" year "200?" manufacturer "BFM" desc "Deal or no Deal Let's Play (Scorpion 5)" devices ())
(name "sc5_3451" year "200?" manufacturer "BFM" desc "Deal or no Deal Gold (Scorpion 5)" devices ())
(name "sc5_3508" year "200?" manufacturer "BFM" desc "Club DOND Red Mist (Scorpion 5)" devices ())
(name "sc5_3510" year "200?" manufacturer "BFM" desc "Deal or no Deal Red Hot (Scorpion 5)" devices ())
(name "sc5_3511" year "200?" manufacturer "BFM" desc "Deal or no Deal Spank the Banker (Scorpion 5)" devices ())
(name "sc5_3512" year "200?" manufacturer "BFM" desc "Monopoly Gold (Bellfruit) (Scorpion 5)" devices ())
(name "sc5_3513" year "200?" manufacturer "BFM" desc "Deal or no Deal Right Deal Right Time (Scorpion 5)" devices ())
(name "sc5_3514" year "200?" manufacturer "BFM" desc "Deal or no Deal Rapid Round (Scorpion 5)" devices ())
(name "sc5_3515" year "200?" manufacturer "BFM" desc "777 Heaven (Scorpion 5)" devices ())
(name "sc5_3516" year "200?" manufacturer "BFM" desc "Cash Ahoy (Scorpion 5)" devices ())
(name "sc5_3517" year "200?" manufacturer "BFM" desc "Deal or no Deal East and West Wing (Scorpion 5)" devices ())
(name "sc5_3518" year "200?" manufacturer "BFM" desc "Deal or no Deal Bank On It (Scorpion 5)" devices ())
(name "sc5_3519" year "200?" manufacturer "BFM" desc "Deal or no Deal Eliminator (Scorpion 5)" devices ())
(name "sc5_3520" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Street Wise (Scorpion 5)" devices ())
(name "sc5_3524" year "200?" manufacturer "BFM" desc "Cluedo Prime Suspect (Scorpion 5)" devices ())
(name "sc5_3525" year "200?" manufacturer "BFM" desc "Happy Hour (Scorpion 5)" devices ())
(name "sc5_3530" year "200?" manufacturer "BFM" desc "Club Cash Ahoy (Scorpion 5)" devices ())
(name "sc5_3551" year "200?" manufacturer "BFM" desc "Deal or no Deal Seal the Deal (Scorpion 5)" devices ())
(name "sc5_3552" year "200?" manufacturer "BFM" desc "Snakes and Ladders (Scorpion 5)" devices ())
(name "sc5_3553" year "200?" manufacturer "BFM" desc "Deal or no Deal Go All the Way (Scorpion 5)" devices ())
(name "sc5_3555" year "200?" manufacturer "BFM" desc "Family Guy The Drunken Clam (Scorpion 5)" devices ())
(name "sc5_3557" year "200?" manufacturer "BFM" desc "Deal or no Deal Live (Scorpion 5)" devices ())
(name "sc5_z057" year "200?" manufacturer "BFM" desc "Quidsia (Scorpion 5)" devices ())
(name "sc5_z058" year "200?" manufacturer "BFM" desc "Wok 'n' Roll (Scorpion 5)" devices ())
(name "sc5_z059" year "200?" manufacturer "BFM" desc "Aladdin (Scorpion 5)" devices ())
(name "sc5_z060" year "200?" manufacturer "BFM" desc "Hard Dk (Scorpion 5)" devices ())
(name "sc5a40" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5a40a" year "200?" manufacturer "Mazooma" desc "Around The Board In 40 Days (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5adga" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5adgaa" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5adgab" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5adgac" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5adgad" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5adgae" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Ads (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5adgtc" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Cash (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5adgtca" year "200?" manufacturer "BFM" desc "Ant & Dec's Grab The Cash (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5adjb" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5adjba" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5adjbb" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5adjbc" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5adjbd" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5adjbe" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5adjbf" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5adjbg" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5adjbh" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5adjbi" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5adjbj" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5adjbk" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5adjbl" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5adjbm" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5adjbn" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5adjbo" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5adjbp" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5adjbq" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5adjbr" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5adjbs" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5adjbt" year "200?" manufacturer "BFM" desc "Ant & Dec's Jiggy Bank (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5adsnt" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5adsnta" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5adwta" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway Win The Ads (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5adwtaa" year "200?" manufacturer "BFM" desc "Ant & Dec's Saturday Night Takeaway Win The Ads (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bantm" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5bantma" year "200?" manufacturer "Mazooma" desc "Bantam Of The Opera (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5bar7" year "200?" manufacturer "BFM" desc "Bar 7's (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bar7a" year "200?" manufacturer "BFM" desc "Bar 7's (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bar7b" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bar7c" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bar7d" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bar7e" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bar7f" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5bar7g" year "200?" manufacturer "BFM" desc "Bar 7's Bingo (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5batl" year "200?" manufacturer "BFM" desc "Battleships & Cruisers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5batla" year "200?" manufacturer "BFM" desc "Battleships & Cruisers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bjob" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bjoba" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bjobb" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bjobc" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bjobd" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5bjobe" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5bjobf" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5bjobg" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5bjobh" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5bjobi" year "200?" manufacturer "BFM" desc "Bank Job (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5bkngx" year "200?" manufacturer "Mazooma" desc "Bar King X (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5bkngxa" year "200?" manufacturer "Mazooma" desc "Bar King X (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5bob" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5boba" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5bobb" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5bobc" year "200?" manufacturer "Mazooma" desc "Bobby Dazzler (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5bpb" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bpba" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5bpbb" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bpbc" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5bpbd" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bpbe" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bpbf" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5bpbg" year "200?" manufacturer "BFM" desc "Bully's Prize Board (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5bpfpb" year "200?" manufacturer "BFM" desc "Bullseye Pounds For Points (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bpfpba" year "200?" manufacturer "BFM" desc "Bullseye Pounds For Points (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bsp" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bspa" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bspb" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bspc" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bspd" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5bspe" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5bspf" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5bspg" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5bsph" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5bspi" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5bspj" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3012) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bspk" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3012) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bspl" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5bspm" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5bspn" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5bspo" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5bspp" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5bspq" year "200?" manufacturer "BFM" desc "Bully's Star Prize (PR3010) (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5btiab" year "200?" manufacturer "BFM" desc "Bullseye Three In A Bed (Bellfruit) (Scorpion 5)" devices ())
(name "sc5btrip" year "200?" manufacturer "BFM" desc "Bullseye Triple (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5btripa" year "200?" manufacturer "BFM" desc "Bullseye Triple (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5btripb" year "200?" manufacturer "BFM" desc "Bullseye Triple (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5btripc" year "200?" manufacturer "BFM" desc "Bullseye Triple (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bucc" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bucca" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5buccb" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5buccc" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5buccd" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5bucce" year "200?" manufacturer "BFM" desc "Buccaneers (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5bull" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bull5" year "200?" manufacturer "BFM" desc "Bullseye 5 Reels (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5bull5a" year "200?" manufacturer "BFM" desc "Bullseye 5 Reels (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bull5b" year "200?" manufacturer "BFM" desc "Bullseye 5 Reels (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bull5c" year "200?" manufacturer "BFM" desc "Bullseye 5 Reels (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bulla" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5bullb" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5bullc" year "200?" manufacturer "BFM" desc "Bullseye (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5bunny" year "200?" manufacturer "Mazooma" desc "Bunny Money (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5bunnya" year "200?" manufacturer "Mazooma" desc "Bunny Money (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5butch" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5butcha" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5butchb" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5butchc" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5butchd" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5butche" year "200?" manufacturer "BFM" desc "Butch Cashidy & The Sundance Quid (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5cabin" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5cabina" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5cabinb" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5cabinc" year "200?" manufacturer "Mazooma" desc "Cabin Fever (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5cari" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5caria" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5carib" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5caric" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5carid" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 5)" devices ())
(name "sc5carie" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 6)" devices ())
(name "sc5carif" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 7)" devices ())
(name "sc5carig" year "200?" manufacturer "Qps" desc "Caribbean Cash (Qps) (Scorpion 5) (set 8)" devices ())
(name "sc5casxt" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5casxta" year "200?" manufacturer "Mazooma" desc "Casino Xtravaganza (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5cbar7" year "200?" manufacturer "Mazooma" desc "Classic Bar 7 (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5cbar7a" year "200?" manufacturer "Mazooma" desc "Classic Bar 7 (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5cblas" year "200?" manufacturer "BFM" desc "Cash Blast (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cblasa" year "200?" manufacturer "BFM" desc "Cash Blast (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cbrun" year "200?" manufacturer "BFM" desc "Cannonball Run (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cbruna" year "200?" manufacturer "BFM" desc "Cannonball Run (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5celeb" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5celeba" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5celebb" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5celebc" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5celebd" year "200?" manufacturer "BFM" desc "I'm A Celebrity (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5cfact" year "200?" manufacturer "BFM" desc "Cash Factor (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cfacta" year "200?" manufacturer "BFM" desc "Cash Factor (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cfcp" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cfcpa" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cfcpb" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cfcpc" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5cfcpd" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5cfcpe" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5cfcpf" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5cfcpg" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5cfcph" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5cfcpi" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5cfcpj" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5cfcpk" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5cfcpl" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5cfcpm" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5cfcpn" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5cfcpo" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5cfcpp" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5cfcpq" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5cfcpr" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5cfcps" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5cfcpt" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5cfcpu" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5cfcpv" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 23)" devices ())
(name "sc5cfcpw" year "200?" manufacturer "BFM" desc "Crazy Fruits Community Party (Bellfruit) (Scorpion 5) (set 24)" devices ())
(name "sc5cfnc" year "200?" manufacturer "BFM" desc "Crazy Fruit & Nutcase (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cfnca" year "200?" manufacturer "BFM" desc "Crazy Fruit & Nutcase (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cfpt" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cfpta" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cfptb" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cfptc" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5cfptd" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5cfpte" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5cfptf" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5cfptg" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5cfpth" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5cfpti" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5cfptj" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5cfptk" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5cfptl" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5cfptm" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5cfptn" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5cfpto" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5cfptp" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5cfptq" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5cfptr" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5cfpts" year "200?" manufacturer "BFM" desc "Crazy Fruits Casino Party Time (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5chain" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5chaina" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5chainb" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5chainc" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5chaind" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5chaine" year "200?" manufacturer "BFM" desc "Chain Reaction (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5chavi" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5chavia" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5chavib" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5chavic" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5chavid" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5chavie" year "200?" manufacturer "BFM" desc "Chav It (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5chavy" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5chavya" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5chavyb" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5chavyc" year "200?" manufacturer "Mazooma" desc "Chavy Chase (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5chopc" year "200?" manufacturer "Mazooma" desc "Chop 'n' Change (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5chopca" year "200?" manufacturer "Mazooma" desc "Chop 'n' Change (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5cj" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cja" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cjb" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cjc" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5cjd" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5cje" year "200?" manufacturer "BFM" desc "Cool Jewels (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5cjqps" year "200?" manufacturer "QPS" desc "Crown Jewels (Z055) (QPS) (Scorpion 5) (set 1)" devices ())
(name "sc5cjqpsa" year "200?" manufacturer "QPS" desc "Crown Jewels (Z055) (QPS) (Scorpion 5) (set 2)" devices ())
(name "sc5cjqpsb" year "200?" manufacturer "QPS" desc "Crown Jewels (Z055) (QPS) (Scorpion 5) (set 3)" devices ())
(name "sc5cjqpsc" year "200?" manufacturer "QPS" desc "Crown Jewels (Z055) (QPS) (Scorpion 5) (set 4)" devices ())
(name "sc5cknig" year "200?" manufacturer "BFM" desc "Crazy Knights (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ckniga" year "200?" manufacturer "BFM" desc "Crazy Knights (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cknigb" year "200?" manufacturer "BFM" desc "Crazy Knights (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cknigc" year "200?" manufacturer "BFM" desc "Crazy Knights (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5clcas" year "200?" manufacturer "Mazooma" desc "Cluedo Casino (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5clcasa" year "200?" manufacturer "Mazooma" desc "Cluedo Casino (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5clnot" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5clnota" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5clnotb" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5clnotc" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5clnotd" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5clnote" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5clnotf" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5clnotg" year "200?" manufacturer "BFM" desc "Cluedo Notorious (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5clown" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5clowna" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5clownb" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5clownc" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5clownd" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5clowne" year "200?" manufacturer "BFM" desc "Clown Around (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5clu70" year "200?" manufacturer "Qps" desc "Cluedo 70 (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5clu70a" year "200?" manufacturer "Qps" desc "Cluedo 70 (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5clue" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5cluea" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5clueb" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5cluec" year "200?" manufacturer "Mazooma" desc "Cluedo (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5clus" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5clusa" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5clusb" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5clusc" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5clusd" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5cluse" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5clusf" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5clusg" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5clush" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 9)" devices ())
(name "sc5clusi" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 10)" devices ())
(name "sc5clusj" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 11)" devices ())
(name "sc5clusk" year "200?" manufacturer "Mazooma" desc "Cluedo The Usual Suspects (Mazooma) (Scorpion 5) (set 12)" devices ())
(name "sc5cmani" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cmania" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cmanib" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cmanic" year "200?" manufacturer "BFM" desc "Colour Mania (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5cmcob" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust Club (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5cmcoba" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust Club (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5cmcobb" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust Club (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5cmcobc" year "200?" manufacturer "Qps" desc "Monte Carlo Or Bust Club (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5colmo" year "200?" manufacturer "BFM" desc "Colour Of Money (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5colmoa" year "200?" manufacturer "BFM" desc "Colour Of Money (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5colmob" year "200?" manufacturer "BFM" desc "Colour Of Money (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5colmoc" year "200?" manufacturer "BFM" desc "Colour Of Money (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5copsr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5copsra" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5copsrb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5copsrc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5copsrd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5copsre" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5copsrf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5copsrg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5copsrh" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5copsri" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5coro" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5coro0" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5coro1" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V013) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5coroa" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5corob" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Arcade (V061) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5coroc" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5corod" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5coroe" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5corof" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5corog" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5coroh" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5coroi" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5coroj" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Arcade (V063) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5corok" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5corol" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5corom" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5coron" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Arcade (V061) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5coroo" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5corop" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5coroq" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5coror" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5coros" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5corot" year "200?" manufacturer "Mazooma" desc "Coronation Street Single (PR2252) (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5corou" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V012) (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5corov" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Arcade (V063) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5corow" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5corox" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple (PR2249) (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5coroy" year "200?" manufacturer "Mazooma" desc "Coronation Street (PR2252) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5coroz" year "200?" manufacturer "Mazooma" desc "Coronation Street Triple Bingo (V013) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5corst" year "200?" manufacturer "BFM" desc "Coronation Street (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5corsta" year "200?" manufacturer "BFM" desc "Coronation Street (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5corstb" year "200?" manufacturer "BFM" desc "Coronation Street (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5corstc" year "200?" manufacturer "BFM" desc "Coronation Street (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5count" year "200?" manufacturer "BFM" desc "Countdown (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5counta" year "200?" manufacturer "BFM" desc "Countdown (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cpays" year "200?" manufacturer "BFM" desc "Crazy Pays (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cpaysa" year "200?" manufacturer "BFM" desc "Crazy Pays (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cpen1" year "200?" manufacturer "BFM" desc "Public Enemy No1 Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cpen1a" year "200?" manufacturer "BFM" desc "Public Enemy No1 Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5cpen1b" year "200?" manufacturer "BFM" desc "Public Enemy No1 Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5cpen1c" year "200?" manufacturer "BFM" desc "Public Enemy No1 Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5craid" year "200?" manufacturer "Mazooma" desc "Cash Raider (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5craida" year "200?" manufacturer "Mazooma" desc "Cash Raider (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5crcpt" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Community Party (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crcpta" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Community Party (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crcptb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Community Party (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5crnjw" year "2004" manufacturer "BFM" desc "Crown Jewels (PR1608) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crnjwa" year "2004" manufacturer "BFM" desc "Crown Jewels (PR1608) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crnjwb" year "2004" manufacturer "BFM" desc "Crown Jewels (PR1608) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5crotr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers On The Run (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crotra" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers On The Run (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crsc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crsca" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crscb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5crscc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5crscd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5crsce" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5crscf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5crscg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5crsch" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5crsci" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5crscj" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5crsck" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5crscl" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5crscm" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5crscn" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5crsco" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5crscp" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5crscq" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5crscr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5crscs" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5crsct" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5crscu" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Safe Cracker (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5crsgc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crsgca" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crsgcb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5crsgcc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5crsgr" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5crsgra" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5crsgrb" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5crsgrc" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5crsgrd" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5crsgre" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5crsgrf" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5crsgrg" year "200?" manufacturer "BFM" desc "Cops 'n' Robbers Smash 'n' Grab (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5ctit" year "200?" manufacturer "BFM" desc "Cash Of The Titans (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ctita" year "200?" manufacturer "BFM" desc "Cash Of The Titans (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ctl" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ctla" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ctlb" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5ctlc" year "200?" manufacturer "BFM" desc "Cop The Lot (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5cvega" year "200?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5cvegaa" year "200?" manufacturer "BFM" desc "Cash Vegas (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5czfr" year "200?" manufacturer "QPS" desc "Fruit Crazy Triple / Crazy Keys (QPS) (Scorpion 5)" devices ())
(name "sc5ddbbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ddbbca" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ddbbcb" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5ddbbcc" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5ddbbcd" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5ddbbce" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5ddbbcf" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5ddbbcg" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Casino (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5ddosh" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ddosha" year "200?" manufacturer "BFM" desc "Doctor Dosh (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ddply" year "200?" manufacturer "BFM" desc "Deal or No Deal Player's Choice (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ddplya" year "200?" manufacturer "BFM" desc "Deal or No Deal Player's Choice (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ddptg" year "200?" manufacturer "BFM" desc "Deal or No Deal Play The Game (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ddptga" year "200?" manufacturer "BFM" desc "Deal or No Deal Play The Game (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ddptgb" year "200?" manufacturer "BFM" desc "Deal or No Deal Play The Game (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5ddptgc" year "200?" manufacturer "BFM" desc "Deal or No Deal Play The Game (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5devil" year "200?" manufacturer "Mazooma" desc "Devil Of A Deal (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5devila" year "200?" manufacturer "Mazooma" desc "Devil Of A Deal (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5devilb" year "200?" manufacturer "Mazooma" desc "Devil Of A Deal (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5devilc" year "200?" manufacturer "Mazooma" desc "Devil Of A Deal (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5dhh" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dhha" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dhhb" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dhhc" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dhhd" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dhhe" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dhhf" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dhhg" year "200?" manufacturer "BFM" desc "Dough Ho Ho (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dmine" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dminea" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dmineb" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dminec" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dmined" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dminee" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dminef" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dmineg" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dmineh" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dminei" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dminej" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dminek" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dminel" year "2002" manufacturer "BFM" desc "Diamond Mine (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dnd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnda" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndb" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbb" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbba" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbbb" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbbd" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbbe" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbbf" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbbg" year "200?" manufacturer "BFM" desc "Deal or No Deal Break The Bank (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbca" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbcb" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbcc" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbcd" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbce" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbcf" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbcg" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndbch" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndbci" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndbcj" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndbck" year "200?" manufacturer "BFM" desc "Deal or No Deal Box Clever (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndbd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbda" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbdb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbdc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbdd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbde" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbdf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbdg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndbdh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndbdi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Deal (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndbe" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbea" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbeb" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbec" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbed" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbee" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbef" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbeg" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndbeh" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndbei" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndbej" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndbek" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndbel" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndbem" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndben" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndbl" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbla" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndblb" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndblc" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbld" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndble" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndblf" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndblg" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndblh" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndbli" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndblj" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndblk" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndbll" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndblm" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndbln" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndblo" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndblp" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndblq" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndblr" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndbls" year "200?" manufacturer "BFM" desc "Deal or No Deal Beat The Banker Club (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndbo" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndboa" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbob" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndboc" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbod" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndboe" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbof" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbog" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndboh" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndboi" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndboj" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndbok" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndbol" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndbom" year "200?" manufacturer "BFM" desc "Deal or No Deal Banker's Bonus (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndbq" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbqa" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbqb" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbqc" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbqd" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbqe" year "200?" manufacturer "Qps" desc "Deal or No Deal Beat The Banker (Qps) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbra" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbrb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndbrc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndbrd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbre" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndbrf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbrg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbrh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndbri" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndbrj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbrk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3018) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndbrl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndbrm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndbrn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndbro" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndbrp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndbrq" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndbrr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndbrs" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndbrt" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndbru" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndbrv" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndbrw" year "200?" manufacturer "BFM" desc "Deal or No Deal The Big Reds (PR3011) (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndc" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndc2" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndc2a" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndc2b" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndc2c" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndc2d" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndc2e" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndc2f" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndc2g" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndc2h" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndc2i" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndc2j" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndc2k" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndc2l" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndc2m" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndc2n" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndc2o" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndc2p" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndc2q" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndc2r" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndc2s" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndc2t" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndc2u" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5dndc2v" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 23)" devices ())
(name "sc5dndc2w" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1964) (Bellfruit) (Scorpion 5) (set 24)" devices ())
(name "sc5dndc3" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1965) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndc3a" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1965) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndc3b" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1965) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndc3c" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1965) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndca" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3250) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcaa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3250) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcab" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3250) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndcac" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3250) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndcad" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3362) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcae" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair Arcade (PR3362) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcb" year "200?" manufacturer "BFM" desc "Deal or No Deal Club Beat The Banker (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcba" year "200?" manufacturer "BFM" desc "Deal or No Deal Club Beat The Banker (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcca" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndccb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndccc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndccd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndcce" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndccf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndccg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndcch" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndcci" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndccj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndcck" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndccl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndccm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndccn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndcco" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndccp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndccq" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndccr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Crazy Chair (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndcl" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcla" year "200?" manufacturer "BFM" desc "Deal or No Deal Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcr" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcra" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcrb" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndcrc" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndcrd" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndcre" year "200?" manufacturer "BFM" desc "Deal or No Deal Cops 'n' Robbers (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndcs" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndcsa" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndcsb" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndcsc" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndcsd" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndcse" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndcsf" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndcsg" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndcsh" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndcsi" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndcsj" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndcsk" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndcsl" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndcsm" year "200?" manufacturer "BFM" desc "Deal or No Deal Casino (PR1954) (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndd" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddda" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndddb" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndddc" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndddd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddde" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndddf" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndddg" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndddh" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndddi" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Deal or No Deal (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndde" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddea" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddeb" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddec" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndded" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddee" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dnddef" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dnddeg" year "200?" manufacturer "BFM" desc "Deal or No Deal Desert Island Deal (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dnddf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddfa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddfb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddfc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dnddfd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddfe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dnddff" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dnddfg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dnddfh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dnddfi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dnddfj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dnddfk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dnddfl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dnddfm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dnddfn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Dream Factory (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dnddi" year "200?" manufacturer "BFM" desc "Deal or No Deal Diamond (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddia" year "200?" manufacturer "BFM" desc "Deal or No Deal Diamond (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddib" year "200?" manufacturer "BFM" desc "Deal or No Deal Diamond (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddic" year "200?" manufacturer "BFM" desc "Deal or No Deal Diamond (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dnddo" year "200?" manufacturer "BFM" desc "Deal or No Deal Dream Offer (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddoa" year "200?" manufacturer "BFM" desc "Deal or No Deal Dream Offer (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddob" year "200?" manufacturer "BFM" desc "Deal or No Deal Dream Offer (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddoc" year "200?" manufacturer "BFM" desc "Deal or No Deal Dream Offer (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dnddt" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddta" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddtb" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddtc" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dnddtd" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddte" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dnddtf" year "200?" manufacturer "BFM" desc "Deal or No Deal Double Take (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dnddw" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dnddwa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dnddwb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dnddwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dnddwd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dnddwe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dnddwf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dnddwg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dnddwh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dnddwi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dnddwj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Deal Wheel (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dnde" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndf" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndfl" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3432) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndfla" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3432) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndflb" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3309) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndflc" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3309) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndfld" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3309) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndfle" year "200?" manufacturer "BFM" desc "Deal or No Deal Feeling Lucky (PR3309) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndg" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndgl" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndgla" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndglb" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndglc" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndgld" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndgle" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndglf" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndglg" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndglh" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndgli" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndglj" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndglk" year "200?" manufacturer "BFM" desc "Deal or No Deal Gold (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndgo" year "200?" manufacturer "BFM" desc "Deal or No Deal Game On (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndgoa" year "200?" manufacturer "BFM" desc "Deal or No Deal Game On (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndh" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndhf" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndhfa" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndhfb" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndhfc" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndhfd" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndhfe" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndhff" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndhfg" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndhfh" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndhfi" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndhfj" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndhfk" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndhfl" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndhfm" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndhfn" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndhfo" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndhfp" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndhfq" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndhfr" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndhfs" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndhft" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndhfu" year "200?" manufacturer "BFM" desc "Deal or No Deal Hall Of Fame (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5dndi" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndj" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndk" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndl" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndld" year "200?" manufacturer "BFM" desc "Deal or No Deal Live The Dream (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndlda" year "200?" manufacturer "BFM" desc "Deal or No Deal Live The Dream (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndldb" year "200?" manufacturer "BFM" desc "Deal or No Deal Live The Dream (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndldc" year "200?" manufacturer "BFM" desc "Deal or No Deal Live The Dream (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndlp" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndlpa" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndlpb" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndlpc" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndlpd" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndlpe" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndlpf" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndlpg" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndlph" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndlpi" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndlpj" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndlpk" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndlpl" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndlpm" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndlpn" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndlpo" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndlpp" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndlpq" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndlpr" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndlps" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndlpt" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndlpu" year "200?" manufacturer "BFM" desc "Deal or No Deal Let's Play Deal or No Deal (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5dndm" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndmb" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndmba" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndmbb" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndmbc" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndmbd" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndmbe" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndmbf" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndmbg" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndmbh" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndmbi" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndmbj" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndmbk" year "200?" manufacturer "BFM" desc "Deal or No Deal Make Or Break (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndmd" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndmda" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndmdb" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3496) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndmdc" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3496) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndmdd" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndmde" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndmdf" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndmdg" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3496) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndmdh" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3496) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndmdi" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndmdj" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndmdk" year "200?" manufacturer "BFM" desc "Deal or No Deal Mega Deal or No Deal (PR3411) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndn" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndo" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndp" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndpa" year "200?" manufacturer "BFM" desc "Deal or No Deal Play It Again (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndpaa" year "200?" manufacturer "BFM" desc "Deal or No Deal Play It Again (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndpab" year "200?" manufacturer "BFM" desc "Deal or No Deal Play It Again (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndpac" year "200?" manufacturer "BFM" desc "Deal or No Deal Play It Again (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndpc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Players Choice (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndpca" year "200?" manufacturer "BFM" desc "Deal or No Deal The Players Choice (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndpd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndpda" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndpdb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndpdc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndpdd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndpde" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Deal (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndpg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndpga" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndpgb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndpgc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndpgd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndpge" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndpgf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndpgg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndpgh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndpgi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndpgj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndpgk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndpgl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndpgm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndpgn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndpgo" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndpgp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndpgq" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndpgr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndpgs" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndpgt" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndpgu" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5dndpgv" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 23)" devices ())
(name "sc5dndpgw" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game (Bellfruit) (Scorpion 5) (set 24)" devices ())
(name "sc5dndpl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game Classic (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndpla" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game Classic (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndplb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game Classic (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndplc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Perfect Game Classic (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndq" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndr" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndra" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndraa" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndrab" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndrac" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndrad" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndrae" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndraf" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndrag" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndrah" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndrai" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndraj" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndrak" year "200?" manufacturer "BFM" desc "Deal or No Deal Red Alert (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndrr" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndrra" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndrrb" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndrrc" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndrrd" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndrre" year "200?" manufacturer "BFM" desc "Deal or No Deal Road To Riches (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndrt" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndrta" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndrtb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndrtc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndrtd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndrte" year "200?" manufacturer "BFM" desc "Deal or No Deal The Banker Rings Twice (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dnds" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndsi" year "200?" manufacturer "BFM" desc "Deal or No Deal Simply Deal or No Deal (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndsia" year "200?" manufacturer "BFM" desc "Deal or No Deal Simply Deal or No Deal (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndsib" year "200?" manufacturer "BFM" desc "Deal or No Deal Simply Deal or No Deal (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndsic" year "200?" manufacturer "BFM" desc "Deal or No Deal Simply Deal or No Deal (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndsid" year "200?" manufacturer "BFM" desc "Deal or No Deal Simply Deal or No Deal (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndt" year "200?" manufacturer "BFM" desc "Deal or No Deal (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndtb" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Big (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndtba" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Big (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndtp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndtpa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndtpb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndtpc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndtpd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndtpe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndtpf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndtpg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndtph" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndtpi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndtpj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndtpk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndtpl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndtpm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndtpn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndtpo" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndtpp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndtpq" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndtpr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndtps" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndtpt" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5dndtpu" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5dndtpv" year "200?" manufacturer "BFM" desc "Deal or No Deal The Power (Bellfruit) (Scorpion 5) (set 23)" devices ())
(name "sc5dndtr" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndtra" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndtrb" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndtrc" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndtrd" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndtre" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndtrf" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndtrg" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndtrh" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndtri" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndtrj" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndtrk" year "200?" manufacturer "BFM" desc "Deal or No Deal Think Red (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndwb" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndwba" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndwbb" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndwbc" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndwbd" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndwbe" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndwbf" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndwbg" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndwbh" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndwbi" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndwbj" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndwbk" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndwbl" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndwbm" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndwbn" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndwbo" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndwbp" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndwbq" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndwbr" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndwbs" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndwca" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndwcb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndwcc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndwcd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndwce" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndwcf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndwcg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth Classic (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndwi" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndwia" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndwib" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndwic" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndwid" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndwie" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndwif" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndwig" year "200?" manufacturer "BFM" desc "Deal or No Deal What's In Your Box Casino (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndww" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndwwa" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndwwb" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndwwc" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndwwd" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndwwe" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndwwf" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndwwg" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndwwh" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dndwwi" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5dndwwj" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5dndwwk" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5dndwwl" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5dndwwm" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5dndwwn" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5dndwwo" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5dndwwp" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5dndwwq" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5dndwwr" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5dndwws" year "200?" manufacturer "BFM" desc "Deal or No Deal The Walk Of Wealth (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5dndys" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dndysa" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dndysb" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5dndysc" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5dndysd" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5dndyse" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5dndysf" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5dndysg" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5dndysh" year "200?" manufacturer "BFM" desc "Deal or No Deal It's Your Show (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5dough" year "200?" manufacturer "BFM" desc "Dough Selecta (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dougha" year "200?" manufacturer "BFM" desc "Dough Selecta (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5dracp" year "200?" manufacturer "BFM" desc "Drac Pack (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5dracpa" year "200?" manufacturer "BFM" desc "Drac Pack (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ducks" year "200?" manufacturer "Mazooma" desc "Ducks Of Hazzard (Mazooma) (Scorpion 5)" devices ())
(name "sc5emmer" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5emmera" year "200?" manufacturer "Mazooma" desc "Emmerdale (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5fast" year "200?" manufacturer "Qps" desc "Fast Cash (Qps) (Scorpion 5)" devices ())
(name "sc5fbspn" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fbspna" year "200?" manufacturer "BFM" desc "Fat Boy Spin (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fdice" year "200?" manufacturer "BFM" desc "Fire 'n' Dice (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fdicea" year "200?" manufacturer "BFM" desc "Fire 'n' Dice (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fgbh" year "200?" manufacturer "BFM" desc "Family Guy Booze Hound (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fgbha" year "200?" manufacturer "BFM" desc "Family Guy Booze Hound (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fgbhb" year "200?" manufacturer "BFM" desc "Family Guy Booze Hound (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5fgbhc" year "200?" manufacturer "BFM" desc "Family Guy Booze Hound (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5fggp" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fggpa" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fggpb" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5fggpc" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5fggpd" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5fggpe" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5fggpf" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5fggpg" year "200?" manufacturer "BFM" desc "Family Guy Griffin Plumbing (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5fguy" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fguya" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fguyb" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5fguyc" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5fguyd" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5fguye" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5fguyf" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5fguyg" year "200?" manufacturer "BFM" desc "Family Guy (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5fires" year "200?" manufacturer "BFM" desc "Firestarter (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5firesa" year "200?" manufacturer "BFM" desc "Firestarter (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5firesb" year "200?" manufacturer "BFM" desc "Firestarter (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5firesc" year "200?" manufacturer "BFM" desc "Firestarter (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5floop" year "200?" manufacturer "Mazooma" desc "Fruit Loops (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5floopa" year "200?" manufacturer "Mazooma" desc "Fruit Loops (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5fmj" year "200?" manufacturer "Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5fmja" year "200?" manufacturer "Mazooma" desc "Full Metal Jackpot (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5fnclb" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5fnclba" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5fnclbb" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5fnclbc" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5fnclbd" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5fnclbe" year "200?" manufacturer "BFM" desc "Fight Night Club (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5frcrz" year "200?" manufacturer "Mazooma" desc "Fruit Crazy (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5frcrza" year "200?" manufacturer "Mazooma" desc "Fruit Crazy (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ftcas" year "200?" manufacturer "Mazooma" desc "Flash The Cash (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ftcasa" year "200?" manufacturer "Mazooma" desc "Flash The Cash (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5gball" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gballa" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gballb" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5gballc" year "200?" manufacturer "BFM" desc "Golden Balls (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5gd" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gda" year "200?" manufacturer "BFM" desc "Gold Digger (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gdclb" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gdclba" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gdclbb" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5gdclbc" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5gdclbd" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5gdclbe" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5gdclbf" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5gdclbg" year "200?" manufacturer "BFM" desc "Gold Digger Club (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5gdclbh" year "200?" manufacturer "BFM" desc "Gold Digger (PR3509) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gdclbi" year "200?" manufacturer "BFM" desc "Gold Digger (PR3509) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gdclbj" year "200?" manufacturer "BFM" desc "Gold Digger Club (PR3429) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gdclbk" year "200?" manufacturer "BFM" desc "Gold Digger Club (PR3429) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gdmz" year "200?" manufacturer "Mazooma" desc "Gold Diggers (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5gdmza" year "200?" manufacturer "Mazooma" desc "Gold Diggers (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ggame" year "200?" manufacturer "Mazooma" desc "Golden Game (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ggamea" year "200?" manufacturer "Mazooma" desc "Golden Game (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ggameb" year "200?" manufacturer "Mazooma" desc "Golden Game (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5ggamec" year "200?" manufacturer "Mazooma" desc "Golden Game (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5ggamed" year "200?" manufacturer "Mazooma" desc "Golden Game (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5ggg" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ggga" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5gggb" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5gggc" year "200?" manufacturer "Mazooma" desc "Grand Golden Game (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5glad" year "200?" manufacturer "Mazooma" desc "Gladiator (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5glada" year "200?" manufacturer "Mazooma" desc "Gladiator (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5gladb" year "200?" manufacturer "Mazooma" desc "Gladiator (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5gladc" year "200?" manufacturer "Mazooma" desc "Gladiator (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5gldfv" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gldfva" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gldfvb" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5gldfvc" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5gldfvd" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5gldfve" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5gldfvf" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5gldfvg" year "200?" manufacturer "BFM" desc "Gold Fever (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5gldgo" year "200?" manufacturer "BFM" desc "Golden Goals (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gldgoa" year "200?" manufacturer "BFM" desc "Golden Goals (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gldsp" year "200?" manufacturer "Mazooma" desc "Golden Spinner (PR2203) (Mazooma) (Scorpion 5)" devices ())
(name "sc5gldspa" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5gldspb" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5gldspc" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5gldspd" year "200?" manufacturer "Mazooma" desc "Golden Spinner Arcade (061) (PR2546) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5gldspe" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5gldspf" year "200?" manufacturer "Mazooma" desc "Golden Spinner Arcade (061) (PR2546) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5gldspg" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5gldsph" year "200?" manufacturer "Mazooma" desc "Golden Spinner Arcade (061) (PR2546) (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5gldspi" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5gldspj" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5gldspk" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5gldspl" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 9)" devices ())
(name "sc5gldspm" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 10)" devices ())
(name "sc5gldspn" year "200?" manufacturer "Mazooma" desc "Golden Spinner Arcade (061) (PR2546) (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5gldspo" year "200?" manufacturer "Mazooma" desc "Golden Spinner Bingo (011) (PR2546) (Mazooma) (Scorpion 5) (set 11)" devices ())
(name "sc5gldspp" year "200?" manufacturer "Mazooma" desc "Golden Spinner Arcade (061) (PR2546) (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5gmclb" year "200?" manufacturer "BFM" desc "Grand Master Cash (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gmclba" year "200?" manufacturer "BFM" desc "Grand Master Cash (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gmclbb" year "200?" manufacturer "BFM" desc "Grand Master Cash (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5gmclbc" year "200?" manufacturer "BFM" desc "Grand Master Cash (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5grq" year "200?" manufacturer "BFM" desc "Get Rich Quick (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5grqa" year "200?" manufacturer "BFM" desc "Get Rich Quick (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5grqb" year "200?" manufacturer "BFM" desc "Get Rich Quick (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5grqc" year "200?" manufacturer "BFM" desc "Get Rich Quick (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5gunp" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5gunpa" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5gunpb" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5gunpc" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5gunpd" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5gunpe" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5gunpf" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5gunpg" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5gunph" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5gunpi" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5gunpj" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5gunpk" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5gunpl" year "200?" manufacturer "BFM" desc "Gunpowder Slot (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5hapnt" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hapnta" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hapntb" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hapntc" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hapntd" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5hapnte" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5hapntf" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5hapntg" year "200?" manufacturer "BFM" desc "Happy Notes (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5hellb" year "200?" manufacturer "BFM" desc "Hells Bells (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hellba" year "200?" manufacturer "BFM" desc "Hells Bells (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hill" year "200?" manufacturer "BFM" desc "Hill Billionaire (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hilla" year "200?" manufacturer "BFM" desc "Hill Billionaire (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hillb" year "200?" manufacturer "BFM" desc "Hill Billionaire (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hirol" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5hirola" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5hirolb" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5hirolc" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5hirold" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5hirole" year "200?" manufacturer "Mazooma" desc "High Roller (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5hiss" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5hissa" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5hissb" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5hissc" year "200?" manufacturer "Qps" desc "Hissing Quid (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5hog" year "200?" manufacturer "BFM" desc "Road Hog (PR3208) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hoga" year "200?" manufacturer "BFM" desc "Road Hog (PR3208) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hotdg" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hotdga" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hotdgb" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hotdgc" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hotdgd" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5hotdge" year "200?" manufacturer "BFM" desc "Hot Dog (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5hotrd" year "200?" manufacturer "BFM" desc "Hot Rod (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hotrda" year "200?" manufacturer "BFM" desc "Hot Rod (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hotsh" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hotsha" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hotshb" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hotshc" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hotshd" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5hotshe" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5hotshf" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5hotshg" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5hotshh" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5hotshi" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5hotshj" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5hotshk" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5hotshl" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5hotshm" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5hotshn" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5hotsho" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5hotshp" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5hotshq" year "200?" manufacturer "BFM" desc "Hot Shot (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5hotwd" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hotwda" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hotwdb" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hotwdc" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hotwdd" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5hotwde" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5hotwdf" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5hotwdg" year "200?" manufacturer "BFM" desc "Hot Wad (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5hulk" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5hulka" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5hulkb" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5hulkc" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5hulkd" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5hulke" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5hulkf" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5hulkg" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5hulkh" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5hulki" year "200?" manufacturer "BFM" desc "The Hulk (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5iab" year "200?" manufacturer "Mazooma" desc "It's A Bullseye (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5iaba" year "200?" manufacturer "Mazooma" desc "It's A Bullseye (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ijbdo" year "200?" manufacturer "Qps" desc "Italian Job - Blow The Doors Off (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5ijbdoa" year "200?" manufacturer "Qps" desc "Italian Job - Blow The Doors Off (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5ijbdob" year "200?" manufacturer "Qps" desc "Italian Job - Blow The Doors Off (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5ijbdoc" year "200?" manufacturer "Qps" desc "Italian Job - Blow The Doors Off (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5ijob" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ijoba" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ijobb" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5ijobc" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5ijobd" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5ijobe" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5ijobf" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5ijobg" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5ijobh" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 9)" devices ())
(name "sc5ijobi" year "200?" manufacturer "Mazooma" desc "Italian Job (Mazooma) (Scorpion 5) (set 10)" devices ())
(name "sc5inspn" year "200?" manufacturer "Mazooma" desc "Inner Spin (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5inspna" year "200?" manufacturer "Mazooma" desc "Inner Spin (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5jjok" year "200?" manufacturer "BFM" desc "Jackpot Jokers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5jjoka" year "200?" manufacturer "BFM" desc "Jackpot Jokers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5kingx" year "200?" manufacturer "BFM" desc "King X (PR2077) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5kingxa" year "200?" manufacturer "BFM" desc "King X (PR2077) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5kingxb" year "200?" manufacturer "BFM" desc "King X Triple (PR2279) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5kingxc" year "200?" manufacturer "BFM" desc "King X 3P (PR2336) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5kingxd" year "200?" manufacturer "BFM" desc "King X Triple (PR2279) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5kingxe" year "200?" manufacturer "BFM" desc "King X 3P (PR2336) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ldvl" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ldvla" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ldvlb" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5ldvlc" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5ldvld" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5ldvle" year "200?" manufacturer "Mazooma" desc "Little Devil (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5lotrr" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5lotrra" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5lotrrb" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5lotrrc" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5lotrrd" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5lotrre" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5lotrrf" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5lotrrg" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5lotrrh" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5lotrri" year "200?" manufacturer "BFM" desc "Lord Of The Rings - Return Of The King (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5manic" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5manica" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5manicb" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5manicc" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5manicd" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5manice" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5manicf" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5manicg" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5manich" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5manici" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5manicj" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5manick" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5manicl" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5manicm" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5manicn" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5manico" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5manicp" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5manicq" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5manicr" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5manics" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5manict" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 21)" devices ())
(name "sc5manicu" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 22)" devices ())
(name "sc5manicv" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 23)" devices ())
(name "sc5manicw" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 24)" devices ())
(name "sc5manicx" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 25)" devices ())
(name "sc5manicy" year "200?" manufacturer "BFM" desc "Manic Miner (Bellfruit) (Scorpion 5) (set 26)" devices ())
(name "sc5mcas" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mcasa" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mcasb" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mcasc" year "200?" manufacturer "Mazooma" desc "Monopoly Casino (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5mdm" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mdma" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mdmb" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mdmc" year "200?" manufacturer "BFM" desc "Monopoly Double Money (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mhn" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mhna" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mhnb" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mhnc" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5mhnd" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5mhne" year "200?" manufacturer "Mazooma" desc "Monopoly Here & Now (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5mhp" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mhpa" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mhpb" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mhpc" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mhpd" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5mhpe" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5mhpf" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5mhpg" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5mhph" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5mhpi" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5mhpj" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5mhpk" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5mhpl" year "200?" manufacturer "BFM" desc "Monopoly Hot Property (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5mmad" year "200?" manufacturer "Mazooma" desc "Money Madness (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mmada" year "200?" manufacturer "Mazooma" desc "Money Madness (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mmadb" year "200?" manufacturer "Mazooma" desc "Money Madness (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mmadc" year "200?" manufacturer "Mazooma" desc "Money Madness (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5mmb" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR3413) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mmba" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR3413) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mmbb" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR3413) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mmbc" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR3413) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mmbd" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR1911) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mmbe" year "200?" manufacturer "BFM" desc "Monopoly Money Bags (PR1911) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mmm" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mmma" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mmmb" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mmmc" year "200?" manufacturer "Mazooma" desc "Mental Money Monsters (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5mobob" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust Classic (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5moboba" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust Classic (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mobobb" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mobobc" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mobobd" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust Classic (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mobobe" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust Classic (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mobobf" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mobobg" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mobobh" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5mobobi" year "200?" manufacturer "BFM" desc "Monopoly Boom Or Bust (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5mogta" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mogtaa" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5mogtab" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5mogtac" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mogtad" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5mogtae" year "200?" manufacturer "BFM" desc "Monopoly Go To Auction (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5mombc" year "200?" manufacturer "BFM" desc "Monopoly Money Bags Club (PR1945) (BFM) (Scorpion 5) (set 1)" devices ())
(name "sc5mombca" year "200?" manufacturer "BFM" desc "Monopoly Money Bags Club (PR1945) (BFM) (Scorpion 5) (set 2)" devices ())
(name "sc5mombcb" year "200?" manufacturer "BFM" desc "Monopoly Money Bags Club (PR1945) (BFM) (Scorpion 5) (set 3)" devices ())
(name "sc5mombcc" year "200?" manufacturer "BFM" desc "Monopoly Money Bags Club (PR1945) (BFM) (Scorpion 5) (set 4)" devices ())
(name "sc5momil" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5momila" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5momilb" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5momilc" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5momild" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5momile" year "200?" manufacturer "BFM" desc "Monopoly Millionaire (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5moms" year "200?" manufacturer "Qps" desc "Monopoly Money Spinner (PR2496) (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5momsa" year "200?" manufacturer "Qps" desc "Monopoly Money Spinner (PR2496) (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5momsb" year "200?" manufacturer "Qps" desc "Money Spinner (PR2395) (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5momsc" year "200?" manufacturer "Qps" desc "Monopoly Money Spinner (PR2496) (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5momsd" year "200?" manufacturer "Qps" desc "Monopoly Money Spinner (PR2496) (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5momse" year "200?" manufacturer "Qps" desc "Money Spinner (PR2395) (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5monky" year "200?" manufacturer "Mazooma" desc "Monkey Business / Toss The Monkey (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5monkya" year "200?" manufacturer "Mazooma" desc "Monkey Business / Toss The Monkey (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5monop" year "200?" manufacturer "Mazooma" desc "Monopoly (Mazooma) (Scorpion 5)" devices ())
(name "sc5monsp" year "200?" manufacturer "BFM" desc "Money Spinner (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5monspa" year "200?" manufacturer "BFM" desc "Money Spinner (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5monwa" year "200?" manufacturer "Qps" desc "Monopoly Win Again (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5monwaa" year "200?" manufacturer "Qps" desc "Monopoly Win Again (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5mopl" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5mopla" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5moplb" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5moplc" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5mopld" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5mople" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5moplf" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5moplg" year "200?" manufacturer "BFM" desc "Monopoly Property Ladder (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5mor2r" year "200?" manufacturer "Qps" desc "Monopoly Road To Riches (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5mor2ra" year "200?" manufacturer "Qps" desc "Monopoly Road To Riches (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5mowow" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mowowb" year "200?" manufacturer "Mazooma" desc "Monopoly Wheel Of Wealth (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mr2r" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (PR2329) (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mr2ra" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches (PR2329) (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mr2rb" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches Club (PR2457) (Mazooma) (Scorpion 5)" devices ())
(name "sc5mrh" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mrha" year "200?" manufacturer "Mazooma" desc "Monopoly Red Hot (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mrrcl" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches Club (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mrrcla" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches Club (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mrrclb" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches Club (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mrrclc" year "200?" manufacturer "Mazooma" desc "Monopoly Road To Riches Club (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5mww" year "200?" manufacturer "Mazooma" desc "Monopoly Wonders Of The World (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5mwwa" year "200?" manufacturer "Mazooma" desc "Monopoly Wonders Of The World (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5mwwb" year "200?" manufacturer "Mazooma" desc "Monopoly Wonders Of The World (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5mwwc" year "200?" manufacturer "Mazooma" desc "Monopoly Wonders Of The World (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5newcm" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5newcma" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5newcmb" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5newcmc" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5newcmd" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5newcme" year "200?" manufacturer "BFM" desc "The Colour Of Money New (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5nmare" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5nmarea" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5nmareb" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5nmarec" year "200?" manufacturer "BFM" desc "A Nightmare On Elm Street (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5nunsb" year "200?" manufacturer "BFM" desc "Nuns 'n' Roses (Bellfruit) (Scorpion 5)" devices ())
(name "sc5nunsm" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5nunsma" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5nunsmb" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5nunsmc" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5nunsmd" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5nunsme" year "200?" manufacturer "Mazooma" desc "Nuns 'n' Roses (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5parot" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5parota" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5parotb" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5parotc" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5parotd" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5parote" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5parotf" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5parotg" year "200?" manufacturer "BFM" desc "Parrots Of The Caribbean (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5pilep" year "200?" manufacturer "Qps" desc "Pile On The Pounds (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5pilepa" year "200?" manufacturer "Qps" desc "Pile On The Pounds (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5pilepb" year "200?" manufacturer "Qps" desc "Pile On The Pounds (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5pilepc" year "200?" manufacturer "Qps" desc "Pile On The Pounds (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5pircl" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5pircla" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5pirclb" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5pirclc" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5pircld" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5pircle" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5pirclf" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5pirclg" year "200?" manufacturer "BFM" desc "The Prize Is Right Club (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5plays" year "200?" manufacturer "Qps" desc "28 Plays Later (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5playsa" year "200?" manufacturer "Qps" desc "28 Plays Later (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5pog" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5poga" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5pogb" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5pogc" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5pogd" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5poge" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5pogf" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5pogg" year "200?" manufacturer "BFM" desc "Pots Of Gold (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5pompa" year "200?" manufacturer "BFM" desc "Up Pompay (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5pompaa" year "200?" manufacturer "BFM" desc "Up Pompay (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5pompab" year "200?" manufacturer "BFM" desc "Up Pompay (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5pony" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ponya" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ponyb" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5ponyc" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5ponyd" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5ponye" year "200?" manufacturer "BFM" desc "Pony Express (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5popey" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5popeya" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5popeyb" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5popeyc" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5popeyd" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5popeye" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5popeyf" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5popeyg" year "200?" manufacturer "Mazooma" desc "Popeye (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5potog" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 1)" devices ())
(name "sc5potoga" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 2)" devices ())
(name "sc5potogb" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 3)" devices ())
(name "sc5potogc" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 4)" devices ())
(name "sc5potogd" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 5)" devices ())
(name "sc5potoge" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 6)" devices ())
(name "sc5potogf" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 7)" devices ())
(name "sc5potogg" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 8)" devices ())
(name "sc5potogh" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 9)" devices ())
(name "sc5potogi" year "200?" manufacturer "QPS" desc "Pot Of Gold (QPS) (Scorpion 5) (set 10)" devices ())
(name "sc5potp" year "2005" manufacturer "BFM" desc "Pick Of The Pack (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5potpa" year "2005" manufacturer "BFM" desc "Pick Of The Pack (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5potsm" year "200?" manufacturer "Mazooma" desc "Pots Of Luck (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5potsma" year "200?" manufacturer "Mazooma" desc "Pots Of Luck (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5pp" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ppa" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ppb" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5ppc" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5ppcr" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Clouseau's Revenge (Mazooma / QPS) (Scorpion 5) (set 1)" devices ())
(name "sc5ppcra" year "200?" manufacturer "Mazooma" desc "Pink Panther Clouseau's Revenge (Mazooma) (Scorpion 5)" devices ())
(name "sc5ppcrb" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Clouseau's Revenge (Mazooma / QPS) (Scorpion 5) (set 2)" devices ())
(name "sc5ppcrc" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Clouseau's Revenge (Mazooma / QPS) (Scorpion 5) (set 3)" devices ())
(name "sc5ppcrd" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Clouseau's Revenge (Mazooma / QPS) (Scorpion 5) (set 4)" devices ())
(name "sc5ppctc" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5ppctca" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ppctcb" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5ppctcc" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5ppctcd" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5ppctce" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5ppctcf" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5ppctcg" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5ppctch" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5ppctci" year "200?" manufacturer "BFM" desc "Pink Panther Crack The Code (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5ppd" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5ppdym" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Double Your Money (Mazooma / QPS) (Scorpion 5) (set 1)" devices ())
(name "sc5ppdyma" year "200?" manufacturer "Mazooma / QPS" desc "Pink Panther Double Your Money (Mazooma / QPS) (Scorpion 5) (set 2)" devices ())
(name "sc5ppe" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5ppf" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5ppg" year "200?" manufacturer "Mazooma" desc "Pink Panther (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5ppsag" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5ppsaga" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5ppsagb" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5ppsagc" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5ppsagd" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5ppsage" year "200?" manufacturer "Mazooma" desc "Pink Panther Strikes Again (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5pwrbl" year "200?" manufacturer "BFM" desc "Powerball (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5pwrbla" year "200?" manufacturer "BFM" desc "Powerball (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5pwrpl" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5pwrpla" year "200?" manufacturer "Mazooma" desc "Power Play (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5qual" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5quala" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5qualb" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5qualc" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5quald" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5quale" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5qualf" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5qualg" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5qualh" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5quali" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5qualj" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5qualk" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5quall" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5qualm" year "200?" manufacturer "BFM" desc "Quality Streak (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5quidv" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5quidva" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5quidvb" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5quidvc" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5quidvd" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5quidve" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5quidvf" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5quidvg" year "200?" manufacturer "Mazooma" desc "Quid Vicious (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5rainb" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5rainba" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5rainbb" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5rainbc" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5rainbd" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5rainbe" year "200?" manufacturer "BFM" desc "Over The Rainbow (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5redsq" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5redsqa" year "200?" manufacturer "Mazooma" desc "Red Square (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5rhclb" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5rhclba" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5rhclbb" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5rhclbc" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5rhclbd" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5rhclbe" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5rhclbf" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5rhclbg" year "200?" manufacturer "BFM" desc "Road Hog Club (PR3248) (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5rhr" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5rhra" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5rhrb" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5rhrc" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5rhrd" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 5)" devices ())
(name "sc5rhre" year "200?" manufacturer "Qps" desc "Red Hot Reels (Qps) (Scorpion 5) (set 6)" devices ())
(name "sc5rhx" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5rhxa" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5rhxb" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5rhxc" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5rhxcs" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5rhxcsa" year "200?" manufacturer "Mazooma" desc "Red Hot X Casino (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5rhxd" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5rhxe" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5rhxf" year "200?" manufacturer "Mazooma" desc "Red Hot X (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5rosts" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5rostsa" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5rostsb" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5rostsc" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5rostsd" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5rostse" year "200?" manufacturer "BFM" desc "Ronnie O'Sullivan's Tournament Snooker (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5rovrt" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5rovrta" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5rovrtb" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5rovrtc" year "200?" manufacturer "Mazooma" desc "Rovers Return (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5rssh" year "200?" manufacturer "Mazooma" desc "Reel Spin Shady (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5rssha" year "200?" manufacturer "Mazooma" desc "Reel Spin Shady (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5sbull" year "200?" manufacturer "BFM" desc "Super Bullseye (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5sbulla" year "200?" manufacturer "BFM" desc "Super Bullseye (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5sfts" year "200?" manufacturer "BFM" desc "Shoot For The Stars (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5sftsa" year "200?" manufacturer "BFM" desc "Shoot For The Stars (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5sftsb" year "200?" manufacturer "BFM" desc "Shoot For The Stars (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5sftsc" year "200?" manufacturer "BFM" desc "Shoot For The Stars (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5sharp" year "200?" manufacturer "Voodoo" desc "Sharp Shooter (Voodoo) (Scorpion 5) (set 1)" devices ())
(name "sc5sharpa" year "200?" manufacturer "Voodoo" desc "Sharp Shooter (Voodoo) (Scorpion 5) (set 2)" devices ())
(name "sc5showt" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5showta" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5showtb" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5showtc" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5showtd" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5showte" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5showtf" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5showtg" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5showth" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 9)" devices ())
(name "sc5showti" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 10)" devices ())
(name "sc5showtj" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 11)" devices ())
(name "sc5showtk" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 12)" devices ())
(name "sc5showtl" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 13)" devices ())
(name "sc5showtm" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 14)" devices ())
(name "sc5showtn" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 15)" devices ())
(name "sc5showto" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 16)" devices ())
(name "sc5showtp" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 17)" devices ())
(name "sc5showtq" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 18)" devices ())
(name "sc5showtr" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 19)" devices ())
(name "sc5showts" year "200?" manufacturer "BFM" desc "Showtime (Bellfruit) (Scorpion 5) (set 20)" devices ())
(name "sc5sitwi" year "200?" manufacturer "BFM" desc "Spin It To Win It (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5sitwia" year "200?" manufacturer "BFM" desc "Spin It To Win It (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5slad" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5slada" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5sladb" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5sladc" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5sladd" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5slade" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5sladf" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 7)" devices ())
(name "sc5sladg" year "200?" manufacturer "BFM" desc "Snakes & Ladders (Bellfruit) (Scorpion 5) (set 8)" devices ())
(name "sc5sleut" year "200?" manufacturer "Mazooma" desc "Super Sleuth (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5sleuta" year "200?" manufacturer "Mazooma" desc "Super Sleuth (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5smtm" year "200?" manufacturer "Mazooma" desc "Show Me The Money (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5smtma" year "200?" manufacturer "Mazooma" desc "Show Me The Money (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5spice" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5spicea" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5spiceb" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5spicec" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5spiced" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 5)" devices ())
(name "sc5spicee" year "200?" manufacturer "BFM" desc "Spice It Up (Bellfruit) (Scorpion 5) (set 6)" devices ())
(name "sc5spnrn" year "200?" manufacturer "Mazooma" desc "Spinning Around (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5spnrna" year "200?" manufacturer "Mazooma" desc "Spinning Around (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5srace" year "200?" manufacturer "BFM" desc "Streak Racer (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5sracea" year "200?" manufacturer "BFM" desc "Streak Racer (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5srrcl" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll Club (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5srrcla" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll Club (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5srrclb" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll Club (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5srrclc" year "200?" manufacturer "BFM" desc "Snake Rattle 'n' Roll Club (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5srrqp" year "200?" manufacturer "Qps" desc "Snake Rattle & Roll (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5srrqpa" year "200?" manufacturer "Qps" desc "Snake Rattle & Roll (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5sumit" year "200?" manufacturer "Qps" desc "Summit Up (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5sumita" year "200?" manufacturer "Qps" desc "Summit Up (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5sus" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5susa" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5susb" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5susc" year "200?" manufacturer "Qps" desc "Suits U Sir (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5swbak" year "200?" manufacturer "Mazooma" desc "Switch Back (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5swbaka" year "200?" manufacturer "Mazooma" desc "Switch Back (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5swywm" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5swywma" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5swywmb" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5swywmc" year "200?" manufacturer "Mazooma" desc "Spin When Your Winning (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5tbox" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5tboxa" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5tboxb" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5tboxc" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5tboxd" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5tboxe" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 6)" devices ())
(name "sc5tboxf" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 7)" devices ())
(name "sc5tboxg" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 8)" devices ())
(name "sc5tboxh" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 9)" devices ())
(name "sc5tboxi" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 10)" devices ())
(name "sc5tboxj" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 11)" devices ())
(name "sc5tboxk" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 12)" devices ())
(name "sc5tboxl" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 13)" devices ())
(name "sc5tboxm" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 14)" devices ())
(name "sc5tboxn" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 15)" devices ())
(name "sc5tboxo" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 16)" devices ())
(name "sc5tboxp" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 17)" devices ())
(name "sc5tboxq" year "200?" manufacturer "Mazooma" desc "Top Box (Mazooma) (Scorpion 5) (set 18)" devices ())
(name "sc5tpsht" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5tpshta" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5tpshtb" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 5) (set 3)" devices ())
(name "sc5tpshtc" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 5) (set 4)" devices ())
(name "sc5tpshtd" year "200?" manufacturer "Mazooma" desc "Top Of The Shots (Mazooma) (Scorpion 5) (set 5)" devices ())
(name "sc5trail" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5traila" year "200?" manufacturer "Mazooma" desc "Trailblazer (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5tsmp" year "200?" manufacturer "BFM" desc "Trick Shot Multi Player (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5tsmpa" year "200?" manufacturer "BFM" desc "Trick Shot Multi Player (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5ttpie" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 1)" devices ())
(name "sc5ttpiea" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 2)" devices ())
(name "sc5ttpieb" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 3)" devices ())
(name "sc5ttpiec" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 4)" devices ())
(name "sc5ttpied" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 5)" devices ())
(name "sc5ttpiee" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 6)" devices ())
(name "sc5ttpief" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 7)" devices ())
(name "sc5ttpieg" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 8)" devices ())
(name "sc5ttpieh" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 9)" devices ())
(name "sc5ttpiei" year "200?" manufacturer "BFM" desc "Take The Piece (Bellfruit) (PR1714) (Scorpion 5) (set 10)" devices ())
(name "sc5typ" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5typa" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5typb" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5typc" year "200?" manufacturer "BFM" desc "Take Your Pick (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5vamp" year "200?" manufacturer "Qps" desc "Vampire Payer (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5vampa" year "200?" manufacturer "Qps" desc "Vampire Payer (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5viper" year "200?" manufacturer "BFM" desc "Viper Active (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5vipera" year "200?" manufacturer "BFM" desc "Viper Active (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5vivam" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5vivama" year "200?" manufacturer "BFM" desc "Viva Mexico (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5viz" year "200?" manufacturer "Qps" desc "Viz (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5viza" year "200?" manufacturer "Qps" desc "Viz (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5vizb" year "200?" manufacturer "Qps" desc "Viz (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5vizc" year "200?" manufacturer "Qps" desc "Viz (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5wacky" year "200?" manufacturer "BFM" desc "Wacky Racers (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5wackya" year "200?" manufacturer "BFM" desc "Wacky Racers (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5wackyb" year "200?" manufacturer "BFM" desc "Wacky Racers (Bellfruit) (Scorpion 5) (set 3)" devices ())
(name "sc5wackyc" year "200?" manufacturer "BFM" desc "Wacky Racers (Bellfruit) (Scorpion 5) (set 4)" devices ())
(name "sc5wca" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5wcaa" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5wcab" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p version) (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5wcac" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p Arcade version) (Qps) (Scorpion 5) (set 1)" devices ())
(name "sc5wcad" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5wcae" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p version) (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5wcaf" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5wcag" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p Arcade version) (Qps) (Scorpion 5) (set 2)" devices ())
(name "sc5wcah" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 5)" devices ())
(name "sc5wcai" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 6)" devices ())
(name "sc5wcaj" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p version) (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5wcak" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p Arcade version) (Qps) (Scorpion 5) (set 3)" devices ())
(name "sc5wcal" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 7)" devices ())
(name "sc5wcam" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p version) (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5wcan" year "200?" manufacturer "Qps" desc "Win Can Alley (Qps) (Scorpion 5) (set 8)" devices ())
(name "sc5wcao" year "200?" manufacturer "Qps" desc "Win Can Alley (5 pound 10p Arcade version) (Qps) (Scorpion 5) (set 4)" devices ())
(name "sc5wild" year "200?" manufacturer "Mazooma" desc "Wild Reels (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5wilda" year "200?" manufacturer "Mazooma" desc "Wild Reels (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5wldjk" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5wldjka" year "200?" manufacturer "Mazooma" desc "Wild Jackpots (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc5wok" year "200?" manufacturer "BFM" desc "Wok n' Roll (Bellfruit) (Scorpion 5) (set 1)" devices ())
(name "sc5woka" year "200?" manufacturer "BFM" desc "Wok n' Roll (Bellfruit) (Scorpion 5) (set 2)" devices ())
(name "sc5wotw" year "200?" manufacturer "Mazooma" desc "War Of The Wads (Mazooma) (Scorpion 5) (set 1)" devices ())
(name "sc5wotwa" year "200?" manufacturer "Mazooma" desc "War Of The Wads (Mazooma) (Scorpion 5) (set 2)" devices ())
(name "sc6dndem" year "201?" manufacturer "BFM" desc "Deal or No Deal Easy Money (Scorpion 6, 9561082)" devices ())
(name "sc6dndema" year "201?" manufacturer "BFM" desc "Deal or No Deal Easy Money (Scorpion 6, 9561082, protocol)" devices ())
(name "sc6dndemb" year "201?" manufacturer "BFM" desc "Deal or No Deal Easy Money (Scorpion 6, 9560933)" devices ())
(name "sc6dndemc" year "201?" manufacturer "BFM" desc "Deal or No Deal Easy Money (Scorpion 6, 9560933, protocol)" devices ())
(name "sc88vl" year "1995" manufacturer "Roland" desc "SoundCanvas SC-88VL" devices ())
(name "sc_091" year "1996" manufacturer "Bally" desc "Safe Cracker (0.91)" devices ())
(name "sc_10" year "1996" manufacturer "Bally" desc "Safe Cracker (1.0)" devices ())
(name "sc_14" year "1996" manufacturer "Bally" desc "Safe Cracker (1.4)" devices ())
(name "sc_17" year "1996" manufacturer "Bally" desc "Safe Cracker (1.7)" devices ())
(name "sc_17n" year "1996" manufacturer "Bally" desc "Safe Cracker (1.7N)" devices ())
(name "sc_18" year "1998" manufacturer "Bally" desc "Safe Cracker (1.8)" devices ())
(name "sc_18n" year "1998" manufacturer "Bally" desc "Safe Cracker (1.8N)" devices ())
(name "sc_18s2" year "1998" manufacturer "Bally" desc "Safe Cracker (1.8 German sound)" devices ())
(name "scamp386sx" year "199?" manufacturer "<unknown>" desc "386sx motherboards using the SCAMPSX chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "scandal" year "1989" manufacturer "Nichibutsu" desc "Scandal Mahjong (Japan 890213)" devices ())
(name "scandalm" year "1989" manufacturer "Nichibutsu" desc "Scandal Mahjong (Japan 890217, medal)" devices ())
(name "scatmag2" year "2000" manufacturer "Aristocrat" desc "Scatter Magic II (10001311, NSW/ACT)" devices ())
(name "scatmag2a" year "2001" manufacturer "Aristocrat" desc "Scatter Magic II (10122511, ASP)" devices ())
(name "scatmag2sa" year "2001" manufacturer "Aristocrat" desc "Scatter Magic II (10102711, South Australia)" devices ())
(name "scatmag3" year "2006" manufacturer "Aristocrat" desc "Scatter Magic III (0452569, US)" devices ())
(name "scessjoe" year "1990" manufacturer "Taito Corporation / Wave" desc "Success Joe (World)" devices ())
(name "scfinals" year "1993" manufacturer "Taito Corporation Japan" desc "Super Cup Finals (Ver 2.2O 1994/01/13, single PCB)" devices ())
(name "scfinalso" year "1993" manufacturer "Taito Corporation Japan" desc "Super Cup Finals (Ver 2.1O 1993/11/19, single PCB)" devices ())
(name "scfinalsoc" year "1993" manufacturer "Taito Corporation Japan" desc "Super Cup Finals (Ver 2.1O 1993/11/19, F3 Cartridge)" devices ())
(name "scg05nt" year "2004" manufacturer "Sega" desc "Sega Golf Club Network Pro Tour 2005 (Rev C) (GDX-0010C)" devices ((name "cdrom" briefname "cdrm" )))
(name "scg05ntb" year "2004" manufacturer "Sega" desc "Sega Golf Club Network Pro Tour 2005 (Rev B) (GDX-0010B)" devices ((name "cdrom" briefname "cdrm" )))
(name "scg06nt" year "2005" manufacturer "Sega" desc "Sega Club Golf 2006 Next Tours (Rev A) (GDX-0018A)" devices ((name "cdrom" briefname "cdrm" )))
(name "schachak" year "1997" manufacturer "Saitek" desc "Mephisto Schachakademie" devices ())
(name "schamp" year "1996" manufacturer "Sega" desc "Sonic Championship (USA)" devices ())
(name "schaser" year "1979" manufacturer "Taito" desc "Space Chaser (set 1)" devices ())
(name "schasera" year "1979" manufacturer "Taito" desc "Space Chaser (set 2)" devices ())
(name "schaserb" year "1979" manufacturer "Taito" desc "Space Chaser (set 3)" devices ())
(name "schaserc" year "1979" manufacturer "Taito" desc "Space Chaser (set 4)" devices ())
(name "schasercv" year "1979" manufacturer "Taito" desc "Space Chaser (CV version - set 1)" devices ())
(name "schaserm" year "1979" manufacturer "bootleg (Model Racing)" desc "Space Chaser (Model Racing bootleg)" devices ())
(name "scherrym" year "2001" manufacturer "Dyna" desc "Super Cherry Master" devices ())
(name "schery97" year "1997" manufacturer "Amcoe" desc "Skill Cherry '97 (Talking ver. sc3.52)" devices ())
(name "schery97a" year "1997" manufacturer "Amcoe" desc "Skill Cherry '97 (Talking ver. sc3.52c4)" devices ())
(name "schess" year "1981" manufacturer "SciSys / Heuristic Software" desc "Sensor Chess" devices ((name "cartridge" briefname "cart" )))
(name "schexx" year "1996" manufacturer "ICE" desc "Super Chexx (EM Bubble Hockey)" devices ())
(name "schick" year "1988" manufacturer "Microhard" desc "Super Chick" devices ())
(name "schmeisr" year "1993" manufacturer "Hot-B" desc "Schmeiser Robo (Japan)" devices ())
(name "sci" year "1989" manufacturer "Taito Corporation Japan" desc "Special Criminal Investigation (World set 1)" devices ())
(name "scia" year "1989" manufacturer "Taito Corporation Japan" desc "Special Criminal Investigation (World set 2)" devices ())
(name "scientus" year "1999?" manufacturer "C.Q.F.D" desc "Scientus (France)" devices ())
(name "scij" year "1989" manufacturer "Taito Corporation" desc "Special Criminal Investigation (Japan)" devices ())
(name "scin" year "1991" manufacturer "hack (Negro Torino)" desc "Super Special Criminal Investigation (Negro Torino hack)" devices ())
(name "scion" year "1984" manufacturer "Seibu Denshi" desc "Scion" devices ())
(name "scionc" year "1984" manufacturer "Seibu Denshi (Cinematronics license)" desc "Scion (Cinematronics)" devices ())
(name "sciu" year "1989" manufacturer "Taito America Corporation" desc "Special Criminal Investigation (US)" devices ())
(name "scm_500" year "1987" manufacturer "Standard Change-Makers" desc "Standard Change-Makers System 500 / 500E" devices ())
(name "scmaster" year "1994" manufacturer "bootleg" desc "Super Cherry Master (v1.0)" devices ())
(name "scmder" year "1989" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Commander (v2.00)" devices ())
(name "scobra" year "1981" manufacturer "Konami" desc "Super Cobra" devices ())
(name "scobrab" year "1981" manufacturer "bootleg (Karateco)" desc "Super Cobra (bootleg, set 1)" devices ())
(name "scobrae" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Super Cobra (Stern Electronics) (encrypted, KONATEC XC-103SS CPU)" devices ())
(name "scobrae2" year "1981" manufacturer "Konami" desc "Super Cobra (encrypted)" devices ())
(name "scobrag" year "1981" manufacturer "bootleg (A.V.G. by Zaccaria)" desc "Super Cobra (bootleg, set 2)" devices ())
(name "scobraggi" year "1981" manufacturer "bootleg (Cocamatic)" desc "Super Cobra (bootleg, set 3)" devices ())
(name "scobras" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Super Cobra (Stern Electronics)" devices ())
(name "scobrase" year "1981" manufacturer "Konami (Sega license)" desc "Super Cobra (Sega)" devices ())
(name "scontra" year "1988" manufacturer "Konami" desc "Super Contra (set 1)" devices ())
(name "scontraa" year "1988" manufacturer "Konami" desc "Super Contra (set 2)" devices ())
(name "scontraj" year "1988" manufacturer "Konami" desc "Super Contra - Alien no Gyakushuu (Japan)" devices ())
(name "score5" year "2000?" manufacturer "Z Games" desc "Score 5" devices ())
(name "scorpio" year "1992" manufacturer "Scorpion, Ltd." desc "Scorpion ZS-256 (Yellow PCB)" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "scorpio68" year "1991" manufacturer "Novag Industries" desc "Scorpio 68000" devices ())
(name "scorpion" year "1982" manufacturer "Zaccaria" desc "Scorpion (set 1)" devices ())
(name "scorpiona" year "1982" manufacturer "Zaccaria" desc "Scorpion (set 2)" devices ())
(name "scorpionb" year "1982" manufacturer "Zaccaria" desc "Scorpion (set 3)" devices ())
(name "scorpiongmx" year "1998" manufacturer "Scorpion, Ltd." desc "Scorpion GMX" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "scorpionmc" year "19??" manufacturer "bootleg? (Dorneer)" desc "Scorpion (Moon Cresta hardware)" devices ())
(name "scorpiontb" year "1996" manufacturer "Scorpion, Ltd." desc "Scorpion ZS-256 TURBO+" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "scotrsht" year "1985" manufacturer "Konami" desc "Scooter Shooter" devices ())
(name "scp300f" year "1986" manufacturer "Seattle Computer" desc "SCP-300F" devices ())
(name "scprof" year "1989" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Chess Professor" devices ())
(name "scptchess" year "1981" manufacturer "CXG Systems / White and Allcock / Intelligent Software" desc "Sensor Computachess (1981 version)" devices ())
(name "scptchessa" year "1985" manufacturer "CXG Systems / Newcrest Technology / Intelligent Software" desc "Sensor Computachess (1985 version)" devices ())
(name "scptour" year "2002" manufacturer "Namco" desc "Smash Court Pro Tournament (SCP1)" devices ())
(name "scrabble" year "1997" manufacturer "JPM" desc "Scrabble (rev. F)" devices ())
(name "scrabbled" year "1997" manufacturer "JPM" desc "Scrabble (rev. F) (Protocol)" devices ())
(name "scrabbleo" year "1981" manufacturer "bootleg (Okapi?)" desc "Scrabble (Spanish bootleg of Scramble)" devices ())
(name "scrablex" year "1980" manufacturer "Selchow & Righter" desc "Scrabble Lexor: Computer Word Game (MB8841 version)" devices ())
(name "scrablexa" year "1980" manufacturer "Selchow & Righter" desc "Scrabble Lexor: Computer Word Game (MN1405 version)" devices ())
(name "scrabsen" year "1978" manufacturer "Selchow & Righter" desc "Scrabble Sensor: Electronic Word Game" devices ())
(name "scram_tp" year "1987" manufacturer "Tecnoplay" desc "Scramble (Pinball)" devices ())
(name "scramb2" year "1981" manufacturer "bootleg" desc "Scramble (bootleg, set 1)" devices ())
(name "scramb3" year "1981" manufacturer "bootleg" desc "Scramble (bootleg, set 2)" devices ())
(name "scramblb" year "1981" manufacturer "bootleg" desc "Scramble (bootleg on Galaxian hardware)" devices ())
(name "scramble" year "1981" manufacturer "Konami" desc "Scramble" devices ())
(name "scramblebb" year "1981" manufacturer "bootleg?" desc "Scramble (bootleg?)" devices ())
(name "scramblebf" year "1981" manufacturer "bootleg (Karateco)" desc "Scramble (Karateco, French bootleg)" devices ())
(name "scramblebun" year "1981" manufacturer "bootleg" desc "Scramble (unknown bootleg)" devices ())
(name "scrambleo" year "1981" manufacturer "bootleg (Okapi)" desc "Scramble (Okapi bootleg)" devices ())
(name "scrambler" year "1981" manufacturer "bootleg (Reben S.A.)" desc "Scramble (Reben S.A. Spanish bootleg)" devices ())
(name "scrambles" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Scramble (Stern Electronics, set 1)" devices ())
(name "scrambles2" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Scramble (Stern Electronics, set 2)" devices ())
(name "scrambp" year "1981" manufacturer "bootleg (Billport S.A.)" desc "Impacto (Billport S.A., Spanish bootleg of Scramble)" devices ())
(name "scramce" year "1981" manufacturer "bootleg (Centromatic S.A.)" desc "Scramble (Centromatic S.A., Spanish bootleg)" devices ())
(name "scrammr" year "1981" manufacturer "bootleg (Model Racing)" desc "Scramble (Model Racing, Italian bootleg)" devices ())
(name "scrampt" year "1981" manufacturer "bootleg (Petaco S.A.)" desc "Scramble (Petaco S.A., Spanish bootleg)" devices ())
(name "scramrf" year "1981" manufacturer "bootleg (Recreativos Franco)" desc "Scramble (Recreativos Franco, Spanish bootleg)" devices ())
(name "scratch" year "199?" manufacturer "Videos A A" desc "Scratch!! Scratch!!" devices ())
(name "screenp1" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. 1.9, set 1)" devices ())
(name "screenp1a" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. 1.9, set 2)" devices ())
(name "screenp2" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. 1.9, Isle of Man, set 1)" devices ())
(name "screenp2a" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. 1.9, Isle of Man, set 2)" devices ())
(name "screenp3" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, SA5-082)" devices ())
(name "screenp3a" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, SA5-083)" devices ())
(name "screenp4" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. ?.?)" devices ())
(name "screenpl" year "1991" manufacturer "Maygay" desc "Screen Play (Maygay, MV1 Video, ver. 4.0)" devices ())
(name "scregg" year "1983" manufacturer "Technos Japan" desc "Scrambled Egg" devices ())
(name "screwloo" year "1983" manufacturer "Mylstar" desc "Screw Loose (prototype)" devices ())
(name "scross" year "1992" manufacturer "Sega" desc "Stadium Cross (World)" devices ())
(name "scrossa" year "1992" manufacturer "Sega" desc "Stadium Cross (World, alt)" devices ())
(name "scrossu" year "1992" manufacturer "Sega" desc "Stadium Cross (US)" devices ())
(name "scrpiond" year "1999" manufacturer "Merit" desc "Scorpion (Jun 15, 1999)" devices ())
(name "scrpionda" year "1997" manufacturer "Merit" desc "Scorpion (Oct 01, 1997)" devices ())
(name "scrpiondb" year "1993" manufacturer "Merit" desc "Scorpion (Dec 24, 1993)" devices ())
(name "scrpn_l1" year "1980" manufacturer "Williams" desc "Scorpion (L-1)" devices ())
(name "scrpn_t1" year "1980" manufacturer "Williams" desc "Scorpion (T-1)" devices ())
(name "scrpndx" year "1996" manufacturer "Merit" desc "Scorpion DX" devices ())
(name "scruiser" year "1980" manufacturer "U.S. Games Corporation" desc "Space Cruiser (U.S. Games)" devices ())
(name "scrzy_l1" year "1984" manufacturer "Williams" desc "Still Crazy" devices ())
(name "scsxaio" year "199?" manufacturer "Peacock" desc "386sx Ver. 2.0 motherboard SCsxAIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "scud" year "1996" manufacturer "Sega" desc "Scud Race / Sega Super GT - Twin/DX (Export)" devices ())
(name "scudau" year "1996" manufacturer "Sega" desc "Scud Race - Twin/DX (Australia)" devices ())
(name "scuddx" year "1996" manufacturer "Sega" desc "Scud Race / Sega Super GT - Deluxe (Export, Revision A)" devices ())
(name "scuddxo" year "1996" manufacturer "Sega" desc "Scud Race / Sega Super GT - Deluxe (Export)" devices ())
(name "scudhamm" year "1994" manufacturer "Jaleco" desc "Scud Hammer (ver 1.4)" devices ())
(name "scudhamma" year "1994" manufacturer "Jaleco" desc "Scud Hammer (older version?)" devices ())
(name "scudplus" year "1997" manufacturer "Sega" desc "Scud Race Plus / Sega Super GT Plus - Twin/DX (Export, Revision A)" devices ())
(name "scudplusa" year "1997" manufacturer "Sega" desc "Scud Race Plus / Sega Super GT Plus - Twin/DX (Export)" devices ())
(name "scumimon" year "2000" manufacturer "Irem" desc "Slotters Club: Umi Monogatari" devices ())
(name "scv" year "1984" manufacturer "Epoch" desc "Super Cassette Vision" devices ((name "cartridge" briefname "cart" )))
(name "scv_pal" year "198?" manufacturer "Yeno" desc "Super Cassette Vision (PAL)" devices ((name "cartridge" briefname "cart" )))
(name "scyclone" year "1980" manufacturer "Taito Corporation" desc "Space Cyclone" devices ())
(name "sd1" year "1990" manufacturer "Ensoniq" desc "SD-1 (21 voice)" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "sd132" year "1991" manufacturer "Ensoniq" desc "SD-1 (32 voice)" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "sddz" year "200?" manufacturer "IGS" desc "Super Dou Di Zhu" devices ())
(name "sderby" year "1996" manufacturer "Playmark" desc "Super Derby (Playmark, v.07.03)" devices ())
(name "sderby2" year "1985" manufacturer "Sega" desc "Super Derby II" devices ())
(name "sderby2s" year "1985" manufacturer "Sega" desc "Super Derby II (satellite board)" devices ())
(name "sderbya" year "1996" manufacturer "Playmark" desc "Super Derby (Playmark, v.10.04)" devices ())
(name "sderbys" year "1984" manufacturer "Sega" desc "Super Derby (satellite board)" devices ())
(name "sdfight" year "1996" manufacturer "SemiCom / Tirano" desc "SD Fighters (Korea)" devices ())
(name "sdgndmps" year "1991" manufacturer "Banpresto / Bandai" desc "SD Gundam Psycho Salamander no Kyoui" devices ())
(name "sdi" year "1987" manufacturer "Sega" desc "SDI - Strategic Defense Initiative (Japan, newer, System 16A, FD1089B 317-0027)" devices ())
(name "sdia" year "1987" manufacturer "Sega" desc "SDI - Strategic Defense Initiative (Japan, old, System 16A, FD1089B 317-0027)" devices ())
(name "sdiamond" year "2003" manufacturer "Perfect Technology" desc "Star Diamond" devices ())
(name "sdib" year "1987" manufacturer "Sega" desc "SDI - Strategic Defense Initiative (System 16B, FD1089A 317-0028)" devices ())
(name "sdibl" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, original hardware)" devices ())
(name "sdibl2" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, set 1)" devices ())
(name "sdibl3" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, set 2)" devices ())
(name "sdibl4" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, set 3)" devices ())
(name "sdibl5" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, set 4)" devices ())
(name "sdibl6" year "1987" manufacturer "bootleg" desc "SDI - Strategic Defense Initiative (bootleg, set 5)" devices ())
(name "sdk51" year "1981" manufacturer "Intel" desc "MCS-51 System Design Kit" devices ())
(name "sdk80" year "1975" manufacturer "Intel" desc "SDK-80" devices ())
(name "sdk85" year "1977" manufacturer "Intel" desc "MCS-85 System Design Kit" devices ((name "romimage" briefname "rom" )))
(name "sdk86" year "1979" manufacturer "Intel" desc "MCS-86 System Design Kit" devices ())
(name "sdmg2" year "1997" manufacturer "IGS" desc "Chaoji Damanguan II (China, V754C)" devices ())
(name "sdmg2p" year "2000" manufacturer "IGS" desc "Maque Wangchao / Chaoji Damanguan 2 - Jiaqiang Ban (China, V100C)" devices ())
(name "sdodgeb" year "1996" manufacturer "Technos Japan" desc "Super Dodge Ball / Kunio no Nekketsu Toukyuu Densetsu" devices ((name "memcard" briefname "memc" ) ()))
(name "sdtennis" year "1983" manufacturer "Data East Corporation" desc "Super Doubles Tennis" devices ())
(name "sdtor" year "1989" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Dominator (v2.05)" devices ())
(name "sdungeon" year "1981" manufacturer "Taito America Corporation" desc "Space Dungeon" devices ())
(name "sdungeona" year "1981" manufacturer "Taito America Corporation" desc "Space Dungeon (larger roms)" devices ())
(name "sdwx" year "2002" manufacturer "IGS" desc "Sheng Dan Wu Xian" devices ())
(name "se70" year "1993" manufacturer "Roland" desc "Boss SE-70 Super Effects Processor" devices ())
(name "seabass" year "1997" manufacturer "A wave inc. (Able license)" desc "Sea Bass Fishing (JUET 971110 V0.001)" devices ())
(name "seabattl" year "1980" manufacturer "Zaccaria" desc "Sea Battle" devices ())
(name "seadevil" year "2000" manufacturer "Z Games" desc "Sea Devil" devices ())
(name "sealdeal" year "2002" manufacturer "Aristocrat" desc "Seal The Deal - Jackpot Carnival (0251029, US)" devices ())
(name "sealvt" year "200?" manufacturer "Lexibook / Sit Up Limited / Jungle's Soft" desc "Seal 30-in-1 (VT based, Model FN098134)" devices ())
(name "searchar" year "1989" manufacturer "SNK" desc "SAR - Search And Rescue (World)" devices ())
(name "searcharj" year "1989" manufacturer "SNK" desc "SAR - Search And Rescue (Japan version 3)" devices ())
(name "searcharu" year "1989" manufacturer "SNK" desc "SAR - Search And Rescue (US)" devices ())
(name "searchey" year "1999" manufacturer "Yun Sung" desc "Search Eye (English / Korean / Japanese / Italian)" devices ())
(name "searcheya" year "1999" manufacturer "Yun Sung" desc "Search Eye (English / Korean)" devices ())
(name "searchp2" year "1999" manufacturer "Yun Sung" desc "Search Eye Plus V2.0" devices ())
(name "searthie" year "1980" manufacturer "bootleg (Electrocoin)" desc "Super Earth Invasion (set 3)" devices ())
(name "searthin" year "1980" manufacturer "bootleg (Competitive Video)" desc "Super Earth Invasion (set 1)" devices ())
(name "searthina" year "1980" manufacturer "bootleg (Competitive Video)" desc "Super Earth Invasion (set 2)" devices ())
(name "seawitch" year "1980" manufacturer "Stern" desc "Seawitch" devices ())
(name "seawld" year "2005" manufacturer "Amcoe" desc "Sea World (Version 1.6E Dual)" devices ())
(name "seawldd1" year "2005" manufacturer "Amcoe" desc "Sea World (Version 1.6R CGA)" devices ())
(name "seawolf" year "1976" manufacturer "Dave Nutting Associates / Midway" desc "Sea Wolf (set 1)" devices ())
(name "seawolf2" year "1978" manufacturer "Dave Nutting Associates / Midway" desc "Sea Wolf II" devices ())
(name "seawolfa" year "1976" manufacturer "Dave Nutting Associates / Midway" desc "Sea Wolf (set 3)" devices ())
(name "seawolfo" year "1976" manufacturer "Dave Nutting Associates / Midway" desc "Sea Wolf (set 2)" devices ())
(name "seawolft" year "1987" manufacturer "Tecfri" desc "Sea Wolf (Tecfri)" devices ())
(name "secolove" year "1986" manufacturer "Nichibutsu" desc "Second Love (Japan 861201)" devices ())
(name "secondch" year "1985" manufacturer "SMS Manufacturing Corp." desc "Second Chance" devices ())
(name "secretab" year "1989" manufacturer "bootleg" desc "Secret Agent (bootleg)" devices ())
(name "secretag" year "1989" manufacturer "Data East Corporation" desc "Secret Agent (World, revision 3)" devices ())
(name "secretagj" year "1989" manufacturer "Data East Corporation" desc "Secret Agent (Japan, revision 2)" devices ())
(name "secretagm" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Secret Agent (Modular System)" devices ())
(name "sectionz" year "1985" manufacturer "Capcom" desc "Section Z (US)" devices ())
(name "sectionza" year "1985" manufacturer "Capcom" desc "Section Z (Japan, rev. A)" devices ())
(name "sectrzon" year "1984" manufacturer "Nichibutsu / Alice" desc "Sector Zone (set 1)" devices ())
(name "sectrzona" year "1984" manufacturer "Nichibutsu / Alice" desc "Sector Zone (set 3)" devices ())
(name "sectrzont" year "1984" manufacturer "Nichibutsu / Alice" desc "Sector Zone (set 2, Tecfri hardware)" devices ())
(name "segaai" year "1986" manufacturer "Sega" desc "AI" devices ((name "card" briefname "card" ) (name "cassette" briefname "cass" )))
(name "segacd" year "1992" manufacturer "Sega" desc "Sega CD (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "segacd2" year "1993" manufacturer "Sega" desc "Sega CD 2 (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "segajw" year "1991" manufacturer "Sega" desc "Joker's Wild (Rev. B)" devices ())
(name "seganinj" year "1985" manufacturer "Sega" desc "Sega Ninja (315-5102)" devices ())
(name "seganinja" year "1985" manufacturer "Sega" desc "Sega Ninja (315-5113)" devices ())
(name "seganinju" year "1985" manufacturer "Sega" desc "Sega Ninja (not encrypted)" devices ())
(name "segapm" year "1996" manufacturer "Sega" desc "Picture Magic" devices ())
(name "segartv" year "2007" manufacturer "Sega" desc "Sega Race-TV (Export)" devices ())
(name "segawski" year "1997" manufacturer "Sega" desc "Sega Water Ski (Japan, Revision A)" devices ())
(name "seicross" year "1984" manufacturer "Nichibutsu / Alice" desc "Seicross (set 1)" devices ())
(name "seicrossa" year "1984" manufacturer "Nichibutsu / Alice" desc "Seicross (set 2)" devices ())
(name "seiha" year "1987" manufacturer "Nichibutsu" desc "Seiha (Japan 870725)" devices ())
(name "seiham" year "1987" manufacturer "Nichibutsu" desc "Seiha (Japan 870723, medal)" devices ())
(name "sekaikh" year "2004" manufacturer "Namco" desc "Sekai Kaseki Hakken (Japan, SKH1 Ver.B)" devices ((name "cdrom" briefname "cdrm" )))
(name "sekaikha" year "2004" manufacturer "Namco" desc "Sekai Kaseki Hakken (Japan, SKH1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "selfeena" year "1991" manufacturer "East Technology" desc "Sel Feena" devices ())
(name "seljan" year "1983" manufacturer "Jem / Dyna Corp" desc "Sel-Jan (Japan)" devices ())
(name "seljan2" year "1996" manufacturer "Dynax / Face" desc "Return Of Sel Jan II (Japan, NM557)" devices ())
(name "seljan2a" year "1996" manufacturer "Dynax / Face" desc "Return Of Sel Jan II (Japan, NM508)" devices ())
(name "selz80" year "1985" manufacturer "SEL" desc "SEL Z80 Trainer" devices ())
(name "semcrossw" year "19??" manufacturer "Etra" desc "Crosswalk traffic light controller (unknown model)" devices ())
(name "semibase" year "1997" manufacturer "SemiCom / DMD" desc "MuHanSeungBu (SemiCom Baseball) (Korea)" devices ())
(name "sen101" year "2009" manufacturer "Senario" desc "101 Games in 1 (Senario, NES/Famicom bootlegs)" devices ())
(name "senapren" year "2005" manufacturer "Senario" desc "The Apprentice (Senario, Plug and Play)" devices ())
(name "senario25" year "200?" manufacturer "Senario / JungleTac" desc "25 Video Games - All in 1 Video System (Senario)" devices ())
(name "senbbs" year "2005" manufacturer "Senario" desc "Big Bonus Slots (Senario, Plug and Play)" devices ())
(name "sencosmo" year "2005" manufacturer "Senario" desc "Cosmo Girl (Senario, Plug and Play)" devices ())
(name "sengekis" year "1997" manufacturer "Kaneko / Warashi" desc "Sengeki Striker (Asia)" devices ())
(name "sengekisj" year "1997" manufacturer "Kaneko / Warashi" desc "Sengeki Striker (Japan)" devices ())
(name "sengokmj" year "1991" manufacturer "Sigma" desc "Sengoku Mahjong (Japan)" devices ())
(name "sengoku" year "1991" manufacturer "SNK" desc "Sengoku / Sengoku Denshou (NGM-017 ~ NGH-017)" devices ((name "memcard" briefname "memc" ) ()))
(name "sengoku2" year "1993" manufacturer "SNK" desc "Sengoku 2 / Sengoku Denshou 2" devices ((name "memcard" briefname "memc" ) ()))
(name "sengoku3" year "2001" manufacturer "Noise Factory / SNK" desc "Sengoku 3 / Sengoku Densho 2001 (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "sengoku3a" year "2001" manufacturer "Noise Factory / SNK" desc "Sengoku 3 / Sengoku Densho 2001 (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "sengokuh" year "1991" manufacturer "SNK" desc "Sengoku / Sengoku Denshou (NGH-017, US)" devices ((name "memcard" briefname "memc" ) ()))
(name "sengomjk" year "1998" manufacturer "Nichibutsu/Just&Just" desc "Sengoku Mahjong Kurenai Otome-tai (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "senjyo" year "1983" manufacturer "Tehkan" desc "Senjyo" devices ())
(name "senknow" year "1999" manufacturer "Kaneko / Kouyousha" desc "Sen-Know (Japan)" devices ())
(name "senko" year "2005" manufacturer "G.Rev" desc "Senko no Ronde (Japan, Rev A) (GDL-0030A)" devices ((name "cdrom" briefname "cdrm" )))
(name "senkoo" year "2005" manufacturer "G.Rev" desc "Senko no Ronde (Japan) (GDL-0030)" devices ((name "cdrom" briefname "cdrm" )))
(name "senkosp" year "2006" manufacturer "G.Rev" desc "Senko no Ronde Special (Export, Japan) (GDL-0038)" devices ((name "cdrom" briefname "cdrm" )))
(name "senkyu" year "1995" manufacturer "Seibu Kaihatsu" desc "Senkyu (Japan, newer)" devices ())
(name "senkyua" year "1995" manufacturer "Seibu Kaihatsu" desc "Senkyu (Japan, earlier)" devices ())
(name "senmil" year "2005?" manufacturer "Senario" desc "Who Wants to Be a Millionaire? (Senario, Plug and Play, US)" devices ())
(name "senpmate" year "2005" manufacturer "Senario" desc "The Perfect Mate (Senario, Plug and Play)" devices ())
(name "senspeed" year "2008" manufacturer "Senario" desc "Speed Racer (Senario)" devices ())
(name "senstriv" year "2005" manufacturer "Senario" desc "Sports Trivia Professional Edition (Senario, Plug and Play)" devices ())
(name "senterp" year "1986" manufacturer "CXG Systems / Newcrest Technology" desc "Super Enterprise (model 210)" devices ())
(name "senterpc" year "1986" manufacturer "CXG Systems / Newcrest Technology" desc "Super Enterprise (model 210.C)" devices ())
(name "sentetst" year "1984" manufacturer "Bally/Sente" desc "Sente Diagnostic Cartridge" devices ())
(name "sentx6p" year "2004" manufacturer "Senario" desc "Vs Maxx Texas Hold'em TV Poker - 6 Player Edition (US)" devices ())
(name "sentx6pd" year "2004" manufacturer "Senario" desc "Deluxe TV Poker - Texas Hold'em, Blackjack & Video Poker (US)" devices ())
(name "sentx6puk" year "2004" manufacturer "Senario / Play Vision" desc "Vs Maxx Texas Hold'em TV Poker - 6 Player Edition (UK)" devices ())
(name "senwfit" year "2009" manufacturer "Senario" desc "Wireless Fitness / Dance Fit (Senario)" devices ())
(name "senwld" year "2005" manufacturer "Senario" desc "Win, Lose or Draw (Senario)" devices ())
(name "seoul88" year "1989" manufacturer "Mecca" desc "Seoul 88 Fever" devices ())
(name "sergeysxt" year "2010" manufacturer "Sergey Kiselev" desc "Sergey's XT" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "setaroul" year "1989?" manufacturer "Visco" desc "The Roulette (Visco)" devices ())
(name "setaroula" year "1989?" manufacturer "hack (CODERE)" desc "Super Ruleta 36 (Spanish hack of The Roulette)" devices ())
(name "sevenlnd" year "1995" manufacturer "bootleg" desc "Seven Land" devices ())
(name "sevilla" year "1982" manufacturer "Interflip" desc "Sevilla (2 jackpot points, 81%)" devices ())
(name "sevillaa" year "1982" manufacturer "Interflip" desc "Sevilla (1 jackpot point, 77%)" devices ())
(name "sevillab" year "1982" manufacturer "Interflip" desc "Sevilla (2 jackpot points, 77%)" devices ())
(name "sevillac" year "1982" manufacturer "Interflip" desc "Sevilla (4 jackpot points, 77%)" devices ())
(name "sevillad" year "1982" manufacturer "Interflip" desc "Sevilla (8 jackpot points, 77%)" devices ())
(name "sexappl" year "1992" manufacturer "Grayhound Electronics" desc "Sex Appeal (Version 6.02)" devices ())
(name "sexperta" year "1988" manufacturer "Novag Industries" desc "Super Expert (version A, set 1)" devices ())
(name "sexperta1" year "1987" manufacturer "Novag Industries" desc "Super Expert (version A, set 2)" devices ())
(name "sexperta2" year "1987" manufacturer "Novag Industries" desc "Super Expert (version A, set 3)" devices ())
(name "sexpertb" year "1988" manufacturer "Novag Industries" desc "Super Expert (version B)" devices ())
(name "sexpertc" year "1990" manufacturer "Novag Industries" desc "Super Expert (version C, v3.6)" devices ())
(name "sexpertc1" year "1990" manufacturer "Novag Industries" desc "Super Expert (version C, v3.0)" devices ())
(name "sexpertc2" year "1990" manufacturer "Novag Industries" desc "Super Expert (version C, v1.2)" devices ())
(name "sextriv" year "1985" manufacturer "Status Games" desc "Sex Triv" devices ())
(name "sextriv1" year "1985" manufacturer "Kinky Kit and Game Co." desc "Sexual Trivia (Version 1.02SB, set 1)" devices ())
(name "sextriv2" year "1985" manufacturer "Kinky Kit and Game Co." desc "Sexual Trivia (Version 1.02SB, set 2)" devices ())
(name "sexyboom" year "1992" manufacturer "Sang Ho Soft" desc "Sexy Boom" devices ())
(name "sexygal" year "1985" manufacturer "Nichibutsu" desc "Sexy Gal (Japan 850501 SXG 1-00)" devices ())
(name "sexyparo" year "1996" manufacturer "Konami" desc "Sexy Parodius (ver JAA)" devices ())
(name "sexyparoa" year "1996" manufacturer "Konami" desc "Sexy Parodius (ver AAA)" devices ())
(name "sf" year "1987" manufacturer "Capcom" desc "Street Fighter (US, set 1)" devices ())
(name "sf2" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910522)" devices ())
(name "sf2049" year "1999" manufacturer "Atari Games" desc "San Francisco Rush 2049" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sf2049se" year "2003" manufacturer "Atari Games" desc "San Francisco Rush 2049: Special Edition" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sf2049te" year "2000" manufacturer "Atari Games" desc "San Francisco Rush 2049: Tournament Edition" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sf2049tea" year "2001" manufacturer "Atari Games" desc "San Francisco Rush 2049: Tournament Edition Unlocked" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sf2acc" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Accelerator!, bootleg, set 1)" devices ())
(name "sf2acca" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Accelerator!, bootleg, set 2)" devices ())
(name "sf2accp2" year "1992" manufacturer "bootleg (Testron)" desc "Street Fighter II': Champion Edition (Accelerator Pt.II, bootleg)" devices ())
(name "sf2amf" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Alpha Magic-F, bootleg)" devices ())
(name "sf2amf2" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (L735 Test Rom, bootleg, set 1)" devices ())
(name "sf2amf3" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (L735 Test Rom, bootleg, set 2)" devices ())
(name "sf2b" year "1992" manufacturer "bootleg (Playmark)" desc "Street Fighter II: The World Warrior (bootleg, set 1)" devices ())
(name "sf2b2" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (bootleg, set 2)" devices ())
(name "sf2bhh" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Hung Hsi, bootleg)" devices ())
(name "sf2ce" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (World 920513)" devices ())
(name "sf2ceb" year "1992" manufacturer "bootleg (Playmark)" desc "Street Fighter II': Champion Edition (Playmark bootleg, set 1)" devices ())
(name "sf2ceb2" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (bootleg, set 1)" devices ())
(name "sf2ceb3" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (bootleg, set 2)" devices ())
(name "sf2ceb4" year "1992" manufacturer "bootleg (Playmark)" desc "Street Fighter II': Champion Edition (Playmark bootleg, set 2)" devices ())
(name "sf2ceb5" year "1992" manufacturer "bootleg (Playmark)" desc "Street Fighter II': Champion Edition (Playmark bootleg, set 3)" devices ())
(name "sf2ceblp" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (protected bootleg on non-dash board)" devices ())
(name "sf2cebltw" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition ('Taiwan' bootleg with PAL)" devices ())
(name "sf2ceds6" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Dstreet-6, bootleg)" devices ())
(name "sf2ceea" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (World 920313)" devices ())
(name "sf2ceec" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (World 920803)" devices ())
(name "sf2ceja" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (Japan 920322)" devices ())
(name "sf2cejb" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (Japan 920513)" devices ())
(name "sf2cejc" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (Japan 920803)" devices ())
(name "sf2cems6a" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Mstreet-6, bootleg, set 1)" devices ())
(name "sf2cems6b" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Mstreet-6, bootleg, set 2)" devices ())
(name "sf2cems6c" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Mstreet-6, bootleg, set 3)" devices ())
(name "sf2cet" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (Taiwan 920313)" devices ())
(name "sf2ceua" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (USA 920313)" devices ())
(name "sf2ceub" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (USA 920513)" devices ())
(name "sf2ceuc" year "1992" manufacturer "Capcom" desc "Street Fighter II': Champion Edition (USA 920803)" devices ())
(name "sf2ceupl" year "1992" manufacturer "bootleg (UPL?)" desc "Street Fighter II': Champion Edition (Japan 920322, UPL bootleg?)" devices ())
(name "sf2dkot2" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Double K.O. Turbo II, bootleg)" devices ())
(name "sf2dongb" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Dongfang Bubai protection, bootleg)" devices ())
(name "sf2ea" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910204)" devices ())
(name "sf2eb" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910214)" devices ())
(name "sf2ebbl" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (TAB Austria, bootleg, set 1)" devices ())
(name "sf2ebbl2" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (TAB Austria, bootleg, set 3)" devices ())
(name "sf2ebbl3" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (TAB Austria, bootleg, set 4)" devices ())
(name "sf2ed" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910318)" devices ())
(name "sf2ee" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910228)" devices ())
(name "sf2ef" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910411)" devices ())
(name "sf2em" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910129)" devices ())
(name "sf2en" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (World 910204, conversion)" devices ())
(name "sf2hf" year "1992" manufacturer "Capcom" desc "Street Fighter II': Hyper Fighting (World 921209)" devices ())
(name "sf2hfj" year "1992" manufacturer "Capcom" desc "Street Fighter II' Turbo: Hyper Fighting (Japan 921209)" devices ())
(name "sf2hfu" year "1992" manufacturer "Capcom" desc "Street Fighter II': Hyper Fighting (USA 921209)" devices ())
(name "sf2j" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 911210, CPS-B-13)" devices ())
(name "sf2j17" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 911210, CPS-B-17)" devices ())
(name "sf2ja" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 910214)" devices ())
(name "sf2jc" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 910306)" devices ())
(name "sf2jf" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 910411)" devices ())
(name "sf2jh" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 910522)" devices ())
(name "sf2jl" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (Japan 920312)" devices ())
(name "sf2koryu" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Xiang Long, Chinese bootleg)" devices ())
(name "sf2level" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (bootleg with level selection)" devices ())
(name "sf2m1" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M1, bootleg)" devices ())
(name "sf2m10" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M10, bootleg)" devices ())
(name "sf2m2" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M2, bootleg)" devices ())
(name "sf2m3" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M3, bootleg)" devices ())
(name "sf2m4" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M4, bootleg)" devices ())
(name "sf2m5" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M5, bootleg)" devices ())
(name "sf2m6" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M6, bootleg)" devices ())
(name "sf2m7" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M7, bootleg)" devices ())
(name "sf2m8" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M8, bootleg)" devices ())
(name "sf2m9" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (M9, bootleg)" devices ())
(name "sf2mdt" year "1992" manufacturer "bootleg" desc "Street Fighter II': Magic Delta Turbo (bootleg, set 1)" devices ())
(name "sf2mdta" year "1992" manufacturer "bootleg" desc "Street Fighter II': Magic Delta Turbo (bootleg, set 2)" devices ())
(name "sf2mdtb" year "1992" manufacturer "bootleg" desc "Street Fighter II': Magic Delta Turbo (bootleg, set 3)" devices ())
(name "sf2mkot" year "1992" manufacturer "bootleg" desc "Street Fighter II': Magic KO Turbo!! - Nightmare Crack" devices ())
(name "sf2qp1" year "1991" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (Quicken Pt-I, bootleg)" devices ())
(name "sf2qp2" year "1991" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (Quicken, bootleg)" devices ())
(name "sf2rb" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Rainbow, bootleg, set 1)" devices ())
(name "sf2rb2" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Rainbow, bootleg, set 2)" devices ())
(name "sf2rb3" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Rainbow, bootleg, set 3)" devices ())
(name "sf2re" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (RE, bootleg)" devices ())
(name "sf2red" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Red Wave, bootleg, set 1)" devices ())
(name "sf2reda" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Red Wave, bootleg, set 2)" devices ())
(name "sf2redp2" year "1992?" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (Red Wave PtII, bootleg)" devices ())
(name "sf2rk" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (RK, bootleg)" devices ())
(name "sf2rules" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (bootleg with rules screen)" devices ())
(name "sf2stt" year "1992" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (TAB Austria, bootleg, set 2)" devices ())
(name "sf2thndr" year "1991" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (Thunder Edition, bootleg, set 1)" devices ())
(name "sf2thndr2" year "1991" manufacturer "bootleg" desc "Street Fighter II: The World Warrior (Thunder Edition, bootleg, set 2)" devices ())
(name "sf2ua" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910206)" devices ())
(name "sf2ub" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910214)" devices ())
(name "sf2uc" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910306)" devices ())
(name "sf2ud" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910318)" devices ())
(name "sf2ue" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910228)" devices ())
(name "sf2uf" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910411)" devices ())
(name "sf2ug" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910522, Rev. G)" devices ())
(name "sf2uh" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910522, Rev. H)" devices ())
(name "sf2ui" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 910522, Rev. I)" devices ())
(name "sf2uk" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 911101)" devices ())
(name "sf2um" year "1991" manufacturer "Capcom" desc "Street Fighter II: The World Warrior (USA 920312)" devices ())
(name "sf2v004" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (V004, bootleg)" devices ())
(name "sf2yyc" year "1992" manufacturer "bootleg" desc "Street Fighter II': Champion Edition (YYC, bootleg)" devices ())
(name "sf7000" year "1983" manufacturer "Sega" desc "SC-3000/Super Control Station SF-7000" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "sf_l1" year "1991" manufacturer "Williams" desc "Slugfest (L-1)" devices ())
(name "sfa" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (Europe 950727)" devices ())
(name "sfa2" year "1996" manufacturer "Capcom" desc "Street Fighter Alpha 2 (Europe 960229)" devices ())
(name "sfa2u" year "1996" manufacturer "Capcom" desc "Street Fighter Alpha 2 (USA 960430)" devices ())
(name "sfa2ur1" year "1996" manufacturer "Capcom" desc "Street Fighter Alpha 2 (USA 960306)" devices ())
(name "sfa3" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (Europe 980904)" devices ())
(name "sfa3b" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (Brazil 980629)" devices ())
(name "sfa3h" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (Hispanic 980904)" devices ())
(name "sfa3hr1" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (Hispanic 980629)" devices ())
(name "sfa3u" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (USA 980904)" devices ())
(name "sfa3ud" year "1998" manufacturer "bootleg" desc "Street Fighter Alpha 3 (USA 980904 Phoenix Edition) (bootleg)" devices ())
(name "sfa3ur1" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (USA 980629)" devices ())
(name "sfa3us" year "1998" manufacturer "Capcom" desc "Street Fighter Alpha 3 (USA 980616, SAMPLE Version)" devices ())
(name "sfach" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (CPS Changer, Publicity USA 950727)" devices ())
(name "sfad" year "1995" manufacturer "bootleg" desc "Street Fighter Alpha: Warriors' Dreams (Europe 950727 Phoenix Edition) (bootleg)" devices ())
(name "sfan" year "1987" manufacturer "Capcom" desc "Street Fighter (World, pneumatic buttons)" devices ())
(name "sfar1" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (Europe 950718)" devices ())
(name "sfar2" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (Europe 950627)" devices ())
(name "sfar3" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (Europe 950605)" devices ())
(name "sfau" year "1995" manufacturer "Capcom" desc "Street Fighter Alpha: Warriors' Dreams (USA 950627)" devices ())
(name "sfbonus" year "2003" manufacturer "Amcoe" desc "Skill Fruit Bonus (Version 1.9R, set 1)" devices ())
(name "sfbonusd1" year "2003" manufacturer "Amcoe" desc "Skill Fruit Bonus (Version 1.9R, set 2)" devices ())
(name "sfbonuso" year "2003" manufacturer "Amcoe" desc "Skill Fruit Bonus (Version 1.7)" devices ())
(name "sfbonuso2" year "2003" manufacturer "Amcoe" desc "Skill Fruit Bonus (Version 1.6)" devices ())
(name "sfbonusv1" year "2003" manufacturer "Amcoe" desc "Skill Fruit Bonus (Version 1.9R Dual)" devices ())
(name "sfchamp" year "1995" manufacturer "Taito" desc "Super Football Champ (Ver 2.5O)" devices ())
(name "sfchampj" year "1995" manufacturer "Taito" desc "Super Football Champ (Ver 2.4J)" devices ())
(name "sfchampo" year "1995" manufacturer "Taito" desc "Super Football Champ (Ver 2.4O)" devices ())
(name "sfchampu" year "1995" manufacturer "Taito" desc "Super Football Champ (Ver 2.4A)" devices ())
(name "sfex" year "1996" manufacturer "Capcom / Arika" desc "Street Fighter EX (Europe 961219)" devices ())
(name "sfex2" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (Europe 980312)" devices ())
(name "sfex2a" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (Asia 980312)" devices ())
(name "sfex2h" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (Hispanic 980312)" devices ())
(name "sfex2j" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (Japan 980312)" devices ())
(name "sfex2p" year "1999" manufacturer "Capcom / Arika" desc "Street Fighter EX2 Plus (Europe 990611)" devices ())
(name "sfex2pa" year "1999" manufacturer "Capcom / Arika" desc "Street Fighter EX2 Plus (Asia 990611)" devices ())
(name "sfex2ph" year "1999" manufacturer "Capcom / Arika" desc "Street Fighter EX2 Plus (Hispanic 990611)" devices ())
(name "sfex2pj" year "1999" manufacturer "Capcom / Arika" desc "Street Fighter EX2 Plus (Japan 990611)" devices ())
(name "sfex2pu" year "1999" manufacturer "Capcom / Arika" desc "Street Fighter EX2 Plus (USA 990611)" devices ())
(name "sfex2u" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (USA 980526)" devices ())
(name "sfex2u1" year "1998" manufacturer "Capcom / Arika" desc "Street Fighter EX2 (USA 980312)" devices ())
(name "sfexa" year "1996" manufacturer "Capcom / Arika" desc "Street Fighter EX (Asia 961219)" devices ())
(name "sfexj" year "1996" manufacturer "Capcom / Arika" desc "Street Fighter EX (Japan 961130)" devices ())
(name "sfexp" year "1997" manufacturer "Capcom / Arika" desc "Street Fighter EX Plus (USA 970407)" devices ())
(name "sfexpj" year "1997" manufacturer "Capcom / Arika" desc "Street Fighter EX Plus (Japan 970407)" devices ())
(name "sfexpj1" year "1997" manufacturer "Capcom / Arika" desc "Street Fighter EX Plus (Japan 970311)" devices ())
(name "sfexpu1" year "1997" manufacturer "Capcom / Arika" desc "Street Fighter EX Plus (USA 970311)" devices ())
(name "sfexu" year "1996" manufacturer "Capcom / Arika" desc "Street Fighter EX (USA 961219)" devices ())
(name "sfight" year "1996" manufacturer "Sega" desc "Sonic the Fighters (Japan)" devices ())
(name "sfightii" year "1993" manufacturer "Gottlieb" desc "Street Fighter II (pinball, set 1)" devices ())
(name "sfightiia" year "1993" manufacturer "Gottlieb" desc "Street Fighter II (pinball, set 2)" devices ())
(name "sfightiib" year "1993" manufacturer "Gottlieb" desc "Street Fighter II (pinball, set 3)" devices ())
(name "sfiii" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Europe 970204)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii2" year "1997" manufacturer "Capcom" desc "Street Fighter III 2nd Impact: Giant Attack (USA 970930)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii2h" year "1997" manufacturer "Capcom" desc "Street Fighter III 2nd Impact: Giant Attack (Hispanic 970930)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii2j" year "1997" manufacturer "Capcom" desc "Street Fighter III 2nd Impact: Giant Attack (Japan 970930)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii2n" year "1997" manufacturer "Capcom" desc "Street Fighter III 2nd Impact: Giant Attack (Asia 970930, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Europe 990608)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3j" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Japan 990608)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3jr1" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Japan 990512)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3n" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Japan 990608, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3nr1" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Japan 990512, NO CD)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3r1" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (Europe 990512)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3u" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (USA 990608)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiii3ur1" year "1999" manufacturer "Capcom" desc "Street Fighter III 3rd Strike: Fight for the Future (USA 990512)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiia" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Asia 970204)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiih" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Hispanic 970204)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiij" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Japan 970204)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiin" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Asia 970204, NO CD, BIOS set 1)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiina" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (Asia 970204, NO CD, BIOS set 2)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfiiiu" year "1997" manufacturer "Capcom" desc "Street Fighter III: New Generation (USA 970204)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfish2" year "1995" manufacturer "Sega" desc "Sport Fishing 2 (UET 951106 V1.10e)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfish2j" year "1995" manufacturer "Sega" desc "Sport Fishing 2 (J 951201 V1.100)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfj" year "1987" manufacturer "Capcom" desc "Street Fighter (Japan) (protected)" devices ())
(name "sfjan" year "1987" manufacturer "Capcom" desc "Street Fighter (Japan, pneumatic buttons)" devices ())
(name "sfjbl" year "1987" manufacturer "bootleg" desc "Street Fighter (Japan, bootleg)" devices ())
(name "sfkick" year "1988" manufacturer "Haesung/HJ Corp" desc "Super Free Kick (set 1)" devices ())
(name "sfkicka" year "198?" manufacturer "Haesung" desc "Super Free Kick (set 2)" devices ())
(name "sflush" year "1979" manufacturer "Taito" desc "Straight Flush" devices ())
(name "sfootbal" year "1986" manufacturer "Bally/Sente" desc "Street Football (11/12/86)" devices ())
(name "sformula" year "1989" manufacturer "V-System Co." desc "Super Formula (Japan, set 1)" devices ())
(name "sformulaa" year "1989" manufacturer "V-System Co." desc "Super Formula (Japan, set 2)" devices ())
(name "sfortea" year "1987" manufacturer "Novag Industries" desc "Super Forte (version A, set 1)" devices ())
(name "sfortea1" year "1987" manufacturer "Novag Industries" desc "Super Forte (version A, set 2)" devices ())
(name "sfortea2" year "1987" manufacturer "Novag Industries" desc "Super Forte (version A, set 3)" devices ())
(name "sforteb" year "1988" manufacturer "Novag Industries" desc "Super Forte (version B)" devices ())
(name "sfortec" year "1990" manufacturer "Novag Industries" desc "Super Forte (version C, v3.6)" devices ())
(name "sfortec1" year "1990" manufacturer "Novag Industries" desc "Super Forte (version C, v1.2)" devices ())
(name "sfp" year "1987" manufacturer "Capcom" desc "Street Fighter (prototype)" devices ())
(name "sfposeid" year "1984" manufacturer "Taito Corporation" desc "Sea Fighter Poseidon" devices ())
(name "sfruitb" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.5E Dual)" devices ())
(name "sfruitbb1" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.5R, set 1)" devices ())
(name "sfruitbb2" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.0LT, set 1)" devices ())
(name "sfruitbbh" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.2B, set 1)" devices ())
(name "sfruitbd1" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.5R, set 2)" devices ())
(name "sfruitbd2" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.0LT, set 2)" devices ())
(name "sfruitbdh" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.2B, set 2)" devices ())
(name "sfruitbh" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.2EB Dual)" devices ())
(name "sfruitbo" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.0)" devices ())
(name "sfruitbo2" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 1.80XT)" devices ())
(name "sfruitboh" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.0B)" devices ())
(name "sfruitbv1" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.5R Dual)" devices ())
(name "sfruitbv2" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.0LT Dual)" devices ())
(name "sfruitbvh" year "2002" manufacturer "Amcoe" desc "Super Fruit Bonus (Version 2.2B Dual)" devices ())
(name "sfrush" year "1996" manufacturer "Atari Games" desc "San Francisco Rush" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sfrushrk" year "1997" manufacturer "Atari Games" desc "San Francisco Rush: The Rock (boot rom L 1.0, GUTS Oct 6 1997 / MAIN Oct 16 1997)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sfrushrkw" year "1997" manufacturer "Atari Games" desc "San Francisco Rush: The Rock (Wavenet, boot rom L 1.38, GUTS Aug 19 1997 / MAIN Aug 19 1997)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sfrushrkwo" year "1997" manufacturer "Atari Games" desc "San Francisco Rush: The Rock (Wavenet, boot rom L 1.38, GUTS Aug 6 1997 / MAIN Aug 5 1997)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "sftm" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.12)" devices ())
(name "sftm110" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.10)" devices ())
(name "sftm111" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.11)" devices ())
(name "sftmj112" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.12N, Japan)" devices ())
(name "sftmj114" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.14N, Japan)" devices ())
(name "sftmk112" year "1995" manufacturer "Capcom / Incredible Technologies" desc "Street Fighter: The Movie (v1.12K, Korea)" devices ())
(name "sfua" year "1987" manufacturer "Capcom" desc "Street Fighter (US, set 2) (protected)" devices ())
(name "sfw" year "1987" manufacturer "Capcom" desc "Street Fighter (World) (protected)" devices ())
(name "sfx" year "1983" manufacturer "Nihon Game (Nichibutsu license)" desc "SF-X" devices ())
(name "sfxphasor" year "1981" manufacturer "Electroplay" desc "Sound FX Phasor" devices ())
(name "sfz2a" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Asia 960227)" devices ())
(name "sfz2ad" year "1996" manufacturer "bootleg" desc "Street Fighter Zero 2 (Asia 960227 Phoenix Edition) (bootleg)" devices ())
(name "sfz2al" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 Alpha (Asia 960826)" devices ())
(name "sfz2alb" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 Alpha (Brazil 960813)" devices ())
(name "sfz2ald" year "1996" manufacturer "bootleg" desc "Street Fighter Zero 2 Alpha (Asia 960826 Phoenix Edition) (bootleg)" devices ())
(name "sfz2alh" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 Alpha (Hispanic 960813)" devices ())
(name "sfz2alj" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 Alpha (Japan 960805)" devices ())
(name "sfz2alr1" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 Alpha (Asia 960805)" devices ())
(name "sfz2b" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Brazil 960531)" devices ())
(name "sfz2br1" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Brazil 960304)" devices ())
(name "sfz2h" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Hispanic 960304)" devices ())
(name "sfz2j" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Japan 960430)" devices ())
(name "sfz2jd" year "1996" manufacturer "bootleg" desc "Street Fighter Zero 2 (Japan 960227 Phoenix Edition) (bootleg)" devices ())
(name "sfz2jr1" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Japan 960227)" devices ())
(name "sfz2n" year "1996" manufacturer "Capcom" desc "Street Fighter Zero 2 (Oceania 960229)" devices ())
(name "sfz3a" year "1998" manufacturer "Capcom" desc "Street Fighter Zero 3 (Asia 980904)" devices ())
(name "sfz3ar1" year "1998" manufacturer "Capcom" desc "Street Fighter Zero 3 (Asia 980701)" devices ())
(name "sfz3j" year "1998" manufacturer "Capcom" desc "Street Fighter Zero 3 (Japan 980904)" devices ())
(name "sfz3jr1" year "1998" manufacturer "Capcom" desc "Street Fighter Zero 3 (Japan 980727)" devices ())
(name "sfz3jr2" year "1998" manufacturer "Capcom" desc "Street Fighter Zero 3 (Japan 980629)" devices ())
(name "sfz3jr2d" year "1998" manufacturer "bootleg" desc "Street Fighter Zero 3 (Japan 980629 Phoenix Edition) (bootleg)" devices ())
(name "sfz3ugd" year "2001" manufacturer "Capcom" desc "Street Fighter Zero 3 Upper (Japan) (GDL-0002)" devices ((name "cdrom" briefname "cdrm" )))
(name "sfza" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Asia 950627)" devices ())
(name "sfzar1" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Asia 950605)" devices ())
(name "sfzb" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Brazil 951109)" devices ())
(name "sfzbch" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (CPS Changer, Brazil 950727)" devices ())
(name "sfzbr1" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Brazil 950727)" devices ())
(name "sfzch" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (CPS Changer, Japan 951020)" devices ())
(name "sfzh" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Hispanic 950718)" devices ())
(name "sfzhr1" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Hispanic 950627)" devices ())
(name "sfzj" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Japan 950727)" devices ())
(name "sfzjr1" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Japan 950627)" devices ())
(name "sfzjr2" year "1995" manufacturer "Capcom" desc "Street Fighter Zero (Japan 950605)" devices ())
(name "sg1000" year "1983" manufacturer "Sega" desc "SG-1000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "sg1000m2" year "1984" manufacturer "Sega" desc "SG-1000 II" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" mandatory t)))
(name "sg1000m3" year "1985" manufacturer "Sega" desc "Mark III" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sgalaxy" year "1988" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Galaxy (v2.03)" devices ())
(name "sgalaxya" year "1988" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Galaxy (v2.00)" devices ())
(name "sgalaxyb" year "1988" manufacturer "CXG Systems / Newcrest Technology" desc "Sphinx Galaxy (v1.03)" devices ())
(name "sgaltrop" year "1985" manufacturer "Nichibutsu" desc "Sexy Gal Tropical (Japan 850805 SXG T-02)" devices ())
(name "sgalwars" year "1979" manufacturer "bootleg (Competitive Video)" desc "Super Galactic Wars (bootleg of Galaxian)" devices ())
(name "sgdrvsim" year "2007" manufacturer "Sega" desc "Driving Simulator" devices ())
(name "sgemf" year "1997" manufacturer "Capcom" desc "Super Gem Fighter: Mini Mix (USA 970904)" devices ())
(name "sgemfa" year "1997" manufacturer "Capcom" desc "Super Gem Fighter: Mini Mix (Asia 970904)" devices ())
(name "sgemfd" year "1997" manufacturer "bootleg" desc "Super Gem Fighter: Mini Mix (USA 970904 Phoenix Edition) (bootleg)" devices ())
(name "sgemfh" year "1997" manufacturer "Capcom" desc "Super Gem Fighter: Mini Mix (Hispanic 970904)" devices ())
(name "sgladiat" year "1984" manufacturer "SNK" desc "Gladiator 1984" devices ())
(name "sgmast" year "1989" manufacturer "Sega" desc "Super Masters Golf (World?, Floppy Based, FD1094 317-0058-05d?)" devices ())
(name "sgmastc" year "1989" manufacturer "Sega" desc "Jumbo Ozaki Super Masters Golf (World, Floppy Based, FD1094 317-0058-05c)" devices ())
(name "sgmastj" year "1989" manufacturer "Sega" desc "Jumbo Ozaki Super Masters Golf (Japan, Floppy Based, FD1094 317-0058-05b)" devices ())
(name "sgmt1" year "1994" manufacturer "<unknown>" desc "Super Game Mega Type 1" devices ())
(name "sgnascar" year "2000" manufacturer "Sega / Electronic Arts" desc "NASCAR Arcade (Rev A)" devices ())
(name "sgnascaro" year "2000" manufacturer "Sega / Electronic Arts" desc "NASCAR Arcade (original)" devices ())
(name "sgsafari" year "1996" manufacturer "New Impeuropex Corp." desc "Super Gran Safari (ver. 3.11)" devices ())
(name "sgt24h" year "1996" manufacturer "Jaleco" desc "Super GT 24h" devices ())
(name "sgtetris" year "1999" manufacturer "Sega" desc "Sega Tetris" devices ())
(name "sgunner" year "1990" manufacturer "Namco" desc "Steel Gunner (Rev B)" devices ())
(name "sgunner2" year "1991" manufacturer "Namco" desc "Steel Gunner 2 (US)" devices ())
(name "sgunner2j" year "1991" manufacturer "Namco" desc "Steel Gunner 2 (Japan, Rev A)" devices ())
(name "sgunnerj" year "1990" manufacturer "Namco" desc "Steel Gunner (Japan)" devices ())
(name "sgx" year "1989" manufacturer "NEC / Hudson Soft" desc "SuperGrafx" devices ((name "cartridge" briefname "cart" mandatory t) (name "cdrom" briefname "cdrm" )))
(name "sgyxz" year "1999" manufacturer "bootleg (All-In Electronic)" desc "Warriors of Fate ('sgyxz' bootleg)" devices ())
(name "sh386sx20" year "199?" manufacturer "Shuttle" desc "386SX REV 2.0A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "sh4robot" year "20??" manufacturer "<unknown>" desc "Robot" devices ())
(name "sh_141" year "2008" manufacturer "Stern" desc "Shrek v1.41" devices ())
(name "shabdama" year "1991" manufacturer "Nichibutsu / AV Japan" desc "LD Mahjong #4 Shabon-Dama (Japan)" devices ())
(name "shackled" year "1986" manufacturer "Data East USA" desc "Shackled (US)" devices ())
(name "shadfgtr" year "1993" manufacturer "Dutech Inc." desc "Shadow Fighters" devices ())
(name "shadfrce" year "1993" manufacturer "Technos Japan" desc "Shadow Force (World, Version 3)" devices ())
(name "shadfrcej" year "1993" manufacturer "Technos Japan" desc "Shadow Force - Henshin Ninja (Japan, Version 2)" devices ())
(name "shadfrceu" year "1993" manufacturer "Technos Japan" desc "Shadow Force (US, Version 2)" devices ())
(name "shadowld" year "1987" manufacturer "Namco" desc "Shadowland (YD3)" devices ())
(name "shadoww" year "1988" manufacturer "Tecmo" desc "Shadow Warriors (World, set 1)" devices ())
(name "shadowwa" year "1988" manufacturer "Tecmo" desc "Shadow Warriors (World, set 2)" devices ())
(name "shaktam" year "2000" manufacturer "Sega" desc "Shakatto Tambourine (Rev B) (GDS-0002B)" devices ((name "cdrom" briefname "cdrm" )))
(name "shaktamb" year "2001" manufacturer "Sega" desc "Shakatto Tambourine Cho Powerup Chu (2K1 AUT) (GDS-0016)" devices ((name "cdrom" briefname "cdrm" )))
(name "shaktmsp" year "2001" manufacturer "Sega" desc "Shakatto Tambourine Motto Norinori Shinkyoku Tsuika (2K1 SPR) (GDS-0013)" devices ((name "cdrom" briefname "cdrm" )))
(name "shambros" year "2003" manufacturer "Kato's" desc "Shamisen Brothers Vol 1 (V1.01K)" devices ((name "cdrom" briefname "cdrm" )))
(name "shamnmg" year "2006" manufacturer "Aristocrat" desc "Shaman's Magic (10225911, NSW/ACT)" devices ())
(name "shamnmgu" year "200?" manufacturer "Aristocrat" desc "Shaman's Magic (0152647, US)" devices ())
(name "shangha2" year "1989" manufacturer "Sunsoft" desc "Shanghai II (Japan, set 1)" devices ())
(name "shangha2a" year "1989" manufacturer "Sunsoft" desc "Shanghai II (Japan, set 2)" devices ())
(name "shangha3" year "1993" manufacturer "Sunsoft" desc "Shanghai III (World)" devices ())
(name "shangha3j" year "1993" manufacturer "Sunsoft" desc "Shanghai III (Japan)" devices ())
(name "shangha3u" year "1993" manufacturer "Sunsoft" desc "Shanghai III (US)" devices ())
(name "shangha3up" year "1993" manufacturer "Sunsoft" desc "Shanghai III (US, prototype)" devices ())
(name "shanghai" year "1988" manufacturer "Sunsoft" desc "Shanghai (World)" devices ())
(name "shanghaij" year "1988" manufacturer "Sunsoft" desc "Shanghai (Japan)" devices ())
(name "shanghss" year "2000" manufacturer "Warashi" desc "Shanghai Shoryu Sairin (V2.03J 2000/05/26 12:45:28)" devices ((name "harddisk" briefname "hard" )))
(name "shangkid" year "1985" manufacturer "Taiyo System (Data East license)" desc "Shanghai Kid" devices ())
(name "shangon" year "1987" manufacturer "Sega" desc "Super Hang-On (sitdown/upright) (unprotected)" devices ())
(name "shangon1" year "1987" manufacturer "Sega" desc "Super Hang-On (mini ride-on) (FD1089B 317-0034)" devices ())
(name "shangon2" year "1987" manufacturer "Sega" desc "Super Hang-On (mini ride-on, Rev A) (FD1089B 317-0034)" devices ())
(name "shangon3" year "1987" manufacturer "Sega" desc "Super Hang-On (sitdown/upright) (FD1089B 317-0034)" devices ())
(name "shangon3d" year "1987" manufacturer "bootleg" desc "Super Hang-On (sitdown/upright) (bootleg of FD1089B 317-0034 set)" devices ())
(name "shangonho" year "1987" manufacturer "Sega" desc "Super Hang-On (Hang-On conversion, Japan, FD1094 317-0039)" devices ())
(name "shangonle" year "1991" manufacturer "Sega" desc "Limited Edition Hang-On" devices ())
(name "shangonrb" year "1992" manufacturer "bootleg" desc "Super Hang-On (Hang-On conversion, bootleg)" devices ())
(name "shangonrb2" year "1987" manufacturer "bootleg (Beta)" desc "Super Hang-On (Hang-On conversion, Beta bootleg)" devices ())
(name "shangonro" year "1987" manufacturer "Sega" desc "Super Hang-On (Hang-On conversion, ride-on, Japan, FD1094 317-0038)" devices ())
(name "shangril" year "1999" manufacturer "Marvelous Ent." desc "Dengen Tenshi Taisen Janshi Shangri-la" devices ())
(name "shangtou" year "2002" manufacturer "Warashi / Sunsoft / Taito" desc "Shanghai Sangokuhai Tougi (Ver 2.01J 2002/01/18 18:26:58)" devices ((name "harddisk" briefname "hard" )))
(name "shanhigw" year "1995" manufacturer "Sunsoft / Activision" desc "Shanghai - The Great Wall / Shanghai Triple Threat (JUE 950623 V1.005)" devices ())
(name "shaolinb" year "1985" manufacturer "Konami" desc "Shao-lin's Road (set 2)" devices ())
(name "shaolins" year "1985" manufacturer "Konami" desc "Shao-lin's Road (set 1)" devices ())
(name "shaqattq" year "1995" manufacturer "Gottlieb" desc "Shaq Attaq (rev.5)" devices ())
(name "shaqattq2" year "1995" manufacturer "Gottlieb" desc "Shaq Attaq (rev.2)" devices ())
(name "shark" year "1980" manufacturer "Hankin" desc "Shark" devices ())
(name "sharkatt" year "1980" manufacturer "Pacific Novelty" desc "Shark Attack" devices ())
(name "sharkjaw" year "1975" manufacturer "Atari/Horror Games" desc "Shark JAWS" devices ())
(name "sharkpy" year "1996" manufacturer "Subsino" desc "Shark Party (Italy, v1.3)" devices ())
(name "sharkpya" year "1996" manufacturer "Subsino" desc "Shark Party (Italy, v1.6)" devices ())
(name "sharkpye" year "1995" manufacturer "American Alpha" desc "Shark Party (English, Alpha license)" devices ())
(name "sharkt" year "1982" manufacturer "Taito do Brasil" desc "Shark (Taito)" devices ())
(name "sharkusb" year "1975" manufacturer "US Billiards Inc." desc "Shark (US Billiards)" devices ())
(name "sharrier" year "1985" manufacturer "Sega" desc "Space Harrier (Rev A, 8751 315-5163A)" devices ())
(name "sharrier1" year "1985" manufacturer "Sega" desc "Space Harrier (8751 315-5163)" devices ())
(name "shateki" year "2010" manufacturer "Sega" desc "Yataimura Shateki (1-player, Japan, Ver 1.000)" devices ())
(name "shdancbl" year "1989" manufacturer "bootleg" desc "Shadow Dancer (bootleg, set 1)" devices ())
(name "shdancbla" year "1989" manufacturer "bootleg" desc "Shadow Dancer (bootleg, set 2)" devices ())
(name "shdancer" year "1989" manufacturer "Sega" desc "Shadow Dancer (World)" devices ())
(name "shdancer1" year "1989" manufacturer "Sega" desc "Shadow Dancer (US)" devices ())
(name "shdancerj" year "1989" manufacturer "Sega" desc "Shadow Dancer (Japan)" devices ())
(name "sheenhvc" year "198?" manufacturer "Sheen" desc "Sheen Home Video Centre 2001" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "shendeng" year "1998" manufacturer "BMC" desc "Pili Shen Deng" devices ())
(name "sheriff" year "1979" manufacturer "Nintendo" desc "Sheriff" devices ())
(name "shettle" year "1984" manufacturer "New Digimatic" desc "Alone Shettle Crew" devices ())
(name "shfin_l1" year "1987" manufacturer "Williams" desc "Shuffle Inn (Shuffle) (L-1)" devices ())
(name "shienryu" year "1997" manufacturer "Warashi" desc "Shienryu (JUET 961226 V1.000)" devices ())
(name "shikgam2" year "2003" manufacturer "Alfa System" desc "Shikigami no Shiro II / The Castle of Shikigami II (GDL-0021)" devices ((name "cdrom" briefname "cdrm" )))
(name "shikiga3" year "2006" manufacturer "Alfa System/SKonec Entertainment" desc "Shikigami no Shiro III (v2.06J)" devices ())
(name "shikigam" year "2001" manufacturer "Alfa System / Taito" desc "Shikigami no Shiro (V2.03J 2001/08/07 18:11)" devices ((name "harddisk" briefname "hard" )))
(name "shikigama" year "2001" manufacturer "Alfa System / Taito" desc "Shikigami no Shiro - internal build (V1.02J 2001/09/27 18:45)" devices ((name "harddisk" briefname "hard" )))
(name "shimpact" year "1991" manufacturer "Midway" desc "Super High Impact (rev LA1 09/30/91)" devices ())
(name "shimpactp4" year "1991" manufacturer "Midway" desc "Super High Impact (prototype, proto 4.0 09/10/91)" devices ())
(name "shimpactp5" year "1991" manufacturer "Midway" desc "Super High Impact (prototype, proto 5.0 09/15/91)" devices ())
(name "shimpactp6" year "1991" manufacturer "Midway" desc "Super High Impact (prototype, proto 6.0 09/23/91)" devices ())
(name "shine" year "1983" manufacturer "Lorenzon Elettronica" desc "Shine/1" devices ((name "printout" briefname "prin" ) (name "floppydisk" briefname "flop" ) (name "cassette" briefname "cass" )))
(name "shinfz" year "2008" manufacturer "bootleg (ISG)" desc "Shinobi / FZ-2006 (Korean System 16 bootleg) (ISG Selection Master Type 2006)" devices ())
(name "shinobi" year "1987" manufacturer "Sega" desc "Shinobi (set 6, System 16A) (unprotected)" devices ())
(name "shinobi1" year "1987" manufacturer "Sega" desc "Shinobi (set 1, System 16A) (FD1094 317-0050)" devices ())
(name "shinobi1d" year "1987" manufacturer "bootleg" desc "Shinobi (set 1, System 16A) (bootleg of FD1094 317-0050 set)" devices ())
(name "shinobi2" year "1987" manufacturer "Sega" desc "Shinobi (set 2, System 16B) (FD1094 317-0049)" devices ())
(name "shinobi2d" year "1987" manufacturer "bootleg" desc "Shinobi (set 2, System 16B) (bootleg of FD1094 317-0049 set)" devices ())
(name "shinobi3" year "1987" manufacturer "Sega" desc "Shinobi (set 3, System 16B) (MC-8123B 317-0054)" devices ())
(name "shinobi4" year "1987" manufacturer "Sega" desc "Shinobi (set 4, System 16B) (MC-8123B 317-0054)" devices ())
(name "shinobi5" year "1987" manufacturer "Sega" desc "Shinobi (set 5, System 16B) (unprotected)" devices ())
(name "shinobi6" year "1987" manufacturer "Sega" desc "Shinobi (set 6, System 16B) (unprotected)" devices ())
(name "shinoblb" year "1987" manufacturer "bootleg (Beta)" desc "Shinobi (Beta bootleg)" devices ())
(name "shinobld" year "1988" manufacturer "bootleg (Datsu)" desc "Shinobi (Datsu bootleg, set 1)" devices ())
(name "shinoblda" year "1988" manufacturer "bootleg (Datsu)" desc "Shinobi (Datsu bootleg, set 2)" devices ())
(name "shinobldb" year "1987" manufacturer "bootleg (Datsu)" desc "Shinobi (Datsu bootleg, set 3)" devices ())
(name "shinobls" year "1987" manufacturer "bootleg (Star)" desc "Shinobi (Star bootleg, System 16A)" devices ())
(name "shinygld" year "1996" manufacturer "Playmark" desc "Shiny Golds" devices ())
(name "shippumd" year "1994" manufacturer "Raizing / Eighting" desc "Shippu Mahou Daisakusen (Japan)" devices ())
(name "shiryu2" year "1999" manufacturer "Capcom" desc "Strider Hiryu 2 (Japan 991213)" devices ())
(name "shisen" year "1989" manufacturer "Tamtex" desc "Shisensho - Joshiryo-Hen (Japan, set 1)" devices ())
(name "shisen2" year "1993" manufacturer "Tamtex" desc "Shisensho II" devices ())
(name "shisena" year "1989" manufacturer "Tamtex" desc "Shisensho - Joshiryo-Hen (Japan, set 2)" devices ())
(name "shmc1200" year "1978" manufacturer "Sheen" desc "M1200 Micro Computer (Australia)" devices ((name "cartridge" briefname "cart" )))
(name "shngmtkb" year "1998" manufacturer "Sunsoft / Activision" desc "Shanghai Matekibuyuu (Japan)" devices ())
(name "shock" year "1979" manufacturer "Taito do Brasil" desc "Shock" devices ())
(name "shocking" year "1997" manufacturer "Yun Sung" desc "Shocking" devices ())
(name "shockingk" year "1997" manufacturer "Yun Sung" desc "Shocking (Korea, set 1)" devices ())
(name "shockingko" year "1997" manufacturer "Yun Sung" desc "Shocking (Korea, set 2)" devices ())
(name "shocktr2" year "1998" manufacturer "Saurus" desc "Shock Troopers - 2nd Squad" devices ((name "memcard" briefname "memc" ) ()))
(name "shocktro" year "1997" manufacturer "Saurus" desc "Shock Troopers (set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "shocktroa" year "1997" manufacturer "Saurus" desc "Shock Troopers (set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "shogwarr" year "1992" manufacturer "Kaneko" desc "Shogun Warriors (World)" devices ())
(name "shogwarrk" year "1992" manufacturer "Kaneko" desc "Shogun Warriors (Korea?)" devices ())
(name "shogwarru" year "1992" manufacturer "Kaneko" desc "Shogun Warriors (US)" devices ())
(name "shollow" year "1981" manufacturer "Bally Midway" desc "Satan's Hollow (set 1)" devices ())
(name "shollow2" year "1981" manufacturer "Bally Midway" desc "Satan's Hollow (set 2)" devices ())
(name "shootaw2" year "1996" manufacturer "Namco" desc "Shoot Away II" devices ())
(name "shootbul" year "1985" manufacturer "Bally Midway" desc "Shoot the Bull" devices ())
(name "shootgal" year "1984" manufacturer "Seatongrove UK, Ltd. (Zaccaria license)" desc "Shooting Gallery" devices ())
(name "shootopl" year "2002" manufacturer "Sega" desc "Shootout Pool" devices ())
(name "shootout" year "1985" manufacturer "Data East USA" desc "Shoot Out (US)" devices ())
(name "shootoutb" year "1985" manufacturer "bootleg" desc "Shoot Out (Korean Bootleg)" devices ())
(name "shootoutj" year "1985" manufacturer "Data East Corporation" desc "Shoot Out (Japan)" devices ())
(name "shootpl" year "2003" manufacturer "Sega" desc "Shootout Pool Prize (Export) / Shootout Pool The Medal (Japan, Rev A)" devices ())
(name "shootplm" year "2004" manufacturer "Sega" desc "Shootout Pool Prize (Export) / Shootout Pool The Medal (Japan) Version B" devices ())
(name "shootplmp" year "2004" manufacturer "Sega" desc "Shootout Pool Prize (Export) / Shootout Pool The Medal (Japan) Version B (prototype)" devices ())
(name "shoottv" year "199?" manufacturer "Incredible Technologies" desc "Must Shoot TV (prototype)" devices ())
(name "shors2k1" year "2002" manufacturer "Sega" desc "Star Horse 2001 (satellite, Rev B)" devices ())
(name "shors2k2" year "2002" manufacturer "Sega" desc "Star Horse 2002 (sound, Export/Taiwan)" devices ())
(name "shors2k2l" year "2002" manufacturer "Sega" desc "Star Horse 2002 (live)" devices ())
(name "shors2k2m" year "2002" manufacturer "Sega" desc "Star Horse 2002 (main screens)" devices ())
(name "shors2k2s" year "2002" manufacturer "Sega" desc "Star Horse 2002 (sound and backup, Rev A)" devices ())
(name "shorse" year "2000" manufacturer "Sega" desc "Star Horse (satellite)" devices ())
(name "shorsel" year "2000" manufacturer "Sega" desc "Star Horse (live and backup)" devices ())
(name "shorsem" year "2000" manufacturer "Sega" desc "Star Horse (main screens)" devices ())
(name "shorsep" year "2003" manufacturer "Sega" desc "Star Horse Progress (satellite, Rev A)" devices ())
(name "shorsepb" year "2000" manufacturer "Sega" desc "Star Horse Progress (backup data)" devices ())
(name "shorsepl" year "2003" manufacturer "Sega" desc "Star Horse Progress (live, Rev A)" devices ())
(name "shorsepm" year "2003" manufacturer "Sega" desc "Star Horse Progress (main screens, Rev B)" devices ())
(name "shorsepr" year "2009" manufacturer "Sega" desc "Star Horse Progress Returns (satellite)" devices ())
(name "shorseprl" year "2009" manufacturer "Sega" desc "Star Horse Progress Returns (live and voice)" devices ())
(name "shorseprs" year "2009" manufacturer "Sega" desc "Star Horse Progress Returns (sound)" devices ())
(name "shorseprvl" year "2009" manufacturer "Sega" desc "Star Horse Progress Returns (main screen left)" devices ())
(name "shorseprvr" year "2009" manufacturer "Sega" desc "Star Horse Progress Returns (main screen right)" devices ())
(name "shorseps" year "2003" manufacturer "Sega" desc "Star Horse Progress (sound & backup, Rev A)" devices ())
(name "shorthng" year "2004" manufacturer "Aristocrat" desc "Shore Thing (0251088, US)" devices ())
(name "shougi" year "1982" manufacturer "Alpha Denshi Co. (Tehkan license)" desc "Shougi" devices ())
(name "shougi2" year "1982" manufacturer "Alpha Denshi Co. (Tehkan license)" desc "Shougi Part II" devices ())
(name "showdown" year "1988" manufacturer "Exidy" desc "Showdown (version 5.0)" devices ())
(name "showdown4" year "1988" manufacturer "Exidy" desc "Showdown (version 4.0)" devices ())
(name "showhanc" year "2000" manufacturer "Astro Corp." desc "Wangpai Duijue (China)" devices ())
(name "showhand" year "2000" manufacturer "Astro Corp." desc "Show Hand (Italy)" devices ())
(name "showqn" year "200?" manufacturer "Konami" desc "Show Queen (Konami Endeavour, Russia)" devices ())
(name "shpchamp" year "2008" manufacturer "Amuzy Corporation" desc "Shippe Champion" devices ())
(name "shpeng" year "1995" manufacturer "WSAC Systems?" desc "Sea Hunter Penguin" devices ())
(name "shpinxii" year "2002" manufacturer "Atronic" desc "Sphinx II (Russia) (Atronic)" devices ())
(name "shredmjr" year "2007" manufacturer "dreamGEAR" desc "Shredmaster Jr (NTSC)" devices ())
(name "shrike" year "1986" manufacturer "Bally/Sente" desc "Shrike Avenger (prototype)" devices ())
(name "shrknew" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.11, display A2.01, ARM7 sound board)" devices ())
(name "shrky_207" year "2000" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.07, display A2.01)" devices ())
(name "shrkyfr" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.11, display F2.01, France)" devices ())
(name "shrkyfr_207" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.07, display F2.01, France)" devices ())
(name "shrkygr" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.11, display G2.01, Germany)" devices ())
(name "shrkygr_207" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.07, display G2.01, Germany)" devices ())
(name "shrkyit" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.11, display I2.01, Italy)" devices ())
(name "shrkyit_207" year "2001" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.07, display I2.01, Italy)" devices ())
(name "shrkysht" year "2000" manufacturer "Stern" desc "Sharkey's Shootout (CPU 2.11, display A2.01)" devices ())
(name "sht3do" year "1994" manufacturer "American Laser Games" desc "Shootout at Old Tucson (3DO hardware)" devices ((name "cdrom" briefname "cdrm" )))
(name "shtngmst" year "1985" manufacturer "Sega" desc "Shooting Master (8751 315-5159a)" devices ())
(name "shtrider" year "1985" manufacturer "Seibu Kaihatsu" desc "Shot Rider" devices ())
(name "shtridera" year "1984" manufacturer "Seibu Kaihatsu (Sigma license)" desc "Shot Rider (Sigma license)" devices ())
(name "shtriderb" year "1985" manufacturer "bootleg" desc "Shot Rider (bootleg)" devices ())
(name "shtscore" year "200?" manufacturer "Halsall / time4toys.com / Electronic Games" desc "Shoot n' Score" devices ())
(name "shtstar" year "1994" manufacturer "Nova" desc "Shooting Star" devices ())
(name "shuffle" year "1978" manufacturer "Midway" desc "Shuffleboard" devices ())
(name "shufshot" year "1997" manufacturer "Incredible Technologies" desc "Shuffleshot (v1.40)" devices ())
(name "shufshot135" year "1997" manufacturer "Incredible Technologies" desc "Shuffleshot (v1.35)" devices ())
(name "shufshot137" year "1997" manufacturer "Incredible Technologies" desc "Shuffleshot (v1.37)" devices ())
(name "shufshot138" year "1997" manufacturer "Incredible Technologies" desc "Shuffleshot (v1.38)" devices ())
(name "shufshot139" year "1997" manufacturer "Incredible Technologies" desc "Shuffleshot (v1.39)" devices ())
(name "shun" year "1992" manufacturer "Taito Corporation" desc "Shun" devices ())
(name "shuriboy" year "1993" manufacturer "Konami" desc "Shuriken Boy" devices ())
(name "shutms11" year "2000" manufacturer "Shuttle" desc "MS11 PC (SiS630 chipset)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "shuttlei" year "1979" manufacturer "Omori Electric Co., Ltd." desc "Shuttle Invader" devices ())
(name "shuuz" year "1990" manufacturer "Atari Games" desc "Shuuz (version 8.0)" devices ())
(name "shuuz2" year "1990" manufacturer "Atari Games" desc "Shuuz (version 7.1)" devices ())
(name "si5500" year "1986" manufacturer "Scientific Instruments" desc "Model 5500 Temperature Controller" devices ())
(name "sia2650" year "1979?" manufacturer "bootleg (Sidam)" desc "Super Invader Attack (bootleg of The Invaders)" devices ())
(name "sianniv" year "2003" manufacturer "Taito" desc "Space Invaders Anniversary (V2.02J)" devices ((name "harddisk" briefname "hard" )))
(name "sichuan2" year "1989" manufacturer "bootleg" desc "Sichuan II (bootleg, set 1)" devices ())
(name "sichuan2a" year "1989" manufacturer "bootleg" desc "Sichuan II (bootleg, set 2)" devices ())
(name "sicpc1605" year "1985" manufacturer "Siemens" desc "Sicomp PC16-05" devices ((name "cassette" briefname "cass" ) (name "printout1" briefname "prin1" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout2" briefname "prin2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "sicv" year "1979" manufacturer "Taito" desc "Space Invaders (CV Version, larger roms)" devices ())
(name "sicv1" year "1979" manufacturer "Taito" desc "Space Invaders (CV Version, smaller roms)" devices ())
(name "sidampkr" year "1984" manufacturer "Sidam" desc "unknown Sidam poker (vertical)" devices ())
(name "sidampkra" year "1984" manufacturer "Sidam" desc "unknown Sidam poker (horizontal)" devices ())
(name "siddr" year "201?" manufacturer "Super Impulse" desc "Dance Dance Revolution - Broadwalk Arcade" devices ())
(name "sidearms" year "1986" manufacturer "Capcom" desc "Side Arms - Hyper Dyne (World, 861129)" devices ())
(name "sidearmsj" year "1986" manufacturer "Capcom" desc "Side Arms - Hyper Dyne (Japan, 861128)" devices ())
(name "sidearmsu" year "1986" manufacturer "Capcom (Romstar license)" desc "Side Arms - Hyper Dyne (US, 861202)" devices ())
(name "sidearmsur1" year "1986" manufacturer "Capcom (Romstar license)" desc "Side Arms - Hyper Dyne (US, 861128)" devices ())
(name "sidebs" year "1996" manufacturer "Taito" desc "Side by Side (Ver 3.0 OK)" devices ())
(name "sidebs2" year "1997" manufacturer "Taito" desc "Side by Side 2 (Ver 2.6 OK)" devices ())
(name "sidebs2j" year "1997" manufacturer "Taito" desc "Side by Side 2 Evoluzione RR (Ver 3.1 J)" devices ())
(name "sidebs2ja" year "1997" manufacturer "Taito" desc "Side by Side 2 Evoluzione (Ver 2.4 J)" devices ())
(name "sidebs2u" year "1997" manufacturer "Taito" desc "Side by Side 2 (Ver 2.6 A)" devices ())
(name "sidebsj" year "1996" manufacturer "Taito" desc "Side by Side (Ver 2.7 J)" devices ())
(name "sidebsja" year "1996" manufacturer "Taito" desc "Side by Side (Ver 2.6 J)" devices ())
(name "sidebsjb" year "1996" manufacturer "Taito" desc "Side by Side (Ver 2.5 J)" devices ())
(name "sidepckt" year "1986" manufacturer "Data East Corporation" desc "Side Pocket (World)" devices ())
(name "sidepcktb" year "1986" manufacturer "bootleg" desc "Side Pocket (bootleg)" devices ())
(name "sidepcktj" year "1986" manufacturer "Data East Corporation" desc "Side Pocket (Japan, Cocktail)" devices ())
(name "sidetrac" year "1979" manufacturer "Exidy" desc "Side Trak" devices ())
(name "sidewndr" year "1981?" manufacturer "ACE" desc "Sidewinder" devices ())
(name "siena" year "1996" manufacturer "Psion" desc "Siena" devices ((name "ssd" briefname "ssd" )))
(name "sigma21" year "197?" manufacturer "Sigma Enterprises" desc "21 (Sigma)" devices ())
(name "sigma2k" year "1998" manufacturer "Sigma Inc." desc "Sigma Poker 2000" devices ())
(name "sigmapkr" year "1995" manufacturer "Sigma Inc." desc "Sigma Poker" devices ())
(name "silentd" year "1992" manufacturer "Taito Corporation Japan" desc "Silent Dragon (World)" devices ())
(name "silentdj" year "1992" manufacturer "Taito Corporation" desc "Silent Dragon (Japan)" devices ())
(name "silentdu" year "1992" manufacturer "Taito America Corporation" desc "Silent Dragon (US)" devices ())
(name "silgola6" year "2002" manufacturer "Aristocrat" desc "Silver & Gold (20100721, NSW/ACT)" devices ())
(name "silkrda6" year "2004" manufacturer "Aristocrat" desc "Silk Road (10176811, ASP)" devices ())
(name "silkrda6u" year "2006" manufacturer "Aristocrat" desc "Silk Road (0152537, US)" devices ())
(name "silkroad" year "1999" manufacturer "Unico" desc "The Legend of Silkroad" devices ())
(name "silkroada" year "1999" manufacturer "Unico" desc "The Legend of Silkroad (larger ROMs)" devices ())
(name "silkworm" year "1988" manufacturer "Tecmo" desc "Silk Worm (World)" devices ())
(name "silkwormb" year "1988" manufacturer "bootleg" desc "Silk Worm (bootleg, set 1)" devices ())
(name "silkwormb2" year "1988" manufacturer "bootleg" desc "Silk Worm (bootleg, set 2)" devices ())
(name "silkwormj" year "1988" manufacturer "Tecmo" desc "Silk Worm (Japan)" devices ())
(name "silkwormp" year "1988" manufacturer "Tecmo" desc "Silk Worm (prototype)" devices ())
(name "silv35" year "200?" manufacturer "SilverLit / JungleTac" desc "35 in 1 Super Twins" devices ())
(name "silverga" year "1983" manufacturer "<unknown>" desc "Silver Game" devices ())
(name "silvland" year "1981" manufacturer "Falcon" desc "Silver Land (hack of River Patrol)" devices ())
(name "silvmil" year "1995" manufacturer "Para" desc "Silver Millennium" devices ())
(name "silvslug" year "1990" manufacturer "Gottlieb" desc "Silver Slugger" devices ())
(name "simldv1000" year "2008" manufacturer "MAME" desc "Pioneer LDV-1000 Simulator" devices ())
(name "simon" year "1978" manufacturer "Milton Bradley" desc "Simon (rev. A)" devices ())
(name "simonf" year "1979" manufacturer "Milton Bradley" desc "Simon (rev. F)" devices ())
(name "simp_a20" year "1990" manufacturer "Data East" desc "The Simpsons (2.0)" devices ())
(name "simp_a27" year "1990" manufacturer "Data East" desc "The Simpsons (2.7)" devices ())
(name "simpbest" year "2001" manufacturer "Kajot" desc "Simply the Best (CZ750, v1.0)" devices ())
(name "simpbowl" year "2000" manufacturer "Konami" desc "The Simpsons Bowling (GQ829 UAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "simpnew" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display A5.00, ARM7 sound board)" devices ())
(name "simpprtf" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display F5.00, France)" devices ())
(name "simpprtf_204" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 2.04, display F2.01, France)" devices ())
(name "simpprtf_300" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 3.00, display F3.00, France)" devices ())
(name "simpprtf_400" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 4.00, display F4.00, France)" devices ())
(name "simpprtg" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display G5.00, Germany)" devices ())
(name "simpprtg_400" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 4.00, display G4.00, Germany)" devices ())
(name "simpprti" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display I5.00, Italy)" devices ())
(name "simpprti_204" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 2.04, display I2.01, Italy)" devices ())
(name "simpprti_300" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 3.00, display I3.00, Italy)" devices ())
(name "simpprti_400" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 4.00, display I4.00, Italy)" devices ())
(name "simpprtl" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display L5.00, Spain)" devices ())
(name "simpprtl_204" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 2.04, display L2.01, Spain)" devices ())
(name "simpprtl_300" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 3.00, display L3.00, Spain)" devices ())
(name "simpprtl_400" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 4.00, display L4.00, Spain)" devices ())
(name "simpprty" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 5.00, display A5.00)" devices ())
(name "simpprty_204" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 2.04, display A2.01)" devices ())
(name "simpprty_300" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 3.00, display A3.00)" devices ())
(name "simpprty_400" year "2003" manufacturer "Stern" desc "The Simpsons Pinball Party (CPU 4.00, display A4.00)" devices ())
(name "simpr8210" year "2008" manufacturer "MAME" desc "Pioneer PR-8210 Simulator" devices ())
(name "simpsonjr" year "2003" manufacturer "bootleg (Daigom Games)" desc "Simpson Junior (bootleg of J. J. Squawkers)" devices ())
(name "simpsons" year "1991" manufacturer "Konami" desc "The Simpsons (4 Players World, set 1)" devices ())
(name "simpsons2p" year "1991" manufacturer "Konami" desc "The Simpsons (2 Players World, set 1)" devices ())
(name "simpsons2p2" year "1991" manufacturer "Konami" desc "The Simpsons (2 Players World, set 2)" devices ())
(name "simpsons2p3" year "1991" manufacturer "Konami" desc "The Simpsons (2 Players World, set 3)" devices ())
(name "simpsons2pa" year "1991" manufacturer "Konami" desc "The Simpsons (2 Players Asia)" devices ())
(name "simpsons2pj" year "1991" manufacturer "Konami" desc "The Simpsons (2 Players Japan)" devices ())
(name "simpsons4pa" year "1991" manufacturer "Konami" desc "The Simpsons (4 Players Asia)" devices ())
(name "simpsons4pe" year "1991" manufacturer "Konami" desc "The Simpsons (4 Players World, set 2)" devices ())
(name "simpsons4pe2" year "1991" manufacturer "Konami" desc "The Simpsons (4 Players World, set 3)" devices ())
(name "simultano" year "1989" manufacturer "Saitek / Heuristic Software" desc "Kasparov Simultano (ver. C)" devices ((name "romimage" briefname "rom" )))
(name "simultanoa" year "1989" manufacturer "Saitek / Heuristic Software" desc "Kasparov Simultano (ver. B)" devices ((name "romimage" briefname "rom" )))
(name "sinbad" year "1978" manufacturer "Gottlieb" desc "Sinbad" devices ())
(name "sinbadn" year "1978" manufacturer "Gottlieb" desc "Sinbad (Norway)" devices ())
(name "sindbadm" year "1983" manufacturer "Sega" desc "Sindbad Mystery" devices ())
(name "sinistar" year "1982" manufacturer "Williams" desc "Sinistar (revision 3, upright)" devices ())
(name "sinistar2" year "1982" manufacturer "Williams" desc "Sinistar (revision 2, upright)" devices ())
(name "sinistarc" year "1982" manufacturer "Williams" desc "Sinistar (revision 3, cockpit)" devices ())
(name "sinistarc2" year "1982" manufacturer "Williams" desc "Sinistar (revision 2, cockpit)" devices ())
(name "sinistarp" year "1982" manufacturer "Williams" desc "Sinistar (AMOA-82 prototype)" devices ())
(name "sintez2" year "1989" manufacturer "Signal" desc "Sintez 2" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "sinvasn" year "1985" manufacturer "Capcom" desc "Space Invasion (Europe)" devices ())
(name "sinvasnb" year "1985" manufacturer "bootleg" desc "Space Invasion (bootleg)" devices ())
(name "sinvemag" year "1978" manufacturer "bootleg (Emag)" desc "Super Invaders (Emag bootleg set 1)" devices ())
(name "sinvemag2" year "1978" manufacturer "bootleg (Emag)" desc "Super Invaders (Emag bootleg set 2)" devices ())
(name "sinvzen" year "1980?" manufacturer "Taito / Zenitone-Microsec Ltd." desc "Super Invaders (Zenitone-Microsec)" devices ())
(name "sirio2" year "1980?" manufacturer "bootleg (Calfesa S.L.)" desc "Sirio II (Calfesa S.L. Spanish bootleg of Moon Cresta)" devices ())
(name "sis85c471" year "199?" manufacturer "<unknown>" desc "486 motherboards using the SiS 85C471/85C407 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sis85c496" year "199?" manufacturer "Hack Inc." desc "486 motherboards using the SiS 85C496/85C497 chipset + 3dfx Voodoo 1" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "sisrabb" year "199?" manufacturer "<unknown>" desc "386 motherboards using the SiS Rabbit chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sist1" year "198?" manufacturer "Cisco Systems" desc "Cisco SIST1 Terminal" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "sisv" year "1978" manufacturer "Taito" desc "Space Invaders (SV Version rev 4)" devices ())
(name "sisv1" year "1978" manufacturer "Taito" desc "Space Invaders (SV Version rev 1)" devices ())
(name "sisv2" year "1978" manufacturer "Taito" desc "Space Invaders (SV Version rev 2)" devices ())
(name "sisv3" year "1978" manufacturer "Taito" desc "Space Invaders (SV Version rev 3)" devices ())
(name "sitcom" year "2002" manufacturer "San Bergmans & Izabella Malcolm" desc "SITCOM" devices ((name "bitbanger" briefname "bitb" )))
(name "sitcomtmr" year "2002" manufacturer "San Bergmans & Izabella Malcolm" desc "SITCOM Timer" devices ((name "bitbanger" briefname "bitb" )))
(name "sitv" year "1978" manufacturer "Taito" desc "Space Invaders (TV Version rev 2)" devices ())
(name "sitv1" year "1978" manufacturer "Taito" desc "Space Invaders (TV Version rev 1)" devices ())
(name "sjcd2kx3" year "1985" manufacturer "M.P." desc "Super Joly 2000 - 3x" devices ())
(name "sjryuko" year "1988" manufacturer "White Board" desc "Sukeban Jansi Ryuko (set 2, System 16B, FD1089B 317-5021)" devices ())
(name "sjryuko1" year "1987" manufacturer "White Board" desc "Sukeban Jansi Ryuko (set 1, System 16A, FD1089B 317-5021)" devices ())
(name "sk1" year "1985" manufacturer "Casio" desc "SK-1" devices ())
(name "sk10" year "1987" manufacturer "Casio" desc "SK-10" devices ())
(name "sk101bl" year "1988" manufacturer "Reuters" desc "Model SK 101 BL" devices ())
(name "sk2" year "1988" manufacturer "Casio" desc "SK-2" devices ())
(name "sk5" year "1987" manufacturer "Casio" desc "SK-5" devices ())
(name "skatebll" year "1980" manufacturer "Bally" desc "Skateball" devices ())
(name "skatebrd" year "1980" manufacturer "Inder" desc "Skate Board (Inder)" devices ())
(name "skatekds" year "1988" manufacturer "hack (Two-Bit Score)" desc "Vs. Skate Kids. (Graphic hack of Super Mario Bros.)" devices ())
(name "skattv" year "1994" manufacturer "ADP" desc "Skat TV" devices ())
(name "skattva" year "1995" manufacturer "ADP" desc "Skat TV (version TS3)" devices ())
(name "skc_090" year "2006" manufacturer "Stern" desc "Simpsons Kooky Carnival (Redemption) v0.90 New Jersey" devices ())
(name "skc_103" year "2006" manufacturer "Stern" desc "Simpsons Kooky Carnival (Redemption) v1.03" devices ())
(name "skc_105" year "2006" manufacturer "Stern" desc "Simpsons Kooky Carnival (Redemption) v1.05" devices ())
(name "skeetsht" year "1991" manufacturer "Dynamo" desc "Skeet Shot" devices ())
(name "skelagon" year "1983" manufacturer "Nihon Game (Nichibutsu USA license)" desc "Skelagon" devices ())
(name "skflight" year "1986" manufacturer "Nuova Bell Games" desc "Skill Flight" devices ())
(name "skichamp" year "1998" manufacturer "Sega" desc "Ski Champ (Japan)" devices ())
(name "skijump" year "1978" manufacturer "Zaccaria" desc "Ski Jump" devices ())
(name "skill98" year "1998" manufacturer "Amcoe" desc "Skill '98 (Talking ver. s98-1.33)" devices ())
(name "skilldrp" year "2002" manufacturer "Astro Corp." desc "Skill Drop Georgia (Ver. G1.01S, Oct 1 2002)" devices ())
(name "skilldrpa" year "2002" manufacturer "Astro Corp." desc "Skill Drop Georgia (Ver. G1.0S, Sep 13 2002)" devices ())
(name "skimaxx" year "1996" manufacturer "Kyle Hodgetts / ICE" desc "Skimaxx" devices ())
(name "skingame" year "1992" manufacturer "Irem America" desc "The Irem Skins Game (US set 1)" devices ())
(name "skingame2" year "1992" manufacturer "Irem America" desc "The Irem Skins Game (US set 2)" devices ())
(name "skisuprg" year "1996" manufacturer "Sega" desc "Sega Ski Super G" devices ())
(name "sklflite" year "1987" manufacturer "Playmatic" desc "Skill Flight (Playmatic)" devices ())
(name "skullfng" year "1996" manufacturer "Data East Corporation" desc "Skull Fang (Europe 1.13)" devices ())
(name "skullfnga" year "1996" manufacturer "Data East Corporation" desc "Skull Fang - Kuhga Gaiden (Asia 1.13)" devices ())
(name "skullfngj" year "1996" manufacturer "Data East Corporation" desc "Skull Fang - Kuhga Gaiden (Japan 1.09)" devices ())
(name "skullxbo" year "1989" manufacturer "Atari Games" desc "Skull & Crossbones (rev 5)" devices ())
(name "skullxbo1" year "1989" manufacturer "Atari Games" desc "Skull & Crossbones (rev 1)" devices ())
(name "skullxbo2" year "1989" manufacturer "Atari Games" desc "Skull & Crossbones (rev 2)" devices ())
(name "skullxbo3" year "1989" manufacturer "Atari Games" desc "Skull & Crossbones (rev 3)" devices ())
(name "skullxbo4" year "1989" manufacturer "Atari Games" desc "Skull & Crossbones (rev 4)" devices ())
(name "skyadvnt" year "1989" manufacturer "Alpha Denshi Co." desc "Sky Adventure (World)" devices ())
(name "skyadvntj" year "1989" manufacturer "Alpha Denshi Co." desc "Sky Adventure (Japan)" devices ())
(name "skyadvntu" year "1989" manufacturer "Alpha Denshi Co. (SNK of America license)" desc "Sky Adventure (US)" devices ())
(name "skyalert" year "1992" manufacturer "Metro" desc "Sky Alert" devices ())
(name "skyarmy" year "1982" manufacturer "Shoei" desc "Sky Army" devices ())
(name "skybase" year "1982" manufacturer "Omori Electric Co., Ltd." desc "Sky Base" devices ())
(name "skybump" year "1982" manufacturer "Venture Line" desc "Sky Bumper" devices ())
(name "skychal" year "2000" manufacturer "Sega" desc "Sky Challenger (J 000406 V1.000)" devices ())
(name "skychut" year "1980" manufacturer "Irem" desc "Sky Chuter" devices ())
(name "skydest" year "1985" manufacturer "Taito Corporation" desc "Sky Destroyer (Japan)" devices ())
(name "skydiver" year "1978" manufacturer "Atari" desc "Sky Diver" devices ())
(name "skydnca6" year "2008" manufacturer "Aristocrat" desc "Sky Dancer (10272711, NSW/ACT)" devices ())
(name "skyfire" year "1979" manufacturer "bootleg (Microhard)" desc "Sky Fire" devices ())
(name "skyfox" year "1987" manufacturer "Jaleco (Nichibutsu USA license)" desc "Sky Fox" devices ())
(name "skykid" year "1985" manufacturer "Namco" desc "Sky Kid (new version)" devices ())
(name "skykidd" year "1985" manufacturer "Namco" desc "Sky Kid (CUS60 version)" devices ())
(name "skykiddx" year "1986" manufacturer "Namco" desc "Sky Kid Deluxe (set 1)" devices ())
(name "skykiddxo" year "1986" manufacturer "Namco" desc "Sky Kid Deluxe (set 2)" devices ())
(name "skykido" year "1985" manufacturer "Namco" desc "Sky Kid (old version)" devices ())
(name "skykids" year "1985" manufacturer "Namco (Sipem license)" desc "Sky Kid (Sipem)" devices ())
(name "skylancr" year "1983" manufacturer "Orca" desc "Sky Lancer" devices ())
(name "skylancre" year "1983" manufacturer "Orca (Esco Trading Co license)" desc "Sky Lancer (Esco Trading Co license)" devices ())
(name "skylncr" year "1995" manufacturer "Bordun International" desc "Sky Lancer (Bordun, version U450C)" devices ())
(name "skylove" year "1979" manufacturer "Omori Electric Co., Ltd." desc "Sky Love" devices ())
(name "skyraid" year "1978" manufacturer "Atari" desc "Sky Raider" devices ())
(name "skyraidr" year "1980" manufacturer "bootleg" desc "Sky Raider (bootleg of UniWar S)" devices ())
(name "skyrobo" year "1989" manufacturer "Nichibutsu" desc "Sky Robo" devices ())
(name "skyshark" year "1987" manufacturer "Toaplan / Taito America Corporation (Romstar license)" desc "Sky Shark (US, set 1)" devices ())
(name "skysharka" year "1987" manufacturer "Toaplan / Taito America Corporation (Romstar license)" desc "Sky Shark (US, set 2)" devices ())
(name "skysharkb" year "1987" manufacturer "bootleg" desc "Sky Shark (bootleg)" devices ())
(name "skyskipr" year "1981" manufacturer "Nintendo" desc "Sky Skipper" devices ())
(name "skysmash" year "1990" manufacturer "Nihon System" desc "Sky Smasher" devices ())
(name "skysoldr" year "1988" manufacturer "Alpha Denshi Co. (SNK of America/Romstar license)" desc "Sky Soldiers (US)" devices ())
(name "skysoldrbl" year "1988" manufacturer "bootleg" desc "Sky Soldiers (bootleg)" devices ())
(name "skytargt" year "1995" manufacturer "Sega" desc "Sky Target" devices ())
(name "skywolf" year "1987" manufacturer "bootleg" desc "Sky Wolf (set 1)" devices ())
(name "skywolf2" year "1987" manufacturer "bootleg" desc "Sky Wolf (set 2)" devices ())
(name "skywolf3" year "1987" manufacturer "bootleg" desc "Sky Wolf (set 3)" devices ())
(name "skywriter" year "1981" manufacturer "Ideal Toy Corporation" desc "Sky-Writer: The Electronic Message Sender" devices ())
(name "sl2007" year "2007" manufacturer "Triangle Service" desc "Shooting Love 2007 (Japan)" devices ())
(name "slalom03" year "1988" manufacturer "Stargame" desc "Slalom Code 0.3" devices ())
(name "slamdnk2" year "1996" manufacturer "Konami" desc "Slam Dunk 2 (ver JAA)" devices ())
(name "slammast" year "1993" manufacturer "Capcom" desc "Saturday Night Slam Masters (World 930713)" devices ())
(name "slammastu" year "1993" manufacturer "Capcom" desc "Saturday Night Slam Masters (USA 930713)" devices ())
(name "slampic" year "1993" manufacturer "bootleg" desc "Saturday Night Slam Masters (bootleg with PIC16C57, set 1)" devices ())
(name "slampic2" year "1993" manufacturer "bootleg" desc "Saturday Night Slam Masters (bootleg with PIC16C57, set 2)" devices ())
(name "slapfigh" year "1986" manufacturer "Toaplan / Taito" desc "Slap Fight (A77 set, 8606M PCB)" devices ())
(name "slapfigha" year "1986" manufacturer "Toaplan / Taito" desc "Slap Fight (A76 set, GX-006-A PCB)" devices ())
(name "slapfighb1" year "1986" manufacturer "bootleg" desc "Slap Fight (bootleg set 1)" devices ())
(name "slapfighb2" year "1986" manufacturer "bootleg" desc "Slap Fight (bootleg set 2)" devices ())
(name "slapfighb3" year "1986" manufacturer "bootleg" desc "Slap Fight (bootleg set 3)" devices ())
(name "slapfighm" year "199?" manufacturer "bootleg (Gaelco / Ervisa)" desc "Slap Fight (Modular System)" devices ())
(name "slapshot" year "1994" manufacturer "Taito Corporation Japan" desc "Slap Shot (Ver 3.0 O)" devices ())
(name "slapshotj" year "1994" manufacturer "Taito Corporation" desc "Slap Shot (Ver 2.2 J)" devices ())
(name "slapshtr" year "1986" manufacturer "Sega" desc "Slap Shooter" devices ())
(name "slasho" year "2000" manufacturer "Sega" desc "Slashout" devices ())
(name "slashout" year "2000" manufacturer "Sega" desc "Slashout (GDS-0004)" devices ((name "cdrom" briefname "cdrm" )))
(name "slbmania" year "1980" manufacturer "Bally" desc "Silverball Mania" devices ())
(name "slc1" year "1989" manufacturer "Dieter Scheuschner" desc "Schach- und Lerncomputer SLC 1" devices ())
(name "sldeluxe" year "2001" manufacturer "Aristocrat" desc "Sweet Liberty Deluxe (AHG1575, US)" devices ())
(name "sleicpin" year "1993" manufacturer "Sleic" desc "Sleic Pin Ball" devices ())
(name "slepachi" year "1983" manufacturer "Tsukuda" desc "Slot Elepachi" devices ())
(name "slicer" year "1983" manufacturer "Slicer Computers" desc "Slicer" devices ((name "floppydisk" briefname "flop" )))
(name "slikshot" year "1990" manufacturer "Grand Products / Incredible Technologies" desc "Slick Shot (V2.2)" devices ())
(name "slikshot16" year "1990" manufacturer "Grand Products / Incredible Technologies" desc "Slick Shot (V1.6)" devices ())
(name "slikshot17" year "1990" manufacturer "Grand Products / Incredible Technologies" desc "Slick Shot (V1.7)" devices ())
(name "slimekun" year "1991" manufacturer "Konami" desc "Slime Kun" devices ())
(name "slipstrm" year "1995" manufacturer "Capcom" desc "Slip Stream (Brazil 950515)" devices ())
(name "slipstrmh" year "1995" manufacturer "Capcom" desc "Slip Stream (Hispanic 950515)" devices ())
(name "slither" year "1982" manufacturer "Century II (GDI license)" desc "Slither (set 1)" devices ())
(name "slithera" year "1982" manufacturer "Century II (GDI license)" desc "Slither (set 2)" devices ())
(name "sliver" year "1996" manufacturer "Hollow Corp" desc "Sliver (set 1)" devices ())
(name "slivera" year "1996" manufacturer "Hollow Corp" desc "Sliver (set 2)" devices ())
(name "slmdunkj" year "1993" manufacturer "Konami" desc "Slam Dunk (ver JAA 1993 10.8)" devices ())
(name "slmdunkjd" year "1993" manufacturer "Konami" desc "Slam Dunk (ver JAA 1993 10.8) (dual screen with demux adapter)" devices ())
(name "sloco93" year "1993" manufacturer "<unknown>" desc "Super Loco 93 (Spanish, set 1)" devices ())
(name "sloco93a" year "1993" manufacturer "<unknown>" desc "Super Loco 93 (Spanish, set 2)" devices ())
(name "slotcarn" year "1985" manufacturer "Wing Co., Ltd." desc "Slot Carnival" devices ())
(name "slotouji" year "2003" manufacturer "Namco" desc "Slot no Oujisama / Slot Prince (Japan, SLO1 Ver. B)" devices ((name "cdrom" briefname "cdrm" )))
(name "slotsnl" year "1995" manufacturer "BFM/ELAM" desc "Slots (Dutch, Game Card 95-750-368)" devices ())
(name "slotunbl" year "1982" manufacturer "bootleg?" desc "Slot (unknown bootleg?)" devices ())
(name "slqz2" year "1998" manufacturer "IGS" desc "Shuang Long Qiang Zhu 2 VS (China, VS203J)" devices ())
(name "slqz3" year "1999" manufacturer "IGS" desc "Mahjong Shuang Long Qiang Zhu 3 (China, VS107C)" devices ())
(name "slrasslt" year "1997" manufacturer "Konami" desc "Solar Assault (ver UAA)" devices ())
(name "slrassltj" year "1997" manufacturer "Konami" desc "Solar Assault Revised (ver JAA)" devices ())
(name "slrassltj1" year "1997" manufacturer "Konami" desc "Solar Assault (ver JAA)" devices ())
(name "slspirit" year "1999" manufacturer "Promat" desc "Solite Spirits" devices ())
(name "slsstars" year "199?" manufacturer "Sound Leisure" desc "SuperStars (CD jukebox)" devices ())
(name "sltblgp1" year "1996" manufacturer "BFM/ELAM" desc "Slots (Belgian Cash, Game Card 95-752-008)" devices ())
(name "sltblgpo" year "1996" manufacturer "BFM/ELAM" desc "Slots (Belgian Cash, Game Card 95-750-938)" devices ())
(name "sltblgtk" year "1996" manufacturer "BFM/ELAM" desc "Slots (Belgian Token, Game Card 95-750-943)" devices ())
(name "sltblgtka" year "1996" manufacturer "BFM/ELAM" desc "Slots (Belgian Token, Game Card 95-750-452)" devices ())
(name "sltpcycl" year "1997" manufacturer "Salter Fitness / Gaelco" desc "Pro Cycle Tele Cardioline (Salter Fitness Bike V.1.0, Checksum 02AB)" devices ())
(name "sltpstep" year "1997" manufacturer "Salter Fitness / Gaelco" desc "Pro Stepper Tele Cardioline (Salter Fitness Stepper V.1.0, Checksum F208)" devices ())
(name "sluster2" year "1998" manufacturer "NMK" desc "Super Luster II" devices ())
(name "slvrball632" year "1997?" manufacturer "TAB Austria" desc "Silverball (6.32)" devices ((name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "slvrball720" year "1997?" manufacturer "TAB Austria" desc "Silverball (7.20)" devices ((name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "slvrball806" year "1997?" manufacturer "TAB Austria" desc "Silverball (8.01)" devices ((name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "slvrballbu409" year "199?" manufacturer "TAB Austria" desc "Silverball Bulova (4.09, set 1)" devices ((name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "slvrballbu409b" year "199?" manufacturer "TAB Austria" desc "Silverball Bulova (4.09, set 2)" devices ((name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "slvrwolf" year "1998" manufacturer "Aristocrat" desc "Silver Wolf (0100673V, NSW/ACT)" devices ())
(name "slyspy" year "1989" manufacturer "Data East USA" desc "Sly Spy (US, revision 4)" devices ())
(name "slyspy2" year "1989" manufacturer "Data East USA" desc "Sly Spy (US, revision 2)" devices ())
(name "slyspy3" year "1989" manufacturer "Data East USA" desc "Sly Spy (US, revision 3)" devices ())
(name "sm1800" year "????" manufacturer "<unknown>" desc "SM1800" devices ())
(name "sm1810" year "19??" manufacturer "<unknown>" desc "SM1810" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk" briefname "flop" )))
(name "sm38640f" year "199?" manufacturer "<unknown>" desc "SM 386-40F" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sm48650usc" year "199?" manufacturer "Vintage Sprite" desc "SM 486-50USC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sm7238" year "1989" manufacturer "USSR" desc "SM 7238" devices ((name "bitbanger" briefname "bitb" )))
(name "sm_ngacc" year "1981" manufacturer "Summit Coin" desc "Nudge Accumulator (Summit Coin)" devices ())
(name "sm_ultng" year "1981" manufacturer "Summit Coin" desc "Ultimate Nudge (Summit Coin)" devices ())
(name "sman_102ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.02 (English,French)" devices ())
(name "sman_130ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.30 (English,French)" devices ())
(name "sman_130ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.30 (English,Italian)" devices ())
(name "sman_130es" year "2007" manufacturer "Stern" desc "Spider-Man v1.30 (English,Spanish)" devices ())
(name "sman_130gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.30 (German,French)" devices ())
(name "sman_140e" year "2007" manufacturer "Stern" desc "Spider-Man v1.40" devices ())
(name "sman_140ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.40 (English,French)" devices ())
(name "sman_140ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.40 (English,Italian)" devices ())
(name "sman_140es" year "2007" manufacturer "Stern" desc "Spider-Man v1.40 (English,Spanish)" devices ())
(name "sman_140gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.40 (German,French)" devices ())
(name "sman_142e" year "2007" manufacturer "Stern" desc "Spider-Man v1.42" devices ())
(name "sman_160e" year "2007" manufacturer "Stern" desc "Spider-Man v1.60" devices ())
(name "sman_160ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.60 (English,French)" devices ())
(name "sman_160ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.60 (English,Italian)" devices ())
(name "sman_160es" year "2007" manufacturer "Stern" desc "Spider-Man v1.60 (English,Spanish)" devices ())
(name "sman_160gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.60 (German,French)" devices ())
(name "sman_170e" year "2007" manufacturer "Stern" desc "Spider-Man v1.70" devices ())
(name "sman_170ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.70 (English,French)" devices ())
(name "sman_170ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.70 (English,Italian)" devices ())
(name "sman_170es" year "2007" manufacturer "Stern" desc "Spider-Man v1.70 (English,Spanish)" devices ())
(name "sman_170gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.70 (German,French)" devices ())
(name "sman_190e" year "2007" manufacturer "Stern" desc "Spider-Man v1.90" devices ())
(name "sman_190ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.90 (English,French)" devices ())
(name "sman_190ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.90 (English,Italian)" devices ())
(name "sman_190es" year "2007" manufacturer "Stern" desc "Spider-Man v1.90 (English,Spanish)" devices ())
(name "sman_190gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.90 (German,French)" devices ())
(name "sman_192e" year "2007" manufacturer "Stern" desc "Spider-Man v1.92" devices ())
(name "sman_192ef" year "2007" manufacturer "Stern" desc "Spider-Man v1.92 (English,French)" devices ())
(name "sman_192ei" year "2007" manufacturer "Stern" desc "Spider-Man v1.92 (English,Italian)" devices ())
(name "sman_192es" year "2007" manufacturer "Stern" desc "Spider-Man v1.92 (English,Spanish)" devices ())
(name "sman_192gf" year "2007" manufacturer "Stern" desc "Spider-Man v1.92 (German,French)" devices ())
(name "sman_200e" year "2007" manufacturer "Stern" desc "Spider-Man v2.00" devices ())
(name "sman_210e" year "2007" manufacturer "Stern" desc "Spider-Man v2.10" devices ())
(name "sman_210ei" year "2007" manufacturer "Stern" desc "Spider-Man v2.10 (English,Italian)" devices ())
(name "sman_210es" year "2007" manufacturer "Stern" desc "Spider-Man v2.10 (English,Spanish)" devices ())
(name "sman_210f" year "2007" manufacturer "Stern" desc "Spider-Man v2.10 (French)" devices ())
(name "sman_210gf" year "2007" manufacturer "Stern" desc "Spider-Man v2.10 (German,French)" devices ())
(name "sman_220e" year "2007" manufacturer "Stern" desc "Spider-Man v2.20" devices ())
(name "sman_230e" year "2007" manufacturer "Stern" desc "Spider-Man v2.30" devices ())
(name "sman_240" year "2007" manufacturer "Stern" desc "Spider-Man v2.40" devices ())
(name "smarinef" year "2000" manufacturer "Sega" desc "Sega Marine Fishing" devices ())
(name "smartfp" year "2009" manufacturer "Fisher-Price" desc "Fun 2 Learn Smart Fit Park (UK)" devices ())
(name "smartfpf" year "2009" manufacturer "Fisher-Price" desc "Fun 2 Learn Smart Fit Park (France)" devices ())
(name "smartfps" year "2009" manufacturer "Fisher-Price" desc "Fun 2 Learn Smart Fit Park (Spain)" devices ())
(name "smartoss" year "199?" manufacturer "Smart Industries / Creative Electronics and Software" desc "Smart Toss 'em / Smartball (Ver 2.0)" devices ())
(name "smartvad" year "2005" manufacturer "WinFun / KidConnection" desc "SmarTV Adventures" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "smash" year "1979" manufacturer "bootleg" desc "Smash (bootleg of Crash)" devices ())
(name "smashdrv" year "2000" manufacturer "Gaelco" desc "Smashing Drive (World)" devices ())
(name "smashdrvb" year "2000" manufacturer "Gaelco (Brent Sales license)" desc "Smashing Drive (UK)" devices ())
(name "smashdrvs" year "2000" manufacturer "Gaelco (Covielsa license)" desc "Smashing Drive (Spain, Portugal)" devices ())
(name "smashtv" year "1990" manufacturer "Williams" desc "Smash T.V. (rev 8.00)" devices ())
(name "smashtv3" year "1990" manufacturer "Williams" desc "Smash T.V. (rev 3.01)" devices ())
(name "smashtv4" year "1990" manufacturer "Williams" desc "Smash T.V. (rev 4.00)" devices ())
(name "smashtv5" year "1990" manufacturer "Williams" desc "Smash T.V. (rev 5.00)" devices ())
(name "smashtv6" year "1990" manufacturer "Williams" desc "Smash T.V. (rev 6.00)" devices ())
(name "smastmind" year "1979" manufacturer "Invicta" desc "Super-Sonic Electronic Master Mind" devices ())
(name "smb3bl" year "1987" manufacturer "Sang Ho Soft" desc "Super Mario Bros. 3 (NES bootleg)" devices ())
(name "smbmush" year "1992" manufacturer "Gottlieb" desc "Super Mario Brothers Mushroom World" devices ())
(name "smbomb" year "1994" manufacturer "Capcom" desc "Super Muscle Bomber: The International Blowout (Japan 940831)" devices ())
(name "smbombr1" year "1994" manufacturer "Capcom" desc "Super Muscle Bomber: The International Blowout (Japan 940808)" devices ())
(name "smbp" year "1992" manufacturer "Gottlieb" desc "Super Mario Brothers (pinball, set 1)" devices ())
(name "smbpa" year "1992" manufacturer "Gottlieb" desc "Super Mario Brothers (pinball, set 2)" devices ())
(name "smbpb" year "1992" manufacturer "Gottlieb" desc "Super Mario Brothers (pinball, set 3)" devices ())
(name "smbpc" year "1992" manufacturer "Gottlieb" desc "Super Mario Brothers (pinball, set 4)" devices ())
(name "smc777" year "1983" manufacturer "Sony" desc "SMC-777" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "smcard" year "200?" manufacturer "<unknown>" desc "Super Magic Card" devices ())
(name "smchess" year "1981" manufacturer "SciSys" desc "Mini Chess" devices ())
(name "smf" year "1997" manufacturer "Eighting (Capcom license)" desc "Super Medal Fighters (Japan 970228)" devices ())
(name "smgolf" year "1984" manufacturer "Nintendo" desc "Vs. Stroke & Match Golf (Men Version, set GF4-2 F)" devices ())
(name "smgolfb" year "1984" manufacturer "Nintendo" desc "Vs. Stroke & Match Golf (Men Version, set GF4-2 ?)" devices ())
(name "smgolfj" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Stroke & Match Golf (Men Version) (Japan, set GF3 B)" devices ())
(name "smgp" year "1989" manufacturer "Sega" desc "Super Monaco GP (World, Rev B) (FD1094 317-0126a)" devices ())
(name "smgp5" year "1989" manufacturer "Sega" desc "Super Monaco GP (World) (FD1094 317-0126)" devices ())
(name "smgp5d" year "1989" manufacturer "bootleg" desc "Super Monaco GP (World) (bootleg of FD1094 317-0126 set)" devices ())
(name "smgp6" year "1989" manufacturer "Sega" desc "Super Monaco GP (World, Rev A) (FD1094 317-0126a)" devices ())
(name "smgp6d" year "1989" manufacturer "bootleg" desc "Super Monaco GP (World, Rev A) (bootleg of FD1094 317-0126a set)" devices ())
(name "smgpd" year "1989" manufacturer "bootleg" desc "Super Monaco GP (World, Rev B) (bootleg of FD1094 317-0126a set)" devices ())
(name "smgpj" year "1989" manufacturer "Sega" desc "Super Monaco GP (Japan, Rev B) (FD1094 317-0124a)" devices ())
(name "smgpja" year "1989" manufacturer "Sega" desc "Super Monaco GP (Japan, Rev A) (FD1094 317-0124a)" devices ())
(name "smgpjd" year "1989" manufacturer "bootleg" desc "Super Monaco GP (Japan, Rev B) (bootleg of FD1094 317-0124a set)" devices ())
(name "smgpu" year "1989" manufacturer "Sega" desc "Super Monaco GP (US, Rev C) (FD1094 317-0125a)" devices ())
(name "smgpu1" year "1989" manufacturer "Sega" desc "Super Monaco GP (US, Rev B) (FD1094 317-0125a)" devices ())
(name "smgpu1d" year "1989" manufacturer "bootleg" desc "Super Monaco GP (US, Rev B) (bootleg of FD1094 317-0125a set)" devices ())
(name "smgpu2" year "1989" manufacturer "Sega" desc "Super Monaco GP (US, Rev A) (FD1094 317-0125a)" devices ())
(name "smgpu2d" year "1989" manufacturer "bootleg" desc "Super Monaco GP (US, Rev A) (bootleg of FD1094 317-0125a set)" devices ())
(name "smgpud" year "1989" manufacturer "bootleg" desc "Super Monaco GP (US, Rev C) (bootleg of FD1094 317-0125a set)" devices ())
(name "smiconk" year "1978" manufacturer "SNK" desc "Space Micon Kit" devices ())
(name "smih0107" year "19??" manufacturer "Forex Computer Company" desc "unknown 386 AT clone with Forex chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sminiboy" year "1984" manufacturer "Bonanza Enterprises, Ltd" desc "Super Mini-Boy" devices ())
(name "smissw" year "1996" manufacturer "Comad" desc "Super Miss World" devices ())
(name "smleague" year "1995" manufacturer "Sega" desc "Super Major League (U 960108 V1.000)" devices ())
(name "smlg99" year "1999" manufacturer "Sega" desc "World Series 99 / Super Major League 99" devices ())
(name "smman" year "1978" manufacturer "Bally" desc "Six Million Dollar Man" devices ())
(name "smondial" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Super Mondial (ver. A)" devices ())
(name "smondial2" year "1988" manufacturer "Hegener + Glaser" desc "Mephisto Super Mondial II" devices ((name "cartridge" briefname "cart" )))
(name "smondialab" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Super Mondial (ver. AB)" devices ())
(name "smondialb" year "1986" manufacturer "Hegener + Glaser" desc "Mephisto Super Mondial (ver. B)" devices ())
(name "smooncrs" year "1980?" manufacturer "bootleg (Gremlin)" desc "Super Moon Cresta (Gremlin, bootleg)" devices ())
(name "smoto13" year "1996" manufacturer "Subsino" desc "Super Rider (v1.3)" devices ())
(name "smoto16" year "1996" manufacturer "Subsino" desc "Super Moto (Italy, v1.6)" devices ())
(name "smoto20" year "1996" manufacturer "Subsino" desc "Super Rider (Italy, v2.0)" devices ())
(name "smotor" year "19??" manufacturer "Duintronic" desc "Super Motor (prototype)" devices ())
(name "sms" year "1990" manufacturer "Sega" desc "Master System II" devices ((name "cartridge" briefname "cart" )))
(name "sms1" year "1986" manufacturer "Sega" desc "Master System" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms1000" year "1987" manufacturer "Scientific Micro Systems" desc "SMS-1000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "punchtape" briefname "ptap" )))
(name "sms1br" year "1989" manufacturer "Tec Toy" desc "Master System (Brazil)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms1kr" year "19??" manufacturer "Samsung" desc "Gam*Boy (Korea)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms1krfm" year "1989" manufacturer "Samsung" desc "Gam*Boy (Korea) (FM)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms1pal" year "1986" manufacturer "Sega" desc "Master System (PAL)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms1paln" year "19??" manufacturer "Tec Toy" desc "Master System (PAL-N)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms2br" year "1991" manufacturer "Tec Toy" desc "Master System II (Brazil)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms2paln" year "19??" manufacturer "Tec Toy" desc "Master System II (PAL-N)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "sms4in1" year "1984" manufacturer "SMS Manufacturing Corp." desc "4-in-1 (version SWS1-052587)" devices ())
(name "sms4in1a" year "1984" manufacturer "SMS Manufacturing Corp." desc "4-in-1 (version SWS1-110984)" devices ())
(name "smsbr" year "1992" manufacturer "Tec Toy" desc "Master System III Compact (Brazil)" devices ((name "cartridge" briefname "cart" )))
(name "smshilo" year "1983" manufacturer "SMS Manufacturing Corp." desc "HI-LO Double Up Joker Poker" devices ())
(name "smsj" year "1987" manufacturer "Sega" desc "Master System (Japan)" devices ((name "cartridge" briefname "cart" ) (name "card" briefname "card" )))
(name "smsjoker" year "1985" manufacturer "SMS Manufacturing Corp." desc "Joker Poker With Hi-Lo Double-Up" devices ())
(name "smskr" year "1991" manufacturer "Samsung" desc "Gam*Boy II (Korea)" devices ((name "cartridge" briefname "cart" )))
(name "smspal" year "1990" manufacturer "Sega" desc "Master System II (PAL)" devices ((name "cartridge" briefname "cart" )))
(name "smspaln" year "19??" manufacturer "Tec Toy" desc "Master System III Compact (PAL-N)" devices ((name "cartridge" briefname "cart" )))
(name "smssdisp" year "1986" manufacturer "Sega" desc "Master System Store Display Unit" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "cartridge4" briefname "cart4" ) (name "cartridge5" briefname "cart5" ) (name "cartridge6" briefname "cart6" ) (name "cartridge7" briefname "cart7" ) (name "cartridge8" briefname "cart8" ) (name "cartridge9" briefname "cart9" ) (name "cartridge10" briefname "cart10" ) (name "cartridge11" briefname "cart11" ) (name "cartridge12" briefname "cart12" ) (name "cartridge13" briefname "cart13" ) (name "cartridge14" briefname "cart14" ) (name "cartridge15" briefname "cart15" ) (name "cartridge16" briefname "cart16" ) (name "card1" briefname "card1" ) (name "card2" briefname "card2" ) (name "card3" briefname "card3" ) (name "card4" briefname "card4" ) (name "card5" briefname "card5" ) (name "card6" briefname "card6" ) (name "card7" briefname "card7" ) (name "card8" briefname "card8" ) (name "card9" briefname "card9" ) (name "card10" briefname "card10" ) (name "card11" briefname "card11" ) (name "card12" briefname "card12" ) (name "card13" briefname "card13" ) (name "card14" briefname "card14" ) (name "card15" briefname "card15" ) (name "card16" briefname "card16" )))
(name "smssgame" year "199?" manufacturer "Sono Corp Japan" desc "Super Game (Sega Master System Multi-game bootleg, 01 Final Bubble Bobble)" devices ())
(name "smssgamea" year "1990" manufacturer "Seo Jin (TV-Tuning license)" desc "Super Game (Sega Master System Multi-game bootleg, 01 Tri Formation)" devices ())
(name "smtma6" year "2001" manufacturer "Aristocrat" desc "Show Me The Money (10001911, NSW/ACT)" devices ())
(name "smtma6q" year "2001" manufacturer "Aristocrat" desc "Show Me The Money (10015711, Queensland)" devices ())
(name "snake" year "1982" manufacturer "Taito do Brasil" desc "Snake Machine" devices ())
(name "snakepit" year "1984" manufacturer "Bally/Sente" desc "Snake Pit" devices ())
(name "snakepita" year "1984" manufacturer "Sente Technologies Inc." desc "Snake Pit (9/14/84)" devices ())
(name "snakjack" year "1984" manufacturer "Bally/Sente" desc "Snacks'n Jaxson" devices ())
(name "snapjack" year "1981" manufacturer "Universal" desc "Snap Jack" devices ())
(name "snapper" year "1990" manufacturer "Philko" desc "Snapper (Korea)" devices ())
(name "snapshot" year "200?" manufacturer "Aristocrat" desc "Snap Shot (20115211, ASP)" devices ())
(name "sncwgltd" year "1996" manufacturer "Video System Co." desc "Sonic Wings Limited (Japan)" devices ())
(name "snes" year "1989" manufacturer "Nintendo" desc "Super Nintendo Entertainment System / Super Famicom (NTSC)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "snes4sl" year "1993" manufacturer "bootleg" desc "SNES 4 Slot arcade switcher" devices ())
(name "snes4sln" year "1994" manufacturer "bootleg" desc "SNES 4 Slot arcade switcher (NBA Jam)" devices ())
(name "snespal" year "1991" manufacturer "Nintendo" desc "Super Nintendo Entertainment System (PAL)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "sngkace" year "1993" manufacturer "Psikyo (Banpresto license)" desc "Sengoku Ace (Japan, set 1)" devices ())
(name "sngkacea" year "1993" manufacturer "Psikyo (Banpresto license)" desc "Sengoku Ace (Japan, set 2)" devices ())
(name "snlad" year "199?" manufacturer "JPM" desc "Snake & Ladders" devices ())
(name "snmath" year "1980" manufacturer "Texas Instruments" desc "Speak & Math (US, 1980 version)" devices ())
(name "snmatha" year "1984" manufacturer "Texas Instruments" desc "Speak & Math (US, 1984 version)" devices ())
(name "snmathp" year "1980" manufacturer "Texas Instruments" desc "Speak & Math (US, patent)" devices ())
(name "snomi286" year "198?" manufacturer "Snobol" desc "Mini 286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "snookr10" year "1998" manufacturer "Sandii'" desc "Snooker 10 (Ver 1.11)" devices ())
(name "snotec" year "1995" manufacturer "Bandai" desc "Super Note Club (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "snotecex" year "1996" manufacturer "Bandai" desc "Super Note Club EX (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "snotecu" year "1998" manufacturer "Bandai" desc "Super Note Club µ (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "snotecug" year "1999" manufacturer "Bandai" desc "Super Note Club µ girlish (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "snowboar" year "1997" manufacturer "Gaelco / OMK" desc "Snow Board Championship (Version 2.1)" devices ())
(name "snowboara" year "1996" manufacturer "Gaelco / OMK" desc "Snow Board Championship (Version 2.0)" devices ())
(name "snowbro2" year "1994" manufacturer "Hanafram" desc "Snow Bros. 2 - With New Elves / Otenki Paradise (Hanafram)" devices ())
(name "snowbro2b" year "1998" manufacturer "bootleg" desc "Snow Bros. 2 - With New Elves / Otenki Paradise (bootleg, set 1)" devices ())
(name "snowbro2b2" year "1994" manufacturer "bootleg (Q Elec)" desc "Snow Bros. 2 - With New Elves / Otenki Paradise (bootleg, set 2)" devices ())
(name "snowbro2b3" year "1994" manufacturer "bootleg" desc "Snow Bros. 2 - With New Elves / Otenki Paradise (bootleg, set 3)" devices ())
(name "snowbro2ny" year "1994" manufacturer "Nyanko" desc "Snow Bros. 2 - With New Elves / Otenki Paradise (Nyanko)" devices ())
(name "snowbro3" year "2002" manufacturer "Syrmex" desc "Snow Brothers 3 - Magical Adventure" devices ())
(name "snowbros" year "1990" manufacturer "Toaplan" desc "Snow Bros. - Nick & Tom (set 1)" devices ())
(name "snowbrosa" year "1990" manufacturer "Toaplan" desc "Snow Bros. - Nick & Tom (set 2)" devices ())
(name "snowbrosb" year "1990" manufacturer "Toaplan" desc "Snow Bros. - Nick & Tom (set 3)" devices ())
(name "snowbrosc" year "1990" manufacturer "Toaplan" desc "Snow Bros. - Nick & Tom (set 4)" devices ())
(name "snowbrosd" year "1990" manufacturer "Toaplan (Dooyong license)" desc "Snow Bros. - Nick & Tom (Dooyong license)" devices ())
(name "snowbrosj" year "1990" manufacturer "Toaplan" desc "Snow Bros. - Nick & Tom (Japan)" devices ())
(name "snowbroswb" year "1990" manufacturer "bootleg" desc "Snow Bros. - Nick & Tom (The Winter Bobble hardware bootleg)" devices ())
(name "snowbwar" year "20??" manufacturer "Sealy" desc "Snowball War - WakuWaku Yukigassen" devices ())
(name "snowcat" year "1996" manufacturer "Aristocrat" desc "Snow Cat (0100405V, NSW/ACT)" devices ())
(name "snread" year "1980" manufacturer "Texas Instruments" desc "Speak & Read (US)" devices ((name "cartridge" briefname "cart" )))
(name "snspares" year "1995" manufacturer "Gottlieb" desc "Strikes n' Spares (rev.6)" devices ())
(name "snspares1" year "1995" manufacturer "Gottlieb" desc "Strikes n' Spares (rev.1)" devices ())
(name "snspares2" year "1995" manufacturer "Gottlieb" desc "Strikes n' Spares (rev.2)" devices ())
(name "snspell" year "1980" manufacturer "Texas Instruments" desc "Speak & Spell (US, 1980 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspellc" year "1982" manufacturer "Texas Instruments" desc "Speak & Spell Compact (US, 1982 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspellca" year "1981" manufacturer "Texas Instruments" desc "Speak & Spell Compact (US, 1981 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspellfr" year "1981" manufacturer "Texas Instruments" desc "La Dictée Magique (France)" devices ((name "cartridge" briefname "cart" )))
(name "snspellit" year "1983" manufacturer "Texas Instruments / Clementoni" desc "Grillo Parlante (Italy)" devices ((name "cartridge" briefname "cart" )))
(name "snspelljp" year "1980" manufacturer "Texas Instruments" desc "Speak & Spell (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "snspellp" year "1978" manufacturer "Texas Instruments" desc "Speak & Spell (US, patent)" devices ((name "cartridge" briefname "cart" )))
(name "snspellsp" year "1980" manufacturer "Texas Instruments" desc "Speak & Spell (Spanish, prototype)" devices ((name "cartridge" briefname "cart" )))
(name "snspellua" year "1978" manufacturer "Texas Instruments" desc "Speak & Spell (US, 1978 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspellub" year "1981" manufacturer "Texas Instruments" desc "Speak & Spell (US, 1981 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspelluk" year "1978" manufacturer "Texas Instruments" desc "Speak & Spell (UK, 1978 version)" devices ((name "cartridge" briefname "cart" )))
(name "snspelluka" year "1981" manufacturer "Texas Instruments" desc "Speak & Spell (UK, 1981 version)" devices ((name "cartridge" briefname "cart" )))
(name "snwrite" year "1982" manufacturer "Texas Instruments" desc "Speak & Write (UK)" devices ((name "cartridge" briefname "cart" )))
(name "so025d2" year "199?" manufacturer "SOYO" desc "025D2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "so025k2" year "199?" manufacturer "SOYO" desc "025K2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "so025r2" year "199?" manufacturer "SOYO" desc "025R2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "so30h" year "199?" manufacturer "SOYO" desc "30H" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "so4saw2" year "199?" manufacturer "SOYO" desc "SY-4SAW2" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "socbrawl" year "1991" manufacturer "SNK" desc "Soccer Brawl (NGM-031)" devices ((name "memcard" briefname "memc" ) ()))
(name "socbrawlh" year "1991" manufacturer "SNK" desc "Soccer Brawl (NGH-031)" devices ((name "memcard" briefname "memc" ) ()))
(name "soccer" year "1980" manufacturer "Atari" desc "Atari Soccer" devices ())
(name "soccer10" year "1996" manufacturer "I.G.T. International Games Trade" desc "Soccer 10 (ver. 16.44)" devices ())
(name "soccernw" year "199?" manufacturer "<unknown>" desc "Soccer New (Italian)" devices ())
(name "soccerss" year "1994" manufacturer "Konami" desc "Soccer Superstars (ver EAC)" devices ())
(name "soccerssa" year "1994" manufacturer "Konami" desc "Soccer Superstars (ver AAA)" devices ())
(name "soccerssj" year "1994" manufacturer "Konami" desc "Soccer Superstars (ver JAC)" devices ())
(name "soccerssja" year "1994" manufacturer "Konami" desc "Soccer Superstars (ver JAA)" devices ())
(name "soccerssu" year "1994" manufacturer "Konami" desc "Soccer Superstars (ver UAC)" devices ())
(name "soccrrmt" year "1973" manufacturer "Ramtek" desc "Soccer (Ramtek)" devices ())
(name "socrates" year "1988" manufacturer "Video Technology" desc "Socrates Educational Video System" devices ((name "cartridge" briefname "cart" )))
(name "socratfc" year "1988" manufacturer "Video Technology" desc "Socrates SAITOUT" devices ((name "cartridge" briefname "cart" )))
(name "socrking" year "1982" manufacturer "Zaccaria" desc "Soccer Kings" devices ())
(name "socrkinga" year "1982" manufacturer "Zaccaria" desc "Soccer Kings (alternate set)" devices ())
(name "socrkingg" year "1982" manufacturer "Zaccaria" desc "Soccer Kings (German speech)" devices ())
(name "socrkingi" year "1982" manufacturer "Zaccaria" desc "Soccer Kings (Italian speech)" devices ())
(name "softbox" year "1981" manufacturer "Small Systems Engineering" desc "SoftBox" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" )))
(name "sogeki" year "2001" manufacturer "Konami" desc "Sogeki (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "sokonuke" year "1995" manufacturer "Sammy Industries" desc "Sokonuke Taisen Game (Japan)" devices ())
(name "sokyugrt" year "1996" manufacturer "Raizing / Eighting" desc "Soukyugurentai / Terra Diver (JUET 960821 V1.000)" devices ())
(name "sol20" year "1976" manufacturer "Processor Technology Corporation" desc "Sol-20 Terminal Computer" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "solar_l2" year "1981" manufacturer "Williams" desc "Solar Fire (L-2)" devices ())
(name "solarfox" year "1981" manufacturer "Bally Midway" desc "Solar Fox (upright)" devices ())
(name "solargm" year "200?" manufacturer "<unknown>" desc "Solar Games 80-in-1 (PAL)" devices ())
(name "solaride" year "1979" manufacturer "Gottlieb" desc "Solar Ride" devices ())
(name "solarq" year "1981" manufacturer "Cinematronics" desc "Solar Quest (rev 10 8 81)" devices ())
(name "solarwap" year "1986" manufacturer "Sonic" desc "Solar Wars (Sonic)" devices ())
(name "solarwar" year "1979" manufacturer "Atari" desc "Solar War" devices ())
(name "soldam" year "1992" manufacturer "Jaleco" desc "Soldam" devices ())
(name "soldamj" year "1992" manufacturer "Jaleco" desc "Soldam (Japan)" devices ())
(name "soldivid" year "1997" manufacturer "Psikyo" desc "Sol Divide - The Sword Of Darkness" devices ())
(name "soldividk" year "1997" manufacturer "Psikyo" desc "Sol Divide - The Sword Of Darkness (Korea)" devices ())
(name "solfight" year "1979" manufacturer "bootleg" desc "Solar Fight (bootleg of Ozma Wars)" devices ())
(name "solfigtr" year "1991" manufacturer "Taito Corporation Japan" desc "Solitary Fighter (World)" devices ())
(name "solitaire" year "1999" manufacturer "F2 System" desc "Solitaire (version 2.5)" devices ())
(name "solomon" year "1986" manufacturer "Tecmo" desc "Solomon's Key (US)" devices ())
(name "solomonj" year "1986" manufacturer "Tecmo" desc "Solomon no Kagi (Japan)" devices ())
(name "solrwarr" year "1986" manufacturer "Technos Japan (Taito / Memetron license)" desc "Solar-Warrior (US)" devices ())
(name "sols5e" year "198?" manufacturer "Solbourne Computer Inc" desc "Series 5E Computer Workstation" devices ())
(name "solution" year "1984" manufacturer "SCAT" desc "The Solution" devices ())
(name "solvalou" year "1991" manufacturer "Namco" desc "Solvalou (SV1, Japan)" devices ())
(name "sonic" year "1992" manufacturer "Sega" desc "SegaSonic The Hedgehog (Japan, rev. C)" devices ())
(name "sonic2mb" year "1993" manufacturer "bootleg / Sega" desc "Sonic The Hedgehog 2 (bootleg of Mega Drive version)" devices ())
(name "sonic3mb" year "1993" manufacturer "bootleg / Sega" desc "Sonic The Hedgehog 3 (bootleg of Mega Drive version)" devices ())
(name "sonicbom" year "1987" manufacturer "Sega" desc "Sonic Boom (FD1094 317-0053)" devices ())
(name "sonicbomd" year "1987" manufacturer "bootleg" desc "Sonic Boom (bootleg of FD1094 317-0053 set)" devices ())
(name "soniccar" year "1991" manufacturer "Sega" desc "Waku Waku Sonic Patrol Car" devices ())
(name "sonicfgt" year "1993" manufacturer "Sega" desc "SegaSonic Cosmo Fighter (World)" devices ())
(name "sonicfgtj" year "1993" manufacturer "Sega" desc "SegaSonic Cosmo Fighter (Japan)" devices ())
(name "sonicp" year "1992" manufacturer "Sega" desc "SegaSonic The Hedgehog (Japan, prototype)" devices ())
(name "sonicpop" year "1993" manufacturer "Sega" desc "SegaSonic Popcorn Shop (Rev B)" devices ())
(name "sonicwi" year "1992" manufacturer "Video System Co." desc "Sonic Wings (Japan)" devices ())
(name "sonicwi2" year "1994" manufacturer "Video System Co." desc "Aero Fighters 2 / Sonic Wings 2" devices ((name "memcard" briefname "memc" ) ()))
(name "sonicwi3" year "1995" manufacturer "Video System Co." desc "Aero Fighters 3 / Sonic Wings 3" devices ((name "memcard" briefname "memc" ) ()))
(name "sonikfig" year "2000" manufacturer "Z Games" desc "Sonik Fighter (version 02, encrypted)" devices ())
(name "sonofphx" year "1985" manufacturer "bootleg (Associated Overseas MFR, Inc.)" desc "Son of Phoenix (bootleg of Repulse)" devices ())
(name "sonoth" year "200?" manufacturer "WMS" desc "Something For Nothing (Russian)" devices ())
(name "sonson" year "1984" manufacturer "Capcom" desc "Son Son" devices ())
(name "sonsonj" year "1984" manufacturer "Capcom" desc "Son Son (Japan)" devices ())
(name "sonstwar" year "1987" manufacturer "Sonic" desc "Star Wars (Sonic, set 1)" devices ())
(name "sonstwr2" year "1987" manufacturer "Sonic" desc "Star Wars (Sonic, set 2)" devices ())
(name "sopranof" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 5.00, display F5.00, France)" devices ())
(name "sopranof_107" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 1.07, display F1.00, France)" devices ())
(name "sopranof_300" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 3.00, display F3.00, France)" devices ())
(name "sopranof_400" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 4.00, display F4.00, France)" devices ())
(name "sopranog" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 5.00, display G5.00, Germany)" devices ())
(name "sopranog_107" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 1.07, display G1.00, Germany)" devices ())
(name "sopranog_300" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 3.00, display G3.00, Germany)" devices ())
(name "sopranog_400" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 4.00, display G4.00, Germany)" devices ())
(name "sopranoi" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 5.00, display I5.00, Italy)" devices ())
(name "sopranoi_107" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 1.07, display I1.00, Italy)" devices ())
(name "sopranoi_300" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 3.00, display I3.00, Italy)" devices ())
(name "sopranoi_400" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 4.00, display I4.00, Italy)" devices ())
(name "sopranol" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 5.00, display L5.00, Spain)" devices ())
(name "sopranol_107" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 1.07, display L1.00, Spain)" devices ())
(name "sopranol_300" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 3.00, display L3.00, Spain)" devices ())
(name "sopranol_400" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 4.00, display L4.00, Spain)" devices ())
(name "sopranos" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 5.00, display A5.00)" devices ())
(name "sopranos_204" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 2.04, display A2.00)" devices ())
(name "sopranos_300" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 3.00, display A3.00)" devices ())
(name "sopranos_400" year "2005" manufacturer "Stern" desc "The Sopranos (CPU 4.00, display A4.00)" devices ())
(name "sorbit" year "1983" manufacturer "Gottlieb" desc "Super Orbit" devices ())
(name "sorcerer" year "1979" manufacturer "Exidy Inc" desc "Sorcerer" devices ((name "bitbanger" briefname "bitb" ) (name "quickload" briefname "quik" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" )))
(name "sorcerer2" year "1979" manufacturer "Exidy Inc" desc "Sorcerer 2" devices ((name "bitbanger" briefname "bitb" ) (name "quickload" briefname "quik" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" )))
(name "sorcerera" year "1979" manufacturer "Exidy Inc" desc "Sorcerer (with Dreamdisk fdc)" devices ((name "bitbanger" briefname "bitb" ) (name "quickload" briefname "quik" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "sorcererb" year "1979" manufacturer "Exidy Inc" desc "Sorcerer (with Digitrio fdc)" devices ((name "bitbanger" briefname "bitb" ) (name "quickload" briefname "quik" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "sorcererd" year "1979" manufacturer "Exidy Inc" desc "Sorcerer (with Micropolis fdc)" devices ((name "bitbanger" briefname "bitb" ) (name "quickload" briefname "quik" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "floppydisk5" briefname "flop5" ) (name "floppydisk6" briefname "flop6" )))
(name "sorcr_l1" year "1985" manufacturer "Williams" desc "Sorcerer (L-1)" devices ())
(name "sorcr_l2" year "1985" manufacturer "Williams" desc "Sorcerer (L-2)" devices ())
(name "sos" year "1979" manufacturer "K.K. Tokki (Namco license)" desc "SOS Game" devices ())
(name "sosterm" year "198?" manufacturer "Terminal" desc "S.O.S." devices ())
(name "sothello" year "1986" manufacturer "Success / Fujiwara" desc "Super Othello" devices ())
(name "sotsugyo" year "1995" manufacturer "Mitchell (Atlus license)" desc "Sotsugyo Shousho (Japan)" devices ())
(name "sotsugyok" year "1996" manufacturer "Mitchell" desc "Jor-eop Jeungmyeongseo (Korea)" devices ())
(name "soukobdx" year "1990" manufacturer "Namco" desc "Souko Ban Deluxe (Japan, SB1)" devices ())
(name "soulcl2a" year "2002" manufacturer "Namco" desc "Soul Calibur II (SC22 Ver. A)" devices ())
(name "soulcl2b" year "2002" manufacturer "Namco" desc "Soul Calibur II (SC21 Ver. A)" devices ())
(name "soulcl2w" year "2002" manufacturer "Namco" desc "Soul Calibur II (SC23 world version)" devices ())
(name "soulclb2" year "2002" manufacturer "Namco" desc "Soul Calibur II (SC23 Ver. A)" devices ())
(name "soulclb3" year "2006" manufacturer "Namco" desc "Soul Calibur III: Arcade Edition (SC31001-NA-A key, NA-B disc)" devices ())
(name "soulclb3a" year "2006" manufacturer "Namco" desc "Soul Calibur III: Arcade Edition (SC31002-NA-A key, NA-B disc)" devices ())
(name "soulclb3b" year "2006" manufacturer "Namco" desc "Soul Calibur III: Arcade Edition (SC31002-NA-A key, NA-A disc)" devices ())
(name "soulclbr" year "1998" manufacturer "Namco" desc "Soul Calibur (Asia, SOC14/VER.C)" devices ())
(name "soulclbra" year "1998" manufacturer "Namco" desc "Soul Calibur (World, SOC12/VER.A2)" devices ())
(name "soulclbrab" year "1998" manufacturer "Namco" desc "Soul Calibur (Asia, SOC14/VER.B)" devices ())
(name "soulclbrja" year "1998" manufacturer "Namco" desc "Soul Calibur (Japan, SOC11/VER.A2)" devices ())
(name "soulclbrjb" year "1998" manufacturer "Namco" desc "Soul Calibur (Japan, SOC11/VER.B)" devices ())
(name "soulclbrjc" year "1998" manufacturer "Namco" desc "Soul Calibur (Japan, SOC11/VER.C)" devices ())
(name "soulclbrub" year "1998" manufacturer "Namco" desc "Soul Calibur (US, SOC13/VER.B)" devices ())
(name "soulclbruc" year "1998" manufacturer "Namco" desc "Soul Calibur (US, SOC13/VER.C)" devices ())
(name "souledge" year "1996" manufacturer "Namco" desc "Soul Edge Ver. II (Asia, SO4/VER.C)" devices ())
(name "souledgea" year "1995" manufacturer "Namco" desc "Soul Edge (World, SO2/VER.A)" devices ())
(name "souledgeja" year "1995" manufacturer "Namco" desc "Soul Edge (Japan, SO1/VER.A)" devices ())
(name "souledgeua" year "1995" manufacturer "Namco" desc "Soul Edge (US, SO3/VER.A)" devices ())
(name "souledgeuc" year "1995" manufacturer "Namco" desc "Soul Edge Ver. II (US, SO3/VER.C)" devices ())
(name "soulsurf" year "2002" manufacturer "Sega" desc "Soul Surfer (Rev A)" devices ())
(name "soundic" year "198?" manufacturer "Soundic" desc "Soundic MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "soutenry" year "2000" manufacturer "Warashi" desc "Soutenryu (V2.07J 2000/12/14 11:13:02)" devices ((name "harddisk" briefname "hard" )))
(name "sp3e8bit" year "2002" manufacturer "Amstrad plc" desc "ZX Spectrum +3e 8bit IDE" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "sp3eata" year "2002" manufacturer "Amstrad plc" desc "ZX Spectrum +3e 8bit ZXATASP" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "sp3ezcf" year "2002" manufacturer "Amstrad plc" desc "ZX Spectrum +3e 8bit ZXCF" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "sp_atw" year "199?" manufacturer "Crystal" desc "Around The World In Eighty Days (Crystal) (sp.ACE?)" devices ())
(name "sp_beau" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_beau2" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_beau2a" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_beau2b" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_beau2c" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_beau2d" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_beau2e" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_beau2f" year "199?" manufacturer "Ace" desc "Further Adventures Of Beau Peep (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_beaua" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_beaub" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_beauc" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_beaud" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_beaue" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_beauf" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_beaug" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_beauh" year "199?" manufacturer "Ace" desc "Beau Peep (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_bigbd" year "199?" manufacturer "Ace" desc "Big Break Deluxe Club (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_bigbda" year "199?" manufacturer "Ace" desc "Big Break Deluxe Club (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_brkbk" year "199?" manufacturer "Ace" desc "Break The Bank (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_brkbka" year "199?" manufacturer "Ace" desc "Break The Bank (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_brkbkb" year "199?" manufacturer "Ace" desc "Break The Bank (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_brkbkc" year "199?" manufacturer "Ace" desc "Break The Bank (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_brkbkd" year "199?" manufacturer "Ace" desc "Break The Bank (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_camel" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_camela" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_camelb" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_camelc" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_cameld" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_camele" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_camelf" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_camelg" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_camelh" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_cameli" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_camelj" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_camelk" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_camell" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_camelm" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_cameln" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_camelo" year "199?" manufacturer "Ace" desc "Camelot (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_carry" year "199?" manufacturer "Pcp" desc "Carry On (Pcp) (sp.ACE) (set 1)" devices ())
(name "sp_carrya" year "199?" manufacturer "Pcp" desc "Carry On (Pcp) (sp.ACE) (set 2)" devices ())
(name "sp_cbowl" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_cbowla" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_cbowlb" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_cbowlc" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_cbowld" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_cbowle" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_cbowlf" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_cbowlg" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_cbowlh" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_cbowli" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_cbowlj" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_cbowlk" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_cbowll" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_cbowlm" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_cbowln" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_cbowlo" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_cbowlp" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_cbowlq" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 18)" devices ())
(name "sp_cbowlr" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 19)" devices ())
(name "sp_cbowls" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 20)" devices ())
(name "sp_cbowlt" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 21)" devices ())
(name "sp_cbowlu" year "199?" manufacturer "Ace" desc "Cash Bowl (Ace) (sp.ACE) (set 22)" devices ())
(name "sp_clbna" year "199?" manufacturer "Ace" desc "Club National (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_clbnaa" year "199?" manufacturer "Ace" desc "Club National (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_coder" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_codera" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_coderb" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_coderc" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_coderd" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_codere" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_coderf" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_coderg" year "199?" manufacturer "Ace" desc "Code Red (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_cpal" year "199?" manufacturer "Ace" desc "Caesars Palace (Ace) (sp.ACE?)" devices ())
(name "sp_crime" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_crimea" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_crimeb" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_crimec" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_crimed" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_crimee" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_crimef" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_crimeg" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_crimeh" year "199?" manufacturer "Ace" desc "Crime Watch (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_criss" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_crissa" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_crissb" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_crissc" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_crissd" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_crisse" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_crissf" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_crissg" year "199?" manufacturer "Ace" desc "Criss Cross Cash (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_crun" year "199?" manufacturer "Crystal" desc "Cash Run (Crystal) (sp.ACE?) (set 1)" devices ())
(name "sp_cruna" year "199?" manufacturer "Crystal" desc "Cash Run (Crystal) (sp.ACE?) (set 2)" devices ())
(name "sp_crunb" year "199?" manufacturer "Crystal" desc "Cash Run (Crystal) (sp.ACE?) (set 3)" devices ())
(name "sp_daytr" year "199?" manufacturer "Ace" desc "Daytripper (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_daytra" year "199?" manufacturer "Ace" desc "Daytripper (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_daytrb" year "199?" manufacturer "Ace" desc "Daytripper (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_daytrc" year "199?" manufacturer "Ace" desc "Daytripper (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_donky" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_donkya" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_donkyb" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_donkyc" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_donkyd" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_donkye" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_donkyf" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_donkyg" year "199?" manufacturer "Ace" desc "Donkey Derby (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_dyour" year "199?" manufacturer "Ace" desc "Double Your Money (Ace) (sp.ACE)" devices ())
(name "sp_emmrd" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_emmrda" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_emmrdb" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_emmrdc" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_emmrdd" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_emmrde" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_emmrdf" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_emmrdg" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_emmrdh" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_emmrdi" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_emmrdj" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_emmrdk" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_emmrdn" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_emmrdo" year "1995" manufacturer "Ace" desc "Emmerdale (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_festi" year "199?" manufacturer "Ace" desc "Festival (Spanish) (Ace) (sp.ACE)" devices ())
(name "sp_five" year "199?" manufacturer "Crystal" desc "Fiver Fever (Crystal) (sp.ACE?) (set 1)" devices ())
(name "sp_fivea" year "199?" manufacturer "Crystal" desc "Fiver Fever (Crystal) (sp.ACE?) (set 2)" devices ())
(name "sp_front" year "199?" manufacturer "Bwb" desc "Final Frontier (Bwb) (sp.ACE)" devices ())
(name "sp_ghost" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_ghosta" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_ghostb" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_ghostc" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_ghostd" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_ghoste" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_ghostf" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_ghostg" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_ghosth" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_ghosti" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_ghostj" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_ghostk" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_ghostl" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_ghostm" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_ghostn" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_ghosto" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_ghostp" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_ghostq" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 18)" devices ())
(name "sp_ghostr" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 19)" devices ())
(name "sp_ghosts" year "199?" manufacturer "Ace" desc "Ghost Trapper (Ace) (sp.ACE) (set 20)" devices ())
(name "sp_globe" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_globea" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_globeb" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_globec" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_globed" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_globee" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_globef" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_globeg" year "199?" manufacturer "Ace" desc "Globe Trotter (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_gnat" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_gnata" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_gnatb" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_gnatc" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_gnatd" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_gnate" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_gnatf" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_gnatg" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_gnath" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_gnati" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_gnatj" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_gnatk" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_gnatl" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_gnatm" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_gnatn" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_gnato" year "199?" manufacturer "Ace" desc "Grand National (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_gol" year "199?" manufacturer "Ace" desc "Gol (Spanish) (Ace) (sp.ACE)" devices ())
(name "sp_golda" year "199?" manufacturer "Ace" desc "Golden Arrow Club (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_goldaa" year "199?" manufacturer "Ace" desc "Golden Arrow Club (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_goldm" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_goldm0" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 28)" devices ())
(name "sp_goldm1" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 29)" devices ())
(name "sp_goldm2" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 30)" devices ())
(name "sp_goldm3" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 31)" devices ())
(name "sp_goldma" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_goldmb" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_goldmc" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_goldmd" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_goldme" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_goldmf" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_goldmg" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_goldmh" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_goldmi" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_goldmj" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_goldmk" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_goldml" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_goldmm" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_goldmn" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_goldmo" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_goldmp" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_goldmq" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 18)" devices ())
(name "sp_goldmr" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 19)" devices ())
(name "sp_goldms" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 20)" devices ())
(name "sp_goldmt" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 21)" devices ())
(name "sp_goldmu" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 22)" devices ())
(name "sp_goldmv" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 23)" devices ())
(name "sp_goldmw" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 24)" devices ())
(name "sp_goldmx" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 25)" devices ())
(name "sp_goldmy" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 26)" devices ())
(name "sp_goldmz" year "199?" manufacturer "Ace" desc "Golden Mile (Ace) (sp.ACE) (set 27)" devices ())
(name "sp_golds" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_goldsa" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_goldsb" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_goldsc" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_goldsd" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_goldse" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_goldsf" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_goldsg" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_goldsh" year "199?" manufacturer "Ace" desc "Golden Streak (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_goldt" year "199?" manufacturer "Ace" desc "Golden Streak (Golden Touch) (Ace) (sp.ACE)" devices ())
(name "sp_gprix" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_gprixa" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_gprixb" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_gprixc" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_gprixd" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_gprixe" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_gprixf" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_gprixg" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_gprixh" year "199?" manufacturer "Ace" desc "Grand Prix (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_here" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_herea" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_hereb" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_herec" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_hered" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_heree" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_heref" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_hereg" year "199?" manufacturer "Ace" desc "Here We Go (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_hideh" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_hideha" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_hidehb" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_hidehc" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_hidehd" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_hidehe" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_hidehf" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_hidehg" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_hidehh" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_hidehi" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_hidehj" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_hidehk" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_hidehl" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_hidehm" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_hidehn" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_hideho" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_hidehp" year "199?" manufacturer "Ace" desc "Hi De Hi (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_hifly" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_hiflya" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_hiflyb" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_hiflyc" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_hiflyd" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_hiflye" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_hiflyf" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_hiflyg" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_hiflyh" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_hiflyi" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_hiflyj" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_hiflyk" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_hiflyl" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_hiflym" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_hiflyn" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_hiflyo" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_hiflyp" year "199?" manufacturer "Ace" desc "Hi Flyer (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_holid" year "199?" manufacturer "Ace" desc "Holiday Club (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_holida" year "199?" manufacturer "Ace" desc "Holiday Club (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_juras" year "199?" manufacturer "Ace" desc "Jurassic Trail (Ace) (sp.ACE)" devices ())
(name "sp_lotto" year "199?" manufacturer "Ace" desc "Lotto (Spanish) (Ace) (sp.ACE)" devices ())
(name "sp_magmo" year "199?" manufacturer "Ace" desc "Magic Money (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_magmoa" year "199?" manufacturer "Ace" desc "Magic Money (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_magmob" year "199?" manufacturer "Ace" desc "Magic Money (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_magmoc" year "199?" manufacturer "Ace" desc "Magic Money (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_magmod" year "199?" manufacturer "Ace" desc "Magic Money (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_megmo" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_megmoa" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_megmob" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_megmoc" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_megmod" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_megmoe" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_megmof" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_megmog" year "199?" manufacturer "Ace" desc "Mega Money (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_monma" year "199?" manufacturer "Ace" desc "Money Magic (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_monmaa" year "199?" manufacturer "Ace" desc "Money Magic (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_monmab" year "199?" manufacturer "Ace" desc "Money Magic (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_monmac" year "199?" manufacturer "Ace" desc "Money Magic (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_monmad" year "199?" manufacturer "Ace" desc "Money Magic (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_monmo" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_monmoa" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_monmob" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_monmoc" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_monmod" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_monmoe" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_monmof" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_monmog" year "199?" manufacturer "Ace" desc "Money Mountain (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_nudex" year "199?" manufacturer "Ace" desc "Nudge Explosion (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_nudexa" year "199?" manufacturer "Ace" desc "Nudge Explosion (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_onbox" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_onboxa" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_onboxb" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_onboxc" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_onboxd" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_onboxe" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_onboxf" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_onboxg" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_onboxh" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_onboxi" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_onboxj" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_onboxk" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_onboxl" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_onboxm" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_onboxn" year "199?" manufacturer "Ace" desc "On The Box (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_openb" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_openba" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_openbb" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_openbc" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_openbd" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_openbe" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_openbf" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_openbg" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_openbh" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_openbi" year "199?" manufacturer "Ace" desc "Open The Box (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_payrs" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_payrsa" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_payrsb" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_payrsc" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_payrsd" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_payrse" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_payrsf" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_payrsg" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_payrsh" year "199?" manufacturer "Ace" desc "Payrise (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_piste" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_pistea" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_pisteb" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_pistec" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_pisted" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_pistee" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_pistef" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_pisteg" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_pisteh" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_pistei" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_pistej" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_pistek" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_pistel" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_pistem" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_pisten" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_pisteo" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_pistep" year "199?" manufacturer "Ace" desc "On The Piste (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_playa" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_playaa" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_playab" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_playac" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_playad" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_playae" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_playaf" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_playag" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_playah" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_playai" year "199?" manufacturer "Ace" desc "Play It Again (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_pound" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_pounda" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_poundb" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_poundbwb" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 1)" devices ())
(name "sp_poundbwba" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 2)" devices ())
(name "sp_poundbwbb" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 3)" devices ())
(name "sp_poundbwbc" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 4)" devices ())
(name "sp_poundbwbd" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 5)" devices ())
(name "sp_poundbwbe" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 6)" devices ())
(name "sp_poundbwbf" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 7)" devices ())
(name "sp_poundbwbg" year "199?" manufacturer "Ace / Bwb" desc "Pound For Pound (Ace/Bwb) (sp.ACE) (set 8)" devices ())
(name "sp_poundc" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_poundd" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_pounde" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_poundf" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_poundg" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_poundh" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_poundi" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_poundj" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_poundk" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_poundl" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_poundm" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_poundn" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_poundo" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_poundp" year "199?" manufacturer "Ace" desc "Pound For Pound (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_przna" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_prznaa" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_prznab" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_prznac" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_prznad" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_prznae" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_prznaf" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_prznag" year "199?" manufacturer "Ace" desc "Prize National (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_road" year "199?" manufacturer "Ace" desc "Road To Hell (Ace) (sp.ACE)" devices ())
(name "sp_roof" year "199?" manufacturer "Ace" desc "Thru' The Roof (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_roofa" year "199?" manufacturer "Ace" desc "Thru' The Roof (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_skylm" year "199?" manufacturer "Ace" desc "The Sky's The Limit Club (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_skylma" year "199?" manufacturer "Ace" desc "The Sky's The Limit Club (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_spell" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_spella" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_spellb" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_spellc" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_spelld" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_spelle" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_spellf" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_spellg" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_spelli" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_spellj" year "199?" manufacturer "Ace" desc "Spellbound (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_swop" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_swopa" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_swopb" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_swopc" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_swopd" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_swope" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_swopf" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_swopg" year "199?" manufacturer "Ace" desc "Swop Shop (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_timem" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_timema" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_timemb" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_timemc" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_timemd" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_timeme" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_timemf" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_timemg" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_timemh" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_timemi" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_timemj" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_timemk" year "199?" manufacturer "Ace" desc "Time Machine (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_tkpik" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_tkpika" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_tkpikb" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_tkpikc" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_tkpikd" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_tkpike" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_tkpikf" year "199?" manufacturer "Ace" desc "Take Your Pick (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_tz" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_tza" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_tzb" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_tzbwb" year "199?" manufacturer "Ace / Bwb" desc "Twilight Zone (Ace/Bwb) (sp.ACE)" devices ())
(name "sp_tzc" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_tzd" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_tze" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_tzf" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_tzfe" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_tzfea" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_tzfeb" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_tzfec" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_tzfed" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_tzfee" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_tzfef" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_tzfeg" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_tzfeh" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_tzfei" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_tzfej" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_tzfek" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_tzfel" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_tzfem" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_tzfen" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_tzfeo" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_tzfep" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 17)" devices ())
(name "sp_tzfeq" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 18)" devices ())
(name "sp_tzfer" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 19)" devices ())
(name "sp_tzfes" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 20)" devices ())
(name "sp_tzfet" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 21)" devices ())
(name "sp_tzfeu" year "199?" manufacturer "Ace" desc "Twilight Zone - Further Encounters (Ace) (sp.ACE) (set 22)" devices ())
(name "sp_tzg" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_tzh" year "199?" manufacturer "Ace" desc "Twilight Zone (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_woolp" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_woolpa" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_woolpb" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_woolpc" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_woolpd" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_woolpe" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_woolpf" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_woolpg" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_woolph" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_woolpi" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_woolpj" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_woolpk" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_woolpl" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_woolpm" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 14)" devices ())
(name "sp_woolpn" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 15)" devices ())
(name "sp_woolpo" year "1995" manufacturer "Ace" desc "Woolpack (Ace) (sp.ACE) (set 16)" devices ())
(name "sp_zigzg" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 1)" devices ())
(name "sp_zigzga" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 2)" devices ())
(name "sp_zigzgb" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 3)" devices ())
(name "sp_zigzgc" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 4)" devices ())
(name "sp_zigzgd" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 5)" devices ())
(name "sp_zigzge" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 6)" devices ())
(name "sp_zigzgf" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 7)" devices ())
(name "sp_zigzgg" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 8)" devices ())
(name "sp_zigzgh" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 9)" devices ())
(name "sp_zigzgi" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 10)" devices ())
(name "sp_zigzgj" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 11)" devices ())
(name "sp_zigzgk" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 12)" devices ())
(name "sp_zigzgl" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 13)" devices ())
(name "sp_zigzgm" year "199?" manufacturer "Ace" desc "Zig Zag (Ace) (sp.ACE) (set 14)" devices ())
(name "spacbat2" year "1980" manufacturer "bootleg" desc "Space Battle (bootleg set 2)" devices ())
(name "spacbatt" year "1980" manufacturer "bootleg" desc "Space Battle (bootleg set 1)" devices ())
(name "spacbeam" year "1979" manufacturer "Irem" desc "Space Beam" devices ())
(name "spacduel" year "1980" manufacturer "Atari" desc "Space Duel (version 2)" devices ())
(name "spacduel0" year "1980" manufacturer "Atari" desc "Space Duel (prototype)" devices ())
(name "spacduel1" year "1980" manufacturer "Atari" desc "Space Duel (version 1)" devices ())
(name "space84" year "1985" manufacturer "ComputerTechnik/IBS" desc "Space 84" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "spacea91" year "1991" manufacturer "Cinematronics (Leland Corporation license)" desc "Space Ace (DL2 Conversion) (US v1.3)" devices ())
(name "spacea91_13e" year "1991" manufacturer "Cinematronics (Leland Corporation license)" desc "Space Ace (DL2 Conversion) (Europe v1.3)" devices ())
(name "spaceace" year "1983" manufacturer "Cinematronics" desc "Space Ace (US Rev. A3)" devices ())
(name "spaceacea" year "1983" manufacturer "Cinematronics" desc "Space Ace (US Rev. A)" devices ())
(name "spaceacea2" year "1983" manufacturer "Cinematronics" desc "Space Ace (US Rev. A2)" devices ())
(name "spaceaceeuro" year "1983" manufacturer "Cinematronics (Atari license)" desc "Space Ace (European)" devices ())
(name "spaceat2" year "1980" manufacturer "bootleg (Video Games UK)" desc "Space Attack II (bootleg of Super Invaders)" devices ())
(name "spaceatt" year "1978" manufacturer "bootleg (Video Games GmbH)" desc "Space Attack (bootleg of Space Invaders)" devices ())
(name "spaceatt2k" year "1978" manufacturer "bootleg (Video Games GmbH)" desc "Space Attack (bootleg of Space Invaders, 2k roms)" devices ())
(name "spaceattbp" year "1978" manufacturer "bootleg (Video Games GmbH)" desc "Space Attack (bootleg of Space Invaders, bproms)" devices ())
(name "spacebrd" year "1980" manufacturer "bootleg (Karateco)" desc "Space Bird (bootleg)" devices ())
(name "spacecho" year "1980" manufacturer "bootleg (Gayton Games)" desc "Space Echo (set 1)" devices ())
(name "spacecho2" year "1980" manufacturer "bootleg (Gayton Games)" desc "Space Echo (set 2)" devices ())
(name "spacecom" year "1979" manufacturer "bootleg" desc "Space Combat (bootleg of Space Invaders)" devices ())
(name "spacecr" year "1981" manufacturer "Taito Corporation" desc "Space Cruiser" devices ())
(name "spacecty" year "1979" manufacturer "Zaccaria" desc "Space City" devices ())
(name "spacedem" year "1980" manufacturer "Nintendo (Fortrek license)" desc "Space Demon" devices ())
(name "spacedx" year "1994" manufacturer "Taito Corporation" desc "Space Invaders DX (US, v2.1)" devices ())
(name "spacedxj" year "1994" manufacturer "Taito Corporation" desc "Space Invaders DX (Japan, v2.1)" devices ())
(name "spacedxo" year "1994" manufacturer "Taito Corporation" desc "Space Invaders DX (Japan, v2.0)" devices ())
(name "spacefb" year "1980" manufacturer "Nintendo" desc "Space Firebird (rev. 04-u)" devices ())
(name "spacefba" year "1980" manufacturer "Nintendo" desc "Space Firebird (rev. 02-a)" devices ())
(name "spacefbb" year "1980" manufacturer "bootleg" desc "Space Firebird (bootleg)" devices ())
(name "spacefbe" year "1980" manufacturer "Nintendo" desc "Space Firebird (rev. 03-e set 1)" devices ())
(name "spacefbe2" year "1980" manufacturer "Nintendo" desc "Space Firebird (rev. 03-e set 2)" devices ())
(name "spacefbg" year "1980" manufacturer "Nintendo (Gremlin license)" desc "Space Firebird (Gremlin)" devices ())
(name "spacefev" year "1979" manufacturer "Nintendo" desc "Space Fever (new version)" devices ())
(name "spacefevo" year "1979" manufacturer "Nintendo" desc "Space Fever (old version)" devices ())
(name "spacefevo2" year "1979" manufacturer "Nintendo" desc "Space Fever (older version)" devices ())
(name "spacefrt" year "1981" manufacturer "Century Electronics" desc "Space Fortress (CVS)" devices ())
(name "spaceftr" year "1981" manufacturer "Cinematronics (Zaccaria license)" desc "Space Fortress (Zaccaria)" devices ())
(name "spaceg" year "1979" manufacturer "Omori Electric Co., Ltd." desc "Space Guerrilla" devices ())
(name "spacegun" year "1990" manufacturer "Taito Corporation Japan" desc "Space Gun (World)" devices ())
(name "spacegunj" year "1990" manufacturer "Taito Corporation" desc "Space Gun (Japan)" devices ())
(name "spacegunu" year "1990" manufacturer "Taito America Corporation" desc "Space Gun (US)" devices ())
(name "spacehaw" year "1986" manufacturer "Nuova Bell Games" desc "Space Hawks" devices ())
(name "spaceint" year "1980" manufacturer "Shoei" desc "Space Intruder" devices ())
(name "spaceintj" year "1980" manufacturer "Shoei" desc "Space Intruder (Japan)" devices ())
(name "spaceinv" year "1980" manufacturer "Bally" desc "Space Invaders" devices ())
(name "spacejam" year "1997" manufacturer "Sega" desc "Space Jam (CPU 3.00, display A3.00)" devices ())
(name "spacejam_200" year "1997" manufacturer "Sega" desc "Space Jam (CPU 2.00, display A2.00)" devices ())
(name "spacejmf" year "1997" manufacturer "Sega" desc "Space Jam (CPU 3.00, display F3.00, France)" devices ())
(name "spacejmg" year "1997" manufacturer "Sega" desc "Space Jam (CPU 3.00, display G3.00, Germany)" devices ())
(name "spacejmi" year "1997" manufacturer "Sega" desc "Space Jam (CPU 3.00, display I3.00, Italy)" devices ())
(name "spacelnc" year "1979" manufacturer "Nintendo" desc "Space Launcher" devices ())
(name "spacempr" year "1980" manufacturer "bootleg" desc "Space Empire (bootleg)" devices ())
(name "spaceod" year "1981" manufacturer "Sega" desc "Space Odyssey (version 2)" devices ())
(name "spaceod2" year "1981" manufacturer "Sega" desc "Space Odyssey (version 1)" devices ())
(name "spaceph" year "1979" manufacturer "bootleg? (Zilec Games)" desc "Space Phantoms (bootleg of Ozma Wars)" devices ())
(name "spacepir" year "1992" manufacturer "American Laser Games" desc "Space Pirates (v2.2)" devices ())
(name "spacepir_14" year "1992" manufacturer "American Laser Games" desc "Space Pirates (v1.4)" devices ())
(name "spaceplt" year "1982" manufacturer "bootleg" desc "Space Pilot (set 1)" devices ())
(name "spaceplta" year "1982" manufacturer "bootleg" desc "Space Pilot (set 2)" devices ())
(name "spacerng" year "1978" manufacturer "bootleg (Leisure Time Electronics)" desc "Space Ranger" devices ())
(name "spaceshp" year "1978" manufacturer "Cinematronics (Sega license)" desc "Space Ship" devices ())
(name "spaceskr" year "1981" manufacturer "Taito Corporation" desc "Space Seeker" devices ())
(name "spacetrk" year "1980" manufacturer "Sega" desc "Space Trek (upright)" devices ())
(name "spacetrkc" year "1980" manufacturer "Sega" desc "Space Trek (cocktail)" devices ())
(name "spacewar" year "1977" manufacturer "Cinematronics" desc "Space Wars" devices ())
(name "spacewin" year "1996" manufacturer "Playmark" desc "Scacco Matto / Space Win" devices ())
(name "spacewr3" year "1978" manufacturer "bootleg" desc "Space War Part 3" devices ())
(name "spacezap" year "1980" manufacturer "Midway" desc "Space Zap (Midway)" devices ())
(name "spacfury" year "1981" manufacturer "Sega" desc "Space Fury (revision C)" devices ())
(name "spacfurya" year "1981" manufacturer "Sega" desc "Space Fury (revision A)" devices ())
(name "spacfuryb" year "1981" manufacturer "Sega" desc "Space Fury (revision B)" devices ())
(name "spacfurybl" year "1981" manufacturer "bootleg (Rumiano)" desc "Advisor (Italian bootleg of Space Fury)" devices ())
(name "spacian2" year "1979" manufacturer "Namco / Taito" desc "T.T Spacian Part-2" devices ())
(name "spacmiss" year "1980?" manufacturer "bootleg?" desc "Space Missile - Space Fighting Game" devices ())
(name "spactrai" year "1981" manufacturer "Celv" desc "Space Train" devices ())
(name "spacwalk" year "1978" manufacturer "Midway" desc "Space Walk" devices ())
(name "spain82" year "1982" manufacturer "Playmatic" desc "Spain '82" devices ())
(name "spang" year "1990" manufacturer "Mitchell" desc "Super Pang (World 900914)" devices ())
(name "spangbl" year "1990" manufacturer "bootleg" desc "Super Pang (World 900914, bootleg, set 1)" devices ())
(name "spangbl2" year "1990" manufacturer "bootleg" desc "Super Pang (World 900914, bootleg, set 2)" devices ())
(name "spangj" year "1990" manufacturer "Mitchell" desc "Super Pang (Japan 901023)" devices ())
(name "sparkman" year "1989" manufacturer "SunA" desc "Spark Man (v2.0, set 1)" devices ())
(name "sparkmana" year "1989" manufacturer "SunA" desc "Spark Man (v2.0, set 2)" devices ())
(name "sparkz" year "1992" manufacturer "Atari Games" desc "Sparkz (prototype)" devices ())
(name "spartanx" year "1984" manufacturer "Irem" desc "Spartan X (Japan)" devices ())
(name "spartanxtec" year "1987" manufacturer "bootleg (Tecfri)" desc "Spartan X (Tecfri hardware bootleg)" devices ())
(name "spatter" year "1984" manufacturer "Sega" desc "Spatter (315-5096)" devices ())
(name "spattera" year "1984" manufacturer "Sega" desc "Spatter (315-5099)" devices ())
(name "spawn" year "1999" manufacturer "Todd McFarlane / Capcom" desc "Spawn: In the Demon's Hand (Rev B)" devices ())
(name "spbactn" year "1991" manufacturer "Tecmo" desc "Super Pinball Action (US)" devices ())
(name "spbactnj" year "1991" manufacturer "Tecmo" desc "Super Pinball Action (Japan)" devices ())
(name "spbactnp" year "1989" manufacturer "Tecmo" desc "Super Pinball Action (US, prototype, dual screen)" devices ())
(name "spc1000" year "1982" manufacturer "Samsung" desc "SPC-1000" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "spc1500" year "1987" manufacturer "Samsung" desc "SPC-1500" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "spc4000" year "1979" manufacturer "Grundig" desc "Super Play Computer 4000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "spc400d" year "198?" manufacturer "Sanyo" desc "SPC-400D" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "spc800" year "1984" manufacturer "Samsung" desc "SPC-800 (MSX1, Korea)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "spcdrag" year "1980" manufacturer "bootleg" desc "Space Dragon (bootleg of Moon Cresta)" devices ())
(name "spcebttl" year "1978" manufacturer "bootleg" desc "Space Battle (Space Invaders bootleg)" devices ())
(name "spceking" year "1978" manufacturer "Taito / Leijac Corporation" desc "Space King" devices ())
(name "spcenctr" year "1980" manufacturer "Midway" desc "Space Encounters" devices ())
(name "spcewarl" year "1979" manufacturer "Leijac Corporation" desc "Space War (Leijac Corporation)" devices ())
(name "spcewarla" year "1979" manufacturer "bootleg (Leisure and Allied)" desc "Space War (Leisure and Allied)" devices ())
(name "spcewars" year "1978" manufacturer "Taito / Sanritsu" desc "Space War (Sanritsu)" devices ())
(name "spcforc2" year "19??" manufacturer "bootleg? (Elcon)" desc "Space Force (set 2)" devices ())
(name "spcforce" year "1980" manufacturer "Venture Line" desc "Space Force (set 1)" devices ())
(name "spcfrcii" year "1985" manufacturer "Senko Industries (Magic Electronics Inc. license)" desc "Special Forces II" devices ())
(name "spcgambl" year "1978" manufacturer "Playmatic" desc "Space Gambler" devices ())
(name "spcinv95" year "1995" manufacturer "Taito Corporation Japan" desc "Space Invaders '95: The Attack Of Lunar Loonies (Ver 2.5O 1995/06/14)" devices ())
(name "spcinv95u" year "1995" manufacturer "Taito America Corporation" desc "Space Invaders '95: The Attack Of Lunar Loonies (Ver 2.5A 1995/06/14)" devices ())
(name "spcinvdj" year "1994" manufacturer "Taito Corporation" desc "Space Invaders DX (Ver 2.6J 1994/09/14) (F3 Version)" devices ())
(name "spcking2" year "1979" manufacturer "Konami" desc "Space King 2" devices ())
(name "spclaser" year "1980" manufacturer "Taito" desc "Space Laser" devices ())
(name "spclforc" year "1985" manufacturer "Senko Industries (Magic Electronics Inc. license)" desc "Special Forces - Kung Fu Commando" devices ())
(name "spcliner" year "2000" manufacturer "Z Games" desc "Space Liner" devices ())
(name "spclords" year "1992" manufacturer "Atari Games" desc "Space Lords (rev C)" devices ())
(name "spclordsa" year "1992" manufacturer "Atari Games" desc "Space Lords (rev A)" devices ())
(name "spclordsb" year "1992" manufacturer "Atari Games" desc "Space Lords (rev B)" devices ())
(name "spclordsg" year "1992" manufacturer "Atari Games" desc "Space Lords (rev A, German)" devices ())
(name "spcmission" year "198?" manufacturer "bootleg (SegaSA / Sonic)" desc "Space Mission (SegaSA / Sonic, Spanish bootleg of Scramble)" devices ())
(name "spcpnthr" year "1988" manufacturer "MAC S.A." desc "Space Panther" devices ())
(name "spcpokan" year "1999" manufacturer "Konami" desc "Space Pokan" devices ())
(name "spcpoker" year "1981" manufacturer "LTD" desc "Space Poker" devices ())
(name "spcpostn" year "1986" manufacturer "Sega / Nasco" desc "Space Position (Japan)" devices ())
(name "spcrider" year "1978" manufacturer "Atari" desc "Space Riders" devices ())
(name "spcrocks" year "1981" manufacturer "Atari (J.Estevez license)" desc "Space Rocks (Spanish clone of Asteroids)" devices ())
(name "spcship" year "1986" manufacturer "Stargame" desc "Space Ship (Pinball)" devices ())
(name "spctbird" year "1981?" manufacturer "bootleg (Fortrek)" desc "Space Thunderbird" devices ())
(name "spcteam" year "1988" manufacturer "Tecnoplay" desc "Space Team" devices ())
(name "spctrain" year "1987" manufacturer "MAC S.A." desc "Space Train (Pinball)" devices ())
(name "spctraino" year "1987" manufacturer "MAC S.A." desc "Space Train (Pinball, old hardware)" devices ())
(name "spctrek" year "1981" manufacturer "bootleg (Video Game S.A.)" desc "Space Trek (Video Game S.A., Spanish bootleg of Scramble)" devices ())
(name "spcwarp" year "1983" manufacturer "Century Electronics" desc "Space Warp? (Cosmos conversion on Galaxian hardware)" devices ())
(name "spdamjes" year "19??" manufacturer "T-90" desc "Sport Damjes 1" devices ())
(name "spdball" year "1985" manufacturer "Williams" desc "Speed Ball - Contest at Neonworld (prototype)" devices ())
(name "spdcoin" year "1984" manufacturer "Stern Electronics" desc "Speed Coin (prototype)" devices ())
(name "spdheat" year "1985" manufacturer "Taito Corporation" desc "Super Dead Heat (World)" devices ())
(name "spdheatj" year "1985" manufacturer "Taito Corporation" desc "Super Dead Heat (Japan)" devices ())
(name "spdodgeb" year "1987" manufacturer "Technos Japan" desc "Super Dodge Ball (US)" devices ())
(name "speakesy" year "1982" manufacturer "Bally" desc "Speakeasy" devices ())
(name "speakesy4p" year "1982" manufacturer "Bally" desc "Speakeasy 4 Player" devices ())
(name "speakhlp" year "1980" manufacturer "bootleg" desc "Speak & Help" devices ())
(name "speakres" year "1980" manufacturer "Sun Electronics" desc "Speak & Rescue" devices ())
(name "speakresb" year "1980" manufacturer "bootleg" desc "Speak & Rescue (bootleg)" devices ())
(name "spec128" year "1986" manufacturer "Sinclair Research Ltd" desc "ZX Spectrum 128" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "spec2k" year "2000" manufacturer "Yona Tech" desc "Spectrum 2000 (vertical, Korea)" devices ())
(name "spec2kh" year "2000" manufacturer "Yona Tech" desc "Spectrum 2000 (horizontal, buggy) (Europe)" devices ())
(name "spec80k" year "1987" manufacturer "<unknown>" desc "ZX Spectrum 80K" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "specforc" year "1986" manufacturer "Bally" desc "Special Force" devices ())
(name "specfrce" year "2002" manufacturer "ICE/Play Mechanix" desc "Special Forces Elite Training (v01.02.00)" devices ((name "harddisk" briefname "hard" )))
(name "specfrceo" year "2002" manufacturer "ICE/Play Mechanix" desc "Special Forces Elite Training (v01.01.01)" devices ((name "harddisk" briefname "hard" )))
(name "special" year "1985" manufacturer "<unknown>" desc "Specialist" devices ((name "cassette" briefname "cass" )))
(name "specialm" year "1985" manufacturer "<unknown>" desc "Specialist M" devices ((name "cassette" briefname "cass" )))
(name "specialp" year "1985" manufacturer "<unknown>" desc "Specialist + hires graph" devices ((name "cassette" briefname "cass" )))
(name "specide" year "1995" manufacturer "<unknown>" desc "ZX Spectrum IDE" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "specimx" year "1985" manufacturer "<unknown>" desc "Specialist MX" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "specpl2a" year "1987" manufacturer "Amstrad plc" desc "ZX Spectrum +2a" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "specpl3e" year "2000" manufacturer "Amstrad plc" desc "ZX Spectrum +3e" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "specpls2" year "1986" manufacturer "Amstrad plc" desc "ZX Spectrum +2" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "specpls3" year "1987" manufacturer "Amstrad plc" desc "ZX Spectrum +3" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "spectar" year "1980" manufacturer "Exidy" desc "Spectar (revision 3)" devices ())
(name "spectar1" year "1980" manufacturer "Exidy" desc "Spectar (revision 1?)" devices ())
(name "spectarrf" year "1984" manufacturer "bootleg (Recreativos Franco)" desc "Spectar (revision 2, bootleg)" devices ())
(name "spectra" year "1979" manufacturer "Valley" desc "Spectra IV" devices ())
(name "spectred" year "1985?" manufacturer "Scopus/Spectrum" desc "Spectrum ED" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "spectrm" year "1982" manufacturer "Bally" desc "Spectrum" devices ())
(name "spectrm4" year "1982" manufacturer "Bally" desc "Spectrum (ver 4)" devices ())
(name "spectrum" year "1982" manufacturer "Sinclair Research Ltd" desc "ZX Spectrum" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "speechp" year "1976" manufacturer "Telesensory Systems, Inc." desc "Speech+" devices ())
(name "speedatk" year "1984" manufacturer "Seta Kikaku" desc "Speed Attack! (Japan)" devices ())
(name "speedbal" year "1987" manufacturer "Tecfri / Desystem S.A." desc "Speed Ball (set 1)" devices ())
(name "speedbala" year "1987" manufacturer "Tecfri / Desystem S.A." desc "Speed Ball (set 2)" devices ())
(name "speedbsk" year "1992" manufacturer "Sega" desc "Speed Basketball" devices ())
(name "speeddrp" year "2003" manufacturer "Astro Corp." desc "Speed Drop (Ver. 1.06, Sep 3 2003)" devices ())
(name "speeddrv" year "2004" manufacturer "IGS" desc "Speed Driver" devices ())
(name "speedfrk" year "1979" manufacturer "Vectorbeam" desc "Speed Freak" devices ())
(name "speedmst" year "2004" manufacturer "D2 Enterprises" desc "Speed Master (Ver. V1.0, Apr 29 2004)" devices ())
(name "speedmsta" year "2003" manufacturer "D2 Enterprises" desc "Speed Master (Ver. V1.0, May 23 2003)" devices ())
(name "speedmstb" year "2003" manufacturer "D2 Enterprises" desc "Speed Master (Ver. V1.0, Apr 28 2004)" devices ())
(name "speedrcr" year "1995" manufacturer "Namco" desc "Speed Racer" devices ())
(name "speedrs" year "1980" manufacturer "Seletron / Olympia" desc "Speed Race (Seletron / Olympia)" devices ())
(name "speedspn" year "1994" manufacturer "TCH" desc "Speed Spin" devices ())
(name "speedup" year "1996" manufacturer "Gaelco" desc "Speed Up (version 2.20)" devices ())
(name "speedup10" year "1996" manufacturer "Gaelco" desc "Speed Up (version 1.00)" devices ())
(name "speedup12" year "1996" manufacturer "Gaelco" desc "Speed Up (version 1.20)" devices ())
(name "speedway" year "199?" manufacturer "hack (Drivers)" desc "Speedway (set 1)" devices ())
(name "speedwaya" year "199?" manufacturer "hack" desc "Speedway (set 2)" devices ())
(name "speglsht" year "1994" manufacturer "Seta" desc "Super Eagle Shot" devices ())
(name "spektr01" year "1986" manufacturer "<unknown>" desc "Spektr-001" devices ((name "cassette" briefname "cass" )))
(name "spektrbk" year "1990" manufacturer "<unknown>" desc "Spektr BK-001" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "spellabc" year "1980" manufacturer "Texas Instruments" desc "Spelling ABC (Germany)" devices ())
(name "spellb" year "1980" manufacturer "Texas Instruments" desc "Spelling B (US, 1980 version)" devices ())
(name "spellba" year "1978" manufacturer "Texas Instruments" desc "Spelling B (US, 1978 version)" devices ())
(name "spellbnd" year "1981?" manufacturer "ACE" desc "Spellbound" devices ())
(name "spelunk2" year "1986" manufacturer "Irem (licensed from Broderbund)" desc "Spelunker II - 23 no Kagi (Japan)" devices ())
(name "spelunkr" year "1985" manufacturer "Irem (licensed from Broderbund)" desc "Spelunker" devices ())
(name "spelunkrj" year "1985" manufacturer "Irem (licensed from Broderbund)" desc "Spelunker (Japan)" devices ())
(name "spetrix" year "199?" manufacturer "<unknown>" desc "Super Petrix (ver. 1P)" devices ())
(name "spf2t" year "1996" manufacturer "Capcom" desc "Super Puzzle Fighter II Turbo (Europe 960529)" devices ())
(name "spf2ta" year "1996" manufacturer "Capcom" desc "Super Puzzle Fighter II Turbo (Asia 960529)" devices ())
(name "spf2td" year "1996" manufacturer "bootleg" desc "Super Puzzle Fighter II Turbo (USA 960620 Phoenix Edition) (bootleg)" devices ())
(name "spf2th" year "1996" manufacturer "Capcom" desc "Super Puzzle Fighter II Turbo (Hispanic 960531)" devices ())
(name "spf2tu" year "1996" manufacturer "Capcom" desc "Super Puzzle Fighter II Turbo (USA 960620)" devices ())
(name "spf2xj" year "1996" manufacturer "Capcom" desc "Super Puzzle Fighter II X (Japan 960531)" devices ())
(name "spf2xjd" year "1996" manufacturer "bootleg" desc "Super Puzzle Fighter II X (Japan 960531 Phoenix Edition) (bootleg)" devices ())
(name "spfghmk2" year "1979" manufacturer "Data East" desc "Space Fighter Mark II (set 1)" devices ())
(name "spfghmk22" year "1979" manufacturer "Data East" desc "Space Fighter Mark II (set 2)" devices ())
(name "spgcarn" year "1999" manufacturer "Aristocrat" desc "Spring Carnival (10000311, NSW/ACT)" devices ())
(name "spgcarnjc" year "2003" manufacturer "Aristocrat" desc "Spring Carnival - Jackpot Carnival (10032721, Queensland)" devices ())
(name "spgcarnq" year "2001" manufacturer "Aristocrat" desc "Spring Carnival (10008011, Queensland)" devices ())
(name "spgfest" year "2008" manufacturer "Aristocrat" desc "Spring Festival (20262311, Queensland)" devices ())
(name "spgfestnz" year "2008" manufacturer "Aristocrat" desc "Spring Festival (20267211, New Zealand)" devices ())
(name "sphinx40" year "1987" manufacturer "CXG Systems / Newcrest Technology / Intelligent Software" desc "Sphinx 40" devices ())
(name "spi7000" year "1993" manufacturer "Sharp" desc "ExpertPad PI-7000" devices ())
(name "spicaadv" year "2005" manufacturer "Taito Corporation" desc "Spica Adventure (v2.03J)" devices ())
(name "spiceup" year "200?" manufacturer "Konami" desc "Spice It Up (Konami Endeavour, Russia)" devices ())
(name "spider" year "1994" manufacturer "Buena Vision" desc "Spider (Buena Vision, without nudity)" devices ())
(name "spidermn" year "1980" manufacturer "Gottlieb" desc "The Amazing Spider-Man" devices ())
(name "spidern" year "1994" manufacturer "Buena Vision" desc "Spider (Buena Vision, with nudity)" devices ())
(name "spiders" year "1981" manufacturer "Sigma Enterprises Inc." desc "Spiders (set 1)" devices ())
(name "spiders2" year "1981" manufacturer "Sigma Enterprises Inc." desc "Spiders (set 2)" devices ())
(name "spiders3" year "1981" manufacturer "Sigma Enterprises Inc." desc "Spiders (set 3)" devices ())
(name "spidman" year "1991" manufacturer "Sega" desc "Spider-Man: The Videogame (World)" devices ())
(name "spidmanj" year "1991" manufacturer "Sega" desc "Spider-Man: The Videogame (Japan)" devices ())
(name "spidmanu" year "1991" manufacturer "Sega" desc "Spider-Man: The Videogame (US, Rev A)" devices ())
(name "spidtt" year "200?" manufacturer "Thinkway Toys" desc "Interactive M.A.G. Motion Activated Gear: Spider-Man - Triple Threat" devices ())
(name "spielbud" year "1985" manufacturer "ADP" desc "Spiel Bude (German)" devices ())
(name "spielmast" year "1986" manufacturer "Yuvo" desc "Spiel Master (German)" devices ())
(name "spiero" year "1987" manufacturer "Universal" desc "Super Pierrot (Japan)" devices ())
(name "spikeofe" year "1999" manufacturer "Sega" desc "Spikeout Final Edition (Export)" devices ())
(name "spikeout" year "1998" manufacturer "Sega" desc "Spikeout (Export, Revision C)" devices ())
(name "spiker" year "1986" manufacturer "Bally/Sente" desc "Spiker (6/9/86)" devices ())
(name "spikera" year "1986" manufacturer "Bally/Sente" desc "Spiker (5/5/86)" devices ())
(name "spikerb" year "1986" manufacturer "Bally/Sente" desc "Spiker (earliest?)" devices ())
(name "spikes91" year "1991" manufacturer "bootleg" desc "1991 Spikes (Italian bootleg, set 1)" devices ())
(name "spikes91b" year "1991" manufacturer "bootleg" desc "1991 Spikes (Italian bootleg, set 2)" devices ())
(name "spinfev" year "2008" manufacturer "Konami" desc "Spin Fever" devices ())
(name "spinkick" year "1988" manufacturer "Haesung/Seojin" desc "Hec's Spinkick" devices ())
(name "spinlbrk" year "1990" manufacturer "V-System Co." desc "Spinal Breakers (World)" devices ())
(name "spinlbrkj" year "1990" manufacturer "V-System Co." desc "Spinal Breakers (Japan)" devices ())
(name "spinlbrku" year "1990" manufacturer "V-System Co." desc "Spinal Breakers (US)" devices ())
(name "spinlbrkup" year "1990" manufacturer "V-System Co." desc "Spinal Breakers (US, prototype)" devices ())
(name "spinmast" year "1993" manufacturer "Data East Corporation" desc "Spin Master / Miracle Adventure" devices ((name "memcard" briefname "memc" ) ()))
(name "spinner" year "1981" manufacturer "bootleg" desc "Spinner" devices ())
(name "spinveti" year "1980" manufacturer "Tangerine/ETI" desc "Space Invasion (ETI)" devices ())
(name "spirit" year "1982" manufacturer "Gottlieb" desc "Spirit" devices ())
(name "spirit76" year "1975" manufacturer "Mirco" desc "Spirit of 76" devices ())
(name "spirulo" year "1988" manufacturer "Oper Coin" desc "Super Pirulo" devices ())
(name "spitboss" year "1988" manufacturer "Merit" desc "Super Pit Boss (9221-02A)" devices ())
(name "spk100" year "1996" manufacturer "IGS" desc "Super Poker (v100)" devices ())
(name "spk102ua" year "1996" manufacturer "IGS" desc "Super Poker (v102UA)" devices ())
(name "spk114it" year "1993?" manufacturer "IGS" desc "Super Poker (v114IT)" devices ())
(name "spk115it" year "1993?" manufacturer "IGS" desc "Super Poker (v115IT)" devices ())
(name "spk116it" year "1993?" manufacturer "IGS" desc "Super Poker (v116IT)" devices ())
(name "spk116itmx" year "1993?" manufacturer "IGS" desc "Super Poker (v116IT-MX)" devices ())
(name "spk200ua" year "1996" manufacturer "IGS" desc "Super Poker (v200UA)" devices ())
(name "spk201ua" year "1996" manufacturer "IGS" desc "Super Poker (v201UA)" devices ())
(name "spk203us" year "1996" manufacturer "IGS" desc "Super Poker (v203US)" devices ())
(name "spk205us" year "1996" manufacturer "IGS" desc "Super Poker (v205US)" devices ())
(name "spk306us" year "1996" manufacturer "IGS" desc "Super Poker (v306US)" devices ())
(name "spkrbtl" year "2001" manufacturer "Sega" desc "Spikers Battle (GDS-0005)" devices ((name "cdrom" briefname "cdrm" )))
(name "spkrform" year "2000?" manufacturer "IGS" desc "Super Poker (V100xD03) / Formosa" devices ())
(name "splasfgt" year "1980" manufacturer "Bambino" desc "Space Laser Fight" devices ())
(name "splash" year "1992" manufacturer "Gaelco / OMK Software" desc "Splash! (Ver. 1.2 World)" devices ())
(name "splash10" year "1992" manufacturer "Gaelco / OMK Software" desc "Splash! (Ver. 1.0 World)" devices ())
(name "splashms" year "1992" manufacturer "Gaelco" desc "Splash (Modular System)" devices ())
(name "splat" year "1982" manufacturer "Williams" desc "Splat!" devices ())
(name "splatter" year "1988" manufacturer "Namco" desc "Splatter House (World, new version (SH3))" devices ())
(name "splatter2" year "1988" manufacturer "Namco" desc "Splatter House (World, old version (SH2))" devices ())
(name "splatterj" year "1988" manufacturer "Namco" desc "Splatter House (Japan, SH1)" devices ())
(name "splitsec" year "1980" manufacturer "Parker Brothers" desc "Split Second" devices ())
(name "splmastr" year "2002" manufacturer "Atronic" desc "Spell Master (Russia) (Atronic)" devices ())
(name "splndrbt" year "1985" manufacturer "Alpha Denshi Co." desc "Splendor Blast (set 1)" devices ())
(name "splndrbt2" year "1985" manufacturer "Alpha Denshi Co." desc "Splendor Blast II" devices ())
(name "splndrbta" year "1985" manufacturer "Alpha Denshi Co." desc "Splendor Blast (set 2)" devices ())
(name "splndrbtb" year "1985" manufacturer "Alpha Denshi Co." desc "Splendor Blast (set 3)" devices ())
(name "spltsecp" year "1981" manufacturer "Stern" desc "Split Second (Pinball)" devices ())
(name "spnchout" year "1984" manufacturer "Nintendo" desc "Super Punch-Out!! (Rev B)" devices ())
(name "spnchouta" year "1984" manufacturer "Nintendo" desc "Super Punch-Out!! (Rev A)" devices ())
(name "spnchoutj" year "1984" manufacturer "Nintendo" desc "Super Punch-Out!! (Japan)" devices ())
(name "spongbob" year "200?" manufacturer "Sega" desc "SpongeBob SquarePants Ticket Boom" devices ())
(name "spooky" year "200?" manufacturer "Amcoe" desc "Spooky Night 2nd Edition (Version 2.0.4)" devices ())
(name "spookyi" year "1987" manufacturer "Zaccaria" desc "Spooky (Italian speech)" devices ())
(name "spookyo" year "200?" manufacturer "Amcoe" desc "Spooky Night (Version 1.0.1)" devices ())
(name "spookyp" year "1987" manufacturer "Zaccaria" desc "Spooky" devices ())
(name "spool3" year "1989" manufacturer "Data East Corporation" desc "Super Pool III (English)" devices ())
(name "spool3i" year "1990" manufacturer "Data East Corporation (I-Vics license)" desc "Super Pool III (I-Vics)" devices ())
(name "spool99" year "1998" manufacturer "Electronic Projects" desc "Super Pool 99 (Version 0.36)" devices ())
(name "spool99a" year "1998" manufacturer "Electronic Projects" desc "Super Pool 99 (Version 0.33)" devices ())
(name "spool99b" year "1998" manufacturer "Electronic Projects" desc "Super Pool 99 (Version 0.31)" devices ())
(name "spool99c" year "1998" manufacturer "Electronic Projects" desc "Super Pool 99 (Version 0.26)" devices ())
(name "sport2k" year "1988" manufacturer "Cirsa" desc "Sport 2000" devices ())
(name "sportmem" year "200?" manufacturer "Nova Desitec" desc "Sport Memory" devices ())
(name "sporzbx" year "2004" manufacturer "Macro Winners" desc "Game Sporz Wireless Boxing" devices ())
(name "sporzbxa" year "2004" manufacturer "Macro Winners (Play Vision license)" desc "Wireless Boxing (PAL, Play Vision)" devices ())
(name "sporzpp" year "2004" manufacturer "Macro Winners" desc "Game Sporz Wireless Duet Play Ping-Pong" devices ())
(name "sporztn" year "2004" manufacturer "Macro Winners (Play Vision license)" desc "Wireless Tennis (PAL, Play Vision)" devices ())
(name "spotty" year "2001" manufacturer "Prince Co." desc "Spotty (Ver. 2.0.2)" devices ())
(name "sprachmg" year "1985" manufacturer "Institut für Kosmosforschung" desc "Gerät 32620 (Sprach/Morsegenerator)" devices ((name "cartridge" briefname "cart" )))
(name "sprbreak" year "1987" manufacturer "Gottlieb" desc "Spring Break" devices ())
(name "sprbreaka" year "1987" manufacturer "Gottlieb" desc "Spring Break (alternate set)" devices ())
(name "sprbreakf" year "1987" manufacturer "Gottlieb" desc "Spring Break (French)" devices ())
(name "sprbreakg" year "1987" manufacturer "Gottlieb" desc "Spring Break (German)" devices ())
(name "sprbreaks" year "1987" manufacturer "Gottlieb" desc "Spring Break (single ball game)" devices ())
(name "sprcros2" year "1986" manufacturer "GM Shoji" desc "Super Cross II (Japan, set 1)" devices ())
(name "sprcros2a" year "1986" manufacturer "GM Shoji" desc "Super Cross II (Japan, set 2)" devices ())
(name "sprglbpg" year "1984" manufacturer "bootleg (Software Labor)" desc "Super Glob (Pac-Man hardware, German bootleg)" devices ())
(name "sprglobp" year "1983" manufacturer "Epos Corporation" desc "Super Glob (Pac-Man hardware)" devices ())
(name "sprglobp2" year "1985" manufacturer "bootleg (Elsys Software)" desc "Super Glob (Pac-Man hardware, bootleg)" devices ())
(name "springbd" year "1977" manufacturer "bootleg (Sub-Electro)" desc "Springboard (bootleg of Circus)" devices ())
(name "springer" year "1982" manufacturer "Orca" desc "Springer" devices ())
(name "sprint1" year "1978" manufacturer "Atari (Kee Games)" desc "Sprint 1" devices ())
(name "sprint2" year "1976" manufacturer "Atari (Kee Games)" desc "Sprint 2 (set 1)" devices ())
(name "sprint2a" year "1976" manufacturer "Atari (Kee Games)" desc "Sprint 2 (set 2)" devices ())
(name "sprint2h" year "1976" manufacturer "hack" desc "Sprint 2 (color kit, Italy)" devices ())
(name "sprint4" year "1977" manufacturer "Atari" desc "Sprint 4 (Rev 03)" devices ())
(name "sprint4a" year "1977" manufacturer "Atari" desc "Sprint 4 (Rev 02, set 1)" devices ())
(name "sprint4b" year "1977" manufacturer "Atari" desc "Sprint 4 (Rev 02, set 2)" devices ())
(name "sprint8" year "1977" manufacturer "Atari" desc "Sprint 8" devices ())
(name "sprint8a" year "1977" manufacturer "Atari" desc "Sprint 8 (play tag & chase)" devices ())
(name "sprinter" year "2000" manufacturer "Peters Plus, Ivan Mak" desc "Sprinter Sp2000" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "sprk_090" year "1999" manufacturer "Sega" desc "South Park (CPU 0.90, display A0.90)" devices ())
(name "sprk_096" year "1999" manufacturer "Sega" desc "South Park (CPU 0.96, display A1.01)" devices ())
(name "sprk_103" year "1999" manufacturer "Sega" desc "South Park (CPU 1.03, display A1.01)" devices ())
(name "sprpuzzle" year "1991" manufacturer "Sang Ho Soft" desc "Super Puzzle (Sang Ho Soft)" devices ())
(name "sprtauth" year "1992" manufacturer "Classic Games" desc "Sports Authority Challenge (Rev 3)" devices ())
(name "sprtauth1" year "1992" manufacturer "Classic Games" desc "Sports Authority (Rev 1)" devices ())
(name "sprtdart" year "1993" manufacturer "Compumatic / Desarrollos y Recambios S.L." desc "Sport Darts T.V." devices ())
(name "sprtjam" year "2000" manufacturer "Sega" desc "Sports Jam (GDS-0003)" devices ((name "cdrom" briefname "cdrm" )))
(name "sprtmtch" year "1989" manufacturer "Dynax (Fabtek license)" desc "Sports Match" devices ())
(name "sprtshot" year "2003" manufacturer "Sammy USA" desc "Sports Shooting USA" devices ())
(name "spset005" year "1993" manufacturer "IGT - International Game Technology" desc "S-Plus SET005 Set chip" devices ())
(name "spset015" year "1993" manufacturer "IGT - International Game Technology" desc "S-Plus SET015 Set chip" devices ())
(name "spset026" year "1996" manufacturer "IGT - International Game Technology" desc "S-Plus SET026 Set chip" devices ())
(name "spss4240" year "1994" manufacturer "IGT - International Game Technology" desc "S-Plus (SS4240) Coral Reef" devices ())
(name "spstn_l5" year "1988" manufacturer "Williams" desc "Space Station (L-5)" devices ())
(name "spt1500" year "19??" manufacturer "Symbol" desc "SPT 1500" devices ())
(name "spt1700" year "19??" manufacturer "Symbol" desc "SPT 1700" devices ())
(name "spt1740" year "19??" manufacturer "Symbol" desc "SPT 1740" devices ())
(name "spuzbobl" year "1999" manufacturer "Taito" desc "Super Puzzle Bobble (V2.05O 1999/2/24 18:00)" devices ((name "harddisk" briefname "hard" )))
(name "spuzboblj" year "1999" manufacturer "Taito" desc "Super Puzzle Bobble (V2.04J 1999/2/27 02:10)" devices ((name "harddisk" briefname "hard" )))
(name "spy" year "1989" manufacturer "Konami" desc "S.P.Y. - Special Project Y (World ver. N)" devices ())
(name "spyhunt" year "1983" manufacturer "Bally Midway" desc "Spy Hunter" devices ())
(name "spyhunt2" year "1987" manufacturer "Bally Midway" desc "Spy Hunter II (rev 2)" devices ())
(name "spyhunt2a" year "1987" manufacturer "Bally Midway" desc "Spy Hunter II (rev 1)" devices ())
(name "spyhuntp" year "1983" manufacturer "Bally Midway (Playtronic license)" desc "Spy Hunter (Playtronic license)" devices ())
(name "spyhuntpr" year "1985" manufacturer "bootleg (Recreativos Franco S.A. license, Tecfri)" desc "Spy Hunter (Spain, Recreativos Franco S.A., Tecfri PCB)" devices ())
(name "spyhuntr" year "1984" manufacturer "Bally" desc "Spy Hunter (Pinball)" devices ())
(name "spyhuntsp" year "1985" manufacturer "Recreativos Franco S.A. (Bally Midway license)" desc "Spy Hunter (Spain, Recreativos Franco S.A., Bally Midway license)" devices ())
(name "spyu" year "1989" manufacturer "Konami" desc "S.P.Y. - Special Project Y (US ver. M)" devices ())
(name "sq1" year "1990" manufacturer "Ensoniq" desc "SQ-1" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "sq2" year "1991" manufacturer "Ensoniq" desc "SQ-2" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "sq80" year "1988" manufacturer "Ensoniq" desc "SQ-80 Cross Wave Synthesizer" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "sqbert" year "1983" manufacturer "Mylstar" desc "Faster, Harder, More Challenging Q*bert (prototype)" devices ())
(name "sqix" year "1987" manufacturer "Kaneko / Taito" desc "Super Qix (World/Japan, V1.2)" devices ())
(name "sqixb1" year "1987" manufacturer "bootleg" desc "Super Qix (bootleg of V1.0, 8031 MCU)" devices ())
(name "sqixb2" year "1987" manufacturer "bootleg" desc "Super Qix (bootleg, No MCU)" devices ())
(name "sqixr0" year "1987" manufacturer "Kaneko / Taito" desc "Super Qix (World/Japan, V1.0)" devices ())
(name "sqixr1" year "1987" manufacturer "Kaneko / Taito" desc "Super Qix (World/Japan, V1.1)" devices ())
(name "sqixu" year "1987" manufacturer "Kaneko / Taito (Romstar License)" desc "Super Qix (US)" devices ())
(name "sqrack" year "1990" manufacturer "Ensoniq" desc "SQ-Rack" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "squaitsa" year "1984" manufacturer "Itisa" desc "Squash (Itisa)" devices ())
(name "squale" year "1984" manufacturer "Apollo 7" desc "Squale" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" )))
(name "squash" year "1992" manufacturer "Gaelco" desc "Squash (ver. 1.0, checksum 015aef61)" devices ())
(name "squeenb" year "2002" manufacturer "Subsino" desc "Super Queen Bee (Ver. 101)" devices ())
(name "squizchs" year "2003" manufacturer "Namco" desc "Seishun-Quiz Colorful High School (CHS1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "sr16" year "1990" manufacturer "Alesis" desc "SR-16 (Alesis)" devices ((name "cassette" briefname "cass" )))
(name "sraider" year "1982" manufacturer "Universal" desc "Space Raider" devices ())
(name "srally2" year "1998" manufacturer "Sega" desc "Sega Rally 2 (Export)" devices ())
(name "srally2dx" year "1998" manufacturer "Sega" desc "Sega Rally 2 Deluxe (Export)" devices ())
(name "srally2p" year "1998" manufacturer "Sega" desc "Sega Rally 2 (prototype, 29 Dec 1997)" devices ())
(name "srally2pa" year "1998" manufacturer "Sega" desc "Sega Rally 2 (prototype, 8 Dec 1997)" devices ())
(name "srallyc" year "1995" manufacturer "Sega" desc "Sega Rally Championship - Twin/DX (Revision C)" devices ())
(name "srallycb" year "1995" manufacturer "Sega" desc "Sega Rally Championship - Twin/DX (Revision B)" devices ())
(name "srallycc" year "1995" manufacturer "Sega" desc "Sega Rally Championship - Twin/DX (Revision A)" devices ())
(name "srallycdx" year "1995" manufacturer "Sega" desc "Sega Rally Championship - DX (Revision A)" devices ())
(name "srallycdxa" year "1995" manufacturer "Sega" desc "Sega Rally Championship - DX" devices ())
(name "sranger" year "1988" manufacturer "SunA" desc "Super Ranger (v2.0)" devices ())
(name "srangerb" year "1988" manufacturer "bootleg (NYWA)" desc "Super Ranger (older, bootleg)" devices ())
(name "srangern" year "1988" manufacturer "SunA (NOVA license)" desc "Super Ranger (older, NOVA license)" devices ())
(name "srangero" year "1988" manufacturer "SunA" desc "Super Ranger (older)" devices ())
(name "srangerw" year "1988" manufacturer "SunA (WDK license)" desc "Super Ranger (older, WDK license)" devices ())
(name "srdarwin" year "1987" manufacturer "Data East Corporation" desc "Super Real Darwin (World)" devices ())
(name "srdarwinj" year "1987" manufacturer "Data East Corporation" desc "Super Real Darwin (Japan)" devices ())
(name "srdchamp" year "1978" manufacturer "Model Racing" desc "Super Road Champions" devices ())
(name "srdmissn" year "1986" manufacturer "Kyugo / Taito Corporation" desc "S.R.D. Mission" devices ())
(name "srmagic" year "1991" manufacturer "bootleg" desc "Super Real Magic (V6.3)" devices ())
(name "srmdb" year "1993" manufacturer "bootleg / Konami" desc "Sunset Riders (bootleg of Mega Drive version)" devices ())
(name "srmp1" year "1987" manufacturer "Seta" desc "Super Real Mahjong Part 1 (Japan)" devices ())
(name "srmp2" year "1987" manufacturer "Seta" desc "Super Real Mahjong Part 2 (Japan)" devices ())
(name "srmp3" year "1988" manufacturer "Seta" desc "Super Real Mahjong Part 3 (Japan)" devices ())
(name "srmp4" year "1993" manufacturer "Seta" desc "Super Real Mahjong PIV (Japan)" devices ())
(name "srmp4o" year "1993" manufacturer "Seta" desc "Super Real Mahjong PIV (Japan, older set)" devices ())
(name "srmp5" year "1994" manufacturer "Seta" desc "Super Real Mahjong P5" devices ())
(name "srmp6" year "1995" manufacturer "Seta" desc "Super Real Mahjong P6 (Japan)" devices ())
(name "srmp7" year "1997" manufacturer "Seta" desc "Super Real Mahjong P7 (Japan)" devices ())
(name "srmvs" year "1999" manufacturer "Seta" desc "Super Real Mahjong VS (Rev A)" devices ())
(name "srmvsa" year "1999" manufacturer "Seta" desc "Super Real Mahjong VS" devices ())
(name "srockbwl" year "1994" manufacturer "Bromley" desc "Super Rock and Bowl (V1.1)" devices ())
(name "srollnd" year "1998" manufacturer "Nova Desitec" desc "Super Roller (v7.0)" devices ())
(name "srumbler" year "1986" manufacturer "Capcom" desc "The Speed Rumbler (set 1)" devices ())
(name "srumbler2" year "1986" manufacturer "Capcom" desc "The Speed Rumbler (set 2)" devices ())
(name "srumbler3" year "1986" manufacturer "Capcom (Tecfri license)" desc "The Speed Rumbler (set 3)" devices ())
(name "sryudens" year "1996" manufacturer "Dynax / Face" desc "Mahjong Seiryu Densetsu (Japan, NM502)" devices ())
(name "ss2001" year "200?" manufacturer "bootleg" desc "Super Shanghai 2001" devices ())
(name "ss2005" year "2005" manufacturer "Starfish" desc "Super Shanghai 2005 (Japan, Rev A) (GDL-0031A)" devices ((name "cdrom" briefname "cdrm" )))
(name "ss2005o" year "2005" manufacturer "Starfish" desc "Super Shanghai 2005 (Japan) (GDL-0031)" devices ((name "cdrom" briefname "cdrm" )))
(name "ss_01" year "1996" manufacturer "Bally" desc "Scared Stiff (D0.1R with sound rev.25)" devices ())
(name "ss_03" year "1996" manufacturer "Bally" desc "Scared Stiff (0.3)" devices ())
(name "ss_11" year "1996" manufacturer "Bally" desc "Scared Stiff (1.1)" devices ())
(name "ss_12" year "1996" manufacturer "Bally" desc "Scared Stiff (1.2)" devices ())
(name "ss_14" year "1996" manufacturer "Bally" desc "Scared Stiff (1.4)" devices ())
(name "ss_15" year "1996" manufacturer "Bally" desc "Scared Stiff (1.5)" devices ())
(name "ssam88s" year "1989" manufacturer "Samsung" desc "Samtron 88S" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "ssanchan" year "1984" manufacturer "Sega" desc "Sanrin San Chan (Japan, 315-5096)" devices ())
(name "ssanguoj" year "1998" manufacturer "GMS" desc "Shizhan Sanguo Ji Jiaqiang Ban (Version 8.9 980413)" devices ())
(name "sscandal" year "1985" manufacturer "Coreland / Sega" desc "Seishun Scandal (315-5132, Japan)" devices ())
(name "sscope" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAD, Ver 1.33)" devices ())
(name "sscope2" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAD, Ver 1.03)" devices ())
(name "sscope2a" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAD, Ver 1.03)" devices ())
(name "sscope2ab" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAB, Ver 1.01)" devices ())
(name "sscope2abvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAB, Ver 1.01, GN715 Voodoo 1 video board)" devices ())
(name "sscope2ac" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAC, Ver 1.02)" devices ())
(name "sscope2acvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAC, Ver 1.02, GN715 Voodoo 1 video board)" devices ())
(name "sscope2avd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver AAD, Ver 1.03, GN715 Voodoo 1 video board)" devices ())
(name "sscope2e" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAD, Ver 1.03)" devices ())
(name "sscope2eb" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAB, Ver 1.01)" devices ())
(name "sscope2ebvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAB, Ver 1.01, GN715 Voodoo 1 video board)" devices ())
(name "sscope2ec" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAC, Ver 1.02)" devices ())
(name "sscope2ecvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAC, Ver 1.02, GN715 Voodoo 1 video board)" devices ())
(name "sscope2evd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Fatal Judgement (ver EAD, Ver 1.03, GN715 Voodoo 1 video board)" devices ())
(name "sscope2j" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAD, Ver 1.03)" devices ())
(name "sscope2jb" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAB, Ver 1.01)" devices ())
(name "sscope2jbvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAB, Ver 1.01, GN715 Voodoo 1 video board)" devices ())
(name "sscope2jc" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAC, Ver 1.02)" devices ())
(name "sscope2jcvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAC, Ver 1.02, GN715 Voodoo 1 video board)" devices ())
(name "sscope2jvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Innocent Sweeper (ver JAD, Ver 1.03, GN715 Voodoo 1 video board)" devices ())
(name "sscope2ub" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAB, Ver 1.01)" devices ())
(name "sscope2ubvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAB, Ver 1.01, GN715 Voodoo 1 video board)" devices ())
(name "sscope2uc" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAC, Ver 1.02)" devices ())
(name "sscope2ucvd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAC, Ver 1.02, GN715 Voodoo 1 video board)" devices ())
(name "sscope2vd1" year "2000" manufacturer "Konami" desc "Silent Scope 2 : Dark Silhouette (ver UAD, Ver 1.03, GN715 Voodoo 1 video board)" devices ())
(name "sscopea" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAD, Ver 1.33)" devices ())
(name "sscopeaa" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAA, Ver 1.00)" devices ())
(name "sscopeab" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAB, Ver 1.20)" devices ())
(name "sscopeac" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAC, Ver 1.30)" devices ())
(name "sscopeacvd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAC, Ver 1.30, GQ871 Voodoo 2 video board)" devices ())
(name "sscopeavd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver AAD, Ver 1.33, GQ871 Voodoo 2 video board)" devices ())
(name "sscopee" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAD, Ver 1.33)" devices ())
(name "sscopeea" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAA, Ver 1.00)" devices ())
(name "sscopeeb" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAB, Ver 1.20)" devices ())
(name "sscopeec" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAC, Ver 1.30)" devices ())
(name "sscopeecvd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAC, Ver 1.30, GQ871 Voodoo 2 video board)" devices ())
(name "sscopeevd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver EAD, Ver 1.33, GQ871 Voodoo 2 video board)" devices ())
(name "sscopefh" year "2002" manufacturer "Konami" desc "Silent Scope Fortune Hunter (ver EAA)" devices ((name "harddisk" briefname "hard" )))
(name "sscopeja" year "1999" manufacturer "Konami" desc "Silent Scope (ver JAA, Ver 1.00)" devices ())
(name "sscopejb" year "1999" manufacturer "Konami" desc "Silent Scope (ver JAB, Ver 1.20)" devices ())
(name "sscopeua" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAA, Ver 1.00)" devices ())
(name "sscopeub" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAB, Ver 1.20)" devices ())
(name "sscopeuc" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAC, Ver 1.30)" devices ())
(name "sscopeucvd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAC, Ver 1.30, GQ871 Voodoo 2 video board)" devices ())
(name "sscopevd2" year "1999" manufacturer "Konami" desc "Silent Scope (ver UAD, Ver 1.33, GQ871 Voodoo 2 video board)" devices ())
(name "sscopex" year "2001" manufacturer "Konami" desc "Silent Scope EX (ver UAA)" devices ((name "harddisk" briefname "hard" )))
(name "sscs" year "1999" manufacturer "GMS" desc "San Se Caishen (Version 0502)" devices ())
(name "ssem" year "1948" manufacturer "Manchester University" desc "Small-Scale Experimental Machine (SSEM), 'Baby'" devices ((name "quickload" briefname "quik" )))
(name "ssensor4" year "1981" manufacturer "Novag Industries" desc "Super Sensor IV" devices ((name "romimage" briefname "rom" )))
(name "ssf2" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (World 931005)" devices ())
(name "ssf2a" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Asia 931005)" devices ())
(name "ssf2ar1" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Asia 930914)" devices ())
(name "ssf2h" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Hispanic 930911)" devices ())
(name "ssf2j" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Japan 931005)" devices ())
(name "ssf2jr1" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Japan 930911)" devices ())
(name "ssf2jr2" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (Japan 930910)" devices ())
(name "ssf2mdb" year "1994" manufacturer "bootleg / Capcom" desc "Super Street Fighter II - The New Challengers (bootleg of Japanese Mega Drive version)" devices ())
(name "ssf2r1" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (World 930911)" devices ())
(name "ssf2t" year "1994" manufacturer "Capcom" desc "Super Street Fighter II Turbo (World 940223)" devices ())
(name "ssf2ta" year "1994" manufacturer "Capcom" desc "Super Street Fighter II Turbo (Asia 940223)" devices ())
(name "ssf2tad" year "1994" manufacturer "bootleg" desc "Super Street Fighter II Turbo (Asia 940223 Phoenix Edition) (bootleg)" devices ())
(name "ssf2tb" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (World 931119)" devices ())
(name "ssf2tba" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (Asia 931005)" devices ())
(name "ssf2tbd" year "1993" manufacturer "bootleg" desc "Super Street Fighter II: The Tournament Battle (World 931119 Phoenix Edition) (bootleg)" devices ())
(name "ssf2tbh" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (Hispanic 931005)" devices ())
(name "ssf2tbj" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (Japan 931005)" devices ())
(name "ssf2tbj1" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (Japan 930911)" devices ())
(name "ssf2tbr1" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (World 930911)" devices ())
(name "ssf2tbu" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The Tournament Battle (USA 930911)" devices ())
(name "ssf2th" year "1994" manufacturer "Capcom" desc "Super Street Fighter II Turbo (Hispanic 940223)" devices ())
(name "ssf2tu" year "1994" manufacturer "Capcom" desc "Super Street Fighter II Turbo (USA 940323)" devices ())
(name "ssf2tur1" year "1994" manufacturer "Capcom" desc "Super Street Fighter II Turbo (USA 940223)" devices ())
(name "ssf2u" year "1993" manufacturer "Capcom" desc "Super Street Fighter II: The New Challengers (USA 930911)" devices ())
(name "ssf2ud" year "1993" manufacturer "bootleg" desc "Super Street Fighter II: The New Challengers (USA 930911 Phoenix Edition) (bootleg)" devices ())
(name "ssf2us2" year "1993" manufacturer "bootleg" desc "Super Street Fighter II: The New Challengers Super 2 (USA 930911)" devices ())
(name "ssf2xj" year "1994" manufacturer "Capcom" desc "Super Street Fighter II X: Grand Master Challenge (Japan 940311)" devices ())
(name "ssf2xjr1" year "1994" manufacturer "Capcom" desc "Super Street Fighter II X: Grand Master Challenge (Japan 940223)" devices ())
(name "ssf2xjr1d" year "1994" manufacturer "bootleg" desc "Super Street Fighter II X: Grand Master Challenge (Japan 940223 Phoenix Edition) (bootleg)" devices ())
(name "ssf2xjr1r" year "1994" manufacturer "Capcom" desc "Super Street Fighter II X: Grand Master Challenge (Japan 940223 rent version)" devices ())
(name "ssfball" year "1979" manufacturer "Bambino" desc "Super Star Football (Bambino)" devices ())
(name "ssfindo" year "1999" manufacturer "Icarus" desc "See See Find Out" devices ())
(name "sshangha" year "1992" manufacturer "Hot-B Co., Ltd." desc "Super Shanghai Dragon's Eye (World)" devices ())
(name "sshanghab" year "1992" manufacturer "bootleg" desc "Super Shanghai Dragon's Eye (World, bootleg)" devices ())
(name "sshanghaj" year "1992" manufacturer "Hot-B Co., Ltd." desc "Super Shanghai Dragon's Eye (Japan)" devices ())
(name "sshanghak" year "1992" manufacturer "Hot-B Co., Ltd. (Taito license)" desc "Super Shanghai Dragon's Eye (Korea)" devices ())
(name "sshootep" year "1979" manufacturer "Game Plan" desc "Sharpshooter (Game Plan)" devices ())
(name "sshooter" year "1998" manufacturer "P&P Marketing" desc "Sharpshooter (Rev 1.9)" devices ())
(name "sshooter11" year "1998" manufacturer "P&P Marketing" desc "Sharpshooter (Rev 1.1)" devices ())
(name "sshooter12" year "1998" manufacturer "P&P Marketing" desc "Sharpshooter (Rev 1.2)" devices ())
(name "sshooter17" year "1998" manufacturer "P&P Marketing" desc "Sharpshooter (Rev 1.7)" devices ())
(name "sshootr2" year "1983" manufacturer "Game Plan" desc "Sharp Shooter II" devices ())
(name "sshot" year "1979" manufacturer "Model Racing" desc "Super Shot" devices ())
(name "sshtl_l3" year "1984" manufacturer "Williams" desc "Space Shuttle (L-3)" devices ())
(name "sshtl_l7" year "1984" manufacturer "Williams" desc "Space Shuttle (L-7)" devices ())
(name "sshtlzac" year "1980" manufacturer "Zaccaria" desc "Space Shuttle (Zaccaria)" devices ())
(name "sshuttle" year "1985" manufacturer "Taito do Brasil" desc "Space Shuttle (Taito) (set 1)" devices ())
(name "sshuttle1" year "1985" manufacturer "Taito do Brasil" desc "Space Shuttle (Taito) (set 2)" devices ())
(name "ssi" year "1990" manufacturer "Taito Corporation Japan" desc "Super Space Invaders '91 (World, revised code, Rev 1)" devices ())
(name "ssia" year "1990" manufacturer "Taito Corporation Japan" desc "Super Space Invaders '91 (World, revised code)" devices ())
(name "ssib" year "1990" manufacturer "Taito Corporation Japan" desc "Super Space Invaders '91 (World, earlier code base)" devices ())
(name "ssideki" year "1992" manufacturer "SNK" desc "Super Sidekicks / Tokuten Ou" devices ((name "memcard" briefname "memc" ) ()))
(name "ssideki2" year "1994" manufacturer "SNK" desc "Super Sidekicks 2 - The World Championship / Tokuten Ou 2 - Real Fight Football (NGM-061 ~ NGH-061)" devices ((name "memcard" briefname "memc" ) ()))
(name "ssideki3" year "1995" manufacturer "SNK" desc "Super Sidekicks 3 - The Next Glory / Tokuten Ou 3 - Eikou e no Chousen" devices ((name "memcard" briefname "memc" ) ()))
(name "ssideki4" year "1996" manufacturer "SNK" desc "The Ultimate 11 - The SNK Football Championship / Tokuten Ou - Honoo no Libero" devices ((name "memcard" briefname "memc" ) ()))
(name "ssimon" year "1979" manufacturer "Milton Bradley" desc "Super Simon" devices ())
(name "ssingles" year "1983" manufacturer "Yachiyo Denki (Entertainment Enterprises, Ltd. license)" desc "Swinging Singles (US)" devices ())
(name "ssipkr24" year "1988" manufacturer "SSI" desc "SSI Poker (v2.4)" devices ())
(name "ssipkr30" year "1988" manufacturer "SSI" desc "SSI Poker (v3.0)" devices ())
(name "ssipkr40" year "1990" manufacturer "SSI" desc "SSI Poker (v4.0)" devices ())
(name "ssjkrpkr" year "1982" manufacturer "Southern Systems & Assembly" desc "Southern Systems Joker Poker" devices ())
(name "sslam" year "1993" manufacturer "Playmark" desc "Super Slam (set 1)" devices ())
(name "sslama" year "1993" manufacturer "Playmark" desc "Super Slam (set 2)" devices ())
(name "sslamb" year "1993" manufacturer "Playmark" desc "Super Slam (set 3)" devices ())
(name "ssmissin" year "1992" manufacturer "Comad" desc "S.S. Mission" devices ())
(name "ssoldier" year "1993" manufacturer "Irem America" desc "Superior Soldiers (US)" devices ())
(name "ssonicbr" year "1992" manufacturer "hack" desc "SegaSonic Bros. (prototype, hack)" devices ())
(name "ssozumo" year "1984" manufacturer "Technos Japan" desc "Syusse Oozumou (Japan)" devices ())
(name "sspac2k1" year "200?" manufacturer "<unknown>" desc "Super Space 2001" devices ())
(name "sspacaho" year "1979" manufacturer "Sega" desc "Space Attack / Head On" devices ())
(name "sspaceat" year "1979" manufacturer "Sega" desc "Space Attack (upright set 1)" devices ())
(name "sspaceat2" year "1979" manufacturer "Sega" desc "Space Attack (upright set 2)" devices ())
(name "sspaceat3" year "1979" manufacturer "Sega" desc "Space Attack (upright set 3)" devices ())
(name "sspaceatc" year "1979" manufacturer "Sega" desc "Space Attack (cocktail)" devices ())
(name "sspanic" year "1993" manufacturer "Namco" desc "Same Same Panic" devices ())
(name "sspeedr" year "1979" manufacturer "Taito (Midway license)" desc "Super Speed Race" devices ())
(name "sspiritj" year "1988" manufacturer "Sega" desc "Scramble Spirits (Japan, Floppy DS3-5000-02-REV-A Based)" devices ())
(name "sspirits" year "1988" manufacturer "Sega" desc "Scramble Spirits (World, Floppy Based)" devices ())
(name "sspirtfc" year "1988" manufacturer "Sega" desc "Scramble Spirits (World, Floppy Based, FD1094 317-0058-02c)" devices ())
(name "ssports4" year "1980" manufacturer "U.S. Games Corporation" desc "Super Sports-4" devices ())
(name "ssprint" year "1986" manufacturer "Atari Games" desc "Super Sprint (rev 4)" devices ())
(name "ssprint1" year "1986" manufacturer "Atari Games" desc "Super Sprint (rev 1)" devices ())
(name "ssprint3" year "1986" manufacturer "Atari Games" desc "Super Sprint (rev 3)" devices ())
(name "ssprintf" year "1986" manufacturer "Atari Games" desc "Super Sprint (French)" devices ())
(name "ssprintg" year "1986" manufacturer "Atari Games" desc "Super Sprint (German, rev 2)" devices ())
(name "ssprintg1" year "1986" manufacturer "Atari Games" desc "Super Sprint (German, rev 1)" devices ())
(name "ssprints" year "1986" manufacturer "Atari Games" desc "Super Sprint (Spanish)" devices ())
(name "ssriders" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver EAC)" devices ())
(name "ssriders2" year "1991" manufacturer "bootleg" desc "Sunset Riders 2 (bootleg 4 Players ver ADD)" devices ())
(name "ssridersabd" year "1991" manufacturer "Konami" desc "Sunset Riders (2 Players ver ABD)" devices ())
(name "ssridersadd" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver ADD)" devices ())
(name "ssridersb" year "1991" manufacturer "bootleg" desc "Sunset Riders (bootleg 4 Players ver ADD)" devices ())
(name "ssriderseaa" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver EAA)" devices ())
(name "ssridersebc" year "1991" manufacturer "Konami" desc "Sunset Riders (2 Players ver EBC)" devices ())
(name "ssridersebd" year "1991" manufacturer "Konami" desc "Sunset Riders (2 Players ver EBD)" devices ())
(name "ssridersjac" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver JAC)" devices ())
(name "ssridersjad" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver JAD)" devices ())
(name "ssridersjbd" year "1991" manufacturer "Konami" desc "Sunset Riders (2 Players ver JBD)" devices ())
(name "ssridersuab" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver UAB)" devices ())
(name "ssridersuac" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver UAC)" devices ())
(name "ssridersubc" year "1991" manufacturer "Konami" desc "Sunset Riders (2 Players ver UBC)" devices ())
(name "ssridersuda" year "1991" manufacturer "Konami" desc "Sunset Riders (4 Players ver UDA)" devices ())
(name "ssrj" year "1985" manufacturer "Taito Corporation" desc "Super Speed Race Junior (Japan)" devices ())
(name "sss" year "1998" manufacturer "Capcom / Cave / Victor Interactive Software" desc "Steep Slope Sliders (JUET 981110 V1.000)" devices ())
(name "sst" year "1979" manufacturer "Bally" desc "Supersonic" devices ())
(name "sstar" year "200?" manufacturer "<unknown>" desc "Super Star" devices ())
(name "sstar28k" year "1983" manufacturer "SciSys / Heuristic Software" desc "Superstar 28K" devices ())
(name "sstar97" year "199?" manufacturer "Bordun International" desc "Super Star 97 / Ming Xing 97 (version V153B)" devices ())
(name "sstarbtl" year "1979" manufacturer "bootleg (SG-Florence)" desc "Super Star Battle" devices ())
(name "sstarcrs" year "1980?" manufacturer "bootleg (Taito do Brasil)" desc "Super Star Crest" devices ())
(name "sstarkar" year "200?" manufacturer "Taikee" desc "Singing Star Karaoke (World) / Karao Kids (Spain)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "sstingry" year "1986" manufacturer "Alpha Denshi Co." desc "Super Stingray (Japan)" devices ())
(name "sstrangr" year "1978" manufacturer "Yachiyo Electronics, Ltd." desc "Space Stranger" devices ())
(name "sstrangr2" year "1979" manufacturer "Yachiyo Electronics, Ltd." desc "Space Stranger 2" devices ())
(name "sstrike" year "1990" manufacturer "Strata / Incredible Technologies" desc "Super Strike Bowling (V1)" devices ())
(name "sstriker" year "1993" manufacturer "Raizing" desc "Sorcer Striker" devices ())
(name "sstrikerk" year "1993" manufacturer "Raizing (Unite Trading license)" desc "Sorcer Striker (Korea)" devices ())
(name "sstrkfgt" year "2000" manufacturer "Sega" desc "Sega Strike Fighter (Rev A)" devices ())
(name "sstrkfgta" year "2000" manufacturer "Sega" desc "Sega Strike Fighter (Rev A, no training mode)" devices ())
(name "ssvc_a26" year "1988" manufacturer "Data East" desc "Secret Service (2.6)" devices ())
(name "ssvc_a42" year "1988" manufacturer "Data East" desc "Secret Service (4.2 alternate sound)" devices ())
(name "ssvc_b26" year "1988" manufacturer "Data East" desc "Secret Service (2.6 alternate sound)" devices ())
(name "ssvc_e40" year "1988" manufacturer "Data East" desc "Secret Service (4.0, Europe)" devices ())
(name "ssystem3" year "1979" manufacturer "SciSys / Novag Industries" desc "Chess Champion: Super System III" devices ())
(name "ssystem4" year "1980" manufacturer "SciSys" desc "Chess Champion: Super System IV" devices ())
(name "st" year "1985" manufacturer "Atari" desc "ST (USA)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st1700h" year "200?" manufacturer "Saturn" desc "ST-1700 (headphone version)" devices ())
(name "st1701" year "200?" manufacturer "Saturn" desc "ST-1701" devices ())
(name "st1702" year "200?" manufacturer "Saturn" desc "ST-1702" devices ())
(name "st1703" year "200?" manufacturer "Saturn" desc "ST-1703" devices ())
(name "st1704" year "200?" manufacturer "Saturn" desc "ST-1704" devices ())
(name "st1705" year "200?" manufacturer "Saturn" desc "ST-1705" devices ())
(name "st1706" year "200?" manufacturer "Saturn" desc "ST-1706" devices ())
(name "st1707" year "200?" manufacturer "Saturn" desc "ST-1707" devices ())
(name "st1708" year "200?" manufacturer "Saturn" desc "ST-1708" devices ())
(name "st1714" year "200?" manufacturer "Saturn" desc "ST-1714" devices ())
(name "st_de" year "1985" manufacturer "Atari" desc "ST (Germany)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_es" year "1985" manufacturer "Atari" desc "ST (Spain)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_fr" year "1985" manufacturer "Atari" desc "ST (France)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_nl" year "1985" manufacturer "Atari" desc "ST (Netherlands)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_ohla" year "199?" manufacturer "Stella" desc "Oh La La (Stella)" devices ())
(name "st_sam" year "198?" manufacturer "Stern" desc "SAM III Test Fixture" devices ())
(name "st_sam4" year "198?" manufacturer "Stern" desc "SAM IV Test Fixture" devices ())
(name "st_se" year "1985" manufacturer "Atari" desc "ST (Sweden)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_sg" year "1985" manufacturer "Atari" desc "ST (Switzerland)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_uk" year "1985" manufacturer "Atari" desc "ST (UK)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "st_vulkn" year "199?" manufacturer "Stella" desc "Vulkan (Stella)" devices ())
(name "stactics" year "1981" manufacturer "Sega" desc "Space Tactics" devices ())
(name "stadhero" year "1988" manufacturer "Data East Corporation" desc "Stadium Hero (Japan)" devices ())
(name "stadhr96" year "1996" manufacturer "Data East Corporation" desc "Stadium Hero '96 (Europe, EAJ, Tuning license)" devices ())
(name "stadhr96j" year "1996" manufacturer "Data East Corporation" desc "Stadium Hero '96 (Japan, EAD)" devices ())
(name "stadhr96j2" year "1996" manufacturer "Data East Corporation" desc "Stadium Hero '96 (Japan?, EAE)" devices ())
(name "stadhr96k" year "1996" manufacturer "Data East Corporation" desc "Stadium Hero '96 (Korea, Dream Island license)" devices ())
(name "stadhr96u" year "1996" manufacturer "Data East Corporation" desc "Stadium Hero '96 (USA, EAH)" devices ())
(name "stagger1" year "1998" manufacturer "Afega" desc "Stagger I (Japan)" devices ())
(name "stakwin" year "1995" manufacturer "Saurus" desc "Stakes Winner / Stakes Winner - GI Kinzen Seiha e no Michi" devices ((name "memcard" briefname "memc" ) ()))
(name "stakwin2" year "1996" manufacturer "Saurus" desc "Stakes Winner 2" devices ((name "memcard" briefname "memc" ) ()))
(name "stakwindev" year "1995" manufacturer "Saurus" desc "Stakes Winner / Stakes Winner - GI Kinzen Seiha e no Michi (early development board)" devices ((name "memcard" briefname "memc" ) ()))
(name "stankatk" year "1992" manufacturer "Microprose Games Inc." desc "Super Tank Attack (prototype rev. 1.12)" devices ())
(name "star100" year "199?" manufacturer "Sang Ho" desc "Ming Xing 100 (Star 100)" devices ())
(name "staraudi" year "1997" manufacturer "Namco" desc "Star Audition" devices ())
(name "starblad" year "1991" manufacturer "Namco" desc "Starblade (ST2, World)" devices ())
(name "starbladj" year "1991" manufacturer "Namco" desc "Starblade (ST1, Japan)" devices ())
(name "starcas" year "1980" manufacturer "Cinematronics" desc "Star Castle (version 3)" devices ())
(name "starcas1" year "1980" manufacturer "Cinematronics" desc "Star Castle (older)" devices ())
(name "starcasc" year "1980" manufacturer "Cinematronics" desc "Star Castle (cocktail)" devices ())
(name "starcase" year "1980" manufacturer "Cinematronics (Mottoeis license)" desc "Star Castle (Mottoeis)" devices ())
(name "starcasp" year "1980" manufacturer "Cinematronics" desc "Star Castle (prototype)" devices ())
(name "starcrus" year "1977" manufacturer "Ramtek" desc "Star Cruiser" devices ())
(name "stardrft" year "2003" manufacturer "Aristocrat" desc "Star Drifter (20150811, NSW/ACT)" devices ())
(name "stardrftu" year "2004" manufacturer "Aristocrat" desc "Star Drifter (0451341, US)" devices ())
(name "starfght" year "1979" manufacturer "bootleg (Jeutel)" desc "Star Fighter" devices ())
(name "starfgmc" year "198?" manufacturer "bootleg (Samyra Engineering)" desc "Starfighter (bootleg of Moon Cresta)" devices ())
(name "starfigh" year "1990" manufacturer "SunA" desc "Star Fighter (v1)" devices ())
(name "starfir2" year "1979" manufacturer "Exidy" desc "Star Fire 2" devices ())
(name "starfire" year "1979" manufacturer "Exidy" desc "Star Fire (set 1)" devices ())
(name "starfirea" year "1979" manufacturer "Exidy" desc "Star Fire (set 2)" devices ())
(name "starfirp" year "1985" manufacturer "Playmatic" desc "Star Fire" devices ())
(name "starfirpa" year "1985" manufacturer "Playmatic" desc "Star Fire (alternate set)" devices ())
(name "starforc" year "1984" manufacturer "Tehkan" desc "Star Force" devices ())
(name "starforca" year "1984" manufacturer "Tehkan" desc "Star Force (encrypted, set 2)" devices ())
(name "starforcb" year "1984" manufacturer "bootleg" desc "Star Force (encrypted, bootleg)" devices ())
(name "starforce" year "1984" manufacturer "Tehkan" desc "Star Force (encrypted, set 1)" devices ())
(name "stargate" year "1981" manufacturer "Williams / Vid Kidz" desc "Stargate" devices ())
(name "stargatp" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball, rev.5)" devices ())
(name "stargatp0" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball)" devices ())
(name "stargatp1" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball, rev.1)" devices ())
(name "stargatp2" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball, rev.2)" devices ())
(name "stargatp3" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball, rev.3)" devices ())
(name "stargatp4" year "1995" manufacturer "Gottlieb" desc "Stargate (pinball, rev.4)" devices ())
(name "starglad" year "1996" manufacturer "Capcom" desc "Star Gladiator Episode I: Final Crusade (USA 960627)" devices ())
(name "stargladj" year "1996" manufacturer "Capcom" desc "Star Gladiator Episode I: Final Crusade (Japan 960627)" devices ())
(name "stargld2" year "1998" manufacturer "Capcom" desc "Star Gladiator 2: Nightmare of Bilstein (Japan 980316)" devices ())
(name "stargod" year "1980" manufacturer "Zaccaria" desc "Star God" devices ())
(name "stargoda" year "1980" manufacturer "Zaccaria" desc "Star God (alternate sound)" devices ())
(name "stargodb" year "1980" manufacturer "Zaccaria" desc "Star God (variable replay score)" devices ())
(name "stargrds" year "1987" manufacturer "Bally Midway" desc "Star Guards" devices ())
(name "stargzr" year "1980" manufacturer "Stern" desc "Stargazer" devices ())
(name "starhawk" year "1979" manufacturer "Cinematronics" desc "Starhawk" devices ())
(name "starjack" year "1983" manufacturer "Sega" desc "Star Jacker (Sega)" devices ())
(name "starjacks" year "1983" manufacturer "Sega (Stern Electronics license)" desc "Star Jacker (Stern Electronics)" devices ())
(name "starlstr" year "1985" manufacturer "Namco" desc "Vs. Star Luster" devices ())
(name "starqst" year "2001" manufacturer "Aristocrat" desc "Star Quest (10009511, NSW/ACT)" devices ())
(name "starrace" year "1980" manufacturer "Gottlieb" desc "Star Race" devices ())
(name "starridr" year "1984" manufacturer "Williams" desc "Star Rider" devices ())
(name "starrkr" year "1981" manufacturer "Sega" desc "Star Raker" devices ())
(name "stars" year "1978" manufacturer "Stern" desc "Stars" devices ())
(name "starseek" year "2001" manufacturer "G.Rev" desc "Doki Doki Idol Star Seeker (GDL-0005)" devices ((name "cdrom" briefname "cdrm" )))
(name "starshot" year "1979" manufacturer "Allied Leisure" desc "Star Shooter" devices ())
(name "starshp1" year "1977" manufacturer "Atari" desc "Starship 1" devices ())
(name "starshpp" year "1977" manufacturer "Atari" desc "Starship 1 (prototype?)" devices ())
(name "starsldr" year "1998" manufacturer "Hudson / Seta" desc "Star Soldier: Vanishing Earth" devices ())
(name "starspnr" year "1982?" manufacturer "ACE" desc "Starspinner (Dutch/Nederlands)" devices ())
(name "starswep" year "1997" manufacturer "Axela / Namco" desc "Star Sweep (World, STP2/VER.A)" devices ())
(name "starswepj" year "1997" manufacturer "Axela / Namco" desc "Star Sweep (Japan, STP1/VER.A)" devices ())
(name "startrek" year "1982" manufacturer "Sega" desc "Star Trek" devices ())
(name "startrep" year "1979" manufacturer "Bally" desc "Star Trek (Pinball)" devices ())
(name "startrgn" year "2002" manufacturer "Namco" desc "Star Trigon (Japan, STT1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "startrip" year "1979" manufacturer "Game Plan" desc "Star Trip" devices ())
(name "startrkd" year "1981" manufacturer "bootleg" desc "Star Trek (bootleg of Defender)" devices ())
(name "startrks" year "198?" manufacturer "bootleg (Sidam)" desc "Star Trek (Head On hardware)" devices ())
(name "startrp" year "1997" manufacturer "Sega" desc "Starship Troopers (CPU 2.01, display A2.00)" devices ())
(name "startrp2" year "1997" manufacturer "Sega" desc "Starship Troopers (CPU 2.00, display A2.00)" devices ())
(name "starw" year "1979" manufacturer "bootleg" desc "Star Wars (bootleg of Galaxy Wars, set 1)" devices ())
(name "starw1" year "1979" manufacturer "bootleg (Yamashita)" desc "Star Wars (bootleg of Galaxy Wars, set 2)" devices ())
(name "starwarr" year "1980" manufacturer "bootleg (Potomac Mortgage)" desc "Star Warrior" devices ())
(name "starwars" year "1983" manufacturer "Atari" desc "Star Wars (set 1)" devices ())
(name "starwars1" year "1983" manufacturer "Atari" desc "Star Wars (set 2)" devices ())
(name "starwarso" year "1983" manufacturer "Atari" desc "Star Wars (set 3)" devices ())
(name "starwbc" year "1979" manufacturer "Kenner" desc "Star Wars: Electronic Battle Command Game" devices ())
(name "starwbcp" year "1979" manufacturer "Kenner" desc "Star Wars: Electronic Battle Command Game (patent)" devices ())
(name "starwlb" year "1978" manufacturer "Kenner" desc "Star Wars: Electronic Laser Battle Game" devices ())
(name "starzan" year "2000?" manufacturer "IGS (G.F. Gioca license)" desc "Super Tarzan (Italy, V100I)" devices ())
(name "statriv2" year "1984" manufacturer "Status Games" desc "Triv Two" devices ())
(name "statriv2v" year "1985" manufacturer "Status Games" desc "Triv Two (Vertical)" devices ())
(name "statriv4" year "1985" manufacturer "Status Games" desc "Triv Four" devices ())
(name "statriv5se" year "1985" manufacturer "Status Games" desc "Triv Five Special Edition" devices ())
(name "statsymb" year "2005" manufacturer "Aristocrat" desc "Status Symbols (0251147, US)" devices ())
(name "statusbj" year "1981" manufacturer "Status Games" desc "Status Black Jack (V1.0c)" devices ())
(name "stbsub" year "1995" manufacturer "American Alpha" desc "Treasure Bonus (Subsino, v1.6)" devices ())
(name "stcc" year "1996" manufacturer "Sega" desc "Sega Touring Car Championship (newer)" devices ())
(name "stcca" year "1996" manufacturer "Sega" desc "Sega Touring Car Championship (Revision A)" devices ())
(name "stccb" year "1996" manufacturer "Sega" desc "Sega Touring Car Championship (Revision B)" devices ())
(name "stcco" year "1996" manufacturer "Sega" desc "Sega Touring Car Championship" devices ())
(name "stdragon" year "1989" manufacturer "Jaleco" desc "Saint Dragon (set 1)" devices ())
(name "stdragona" year "1989" manufacturer "Jaleco" desc "Saint Dragon (set 2)" devices ())
(name "stdragonb" year "1989" manufacturer "bootleg" desc "Saint Dragon (bootleg)" devices ())
(name "ste" year "1989" manufacturer "Atari" desc "STe (USA)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_de" year "1989" manufacturer "Atari" desc "STe (Germany)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_es" year "1989" manufacturer "Atari" desc "STe (Spain)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_fr" year "1989" manufacturer "Atari" desc "STe (France)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_it" year "1989" manufacturer "Atari" desc "STe (Italy)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_se" year "1989" manufacturer "Atari" desc "STe (Sweden)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_sg" year "1989" manufacturer "Atari" desc "STe (Switzerland)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "ste_uk" year "1989" manufacturer "Atari" desc "STe (UK)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "stealsee" year "2000" manufacturer "Moov Generation / Eolith" desc "Steal See" devices ())
(name "steaser" year "1993" manufacturer "<unknown>" desc "Strip Teaser (Italy, Ver. 1.22)" devices ())
(name "steeltal" year "1991" manufacturer "Atari Games" desc "Steel Talons (rev 2)" devices ())
(name "steeltal1" year "1991" manufacturer "Atari Games" desc "Steel Talons (rev 1)" devices ())
(name "steeltalg" year "1991" manufacturer "Atari Games" desc "Steel Talons (German, rev 2)" devices ())
(name "steeltalp" year "1991" manufacturer "Atari Games" desc "Steel Talons (prototype)" devices ())
(name "steelwkr" year "1980" manufacturer "Taito" desc "Steel Worker" devices ())
(name "steeplec" year "1975" manufacturer "Atari" desc "Steeplechase" devices ())
(name "stellcas" year "1980" manufacturer "bootleg (Elettronolo)" desc "Stellar Castle (Elettronolo)" devices ())
(name "stellecu" year "1998" manufacturer "Sure" desc "Stelle e Cubi (Italy)" devices ())
(name "step3" year "1999" manufacturer "Jaleco" desc "Stepping 3 Superior" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "stepchmp" year "1999" manufacturer "Konami" desc "Step Champ (GQ930 VER. JA)" devices ())
(name "stepone" year "1984" manufacturer "Ericsson" desc "Step/One" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "printout" briefname "prin" )))
(name "stepstag" year "1999" manufacturer "Jaleco" desc "Stepping Stage Special" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "stera" year "1980" manufacturer "bootleg" desc "Steraranger (bootleg of Moon Cresta)" devices ())
(name "stest" year "1982" manufacturer "Taito do Brasil" desc "Speed Test" devices ())
(name "stfight" year "1986" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Street Fight (Germany)" devices ())
(name "stfighta" year "1986" manufacturer "Seibu Kaihatsu" desc "Street Fight (bootleg?)" devices ())
(name "stfightgb" year "1986" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Street Fight (Germany - Benelux)" devices ())
(name "stg" year "1991" manufacturer "Athena / Tecmo" desc "Strike Gunner S.T.G" devices ())
(name "stinger" year "1983" manufacturer "Seibu Denshi" desc "Stinger" devices ())
(name "stinger2" year "1983" manufacturer "Seibu Denshi" desc "Stinger (prototype?)" devices ())
(name "stingray" year "1977" manufacturer "Stern" desc "Stingray" devices ())
(name "stisub" year "1995" manufacturer "Subsino" desc "Super Treasure Island (Italy, v1.6)" devices ())
(name "stk_sprs" year "1978" manufacturer "Bally" desc "Strikes and Spares" devices ())
(name "stkclmns" year "1994" manufacturer "Sega" desc "Stack Columns (World)" devices ())
(name "stkclmnsj" year "1994" manufacturer "Sega" desc "Stack Columns (Japan)" devices ())
(name "stlforce" year "1994" manufacturer "Electronic Devices Italy / Ecogames S.L. Spain" desc "Steel Force" devices ())
(name "stlwr_l2" year "1979" manufacturer "Williams" desc "Stellar Wars (L-2)" devices ())
(name "stmblade" year "1996" manufacturer "Visco" desc "Storm Blade (US)" devices ())
(name "stmbladej" year "1996" manufacturer "Visco" desc "Storm Blade (Japan)" devices ())
(name "stmpc" year "1984" manufacturer "STM Electronics" desc "STM PC" devices ())
(name "stmpcp" year "1984" manufacturer "STM Electronics" desc "STM PC (prototype?)" devices ())
(name "sto486wb" year "199?" manufacturer "See-Thru" desc "Sto486Wb aka AUVA Cam-33-P2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "stocker" year "1984" manufacturer "Bally/Sente" desc "Stocker (3/19/85)" devices ())
(name "stoffy" year "1994" manufacturer "Midas" desc "Super Toffy" devices ())
(name "stoffyu" year "1994" manufacturer "Midas (Unico license)" desc "Super Toffy (Unico license)" devices ())
(name "stompin" year "1986" manufacturer "Bally/Sente" desc "Stompin' (4/4/86)" devices ())
(name "stompina" year "1985" manufacturer "Bally/Sente" desc "Stompin' (prototype?)" devices ())
(name "stoneage" year "1991" manufacturer "bootleg" desc "Stoneage (bootleg of Caveman Ninja)" devices ())
(name "stonebal" year "1994" manufacturer "Art & Magic" desc "Stone Ball (4 Players, v1-20 13/12/1994)" devices ())
(name "stonebal2" year "1994" manufacturer "Art & Magic" desc "Stone Ball (2 Players, v1-20 7/11/1994)" devices ())
(name "stonebal2o" year "1994" manufacturer "Art & Magic" desc "Stone Ball (2 Players, v1-20 21/10/1994)" devices ())
(name "stop" year "19??" manufacturer "<unknown>" desc "Stop" devices ())
(name "stopthief" year "1979" manufacturer "Parker Brothers" desc "Stop Thief: Electronic Cops and Robbers (Electronic Crime Scanner)" devices ())
(name "stopthiefp" year "1979" manufacturer "Parker Brothers" desc "Stop Thief: Electronic Cops and Robbers (Electronic Crime Scanner) (patent)" devices ())
(name "storio" year "2011" manufacturer "VTech" desc "Storio (GB, English, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "storiode" year "2011" manufacturer "VTech" desc "Storio (DE, German, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "storioes" year "2011" manufacturer "VTech" desc "Storio (ES, Spanish, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "storioesa" year "2011" manufacturer "VTech" desc "Storio (ES, Spanish, 2011-06-17?)" devices ((name "cartridge" briefname "cart" )))
(name "storiofr" year "2011" manufacturer "VTech" desc "Storio (FR, French, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "storionl" year "2011" manufacturer "VTech" desc "Storio (NL, Dutch, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "storm" year "1979" manufacturer "SegaSA / Sonic" desc "Storm" devices ())
(name "storming" year "1986" manufacturer "bootleg" desc "Storming Party / Riku Kai Kuu Saizensen (set 1)" devices ())
(name "storminga" year "1986" manufacturer "bootleg" desc "Storming Party / Riku Kai Kuu Saizensen (set 2)" devices ())
(name "strahl" year "1992" manufacturer "UPL" desc "Koutetsu Yousai Strahl (World)" devices ())
(name "strahlj" year "1992" manufacturer "UPL" desc "Koutetsu Yousai Strahl (Japan set 1)" devices ())
(name "strahlja" year "1992" manufacturer "UPL" desc "Koutetsu Yousai Strahl (Japan set 2)" devices ())
(name "strahljbl" year "1992" manufacturer "bootleg" desc "Koutetsu Yousai Strahl (Japan, bootleg)" devices ())
(name "strain" year "1996" manufacturer "Subsino" desc "Super Train (Ver. 1.9)" devices ())
(name "strapids" year "1979" manufacturer "Zaccaria" desc "Shooting the Rapids" devices ())
(name "stratab" year "1990" manufacturer "Strata / Incredible Technologies" desc "Strata Bowling (V3)" devices ())
(name "stratab1" year "1990" manufacturer "Strata / Incredible Technologies" desc "Strata Bowling (V1)" devices ())
(name "stratabs" year "1990" manufacturer "Strata / Incredible Technologies" desc "Strata Bowling (V1 4T, Super Strike Bowling type PCB)" devices ())
(name "stratgys" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Strategy X (Stern Electronics)" devices ())
(name "stratgyx" year "1981" manufacturer "Konami" desc "Strategy X" devices ())
(name "stratof" year "1991" manufacturer "Tecmo" desc "Raiga - Strato Fighter (US)" devices ())
(name "stratos" year "1987" manufacturer "SciSys / Heuristic Software" desc "Kasparov Stratos (set 1)" devices ((name "romimage" briefname "rom" )))
(name "stratosa" year "1987" manufacturer "SciSys / Heuristic Software" desc "Kasparov Stratos (set 2)" devices ((name "romimage" briefname "rom" )))
(name "stratvox" year "1980" manufacturer "Sun Electronics (Taito license)" desc "Stratovox (set 1)" devices ())
(name "stratvoxa" year "1980" manufacturer "Sun Electronics (Taito license)" desc "Stratovox (set 2)" devices ())
(name "stratvoxb" year "1980" manufacturer "bootleg" desc "Stratovox (bootleg)" devices ())
(name "strax_p7" year "1990" manufacturer "Krell Development" desc "Star Trax (domestic prototype)" devices ())
(name "streakng" year "1980" manufacturer "Shoei" desc "Streaking (set 1)" devices ())
(name "streaknga" year "1980" manufacturer "Shoei" desc "Streaking (set 2)" devices ())
(name "streetg" year "1993" manufacturer "New Image Technologies" desc "Street Games (Revision 4)" devices ())
(name "streetg2" year "1993" manufacturer "New Image Technologies" desc "Street Games II (Revision 7C)" devices ())
(name "streetg2r5" year "1993" manufacturer "New Image Technologies" desc "Street Games II (Revision 5)" devices ())
(name "streetgr3" year "1993" manufacturer "New Image Technologies" desc "Street Games (Revision 3)" devices ())
(name "streetsm" year "1989" manufacturer "SNK" desc "Street Smart (US version 2)" devices ())
(name "streetsm1" year "1989" manufacturer "SNK" desc "Street Smart (US version 1)" devices ())
(name "streetsmj" year "1989" manufacturer "SNK" desc "Street Smart (Japan version 1)" devices ())
(name "streetsmw" year "1989" manufacturer "SNK" desc "Street Smart (World version 1)" devices ())
(name "streetsmwbl" year "1989" manufacturer "bootleg" desc "Street Smart (bootleg of World version 1)" devices ())
(name "stress" year "1998" manufacturer "Sega" desc "Stress Busters (J 981020 V1.000)" devices ())
(name "strfbomb" year "1981" manufacturer "bootleg (Omni)" desc "Strafe Bomb (bootleg of Scramble)" devices ())
(name "strfight" year "1979" manufacturer "bootleg (VGG)" desc "Star Fighter (bootleg of Astro Fighter)" devices ())
(name "strgchmp" year "1997" manufacturer "Konami" desc "Steering Champ (GQ710 97/12/18 VER. UAA)" devices ())
(name "strhoop" year "1994" manufacturer "Data East Corporation" desc "Street Hoop / Street Slam / Dunk Dream (DEM-004 ~ DEH-004)" devices ((name "memcard" briefname "memc" ) ()))
(name "strider" year "1989" manufacturer "Capcom" desc "Strider (USA, B-Board 89624B-2)" devices ())
(name "strider2" year "1999" manufacturer "Capcom" desc "Strider 2 (Europe 991213)" devices ())
(name "strider2a" year "1999" manufacturer "Capcom" desc "Strider 2 (Asia 991213)" devices ())
(name "strider2u" year "1999" manufacturer "Capcom" desc "Strider 2 (USA 991213)" devices ())
(name "striderj" year "1989" manufacturer "Capcom" desc "Strider Hiryu (Japan)" devices ())
(name "striderjr" year "1989" manufacturer "Capcom" desc "Strider Hiryu (Japan Resale Ver.)" devices ())
(name "striderua" year "1989" manufacturer "Capcom" desc "Strider (USA, B-Board 89624B-3)" devices ())
(name "strideruc" year "1989" manufacturer "bootleg (Capcom)" desc "Strider (USA, B-Board 90629B-3, buggy Street Fighter II conversion)" devices ())
(name "strik_l4" year "1992" manufacturer "Williams" desc "Strike Master (L-4) (Shuffle)" devices ())
(name "strike" year "1978" manufacturer "Zaccaria" desc "Strike" devices ())
(name "striker" year "1982" manufacturer "Gottlieb" desc "Striker (Pinball)" devices ())
(name "strikext" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.02, display A1.03)" devices ())
(name "strikext_100" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.00, display A1.03)" devices ())
(name "striv" year "1985" manufacturer "Nova du Canada" desc "Super Triv (English questions)" devices ())
(name "strivf" year "1985" manufacturer "Nova du Canada" desc "Super Triv (French questions)" devices ())
(name "strker" year "1992?" manufacturer "<unknown>" desc "Striker" devices ())
(name "strkfgtr" year "1991" manufacturer "Sega" desc "Strike Fighter (World)" devices ())
(name "strkfgtrj" year "1991" manufacturer "Sega" desc "Strike Fighter (Japan)" devices ())
(name "strkforc" year "1991" manufacturer "Midway" desc "Strike Force (rev 1 02/25/91)" devices ())
(name "strknew" year "1999" manufacturer "Stern" desc "Striker Xtreme (CPU 1.02, display A1.03, ARM7 sound board)" devices ())
(name "strkzn" year "1994" manufacturer "Purple Star" desc "Strike Zone (Purple Star)" devices ())
(name "strkzone" year "1988" manufacturer "Leland Corporation" desc "Strike Zone Baseball" devices ())
(name "strlink" year "2004" manufacturer "Extrema" desc "Strong Link (Ukraine, V. 43.48)" devices ())
(name "strlinka" year "2004" manufacturer "Extrema" desc "Strong Link (Ukraine, V. 43.45)" devices ())
(name "strlt_l1" year "1984" manufacturer "Williams" desc "Star Light (L-1)" devices ())
(name "strngsci" year "1986" manufacturer "Bally" desc "Strange Science (Rev C)" devices ())
(name "strngscia" year "1986" manufacturer "Bally" desc "Strange Science (Rev A)" devices ())
(name "strngscig" year "1986" manufacturer "Bally" desc "Strange Science (German, Rev A)" devices ())
(name "strnskil" year "1984" manufacturer "Sun Electronics" desc "Strength & Skill" devices ())
(name "strobe" year "1980" manufacturer "Lakeside" desc "Strobe" devices ())
(name "strongx" year "1982" manufacturer "bootleg" desc "Strong X" devices ())
(name "strsphnx" year "1987" manufacturer "Zaccaria" desc "Star's Phoenix (Italian speech)" devices ())
(name "strsphnxf" year "1987" manufacturer "Zaccaria" desc "Star's Phoenix (French speech)" devices ())
(name "strtdriv" year "1993" manufacturer "Atari Games" desc "Street Drivin' (prototype)" devices ())
(name "strtheat" year "1985" manufacturer "Epos Corporation" desc "Street Heat (set 1, newer?)" devices ())
(name "strtheata" year "1985" manufacturer "Epos Corporation" desc "Street Heat (set 2, older?)" devices ())
(name "strvmstr" year "1986" manufacturer "Enerdyne Technologies Inc." desc "Super Trivia Master" devices ())
(name "strxt_fr" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.02, display F1.03, France)" devices ())
(name "strxt_gr" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.03, display G1.03, Germany)" devices ())
(name "strxt_it" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.02, display I1.03, Italy)" devices ())
(name "strxt_it_101" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.01, display I1.03, Italy)" devices ())
(name "strxt_sp" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.02, display L1.03, Spain)" devices ())
(name "strxt_uk" year "2000" manufacturer "Stern" desc "Striker Xtreme (CPU 1.01, display A1.03, UK)" devices ())
(name "sttng_g7" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LG-7)" devices ())
(name "sttng_l1" year "1993" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-1)" devices ())
(name "sttng_l2" year "1993" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-2)" devices ())
(name "sttng_l3" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-3)" devices ())
(name "sttng_l5" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-5)" devices ())
(name "sttng_l7" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-7)" devices ())
(name "sttng_p4" year "1993" manufacturer "Williams" desc "Star Trek: The Next Generation (P-4)" devices ())
(name "sttng_p5" year "1993" manufacturer "Williams" desc "Star Trek: The Next Generation (P-5)" devices ())
(name "sttng_p8" year "1993" manufacturer "Williams" desc "Star Trek: The Next Generation (P-8)" devices ())
(name "sttng_s7" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-7) SP1" devices ())
(name "sttng_x7" year "1994" manufacturer "Williams" desc "Star Trek: The Next Generation (LX-7 Special)" devices ())
(name "studio2" year "1977" manufacturer "RCA" desc "Studio II" devices ((name "cartridge" briefname "cart" )))
(name "stunrun" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 6)" devices ())
(name "stunrun0" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 0)" devices ())
(name "stunrun2" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 2)" devices ())
(name "stunrun2e" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 2, Europe)" devices ())
(name "stunrun3" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 3)" devices ())
(name "stunrun3e" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 3, Europe)" devices ())
(name "stunrun4" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 4)" devices ())
(name "stunrun5" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 5)" devices ())
(name "stunrune" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 5, Europe)" devices ())
(name "stunrunj" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (rev 7, Japan)" devices ())
(name "stunrunp" year "1989" manufacturer "Atari Games" desc "S.T.U.N. Runner (upright prototype)" devices ())
(name "stuntair" year "1983" manufacturer "Nuova Videotron" desc "Stunt Air" devices ())
(name "stuntcyc" year "1976" manufacturer "Atari" desc "Stunt Cycle" devices ())
(name "stvboy" year "1995" manufacturer "Akor" desc "Super TV Boy (PAL)" devices ())
(name "stvdev" year "1998" manufacturer "Sega / ALi" desc "ST-V 486 dev box PC" devices ())
(name "stwr_101" year "1992" manufacturer "Data East" desc "Star Wars (USA 1.01, display A1.02)" devices ())
(name "stwr_101g" year "1992" manufacturer "Data East" desc "Star Wars (German 1.01, display G1.02)" devices ())
(name "stwr_102" year "1992" manufacturer "Data East" desc "Star Wars (USA 1.02, display A1.05)" devices ())
(name "stwr_102e" year "1992" manufacturer "Data East" desc "Star Wars (England 1.02, display A1.05)" devices ())
(name "stwr_103" year "1992" manufacturer "Data East" desc "Star Wars (USA 1.03, display A1.05)" devices ())
(name "stwr_103_a104" year "1992" manufacturer "Data East" desc "Star Wars (USA 1.03, display A1.04)" devices ())
(name "stwr_104" year "1992" manufacturer "Data East" desc "Star Wars (USA 1.04, display A1.05)" devices ())
(name "stwr_106" year "1992" manufacturer "Data East" desc "Star Wars (Unofficial 1.06, display A1.05)" devices ())
(name "stwr_106_a046" year "1992" manufacturer "Data East" desc "Star Wars (Unofficial 1.06, display A0.46)" devices ())
(name "stwr_106_s105" year "1992" manufacturer "Data East" desc "Star Wars (Unofficial 1.06, display S1.05)" devices ())
(name "styphp" year "2000" manufacturer "Taito" desc "Stunt Typhoon Plus (Ver 2.04 J)" devices ((name "harddisk" briefname "hard" )))
(name "sub" year "1985" manufacturer "Sigma Enterprises Inc." desc "Submarine (Sigma)" devices ())
(name "subhunt" year "1977" manufacturer "Gremlin (Taito license)" desc "Sub Hunter (Gremlin / Taito)" devices ())
(name "subhuntr" year "1979" manufacturer "Model Racing" desc "Sub Hunter (Model Racing)" devices ())
(name "submar" year "1979" manufacturer "Midway" desc "Submarine (Midway)" devices ())
(name "subroc3d" year "1982" manufacturer "Sega" desc "Subroc-3D" devices ())
(name "subs" year "1977" manufacturer "Atari" desc "Subs" devices ())
(name "subwars" year "1979" manufacturer "Tiger Electronics" desc "Sub Wars (LED version)" devices ())
(name "sucasino" year "1984" manufacturer "Data Amusement" desc "Super Casino" devices ())
(name "suchie2" year "1994" manufacturer "Jaleco" desc "Idol Janshi Suchie-Pai II (ver 1.1)" devices ())
(name "suchie2o" year "1994" manufacturer "Jaleco" desc "Idol Janshi Suchie-Pai II (ver 1.0)" devices ())
(name "suchie3" year "1999" manufacturer "Jaleco" desc "Idol Janshi Suchie-Pai 3 (Japan)" devices ())
(name "suchiesp" year "1993" manufacturer "Jaleco" desc "Idol Janshi Suchie-Pai Special (Japan)" devices ())
(name "sudelan" year "2005" manufacturer "All in 1 Products Ltd / Play Vision" desc "Carol Vorderman's Sudoku Plug & Play TV Game (All in 1 / Play Vision)" devices ())
(name "sudelan3" year "2006" manufacturer "All in 1 Products Ltd / Senario" desc "Ultimate Sudoku TV Edition 3-in-1 (All in 1 / Senario)" devices ())
(name "sudo6in1" year "200?" manufacturer "Nice Code" desc "6-in-1 Sudoku Plug & Play" devices ())
(name "sudoku2p" year "2005" manufacturer "<unknown>" desc "Sudoku TV Game (PAL, 2 players)" devices ())
(name "sudopptv" year "200?" manufacturer "Smart Planet" desc "Sudoku Plug & Play TV Game '6 Intelligent Games'" devices ())
(name "sugorotc" year "2002" manufacturer "Namco" desc "Sugorotic JAPAN (STJ1 Ver.C)" devices ((name "cdrom" briefname "cdrm" )))
(name "sugorotca" year "2002" manufacturer "Namco" desc "Sugorotic JAPAN (STJ1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "suhosong" year "1997" manufacturer "SemiCom" desc "Su Ho Seong" devices ())
(name "suikoenb" year "1995" manufacturer "Data East Corporation" desc "Suiko Enbu / Outlaws of the Lost Dynasty (JUETL 950314 V2.001)" devices ())
(name "sukuinuf" year "2004" manufacturer "Namco" desc "Quiz and Variety Suku Suku Inufuku 2 (IN2 Ver. A)" devices ())
(name "sultanw" year "200?" manufacturer "Konami" desc "Sultan's Wish (Konami Endeavour, Russia)" devices ())
(name "sumospin" year "1997" manufacturer "Aristocrat" desc "Sumo Spins (0200606V, NSW/ACT)" devices ())
(name "sun1" year "1982" manufacturer "Sun Microsystems" desc "Sun-1" devices ())
(name "sun2_120" year "1984" manufacturer "Sun Microsystems" desc "Sun 2/120" devices ())
(name "sun2_50" year "1984" manufacturer "Sun Microsystems" desc "Sun 2/50" devices ())
(name "sun3_110" year "198?" manufacturer "Sun Microsystems" desc "Sun 3/110" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun3_150" year "1985" manufacturer "Sun Microsystems" desc "Sun 3/75/140/150/160/180" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun3_260" year "198?" manufacturer "Sun Microsystems" desc "Sun 3/260/280" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun3_460" year "1989" manufacturer "Sun Microsystems" desc "Sun 3/460/470/480" devices ())
(name "sun3_50" year "198?" manufacturer "Sun Microsystems" desc "Sun 3/50" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun3_60" year "1988" manufacturer "Sun Microsystems" desc "Sun 3/60" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun3_80" year "1989" manufacturer "Sun Microsystems" desc "Sun 3/80" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk" briefname "flop" )))
(name "sun3_e" year "198?" manufacturer "Sun Microsystems" desc "Sun 3/E" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_110" year "198?" manufacturer "Sun Microsystems" desc "Sun 4/110" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_20" year "199?" manufacturer "Sun Microsystems" desc "SPARCstation SLC (Sun 4/20)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_25" year "1992" manufacturer "Sun Microsystems" desc "SPARCstation ELC (Sun 4/25)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_300" year "1987" manufacturer "Sun Microsystems" desc "Sun 4/3x0" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_40" year "1990" manufacturer "Sun Microsystems" desc "SPARCstation IPC (Sun 4/40)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_400" year "198?" manufacturer "Sun Microsystems" desc "Sun 4/4x0" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_50" year "1991" manufacturer "Sun Microsystems" desc "SPARCstation IPX (Sun 4/50)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_60" year "1989" manufacturer "Sun Microsystems" desc "SPARCstation 1 (Sun 4/60)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_65" year "1990" manufacturer "Sun Microsystems" desc "SPARCstation 1+ (Sun 4/65)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun4_75" year "1990" manufacturer "Sun Microsystems" desc "SPARCstation 2 (Sun 4/75)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun_s10" year "1992" manufacturer "Sun Microsystems" desc "SPARCstation 10 (Sun S10)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sun_s20" year "1994" manufacturer "Sun Microsystems" desc "SPARCstation 20" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "sunaq" year "1994" manufacturer "SunA" desc "SunA Quiz 6000 Academy (940620-6)" devices ())
(name "sundance" year "1979" manufacturer "Cinematronics" desc "Sundance" devices ())
(name "sunmonbb" year "200?" manufacturer "Aristocrat" desc "Sun & Moon - Bank Buster (0153028, US)" devices ())
(name "sunmoon" year "2003" manufacturer "Aristocrat" desc "Sun & Moon (0251303, US)" devices ())
(name "sunmoona" year "2003" manufacturer "Aristocrat" desc "Sun & Moon (0151303, US)" devices ())
(name "sunqndol" year "2003" manufacturer "Aristocrat" desc "Sun Queen - Dollar Storm (0451327, US)" devices ())
(name "suntac303" year "198?" manufacturer "<unknown>" desc "286 motherboards with Suntac ST62C303-A chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "suntac6" year "199?" manufacturer "<unknown>" desc "286 motherboards with 6-chip SUNTAC chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "supbtime" year "1990" manufacturer "Data East Corporation" desc "Super Burger Time (World, set 1)" devices ())
(name "supbtimea" year "1990" manufacturer "Data East Corporation" desc "Super Burger Time (World, set 2)" devices ())
(name "supbtimej" year "1990" manufacturer "Data East Corporation" desc "Super Burger Time (Japan)" devices ())
(name "supcrash" year "1979" manufacturer "bootleg (VGG)" desc "Super Crash (bootleg of Head On)" devices ())
(name "supdrapo" year "1983" manufacturer "Valadon Automation (Stern Electronics license)" desc "Super Draw Poker (set 1)" devices ())
(name "supdrapoa" year "1983" manufacturer "Valadon Automation / Jeutel" desc "Super Draw Poker (set 2)" devices ())
(name "supdrapob" year "1983" manufacturer "bootleg" desc "Super Draw Poker (bootleg)" devices ())
(name "supduck" year "1992" manufacturer "Comad" desc "Super Duck" devices ())
(name "super21" year "1978" manufacturer "Mirco Games" desc "Super Twenty One" devices ())
(name "super21p" year "1987" manufacturer "Public MNG" desc "Super 21" devices ())
(name "super555" year "1999" manufacturer "GMS" desc "Super 555 (English version V1.5)" devices ())
(name "super6" year "1983" manufacturer "Advanced Digital Corporation" desc "Super Six" devices ((name "floppydisk" briefname "flop" )))
(name "super7" year "199?" manufacturer "bootleg" desc "Super Seven" devices ())
(name "super80" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (V1.2)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "super80d" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (V2.2)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "super80e" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (El Graphix 4)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "super80m" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (with colour)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "super80r" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (with VDUEB)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "super80v" year "1981" manufacturer "Dick Smith Electronics" desc "Super-80 (with enhanced VDUEB)" devices ((name "printout" briefname "prin" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "super9" year "2001" manufacturer "Playmark" desc "Super Nove (Playmark, Lire currency)" devices ())
(name "super97" year "1997" manufacturer "Cadillac Jack" desc "Super 97 (Ver. 1.00)" devices ())
(name "super972" year "198?" manufacturer "<unknown>" desc "Super 97-2 (Witch Bonus)" devices ())
(name "super98" year "1998" manufacturer "<unknown>" desc "Super 98 (3-hands, ICP-1)" devices ())
(name "super9a" year "2001" manufacturer "Playmark" desc "Super Nove (Playmark, Euro currency)" devices ())
(name "super9cc" year "1983" manufacturer "Fidelity Electronics" desc "Super \"9\" Sensory Chess Challenger" devices ())
(name "superabc" year "1999" manufacturer "hack (Two-Bit Score)" desc "Super ABC (Pac-Man multigame kit, Sep. 03 1999)" devices ())
(name "superabco" year "1999" manufacturer "hack (Two-Bit Score)" desc "Super ABC (Pac-Man multigame kit, Mar. 08 1999)" devices ())
(name "superb2k" year "2000?" manufacturer "Random Games" desc "Super Butterfly 2000" devices ())
(name "superbar" year "1994" manufacturer "Promat" desc "Super Bar" devices ())
(name "superbik" year "1983" manufacturer "Century Electronics" desc "Superbike" devices ())
(name "superbikg" year "1983" manufacturer "bootleg" desc "Superbike (bootleg on Galaxian hardware)" devices ())
(name "superbon" year "1985" manufacturer "Signatron USA" desc "Agent Super Bond (Super Cobra conversion, encrypted)" devices ())
(name "superbona" year "1984" manufacturer "Video Village" desc "Agent Super Bond (Super Cobra conversion, not encrypted)" devices ())
(name "superbug" year "1977" manufacturer "Atari (Kee Games)" desc "Super Bug" devices ())
(name "superbwl" year "1982" manufacturer "Greyhound Electronics" desc "Super Bowl (Version 16.03B)" devices ())
(name "superchs" year "1992" manufacturer "Taito Corporation Japan" desc "Super Chase - Criminal Termination (World)" devices ())
(name "superchsj" year "1992" manufacturer "Taito Corporation" desc "Super Chase - Criminal Termination (Japan)" devices ())
(name "superchsp" year "1992" manufacturer "Taito Corporation" desc "Super Chase - Criminal Termination (1992/10/26 20:24:29 CHASE 3 VER 1.1, prototype)" devices ())
(name "superchsp2" year "1992" manufacturer "Taito Corporation" desc "Super Chase - Criminal Termination (1992/01/18 18:29:18 CHASE 3 VER 1.3O, prototype)" devices ())
(name "superchsu" year "1992" manufacturer "Taito America Corporation" desc "Super Chase - Criminal Termination (US)" devices ())
(name "supercon" year "1984" manufacturer "Novag Industries" desc "Super Constellation" devices ())
(name "supercrd" year "1992" manufacturer "Fun World" desc "Super Card (v417, encrypted)" devices ())
(name "superdbl" year "198?" manufacturer "Karateco" desc "Super Double (French)" devices ())
(name "superdbz" year "2005" manufacturer "Banpresto / Spike" desc "Super Dragon Ball Z (DB1 Ver. B)" devices ())
(name "superdix" year "19??" manufacturer "Seeben (Belgium)" desc "Super Dixieland (Bingo)" devices ())
(name "superdq" year "1984" manufacturer "Universal" desc "Super Don Quix-ote (Long Scenes)" devices ())
(name "superdqa" year "1984" manufacturer "Universal" desc "Super Don Quix-ote (Short Scenes, Alt)" devices ())
(name "superdqs" year "1984" manufacturer "Universal" desc "Super Don Quix-ote (Short Scenes)" devices ())
(name "superg" year "1979" manufacturer "hack" desc "Super Galaxians (hack of 'Galaxian (Namco set 2)')" devices ())
(name "supergb" year "1994" manufacturer "Nintendo" desc "Super Game Boy" devices ((name "cartridge" briefname "cart" )))
(name "supergb2" year "1998" manufacturer "Nintendo" desc "Super Game Boy 2" devices ((name "cartridge" briefname "cart" )))
(name "supergm3" year "1996" manufacturer "<unknown>" desc "Super Game III" devices ())
(name "supergs" year "1979" manufacturer "hack" desc "Super Galaxians (Silver Systems)" devices ())
(name "supergx" year "1980" manufacturer "Namco / Nichibutsu" desc "Super GX" devices ())
(name "superinv" year "1978" manufacturer "bootleg" desc "Super Invaders (bootleg set 1)" devices ())
(name "superkds" year "2005" manufacturer "IGS" desc "Super Kids (S019CN)" devices ())
(name "superman" year "1988" manufacturer "Taito Corporation" desc "Superman (World)" devices ())
(name "supermanj" year "1988" manufacturer "Taito Corporation" desc "Superman (Japan)" devices ())
(name "supermanu" year "1988" manufacturer "Taito Corporation" desc "Superman (US)" devices ())
(name "supermap" year "1979" manufacturer "Atari" desc "Superman (Pinball)" devices ())
(name "superpac" year "1982" manufacturer "Namco" desc "Super Pac-Man" devices ())
(name "superpacm" year "1982" manufacturer "Namco (Bally Midway license)" desc "Super Pac-Man (Midway)" devices ())
(name "superpet" year "1981" manufacturer "Commodore Business Machines" desc "SuperPET SP-9000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "supershp" year "19??" manufacturer "bootleg" desc "Super Ship" devices ())
(name "superslv" year "1983" manufacturer "Advanced Digital Corporation" desc "Super Slave" devices ())
(name "superspy" year "1990" manufacturer "SNK" desc "The Super Spy (NGM-011 ~ NGH-011)" devices ((name "memcard" briefname "memc" ) ()))
(name "superten" year "1988" manufacturer "U.S. Games, Inc." desc "Super Ten V8.3" devices ())
(name "supertnk" year "1981" manufacturer "Video Games GmbH" desc "Super Tank" devices ())
(name "supertr" year "1985" manufacturer "Status Games" desc "Super Triv Quiz I" devices ())
(name "supertr2" year "1986" manufacturer "Status Games" desc "Super Triv II" devices ())
(name "supertr3" year "1988" manufacturer "Status Games" desc "Super Triv III" devices ())
(name "superwng" year "1985" manufacturer "Wing" desc "Super Wing" devices ())
(name "superx" year "1994" manufacturer "Dooyong (NTC license)" desc "Super-X (NTC)" devices ())
(name "superxm" year "1994" manufacturer "Dooyong (Mitchell license)" desc "Super-X (Mitchell)" devices ())
(name "supgoal" year "1998" manufacturer "Sega" desc "Nerae! Super Goal (J 981218 V1.000)" devices ())
(name "supinvsion" year "1979" manufacturer "bootleg (Electromar / Irecsa)" desc "Super Invasion (Electromar, Spanish)" devices ())
(name "supjolly" year "200?" manufacturer "<unknown>" desc "Super Jolly" devices ())
(name "suplup" year "1999" manufacturer "Omega System" desc "Super Lup Lup Puzzle / Zhuan Zhuan Puzzle (version 4.0 / 990518)" devices ())
(name "supmodel" year "1994" manufacturer "Comad & New Japan System" desc "Super Model" devices ())
(name "supmodl2" year "1997" manufacturer "Comad" desc "Super Model II" devices ())
(name "supnudg2" year "1989" manufacturer "Coinmaster" desc "Super Nudger II - P173 (Version 5.21)" devices ())
(name "supracan" year "1995" manufacturer "Funtech Entertainment" desc "Super A'Can" devices ((name "cartridge" briefname "cart" )))
(name "suprball" year "2002" manufacturer "Amcoe" desc "Super Ball (Version 1.3)" devices ())
(name "suprbowl" year "1984" manufacturer "Bell Games" desc "Super Bowl" devices ())
(name "supreme" year "201?" manufacturer "Fizz Creations" desc "Arcade Classics Mini Handheld Arcade (Supreme 150)" devices ())
(name "supremo" year "1988" manufacturer "Novag Industries" desc "Supremo" devices ())
(name "suprglob" year "1983" manufacturer "Epos Corporation" desc "Super Glob" devices ())
(name "suprgolf" year "1989" manufacturer "Nasco" desc "Super Crowns Golf (World)" devices ())
(name "suprgolfj" year "1989" manufacturer "Nasco" desc "Super Crowns Golf (Japan)" devices ())
(name "suprheli" year "1981" manufacturer "bootleg" desc "Super Heli (bootleg of Super Cobra)" devices ())
(name "suprleag" year "1987" manufacturer "Sega" desc "Super League (FD1094 317-0045)" devices ())
(name "suprloco" year "1982" manufacturer "Sega" desc "Super Locomotive (Rev.A)" devices ())
(name "suprlocoo" year "1982" manufacturer "Sega" desc "Super Locomotive" devices ())
(name "suprmatk" year "1981" manufacturer "Atari / General Computer Corporation" desc "Super Missile Attack (for rev 1)" devices ())
(name "suprmatkd" year "1981" manufacturer "Atari / General Computer Corporation" desc "Super Missile Attack (not encrypted)" devices ())
(name "suprmous" year "1982" manufacturer "Taito Corporation" desc "Super Mouse" devices ())
(name "suprmrio" year "1986" manufacturer "Nintendo" desc "Vs. Super Mario Bros. (set SM4-4 E)" devices ())
(name "suprmrioa" year "1986" manufacturer "Nintendo" desc "Vs. Super Mario Bros. (set ?, harder)" devices ())
(name "suprmriobl" year "1986" manufacturer "bootleg" desc "Vs. Super Mario Bros. (bootleg with Z80, set 1)" devices ())
(name "suprmriobl2" year "1986" manufacturer "bootleg" desc "Vs. Super Mario Bros. (bootleg with Z80, set 2)" devices ())
(name "suprnova" year "1982" manufacturer "Game Plan" desc "Super Nova (Game Plan)" devices ())
(name "suprpick" year "1977" manufacturer "Allied Leisure" desc "Super Picker" devices ())
(name "suprpokr" year "1986" manufacturer "Grayhound Electronics" desc "Super Poker (Version 10.19S)" devices ())
(name "suprpokra" year "1986" manufacturer "Grayhound Electronics" desc "Super Poker (Version 10.15S)" devices ())
(name "suprpokrb" year "1986" manufacturer "Grayhound Electronics" desc "Super Poker (Version 10.10)" devices ())
(name "suprpool" year "1998" manufacturer "ABM Games" desc "Super Pool (ver. 1.2)" devices ())
(name "suprridr" year "1983" manufacturer "Taito Corporation (Venture Line license)" desc "Super Rider" devices ())
(name "suprslam" year "1995" manufacturer "Banpresto / Toei Animation / Video System Co." desc "From TV Animation Slam Dunk - Super Slams" devices ())
(name "suprstar" year "1996" manufacturer "Amatic Trading GmbH" desc "Super Stars" devices ())
(name "suprtrio" year "1994" manufacturer "Gameace" desc "Super Trio" devices ())
(name "suprtvpc" year "2004" manufacturer "Epoch / SSD Company LTD" desc "Super TV-PC" devices ((name "cartridge" briefname "cart" )))
(name "suprtvpchk" year "200?" manufacturer "Epoch / SSD Company LTD" desc "Super TV-PC - Hello Kitty" devices ((name "cartridge" briefname "cart" )))
(name "supst834" year "1990" manufacturer "Fun World" desc "Super Stars (v834, encrypted)" devices ())
(name "supst839" year "1994" manufacturer "Fun World" desc "Super Stars (v839, encrypted)" devices ())
(name "supstarf" year "1986" manufacturer "Recreativos Franco" desc "Super Star (Recreativos Franco, set 1)" devices ())
(name "supstarfa" year "1986" manufacturer "Recreativos Franco" desc "Super Star (Recreativos Franco, set 2)" devices ())
(name "supxevs" year "1986" manufacturer "Namco" desc "Vs. Super Xevious" devices ())
(name "suratk" year "1990" manufacturer "Konami" desc "Surprise Attack (World ver. K)" devices ())
(name "suratka" year "1990" manufacturer "Konami" desc "Surprise Attack (Asia ver. L)" devices ())
(name "suratkj" year "1990" manufacturer "Konami" desc "Surprise Attack (Japan ver. M)" devices ())
(name "sureshop" year "1981" manufacturer "Taito do Brasil" desc "Sure Shot (Pinball)" devices ())
(name "sureshot" year "1985" manufacturer "SMS Manufacturing Corp." desc "Sure Shot" devices ())
(name "surfnsaf" year "1991" manufacturer "Gottlieb" desc "Surf'n Safari" devices ())
(name "surfplnt" year "1997" manufacturer "Gaelco (Atari license)" desc "Surf Planet (version 4.1)" devices ())
(name "surfplnt20" year "1997" manufacturer "Gaelco" desc "Surf Planet (version 2.0)" devices ())
(name "surfplnt30" year "1997" manufacturer "Gaelco" desc "Surf Planet (version 3.0)" devices ())
(name "surfplnt40" year "1997" manufacturer "Gaelco (Atari license)" desc "Surf Planet (version 4.0)" devices ())
(name "surpr5" year "1997" manufacturer "Cadillac Jack" desc "Surprise 5 (Ver. 1.19)" devices ())
(name "survarts" year "1993" manufacturer "Sammy" desc "Survival Arts (World)" devices ())
(name "survartsj" year "1993" manufacturer "Sammy" desc "Survival Arts (Japan)" devices ())
(name "survartsu" year "1993" manufacturer "American Sammy" desc "Survival Arts (USA)" devices ())
(name "survival" year "1982" manufacturer "Rock-Ola" desc "Survival" devices ())
(name "susanita" year "199?" manufacturer "Gaelco" desc "Susanita" devices ())
(name "sushibar" year "2003" manufacturer "Sammy" desc "Sushi Bar / Toretore! Sushi" devices ())
(name "sushimar" year "1997" manufacturer "Sigma" desc "Itazura Daisuki! Sushimaru Kun" devices ())
(name "susume" year "1996" manufacturer "Konami" desc "Susume! Taisen Puzzle-Dama (GV027 Japan 1.20)" devices ((name "cdrom" briefname "cdrm" )))
(name "sutapper" year "1983" manufacturer "Bally Midway" desc "Tapper (Suntory)" devices ())
(name "sutjarod" year "1996" manufacturer "SemiCom" desc "Sutjaro Haeyo Deluxe" devices ())
(name "suzuk8h2" year "1993" manufacturer "Namco" desc "Suzuka 8 Hours 2 (World, Rev B)" devices ())
(name "suzuk8h2j" year "1993" manufacturer "Namco" desc "Suzuka 8 Hours 2 (Japan, Rev B)" devices ())
(name "suzuka8h" year "1992" manufacturer "Namco" desc "Suzuka 8 Hours (World, Rev C)" devices ())
(name "suzuka8hj" year "1992" manufacturer "Namco" desc "Suzuka 8 Hours (Japan, Rev B)" devices ())
(name "suzume" year "1986" manufacturer "Dyna Electronics" desc "Watashiha Suzumechan (Japan)" devices ())
(name "sv1pf434" year "1992" manufacturer "IGT - International Game Technology" desc "Sovereign (1PF434A3) Fantasy" devices ())
(name "sv8000" year "1979" manufacturer "Bandai" desc "Super Vision 8000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "svc" year "2003" manufacturer "Playmore / Capcom" desc "SNK vs. Capcom - SVC Chaos (NGM-2690 ~ NGH-2690)" devices ((name "memcard" briefname "memc" ) ()))
(name "svcboot" year "2003" manufacturer "bootleg" desc "SNK vs. Capcom - SVC Chaos (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "svcpcb" year "2003" manufacturer "Playmore / Capcom" desc "SNK vs. Capcom - SVC Chaos (JAMMA PCB, set 1)" devices ())
(name "svcpcba" year "2003" manufacturer "Playmore / Capcom" desc "SNK vs. Capcom - SVC Chaos (JAMMA PCB, set 2)" devices ())
(name "svcplus" year "2003" manufacturer "bootleg" desc "SNK vs. Capcom - SVC Chaos Plus (bootleg set 1)" devices ((name "memcard" briefname "memc" ) ()))
(name "svcplusa" year "2003" manufacturer "bootleg" desc "SNK vs. Capcom - SVC Chaos Plus (bootleg set 2)" devices ((name "memcard" briefname "memc" ) ()))
(name "svcsplus" year "2003" manufacturer "bootleg" desc "SNK vs. Capcom - SVC Chaos Super Plus (bootleg)" devices ((name "memcard" briefname "memc" ) ()))
(name "svf" year "1994" manufacturer "Sega" desc "Super Visual Football: European Sega Cup (Rev A)" devices ())
(name "svfo" year "1994" manufacturer "Sega" desc "Super Visual Football: European Sega Cup" devices ())
(name "svg" year "2005" manufacturer "IGS / Idea Factory" desc "S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V200) (ARM label V200, ROM 10/11/05 S.V.G V201)" devices ())
(name "svghk" year "2005" manufacturer "IGS / Idea Factory" desc "S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V101HK) (ARM label V101HK, ROM 06/20/05 S.V.G V100)" devices ())
(name "svgpcb" year "2005" manufacturer "IGS / Idea Factory (AMI license)" desc "S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V100JP) (ARM label V100JP, ROM 05/12/05 S.V.G V100) (Japan, JAMMA PCB)" devices ())
(name "svgtw" year "2005" manufacturer "IGS / Idea Factory" desc "S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V101TW) (ARM label V101TW, ROM 06/20/05 S.V.G V100)" devices ())
(name "svi318" year "1983" manufacturer "Spectravideo" desc "SVI-318 (PAL)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "svi318n" year "1983" manufacturer "Spectravideo" desc "SVI-318 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "svi328" year "1983" manufacturer "Spectravideo" desc "SVI-328 (PAL)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "svi328n" year "1983" manufacturer "Spectravideo" desc "SVI-328 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "svi728" year "1984" manufacturer "Spectravideo" desc "SVI-728 (MSX1, International)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi728es" year "1984" manufacturer "Spectravideo" desc "SVI-728 (MSX1, Spanish)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738" year "1985" manufacturer "Spectravideo" desc "SVI-738 (MSX1, International)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738ar" year "1987" manufacturer "Spectravideo" desc "SVI-738 (MSX1, Arabic)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738dk" year "1985" manufacturer "Spectravideo" desc "SVI-738 (MSX1, Denmark, Norway)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738pl" year "1986" manufacturer "Spectravideo" desc "SVI-738 (MSX1, Poland)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738sp" year "1985" manufacturer "Spectravideo" desc "SVI-738 (MSX1, Spain)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svi738sw" year "1985" manufacturer "Spectravideo" desc "SVI-738 (MSX1, Finland, Sweden)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "svision" year "1992" manufacturer "Watara" desc "Super Vision" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "svisionn" year "1993" manufacturer "Watara" desc "Super Vision (NTSC TV Link Colored)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "svisionp" year "1993" manufacturer "Watara" desc "Super Vision (PAL TV Link Colored)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "svisions" year "1992" manufacturer "Watara" desc "Super Vision (PeT Communication Simulation)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "svmu" year "1998" manufacturer "Sega" desc "Visual Memory Unit" devices ((name "quickload" briefname "quik" )))
(name "svolley" year "1989" manufacturer "V-System Co." desc "Super Volleyball (Japan)" devices ())
(name "svolleybl" year "1991" manufacturer "bootleg" desc "Super Volleyball (bootleg)" devices ())
(name "svolleyk" year "1989" manufacturer "V-System Co." desc "Super Volleyball (Korea)" devices ())
(name "svolleyu" year "1989" manufacturer "V-System Co. (Data East license)" desc "Super Volleyball (US, Data East license)" devices ())
(name "svolleyua" year "1989" manufacturer "V-System Co." desc "Super Volleyball (US)" devices ())
(name "svolly91" year "1991" manufacturer "Video System Co." desc "Super Volley '91 (Japan)" devices ())
(name "svs" year "1994" manufacturer "Sega" desc "Super Visual Soccer: Sega Cup (US, Rev A)" devices ())
(name "swa" year "1993" manufacturer "Sega" desc "Star Wars Arcade (US)" devices ())
(name "swaj" year "1993" manufacturer "Sega" desc "Star Wars Arcade (Japan)" devices ())
(name "swarm" year "1979" manufacturer "bootleg? (Subelectro)" desc "Swarm (bootleg?)" devices ())
(name "swat" year "1984" manufacturer "Coreland / Sega" desc "SWAT (315-5048)" devices ())
(name "swatpolc" year "2001" manufacturer "ESD" desc "SWAT Police" devices ())
(name "swclone" year "2008" manufacturer "Hasbro / Tiger Electronics" desc "Star Wars - The Clone Wars" devices ())
(name "swcourt" year "1992" manufacturer "Namco" desc "Super World Court (World)" devices ())
(name "swcourtb" year "1994" manufacturer "bootleg (Playmark?)" desc "Super World Court (World, bootleg)" devices ())
(name "swcourtj" year "1992" manufacturer "Namco" desc "Super World Court (Japan)" devices ())
(name "swe1pb" year "1999" manufacturer "Midway" desc "Pinball 2000: Star Wars Episode 1" devices ((name "harddisk" briefname "hard" )))
(name "sweetgal" year "1985" manufacturer "Nichibutsu" desc "Sweet Gal (Japan 850510 SWG 1-02)" devices ())
(name "sweethrt" year "1996" manufacturer "NMK" desc "Sweetheart" devices ())
(name "sweetl" year "2004" manufacturer "Igrosoft" desc "Sweet Life (041220 World)" devices ())
(name "sweetl2" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (071217 Russia)" devices ())
(name "sweetl2_10" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (110311 Entertainment B)" devices ())
(name "sweetl2_11" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (140526 Entertainment B)" devices ())
(name "sweetl2_12" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (110411 Entertainment C)" devices ())
(name "sweetl2_2" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (080320 World)" devices ())
(name "sweetl2_2a" year "2007" manufacturer "bootleg" desc "Sweet Life 2 (bootleg, 080320, banking address hack set 1)" devices ())
(name "sweetl2_2b" year "2007" manufacturer "bootleg" desc "Sweet Life 2 (bootleg, 080320, banking address hack set 2)" devices ())
(name "sweetl2_2c" year "2007" manufacturer "bootleg" desc "Sweet Life 2 (bootleg, 080320, VIDEO GAME-1 MD01)" devices ())
(name "sweetl2_2d" year "2007" manufacturer "bootleg" desc "Sweet Life 2 (bootleg, 080320, LOTTOGAME (I))" devices ())
(name "sweetl2_3" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (090525 Lottery)" devices ())
(name "sweetl2_4" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (090812 Entertainment)" devices ())
(name "sweetl2_5" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (100408 Entertainment X)" devices ())
(name "sweetl2_6" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (101209 Entertainment N)" devices ())
(name "sweetl2_7" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (110111 Entertainment A)" devices ())
(name "sweetl2_8" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (110124 Entertainment A)" devices ())
(name "sweetl2_9" year "2007" manufacturer "Igrosoft" desc "Sweet Life 2 (110204 Entertainment A)" devices ())
(name "sweetl_2" year "2004" manufacturer "Igrosoft" desc "Sweet Life (070412 Russia)" devices ())
(name "sweetl_3" year "2004" manufacturer "Igrosoft" desc "Sweet Life (090720 Entertainment)" devices ())
(name "sweetla" year "2004" manufacturer "bootleg" desc "Sweet Life (bootleg, 041220, backdoor)" devices ())
(name "sweetlb" year "2004" manufacturer "bootleg" desc "Sweet Life (bootleg, 041220, banking address hack, changed version text)" devices ())
(name "sweetld4" year "2004" manufacturer "Namco" desc "Sweet Land 4 Bright (ver 2004.9.29)" devices ())
(name "sweetlnd" year "1986" manufacturer "Namco" desc "Sweet Land" devices ())
(name "swh2ld" year "2002" manufacturer "Aristocrat" desc "Sweethearts II - Lucky Devil (10119811, NSW/ACT)" devices ())
(name "swhr2" year "1995" manufacturer "Aristocrat" desc "Sweethearts II (0200465V, NSW/ACT)" devices ())
(name "swhr2a" year "1995" manufacturer "Aristocrat" desc "Sweethearts II (0200004V, NSW/ACT)" devices ())
(name "swhr2a6" year "2005" manufacturer "Aristocrat" desc "Sweethearts II (0151183, US)" devices ())
(name "swhr2q" year "1996" manufacturer "Aristocrat" desc "Sweethearts II (0100860V, Queensland)" devices ())
(name "swhr2u" year "1998" manufacturer "Aristocrat" desc "Sweethearts II (PHG0742-02, US)" devices ())
(name "swhr2v" year "1995" manufacturer "Aristocrat" desc "Sweethearts II (01J01986, Venezuela)" devices ())
(name "swimmer" year "1982" manufacturer "Tehkan" desc "Swimmer (set 1)" devices ())
(name "swimmera" year "1982" manufacturer "Tehkan" desc "Swimmer (set 2)" devices ())
(name "swimmerb" year "1982" manufacturer "Tehkan" desc "Swimmer (set 3)" devices ())
(name "swinggal" year "1987" manufacturer "Digital Denshi" desc "Swing Gal (Japan 871221)" devices ())
(name "swingin" year "2000" manufacturer "WMS" desc "Swingin In The Green (Russian)" devices ())
(name "swipeout" year "1978" manufacturer "bootleg (Beyer and Brown)" desc "Space Wipeout" devices ())
(name "swisspkr" year "1990" manufacturer "Golden Games / C+M Technics AG" desc "Swiss Poker ('50 SG-.10', V2.5)" devices ())
(name "swracer" year "2000" manufacturer "Sega" desc "Star Wars: Racer Arcade" devices ())
(name "swrds_l1" year "1988" manufacturer "Williams" desc "Swords of Fury (L-1)" devices ())
(name "swrds_l2" year "1988" manufacturer "Williams" desc "Swords of Fury (L-2)" devices ())
(name "swrds_lg2" year "1988" manufacturer "Williams" desc "Swords of Fury (LG-2) Germany" devices ())
(name "sws" year "1992" manufacturer "Namco" desc "Super World Stadium (Japan)" devices ())
(name "sws2000" year "2000" manufacturer "Namco" desc "Super World Stadium 2000 (Japan, SS01/VER.A)" devices ())
(name "sws2001" year "2001" manufacturer "Namco" desc "Super World Stadium 2001 (Japan, SS11/VER.A)" devices ())
(name "sws92" year "1992" manufacturer "Namco" desc "Super World Stadium '92 (Japan)" devices ())
(name "sws92g" year "1992" manufacturer "Namco" desc "Super World Stadium '92 Gekitouban (Japan)" devices ())
(name "sws93" year "1993" manufacturer "Namco" desc "Super World Stadium '93 (Japan)" devices ())
(name "sws95" year "1995" manufacturer "Namco" desc "Super World Stadium '95 (Japan)" devices ())
(name "sws96" year "1996" manufacturer "Namco" desc "Super World Stadium '96 (Japan)" devices ())
(name "sws97" year "1997" manufacturer "Namco" desc "Super World Stadium '97 (Japan)" devices ())
(name "sws98" year "1998" manufacturer "Namco" desc "Super World Stadium '98 (Japan, SS81/VER.A)" devices ())
(name "sws99" year "1999" manufacturer "Namco" desc "Super World Stadium '99 (Japan, SS91/VER.A3)" devices ())
(name "swtht2nz" year "1998" manufacturer "Aristocrat" desc "Sweethearts II (1VXFC5461, New Zealand)" devices ())
(name "swtpc" year "1977" manufacturer "Southwest Technical Products Corporation" desc "SWTPC 6800 Computer System (with SWTBUG)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "swtpc09" year "1980" manufacturer "SWTPC" desc "swtpc S/09 Sbug" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "swtpc09d3" year "1980" manufacturer "SWTPC" desc "swtpc S/09 UNIBug + DMAF3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" )))
(name "swtpc09i" year "1980" manufacturer "SWTPC" desc "swtpc S/09 Sbug + piaide" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "swtpc09o" year "1980" manufacturer "SWTPC" desc "swtpc S/09 OS9" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "swtpc09u" year "1980" manufacturer "SWTPC" desc "swtpc S/09 UNIBug + DMAF2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "swtpc8212" year "1980" manufacturer "Southwest Technical Products" desc "SWTPC 8212 Video Terminal" devices ((name "printout" briefname "prin" )))
(name "swtpcm" year "1975" manufacturer "Southwest Technical Products Corporation" desc "SWTPC 6800 Computer System (with MIKBUG)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "swtril30" year "1997" manufacturer "Sega" desc "Star Wars Trilogy (CPU 3.00, display A3.00)" devices ())
(name "swtril41" year "1997" manufacturer "Sega" desc "Star Wars Trilogy (CPU 4.01, display A4.00)" devices ())
(name "swtril43" year "1997" manufacturer "Sega" desc "Star Wars Trilogy (CPU 4.03, display A4.00)" devices ())
(name "swtrilgy" year "1998" manufacturer "Sega / LucasArts" desc "Star Wars Trilogy Arcade (Export, Revision A)" devices ())
(name "swtrilgya" year "1998" manufacturer "Sega / LucasArts" desc "Star Wars Trilogy Arcade (Export)" devices ())
(name "swtrilgyp" year "1998" manufacturer "Sega / LucasArts" desc "Star Wars Trilogy Arcade (location test, 16.09.98)" devices ())
(name "swyft" year "1985" manufacturer "Information Applicance Inc" desc "Swyft" devices ())
(name "sx100" year "1985" manufacturer "Yamaha" desc "SX-100 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "sx1010" year "1987" manufacturer "Casio" desc "SX1010" devices ())
(name "sx16" year "1988" manufacturer "Sanyo" desc "SX-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "sx240" year "1984" manufacturer "Kawai Musical Instrument Manufacturing" desc "SX-240 8-Voice Programmable Polyphonic Synthesizer" devices ())
(name "sx64" year "1984" manufacturer "Commodore Business Machines" desc "SX-64 / Executive 64 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "sx64p" year "1984" manufacturer "Commodore Business Machines" desc "SX-64 / Executive 64 (PAL)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "sx700" year "1996" manufacturer "Roland" desc "Boss SX-700 Studio Effects Processor" devices ())
(name "sxevious" year "1984" manufacturer "Namco" desc "Super Xevious" devices ())
(name "sxeviousj" year "1984" manufacturer "Namco" desc "Super Xevious (Japan)" devices ())
(name "sxyreac2" year "1999" manufacturer "Sammy" desc "Pachinko Sexy Reaction 2 (Japan)" devices ())
(name "sxyreact" year "1998" manufacturer "Sammy" desc "Pachinko Sexy Reaction (Japan)" devices ())
(name "sy012" year "199?" manufacturer "<unknown>" desc "SY-012 16/25 386MB VER: 5.2" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sy019hi" year "199?" manufacturer "Soyo" desc "SY-019H and SY-019I" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sy35" year "1992" manufacturer "Yamaha" desc "SY35 Music Synthesizer" devices ())
(name "sy888b" year "2016" manufacturer "SY Corp" desc "SY-888B 288 in 1 Handheld" devices ())
(name "sy889" year "2017" manufacturer "SY Corp" desc "SY-889 300 in 1 Handheld" devices ())
(name "sybaby386" year "199?" manufacturer "Soyo" desc "Baby AT 386" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "sym1" year "1978" manufacturer "Synertek Systems Corp." desc "SYM-1/SY-VIM-1" devices ((name "cassette" briefname "cass" )))
(name "synthex" year "1981" manufacturer "Elka" desc "Synthex" devices ())
(name "sys1121" year "1984" manufacturer "Motorola" desc "SYS1121" devices ())
(name "sys16" year "1983" manufacturer "National Semiconductor" desc "SYS16" devices ())
(name "sys1test" year "19??" manufacturer "Gottlieb" desc "System 1 Test prom" devices ())
(name "sys2900" year "1981" manufacturer "Systems Group" desc "System 2900" devices ())
(name "sys80" year "1980" manufacturer "EACA Computers Ltd" desc "System-80 (60 Hz)" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "sys80p" year "1980" manufacturer "EACA Computers Ltd" desc "System-80 (50 Hz)" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "sys9002" year "198?" manufacturer "Mannesmann Kienzle" desc "System 9002 Terminal" devices ())
(name "systec" year "19??" manufacturer "Systec" desc "Systec Z80" devices ())
(name "systel100" year "198?" manufacturer "Systel Computers" desc "System 100" devices ((name "floppydisk" briefname "flop" )))
(name "syutnori" year "1994" manufacturer "bootleg" desc "Super Yutnori (bootleg of Major Poker)" devices ())
(name "syvalion" year "1988" manufacturer "Taito Corporation" desc "Syvalion (Japan)" devices ())
(name "syvalionp" year "1988" manufacturer "Taito Corporation" desc "Syvalion (World, prototype)" devices ())
(name "syvalionu" year "1988" manufacturer "Taito America Corporation" desc "Syvalion (US, PS2 Taito Legends 2)" devices ())
(name "syvalionw" year "1988" manufacturer "Taito Corporation Japan" desc "Syvalion (World, PS2 Taito Legends 2)" devices ())
(name "sz1" year "1985" manufacturer "Casio" desc "SZ-1" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "szaxxon" year "1982" manufacturer "Sega" desc "Super Zaxxon (315-5013)" devices ())
(name "szone_l2" year "1984" manufacturer "Williams/United" desc "Strike Zone (Shuffle) (L-2)" devices ())
(name "szone_l5" year "1984" manufacturer "Williams/United" desc "Strike Zone (Shuffle) (L-5)" devices ())
(name "t1000hx" year "1987" manufacturer "Tandy Radio Shack" desc "Tandy 1000 HX" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000rl" year "1989" manufacturer "Tandy Radio Shack" desc "Tandy 1000 RL" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000sl2" year "1988" manufacturer "Tandy Radio Shack" desc "Tandy 1000 SL/2" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000sx" year "1987" manufacturer "Tandy Radio Shack" desc "Tandy 1000 SX" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000tl" year "1988" manufacturer "Tandy Radio Shack" desc "Tandy 1000 TL" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000tl2" year "1989" manufacturer "Tandy Radio Shack" desc "Tandy 1000 TL/2" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1000tx" year "1987" manufacturer "Tandy Radio Shack" desc "Tandy 1000 TX" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "t1850" year "1986" manufacturer "Tandy Corporation / SciSys / Heuristic Software" desc "1850 Deluxe Table Chess (model 60-2199)" devices ())
(name "t2000sx" year "1991" manufacturer "Toshiba" desc "T2000SX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "t2_l2" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (L-2)" devices ())
(name "t2_l3" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (L-3)" devices ())
(name "t2_l4" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (L-4)" devices ())
(name "t2_l6" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (L-6)" devices ())
(name "t2_l8" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (L-8)" devices ())
(name "t2_p2f" year "1991" manufacturer "Williams" desc "Terminator 2: Judgment Day (P-2F) Profanity" devices ())
(name "t3210" year "1986" manufacturer "Siemens" desc "Bitel T3210" devices ())
(name "t3in1sa" year "1984" manufacturer "Tandy Corporation" desc "3 in 1 Sports Arena" devices ())
(name "t3new" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display A4.00, ARM7 sound board)" devices ())
(name "t4000" year "1987" manufacturer "Tandy Radio Shack" desc "Tandy 4000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "t4426" year "1986" manufacturer "Terco AB" desc "Terco 4426 CNC Programming station" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" )))
(name "t4490" year "1986" manufacturer "Terco AB" desc "Terco 4490 Mill CNC Control" devices ())
(name "t650c" year "2002" manufacturer "Sony" desc "Clie PEG-T650C" devices ())
(name "t7000" year "1982" manufacturer "Wicat Systems" desc "T7000 Video Terminal" devices ())
(name "t7in1ss" year "1982" manufacturer "Tiger Electronics" desc "7 in 1 Sports Stadium" devices ())
(name "t9000" year "1980" manufacturer "Thomson" desc "T9000" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "ta1700pc" year "1984" manufacturer "Triumph-Adler" desc "TA 1700-PC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "tabe22" year "1986" manufacturer "Tab Products" desc "E-22 Display Terminal" devices ())
(name "tabpkr" year "1996" manufacturer "TAB Austria" desc "Royal Poker V 1.85" devices ())
(name "tacscan" year "1982" manufacturer "Sega" desc "Tac/Scan" devices ())
(name "tactcian" year "1982" manufacturer "Konami (Sega license)" desc "Tactician (set 1)" devices ())
(name "tactcian2" year "1981" manufacturer "Konami (Sega license)" desc "Tactician (set 2)" devices ())
(name "tactix" year "1980" manufacturer "Castle Toy" desc "Tactix (Castle Toy)" devices ())
(name "taddams" year "1992" manufacturer "Tiger Electronics" desc "The Addams Family (Tiger)" devices ())
(name "tadpc200" year "1986" manufacturer "Talent" desc "DPC-200 (MSX1, Argentina, Spanish keyboard)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tadpc200a" year "1988" manufacturer "Talent" desc "DPC-200A (MSX1, Argentina)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tadpc200b" year "1986" manufacturer "Talent" desc "DPC-200 (MSX1, Argentina, international keyboard)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "taf_h4" year "1992" manufacturer "Bally" desc "The Addams Family (H-4)" devices ())
(name "taf_l1" year "1992" manufacturer "Bally" desc "The Addams Family (L-1)" devices ())
(name "taf_l2" year "1992" manufacturer "Bally" desc "The Addams Family (L-2)" devices ())
(name "taf_l3" year "1992" manufacturer "Bally" desc "The Addams Family (L-3)" devices ())
(name "taf_l4" year "1992" manufacturer "Bally" desc "The Addams Family (L-4)" devices ())
(name "taf_l5" year "1992" manufacturer "Bally" desc "The Addams Family (L-5)" devices ())
(name "taf_l6" year "1992" manufacturer "Bally" desc "The Addams Family (L-6)" devices ())
(name "taf_l7" year "1992" manufacturer "Bally" desc "The Addams Family (Prototype L-5) (L-7)" devices ())
(name "taf_p2" year "1992" manufacturer "Bally" desc "The Addams Family (Prototype) (P-2)" devices ())
(name "tafg_h3" year "1994" manufacturer "Bally" desc "The Addams Family Special Collectors Edition (H-3)" devices ())
(name "tafg_la2" year "1994" manufacturer "Bally" desc "The Addams Family Special Collectors Edition (LA-2)" devices ())
(name "tafg_la3" year "1994" manufacturer "Bally" desc "The Addams Family Special Collectors Edition (LA-3)" devices ())
(name "tafg_lx3" year "1994" manufacturer "Bally" desc "The Addams Family Special Collectors Edition Gold (LX-3)" devices ())
(name "tagalaga" year "2017" manufacturer "Super Impulse" desc "Galaga (Tiny Arcade)" devices ())
(name "tagteam" year "1983" manufacturer "Technos Japan (Data East license)" desc "Tag Team Wrestling" devices ())
(name "tagteamp" year "1985" manufacturer "Gottlieb" desc "Tag-Team Wrestling" devices ())
(name "tagteamp2" year "1985" manufacturer "Gottlieb" desc "Tag-Team Wrestling (rev.2)" devices ())
(name "tagteampg" year "1985" manufacturer "Gottlieb" desc "Tag-Team Wrestling (German)" devices ())
(name "tahitim" year "2006" manufacturer "Aristocrat" desc "Tahiti Magic (10238911, NSW/ACT)" devices ())
(name "tahjong" year "1985" manufacturer "Bally Pond / Nasco" desc "Tahjong Yakitori (ver. 2-1)" devices ())
(name "taikeegr" year "2007" manufacturer "TaiKee" desc "Guitar Rock (PAL)" devices ())
(name "taiko10" year "2007" manufacturer "Namco" desc "Taiko no Tatsujin 10 (T101001-NA-A)" devices ())
(name "taiko11" year "2008" manufacturer "Namco" desc "Taiko no Tatsujin 11 (T111001-NA-A)" devices ())
(name "taiko2" year "2001" manufacturer "Namco" desc "Taiko no Tatsujin 2 (Japan, TK21 Ver.C)" devices ((name "cdrom" briefname "cdrm" )))
(name "taiko3" year "2002" manufacturer "Namco" desc "Taiko no Tatsujin 3 (Japan, TK31 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "taiko4" year "2002" manufacturer "Namco" desc "Taiko no Tatsujin 4 (Japan, TK41 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "taiko5" year "2003" manufacturer "Namco" desc "Taiko no Tatsujin 5 (Japan, TK51 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "taiko6" year "2004" manufacturer "Namco" desc "Taiko no Tatsujin 6 (Japan, TK61 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "taiko7" year "2005" manufacturer "Namco" desc "Taiko no Tatsujin 7 (TK71-NA-A)" devices ())
(name "taiko8" year "2006" manufacturer "Namco" desc "Taiko no Tatsujin 8 (TK8100-1-NA-A)" devices ())
(name "taiko9" year "2006" manufacturer "Namco" desc "Taiko no Tatsujin 9 (TK91001-NA-A)" devices ())
(name "taikodp" year "2003" manufacturer "Takara / SSD Company LTD" desc "Taiko de Popira (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "taikort" year "2004" manufacturer "Namco" desc "Taiko no Tatsujin RT: Nippon no Kokoro (Japan, TKN1 Ver.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "tail2nos" year "1989" manufacturer "V-System Co." desc "Tail to Nose - Great Championship / Super Formula" devices ())
(name "tail2nosa" year "1989" manufacturer "V-System Co." desc "Tail to Nose - Great Championship" devices ())
(name "tailg" year "1979" manufacturer "Cinematronics" desc "Tailgunner" devices ())
(name "tairyodk" year "2000" manufacturer "Namco" desc "Tairyo-Daiko 337 Byoshi" devices ())
(name "taitest" year "198?" manufacturer "Taito do Brasil" desc "Taito Test Fixture" devices ())
(name "taitons1" year "2006" manufacturer "Bandai / SSD Company LTD / Taito" desc "Let's! TV Play Classic - Taito Nostalgia 1 (Japan)" devices ())
(name "taitons2" year "2006" manufacturer "Bandai / SSD Company LTD / Taito" desc "Let's! TV Play Classic - Taito Nostalgia 2 (Japan)" devices ())
(name "taiwanmb" year "1988" manufacturer "Miki Syouji" desc "Taiwan Mahjong (Japan 881208)" devices ())
(name "tajmah" year "2002" manufacturer "Atronic" desc "Tajmahal (Russia) (Atronic)" devices ())
(name "tak_geig" year "2002" manufacturer "Takara / SSD Company LTD" desc "Geigeki Go Go Shooting (Japan)" devices ())
(name "take5" year "1975" manufacturer "Fun Games" desc "Take 5" devices ())
(name "takefive" year "1978" manufacturer "Allied Leisure" desc "Take Five" devices ())
(name "takeoff" year "1981" manufacturer "bootleg (Sidam)" desc "Take Off (bootleg of The End)" devices ())
(name "takoron" year "2006" manufacturer "Compile Heart" desc "Noukone Puzzle Takoron (Japan) (GDL-0042)" devices ((name "cdrom" briefname "cdrm" )))
(name "talbot" year "1982" manufacturer "Alpha Denshi Co. (Volt Electronics license)" desc "Talbot" devices ())
(name "talkingbb" year "1988" manufacturer "Parker Brothers" desc "Starting Lineup Talking Baseball" devices ())
(name "talkingfb" year "1989" manufacturer "Parker Brothers" desc "Superstar Lineup Talking Football" devices ())
(name "taltbeast" year "1990" manufacturer "Tiger Electronics" desc "Altered Beast (Tiger)" devices ())
(name "tam25p2" year "199?" manufacturer "AUVA" desc "TAM/25-P2 M31720P" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "tam3340ma0" year "199?" manufacturer "<unknown>" desc "TAM/33/40-MA0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "tama" year "1997" manufacturer "Bandai" desc "Tamagotchi (USA)" devices ())
(name "tandy102" year "1986" manufacturer "Tandy Radio Shack" desc "Tandy 102" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "tandy200" year "1984" manufacturer "Tandy Radio Shack" desc "Tandy 200" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "tandy2k" year "1983" manufacturer "Tandy Radio Shack" desc "Tandy 2000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "tandy2khd" year "1983" manufacturer "Tandy Radio Shack" desc "Tandy 2000HD" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "tangtang" year "2000" manufacturer "ESD" desc "Tang Tang (ver. 0526, 26/05/2000)" devices ())
(name "tank" year "1974" manufacturer "Atari/Kee" desc "Tank/Tank Cocktail" devices ())
(name "tank8" year "1976" manufacturer "Atari (Kee Games)" desc "Tank 8 (set 1)" devices ())
(name "tank8a" year "1976" manufacturer "Atari (Kee Games)" desc "Tank 8 (set 2)" devices ())
(name "tank8b" year "1976" manufacturer "Atari (Kee Games)" desc "Tank 8 (set 3)" devices ())
(name "tank8c" year "1976" manufacturer "Atari (Kee Games)" desc "Tank 8 (set 4)" devices ())
(name "tank8d" year "1976" manufacturer "Atari (Kee Games)" desc "Tank 8 (set 5)" devices ())
(name "tankbatl" year "1992" manufacturer "Microprose Games Inc." desc "Tank Battle (prototype rev. 4/21/92)" devices ())
(name "tankbatt" year "1980" manufacturer "Namco" desc "Tank Battalion" devices ())
(name "tankbattb" year "1980" manufacturer "bootleg" desc "Tank Battalion (bootleg)" devices ())
(name "tankbust" year "1985" manufacturer "Valadon Automation" desc "Tank Busters" devices ())
(name "tankfrce" year "1991" manufacturer "Namco" desc "Tank Force (US, 2 Players)" devices ())
(name "tankfrce4" year "1991" manufacturer "Namco" desc "Tank Force (US, 4 Players)" devices ())
(name "tankfrceb" year "199?" manufacturer "bootleg" desc "Tank Force (bootleg)" devices ())
(name "tankfrcej" year "1991" manufacturer "Namco" desc "Tank Force (Japan)" devices ())
(name "tankii" year "1975" manufacturer "Atari/Kee" desc "Tank II" devices ())
(name "tanodr64" year "1983" manufacturer "Dragon Data Ltd / Tano Ltd" desc "Tano Dragon 64 (NTSC)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "tanodr64h" year "19??" manufacturer "Dragon Data Ltd / Tano Ltd" desc "Tano Dragon 64 (NTSC; HD6309E)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "tantr" year "1992" manufacturer "Sega" desc "Puzzle & Action: Tant-R (Japan)" devices ())
(name "tantrbl" year "1992" manufacturer "bootleg" desc "Puzzle & Action: Tant-R (Japan) (bootleg set 1)" devices ())
(name "tantrbl2" year "1994" manufacturer "bootleg" desc "Puzzle & Action: Tant-R (Japan) (bootleg set 2)" devices ())
(name "tantrbl3" year "1994" manufacturer "bootleg" desc "Puzzle & Action: Tant-R (Japan) (bootleg set 3)" devices ())
(name "tantrbl4" year "1992" manufacturer "bootleg" desc "Puzzle & Action: Tant-R (Japan) (bootleg set 4)" devices ())
(name "tantrkor" year "1993" manufacturer "Sega" desc "Puzzle & Action: Tant-R (Korea)" devices ())
(name "taotaido" year "1993" manufacturer "Video System Co." desc "Tao Taido (2 button version)" devices ())
(name "taotaido3" year "1993" manufacturer "Video System Co." desc "Tao Taido (2/3 button version)" devices ())
(name "taotaidoa" year "1993" manufacturer "Video System Co." desc "Tao Taido (6 button version)" devices ())
(name "tapatune" year "1994" manufacturer "Moloney Manufacturing Inc. / Creative Electronics and Software" desc "Tap a Tune" devices ())
(name "tapollo13" year "1995" manufacturer "Tiger Electronics" desc "Apollo 13 (Tiger)" devices ())
(name "tapper" year "1983" manufacturer "Bally Midway" desc "Tapper (Budweiser, 1/27/84)" devices ())
(name "tappera" year "1983" manufacturer "Bally Midway" desc "Tapper (Budweiser, 1/12/84)" devices ())
(name "tapperb" year "1983" manufacturer "Bally Midway" desc "Tapper (Budweiser, 12/9/83)" devices ())
(name "tapperg" year "1983" manufacturer "Bally Midway" desc "Tapper (Budweiser, 1/27/84 - Alternate graphics)" devices ())
(name "targ" year "1980" manufacturer "Exidy" desc "Targ" devices ())
(name "targc" year "1980" manufacturer "Exidy" desc "Targ (cocktail?)" devices ())
(name "targeth" year "1994" manufacturer "Gaelco" desc "Target Hits (ver 1.1, Checksum 5152)" devices ())
(name "targeth10" year "1994" manufacturer "Gaelco" desc "Target Hits (ver 1.0, Checksum FBCB)" devices ())
(name "targetha" year "1994" manufacturer "Gaelco" desc "Target Hits (ver 1.1, Checksum 86E1)" devices ())
(name "tarzan" year "1999" manufacturer "IGS" desc "Tarzan Chuang Tian Guan (China, V109C, set 2)" devices ())
(name "tarzana" year "1999" manufacturer "IGS" desc "Tarzan (V107)" devices ())
(name "tarzanc" year "1999" manufacturer "IGS" desc "Tarzan Chuang Tian Guan (China, V109C, set 1)" devices ())
(name "tascr30" year "1995" manufacturer "Tasc" desc "ChessSystem R30 (The King 2.50)" devices ())
(name "tascr30a" year "1993" manufacturer "Tasc" desc "ChessSystem R30 (The King 2.20)" devices ())
(name "tascr30b" year "1993" manufacturer "Tasc" desc "ChessSystem R30 (The King 2.23, TM version)" devices ())
(name "tascr30g" year "1993" manufacturer "Tasc" desc "ChessSystem R30 (Gideon 3.1, prototype)" devices ())
(name "taspinv" year "2017" manufacturer "Super Impulse" desc "Space Invaders (Tiny Arcade)" devices ())
(name "tatacot" year "1995" manufacturer "Sega" desc "Tatacot (JA 951128 V1.000)" devices ())
(name "tatrain" year "1997" manufacturer "Saitek" desc "Kasparov Turbo Advanced Trainer (H8/3212 version)" devices ())
(name "tatraina" year "1992" manufacturer "Saitek" desc "Kasparov Turbo Advanced Trainer (H8/323 version)" devices ())
(name "tattack" year "1983?" manufacturer "Shonan" desc "Time Attacker" devices ())
(name "tattass" year "1994" manufacturer "Data East Pinball" desc "Tattoo Assassins (US prototype, Mar 14 1995)" devices ())
(name "tattassa" year "1994" manufacturer "Data East Pinball" desc "Tattoo Assassins (Asia prototype, Mar 14 1995)" devices ())
(name "taturtf" year "2019" manufacturer "Super Impulse" desc "Teenage Mutant Ninja Turtles - Turtle Fighter (Tiny Arcade)" devices ())
(name "taurs_l1" year "1979" manufacturer "Williams" desc "Taurus (Shuffle) (L-1)" devices ())
(name "taxi_l3" year "1988" manufacturer "Williams" desc "Taxi (Marilyn) (L-3)" devices ())
(name "taxi_l4" year "1988" manufacturer "Williams" desc "Taxi (Lola) (L-4)" devices ())
(name "taxi_lg1" year "1988" manufacturer "Williams" desc "Taxi (Marilyn) (L-1) Germany" devices ())
(name "taxi_lu1" year "1988" manufacturer "Williams" desc "Taxi (Marilyn) (LU-1)" devices ())
(name "taxi_p5" year "1988" manufacturer "Williams" desc "Taxi (P-5)" devices ())
(name "taxidriv" year "1984" manufacturer "Graphic Techno" desc "Taxi Driver" devices ())
(name "taynyoke" year "1988" manufacturer "bootleg (Elektronika)" desc "Tayny okeana" devices ())
(name "tazmani2" year "1982" manufacturer "Stern Electronics" desc "Tazz-Mania (set 2, alt hardware)" devices ())
(name "tazmani3" year "1982" manufacturer "bootleg (Arfyc / Rodmar)" desc "Tazz-Mania (Arfyc / Rodmar bootleg)" devices ())
(name "tazmania" year "1982" manufacturer "Stern Electronics" desc "Tazz-Mania (set 1)" devices ())
(name "tazmaniet" year "1982" manufacturer "bootleg (U.R.V. BBCPE)" desc "Tazz-Mania - El Trompa (U.R.V. BBCPE bootleg)" devices ())
(name "tazzmang" year "1982" manufacturer "bootleg" desc "Tazz-Mania (bootleg on Galaxian hardware)" devices ())
(name "tazzmang2" year "1982" manufacturer "bootleg" desc "Tazz-Mania (bootleg on Galaxian hardware with Starfield)" devices ())
(name "tb303" year "1982" manufacturer "Roland" desc "TB-303 Bass Line" devices ())
(name "tbasebal" year "1983" manufacturer "Alpha Denshi Co." desc "Taikyoku Base Ball" devices ())
(name "tbatfor" year "1995" manufacturer "Tiger Electronics" desc "Batman Forever: Double Dose of Doom (Tiger)" devices ())
(name "tbatman" year "1989" manufacturer "Tiger Electronics" desc "Batman (Tiger)" devices ())
(name "tbatmana" year "1992" manufacturer "Tiger Electronics" desc "Batman: The Animated Series (Tiger)" devices ())
(name "tbblue" year "2017" manufacturer "SpecNext Ltd., Victor Trucco, Fabio Belavenuto" desc "ZX Spectrum Next: TBBlue" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "harddisk" briefname "hard" )))
(name "tbbympt3" year "198?" manufacturer "Tobby" desc "Tobby MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tbeastw2" year "1998" manufacturer "Sigma / Transformer Production Company / Takara" desc "Transformers Beast Wars II" devices ())
(name "tblkkuzu" year "2000" manufacturer "Tamsoft / D3 Publisher" desc "The Block Kuzushi (Japan)" devices ())
(name "tbonusal" year "1995" manufacturer "Subsino (American Alpha license)" desc "Treasure Bonus (American Alpha, Ver. 1.6)" devices ())
(name "tbowl" year "1987" manufacturer "Tecmo" desc "Tecmo Bowl (World, set 1)" devices ())
(name "tbowla" year "1987" manufacturer "Tecmo" desc "Tecmo Bowl (World, set 2)" devices ())
(name "tbowlj" year "1987" manufacturer "Tecmo" desc "Tecmo Bowl (Japan)" devices ())
(name "tbowlp" year "1987" manufacturer "Tecmo" desc "Tecmo Bowl (World, prototype?)" devices ())
(name "tbreakup" year "1979" manufacturer "Tomy" desc "Break Up (Tomy)" devices ())
(name "tbtoads" year "1991" manufacturer "Tiger Electronics" desc "Battletoads (Tiger)" devices ())
(name "tbttf" year "1992" manufacturer "Tiger Electronics" desc "Back to the Future (Tiger)" devices ())
(name "tbyahhoo" year "1995" manufacturer "Konami" desc "Twin Bee Yahhoo! (ver JAA)" devices ())
(name "tc2048" year "1984" manufacturer "Timex of Portugal" desc "TC-2048" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "tc4" year "1981" manufacturer "Coleco" desc "Total Control 4" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tc7atc" year "1981" manufacturer "Bandai" desc "TC7: Air Traffic Control" devices ())
(name "tcarnavi" year "2003" manufacturer "Tomy / SSD Company LTD" desc "Tomica Carnavi Drive (Japan)" devices ())
(name "tcaveman" year "1982" manufacturer "Tomy" desc "Caveman (Tomy)" devices ())
(name "tccombat" year "1980" manufacturer "Tomy" desc "Cosmic Combat" devices ())
(name "tccosmos" year "198?" manufacturer "Mobilar?" desc "Tele-Computer Cosmos" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tceptor" year "1986" manufacturer "Namco" desc "Thunder Ceptor" devices ())
(name "tceptor2" year "1986" manufacturer "Namco" desc "3-D Thunder Ceptor II" devices ())
(name "tcfball" year "1980" manufacturer "Tandy Corporation" desc "Championship Football (model 60-2150)" devices ())
(name "tcfballa" year "1980" manufacturer "Tandy Corporation" desc "Championship Football (model 60-2151)" devices ())
(name "tcfboxa" year "2009" manufacturer "Sega" desc "Triforce Firmware Update For Compact Flash Box (4.01) (GDT-0022A)" devices ((name "cdrom" briefname "cdrm" )))
(name "tchess" year "1981" manufacturer "Tryom" desc "Electronic Chess (Tryom)" devices ())
(name "tcl" year "1995" manufacturer "Uniwang" desc "Taiwan Chess Legend" devices ())
(name "tcobra2" year "1995" manufacturer "Taito Corporation Japan" desc "Twin Cobra II (Ver 2.1O 1995/11/30)" devices ())
(name "tcobra2u" year "1995" manufacturer "Taito America Corporation" desc "Twin Cobra II (Ver 2.1A 1995/11/30)" devices ())
(name "td4ipaio" year "199?" manufacturer "<unknown>" desc "TD-4IP-UMC-AIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "td60c" year "198?" manufacturer "<unknown>" desc "TD60C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "td70a" year "199?" manufacturer "<unknown>" desc "TD70A and TD70AN" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "td70n" year "199?" manufacturer "<unknown>" desc "TD70N" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "td831" year "1976" manufacturer "Burroughs" desc "TD 831" devices ())
(name "tdawg_l1" year "1987" manufacturer "Williams" desc "Top Dawg (Shuffle) (L-1)" devices ())
(name "tdbingo" year "1995" manufacturer "Konami" desc "Trio de Bingo" devices ())
(name "tddragon" year "1988" manufacturer "Tiger Electronics" desc "Double Dragon (Tiger)" devices ())
(name "tddragon2" year "1990" manufacturer "Tiger Electronics" desc "Double Dragon II: The Revenge (Tiger)" devices ())
(name "tddragon3" year "1991" manufacturer "Tiger Electronics" desc "Double Dragon 3: The Rosetta Stone (Tiger)" devices ())
(name "tdennis" year "1993" manufacturer "Tiger Electronics" desc "Dennis the Menace (Tiger)" devices ())
(name "tdfever" year "1987" manufacturer "SNK" desc "TouchDown Fever (US)" devices ())
(name "tdfever2" year "1988" manufacturer "SNK" desc "TouchDown Fever 2" devices ())
(name "tdfever2b" year "1988" manufacturer "bootleg" desc "TouchDown Fever 2 (bootleg)" devices ())
(name "tdfeverj" year "1987" manufacturer "SNK" desc "TouchDown Fever (Japan)" devices ())
(name "tdoboon" year "2000" manufacturer "Sammy" desc "Taihou de Doboon" devices ())
(name "tdpgal" year "1983" manufacturer "Design Labs / Thomas Automatics" desc "Triple Draw Poker" devices ())
(name "tdracula" year "1982" manufacturer "Tsukuda" desc "The Dracula (Tsukuda)" devices ())
(name "tdragon" year "1991" manufacturer "NMK (Tecmo license)" desc "Thunder Dragon (8th Jan. 1992, unprotected)" devices ())
(name "tdragon1" year "1991" manufacturer "NMK (Tecmo license)" desc "Thunder Dragon (4th Jun. 1991, protected)" devices ())
(name "tdragon2" year "1993" manufacturer "NMK" desc "Thunder Dragon 2 (9th Nov. 1993)" devices ())
(name "tdragon2a" year "1993" manufacturer "NMK" desc "Thunder Dragon 2 (1st Oct. 1993)" devices ())
(name "tdragon3h" year "1996" manufacturer "bootleg (Conny Co Ltd.)" desc "Thunder Dragon 3 (bootleg of Thunder Dragon 2)" devices ())
(name "tdragonb" year "1991" manufacturer "bootleg" desc "Thunder Dragon (bootleg with Raiden sounds, encrypted)" devices ())
(name "tdragonb2" year "1991" manufacturer "bootleg" desc "Thunder Dragon (bootleg with reduced sound system)" devices ())
(name "tdragonb3" year "1991" manufacturer "bootleg" desc "Thunder Dragon (bootleg with Raiden sounds, unencrypted)" devices ())
(name "tdummies" year "1993" manufacturer "Tiger Electronics" desc "The Incredible Crash Dummies (Tiger)" devices ())
(name "tduno" year "1999" manufacturer "Sega" desc "Touch de Uno! / Unou Nouryoku Check Machine (Japan)" devices ())
(name "tduno2" year "2000" manufacturer "Sega" desc "Touch de Uno! 2 (Japan)" devices ())
(name "tdv2115l" year "1976" manufacturer "Tandberg" desc "TDV-2115L" devices ())
(name "tdv2324" year "1983" manufacturer "Tandberg" desc "TDV 2324" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "te0144" year "2001" manufacturer "<unknown>" desc "Puzzle Bobble (Italian gambling game)" devices ())
(name "teamht" year "1985" manufacturer "Bally/Sente" desc "Team Hat Trick (11/16/84)" devices ())
(name "teammate" year "1978" manufacturer "Logix" desc "Teammate Game Computer" devices ())
(name "teamqb" year "1988" manufacturer "Leland Corporation" desc "John Elway's Team Quarterback (rev 3)" devices ())
(name "teamqb2" year "1988" manufacturer "Leland Corporation" desc "John Elway's Team Quarterback (rev 2)" devices ())
(name "tec1" year "1984" manufacturer "Talking Electronics magazine" desc "TEC-1" devices ())
(name "techbowl" year "1997" manufacturer "Sega" desc "Technical Bowling (J 971212 V1.000)" devices ())
(name "techni4" year "201?" manufacturer "Technigame" desc "Technigame Super 4-in-1 Sports (PAL)" devices ())
(name "technodr" year "1998" manufacturer "Namco" desc "Techno Drive (Japan, TH1/VER.B)" devices ())
(name "technox" year "1995" manufacturer "Quasimidi Musikelektronik GmbH" desc "TechnoX" devices ())
(name "techromn" year "1998" manufacturer "Capcom" desc "Tech Romancer (Europe 980914)" devices ())
(name "techromna" year "1998" manufacturer "Capcom" desc "Tech Romancer (Asia 980914)" devices ())
(name "techromnu" year "1998" manufacturer "Capcom" desc "Tech Romancer (USA 980914)" devices ())
(name "tecjmon" year "1984" manufacturer "Talking Electronics magazine" desc "TEC-1A with JMON" devices ((name "cassette" briefname "cass" )))
(name "tecnbras" year "200?" manufacturer "Tecnbras" desc "Dot Matrix Display (70x7 pixels)" devices ())
(name "tecnodar" year "1991" manufacturer "Automatics Pasqual" desc "Tecnodarts" devices ())
(name "tecnodargr" year "1991" manufacturer "Automatics Pasqual / Recreativos G.R." desc "Tecnodarts (Recreativos G.R. license)" devices ())
(name "teddybb" year "1985" manufacturer "Sega" desc "TeddyBoy Blues (315-5115, New Ver.)" devices ())
(name "teddybbo" year "1985" manufacturer "Sega" desc "TeddyBoy Blues (315-5115, Old Ver.)" devices ())
(name "teddybboa" year "1985" manufacturer "Sega" desc "TeddyBoy Blues (315-5111, Old Ver.)" devices ())
(name "teddybbobl" year "1985" manufacturer "bootleg" desc "TeddyBoy Blues (Old Ver. bootleg)" devices ())
(name "teedoff" year "1987" manufacturer "Tecmo" desc "Tee'd Off (World)" devices ())
(name "teedoffj" year "1986" manufacturer "Tecmo" desc "Tee'd Off (Japan)" devices ())
(name "teedoffp" year "1993" manufacturer "Gottlieb" desc "Tee'd Off (pinball, rev.3)" devices ())
(name "teedoffp0" year "1993" manufacturer "Gottlieb" desc "Tee'd Off (pinball)" devices ())
(name "teedoffp1" year "1993" manufacturer "Gottlieb" desc "Tee'd Off (pinball, rev.1)" devices ())
(name "teetert" year "1982" manufacturer "Exidy" desc "Teeter Torture (prototype)" devices ())
(name "tehkanwc" year "1985" manufacturer "Tehkan" desc "Tehkan World Cup (set 1)" devices ())
(name "tehkanwcb" year "1985" manufacturer "Tehkan" desc "Tehkan World Cup (set 2, bootleg?)" devices ())
(name "tehkanwcc" year "1985" manufacturer "bootleg" desc "Tehkan World Cup (set 3, bootleg)" devices ())
(name "tehkanwcd" year "1985" manufacturer "Tehkan" desc "Tehkan World Cup (set 4, earlier)" devices ())
(name "tehkanwch" year "1986" manufacturer "hack" desc "Tehkan World Cup (1986 year hack)" devices ())
(name "tek4051" year "1975" manufacturer "Tektronix" desc "Tektronix 4051" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "tek4052a" year "1978" manufacturer "Tektronix" desc "Tektronix 4052A" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" )))
(name "tek4107a" year "1983" manufacturer "Tektronix" desc "Tektronix 4107A" devices ())
(name "tek4109a" year "1983" manufacturer "Tektronix" desc "Tektronix 4109A" devices ())
(name "tek4132" year "1984" manufacturer "Tektronix" desc "4132" devices ((name "harddisk" briefname "hard" )))
(name "tek4319" year "1988" manufacturer "Tektronix" desc "4319 Graphics Workstation" devices ())
(name "tek4404" year "1984" manufacturer "Tektronix" desc "4404 Artificial Intelligence System" devices ((name "harddisk" briefname "hard" ) (name "floppydisk" briefname "flop" )))
(name "tek6130" year "1984" manufacturer "Tektronix" desc "6130" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "tekipaki" year "1991" manufacturer "Toaplan" desc "Teki Paki" devices ())
(name "tekipakit" year "1991" manufacturer "Toaplan" desc "Teki Paki (location test)" devices ())
(name "tekken" year "1994" manufacturer "Namco" desc "Tekken (World, TE2/VER.C)" devices ())
(name "tekken2" year "1996" manufacturer "Namco" desc "Tekken 2 Ver.B (World, TES2/VER.D)" devices ())
(name "tekken2a" year "1995" manufacturer "Namco" desc "Tekken 2 (World, TES2/VER.A)" devices ())
(name "tekken2b" year "1995" manufacturer "Namco" desc "Tekken 2 Ver.B (World, TES2/VER.B)" devices ())
(name "tekken2jb" year "1995" manufacturer "Namco" desc "Tekken 2 Ver.B (Japan, TES1/VER.B)" devices ())
(name "tekken2jc" year "1995" manufacturer "Namco" desc "Tekken 2 Ver.B (Japan, TES1/VER.C)" devices ())
(name "tekken2ua" year "1995" manufacturer "Namco" desc "Tekken 2 (US, TES3/VER.A)" devices ())
(name "tekken2ub" year "1995" manufacturer "Namco" desc "Tekken 2 Ver.B (US, TES3/VER.B)" devices ())
(name "tekken2ud" year "1996" manufacturer "Namco" desc "Tekken 2 Ver.B (US, TES3/VER.D)" devices ())
(name "tekken3" year "1996" manufacturer "Namco" desc "Tekken 3 (World, TET2/VER.E1)" devices ())
(name "tekken3a" year "1996" manufacturer "Namco" desc "Tekken 3 (World, TET2/VER.A)" devices ())
(name "tekken3b" year "1996" manufacturer "Namco" desc "Tekken 3 (World, TET2/VER.B)" devices ())
(name "tekken3c" year "1996" manufacturer "Namco" desc "Tekken 3 (World, TET2/VER.C)" devices ())
(name "tekken3d" year "1996" manufacturer "Namco" desc "Tekken 3 (World, TET2/VER.D)" devices ())
(name "tekken3ja" year "1996" manufacturer "Namco" desc "Tekken 3 (Japan, TET1/VER.A)" devices ())
(name "tekken3je1" year "1996" manufacturer "Namco" desc "Tekken 3 (Japan, TET1/VER.E1)" devices ())
(name "tekken3ua" year "1996" manufacturer "Namco" desc "Tekken 3 (US, TET3/VER.A)" devices ())
(name "tekken3ud" year "1996" manufacturer "Namco" desc "Tekken 3 (US, TET3/VER.D)" devices ())
(name "tekken4" year "2001" manufacturer "Namco" desc "Tekken 4 (TEF3 Ver. C)" devices ())
(name "tekken4a" year "2001" manufacturer "Namco" desc "Tekken 4 (TEF2 Ver. A)" devices ())
(name "tekken4b" year "2001" manufacturer "Namco" desc "Tekken 4 (TEF1 Ver. A)" devices ())
(name "tekken4c" year "2001" manufacturer "Namco" desc "Tekken 4 (TEF1 Ver. C)" devices ())
(name "tekken51" year "2005" manufacturer "Namco" desc "Tekken 5.1 (TE51 Ver. B)" devices ())
(name "tekken51b" year "2005" manufacturer "Namco" desc "Tekken 5.1 (TE53 Ver. B)" devices ())
(name "tekken5d" year "2005" manufacturer "Namco" desc "Tekken 5 Dark Resurrection (TED1 Ver. A)" devices ())
(name "tekkenac" year "1994" manufacturer "Namco" desc "Tekken (Asia, TE4/VER.C)" devices ())
(name "tekkenb" year "1994" manufacturer "Namco" desc "Tekken (World, TE2/VER.B)" devices ())
(name "tekkenbs" year "1998" manufacturer "Namco" desc "Tekken Battle Scratch" devices ())
(name "tekkencw" year "1997" manufacturer "Namco" desc "Tekken Card World" devices ())
(name "tekkenjb" year "1994" manufacturer "Namco" desc "Tekken (Japan, TE1/VER.B)" devices ())
(name "tektagt" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (World, TEG2/VER.C1, set 1)" devices ())
(name "tektagtc1" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (World, TEG2/VER.C1, set 2)" devices ())
(name "tektagtja" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (Japan, TEG1/VER.A3)" devices ())
(name "tektagtjb" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (Japan, TEG1/VER.B)" devices ())
(name "tektagtjc1" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (Japan, TEG1/VER.C1)" devices ())
(name "tektagtub" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (US, TEG3/VER.B)" devices ())
(name "tektagtuc1" year "1999" manufacturer "Namco" desc "Tekken Tag Tournament (US, TEG3/VER.C1)" devices ())
(name "tekxp330" year "1992" manufacturer "Tektronix" desc "TekXpress XP330" devices ())
(name "telefevr" year "198?" manufacturer "Tchibo" desc "Tele-Fever" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "teleguide" year "1992" manufacturer "Loewe / Televerket" desc "Teleguide" devices ())
(name "teleray10" year "1978" manufacturer "Research Inc." desc "Teleray Model 10" devices ())
(name "telestry" year "2006" manufacturer "JAKKS Pacific Inc / Toymax" desc "Telestory" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "teletup" year "2000" manufacturer "Alcatel / Telefonica" desc "TeleTUP" devices ())
(name "telex1192" year "1989" manufacturer "Memorex Telex" desc "Telex 1192" devices ())
(name "telex274" year "1986" manufacturer "Telex Computer Products" desc "Telex 274-61C Sixteen Station Control Unit" devices ())
(name "telex277d" year "1979" manufacturer "Telex Computer Products" desc "Telex 277-D Display Terminal (Model 2)" devices ())
(name "teljan" year "1999" manufacturer "Electro Design" desc "Tel Jan" devices ())
(name "telmahjn" year "1988" manufacturer "Nichibutsu" desc "Telephone Mahjong (Japan 890111)" devices ())
(name "telngtcs" year "1979" manufacturer "Teleng" desc "Teleng Television Computer System" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "telpacfl" year "1996" manufacturer "Sunsoft" desc "TelePachi Fever Lion (V1.0)" devices ())
(name "telstrat" year "1986" manufacturer "Tangerine" desc "Oric Telestrat" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" )))
(name "tempest" year "1980" manufacturer "Atari" desc "Tempest (rev 3, Revised Hardware)" devices ())
(name "tempest1" year "1980" manufacturer "Atari" desc "Tempest (rev 1)" devices ())
(name "tempest1r" year "1980" manufacturer "Atari" desc "Tempest (rev 1, Revised Hardware)" devices ())
(name "tempest2" year "1980" manufacturer "Atari" desc "Tempest (rev 2)" devices ())
(name "tempest3" year "1980" manufacturer "Atari" desc "Tempest (rev 3)" devices ())
(name "tempestm" year "198?" manufacturer "Tempest" desc "Tempest MPT-03" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "temptube" year "1980" manufacturer "hack (Duncan Brown)" desc "Tempest Tubes" devices ())
(name "tenballs" year "1997" manufacturer "<unknown>" desc "Ten Balls (Ver 1.05)" devices ())
(name "tengai" year "1996" manufacturer "Psikyo" desc "Tengai (World)" devices ())
(name "tengaij" year "1996" manufacturer "Psikyo" desc "Sengoku Blade: Sengoku Ace Episode II (Japan) / Tengai (World)" devices ())
(name "tenkai" year "1991" manufacturer "Dynax" desc "Mahjong Tenkaigen (Japan)" devices ())
(name "tenkai2b" year "1991" manufacturer "bootleg" desc "Mahjong Tenkaigen Part 2 (bootleg)" devices ())
(name "tenkaibb" year "1991" manufacturer "bootleg" desc "Mahjong Tenkaigen (Japan bootleg b)" devices ())
(name "tenkaicb" year "1991" manufacturer "bootleg" desc "Mahjong Tenkaigen (Japan bootleg c)" devices ())
(name "tenkaie" year "1991" manufacturer "Dynax" desc "Mahjong Tenkaigen (Japan set 2)" devices ())
(name "tenkomor" year "1998" manufacturer "Namco" desc "Tenkomori Shooting (World, TKM2/VER.A1)" devices ())
(name "tenkomorja" year "1998" manufacturer "Namco" desc "Tenkomori Shooting (Japan, TKM1/VER.A1)" devices ())
(name "tenpindx" year "1983" manufacturer "Dave Nutting Associates / Bally Midway" desc "Ten Pin Deluxe" devices ())
(name "tenspot" year "1982" manufacturer "Thomas Automatics" desc "Ten Spot" devices ())
(name "tenstrikc" year "2003" manufacturer "Benchmark Games, Inc." desc "Ten Strike Classic" devices ())
(name "tenthdeg" year "1998" manufacturer "Atari Games" desc "Tenth Degree (prototype)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "tenup" year "1988" manufacturer "JPM" desc "Ten Up" devices ((name "floppydisk" briefname "flop" )))
(name "teqsun" year "1993" manufacturer "Aristocrat" desc "Tequila Sunrise (1VXFC613, NSW)" devices ())
(name "terabrst" year "1998" manufacturer "Konami" desc "Teraburst (1998/07/17 ver UEL)" devices ())
(name "terabrsta" year "1998" manufacturer "Konami" desc "Teraburst (1998/07/17 ver HEL)" devices ())
(name "terabrstaa" year "1998" manufacturer "Konami" desc "Teraburst (1998/02/25 ver HAA)" devices ())
(name "terabrstj" year "1998" manufacturer "Konami" desc "Teraburst (1998/07/17 ver JEL)" devices ())
(name "terabrstja" year "1998" manufacturer "Konami" desc "Teraburst (1998/02/25 ver JAA)" devices ())
(name "terabrstua" year "1998" manufacturer "Konami" desc "Teraburst (1998/02/25 ver UAA)" devices ())
(name "teradrive" year "1991" manufacturer "Sega / International Business Machines" desc "TeraDrive (Japan)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "terak" year "1977" manufacturer "Terak" desc "Terak 8510A" devices ())
(name "term2" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (rev LA4 08/03/92)" devices ())
(name "term2la1" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (rev LA1 11/01/91)" devices ())
(name "term2la2" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (rev LA2 12/09/91)" devices ())
(name "term2la3" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (rev LA3 03/27/92)" devices ())
(name "term2lg1" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (German, rev LG1 11/04/91)" devices ())
(name "term2pa2" year "1991" manufacturer "Midway" desc "Terminator 2 - Judgment Day (prototype, rev PA2 10/18/91)" devices ())
(name "term3" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display A4.00)" devices ())
(name "term3_205" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 2.05, display A2.01)" devices ())
(name "term3_301" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 3.01, display A3.00)" devices ())
(name "term3f" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display F4.00, France)" devices ())
(name "term3f_205" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 2.05, display F2.01, France)" devices ())
(name "term3f_301" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 3.01, display F3.00, France)" devices ())
(name "term3g" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display G4.00, Germany)" devices ())
(name "term3g_301" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 3.01, display G3.00, Germany)" devices ())
(name "term3i" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display I4.00, Italy)" devices ())
(name "term3i_205" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 2.05, display I2.01, Italy)" devices ())
(name "term3i_301" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 3.01, display I3.00, Italy)" devices ())
(name "term3l" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 4.00, display L4.00, Spain)" devices ())
(name "term3l_205" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 2.05, display L2.01, Spain)" devices ())
(name "term3l_301" year "2003" manufacturer "Stern" desc "Terminator 3: Rise of the Machines (CPU 3.01, display L3.00, Spain)" devices ())
(name "terracre" year "1985" manufacturer "Nichibutsu" desc "Terra Cresta (YM3526 set 1)" devices ())
(name "terracrea" year "1985" manufacturer "Nichibutsu" desc "Terra Cresta (YM3526 set 3)" devices ())
(name "terracren" year "1985" manufacturer "Nichibutsu" desc "Terra Cresta (YM2203)" devices ())
(name "terracreo" year "1985" manufacturer "Nichibutsu" desc "Terra Cresta (YM3526 set 2)" devices ())
(name "terraf" year "1987" manufacturer "Nichibutsu" desc "Terra Force" devices ())
(name "terrafb" year "1987" manufacturer "bootleg" desc "Terra Force (Japan, bootleg set 2)" devices ())
(name "terrafj" year "1987" manufacturer "Nichibutsu Japan" desc "Terra Force (Japan)" devices ())
(name "terrafjb" year "1987" manufacturer "bootleg" desc "Terra Force (Japan, bootleg with additional Z80)" devices ())
(name "terrafu" year "1987" manufacturer "Nichibutsu USA" desc "Terra Force (US)" devices ())
(name "terrafua" year "1987" manufacturer "Nichibutsu USA" desc "Terra Force (US, alternate sound)" devices ())
(name "terrlake" year "1987" manufacturer "Sport Matic" desc "Terrific Lake" devices ())
(name "tesa6240" year "1984" manufacturer "Tesa Etikett" desc "Etikettendrucker 6240" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "tesorone" year "1995" manufacturer "Subsino" desc "Tesorone Dell'Isola (Italy, v2.41)" devices ())
(name "tesorone230" year "1995" manufacturer "Subsino" desc "Tesorone Dell'Isola (Italy, v2.30)" devices ())
(name "tesorone240" year "1995" manufacturer "Subsino" desc "Tesorone Dell'Isola (Italy, v2.40)" devices ())
(name "test410" year "2008" manufacturer "T400 uController project" desc "T410 test suite" devices ())
(name "test420" year "2008" manufacturer "T400 uController project" desc "T420 test suite" devices ())
(name "tetfight" year "2001" manufacturer "Sego" desc "Tetris Fighters" devices ())
(name "tetgiano" year "2009" manufacturer "Sega" desc "Tetris Giant / Tetris Dekaris (MDA-C0076)" devices ())
(name "tetgiant" year "2009" manufacturer "Sega" desc "Tetris Giant / Tetris Dekaris (Ver.2.000)" devices ())
(name "tetkiwam" year "2004" manufacturer "Success" desc "Tetris Kiwamemichi (Japan) (GDL-0020)" devices ((name "cdrom" briefname "cdrm" )))
(name "tetrbx" year "2006" manufacturer "bootleg (ISG)" desc "Tetris / Bloxeed (Korean System 16 bootleg) (ISG Selection Master Type 2006)" devices ())
(name "tetris" year "1988" manufacturer "Sega" desc "Tetris (set 4, Japan, System 16A) (FD1094 317-0093)" devices ())
(name "tetris1" year "1988" manufacturer "Sega" desc "Tetris (set 1, Japan, System 16B) (FD1094 317-0091)" devices ())
(name "tetris1d" year "1988" manufacturer "bootleg" desc "Tetris (set 1, Japan, System 16B) (bootleg of FD1094 317-0091 set)" devices ())
(name "tetris2" year "1988" manufacturer "Sega" desc "Tetris (set 2, Japan, System 16B) (FD1094 317-0092)" devices ())
(name "tetris2d" year "1988" manufacturer "bootleg" desc "Tetris (set 2, Japan, System 16B) (bootleg of FD1094 317-0092 set)" devices ())
(name "tetris3" year "1988" manufacturer "Sega" desc "Tetris (set 3, Japan, System 16A) (FD1094 317-0093a)" devices ())
(name "tetris3d" year "1988" manufacturer "bootleg" desc "Tetris (set 3, Japan, System 16A) (bootleg of FD1094 317-0093a set)" devices ())
(name "tetrisbl" year "1988" manufacturer "bootleg" desc "Tetris (bootleg)" devices ())
(name "tetrisd" year "1988" manufacturer "bootleg" desc "Tetris (set 4, Japan, System 16A) (bootleg of FD1094 317-0093 set)" devices ())
(name "tetriskr" year "1988?" manufacturer "bootleg" desc "Tetris (Korean bootleg of Mirrorsoft PC-XT Tetris)" devices ())
(name "tetrisp" year "1995" manufacturer "Jaleco / BPS" desc "Tetris Plus (ver 1.0)" devices ())
(name "tetrisp2" year "1997" manufacturer "Jaleco / The Tetris Company" desc "Tetris Plus 2 (World, V2.8)" devices ())
(name "tetrisp2a" year "1997" manufacturer "Jaleco / The Tetris Company" desc "Tetris Plus 2 (World, V2.7)" devices ())
(name "tetrisp2j" year "1997" manufacturer "Jaleco / The Tetris Company" desc "Tetris Plus 2 (Japan, V2.2)" devices ())
(name "tetrisp2ja" year "1997" manufacturer "Jaleco / The Tetris Company" desc "Tetris Plus 2 (Japan, V2.1)" devices ())
(name "tetrisse" year "1988" manufacturer "Sega" desc "Tetris (Japan, System E)" devices ())
(name "tetrist" year "1988" manufacturer "Sega" desc "Tetris (Japan, Taito B-System, Nastar Conversion Kit)" devices ())
(name "tetrista" year "1988" manufacturer "Sega" desc "Tetris (Japan, Taito B-System, Master of Weapon Conversion Kit)" devices ())
(name "tetristh" year "1988" manufacturer "Sega" desc "Tetris (Japan, rev 1, Taito H-System)" devices ())
(name "tetrsark" year "19??" manufacturer "D.R. Korea" desc "Tetris (D.R. Korea, set 1, encrypted)" devices ())
(name "tetrsark2" year "19??" manufacturer "D.R. Korea" desc "Tetris (D.R. Korea, set 2)" devices ())
(name "texasrls" year "1998" manufacturer "Cadillac Jack" desc "Texas Reels (Ver. 2.00)" devices ())
(name "tf95_12" year "1996" manufacturer "Bally" desc "WPC 95 Test Fixture (1.2)" devices ())
(name "tfa_13" year "1990" manufacturer "Bally" desc "WPC Test Fixture: Alphanumeric (1.3)" devices ())
(name "tfdmd_l3" year "1991" manufacturer "Bally" desc "WPC Test Fixture: DMD (L-3)" devices ())
(name "tfight" year "1990" manufacturer "Gottlieb" desc "Title Fight" devices ())
(name "tflash" year "1991" manufacturer "Tiger Electronics" desc "The Flash (Tiger)" devices ())
(name "tfrceac" year "1990" manufacturer "Technosoft / Sega" desc "Thunder Force AC" devices ())
(name "tfrceacb" year "1990" manufacturer "bootleg" desc "Thunder Force AC (bootleg)" devices ())
(name "tfrceacj" year "1990" manufacturer "Technosoft / Sega" desc "Thunder Force AC (Japan)" devices ())
(name "tfrceacjpb" year "1990" manufacturer "Technosoft / Sega" desc "Thunder Force AC (Japan, prototype, bootleg)" devices ())
(name "tfs_12" year "1994" manufacturer "Bally" desc "WPC Test Fixture: Security (1.2)" devices ())
(name "tftc_104s" year "1993" manufacturer "Data East" desc "Tales From the Crypt (USA 1.04, display L1.03)" devices ())
(name "tftc_200" year "1993" manufacturer "Data East" desc "Tales From the Crypt (USA 2.00, display A2.00)" devices ())
(name "tftc_300" year "1993" manufacturer "Data East" desc "Tales From the Crypt (USA 3.00, display A3.00)" devices ())
(name "tftc_302" year "1993" manufacturer "Data East" desc "Tales From the Crypt (Dutch 3.02, display A3.01)" devices ())
(name "tftc_303" year "1993" manufacturer "Data East" desc "Tales From the Crypt (USA 3.03, display A3.01)" devices ())
(name "tfupdate" year "2003" manufacturer "Sega" desc "Triforce DIMM Updater (3.17) (GDT-0011)" devices ((name "cdrom" briefname "cdrm" )))
(name "tg100" year "1991" manufacturer "Yamaha" desc "TG100" devices ())
(name "tg16" year "1989" manufacturer "NEC / Hudson Soft" desc "TurboGrafx-16" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" mandatory t)))
(name "tgaiden" year "1989" manufacturer "Tiger Electronics" desc "Ninja Gaiden (Tiger)" devices ())
(name "tgaiden3" year "1992" manufacturer "Tiger Electronics" desc "Ninja Gaiden III (Tiger)" devices ())
(name "tgargnf" year "1995" manufacturer "Tiger Electronics" desc "Gargoyles: Night Flight (Tiger)" devices ())
(name "tgaunt" year "1988" manufacturer "Tiger Electronics" desc "Gauntlet (Tiger)" devices ())
(name "tgm2" year "2000" manufacturer "Arika" desc "Tetris: The Absolute - The Grand Master 2" devices ())
(name "tgm2p" year "2000" manufacturer "Arika" desc "Tetris: The Absolute - The Grand Master 2 Plus" devices ())
(name "tgmj" year "1998" manufacturer "Arika / Capcom" desc "Tetris: The Grand Master (Japan 980710)" devices ())
(name "tgoldeye" year "1996" manufacturer "Tiger Electronics" desc "007: GoldenEye (Tiger)" devices ())
(name "tgoldnaxe" year "1990" manufacturer "Tiger Electronics" desc "Golden Axe (Tiger)" devices ())
(name "tgtbal96" year "1996" manufacturer "Yun Sung" desc "Target Ball '96" devices ())
(name "tgtball" year "1995" manufacturer "Yun Sung" desc "Target Ball" devices ())
(name "tgtballn" year "1995" manufacturer "Yun Sung" desc "Target Ball (with nudity)" devices ())
(name "tgtpanic" year "1996" manufacturer "Konami" desc "Target Panic" devices ())
(name "thaiprnc" year "2002" manufacturer "Aristocrat" desc "Thai Princess (10119321, NSW/ACT)" devices ())
(name "thaiprnca" year "2003" manufacturer "Aristocrat" desc "Thai Princess (30127721, ASP)" devices ())
(name "thalone" year "1992" manufacturer "Tiger Electronics" desc "Home Alone (Tiger)" devices ())
(name "thalone2" year "1992" manufacturer "Tiger Electronics" desc "Home Alone 2: Lost in New York (Tiger)" devices ())
(name "tharrier" year "1989" manufacturer "UPL" desc "Task Force Harrier" devices ())
(name "tharrierb" year "1989" manufacturer "bootleg (Lettering)" desc "Task Force Harrier (Lettering bootleg)" devices ())
(name "tharrieru" year "1989" manufacturer "UPL (American Sammy license)" desc "Task Force Harrier (US)" devices ())
(name "thayers" year "1984" manufacturer "RDI Video Systems" desc "Thayer's Quest (set 1)" devices ())
(name "thayersa" year "1984" manufacturer "RDI Video Systems" desc "Thayer's Quest (set 2)" devices ())
(name "the26thz" year "1986" manufacturer "Ed Co., Ltd. (Taito license)" desc "The 26th Z (Japan, location test)" devices ())
(name "theboat" year "1987" manufacturer "Hit Gun Co, LTD" desc "The Boat" devices ())
(name "thecastle" year "200?" manufacturer "<unknown>" desc "The Castle" devices ())
(name "thedealr" year "1988?" manufacturer "Visco Games" desc "The Dealer (Visco)" devices ())
(name "thedeep" year "1987" manufacturer "Woodplace Inc." desc "The Deep (Japan)" devices ())
(name "thedrink" year "200?" manufacturer "<unknown>" desc "The Drink" devices ())
(name "theend" year "1980" manufacturer "Konami" desc "The End" devices ())
(name "theends" year "1980" manufacturer "Konami (Stern Electronics license)" desc "The End (Stern Electronics)" devices ())
(name "theendss" year "1981" manufacturer "bootleg (Sonic)" desc "The End (SegaSA / Sonic)" devices ())
(name "thegames" year "1984" manufacturer "Gottlieb" desc "The Games" devices ())
(name "theglad" year "2003" manufacturer "IGS" desc "The Gladiator / Shen Jian Fu Mo Lu / Shen Jian Fengyun (M68k label V101) (ARM label V107, ROM 06/06/03 SHEN JIAN V107)" devices ())
(name "theglad100" year "2003" manufacturer "IGS" desc "The Gladiator / Shen Jian Fu Mo Lu / Shen Jian Fengyun (M68k label V100) (ARM label V100, ROM 01/16/03 SHEN JIAN)" devices ())
(name "theglad101" year "2003" manufacturer "IGS" desc "The Gladiator / Shen Jian Fu Mo Lu / Shen Jian Fengyun (M68k label V100) (ARM label V101, ROM 03/13/03 SHEN JIAN)" devices ())
(name "theglad104" year "2003" manufacturer "IGS" desc "The Gladiator / Shen Jian Fu Mo Lu / Shen Jian Fengyun (M68k label V100) (ARM label V104, ROM 04/02/03 SHEN JIAN V104)" devices ())
(name "thegladpcb" year "2003" manufacturer "IGS (Alta/AMI license)" desc "Tougenkyou - Road of the Sword (M68k label V100) (ARM label V101, ROM 03/13/03 SHEN JIAN) (Japan, JAMMA PCB)" devices ())
(name "thegladpcba" year "2003" manufacturer "IGS (Alta/AMI license)" desc "Tougenkyou - Road of the Sword (M68k label V100) (ARM label V100, ROM 02/25/03 SHEN JIAN) (Japan, JAMMA PCB)" devices ())
(name "theglob" year "1983" manufacturer "Epos Corporation" desc "The Glob" devices ())
(name "theglob2" year "1983" manufacturer "Epos Corporation" desc "The Glob (earlier)" devices ())
(name "theglob3" year "1983" manufacturer "Epos Corporation" desc "The Glob (set 3)" devices ())
(name "theglobme" year "1983" manufacturer "Magic Electronics Inc." desc "The Glob (Pacman hardware, Magic Electronics Inc. license)" devices ())
(name "theglobp" year "1983" manufacturer "Epos Corporation" desc "The Glob (Pac-Man hardware, set 1)" devices ())
(name "theglobpa" year "1983" manufacturer "Epos Corporation" desc "The Glob (Pac-Man hardware, set 2)" devices ())
(name "thegrid" year "2000" manufacturer "Midway" desc "The Grid (version 1.2)" devices ())
(name "thegrida" year "2000" manufacturer "Midway" desc "The Grid (version 1.1)" devices ())
(name "thegridb" year "2000" manufacturer "Midway" desc "The Grid (version 1.01)" devices ())
(name "thehand" year "1981" manufacturer "T.I.C." desc "The Hand" devices ())
(name "thehole" year "1982" manufacturer "bootleg" desc "The Hole (bootleg of The Pit)" devices ())
(name "thehustl" year "1987" manufacturer "Konami" desc "The Hustler (Japan, program code M)" devices ())
(name "thehustlj" year "1987" manufacturer "Konami" desc "The Hustler (Japan, program code J)" devices ())
(name "themj" year "1987" manufacturer "Visco" desc "The Mah-jong (Japan, set 1)" devices ())
(name "themj2" year "1987" manufacturer "Visco" desc "The Mah-jong (Japan, set 2)" devices ())
(name "thenanpa" year "1999" manufacturer "Nichibutsu/Love Factory/eic" desc "The Nanpa (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "thepit" year "1982" manufacturer "Zilec Electronics" desc "The Pit" devices ())
(name "thepitj" year "1982" manufacturer "Zilec Electronics (Taito license)" desc "The Pit (Japan)" devices ())
(name "thepitm" year "198?" manufacturer "bootleg (KZH)" desc "The Pit (bootleg on Moon Quasar hardware)" devices ())
(name "thepitu1" year "1982" manufacturer "Zilec Electronics (Centuri license)" desc "The Pit (US set 1)" devices ())
(name "thepitu2" year "1982" manufacturer "Zilec Electronics (Centuri license)" desc "The Pit (US set 2)" devices ())
(name "thepitu3" year "1982" manufacturer "Zilec Electronics (Centuri license)" desc "The Pit (US set 3)" devices ())
(name "theportr" year "1982" manufacturer "bootleg" desc "The Porter (bootleg of Port Man)" devices ())
(name "thequest" year "1997" manufacturer "Konami" desc "The Quest (NSW, Australia)" devices ())
(name "theraid" year "1984" manufacturer "Playmatic" desc "The Raid" devices ())
(name "theraida" year "1984" manufacturer "Playmatic" desc "The Raid (alternate set)" devices ())
(name "therock" year "200?" manufacturer "<unknown>" desc "The Rock" devices ())
(name "theroes" year "2001" manufacturer "Primetek Investments" desc "Thunder Heroes" devices ())
(name "thetogyu" year "1984" manufacturer "Coreland / Sega" desc "The Togyu (315-5065, Japan)" devices ())
(name "thief" year "1981" manufacturer "Pacific Novelty" desc "Thief" devices ())
(name "thndblst" year "1991" manufacturer "Irem" desc "Thunder Blaster (Japan)" devices ())
(name "thndbolt" year "1977" manufacturer "Allied Leisure" desc "Thunderbolt" devices ())
(name "thndh" year "1996" manufacturer "Aristocrat" desc "Thunder Heart (0200333V, NSW/ACT)" devices ())
(name "thndha" year "1996" manufacturer "Aristocrat" desc "Thunder Heart (0200334V, NSW/ACT)" devices ())
(name "thndrbld" year "1987" manufacturer "Sega" desc "Thunder Blade (upright) (FD1094 317-0056)" devices ())
(name "thndrbld1" year "1987" manufacturer "Sega" desc "Thunder Blade (deluxe/standing) (unprotected)" devices ())
(name "thndrbldd" year "1987" manufacturer "bootleg" desc "Thunder Blade (upright) (bootleg of FD1094 317-0056 set)" devices ())
(name "thndrhrt" year "2004" manufacturer "Aristocrat" desc "Thunder Heart (10173811, NSW/ACT)" devices ())
(name "thndrman" year "1987" manufacturer "Apple Time" desc "Thunder Man" devices ())
(name "thndrx2" year "1991" manufacturer "Konami" desc "Thunder Cross II (World)" devices ())
(name "thndrx2a" year "1991" manufacturer "Konami" desc "Thunder Cross II (Asia)" devices ())
(name "thndrx2j" year "1991" manufacturer "Konami" desc "Thunder Cross II (Japan)" devices ())
(name "thndzone" year "1991" manufacturer "Data East Corporation" desc "Thunder Zone (World, Rev 1)" devices ())
(name "thndzone4" year "1991" manufacturer "Data East Corporation" desc "Thunder Zone (World 4 Players)" devices ())
(name "thndzonea" year "1991" manufacturer "Data East Corporation" desc "Thunder Zone (World)" devices ())
(name "thndzonej" year "1991" manufacturer "Data East Corporation" desc "Thunder Zone (Japan)" devices ())
(name "thook" year "1991" manufacturer "Tiger Electronics" desc "Hook (Tiger)" devices ())
(name "thoop" year "1992" manufacturer "Gaelco" desc "Thunder Hoop (ver. 1, checksum 02a09f7d)" devices ())
(name "thoop2" year "1994" manufacturer "Gaelco" desc "TH Strikes Back (Non North America, Version 1.0, Checksum 020E0867)" devices ())
(name "thoop2a" year "1994" manufacturer "Gaelco" desc "TH Strikes Back (Non North America, Version 1.0, Checksum 020EB356)" devices ())
(name "thor" year "1996" manufacturer "Aristocrat" desc "Thor (0200319V, NSW/ACT)" devices ())
(name "thrdwrld" year "1978" manufacturer "Sonic" desc "Third World" devices ())
(name "threeds" year "1985" manufacturer "Nichibutsu" desc "Three Ds - Three Dealers Casino House (set 1)" devices ())
(name "threedsa" year "1985" manufacturer "Nichibutsu" desc "Three Ds - Three Dealers Casino House (set 2)" devices ())
(name "thrild2" year "2001" manufacturer "Konami" desc "Thrill Drive 2 (ver EBB)" devices ((name "harddisk" briefname "hard" )))
(name "thrild2a" year "2001" manufacturer "Konami" desc "Thrill Drive 2 (ver AAA)" devices ((name "harddisk" briefname "hard" )))
(name "thrild2c" year "2001" manufacturer "Konami" desc "Thrill Drive 2 (ver EAA)" devices ((name "harddisk" briefname "hard" )))
(name "thrild2j" year "2001" manufacturer "Konami" desc "Thrill Drive 2 (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "thrild3j" year "2005" manufacturer "Konami" desc "Thrill Drive 3 (D44:J:A:A:20050316)" devices ())
(name "thrilld" year "1998" manufacturer "Konami" desc "Thrill Drive (UDE)" devices ())
(name "thrillda" year "1998" manufacturer "Konami" desc "Thrill Drive (ACE)" devices ())
(name "thrilldab" year "1998" manufacturer "Konami" desc "Thrill Drive (ABE)" devices ())
(name "thrilldb" year "1998" manufacturer "Konami" desc "Thrill Drive (UDB)" devices ())
(name "thrilldba" year "1998" manufacturer "Konami" desc "Thrill Drive (ACB)" devices ())
(name "thrilldbab" year "1998" manufacturer "Konami" desc "Thrill Drive (ABB)" devices ())
(name "thrilldbe" year "1998" manufacturer "Konami" desc "Thrill Drive (EDB)" devices ())
(name "thrilldbj" year "1998" manufacturer "Konami" desc "Thrill Drive (JCB)" devices ())
(name "thrilldbja" year "1998" manufacturer "Konami" desc "Thrill Drive (JAB)" devices ())
(name "thrillde" year "1998" manufacturer "Konami" desc "Thrill Drive (EDE)" devices ())
(name "thrilldgej" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GE713JAB)" devices ())
(name "thrilldgeu" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GE713UFB)" devices ())
(name "thrilldgke" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GK713EAB)" devices ())
(name "thrilldgkee" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GK713EEB)" devices ())
(name "thrilldgkk" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GK713K*B)" devices ())
(name "thrilldgmj" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GM713JAB)" devices ())
(name "thrilldgnj" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GN713JAB)" devices ())
(name "thrilldgpj" year "1998" manufacturer "Konami" desc "Thrill Drive (ver GP713JAB)" devices ())
(name "thrilldj" year "1998" manufacturer "Konami" desc "Thrill Drive (JCE)" devices ())
(name "thrilldja" year "1998" manufacturer "Konami" desc "Thrill Drive (JAE)" devices ())
(name "thund_p1" year "1982" manufacturer "Williams" desc "Thunderball (P-1)" devices ())
(name "thund_p2" year "1982" manufacturer "Williams" desc "Thunderball (P-2)" devices ())
(name "thund_p3" year "1982" manufacturer "Williams" desc "Thunderball (P-3)" devices ())
(name "thunderh" year "1997" manufacturer "Konami" desc "Operation Thunder Hurricane (ver EAA)" devices ())
(name "thunderhu" year "1997" manufacturer "Konami" desc "Operation Thunder Hurricane (ver UAA)" devices ())
(name "thunderj" year "1990" manufacturer "Atari Games" desc "ThunderJaws (rev 3)" devices ())
(name "thunderja" year "1990" manufacturer "Atari Games" desc "ThunderJaws (rev 2)" devices ())
(name "thunderl" year "1990" manufacturer "Seta" desc "Thunder & Lightning (set 1)" devices ())
(name "thunderla" year "1990" manufacturer "Seta" desc "Thunder & Lightning (set 2)" devices ())
(name "thunderlbl" year "1991" manufacturer "bootleg (Hyogo)" desc "Thunder & Lightning (bootleg with Tetris sound, set 1)" devices ())
(name "thunderlbl2" year "1990" manufacturer "bootleg" desc "Thunder & Lightning (bootleg with Tetris sound, set 2)" devices ())
(name "thunderx" year "1988" manufacturer "Konami" desc "Thunder Cross (set 1)" devices ())
(name "thunderxa" year "1988" manufacturer "Konami" desc "Thunder Cross (set 2)" devices ())
(name "thunderxb" year "1988" manufacturer "Konami" desc "Thunder Cross (set 3)" devices ())
(name "thunderxj" year "1988" manufacturer "Konami" desc "Thunder Cross (Japan)" devices ())
(name "thundfox" year "1990" manufacturer "Taito Corporation Japan" desc "Thunder Fox (World, rev 1)" devices ())
(name "thundfoxj" year "1990" manufacturer "Taito Corporation" desc "Thunder Fox (Japan, rev 1)" devices ())
(name "thundfoxu" year "1990" manufacturer "Taito America Corporation" desc "Thunder Fox (US, rev 1)" devices ())
(name "thunt" year "1997" manufacturer "Sega" desc "Puzzle & Action: Treasure Hunt (JUET 970901 V2.00E)" devices ())
(name "thuntk" year "1997" manufacturer "Sega / Deniam" desc "Puzzle & Action: BoMulEul Chajara (JUET 970125 V2.00K)" devices ())
(name "ti1000" year "1977" manufacturer "Texas Instruments" desc "TI-1000 (1977 version)" devices ())
(name "ti1250" year "1975" manufacturer "Texas Instruments" desc "TI-1250 (1975 version)" devices ())
(name "ti1250a" year "1976" manufacturer "Texas Instruments" desc "TI-1250 (1976 version)" devices ())
(name "ti1270" year "1976" manufacturer "Texas Instruments" desc "TI-1270" devices ())
(name "ti1680" year "1977" manufacturer "Texas Instruments" desc "TI-1680" devices ())
(name "ti25502" year "1975" manufacturer "Texas Instruments" desc "TI-2550 II" devices ())
(name "ti25503" year "1976" manufacturer "Texas Instruments" desc "TI-2550 III" devices ())
(name "ti30" year "1976" manufacturer "Texas Instruments" desc "TI-30" devices ())
(name "ti5100" year "1976" manufacturer "Texas Instruments" desc "TI-5100" devices ())
(name "ti5200" year "1977" manufacturer "Texas Instruments" desc "TI-5200" devices ())
(name "ti630" year "1999" manufacturer "Intelbras" desc "TI630 telephone" devices ())
(name "ti73" year "1998" manufacturer "Texas Instruments" desc "TI-73 Explorer" devices ())
(name "ti73b" year "20??" manufacturer "Texas Instruments" desc "TI-73 Explorer (bootleg)" devices ())
(name "ti74" year "1985" manufacturer "Texas Instruments" desc "TI-74 Basicalc (set 1)" devices ((name "cartridge" briefname "cart" )))
(name "ti74a" year "1985" manufacturer "Texas Instruments" desc "TI-74 Basicalc (set 2)" devices ((name "cartridge" briefname "cart" )))
(name "ti81" year "1990" manufacturer "Texas Instruments" desc "TI-81" devices ())
(name "ti81v2" year "1994" manufacturer "Texas Instruments" desc "TI-81 v2.0" devices ())
(name "ti82" year "1993" manufacturer "Texas Instruments" desc "TI-82" devices ())
(name "ti83" year "1996" manufacturer "Texas Instruments" desc "TI-83" devices ())
(name "ti83p" year "1999" manufacturer "Texas Instruments" desc "TI-83 Plus (Boot Code 1.00)" devices ())
(name "ti83pb" year "20??" manufacturer "Texas Instruments" desc "TI-83 Plus (bootleg)" devices ())
(name "ti83pcev15" year "2015" manufacturer "Texas Instruments" desc "TI-83 Premium CE (Boot Code 5.1.5.0014)" devices ())
(name "ti83pse" year "2001" manufacturer "Texas Instruments" desc "TI-83 Plus Silver Edition (Boot Code 1.00)" devices ())
(name "ti83pseb" year "20??" manufacturer "Texas Instruments" desc "TI-83 Plus Silver Edition (bootleg)" devices ())
(name "ti84p" year "2004" manufacturer "Texas Instruments" desc "TI-84 Plus (Boot Code 1.00)" devices ())
(name "ti84pb" year "20??" manufacturer "Texas Instruments" desc "TI-84 Plus (bootleg)" devices ())
(name "ti84pce" year "2015" manufacturer "Texas Instruments" desc "TI-84 Plus CE (Boot Code 5.0.0.0089)" devices ())
(name "ti84pcev15" year "2016" manufacturer "Texas Instruments" desc "TI-84 Plus CE (Boot Code 5.1.5.0014)" devices ())
(name "ti84pcev30" year "2017" manufacturer "Texas Instruments" desc "TI-84 Plus CE (Boot Code 5.3.0.0037)" devices ())
(name "ti84pcse" year "2013" manufacturer "Texas Instruments" desc "TI-84 Plus C Silver Edition (Boot Code 4.0)" devices ())
(name "ti84pcsev2" year "201?" manufacturer "Texas Instruments" desc "TI-84 Plus C Silver Edition (Boot Code 4.2)" devices ())
(name "ti84pob" year "201?" manufacturer "Texas Instruments" desc "Orion TI-84 Plus (bootleg)" devices ())
(name "ti84pov2" year "201?" manufacturer "Texas Instruments" desc "Orion TI-84 Plus (Boot Code 1.02)" devices ())
(name "ti84pov3" year "201?" manufacturer "Texas Instruments" desc "Orion TI-84 Plus (Boot Code 1.03)" devices ())
(name "ti84pse" year "2004" manufacturer "Texas Instruments" desc "TI-84 Plus Silver Edition (Boot Code 1.00)" devices ())
(name "ti84pseb" year "20??" manufacturer "Texas Instruments" desc "TI-84 Plus Silver Edition (bootleg)" devices ())
(name "ti84psev3" year "2011" manufacturer "Texas Instruments" desc "TI-84 Plus Silver Edition (Boot Code 1.03)" devices ())
(name "ti84pv2" year "200?" manufacturer "Texas Instruments" desc "TI-84 Plus (Boot Code 1.02)" devices ())
(name "ti84pv3" year "2011" manufacturer "Texas Instruments" desc "TI-84 Plus (Boot Code 1.03)" devices ())
(name "ti85" year "1992" manufacturer "Texas Instruments" desc "TI-85" devices ((name "snapshot" briefname "dump" )))
(name "ti86" year "1997" manufacturer "Texas Instruments" desc "TI-86" devices ((name "snapshot" briefname "dump" )))
(name "ti89" year "1998" manufacturer "Texas Instruments" desc "TI-89" devices ())
(name "ti89t" year "2004" manufacturer "Texas Instruments" desc "TI-89 Titanium" devices ())
(name "ti92" year "1995" manufacturer "Texas Instruments" desc "TI-92" devices ())
(name "ti92p" year "1999" manufacturer "Texas Instruments" desc "TI-92 Plus" devices ())
(name "ti931" year "1983" manufacturer "Texas Instruments" desc "Model 931 Video Display Terminal" devices ())
(name "ti95" year "1986" manufacturer "Texas Instruments" desc "TI-95 Procalc" devices ((name "cartridge" briefname "cart" )))
(name "ti990_10" year "1975" manufacturer "Texas Instruments" desc "TI Model 990/10 Minicomputer System" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "harddisk3" briefname "hard3" ) (name "harddisk4" briefname "hard4" ) (name "magtape1" briefname "mtap1" ) (name "magtape2" briefname "mtap2" ) (name "magtape3" briefname "mtap3" ) (name "magtape4" briefname "mtap4" )))
(name "ti990_4" year "1976" manufacturer "Texas Instruments" desc "TI Model 990/4 Microcomputer System" devices ())
(name "ti990_4v" year "1976" manufacturer "Texas Instruments" desc "TI Model 990/4 Microcomputer System with Video Display Terminal" devices ())
(name "ti99_224" year "1983" manufacturer "Texas Instruments" desc "TI-99/2 BASIC Computer (24 KiB ROM)" devices ((name "cassette" briefname "cass" )))
(name "ti99_232" year "1983" manufacturer "Texas Instruments" desc "TI-99/2 BASIC Computer (32 KiB ROM)" devices ((name "cassette" briefname "cass" )))
(name "ti99_4" year "1979" manufacturer "Texas Instruments" desc "TI-99/4 Home Computer (US)" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_4a" year "1981" manufacturer "Texas Instruments" desc "TI-99/4A Home Computer (US)" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_4ae" year "1981" manufacturer "Texas Instruments" desc "TI-99/4A Home Computer (Europe)" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_4e" year "1980" manufacturer "Texas Instruments" desc "TI-99/4 Home Computer (Europe)" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_4ev" year "1994" manufacturer "Texas Instruments" desc "TI-99/4A Home Computer with EVPC" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_4p" year "1996" manufacturer "System-99 User Group" desc "SGCPU (aka TI-99/4P)" devices ((name "cassette" briefname "cass" )))
(name "ti99_4qi" year "1983" manufacturer "Texas Instruments" desc "TI-99/4QI Home Computer (US)" devices ((name "cartridge" briefname "cart" ) (name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "ti99_8" year "1983" manufacturer "Texas Instruments" desc "TI-99/8 Computer (US)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "ti99_8e" year "1983" manufacturer "Texas Instruments" desc "TI-99/8 Computer (Europe)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "tibusan" year "1976" manufacturer "Texas Instruments" desc "TI Business Analyst" devices ())
(name "tickee" year "1994" manufacturer "Raster Elite" desc "Tickee Tickats" devices ())
(name "tictac" year "1985" manufacturer "Merit" desc "Tic Tac Trivia (6221-23, U5-0C, 07/07/86)" devices ())
(name "tictaca" year "1985" manufacturer "Merit" desc "Tic Tac Trivia (6221-23, U5-0C, 02/11/86)" devices ())
(name "tictacv" year "1985" manufacturer "Merit" desc "Tic Tac Trivia (6221-22, U5-0, Vertical)" devices ())
(name "tierras100hz" year "1995" manufacturer "Picmatic" desc "Tierras Salvajes (100Hz display)" devices ())
(name "tigarden" year "1983" manufacturer "Tronica" desc "Thief in Garden" devices ())
(name "tigerh" year "1985" manufacturer "Toaplan / Taito America Corp." desc "Tiger-Heli (US)" devices ())
(name "tigerhb1" year "1985" manufacturer "bootleg" desc "Tiger-Heli (bootleg set 1)" devices ())
(name "tigerhb2" year "1985" manufacturer "bootleg" desc "Tiger-Heli (bootleg set 2)" devices ())
(name "tigerhb3" year "1985" manufacturer "bootleg" desc "Tiger-Heli (bootleg set 3)" devices ())
(name "tigerhb4" year "1985" manufacturer "bootleg" desc "Tiger-Heli (bootleg set 4)" devices ())
(name "tigerhj" year "1985" manufacturer "Toaplan / Taito" desc "Tiger-Heli (Japan)" devices ())
(name "tigeroad" year "1987" manufacturer "Capcom" desc "Tiger Road (US)" devices ())
(name "tigeroadb" year "1987" manufacturer "bootleg" desc "Tiger Road (US bootleg)" devices ())
(name "tigeroadu" year "1987" manufacturer "Capcom (Romstar license)" desc "Tiger Road (US, Romstar license)" devices ())
(name "tigerrag" year "1984" manufacturer "Bell Games" desc "Tiger Rag" devices ())
(name "tigerslt" year "199?" manufacturer "bootleg" desc "Tiger (slot)" devices ())
(name "tighook" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.1E Dual)" devices ())
(name "tighookc1" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.1R, set 1)" devices ())
(name "tighookc2" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.0LT, set 1)" devices ())
(name "tighookd1" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.1R, set 2)" devices ())
(name "tighookd2" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.0LT, set 2)" devices ())
(name "tighooko" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 1.7XT)" devices ())
(name "tighooko2" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 1.7)" devices ())
(name "tighookv1" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.1R Dual)" devices ())
(name "tighookv2" year "2004" manufacturer "Amcoe" desc "Tiger Hook (Version 2.0LT Dual)" devices ())
(name "tigress" year "2007" manufacturer "Aristocrat" desc "Tigress (20230111, NSW/ACT)" devices ())
(name "tigressa" year "2007" manufacturer "Aristocrat" desc "Tigress (20243811, ASP)" devices ())
(name "tiki100" year "1984" manufacturer "Tiki Data A/S" desc "TIKI 100" devices ((name "harddisk1" briefname "hard1" ) (name "harddisk2" briefname "hard2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tikitalk" year "2007" manufacturer "Aristocrat" desc "Tiki Talk (10239111, NSW/ACT)" devices ())
(name "tiktokmm" year "200?" manufacturer "TikTokTech Ltd. / 3T Games / Senario" desc "Moving Music (MM-TV110)" devices ())
(name "tiktorch" year "2003" manufacturer "Aristocrat" desc "Tiki Torch (0151003, US)" devices ())
(name "tiktorchnz" year "2002" manufacturer "Aristocrat" desc "Tiki Torch (10124011, New Zealand)" devices ())
(name "tim011" year "1987" manufacturer "Mihajlo Pupin Institute" desc "TIM-011" devices ((name "floppydisk" briefname "flop" )))
(name "tim100" year "1985" manufacturer "Mihajlo Pupin Institute" desc "TIM-100" devices ())
(name "timaze" year "1979" manufacturer "Texas Instruments" desc "unknown electronic maze game (patent)" devices ())
(name "timber" year "1984" manufacturer "Bally Midway" desc "Timber" devices ())
(name "timbwolf" year "200?" manufacturer "Aristocrat" desc "Timber Wolf (0154013, US)" devices ())
(name "time2000" year "1977" manufacturer "Atari" desc "Time 2000" devices ())
(name "timecris" year "1996" manufacturer "Namco" desc "Time Crisis (World, TS2 Ver.B)" devices ())
(name "timecrisa" year "1996" manufacturer "Namco" desc "Time Crisis (World, TS2 Ver.A)" devices ())
(name "timecrs2" year "1997" manufacturer "Namco" desc "Time Crisis II (US, TSS3 Ver. B)" devices ())
(name "timecrs2v1b" year "1997" manufacturer "Namco" desc "Time Crisis II (Japan, TSS1 Ver. B)" devices ())
(name "timecrs2v2b" year "1997" manufacturer "Namco" desc "Time Crisis II (World, TSS2 Ver. B)" devices ())
(name "timecrs2v4a" year "1997" manufacturer "Namco" desc "Time Crisis II (World, TSS4 Ver. A)" devices ())
(name "timecrs2v5a" year "1997" manufacturer "Namco" desc "Time Crisis II (US, TSS5 Ver. A)" devices ())
(name "timecrs3" year "2003" manufacturer "Namco" desc "Time Crisis 3 (TST1)" devices ())
(name "timecrs3e" year "2003" manufacturer "Namco" desc "Time Crisis 3 (TST2 Ver. A)" devices ())
(name "timecrs3u" year "2003" manufacturer "Namco" desc "Time Crisis 3 (TST3 Ver. A)" devices ())
(name "timecrs4" year "2006" manufacturer "Namco" desc "Time Crisis 4 (World, TSF1002-NA-A)" devices ())
(name "timecrs4j" year "2006" manufacturer "Namco" desc "Time Crisis 4 (Japan, TSF1001-NA-A)" devices ())
(name "timefgtr" year "198?" manufacturer "Taito do Brasil" desc "Time Fighter (Time Pilot conversion on Galaxian hardware)" devices ())
(name "timekill" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.32)" devices ())
(name "timekill100" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.00)" devices ())
(name "timekill120" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.20, alternate ROM board)" devices ())
(name "timekill121" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.21)" devices ())
(name "timekill121a" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.21, alternate ROM board)" devices ())
(name "timekill131" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.31)" devices ())
(name "timekill132i" year "1992" manufacturer "Strata / Incredible Technologies" desc "Time Killers (v1.32I)" devices ())
(name "timelimt" year "1983" manufacturer "Chuo Co. Ltd" desc "Time Limit" devices ())
(name "timeline" year "1980" manufacturer "Gottlieb" desc "Time Line" devices ())
(name "timeplt" year "1982" manufacturer "Konami" desc "Time Pilot" devices ())
(name "timeplta" year "1982" manufacturer "Konami (Atari license)" desc "Time Pilot (Atari)" devices ())
(name "timepltc" year "1982" manufacturer "Konami (Centuri license)" desc "Time Pilot (Centuri)" devices ())
(name "timescan" year "1987" manufacturer "Sega" desc "Time Scanner (set 2, System 16B)" devices ())
(name "timescan1" year "1987" manufacturer "Sega" desc "Time Scanner (set 1, System 16A, FD1089B 317-0024)" devices ())
(name "timescan3" year "1987" manufacturer "Sega" desc "Time Scanner (set 3, Japan, System 16B) (FD1089B 317-0024)" devices ())
(name "timescanbl" year "1987" manufacturer "bootleg" desc "Time Scanner (bootleg)" devices ())
(name "timesold" year "1987" manufacturer "Alpha Denshi Co. (SNK/Romstar license)" desc "Time Soldiers (US Rev 3)" devices ())
(name "timesold1" year "1987" manufacturer "Alpha Denshi Co. (SNK/Romstar license)" desc "Time Soldiers (US Rev 1)" devices ())
(name "timetp25" year "200?" manufacturer "Timetop" desc "Super Game 25-in-1 (GM-228)" devices ((name "cartridge" briefname "cart" )))
(name "timetp36" year "200?" manufacturer "TimeTop" desc "Super Game 36-in-1 (TimeTop SuperGame) (PAL)" devices ())
(name "timetp7" year "200?" manufacturer "TimeTop" desc "Super Game 7-in-1 (TimeTop SuperGame) (PAL)" devices ())
(name "timetrv" year "1991" manufacturer "Virtual Image Productions (Sega license)" desc "Time Traveler" devices ())
(name "timetrv2" year "1991" manufacturer "Virtual Image Productions (Sega license)" desc "Time Traveler (Japan)" devices ())
(name "timetunl" year "1982" manufacturer "Taito Corporation" desc "Time Tunnel" devices ())
(name "tinday" year "1996" manufacturer "Tiger Electronics" desc "Independence Day (Tiger)" devices ())
(name "tinkerbl" year "1990" manufacturer "Sega" desc "Tinker Bell" devices ())
(name "tinklpit" year "1993" manufacturer "Namco" desc "Tinkle Pit (Japan)" devices ())
(name "tinstar" year "1983" manufacturer "Taito Corporation" desc "The Tin Star (A10, 4 PCB version)" devices ())
(name "tinstara" year "1983" manufacturer "Taito Corporation" desc "The Tin Star (TS, 5 PCB version)" devices ())
(name "tinv2650" year "1979?" manufacturer "Zaccaria / Zelco" desc "The Invaders" devices ())
(name "tiprog" year "1977" manufacturer "Texas Instruments" desc "TI Programmer" devices ())
(name "tiptop" year "1983" manufacturer "Sega" desc "Tip Top (3 board stack)" devices ())
(name "tisland" year "1981" manufacturer "Data East Corporation" desc "Treasure Island" devices ())
(name "tisr16" year "1974" manufacturer "Texas Instruments" desc "SR-16" devices ())
(name "tisr16ii" year "1975" manufacturer "Texas Instruments" desc "SR-16 II" devices ())
(name "tisub" year "1992" manufacturer "Subsino" desc "Treasure Island (Subsino, set 1)" devices ())
(name "tisuba" year "1992" manufacturer "Subsino" desc "Treasure Island (Subsino, set 2)" devices ())
(name "tisubb" year "1992" manufacturer "American Alpha" desc "Treasure Island (American Alpha, v3.0N)" devices ())
(name "titan" year "1982" manufacturer "Taito do Brasil" desc "Titan (set 1)" devices ())
(name "titan1" year "1982" manufacturer "Taito do Brasil" desc "Titan (set 2)" devices ())
(name "titanic" year "1998" manufacturer "Sega" desc "Titanic (coin dropper, CPU 1.01, display A1.01)" devices ())
(name "titanpac" year "1981" manufacturer "hack (NSM)" desc "Titan (hack of Pac-Man)" devices ())
(name "tithermos" year "1979" manufacturer "Texas Instruments" desc "Electronic Digital Thermostat" devices ())
(name "titlef" year "1992" manufacturer "Sega" desc "Title Fight (World)" devices ())
(name "titlefj" year "1992" manufacturer "Sega" desc "Title Fight (Japan)" devices ())
(name "titlefu" year "1992" manufacturer "Sega" desc "Title Fight (US)" devices ())
(name "tjdredd" year "1995" manufacturer "Tiger Electronics" desc "Judge Dredd (Tiger)" devices ())
(name "tjpark" year "1993" manufacturer "Tiger Electronics" desc "Jurassic Park (Tiger)" devices ())
(name "tjsb" year "1997" manufacturer "IGS" desc "Tian Jiang Shen Bing (China, V137C)" devices ())
(name "tjumpman" year "1999" manufacturer "Namco" desc "Tobikose! Jumpman" devices ())
(name "tk2000" year "1984" manufacturer "Microdigital" desc "TK2000 Color Computer" devices ((name "cassette" briefname "cass" )))
(name "tk3000" year "1986" manufacturer "Microdigital" desc "TK3000//e" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "tk635" year "199?" manufacturer "Termtek" desc "TK-635" devices ())
(name "tk80" year "1976" manufacturer "NEC" desc "TK-80" devices ())
(name "tk80bs" year "1980" manufacturer "NEC" desc "TK-80BS" devices ())
(name "tk85" year "1983" manufacturer "Microdigital" desc "TK85" devices ((name "cassette" briefname "cass" )))
(name "tk90x" year "1985" manufacturer "Micro Digital" desc "TK 90X Color Computer" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "tk95" year "1986" manufacturer "Micro Digital" desc "TK 95 Color Computer" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "tkarnov" year "1988" manufacturer "Tiger Electronics" desc "Karnov (Tiger)" devices ())
(name "tkazaam" year "1996" manufacturer "Tiger Electronics" desc "Kazaam (Tiger)" devices ())
(name "tkdensho" year "1996" manufacturer "Tecmo" desc "Toukidenshou - Angel Eyes (VER. 960614)" devices ())
(name "tkdenshoa" year "1996" manufacturer "Tecmo" desc "Toukidenshou - Angel Eyes (VER. 960427)" devices ())
(name "tking" year "1990" manufacturer "Saitek / Heuristic Software" desc "Kasparov Turbo King (ver. D)" devices ((name "romimage" briefname "rom" )))
(name "tkinga" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Turbo King (ver. B, set 1)" devices ((name "romimage" briefname "rom" )))
(name "tkingb" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Turbo King (ver. B, set 2)" devices ((name "romimage" briefname "rom" )))
(name "tkjmaru" year "1983" manufacturer "Bandai" desc "Toukon Juohmaru" devices ())
(name "tkkongq" year "1982" manufacturer "Tiger Electronics" desc "King Kong (Tiger, Quartz Game Clock)" devices ())
(name "tkmag220" year "201?" manufacturer "TaiKee / Senca" desc "Mini Arcade Games Console (Family Sport 220-in-1)" devices ())
(name "tkmmpzdm" year "1995" manufacturer "Konami" desc "Tokimeki Memorial Taisen Puzzle-dama (ver JAB)" devices ())
(name "tkn80" year "198?" manufacturer "MYAB" desc "ABC 80 with TKN80" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "quickload" briefname "quik" )))
(name "tknight" year "1989" manufacturer "Tecmo" desc "Tecmo Knight (US)" devices ())
(name "tkoboxng" year "1987" manufacturer "Namco / Data East USA" desc "Vs. T.K.O. Boxing" devices ())
(name "tlluke2" year "1984" manufacturer "Tiger Electronics" desc "Lucky Luke (Tiger, Double Wide Screen)" devices ())
(name "tm" year "1996" manufacturer "Midway Games Inc. / CES Inc." desc "Touchmaster (v3.00 Euro)" devices ())
(name "tm2k" year "1996" manufacturer "Midway Games Inc." desc "Touchmaster 2000 Plus (v4.63 Standard)" devices ())
(name "tm2ka" year "1996" manufacturer "Midway Games Inc." desc "Touchmaster 2000 (v4.02 Standard)" devices ())
(name "tm2kb" year "1996" manufacturer "Midway Games Inc." desc "Touchmaster 2000 (v4.00 Standard)" devices ())
(name "tm2kspeval" year "1996" manufacturer "Midway Games Inc." desc "Touchmaster 2000 (v4.XX3 Spanish Evaluation)" devices ())
(name "tm3k" year "1997" manufacturer "Midway Games Inc." desc "Touchmaster 3000 (v5.02 Standard)" devices ())
(name "tm3ka" year "1997" manufacturer "Midway Games Inc." desc "Touchmaster 3000 (v5.01 Standard)" devices ())
(name "tm3keval" year "1997" manufacturer "Midway Games Inc." desc "Touchmaster 3000 (v5.XX Standard AMOA Evaluation)" devices ())
(name "tm3ksp" year "1997" manufacturer "Midway Games Inc." desc "Touchmaster 3000 (v5.02 Spanish)" devices ())
(name "tm4k" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.03 Standard)" devices ())
(name "tm4ka" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.02 Standard)" devices ())
(name "tm4kb" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.01 Standard)" devices ())
(name "tm4kca" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.02 California)" devices ())
(name "tm4kmn" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.01 Minnesota)" devices ())
(name "tm4knj" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.03 New Jersey)" devices ())
(name "tm4kuk" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 4000 (v6.02 England)" devices ())
(name "tm5k" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 5000 (v7.10 Standard)" devices ())
(name "tm5ka" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 5000 (v7.01 Standard)" devices ())
(name "tm5kca" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 5000 (v7.10 California)" devices ())
(name "tm5kmn" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 5000 (v7.10 Minnesota)" devices ())
(name "tm5kuk" year "1998" manufacturer "Midway Games Inc." desc "Touchmaster 5000 (v7.11 U.K.)" devices ())
(name "tm7k" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.04 Standard)" devices ())
(name "tm7ka" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.00 Standard)" devices ())
(name "tm7kde" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.04 Germany)" devices ())
(name "tm7keval" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.1X ASI Standard Evaluation)" devices ())
(name "tm7kmn" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.04 Minnesota)" devices ())
(name "tm7kmna" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.00 Minnesota)" devices ())
(name "tm7knj" year "1999" manufacturer "Midway Games Inc." desc "Touchmaster 7000 (v8.05 New Jersey)" devices ())
(name "tm8k" year "2000" manufacturer "Midway Games Inc." desc "Touchmaster 8000 (v9.04 Standard)" devices ())
(name "tm8k902" year "2000" manufacturer "Midway Games Inc." desc "Touchmaster 8000 (v9.02 Standard)" devices ())
(name "tmac_a18" year "1988" manufacturer "Data East" desc "Time Machine (1.8)" devices ())
(name "tmac_a24" year "1988" manufacturer "Data East" desc "Time Machine (2.4)" devices ())
(name "tmac_g18" year "1988" manufacturer "Data East" desc "Time Machine (1.8, Germany)" devices ())
(name "tmachzac" year "1983" manufacturer "Zaccaria" desc "Time Machine (Zaccaria)" devices ())
(name "tmachzacf" year "1983" manufacturer "Zaccaria" desc "Time Machine (Zaccaria, French speech)" devices ())
(name "tmachzacg" year "1983" manufacturer "Zaccaria" desc "Time Machine (Zaccaria, German speech)" devices ())
(name "tmachzaci" year "1983" manufacturer "Zaccaria" desc "Time Machine (Zaccaria, Italian speech)" devices ())
(name "tmacltd2" year "1981" manufacturer "LTD" desc "Time Machine (LTD, 2 players)" devices ())
(name "tmacltd4" year "1981" manufacturer "LTD" desc "Time Machine (LTD, 4 players)" devices ())
(name "tmate" year "1988" manufacturer "Saitek / Heuristic Software" desc "Kasparov Team-Mate" devices ())
(name "tmbaskb" year "1980" manufacturer "Tomy" desc "Basketball (Tomy)" devices ())
(name "tmc1800" year "1977" manufacturer "Telercas Oy" desc "Telmac 1800" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "tmc2000" year "1980" manufacturer "Telercas Oy" desc "Telmac 2000" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "tmc2000e" year "1980" manufacturer "Telercas Oy" desc "Telmac 2000E" devices ((name "cassette" briefname "cass" )))
(name "tmc600s2" year "1982" manufacturer "Telercas Oy" desc "Telmac TMC-600 (Sarja II)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "tmchammer" year "1991" manufacturer "Tiger Electronics" desc "MC Hammer: U Can't Touch This (Tiger)" devices ())
(name "tmdo" year "1996" manufacturer "Midway Games Inc. / CES Inc." desc "Touchmaster (v2.2-01 Standard)" devices ())
(name "tmegaman3" year "1991" manufacturer "Tiger Electronics" desc "Mega Man 3 (Tiger)" devices ())
(name "tmek" year "1994" manufacturer "Atari Games" desc "T-MEK (v5.1, The Warlords)" devices ())
(name "tmek20" year "1994" manufacturer "Atari Games" desc "T-MEK (v2.0, prototype)" devices ())
(name "tmek44" year "1994" manufacturer "Atari Games" desc "T-MEK (v4.4)" devices ())
(name "tmek45" year "1994" manufacturer "Atari Games" desc "T-MEK (v4.5)" devices ())
(name "tmek51p" year "1994" manufacturer "Atari Games" desc "T-MEK (v5.1, prototype)" devices ())
(name "tmfnt_l5" year "1982" manufacturer "Williams" desc "Time Fantasy (L-5)" devices ())
(name "tmht" year "1989" manufacturer "Konami" desc "Teenage Mutant Hero Turtles (UK 4 Players, version F)" devices ())
(name "tmht22pe" year "1991" manufacturer "Konami" desc "Teenage Mutant Hero Turtles - Turtles in Time (2 Players ver EBA)" devices ())
(name "tmht24pe" year "1991" manufacturer "Konami" desc "Teenage Mutant Hero Turtles - Turtles in Time (4 Players ver EAA)" devices ())
(name "tmht2p" year "1989" manufacturer "Konami" desc "Teenage Mutant Hero Turtles (UK 2 Players, version U)" devices ())
(name "tmht2pa" year "1989" manufacturer "Konami" desc "Teenage Mutant Hero Turtles (UK 2 Players, version ?)" devices ())
(name "tmhta" year "1989" manufacturer "Konami" desc "Teenage Mutant Hero Turtles (UK 4 Players, version S)" devices ())
(name "tmhtb" year "1989" manufacturer "Konami" desc "Teenage Mutant Hero Turtles (UK 4 Players, version ?)" devices ())
(name "tmigmax" year "1994" manufacturer "Tiger Electronics" desc "Mighty Max (Tiger)" devices ())
(name "tmkombat" year "1993" manufacturer "Tiger Electronics" desc "Mortal Kombat (Tiger)" devices ())
(name "tmmjprd" year "1997" manufacturer "Media / Sonnet" desc "Tokimeki Mahjong Paradise - Dear My Love" devices ())
(name "tmnt" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (World 4 Players, version X)" devices ())
(name "tmnt2" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles - Turtles in Time (4 Players ver UAA)" devices ())
(name "tmnt22pu" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles - Turtles in Time (2 Players ver UDA)" devices ())
(name "tmnt24pu" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles - Turtles in Time (4 Players ver UEA)" devices ())
(name "tmnt2a" year "1991" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles - Turtles in Time (4 Players ver ADA)" devices ())
(name "tmnt2pj" year "1990" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (Japan 2 Players, version 1)" devices ())
(name "tmnt2po" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (Oceania 2 Players, version ?)" devices ())
(name "tmnt_101" year "1991" manufacturer "Data East" desc "Teenage Mutant Ninja Turtles (1.01)" devices ())
(name "tmnt_103" year "1991" manufacturer "Data East" desc "Teenage Mutant Ninja Turtles (1.03)" devices ())
(name "tmnt_104" year "1991" manufacturer "Data East" desc "Teenage Mutant Ninja Turtles (USA 1.04, display A1.04)" devices ())
(name "tmnt_104g" year "1991" manufacturer "Data East" desc "Teenage Mutant Ninja Turtles (Germany 1.04, display A1.04)" devices ())
(name "tmnt_a07" year "1991" manufacturer "Data East" desc "Teenage Mutant Ninja Turtles (A 0.7 VUK prototype)" devices ())
(name "tmnta" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (Asia 4 Players, version ?)" devices ())
(name "tmntbftc" year "2005" manufacturer "Tech2Go / WayForward" desc "Teenage Mutant Ninja Turtles: Battle for the City" devices ())
(name "tmntj" year "1990" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (Japan 4 Players, version 2)" devices ())
(name "tmntmutm" year "2005" manufacturer "Tech2Go / WayForward" desc "Teenage Mutant Ninja Turtles: Mutant and Monster Mayhem" devices ())
(name "tmntmwb" year "1997" manufacturer "bootleg" desc "Teenage Mutant Ninja Turtles - Mutant Warriors (SNES bootleg)" devices ())
(name "tmntpdc" year "2013" manufacturer "Conny / VideoJet" desc "Teenage Mutant Ninja Turtles - Pocket Dream Console (VideoJet, France)" devices ())
(name "tmntu" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (US 4 Players, version R)" devices ())
(name "tmntua" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (US 4 Players, version N)" devices ())
(name "tmntub" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (US 4 Players, version J)" devices ())
(name "tmntuc" year "1989" manufacturer "Konami" desc "Teenage Mutant Ninja Turtles (US 4 Players, version H)" devices ())
(name "tmntucbl" year "1989" manufacturer "bootleg" desc "Teenage Mutant Ninja Turtles (bootleg, US 4 Players, version H)" devices ())
(name "tmosh" year "1997" manufacturer "Konami" desc "Tokimeki Memorial Oshiete Your Heart (GQ673 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "tmoshs" year "1997" manufacturer "Konami" desc "Tokimeki Memorial Oshiete Your Heart Seal Version (GE755 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "tmoshsp" year "1997" manufacturer "Konami" desc "Tokimeki Memorial Oshiete Your Heart Seal Version Plus (GE756 JAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "tmoshspa" year "1997" manufacturer "Konami" desc "Tokimeki Memorial Oshiete Your Heart Seal Version Plus (GE756 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "tmpacman" year "1982" manufacturer "Tomy" desc "Pac Man (Tomy)" devices ())
(name "tmpat48av" year "199?" manufacturer "TMC" desc "PAT48AV" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "tmpat48pg4" year "199?" manufacturer "TMC" desc "PAT48PG4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "tmpdoki" year "1998" manufacturer "Media / Sonnet" desc "Tokimeki Mahjong Paradise - Doki Doki Hen" devices ())
(name "tms9995bb" year "19??" manufacturer "Stuart Conner" desc "TMS9995 breadboard" devices ())
(name "tmscramb" year "1982" manufacturer "Tomy" desc "Scramble (Tomy)" devices ())
(name "tmspoker" year "198?" manufacturer "Jeutel?" desc "unknown TMS9980 poker game" devices ())
(name "tmtennis" year "1980" manufacturer "Tomy" desc "Tennis (Tomy)" devices ())
(name "tmtron" year "1982" manufacturer "Tomy" desc "Tron (Tomy)" devices ())
(name "tmvolleyb" year "1979" manufacturer "Tomy" desc "Volleyball (Tomy)" devices ())
(name "tmwrp_l2" year "1979" manufacturer "Williams" desc "Time Warp (Williams, L-2)" devices ())
(name "tmwrp_l3" year "1979" manufacturer "Williams" desc "Time Warp (Williams, L-3)" devices ())
(name "tmwrp_t2" year "1979" manufacturer "Williams" desc "Time Warp (Williams, T-2)" devices ())
(name "tmy_thom" year "2005" manufacturer "Tomy / SSD Company LTD" desc "Thomas and Friends (Tomy)" devices ())
(name "tndrcade" year "1987" manufacturer "Seta (Taito license)" desc "Thundercade / Twin Formation" devices ())
(name "tndrcadej" year "1987" manufacturer "Seta (Taito license)" desc "Tokusyu Butai U.A.G. (Japan)" devices ())
(name "tnextspc" year "1989" manufacturer "SNK" desc "The Next Space (set 1)" devices ())
(name "tnextspc2" year "1989" manufacturer "SNK" desc "The Next Space (set 2)" devices ())
(name "tnextspcj" year "1989" manufacturer "SNK (Pasadena International Corp. license)" desc "The Next Space (Japan)" devices ())
(name "tnk3" year "1985" manufacturer "SNK" desc "T.N.K III (US)" devices ())
(name "tnk3b" year "1985" manufacturer "SNK" desc "T.A.N.K (bootleg, 8-way joystick)" devices ())
(name "tnk3j" year "1985" manufacturer "SNK" desc "T.A.N.K (Japan)" devices ())
(name "tnmarebc" year "1993" manufacturer "Tiger Electronics" desc "Nightmare Before Christmas (Tiger)" devices ())
(name "tnshc08" year "1988" manufacturer "JZD Slušovice" desc "TNS HC-08" devices ())
(name "tntell" year "1981" manufacturer "Texas Instruments" desc "Touch & Tell (US)" devices ((name "cartridge" briefname "cart" )))
(name "tntellfr" year "1981" manufacturer "Texas Instruments" desc "Le Livre Magique (France)" devices ((name "cartridge" briefname "cart" )))
(name "tntellp" year "1980" manufacturer "Texas Instruments" desc "Touch & Tell (US, patent)" devices ((name "cartridge" briefname "cart" )))
(name "tntelluk" year "1981" manufacturer "Texas Instruments" desc "Touch & Tell (UK)" devices ((name "cartridge" briefname "cart" )))
(name "tnzs" year "1988" manufacturer "Taito Corporation Japan" desc "The NewZealand Story (World, new version) (P0-043A PCB)" devices ())
(name "tnzsj" year "1988" manufacturer "Taito Corporation" desc "The NewZealand Story (Japan, new version) (P0-043A PCB)" devices ())
(name "tnzsjo" year "1988" manufacturer "Taito Corporation" desc "The NewZealand Story (Japan, old version) (P0-041A PCB)" devices ())
(name "tnzso" year "1988" manufacturer "Taito Corporation Japan" desc "The NewZealand Story (World, old version) (P0-041A PCB)" devices ())
(name "tnzsoa" year "1988" manufacturer "Taito Corporation Japan" desc "The NewZealand Story (World, unknown version) (P0-041A PCB)" devices ())
(name "tnzsop" year "1988" manufacturer "Taito Corporation Japan" desc "The NewZealand Story (World, prototype) (P0-041-1 PCB)" devices ())
(name "tnzsuo" year "1988" manufacturer "Taito America Corporation" desc "The NewZealand Story (US, old version) (P0-041A PCB)" devices ())
(name "to16" year "1987" manufacturer "Thomson SIMIV" desc "TO16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "to7" year "1982" manufacturer "Thomson" desc "TO7" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "to770" year "1984" manufacturer "Thomson" desc "TO7/70" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "to770a" year "1984" manufacturer "Thomson" desc "TO7/70 (Arabic)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "to8" year "1986" manufacturer "Thomson" desc "TO8" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "to8d" year "1987" manufacturer "Thomson" desc "TO8D" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "to9" year "1985" manufacturer "Thomson" desc "TO9" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "to9p" year "1986" manufacturer "Thomson" desc "TO9+" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" ) (name "printout" briefname "prin" )))
(name "todruaga" year "1984" manufacturer "Namco" desc "The Tower of Druaga (New Ver.)" devices ())
(name "todruagao" year "1984" manufacturer "Namco" desc "The Tower of Druaga (Old Ver.)" devices ())
(name "todruagas" year "1984" manufacturer "bootleg? (Sidam)" desc "The Tower of Druaga (Sidam)" devices ())
(name "toffy" year "1993" manufacturer "Midas" desc "Toffy" devices ())
(name "togenkyo" year "1989" manufacturer "Nichibutsu" desc "Tougenkyou (Japan 890418)" devices ())
(name "toggle" year "1985" manufacturer "Bally/Sente" desc "Toggle (prototype)" devices ())
(name "toki" year "1989" manufacturer "TAD Corporation" desc "Toki (World, set 1)" devices ())
(name "tokia" year "1989" manufacturer "TAD Corporation" desc "Toki (World, set 2)" devices ())
(name "tokib" year "1990" manufacturer "bootleg (Datsu)" desc "Toki (Datsu bootleg)" devices ())
(name "tokimbsj" year "1989" manufacturer "Nichibutsu" desc "Tokimeki Bishoujo (Japan)" devices ())
(name "tokims" year "1991" manufacturer "bootleg" desc "Toki (Modular System)" devices ())
(name "tokio" year "1986" manufacturer "Taito Corporation" desc "Tokio / Scramble Formation (newer)" devices ())
(name "tokiob" year "1986" manufacturer "bootleg" desc "Tokio / Scramble Formation (bootleg)" devices ())
(name "tokioo" year "1986" manufacturer "Taito Corporation" desc "Tokio / Scramble Formation (older)" devices ())
(name "tokiou" year "1986" manufacturer "Taito America Corporation (Romstar license)" desc "Tokio / Scramble Formation (US)" devices ())
(name "tokip" year "1989" manufacturer "TAD Corporation (Fabtek license)" desc "Toki (US, prototype?)" devices ())
(name "tokisens" year "1987" manufacturer "Sega" desc "Toki no Senshi - Chrono Soldier (MC-8123, 317-0040)" devices ())
(name "tokisensa" year "1987" manufacturer "Sega" desc "Toki no Senshi - Chrono Soldier (prototype?)" devices ())
(name "tokiu" year "1989" manufacturer "TAD Corporation (Fabtek license)" desc "Toki (US, set 1)" devices ())
(name "tokiua" year "1989" manufacturer "TAD Corporation (Fabtek license)" desc "Toki (US, set 2)" devices ())
(name "tokkae" year "1996" manufacturer "Konami" desc "Taisen Tokkae-dama (ver JAA)" devices ())
(name "tokyobus" year "1999" manufacturer "Fortyfive" desc "Tokyo Bus Guide (Japan, Rev A)" devices ())
(name "tokyocop" year "2003" manufacturer "Gaelco" desc "Tokyo Cop (US, dedicated version)" devices ())
(name "tokyocopi" year "2003" manufacturer "Gaelco" desc "Tokyo Cop (Italy)" devices ())
(name "tokyocopk" year "2003" manufacturer "Gaelco" desc "Tokyo Cop (US, kit version)" devices ())
(name "tokyogal" year "1989" manufacturer "Nichibutsu" desc "Tokyo Gal Zukan (Japan)" devices ())
(name "tokyowar" year "1996" manufacturer "Namco" desc "Tokyo Wars (World, TW2 Ver.A)" devices ())
(name "tokyowarj" year "1996" manufacturer "Namco" desc "Tokyo Wars (Japan, TW1 Ver.A)" devices ())
(name "toledo" year "1982" manufacturer "Interflip" desc "Toledo (2 jackpot points, 87%)" devices ())
(name "toledoa" year "1982" manufacturer "Interflip" desc "Toledo (2 jackpot points, 83%)" devices ())
(name "toledob" year "1982" manufacturer "Interflip" desc "Toledo (1 jackpot point, 79%)" devices ())
(name "tom_06" year "1995" manufacturer "Bally" desc "Theatre Of Magic (0.6a)" devices ())
(name "tom_10f" year "1995" manufacturer "Bally" desc "Theatre Of Magic (1.0 French)" devices ())
(name "tom_12" year "1995" manufacturer "Bally" desc "Theatre Of Magic (1.2X)" devices ())
(name "tom_12a" year "1995" manufacturer "Bally" desc "Theatre Of Magic (1.2A)" devices ())
(name "tom_13" year "1995" manufacturer "Bally" desc "Theatre Of Magic (1.3X)" devices ())
(name "tom_14h" year "2005" manufacturer "Bally" desc "Theatre Of Magic (1.4H)" devices ())
(name "tomagic" year "1997" manufacturer "Hobbitron T.K.Trading Co. Ltd." desc "Tom Tom Magic" devices ())
(name "tomahawk" year "1980" manufacturer "Data East" desc "Tomahawk 777 (rev 5)" devices ())
(name "tomahawk1" year "1980" manufacturer "Data East" desc "Tomahawk 777 (rev 1)" devices ())
(name "tomcat" year "1985" manufacturer "Atari" desc "TomCat (prototype)" devices ())
(name "tomcatsw" year "1983" manufacturer "Atari" desc "TomCat (Star Wars hardware, prototype)" devices ())
(name "tomcpin" year "2003" manufacturer "Tomy / SSD Company LTD" desc "Champiyon Pinball (Japan)" devices ())
(name "tomplc" year "2004" manufacturer "Tomy / SSD Company LTD" desc "Nihon Isshuu - Boku wa Plarail Untenshi (Japan)" devices ())
(name "tomsadvs" year "19??" manufacturer "unknown" desc "Tom's Adventures" devices ())
(name "tomshoot" year "2002" manufacturer "Tomy / SSD Company LTD" desc "Shooting King (Japan)" devices ())
(name "tomy_102" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (USA 1.02, display A3.00)" devices ())
(name "tomy_102be" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (Belgium 1.02, display A1.02)" devices ())
(name "tomy_201h" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (Dutch 2.01, display A2.00)" devices ())
(name "tomy_300h" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (Dutch 3.00, display A3.00)" devices ())
(name "tomy_301g" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (German 3.01, display G3.00)" devices ())
(name "tomy_400" year "1994" manufacturer "Data East" desc "The Who's Tommy Pinball Wizard (USA 4.00, display A4.00)" devices ())
(name "tondemo" year "1999" manufacturer "Tecmo" desc "Tondemo Crisis (Japan)" devices ())
(name "tongzi" year "2003" manufacturer "Ster" desc "Tong Zi Maque" devices ())
(name "tonpuu" year "1997" manufacturer "ANES" desc "Ton Puu Mahjong Version 2.0 RX (Japan)" devices ())
(name "tonto" year "1984" manufacturer "British Telecom Business Systems" desc "Merlin M1800 Tonto" devices ((name "microtape1" briefname "utap1" ) (name "microtape2" briefname "utap2" ) (name "cartridge" briefname "cart" )))
(name "tonton" year "1987" manufacturer "Success / Taiyo Jidoki" desc "Waku Waku Doubutsu Land TonTon (Japan)" devices ())
(name "tontonb" year "1987" manufacturer "Dynax" desc "Tonton (Japan)" devices ())
(name "tonypok" year "1991" manufacturer "Corsica" desc "Poker Master (Tony-Poker V3.A, hack?)" devices ())
(name "toobin" year "1988" manufacturer "Atari Games" desc "Toobin' (rev 3)" devices ())
(name "toobin1" year "1988" manufacturer "Atari Games" desc "Toobin' (rev 1)" devices ())
(name "toobin2" year "1988" manufacturer "Atari Games" desc "Toobin' (rev 2)" devices ())
(name "toobin2e" year "1988" manufacturer "Atari Games" desc "Toobin' (Europe, rev 2)" devices ())
(name "toobine" year "1988" manufacturer "Atari Games" desc "Toobin' (Europe, rev 3)" devices ())
(name "toobing" year "1988" manufacturer "Atari Games" desc "Toobin' (German, rev 3)" devices ())
(name "top21" year "200?" manufacturer "Assogiochi Assago" desc "Top XXI (Version 1.2)" devices ())
(name "topaliens" year "1994" manufacturer "Tiger Electronics" desc "Operation: Aliens (Tiger)" devices ())
(name "topaz" year "1979" manufacturer "Inder" desc "Topaz (Inder)" devices ())
(name "topaz_l1" year "1978" manufacturer "Williams" desc "Topaz (Shuffle) (L-1)" devices ())
(name "topbana" year "1997" manufacturer "Aristocrat" desc "Top Banana (0100550V, NSW/ACT)" devices ())
(name "topbladv" year "2003" manufacturer "SonoKong / Expotato" desc "Top Blade V" devices ())
(name "topdrive" year "1995" manufacturer "Proyesel" desc "Top Driving (version 1.1)" devices ())
(name "topgame" year "19??" manufacturer "Splin" desc "Top Game Laser L10 (Bingo)" devices ())
(name "topgamet" year "19??" manufacturer "Splin" desc "Top Game Turbo (Bingo)" devices ())
(name "topgear" year "1996" manufacturer "Aristocrat" desc "Top Gear (4VXFC969, New Zealand)" devices ())
(name "topgun" year "1987" manufacturer "Konami" desc "Vs. Top Gun" devices ())
(name "topgunbl" year "1986" manufacturer "bootleg" desc "Top Gunner (bootleg, Rotary Joystick)" devices ())
(name "topgunnr" year "1986" manufacturer "Exidy" desc "Top Gunner (Exidy)" devices ())
(name "topgunr" year "1986" manufacturer "Konami" desc "Top Gunner (US, 8-way Joystick)" devices ())
(name "tophuntr" year "1994" manufacturer "SNK" desc "Top Hunter - Roddy & Cathy (NGM-046)" devices ((name "memcard" briefname "memc" ) ()))
(name "tophuntrh" year "1994" manufacturer "SNK" desc "Top Hunter - Roddy & Cathy (NGH-046)" devices ((name "memcard" briefname "memc" ) ()))
(name "topland" year "1988" manufacturer "Taito Corporation Japan" desc "Top Landing (World)" devices ())
(name "toplandj" year "1988" manufacturer "Taito Corporation" desc "Top Landing (Japan)" devices ())
(name "toppin" year "1988" manufacturer "Nuova Bell Games" desc "Top Pin" devices ())
(name "toppyrap" year "1996" manufacturer "SemiCom" desc "Toppy & Rappy" devices ())
(name "topracer" year "1984" manufacturer "bootleg" desc "Top Racer (with MB8841 + MB8842, 1984)" devices ())
(name "topracera" year "1983" manufacturer "bootleg" desc "Top Racer (with MB8841 + MB8842, 1983)" devices ())
(name "topracern" year "1982" manufacturer "bootleg" desc "Top Racer (no MB8841 + MB8842)" devices ())
(name "toprdice" year "2001" manufacturer "Aristocrat" desc "Touch of Paradice (20007511, NSW/ACT)" devices ())
(name "toprollr" year "1983" manufacturer "Jaleco" desc "Top Roller" devices ())
(name "topsecex" year "1986" manufacturer "Exidy" desc "Top Secret (Exidy) (version 1.0)" devices ())
(name "topsecrt" year "1987" manufacturer "Capcom" desc "Top Secret (Japan, old revision)" devices ())
(name "topsecrt2" year "1987" manufacturer "Capcom" desc "Top Secret (Japan, revision B)" devices ())
(name "topshoot" year "1995" manufacturer "Sun Mixing" desc "Top Shooter" devices ())
(name "topshta6" year "2002" manufacturer "Aristocrat" desc "Top Shot (30123211, NSW/ACT)" devices ())
(name "topskatr" year "1997" manufacturer "Sega" desc "Top Skater (Export, Revision A)" devices ())
(name "topskatrj" year "1997" manufacturer "Sega" desc "Top Skater (Japan)" devices ())
(name "topskatru" year "1997" manufacturer "Sega" desc "Top Skater (USA, Revision A)" devices ())
(name "topskatruo" year "1997" manufacturer "Sega" desc "Top Skater (USA)" devices ())
(name "topsound" year "1988" manufacturer "ManilaMatic" desc "Top Sound (French)" devices ())
(name "topspeed" year "1987" manufacturer "Taito Corporation Japan" desc "Top Speed (World, rev 1)" devices ())
(name "topspeedu" year "1987" manufacturer "Taito America Corporation (Romstar license)" desc "Top Speed (US)" devices ())
(name "toptcash" year "2002" manufacturer "VideoIdea" desc "Top T. Cash" devices ())
(name "toptek286" year "19??" manufacturer "Toptek Micro Computer" desc "286 Turbo" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "toramich" year "1987" manufacturer "Capcom" desc "Tora e no Michi (Japan)" devices ())
(name "torarech" year "2000" manufacturer "Nichibutsu/Love Factory/M Friend" desc "Torarechattano - AV Kantoku Hen (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "toratora" year "1980" manufacturer "Game Plan" desc "Tora Tora (prototype?)" devices ())
(name "toratorab" year "1980" manufacturer "Game Plan" desc "Tora Tora (set 2)" devices ())
(name "torch" year "1980" manufacturer "Gottlieb" desc "Torch" devices ())
(name "torch301" year "1984" manufacturer "Torch Computers" desc "Torch Model 301" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "torch725" year "1984" manufacturer "Torch Computers" desc "Torch Model 725" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "torchf" year "1982" manufacturer "Torch Computers" desc "Torch CF240" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "torchh" year "1983" manufacturer "Torch Computers" desc "Torch CH240" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "romimage3" briefname "rom3" ) (name "romimage4" briefname "rom4" ) (name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "torgods" year "2000" manufacturer "Aristocrat" desc "Torch of the Gods (10000411, NSW/ACT)" devices ())
(name "torgodsa" year "2004" manufacturer "Aristocrat" desc "Torch of the Gods (20210211, ASP)" devices ())
(name "toride2g" year "1994" manufacturer "Metro" desc "Toride II Adauchi Gaiden" devices ())
(name "toride2gg" year "1994" manufacturer "Metro" desc "Toride II Adauchi Gaiden (German)" devices ())
(name "toride2gk" year "1994" manufacturer "Metro" desc "Toride II Bok Su Oi Jeon Adauchi Gaiden (Korea)" devices ())
(name "toride2j" year "1994" manufacturer "Metro" desc "Toride II (Japan)" devices ())
(name "tornado1" year "1980" manufacturer "bootleg (Jeutel)" desc "Tornado (bootleg of Defender, set 1)" devices ())
(name "tornado2" year "1980" manufacturer "bootleg (Jeutel)" desc "Tornado (bootleg of Defender, set 2)" devices ())
(name "tornbase" year "1976" manufacturer "Dave Nutting Associates / Midway / Taito" desc "Tornado Baseball / Ball Park" devices ())
(name "torp_a16" year "1988" manufacturer "Data East" desc "Torpedo Alley (1.6)" devices ())
(name "torp_e21" year "1988" manufacturer "Data East" desc "Torpedo Alley (2.1, Europe)" devices ())
(name "tortufam" year "1997" manufacturer "C.M.C." desc "Tortuga Family (Italian)" devices ())
(name "torus" year "1996" manufacturer "Yun Sung" desc "Torus" devices ())
(name "toryumon" year "1994" manufacturer "Sega" desc "Toryumon" devices ())
(name "tosh1000" year "1987" manufacturer "Toshiba" desc "Toshiba T1000" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "tot3200sxc" year "199?" manufacturer "Toshiba" desc "T3200SXC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "totan_04" year "1996" manufacturer "Williams" desc "Tales Of The Arabian Nights (0.4)" devices ())
(name "totan_12" year "1996" manufacturer "Williams" desc "Tales Of The Arabian Nights (1.2)" devices ())
(name "totan_13" year "1996" manufacturer "Williams" desc "Tales Of The Arabian Nights (1.3)" devices ())
(name "totan_14" year "1996" manufacturer "Williams" desc "Tales Of The Arabian Nights (1.4)" devices ())
(name "totcarn" year "1992" manufacturer "Midway" desc "Total Carnage (rev LA1 03/10/92)" devices ())
(name "totcarnp1" year "1992" manufacturer "Midway" desc "Total Carnage (prototype, proto v 1.0 01/25/92)" devices ())
(name "totcarnp2" year "1992" manufacturer "Midway" desc "Total Carnage (prototype, proto v 2.0 02/10/92)" devices ())
(name "totd" year "2000" manufacturer "Sega" desc "The Typing of the Dead (Rev A)" devices ())
(name "totdo" year "2000" manufacturer "Sega" desc "The Typing of the Dead" devices ())
(name "totem" year "1979" manufacturer "Gottlieb" desc "Totem" devices ())
(name "totlvica" year "1997" manufacturer "Konami" desc "Total Vice (ver AAB)" devices ((name "cdrom" briefname "cdrm" )))
(name "totlvice" year "1997" manufacturer "Konami" desc "Total Vice (ver EBA)" devices ((name "cdrom" briefname "cdrm" )))
(name "totlvicj" year "1997" manufacturer "Konami" desc "Total Vice (ver JAD)" devices ((name "cdrom" briefname "cdrm" )))
(name "totlvicu" year "1997" manufacturer "Konami" desc "Total Vice (ver UAC)" devices ((name "cdrom" briefname "cdrm" )))
(name "totmejan" year "1991" manufacturer "Seibu Kaihatsu (Tecmo license)" desc "Tottemo E Jong" devices ())
(name "toto" year "1996" manufacturer "SoftClub" desc "Come Back Toto" devices ())
(name "totspies" year "2006" manufacturer "Senario / Marathon - Mystery Animation Inc." desc "Totally Spies! (France)" devices ())
(name "touchdn" year "1984" manufacturer "Gottlieb" desc "Touchdown" devices ())
(name "toucheme" year "19??" manufacturer "<unknown>" desc "Touche Me (set 1)" devices ())
(name "touchemea" year "19??" manufacturer "<unknown>" desc "Touche Me (set 2, harder)" devices ())
(name "touchgo" year "1995" manufacturer "Gaelco" desc "Touch and Go (World)" devices ())
(name "touchgoe" year "1995" manufacturer "Gaelco" desc "Touch and Go (earlier revision)" devices ())
(name "touchgok" year "1995" manufacturer "Gaelco" desc "Touch and Go (Korea, unprotected)" devices ())
(name "touchgon" year "1995" manufacturer "Gaelco" desc "Touch and Go (Non North America)" devices ())
(name "touchme" year "1979" manufacturer "Atari" desc "Touch Me (handheld, rev. 2)" devices ())
(name "toukon3" year "1997" manufacturer "Namco / Tomy" desc "Shin Nihon Pro Wrestling Toukon Retsuden 3 Arcade Edition (Japan, TR1/VER.A)" devices ())
(name "toukon4" year "2000" manufacturer "Namco" desc "Shin Nihon Pro Wrestling Toukon Retsuden 4 Arcade Edition (Japan, TRF1 Ver.A)" devices ())
(name "tour4000" year "2000" manufacturer "High Video" desc "Tour 4000" devices ())
(name "tour4010" year "2000" manufacturer "High Video" desc "Tour 4010" devices ())
(name "toureiff" year "1995?" manufacturer "Videos A A" desc "Torre Eiffel" devices ())
(name "tourpgum" year "1992?" manufacturer "Paradise Automatique / TourVisión" desc "unknown Paradise Automatique / TourVisión bowling themed poker game with gum prizes (France)" devices ())
(name "toursol" year "1995" manufacturer "Dynamo" desc "Tournament Solitaire (V1.06, 08/03/95)" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "toursol1" year "1995" manufacturer "Dynamo" desc "Tournament Solitaire (V1.04, 06/22/95)" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "tourtab2" year "1978" manufacturer "Atari" desc "Tournament Table (set 2)" devices ())
(name "tourtabl" year "1978" manufacturer "Atari" desc "Tournament Table (set 1)" devices ())
(name "touryuu" year "2005" manufacturer "Yuki Enterprise" desc "Touryuumon (V1.1)?" devices ())
(name "toutango" year "1998" manufacturer "Aristocrat" desc "Toucan Tango (0100782V, NSW/ACT)" devices ())
(name "toutangonl" year "1999" manufacturer "Aristocrat" desc "Toucan Tango (0301388V, Holland)" devices ())
(name "toutrun" year "1989" manufacturer "Sega" desc "Turbo Out Run (Out Run upgrade) (FD1094 317-0118)" devices ())
(name "toutrun1" year "1989" manufacturer "Sega" desc "Turbo Out Run (deluxe cockpit) (FD1094 317-0109)" devices ())
(name "toutrun2" year "1989" manufacturer "Sega" desc "Turbo Out Run (cockpit) (FD1094 317-0106)" devices ())
(name "toutrun2d" year "1989" manufacturer "bootleg" desc "Turbo Out Run (cockpit) (bootleg of FD1094 317-0106 set)" devices ())
(name "toutrun3" year "1989" manufacturer "Sega" desc "Turbo Out Run (cockpit) (FD1094 317-0107)" devices ())
(name "toutrun3d" year "1989" manufacturer "bootleg" desc "Turbo Out Run (cockpit) (bootleg of FD1094 317-0107 set)" devices ())
(name "toutrund" year "1989" manufacturer "bootleg" desc "Turbo Out Run (Out Run upgrade) (bootleg of FD1094 317-0118 set)" devices ())
(name "toutrunj" year "1989" manufacturer "Sega" desc "Turbo Out Run (Japan, Out Run upgrade) (FD1094 317-0117)" devices ())
(name "toutrunj1" year "1989" manufacturer "Sega" desc "Turbo Out Run (Japan, cockpit) (FD1094 317-0101)" devices ())
(name "toutrunj1d" year "1989" manufacturer "bootleg" desc "Turbo Out Run (Japan, cockpit) (bootleg of FD1094 317-0101 set)" devices ())
(name "toutrunjd" year "1989" manufacturer "bootleg" desc "Turbo Out Run (Japan, Out Run upgrade) (bootleg of FD1094 317-0117 set)" devices ())
(name "tower386sx" year "198?" manufacturer "Schneider Rundfunkwerke AG" desc "386SX System 40 (VGA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "towerat2xx" year "198?" manufacturer "Schneider Rundfunkwerke AG" desc "Tower AT 201, 202, 220, 240 and 260 (286,EGA)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "toyfight" year "1999" manufacturer "Sega / Anchor Inc." desc "Toy Fighter" devices ())
(name "toyland" year "2001" manufacturer "SemiCom" desc "Toy Land Adventure" devices ())
(name "toypop" year "1986" manufacturer "Namco" desc "Toypop" devices ())
(name "toysmarch" year "2005" manufacturer "Konami" desc "Toy's March (E00:J:A:A:2005011602)" devices ())
(name "toysmarch2" year "2005" manufacturer "Konami" desc "Toy's March 2 (F00:J:A:A:2005110400)" devices ())
(name "tp1983" year "1983" manufacturer "Radio" desc "TV Test Pattern Generator 1983" devices ())
(name "tp1985" year "1985" manufacturer "Radio" desc "TV Test Pattern Generator 1985" devices ())
(name "tp2m32" year "1997" manufacturer "Jaleco" desc "Tetris Plus 2 (ver 1.0, MegaSystem 32 Version)" devices ())
(name "tp84" year "1984" manufacturer "Konami" desc "Time Pilot '84 (set 1)" devices ())
(name "tp84a" year "1984" manufacturer "Konami" desc "Time Pilot '84 (set 2)" devices ())
(name "tp84b" year "1984" manufacturer "Konami" desc "Time Pilot '84 (set 3)" devices ())
(name "tpc310" year "1987" manufacturer "Talent" desc "TPC-310 (MSX2, Argentina)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tpgolf" year "1990" manufacturer "SNK" desc "Top Player's Golf (NGM-003 ~ NGH-003)" devices ((name "memcard" briefname "memc" ) ()))
(name "tpitfight" year "1991" manufacturer "Tiger Electronics" desc "Pit-Fighter (Tiger)" devices ())
(name "tpoker2" year "1993" manufacturer "Micro Manufacturing" desc "Turbo Poker 2" devices ())
(name "tpp311" year "1987" manufacturer "Talent" desc "TPP-311 (MSX2, Argentina)" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tps312" year "1987" manufacturer "Talent" desc "TPS-312 (MSX2, Argentina)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "tqst" year "1996" manufacturer "Ace" desc "Treasure Quest" devices ())
(name "tqstp" year "1996" manufacturer "Ace" desc "Treasure Quest (Protocol)" devices ())
(name "tr175" year "1982" manufacturer "Relisys" desc "TR-175 II" devices ())
(name "tr505" year "1986" manufacturer "Roland" desc "TR-505 Rhythm Composer" devices ())
(name "tr606" year "1982" manufacturer "Roland" desc "TR-606 Drumatix" devices ())
(name "tr707" year "1985" manufacturer "Roland" desc "TR-707 Rhythm Composer" devices ((name "cartridge" briefname "cart" )))
(name "tr727" year "1985" manufacturer "Roland" desc "TR-727 Rhythm Composer" devices ((name "cartridge" briefname "cart" )))
(name "tr808" year "1980" manufacturer "Roland" desc "TR-808 Rhythm Composer" devices ())
(name "tr909" year "1984" manufacturer "Roland" desc "TR-909 Rhythm Composer" devices ((name "cartridge" briefname "cart" )))
(name "trackfld" year "1983" manufacturer "Konami" desc "Track & Field" devices ())
(name "trackfldc" year "1983" manufacturer "Konami (Centuri license)" desc "Track & Field (Centuri)" devices ())
(name "trackfldnz" year "1982" manufacturer "bootleg? (Goldberg Enterprizes Inc.)" desc "Track & Field (NZ bootleg?)" devices ())
(name "trackfldu" year "1983" manufacturer "Konami (Centuri license)" desc "Track & Field (Centuri, unencrypted)" devices ())
(name "trailblz" year "1987" manufacturer "Coinmaster" desc "Trail Blazer" devices ())
(name "trailer" year "1985" manufacturer "Playmatic" desc "Trailer" devices ())
(name "trakcvg" year "198?" manufacturer "Trakton" desc "Trakton Computer Video Game" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "trally" year "1991" manufacturer "Alpha Denshi Co." desc "Thrash Rally (ALM-003 ~ ALH-003)" devices ((name "memcard" briefname "memc" ) ()))
(name "tranqgun" year "1980" manufacturer "Sega" desc "Tranquillizer Gun" devices ())
(name "transfrm" year "1986" manufacturer "Sega" desc "Transformer" devices ())
(name "tranz330" year "1985" manufacturer "VeriFone" desc "Tranz 330" devices ())
(name "travrusa" year "1983" manufacturer "Irem" desc "Traverse USA / Zippy Race" devices ())
(name "travrusab" year "1983" manufacturer "bootleg (I.P.)" desc "Traverse USA (bootleg, set 1)" devices ())
(name "travrusab2" year "1983" manufacturer "bootleg" desc "Traverse USA (bootleg, set 2)" devices ())
(name "trbwtchs" year "2008" manufacturer "Adventure Planning Service/Studio SiestA" desc "Trouble Witches AC (v1.00J)" devices ())
(name "trckydoc" year "1987" manufacturer "Tecfri" desc "Tricky Doc (set 1)" devices ())
(name "trckydoca" year "1987" manufacturer "Tecfri" desc "Tricky Doc (set 2)" devices ())
(name "treacity" year "1997" manufacturer "Subsino (American Alpha license)" desc "Treasure City (Ver. 208)" devices ())
(name "treacity202" year "1997" manufacturer "Subsino (American Alpha license)" desc "Treasure City (Ver. 202)" devices ())
(name "treahunt" year "1982" manufacturer "Hara Industries" desc "Treasure Hunt" devices ())
(name "treamary" year "200?" manufacturer "Subsino" desc "Treasure Mary" devices ())
(name "trebltop" year "1991" manufacturer "BFM" desc "Treble Top (39-360-070)" devices ())
(name "trebol" year "1985" manufacturer "Regama" desc "Trebol" devices ())
(name "trek_110" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 1.10, display A1.06)" devices ())
(name "trek_110_a027" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 1.10, display A0.27)" devices ())
(name "trek_117" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 1.17, display A1.09)" devices ())
(name "trek_120" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 1.20, display A1.06)" devices ())
(name "trek_200" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 2.00, display A1.09)" devices ())
(name "trek_201" year "1992" manufacturer "Data East" desc "Star Trek 25th Anniversary (USA 2.01, display A1.09)" devices ())
(name "trgheart" year "2006" manufacturer "Warashi" desc "Trigger Heart Exelica Ver.A (Japan) (GDL-0036A)" devices ((name "cdrom" briefname "cdrm" )))
(name "trghearto" year "2006" manufacturer "Warashi" desc "Trigger Heart Exelica (Japan) (GDL-0036)" devices ((name "cdrom" briefname "cdrm" )))
(name "tricep" year "1985" manufacturer "Morrow Designs" desc "Tricep" devices ())
(name "tricksht" year "1982" manufacturer "LTD" desc "Trick Shooter" devices ())
(name "tricktrp" year "1987" manufacturer "Konami" desc "Trick Trap (World?)" devices ())
(name "trident" year "1979" manufacturer "Stern" desc "Trident" devices ())
(name "tridento" year "1979" manufacturer "Stern" desc "Trident (Older set)" devices ())
(name "trigon" year "1990" manufacturer "Konami" desc "Trigon (Japan)" devices ())
(name "trikitri" year "1993" manufacturer "bootleg (DDT Enterprise Inc)" desc "Triki Triki (bootleg of Lover Boy)" devices ())
(name "triomphe" year "1985" manufacturer "Chess King / Intelligent Software" desc "Triomphe" devices ())
(name "triothep" year "1989" manufacturer "Data East Corporation" desc "Trio The Punch - Never Forget Me... (World)" devices ())
(name "triothepj" year "1989" manufacturer "Data East Corporation" desc "Trio The Punch - Never Forget Me... (Japan)" devices ())
(name "tripdraw" year "1981" manufacturer "Status Games" desc "Tripple Draw (V3.1 s)" devices ())
(name "tripfev" year "2006" manufacturer "IGS" desc "Triple Fever (V107US)" devices ())
(name "tripjok" year "19??" manufacturer "Seeben (Belgium)" desc "Triple Joker (Bingo)" devices ())
(name "triplay" year "1985" manufacturer "Gottlieb" desc "Chicago Cubs' Triple Play" devices ())
(name "triplaya" year "1985" manufacturer "Gottlieb" desc "Chicago Cubs' Triple Play (alternate set)" devices ())
(name "triplayg" year "1985" manufacturer "Gottlieb" desc "Chicago Cubs' Triple Play (German)" devices ())
(name "triplep" year "1982" manufacturer "K.K. International" desc "Triple Punch (set 1)" devices ())
(name "triplepa" year "1982" manufacturer "K.K. International" desc "Triple Punch (set 2)" devices ())
(name "triplew1" year "1989" manufacturer "Nichibutsu" desc "Mahjong Triple Wars (Japan)" devices ())
(name "triplew2" year "1990" manufacturer "Nichibutsu" desc "Mahjong Triple Wars 2 (Japan)" devices ())
(name "triplfun" year "1993" manufacturer "bootleg" desc "Triple Fun" devices ())
(name "triplfunk" year "1993" manufacturer "bootleg (Jin Young)" desc "Sum-eoitneun Deongdalireul Chat-ara!" devices ())
(name "triplhnt" year "1977" manufacturer "Atari" desc "Triple Hunt" devices ())
(name "tripool" year "1981" manufacturer "Noma (Casino Tech license)" desc "Tri-Pool: 3-In-One (Casino Tech)" devices ())
(name "tripoola" year "1981" manufacturer "Noma (Coastal Games license)" desc "Tri-Pool: 3-In-One (Coastal Games)" devices ())
(name "trisport" year "1989" manufacturer "Bally Midway" desc "Tri-Sports" devices ())
(name "triton41" year "1978" manufacturer "Transam" desc "Triton L4.1" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "printout" briefname "prin" )))
(name "triton51" year "1979" manufacturer "Transam" desc "Triton L5.1" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "printout" briefname "prin" )))
(name "triton52" year "1980" manufacturer "Transam" desc "Triton L5.2" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "printout" briefname "prin" )))
(name "triton72" year "1980" manufacturer "Transam" desc "Triton L7.2" devices ((name "cassette" briefname "cass" ) (name "romimage1" briefname "rom1" ) (name "romimage2" briefname "rom2" ) (name "printout" briefname "prin" )))
(name "tritreat" year "2002" manufacturer "Aristocrat" desc "Triple Treat (0201692V, NSW/ACT)" devices ())
(name "triumec" year "2002" manufacturer "Mitsubishi" desc "Trium Eclipse" devices ())
(name "trivia" year "1975" manufacturer "Ramtek" desc "Trivia (Rev B)" devices ())
(name "triviabb" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (Baby Boomer Edition) (3/20/85)" devices ())
(name "triviaes" year "1987" manufacturer "Bally/Sente (Maibesa license)" desc "Trivial Pursuit (Volumen III, Spanish, Maibesa license)" devices ())
(name "triviaes2" year "1987" manufacturer "Bally/Sente (Maibesa license)" desc "Trivial Pursuit (Volumen II, Spanish, Maibesa license)" devices ())
(name "triviaes4" year "1988" manufacturer "Bally/Sente (Maibesa license)" desc "Trivial Pursuit (Volumen IV, Spanish, Maibesa hardware)" devices ())
(name "triviaes5" year "19??" manufacturer "Bally/Sente (Maibesa license)" desc "Trivial Pursuit (Volumen V, Spanish, Maibesa hardware)" devices ())
(name "triviag1" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (Think Tank - Genus Edition) (2/12/85)" devices ())
(name "triviag1a" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (Think Tank - Genus Edition) (12/14/84)" devices ())
(name "triviag2" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (Genus II Edition) (3/22/85)" devices ())
(name "trivialp" year "1996" manufacturer "JPM" desc "Trivial Pursuit (New Edition) (prod. 1D)" devices ())
(name "trivialpd" year "1996" manufacturer "JPM" desc "Trivial Pursuit (New Edition) (prod. 1D) (Protocol)" devices ())
(name "trivialpo" year "1996" manufacturer "JPM" desc "Trivial Pursuit" devices ())
(name "triviaqz" year "1985" manufacturer "Intermatic Manufacturing" desc "Professor Trivia (set 1)" devices ())
(name "triviaqz2" year "1985" manufacturer "Intermatic Manufacturing" desc "Professor Trivia (set 2)" devices ())
(name "triviasp" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (All Star Sports Edition)" devices ())
(name "triviayp" year "1984" manufacturer "Bally/Sente" desc "Trivial Pursuit (Young Players Edition) (3/29/85)" devices ())
(name "trivquiz" year "1984" manufacturer "Status Games" desc "Triv Quiz" devices ())
(name "trivrus" year "2009" manufacturer "AGT" desc "Trivia R Us (v1.07)" devices ())
(name "trizeal" year "2004" manufacturer "Triangle Service" desc "Trizeal (Japan) (GDL-0026)" devices ((name "cdrom" briefname "cdrm" )))
(name "trizn_l1" year "1978" manufacturer "Williams" desc "Tri Zone (L-1)" devices ())
(name "trizn_t1" year "1978" manufacturer "Williams" desc "Tri Zone (T-1)" devices ())
(name "trkfldch" year "2007" manufacturer "Konami" desc "Track & Field Challenge" devices ())
(name "trmavia" year "2001" manufacturer "Alcatel / Telefonica" desc "TRMA VIA" devices ())
(name "troangel" year "1983" manufacturer "Irem" desc "Tropical Angel" devices ())
(name "trobhood" year "1991" manufacturer "Tiger Electronics" desc "Robin Hood (Tiger)" devices ())
(name "trobocop2" year "1990" manufacturer "Tiger Electronics" desc "Robocop 2 (Tiger)" devices ())
(name "trobocop3" year "1992" manufacturer "Tiger Electronics" desc "Robocop 3 (Tiger)" devices ())
(name "trocana" year "1996" manufacturer "NTC / NMK" desc "Trocana" devices ())
(name "trockteer" year "1991" manufacturer "Tiger Electronics" desc "The Rocketeer (Tiger)" devices ())
(name "trog" year "1990" manufacturer "Midway" desc "Trog (rev LA5 3/29/91)" devices ())
(name "trog3" year "1990" manufacturer "Midway" desc "Trog (rev LA3 2/14/91)" devices ())
(name "trog3a" year "1990" manufacturer "Midway" desc "Trog (rev LA3 2/10/91)" devices ())
(name "trog4" year "1990" manufacturer "Midway" desc "Trog (rev LA4 3/11/91)" devices ())
(name "trogpa4" year "1990" manufacturer "Midway" desc "Trog (prototype, rev 4.00 7/27/90)" devices ())
(name "trogpa5" year "1990" manufacturer "Midway" desc "Trog (prototype, rev PA5-PAC 8/28/90)" devices ())
(name "trogpa6" year "1990" manufacturer "Midway" desc "Trog (prototype, rev PA6-PAC 9/09/90)" devices ())
(name "trojan" year "1986" manufacturer "Capcom" desc "Trojan (US set 1)" devices ())
(name "trojana" year "1986" manufacturer "Capcom" desc "Trojan (US set 2)" devices ())
(name "trojanb" year "1986" manufacturer "bootleg" desc "Trojan (bootleg)" devices ())
(name "trojanj" year "1986" manufacturer "Capcom" desc "Tatakai no Banka (Japan)" devices ())
(name "trojanjo" year "1986" manufacturer "Capcom" desc "Tatakai no Banka (Japan, old ver.)" devices ())
(name "trojanlt" year "1986" manufacturer "Capcom" desc "Trojan (location test)" devices ())
(name "trojanr" year "1986" manufacturer "Capcom (Romstar license)" desc "Trojan (Romstar, set 1)" devices ())
(name "trojanra" year "1986" manufacturer "Capcom (Romstar license)" desc "Trojan (Romstar, set 2)" devices ())
(name "trojhors" year "2001" manufacturer "Aristocrat" desc "Trojan Horse (01J00851, NSW/ACT)" devices ())
(name "tron" year "1982" manufacturer "Bally Midway" desc "Tron (8/9)" devices ())
(name "tron2" year "1982" manufacturer "Bally Midway" desc "Tron (6/25)" devices ())
(name "tron3" year "1982" manufacturer "Bally Midway" desc "Tron (6/17)" devices ())
(name "tron4" year "1982" manufacturer "Bally Midway" desc "Tron (6/15)" devices ())
(name "tron5" year "1982" manufacturer "Bally Midway" desc "Tron (5/12)" devices ())
(name "tronger" year "1982" manufacturer "Bally Midway" desc "Tron (Germany)" devices ())
(name "troopy" year "1984" manufacturer "bootleg" desc "Troopy (bootleg of Mr. Kougar)" devices ())
(name "tropchnc" year "1999" manufacturer "Konami" desc "Tropical Chance" devices ((name "cdrom" briefname "cdrm" )))
(name "trophyh" year "2002" manufacturer "Sammy USA Corporation" desc "Trophy Hunting - Bear & Moose V1.00" devices ())
(name "trophyht" year "2002" manufacturer "Sammy USA Corporation" desc "Trophy Hunting - Bear & Moose V1.00 (location test)" devices ())
(name "trpdlght" year "1996" manufacturer "Aristocrat" desc "Tropical Delight (0100269V, NSW/ACT)" devices ())
(name "trpdlghtu" year "1997" manufacturer "Aristocrat" desc "Tropical Delight (PHG0625-02, US)" devices ())
(name "trs80" year "1977" manufacturer "Tandy Radio Shack" desc "TRS-80 Model I (Level I Basic)" devices ((name "cassette" briefname "cass" )))
(name "trs80dt1" year "1982" manufacturer "Radio Shack" desc "TRS-80 DT-1 Data Terminal" devices ((name "printout" briefname "prin" )))
(name "trs80l2" year "1978" manufacturer "Tandy Radio Shack" desc "TRS-80 Model I (Level II Basic)" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "trs80m16" year "1982" manufacturer "Tandy Radio Shack" desc "TRS-80 Model 16" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "trs80m2" year "1979" manufacturer "Tandy Radio Shack" desc "TRS-80 Model II" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "trs80m3" year "1980" manufacturer "Tandy Radio Shack" desc "TRS-80 Model III" devices ((name "cassette" briefname "cass" ) (name "quickload" briefname "quik" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "trs80m4" year "1980" manufacturer "Tandy Radio Shack" desc "TRS-80 Model 4" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "trs80m4p" year "1983" manufacturer "Tandy Radio Shack" desc "TRS-80 Model 4P" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "trs80pc3" year "1983" manufacturer "Tandy Radio Shack" desc "TRS-80 Pocket Computer PC-3" devices ())
(name "trsgkeep" year "1983" manufacturer "Tronica" desc "Super Goal Keeper" devices ())
(name "trshutvoy" year "1983" manufacturer "Tronica" desc "Shuttle Voyage" devices ())
(name "trsking" year "2006" manufacturer "Aristocrat" desc "Treasure King (0152570, US)" devices ())
(name "trsm100" year "1983" manufacturer "Tandy Radio Shack" desc "TRS-80 Model 100" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "trspacmis" year "1982" manufacturer "Tronica" desc "Space Mission (Tronica)" devices ())
(name "trspider" year "1982" manufacturer "Tronica" desc "Spider (Tronica)" devices ())
(name "trsrescue" year "1982" manufacturer "Tronica" desc "Space Rescue" devices ())
(name "trstar" year "1993" manufacturer "Taito Corporation Japan" desc "Top Ranking Stars (Ver 2.1O 1993/05/21) (New Version)" devices ())
(name "trstar2k" year "200?" manufacturer "A.M." desc "Triple Star 2000" devices ())
(name "trstarj" year "1993" manufacturer "Taito Corporation" desc "Top Ranking Stars (Ver 2.1J 1993/05/21) (New Version)" devices ())
(name "trstaro" year "1993" manufacturer "Taito Corporation Japan" desc "Top Ranking Stars (Ver 2.1O 1993/05/21) (Old Version)" devices ())
(name "trstaroj" year "1993" manufacturer "Taito Corporation" desc "Top Ranking Stars (Ver 2.1J 1993/05/21) (Old Version)" devices ())
(name "trstrove" year "2000" manufacturer "Aristocrat" desc "Treasure Trove (01J00161, NSW/ACT)" devices ())
(name "trsvidtx" year "1980" manufacturer "Tandy Radio Shack" desc "Videotex" devices ((name "bitbanger" briefname "bitb" )))
(name "trthuball" year "1983" manufacturer "Tronica" desc "Thunder Ball (Tronica)" devices ())
(name "truckk" year "2000" manufacturer "Metro / Namco" desc "Truck Kyosokyoku (Japan, TKK2/VER.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "trucksp2" year "1988" manufacturer "Bally" desc "Truck Stop (P-2)" devices ())
(name "trucksp3" year "1988" manufacturer "Bally" desc "Truck Stop (P-3)" devices ())
(name "truco" year "198?" manufacturer "Playtronic SRL" desc "Truco-Tron" devices ())
(name "trucocl" year "1991" manufacturer "Miky SRL" desc "Truco Clemente" devices ())
(name "truxton" year "1988" manufacturer "Toaplan / Taito Corporation" desc "Truxton / Tatsujin" devices ())
(name "truxton2" year "1992" manufacturer "Toaplan" desc "Truxton II / Tatsujin Oh" devices ())
(name "trvchlng" year "1985" manufacturer "Joyland (Senko license)" desc "Trivia Challenge" devices ())
(name "trvgns" year "1985" manufacturer "bootleg" desc "Trivia Genius" devices ())
(name "trvhang" year "1984" manufacturer "SMS Manufacturing Corp." desc "Trivia Hangup (question set 1)" devices ())
(name "trvhanga" year "1984" manufacturer "SMS Manufacturing Corp." desc "Trivia Hangup (question set 2)" devices ())
(name "trvmadns" year "1985" manufacturer "Thunderhead Inc." desc "Trivia Madness - Series A Question set" devices ())
(name "trvmadnsa" year "1985" manufacturer "Thunderhead Inc." desc "Trivia Madness - Series B Question set" devices ())
(name "trvmstr" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Trivia Master (set 1)" devices ())
(name "trvmstra" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Trivia Master (set 2)" devices ())
(name "trvmstrb" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Trivia Master (set 3)" devices ())
(name "trvmstrc" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Trivia Master (set 4)" devices ())
(name "trvmstrd" year "1985" manufacturer "Enerdyne Technologies Inc." desc "Trivia Master (set 5)" devices ())
(name "trvquest" year "1984" manufacturer "Techstar / Sunn" desc "Trivia Quest" devices ())
(name "trvwz" year "1985" manufacturer "Merit" desc "Trivia ? Whiz (6221-00)" devices ())
(name "trvwz2" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 2 (6221-05)" devices ())
(name "trvwz2a" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 2 (6221-05, Alt Sex trivia)" devices ())
(name "trvwz3" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 3 (6221-05, U5-0D)" devices ())
(name "trvwz3a" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 3 (6221-05, U5-0C)" devices ())
(name "trvwz3b" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 3 (6221-05, with Sex trivia III)" devices ())
(name "trvwz3v" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 3 (6221-04, U5-0E, Vertical)" devices ())
(name "trvwz4" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 4 (6221-10, U5-0A)" devices ())
(name "trvwz4v" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 4 (6221-13, U5-0B, Vertical)" devices ())
(name "trvwz4va" year "1985" manufacturer "Merit" desc "Trivia ? Whiz Edition 4 (6221-13, U5-0B, Vertical, Alt Sex trivia)" devices ())
(name "trvwza" year "1985" manufacturer "Merit" desc "Trivia ? Whiz (6221-00, with Sex trivia)" devices ())
(name "trvwzb" year "1985" manufacturer "Merit" desc "Trivia ? Whiz (6221-00, Alt Gen trivia)" devices ())
(name "trvwzv" year "1985" manufacturer "Merit" desc "Trivia ? Whiz (6221-02, Vertical)" devices ())
(name "tryomvgc" year "198?" manufacturer "Tryom" desc "Tryom Video Game Center" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tryout" year "1985" manufacturer "Data East Corporation" desc "Pro Baseball Skill Tryout (Japan)" devices ())
(name "ts1" year "1980" manufacturer "Falco Data Products" desc "TS-1 (v2.13.0)" devices ())
(name "ts10" year "1993" manufacturer "Ensoniq" desc "TS-10" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ts1000" year "1982" manufacturer "Timex Sinclair" desc "Timex Sinclair 1000" devices ((name "cassette" briefname "cass" )))
(name "ts12" year "1993" manufacturer "Ensoniq" desc "TS-12" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "ts1500" year "1983" manufacturer "Timex Sinclair" desc "Timex Sinclair 1500" devices ((name "cassette" briefname "cass" )))
(name "ts2" year "1995" manufacturer "Capcom / Takara" desc "Battle Arena Toshinden 2 (Europe 951124)" devices ())
(name "ts2068" year "1983" manufacturer "Timex Sinclair" desc "TS-2068" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "ts2624" year "1982" manufacturer "Falco Data Products" desc "TS-2624" devices ())
(name "ts28" year "1983" manufacturer "Falco" desc "Endura TS-28" devices ())
(name "ts2j" year "1995" manufacturer "Capcom / Takara" desc "Battle Arena Toshinden 2 (Japan 951124)" devices ())
(name "ts2ja" year "1995" manufacturer "Capcom / Takara" desc "Battle Arena Toshinden 2 (Japan 951124, 32Mb mask ROMs)" devices ())
(name "ts2u" year "1995" manufacturer "Capcom / Takara" desc "Battle Arena Toshinden 2 (USA 951124)" devices ())
(name "ts2ua" year "1995" manufacturer "Capcom / Takara" desc "Battle Arena Toshinden 2 (USA 951124, 32Mb mask ROMs)" devices ())
(name "ts3000" year "198?" manufacturer "Televideo" desc "TS-3000" devices ())
(name "ts34t25" year "199?" manufacturer "Highscreen" desc "486-25" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "ts802" year "1982" manufacturer "Televideo" desc "TS802" devices ((name "floppydisk" briefname "flop" )))
(name "ts802h" year "1982" manufacturer "Televideo" desc "TS802H" devices ((name "floppydisk" briefname "flop" )))
(name "ts803h" year "1983" manufacturer "Televideo" desc "TS803H" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "ts816" year "1980" manufacturer "Televideo" desc "TS816" devices ())
(name "ts_handy11" year "2001?" manufacturer "Techno Source / JungleTac" desc "Handy Boy 11-in-1 (TV Play Power)" devices ())
(name "ts_la2" year "1994" manufacturer "Bally" desc "The Shadow (LA-2)" devices ())
(name "ts_la4" year "1995" manufacturer "Bally" desc "The Shadow (LA-4)" devices ())
(name "ts_lf4" year "1994" manufacturer "Bally" desc "The Shadow (LF-4) French" devices ())
(name "ts_lf6" year "1994" manufacturer "Bally" desc "The Shadow (LF-6) French" devices ())
(name "ts_lh6" year "1995" manufacturer "Bally" desc "The Shadow (LH-6)" devices ())
(name "ts_lm6" year "1994" manufacturer "Bally" desc "The Shadow (LM-6) Mild" devices ())
(name "ts_lx4" year "1995" manufacturer "Bally" desc "The Shadow (LX-4)" devices ())
(name "ts_lx5" year "1995" manufacturer "Bally" desc "The Shadow (LX-5)" devices ())
(name "ts_pa1" year "1994" manufacturer "Bally" desc "The Shadow (PA-1)" devices ())
(name "tsamurai" year "1985" manufacturer "Kaneko / Taito" desc "Samurai Nihon-Ichi (rev 1)" devices ())
(name "tsamuraia" year "1985" manufacturer "Kaneko / Taito" desc "Samurai Nihon-Ichi" devices ())
(name "tsamuraih" year "1985" manufacturer "bootleg" desc "Samurai Nihon-Ichi (bootleg, harder)" devices ())
(name "tsarevna" year "2004" manufacturer "Kupidon" desc "Tsarevna (v1.29)" devices ())
(name "tsarevnaa" year "2004" manufacturer "Kupidon" desc "Tsarevna (v1.31)" devices ())
(name "tsbuzz" year "200?" manufacturer "Thinkway Toys" desc "Interactive M.A.G. Motion Activated Gear: Toy Story and Beyond! Buzz Lightyear Galactic Adventure" devices ())
(name "tsclass" year "1997" manufacturer "Creative Electronics And Software" desc "Trap Shoot Classic (v1.0 21-mar-1997)" devices ())
(name "tsconf" year "2011" manufacturer "NedoPC, TS-Labs" desc "ZX Evolution: TS-Configuration" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" )))
(name "tsddragon" year "1993" manufacturer "Tiger Electronics" desc "Super Double Dragon (Tiger)" devices ())
(name "tsf2010" year "1991" manufacturer "Tiger Electronics" desc "Street Fighter 2010: The Final Fight (Tiger)" devices ())
(name "tsfight2" year "1993" manufacturer "Tiger Electronics" desc "Street Fighter II (Tiger)" devices ())
(name "tshadow" year "1994" manufacturer "Tiger Electronics" desc "The Shadow (Tiger)" devices ())
(name "tsharr2" year "1990" manufacturer "Tiger Electronics" desc "Space Harrier II (Tiger)" devices ())
(name "tshingen" year "1988" manufacturer "Jaleco" desc "Shingen Samurai-Fighter (Japan, English)" devices ())
(name "tshingena" year "1988" manufacturer "Jaleco" desc "Takeda Shingen (Japan, Japanese)" devices ())
(name "tshoot" year "1984" manufacturer "Williams" desc "Turkey Shoot (prototype)" devices ())
(name "tsimquest" year "1988" manufacturer "Tiger Electronics" desc "Castlevania II: Simon's Quest (Tiger)" devices ())
(name "tsjam" year "1996" manufacturer "Tiger Electronics" desc "Space Jam (Tiger)" devices ())
(name "tskelwarr" year "1994" manufacturer "Tiger Electronics" desc "Skeleton Warriors: The Dark Crusade (Tiger)" devices ())
(name "tsonic" year "1992" manufacturer "Tiger Electronics" desc "Sonic The Hedgehog (Tiger)" devices ())
(name "tsonic2" year "1993" manufacturer "Tiger Electronics" desc "Sonic The Hedgehog 2 (Tiger)" devices ())
(name "tspidman" year "1991" manufacturer "Tiger Electronics" desc "Spider-Man (Tiger, 1991 version)" devices ())
(name "tsptr_l1" year "1989" manufacturer "Bally" desc "Transporter the Rescue (LA-1)" devices ())
(name "tsptr_l3" year "1989" manufacturer "Bally" desc "Transporter the Rescue (L-3)" devices ())
(name "tst_galx" year "19??" manufacturer "<unknown>" desc "Galaxian Test ROM" devices ())
(name "tst_invd" year "19??" manufacturer "<unknown>" desc "Space Invaders Test ROM" devices ())
(name "tstar432" year "1985" manufacturer "SciSys / Heuristic Software" desc "Turbostar 432 (set 1)" devices ((name "romimage" briefname "rom" )))
(name "tstar432a" year "1985" manufacturer "SciSys / Heuristic Software" desc "Turbostar 432 (set 2)" devices ((name "romimage" briefname "rom" )))
(name "tstar432b" year "1985" manufacturer "SciSys / Heuristic Software" desc "Turbostar 432 (set 3)" devices ((name "romimage" briefname "rom" )))
(name "tstrider" year "1990" manufacturer "Tiger Electronics" desc "Strider (Tiger)" devices ())
(name "tstrike" year "1991" manufacturer "East Coast Coin Company" desc "Thunder Strike (set 1)" devices ())
(name "tstrikea" year "1991" manufacturer "The Game Room" desc "Thunder Strike (set 2, older)" devices ())
(name "tstrk_l1" year "1983" manufacturer "Williams/United" desc "Triple Strike (Shuffle) (L-1)" devices ())
(name "tsukande" year "1995" manufacturer "Konami" desc "Tsukande Toru Chicchi" devices ())
(name "tsupenta" year "1991" manufacturer "Konami" desc "Tsurikko Penta" devices ())
(name "tsuperman" year "1996" manufacturer "Tiger Electronics" desc "Superman (Tiger)" devices ())
(name "tsurugi" year "2002" manufacturer "Konami" desc "Tsurugi (ver EAB)" devices ((name "harddisk" briefname "hard" )))
(name "tsurugij" year "2002" manufacturer "Konami" desc "Tsurugi (ver JAC)" devices ((name "harddisk" briefname "hard" )))
(name "tsururin" year "1990" manufacturer "Konami" desc "Tsururin Kun" devices ())
(name "tsuwaku" year "2000" manufacturer "Nichibutsu/Love Factory/Just&Just" desc "Tsuugakuro no Yuuwaku (Japan)" devices ((name "cdrom" briefname "cdrm" )))
(name "tswampt" year "1991" manufacturer "Tiger Electronics" desc "Swamp Thing (Tiger)" devices ())
(name "tt030" year "1990" manufacturer "Atari" desc "TT030 (USA)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "tt030_de" year "1990" manufacturer "Atari" desc "TT030 (Germany)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "tt030_fr" year "1990" manufacturer "Atari" desc "TT030 (France)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "tt030_pl" year "1990" manufacturer "Atari" desc "TT030 (Poland)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "tt030_uk" year "1990" manufacturer "Atari" desc "TT030 (UK)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "cartridge" briefname "cart" )))
(name "tt_game" year "19??" manufacturer "Toptronic" desc "unknown Toptronic pinball game" devices ())
(name "ttblock" year "1977" manufacturer "Taito" desc "T.T Block" devices ())
(name "ttchamp" year "1995" manufacturer "Gamart" desc "Table Tennis Champions" devices ())
(name "ttchampa" year "1995" manufacturer "Gamart (Palencia Elektronik license)" desc "Table Tennis Champions (Palencia Elektronik license)" devices ())
(name "ttfball" year "1979" manufacturer "Toytronic" desc "Football (Toytronic, set 1)" devices ())
(name "ttfballa" year "1979" manufacturer "Toytronic" desc "Football (Toytronic, set 2)" devices ())
(name "ttfitter" year "1981" manufacturer "Taito Corporation" desc "T.T Fitter (Japan)" devices ())
(name "ttmahjng" year "1981" manufacturer "Alpha Denshi Co. (Taito license)" desc "T.T Mahjong" devices ())
(name "ttransf2" year "1993" manufacturer "Tiger Electronics" desc "Transformers: Generation 2 (Tiger)" devices ())
(name "tts_l1" year "1986" manufacturer "Williams" desc "Tic-Tac-Strike (Shuffle) (L-1)" devices ())
(name "tts_l2" year "1986" manufacturer "Williams" desc "Tic-Tac-Strike (Shuffle) (L-2)" devices ())
(name "ttsracec" year "1978" manufacturer "Taito" desc "T.T. Speed Race CL" devices ())
(name "ttt_10" year "1996" manufacturer "Williams" desc "Ticket Tac Toe (1.0)" devices ())
(name "tturf" year "1989" manufacturer "Sega / Sunsoft" desc "Tough Turf (set 2, Japan) (8751 317-0104)" devices ())
(name "tturfbl" year "1989" manufacturer "bootleg (Datsu)" desc "Tough Turf (Datsu bootleg)" devices ())
(name "tturfu" year "1989" manufacturer "Sega / Sunsoft" desc "Tough Turf (set 1, US) (8751 317-0099)" devices ())
(name "ttv_lotr" year "2005" manufacturer "Tiger / SSD Company LTD" desc "Lord Of The Rings - Warrior of Middle-Earth" devices ())
(name "ttv_mx" year "2005" manufacturer "Tiger / SSD Company LTD" desc "MX Dirt Rebel" devices ())
(name "ttv_sw" year "2005" manufacturer "Tiger / SSD Company LTD" desc "Star Wars Saga Edition - Lightsaber Battle Game" devices ())
(name "ttwistbq" year "2002" manufacturer "LeapFrog" desc "Turbo Twist Brain Quest (US)" devices ((name "cartridge" briefname "cart" )))
(name "ttwistfb" year "200?" manufacturer "LeapFrog" desc "Turbo Twist Fact Blaster (US)" devices ((name "cartridge" briefname "cart" )))
(name "ttwistm" year "2002" manufacturer "LeapFrog" desc "Turbo Twist Math (US)" devices ((name "cartridge" briefname "cart" )))
(name "ttwistsp" year "2000" manufacturer "LeapFrog" desc "Turbo Twist Spelling (US)" devices ((name "cartridge" briefname "cart" )))
(name "ttwistvc" year "2001" manufacturer "LeapFrog" desc "Turbo Twist Vocabulator (US)" devices ((name "cartridge" briefname "cart" )))
(name "tubeit" year "1993" manufacturer "bootleg" desc "Tube-It" devices ())
(name "tubep" year "1984" manufacturer "Nichibutsu / Fujitek" desc "Tube Panic" devices ())
(name "tubepb" year "1984" manufacturer "bootleg" desc "Tube Panic (bootleg)" devices ())
(name "tugboat" year "1982" manufacturer "Enter-Tech, Ltd." desc "Tugboat" devices ())
(name "tulip1" year "1983" manufacturer "CompuData" desc "Tulip System I" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "tumbleb" year "1991" manufacturer "bootleg" desc "Tumble Pop (bootleg)" devices ())
(name "tumbleb2" year "1991" manufacturer "bootleg" desc "Tumble Pop (bootleg with PIC)" devices ())
(name "tumblep" year "1991" manufacturer "Data East Corporation" desc "Tumble Pop (World)" devices ())
(name "tumblepba" year "1991" manufacturer "bootleg (Playmark)" desc "Tumble Pop (Playmark bootleg)" devices ())
(name "tumblepj" year "1991" manufacturer "Data East Corporation" desc "Tumble Pop (Japan)" devices ())
(name "tunhunt" year "1979" manufacturer "Atari" desc "Tunnel Hunt" devices ())
(name "tunhuntc" year "1981" manufacturer "Atari (Centuri license)" desc "Tunnel Hunt (Centuri)" devices ())
(name "tuningrc" year "2005" manufacturer "Gaelco" desc "Gaelco Championship Tuning Race" devices ())
(name "tunixha" year "1982" manufacturer "Monaco Leisure" desc "Tunix Home Arcade" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tup240" year "200?" manufacturer "Thumbs Up" desc "Thumbs Up 240-in-1 Mini Arcade Machine" devices ())
(name "turbo" year "1981" manufacturer "Sega" desc "Turbo (program 1513-1515)" devices ())
(name "turbo16k" year "1986" manufacturer "SciSys / Heuristic Software" desc "Turbo 16K" devices ())
(name "turboa" year "1981" manufacturer "Sega" desc "Turbo (encrypted, program 1262-1264)" devices ())
(name "turbob" year "1981" manufacturer "Sega" desc "Turbo (encrypted, program 1363-1365 rev C)" devices ())
(name "turbobl" year "1981" manufacturer "bootleg" desc "Indianapolis (bootleg of Turbo)" devices ())
(name "turboc" year "1981" manufacturer "Sega" desc "Turbo (encrypted, program 1363-1365 rev B)" devices ())
(name "turbod" year "1981" manufacturer "Sega" desc "Turbo (encrypted, program 1363-1365 rev A)" devices ())
(name "turboe" year "1981" manufacturer "Sega" desc "Turbo (encrypted, program 1363-1365)" devices ())
(name "turboex" year "2004" manufacturer "LeapFrog" desc "Turbo Extreme (US)" devices ((name "cartridge" briefname "cart" )))
(name "turbofrc" year "1991" manufacturer "Video System Co." desc "Turbo Force (World, set 1)" devices ())
(name "turbofrco" year "1991" manufacturer "Video System Co." desc "Turbo Force (World, set 2)" devices ())
(name "turbofrcu" year "1991" manufacturer "Video System Co." desc "Turbo Force (US, set 1)" devices ())
(name "turbofrcua" year "1991" manufacturer "Video System Co." desc "Turbo Force (US, set 2)" devices ())
(name "turbos24k" year "1986" manufacturer "SciSys / Heuristic Software" desc "Kasparov Turbo S-24K" devices ())
(name "turbosub" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSCA)" devices ())
(name "turbosubb8" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSB8)" devices ())
(name "turbosubc5" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSC5)" devices ())
(name "turbosubc5s" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSC5*)" devices ())
(name "turbosubc6" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSC6)" devices ())
(name "turbosubc7" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSC7)" devices ())
(name "turbosubc8" year "1985" manufacturer "Entertainment Sciences" desc "Turbo Sub (prototype rev. TSC8)" devices ())
(name "turbotag" year "1985" manufacturer "Bally Midway" desc "Turbo Tag (prototype)" devices ())
(name "turfmast" year "1996" manufacturer "Nazca" desc "Neo Turf Masters / Big Tournament Golf" devices ((name "memcard" briefname "memc" ) ()))
(name "turfwld3" year "2005" manufacturer "Konami" desc "GI Turf Wild 3" devices ((name "harddisk" briefname "hard" )))
(name "turkhunt" year "2001" manufacturer "Sammy USA Corporation" desc "Turkey Hunting USA V1.00" devices ())
(name "turpin" year "1981" manufacturer "Konami (Sega license)" desc "Turpin" devices ())
(name "turpins" year "1981" manufacturer "bootleg" desc "Turpin (bootleg on Super Cobra hardware)" devices ())
(name "turrett" year "2001" manufacturer "Dell Electronics (Namco license)" desc "Turret Tower" devices ((name "harddisk" briefname "hard" )))
(name "turtles" year "1981" manufacturer "Konami (Stern Electronics license)" desc "Turtles" devices ())
(name "turtreas" year "2006" manufacturer "Aristocrat" desc "Turtle Treasure (10234711, NSW/ACT)" devices ())
(name "turtreasa" year "2006" manufacturer "Aristocrat" desc "Turtle Treasure (10239811, ASP)" devices ())
(name "turtship" year "1988" manufacturer "Philko (Sharp Image license)" desc "Turtle Ship (North America)" devices ())
(name "turtshipj" year "1988" manufacturer "Philko (Pacific Games license)" desc "Turtle Ship (Japan)" devices ())
(name "turtshipk" year "1988" manufacturer "Philko" desc "Turtle Ship (Korea)" devices ())
(name "turtshipkn" year "1988" manufacturer "Philko" desc "Turtle Ship (Korea, 88/9)" devices ())
(name "turtshipko" year "1988" manufacturer "Philko" desc "Turtle Ship (Korea, older)" devices ())
(name "tutankhm" year "1982" manufacturer "Konami" desc "Tutankham" devices ())
(name "tutankhms" year "1982" manufacturer "Konami (Stern Electronics license)" desc "Tutankham (Stern Electronics)" devices ())
(name "tutor" year "1983?" manufacturer "Tomy" desc "Tomy Tutor" devices ((name "printout" briefname "prin" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "tutstomb" year "1996" manufacturer "Island Design" desc "Tut's Tomb" devices ())
(name "tv21" year "197?" manufacturer "A-1 Supply" desc "T.V. 21" devices ())
(name "tv21_3" year "197?" manufacturer "A-1 Supply" desc "T.V. 21 III" devices ())
(name "tv910" year "1981" manufacturer "TeleVideo Systems" desc "TeleVideo Model 910" devices ())
(name "tv912b" year "1978" manufacturer "TeleVideo Systems" desc "TVI-912B" devices ())
(name "tv912c" year "1978" manufacturer "TeleVideo Systems" desc "TVI-912C" devices ())
(name "tv924" year "1984" manufacturer "TeleVideo Systems" desc "TeleVideo 924 Video Display Terminal" devices ())
(name "tv950" year "1981" manufacturer "TeleVideo" desc "Model 950 Video Display Terminal" devices ())
(name "tv955" year "1985" manufacturer "TeleVideo Systems" desc "TeleVideo 955" devices ())
(name "tv965" year "1989" manufacturer "TeleVideo Systems" desc "TeleVideo 965" devices ())
(name "tv990" year "1992" manufacturer "TeleVideo" desc "TeleVideo 990" devices ((name "printout" briefname "prin" )))
(name "tv995" year "1994" manufacturer "TeleVideo" desc "TeleVideo 995-65" devices ((name "printout" briefname "prin" )))
(name "tvbg3a" year "2007" manufacturer "NSI International / Mammoth Toys (Licensed by Hasbro)" desc "TV Board Games 3-in-1: Silly 6 Pins, Hungry Hungry Hippos, Match 'em" devices ())
(name "tvbg3b" year "2007" manufacturer "NSI International / Mammoth Toys (Licensed by Hasbro)" desc "TV Board Games 3-in-1: Simon, Battleship, Checkers" devices ())
(name "tvbg3c" year "2007" manufacturer "NSI International / Mammoth Toys (Licensed by Hasbro)" desc "TV Board Games 3-in-1: Boggle, Connect 4, Roll Over" devices ())
(name "tvbg6a" year "2007" manufacturer "NSI International / Mammoth Toys (Licensed by Hasbro)" desc "TV Board Games 6-in-1: Silly 6 Pins, Candy Land, Hungry Hungry Hippos, Match 'em, Mixin' Pics, Checkers" devices ())
(name "tvbg6b" year "2007" manufacturer "NSI International / Mammoth Toys (Licensed by Hasbro)" desc "TV Board Games 6-in-1: Simon, Battleship, Mouse Trap, Checkers, Link-a-Line, Roll Over" devices ())
(name "tvboy" year "199?" manufacturer "Systema?" desc "TV Boy (PAL)" devices ())
(name "tvboyii" year "199?" manufacturer "Systema" desc "TV Boy II (PAL)" devices ())
(name "tvc4000" year "1979" manufacturer "Koerting" desc "TVC-4000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "tvc64" year "1985" manufacturer "Videoton" desc "TVC 64" devices ((name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "tvc64p" year "1985" manufacturer "Videoton" desc "TVC 64+" devices ((name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "tvc64pru" year "1985" manufacturer "Videoton" desc "TVC 64+ (Russian)" devices ((name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "quickload" briefname "quik" )))
(name "tvcapcom" year "2008" manufacturer "Capcom" desc "Tatsunoko Vs Capcom : Cross Generation of Heroes" devices ())
(name "tvdenwad" year "1991" manufacturer "Banpresto" desc "Terebi Denwa Doraemon" devices ())
(name "tvdenwam" year "1992" manufacturer "Banpresto" desc "Terebi Denwa Super Mario World" devices ())
(name "tvdenwat" year "1992" manufacturer "Banpresto" desc "Terebi Denwa Thomas the Tank Engine and Friends" devices ())
(name "tvg2000" year "1982" manufacturer "Schmid" desc "Schmid TVG 2000" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tvgame" year "2011" manufacturer "Mr. Isizu" desc "Z80 TV Game System" devices ())
(name "tvgm8080" year "1978" manufacturer "bootleg?" desc "TV Game 8080" devices ())
(name "tvgogo" year "2005" manufacturer "Toyquest" desc "GoGo TV Video Vision" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tvindictr" year "1989" manufacturer "Tiger Electronics" desc "Vindicators (Tiger)" devices ())
(name "tvlinkp" year "199?" manufacturer "Watara" desc "TV Link PAL" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "tvochken" year "2005" manufacturer "Sega Toys" desc "TV Ocha-Ken" devices ((name "card" briefname "crd" )))
(name "tvpc_dor" year "2003" manufacturer "Epoch / SSD Company LTD" desc "TV-PC Doraemon (Japan)" devices ())
(name "tvpc_tom" year "2005" manufacturer "Epoch / SSD Company LTD" desc "TV-PC Thomas & Friends (Japan)" devices ())
(name "tvpoker" year "197?" manufacturer "A-1 Supply" desc "T.V. Poker" devices ())
(name "tvsprt10" year "2006" manufacturer "Simba / V-Tac Technology Co Ltd." desc "TV Sports 10-in-1 / Decathlon Athletic Sport Games" devices ())
(name "tvtchsb" year "2012" manufacturer "JAKKS Pacific Inc / Code Mystics" desc "TV Touch Games: SpongeBob SquarePants Jellyfish Dodge" devices ())
(name "tvtchspd" year "2012" manufacturer "JAKKS Pacific Inc / Code Mystics" desc "TV Touch Games: Spider-Man in Villain Round-Up" devices ())
(name "tvtchsw" year "2012" manufacturer "JAKKS Pacific Inc / Code Mystics" desc "TV Touch Games: Star Wars Original Trilogy" devices ())
(name "twcup90" year "1989" manufacturer "Tecmo" desc "Tecmo World Cup '90 (World set 1)" devices ())
(name "twcup90a" year "1989" manufacturer "Tecmo" desc "Tecmo World Cup '90 (Europe set 1)" devices ())
(name "twcup90b" year "1989" manufacturer "Tecmo" desc "Tecmo World Cup '90 (Europe set 2)" devices ())
(name "twcup90b1" year "1989" manufacturer "bootleg" desc "Euro League (Italian hack of Tecmo World Cup '90, set 1)" devices ())
(name "twcup90b2" year "1989" manufacturer "bootleg" desc "Worldcup '90 (hack)" devices ())
(name "twcup90b3" year "1989" manufacturer "bootleg" desc "Euro League (Italian hack of Tecmo World Cup '90, set 3)" devices ())
(name "twcup90ba" year "1989" manufacturer "bootleg" desc "Euro League (Italian hack of Tecmo World Cup '90, set 2)" devices ())
(name "twcup90bb" year "1989" manufacturer "bootleg" desc "World Cup '90 (European hack, different title)" devices ())
(name "twcup90c" year "1989" manufacturer "Tecmo" desc "Tecmo World Cup '90 (Europe set 3)" devices ())
(name "twcup90t" year "1989" manufacturer "Tecmo" desc "Tecmo World Cup '90 (trackball set 1)" devices ())
(name "twcup94" year "1994" manufacturer "Tecmo" desc "Tecmo World Cup '94 (set 1)" devices ())
(name "twcup94a" year "1994" manufacturer "Tecmo" desc "Tecmo World Cup '94 (set 2)" devices ())
(name "twcup94b" year "1994" manufacturer "Tecmo" desc "Tecmo World Cup '94 (set 3)" devices ())
(name "twcup98" year "1998" manufacturer "Tecmo" desc "Tecmo World Cup '98 (JUET 980410 V1.000)" devices ())
(name "twcupmil" year "2000" manufacturer "Tecmo" desc "Tecmo World Cup Millennium (Japan)" devices ())
(name "twinactn" year "1995" manufacturer "Afega" desc "Twin Action" devices ())
(name "twinadv" year "1995" manufacturer "Barko Corp." desc "Twin Adventure (World)" devices ())
(name "twinadvk" year "1995" manufacturer "Barko Corp." desc "Twin Adventure (Korea)" devices ())
(name "twinbee" year "1985" manufacturer "Konami" desc "TwinBee (ROM version)" devices ())
(name "twinbeeb" year "1985" manufacturer "Konami" desc "TwinBee (Bubble System)" devices ())
(name "twinbrat" year "1995" manufacturer "Elettronica Video-Games S.R.L." desc "Twin Brats (set 1)" devices ())
(name "twinbrata" year "1995" manufacturer "Elettronica Video-Games S.R.L." desc "Twin Brats (set 2)" devices ())
(name "twinbratb" year "1995" manufacturer "Elettronica Video-Games S.R.L." desc "Twin Brats (set 3)" devices ())
(name "twinbskt" year "1995" manufacturer "Automatics Pasqual" desc "Twin Basket" devices ())
(name "twincobr" year "1987" manufacturer "Toaplan / Taito Corporation" desc "Twin Cobra (World)" devices ())
(name "twincobru" year "1987" manufacturer "Toaplan / Taito America Corporation (Romstar license)" desc "Twin Cobra (US)" devices ())
(name "twineag2" year "1994" manufacturer "Seta" desc "Twin Eagle II - The Rescue Mission" devices ())
(name "twineagl" year "1988" manufacturer "Seta (Taito license)" desc "Twin Eagle - Revenge Joe's Brother" devices ())
(name "twinfalc" year "1989" manufacturer "Philko (Poara Enterprises license)" desc "Twin Falcons" devices ())
(name "twinhawk" year "1989" manufacturer "Taito Corporation Japan" desc "Twin Hawk (World)" devices ())
(name "twinhawku" year "1989" manufacturer "Taito America Corporation" desc "Twin Hawk (US)" devices ())
(name "twinkle" year "1997" manufacturer "SemiCom / Tirano" desc "Twinkle (set 1)" devices ())
(name "twinklea" year "1997" manufacturer "SemiCom / Tirano" desc "Twinkle (set 2)" devices ())
(name "twinktmb" year "1993" manufacturer "bootleg / Sega" desc "Twinkle Tale (bootleg of Mega Drive version)" devices ())
(name "twinnet" year "199?" manufacturer "Twinhead" desc "Netstation PC" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "twinqix" year "1995" manufacturer "Taito America Corporation" desc "Twin Qix (Ver 1.0A 1995/01/17, prototype)" devices ())
(name "twins" year "1993" manufacturer "Ecogames" desc "Twins (newer)" devices ())
(name "twinsa" year "1993" manufacturer "Ecogames" desc "Twins (older)" devices ())
(name "twinsed1" year "1994" manufacturer "Ecogames (Electronic Devices license)" desc "Twins (Electronic Devices license, older)" devices ())
(name "twinsed2" year "1994" manufacturer "Ecogames (Electronic Devices license)" desc "Twins (Electronic Devices license, newer)" devices ())
(name "twinspri" year "1996" manufacturer "ADK / SNK" desc "Twinkle Star Sprites" devices ((name "memcard" briefname "memc" ) ()))
(name "twinsqua" year "1991" manufacturer "Sega" desc "Twin Squash" devices ())
(name "twocrude" year "1990" manufacturer "Data East USA" desc "Two Crude (US FT revision 1)" devices ())
(name "twocrudea" year "1990" manufacturer "Data East USA" desc "Two Crude (US FT version)" devices ())
(name "twotiger" year "1984" manufacturer "Bally Midway" desc "Two Tigers (dedicated)" devices ())
(name "twotigerc" year "1984" manufacturer "Bally Midway" desc "Two Tigers (Tron conversion)" devices ())
(name "twrshaft" year "2003" manufacturer "Aruze" desc "Tower & Shaft" devices ())
(name "twsoc96" year "1996" manufacturer "Tecmo" desc "Tecmo World Soccer '96" devices ((name "memcard" briefname "memc" ) ()))
(name "twsoc98" year "1998" manufacturer "Tecmo" desc "Tecmo World Soccer '98 (JUET 980410 V1.000)" devices ())
(name "twst_300" year "1996" manufacturer "Sega" desc "Twister (CPU 3.00, display A3.01)" devices ())
(name "twst_404" year "1996" manufacturer "Sega" desc "Twister (CPU 4.04, display A4.00)" devices ())
(name "twst_405" year "1996" manufacturer "Sega" desc "Twister (CPU 4.05, display A4.00)" devices ())
(name "twworld" year "1992" manufacturer "Tiger Electronics" desc "Wayne's World (Tiger)" devices ())
(name "tx0_64kw" year "1956" manufacturer "MIT" desc "TX-0 original demonstrator (64 kWords of RAM)" devices ((name "punchtape1" briefname "ptap1" ) (name "punchtape2" briefname "ptap2" ) (name "printout" briefname "prin" ) (name "magtape" briefname "mtap" )))
(name "tx0_8kw" year "1962" manufacturer "MIT" desc "TX-0 upgraded system (8 kWords of RAM, new order code)" devices ((name "punchtape1" briefname "ptap1" ) (name "punchtape2" briefname "ptap2" ) (name "printout" briefname "prin" ) (name "magtape" briefname "mtap" )))
(name "tx0_8kwo" year "1959" manufacturer "MIT" desc "TX-0 upgraded system (8 kWords of RAM, old order code)" devices ((name "punchtape1" briefname "ptap1" ) (name "punchtape2" briefname "ptap2" ) (name "printout" briefname "prin" ) (name "magtape" briefname "mtap" )))
(name "tx1" year "1983" manufacturer "Tatsumi (Atari/Namco/Taito license)" desc "TX-1 (World)" devices ())
(name "tx1jb" year "1983" manufacturer "Tatsumi" desc "TX-1 (Japan rev. B)" devices ())
(name "tx1jc" year "1983" manufacturer "Tatsumi" desc "TX-1 (Japan rev. C)" devices ())
(name "tx8000" year "1983" manufacturer "Texet" desc "TX-8000 (UK)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "tx81z" year "1987" manufacturer "Yamaha" desc "TX81Z FM Tone Generator" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "txmen" year "1991" manufacturer "Tiger Electronics" desc "X-Men (Tiger)" devices ())
(name "txmenpx" year "1993" manufacturer "Tiger Electronics" desc "X-Men: Project X (Tiger)" devices ())
(name "txsector" year "1988" manufacturer "Gottlieb" desc "TX-Sector" devices ())
(name "txsectorf" year "1988" manufacturer "Gottlieb" desc "TX-Sector (French)" devices ())
(name "txsectorg" year "1988" manufacturer "Gottlieb" desc "TX-Sector (German)" devices ())
(name "tylz" year "1982" manufacturer "Mylstar" desc "Tylz (prototype)" devices ())
(name "typhoon" year "1987" manufacturer "Konami" desc "Typhoon" devices ())
(name "tz_92" year "1998" manufacturer "Bally" desc "Twilight Zone (9.2)" devices ())
(name "tz_94ch" year "1998" manufacturer "Bally" desc "Twilight Zone (9.4CH)" devices ())
(name "tz_94h" year "1998" manufacturer "Bally" desc "Twilight Zone (9.4H)" devices ())
(name "tz_h7" year "1994" manufacturer "Bally" desc "Twilight Zone (H-7)" devices ())
(name "tz_h8" year "1994" manufacturer "Bally" desc "Twilight Zone (H-8)" devices ())
(name "tz_ifpa" year "1993" manufacturer "Bally" desc "Twilight Zone (IFPA rules)" devices ())
(name "tz_l1" year "1993" manufacturer "Bally" desc "Twilight Zone (L-1)" devices ())
(name "tz_l2" year "1993" manufacturer "Bally" desc "Twilight Zone (L-2)" devices ())
(name "tz_l3" year "1993" manufacturer "Bally" desc "Twilight Zone (L-3)" devices ())
(name "tz_l4" year "1993" manufacturer "Bally" desc "Twilight Zone (L-4)" devices ())
(name "tz_l5" year "1993" manufacturer "Bally" desc "Twilight Zone (L-5)" devices ())
(name "tz_p3" year "1993" manufacturer "Bally" desc "Twilight Zone (P-3)" devices ())
(name "tz_p4" year "1993" manufacturer "Bally" desc "Twilight Zone (P-4)" devices ())
(name "tz_pa1" year "1993" manufacturer "Bally" desc "Twilight Zone (PA-1)" devices ())
(name "u20" year "1989" manufacturer "Roland" desc "U-20 RS-PCM Keyboard" devices ())
(name "u220" year "1989" manufacturer "Roland" desc "U-220 RS-PCM Sound Module" devices ())
(name "u3911v3" year "198?" manufacturer "Uniron" desc "U3911-V3" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "uballoon" year "1996" manufacturer "SunA (Unico license)" desc "Ultra Balloon" devices ())
(name "uboat" year "1982" manufacturer "Bandai" desc "U-Boat" devices ())
(name "uboat65" year "1988" manufacturer "Nuova Bell Games" desc "U-boat 65" devices ())
(name "uccops" year "1992" manufacturer "Irem" desc "Undercover Cops (World)" devices ())
(name "uccopsar" year "1992" manufacturer "Irem" desc "Undercover Cops - Alpha Renewal Version (World)" devices ())
(name "uccopsaru" year "1992" manufacturer "Irem America" desc "Undercover Cops - Alpha Renewal Version (US)" devices ())
(name "uccopsj" year "1992" manufacturer "Irem" desc "Undercover Cops (Japan)" devices ())
(name "uccopsu" year "1992" manufacturer "Irem" desc "Undercover Cops (US)" devices ())
(name "uchroma68" year "1980" manufacturer "Motorola" desc "Micro Chroma 68" devices ((name "cassette" briefname "cass" )))
(name "uchuuai" year "1989" manufacturer "Nichibutsu" desc "Mahjong Uchuu yori Ai wo komete (Japan)" devices ())
(name "ucv102" year "1987" manufacturer "Pioneer" desc "UC-V102 (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "ucytokyu" year "1997" manufacturer "Sigma" desc "Uchuu Tokkyuu Medalian" devices ())
(name "udance" year "2008" manufacturer "Tiger / SSD Company LTD" desc "U-Dance" devices ())
(name "uecology" year "1993" manufacturer "Capcom" desc "Ultimate Ecology (Japan 931203)" devices ())
(name "ufo21" year "1996" manufacturer "Sega" desc "UFO Catcher 21" devices ())
(name "ufo7" year "2001" manufacturer "Sega" desc "UFO Catcher 7" devices ())
(name "ufo800" year "1998" manufacturer "Sega" desc "UFO Catcher 800" devices ())
(name "ufo_x" year "1984" manufacturer "Playmatic" desc "UFO-X" devices ())
(name "ufoalac" year "1996" manufacturer "Sega" desc "UFO À La Carte" devices ())
(name "ufombs" year "1979" manufacturer "Bambino" desc "UFO Master-Blaster Station" devices ())
(name "ufomini" year "1991" manufacturer "Sega" desc "UFO Catcher Mini" devices ())
(name "uforobot" year "2001" manufacturer "Nazionale Elettronica" desc "UFO Robot (Ver 1.0 Rev A)" devices ())
(name "ufosensi" year "1988" manufacturer "Sega" desc "Ufo Senshi Yohko Chan (MC-8123, 317-0064)" devices ())
(name "ufosensib" year "1988" manufacturer "bootleg" desc "Ufo Senshi Yohko Chan (bootleg, not encrypted)" devices ())
(name "ujlnow" year "1999" manufacturer "Namco" desc "Um Jammer Lammy NOW! (Japan, UL1/VER.A)" devices ((name "cdrom" briefname "cdrm" )))
(name "uk101" year "1979" manufacturer "Compukit" desc "UK101" devices ((name "cassette" briefname "cass" )))
(name "uk2086" year "1986" manufacturer "Unipolbrit" desc "UK-2086 ver. 1.2" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" )))
(name "uknc" year "1987" manufacturer "Elektronika" desc "UKNC / MS-0511" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cassette" briefname "cass" )))
(name "ultarctc" year "2001" manufacturer "Midway Games" desc "Ultimate Arctic Thunder" devices ())
(name "ultarctcup" year "2004" manufacturer "Midway Games" desc "Ultimate Arctic Thunder Update CD ver 1.950 (5/3/04)" devices ())
(name "ultennis" year "1993" manufacturer "Art & Magic" desc "Ultimate Tennis" devices ())
(name "ultennisj" year "1993" manufacturer "Art & Magic (Banpresto license)" desc "Ultimate Tennis (v 1.4, Japan)" devices ())
(name "ultim809" year "2010" manufacturer "Matthew Sarnoff" desc "Ultim809" devices ())
(name "ultracin" year "1996" manufacturer "Sega" desc "Waku Waku Ultraman Racing" devices ())
(name "ultrainv" year "1980" manufacturer "Taito / Konami" desc "Ultra Invaders" devices ())
(name "ultraman" year "1991" manufacturer "Banpresto / Bandai" desc "Ultraman (Japan)" devices ())
(name "ultramhm" year "1993" manufacturer "Apple" desc "Ultra Maru-hi Mahjong (Japan)" devices ())
(name "ultratnk" year "1978" manufacturer "Atari (Kee Games)" desc "Ultra Tank" devices ())
(name "ultrax" year "1995" manufacturer "Banpresto / Tsuburaya Productions / Seta" desc "Ultra X Weapons / Ultra Keibitai" devices ())
(name "ultraxg" year "1995" manufacturer "Banpresto / Tsuburaya Productions / Seta" desc "Ultra X Weapons / Ultra Keibitai (Gamest review build)" devices ())
(name "ultrchmp" year "1995" manufacturer "Nakanihon" desc "Se Gye Hweng Dan Ultra Champion (Korea)" devices ())
(name "ultrchmph" year "1995" manufacturer "Nakanihon" desc "Cheng Ba Shi Jie - Chao Shi Kong Guan Jun (Taiwan)" devices ())
(name "um486" year "199?" manufacturer "Elitegroup" desc "UM486/UM486sx" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um486v" year "199?" manufacturer "Elitegroup" desc "UM486V-AIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um82c481af" year "199?" manufacturer "<unknown>" desc "386 motherboards using the UMC UM82C481AF chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um82c491f" year "199?" manufacturer "<unknown>" desc "386 motherboard using the UMC UM82C491F chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um82c493f" year "199?" manufacturer "<unknown>" desc "386 motherboards using the UMC UM82C491F + UM82C493F chipset or BIOTEQ equivalents" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um8498f" year "199?" manufacturer "<unknown>" desc "486 motherboards using the UMC UM8498F, UM8496F chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um8810paio" year "199?" manufacturer "Elitegroup" desc "UM8810 PAIO" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "um8886" year "199?" manufacturer "<unknown>" desc "486 motherboards using the UMC UM8886/UM8881 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "umanclub" year "1992" manufacturer "Banpresto" desc "Ultraman Club - Tatakae! Ultraman Kyoudai!!" devices ())
(name "umipoker" year "1997" manufacturer "World Station Co.,LTD" desc "Umi de Poker / Marine Paradise (Japan)" devices ())
(name "umk3" year "1994" manufacturer "Midway" desc "Ultimate Mortal Kombat 3 (rev 1.2)" devices ())
(name "umk3r10" year "1994" manufacturer "Midway" desc "Ultimate Mortal Kombat 3 (rev 1.0)" devices ())
(name "umk3r11" year "1994" manufacturer "Midway" desc "Ultimate Mortal Kombat 3 (rev 1.1)" devices ())
(name "unclepoo" year "1983" manufacturer "Diatec" desc "Uncle Poo" devices ())
(name "undefeat" year "2005" manufacturer "G.Rev" desc "Under Defeat (Japan) (GDL-0035)" devices ((name "cdrom" briefname "cdrm" )))
(name "undoukai" year "1984" manufacturer "Taito Corporation" desc "The Undoukai (Japan)" devices ())
(name "undrfire" year "1993" manufacturer "Taito Corporation Japan" desc "Under Fire (World)" devices ())
(name "undrfirej" year "1993" manufacturer "Taito Corporation" desc "Under Fire (Japan)" devices ())
(name "undrfireu" year "1993" manufacturer "Taito America Corporation" desc "Under Fire (US)" devices ())
(name "unga" year "198?" manufacturer "<unknown>" desc "Unga" devices ((name "cassette" briefname "cass" )))
(name "uni386w" year "199?" manufacturer "UNICHIP" desc "386W 367C REV 1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "uni4800" year "199?" manufacturer "<unknown>" desc "486 motherboards using the UNI4800 chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "uniap2en" year "1982" manufacturer "Unitron Eletronica" desc "Unitron AP II (in English)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "uniap2pt" year "1982" manufacturer "Unitron Eletronica" desc "Unitron AP II (in Brazilian Portuguese)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "uniap2ti" year "1984" manufacturer "Unitron Eletronica" desc "Unitron AP II+ (Teclado Inteligente)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cassette" briefname "cass" )))
(name "unichamp" year "1977" manufacturer "Unisonic" desc "Champion 2711" devices ((name "cartridge" briefname "cart" )))
(name "unicornd" year "1999" manufacturer "Aristocrat" desc "Unicorn Dreaming (0100791V, NSW/ACT)" devices ())
(name "unicornda" year "1999" manufacturer "Aristocrat" desc "Unicorn Dreaming (0100813V, NSW/ACT)" devices ())
(name "unicorndnz" year "2000" manufacturer "Aristocrat" desc "Unicorn Dreaming (0101228V, New Zealand)" devices ())
(name "unicorndu" year "2001" manufacturer "Aristocrat" desc "Unicorn Dreaming (BHG1584, US)" devices ())
(name "unior" year "19??" manufacturer "<unknown>" desc "Unior" devices ((name "cassette" briefname "cass" )))
(name "unistar" year "198?" manufacturer "Callan Data Systems" desc "Unistar 200 Terminal" devices ())
(name "unitron" year "1985" manufacturer "bootleg (Unitron)" desc "Mac 512" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "uniwars" year "1980" manufacturer "Irem" desc "UniWar S" devices ())
(name "uniwarsa" year "1980" manufacturer "bootleg (Karateco)" desc "UniWar S (bootleg)" devices ())
(name "uniwb4407" year "199?" manufacturer "UNICHIP" desc "486 WB 4407 REV 1.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "unk1682" year "200?" manufacturer "<unknown>" desc "unknown VT1682-based 101-in-1 handheld (PAL)" devices ())
(name "unk2019hh" year "2019" manufacturer "<unknown>" desc "unknown VTxx based GameBoy style handheld (2019 PCB)" devices ())
(name "unk2020hh" year "2020" manufacturer "<unknown>" desc "unknown VTxx based GameBoy style handheld (2020 PCB)" devices ())
(name "unk820501" year "1982?" manufacturer "Cirsa" desc "unknown Cirsa slot machine on 820501 A PCB" devices ())
(name "unk960606" year "2001?" manufacturer "Unidesa/Cirsa" desc "unknown 960606-5 based machine (set 1)" devices ())
(name "unk960606b" year "2001?" manufacturer "Unidesa/Cirsa/Europea" desc "unknown 960606-5 based machine (set 2)" devices ())
(name "unkanyw" year "2010" manufacturer "AnyWorks / Sega" desc "unknown AnyWorks / Sega medal game BIOS" devices ())
(name "unkch1" year "1999" manufacturer "bootleg" desc "New Cherry Gold '99 (bootleg of Super Cherry Master) (set 1)" devices ())
(name "unkch2" year "1999" manufacturer "bootleg" desc "Super Cherry Gold (bootleg of Super Cherry Master)" devices ())
(name "unkch3" year "1999" manufacturer "bootleg" desc "New Cherry Gold '99 (bootleg of Super Cherry Master) (set 2)" devices ())
(name "unkch4" year "1999" manufacturer "bootleg" desc "Grand Cherry Master (bootleg of Super Cherry Master)" devices ())
(name "unkct" year "1989" manufacturer "Cointek Enterprise Corp" desc "unknown Cointek game" devices ())
(name "unkfr004" year "200?" manufacturer "Nova Desitec" desc "unknown game on FR004 hardware (set 1)" devices ())
(name "unkfr004a" year "200?" manufacturer "Nova Desitec" desc "unknown game on FR004 hardware (set 2)" devices ())
(name "unkfr004b" year "200?" manufacturer "Nova Desitec" desc "unknown game on FR004 hardware (set 3)" devices ())
(name "unkfr004c" year "200?" manufacturer "Nova Desitec" desc "unknown game on FR004 hardware (set 4)" devices ())
(name "unkfr009" year "200?" manufacturer "Nova Desitec" desc "unknown game on FR009 hardware" devices ())
(name "unkgolf" year "19??" manufacturer "<unknown>" desc "unknown golf game" devices ())
(name "unkh8gam" year "200?" manufacturer "<unknown>" desc "unknown H8 Italian gambling game" devices ())
(name "unkhockey" year "199?" manufacturer "Sega" desc "unknown Sega air hockey game" devices ())
(name "unkhorse" year "1981?" manufacturer "<unknown>" desc "unknown Japanese horse gambling game" devices ())
(name "unkhpslt" year "198?" manufacturer "Hobby Play" desc "unknown Hobby Play slot machine" devices ())
(name "unkitpkr" year "198?" manufacturer "<unknown>" desc "unknown Italian poker game" devices ())
(name "unkkonmd" year "1997" manufacturer "Konami" desc "unknown Konami medal game (game code GS662)" devices ())
(name "unkljfpk" year "1989" manufacturer "LJF Corporation" desc "unknown LJF Corporation poker game" devices ())
(name "unkpacg" year "199?" manufacturer "<unknown>" desc "unknown 'Pac-Man' gambling game (set 1)" devices ())
(name "unkpacga" year "199?" manufacturer "IDI SRL" desc "Pucman" devices ())
(name "unkpacgb" year "199?" manufacturer "<unknown>" desc "unknown 'Pac-Man' gambling game (set 2)" devices ())
(name "unkpacgc" year "1988" manufacturer "<unknown>" desc "Coco Louco" devices ())
(name "unkpacgd" year "1988" manufacturer "<unknown>" desc "unknown 'Pac Man with cars' gambling game" devices ())
(name "unkpmc" year "1975?" manufacturer "PMC" desc "unknown PMC game" devices ())
(name "unkpoker" year "1980?" manufacturer "<unknown>" desc "unknown 1980 poker game" devices ())
(name "unkra200" year "201?" manufacturer "<unknown>" desc "200 in 1 Retro Arcade" devices ())
(name "unksig" year "199?" manufacturer "<unknown>" desc "unknown 'Space Invaders' gambling game (encrypted, set 1)" devices ())
(name "unksiga" year "199?" manufacturer "<unknown>" desc "unknown 'Space Invaders' gambling game (encrypted, set 2)" devices ())
(name "unksigb" year "199?" manufacturer "<unknown>" desc "unknown 'Space Invaders' gambling game (unencrypted)" devices ())
(name "unksmk" year "200?" manufacturer "High Video" desc "unknown SMK game" devices ())
(name "unktop" year "19??" manufacturer "<unknown>" desc "unknown Top game" devices ())
(name "unkts" year "200?" manufacturer "<unknown>" desc "unknown game on TrueSys hardware" devices ())
(name "unkzilec" year "198?" manufacturer "Zilec Electronics / Exodis" desc "unknown Zilec game on Blue Print hardware" devices ())
(name "unomedal" year "2009" manufacturer "Sega" desc "UNO the Medal" devices ())
(name "unsquad" year "1989" manufacturer "Capcom" desc "U.N. Squadron (USA)" devices ())
(name "untoucha" year "1987" manufacturer "Dynax" desc "Untouchable (Ver. 2.10)" devices ())
(name "uopoko" year "1998" manufacturer "Cave (Jaleco license)" desc "Puzzle Uo Poko (World)" devices ())
(name "uopokoj" year "1998" manufacturer "Cave (Jaleco license)" desc "Puzzle Uo Poko (Japan)" devices ())
(name "upndown" year "1983" manufacturer "Sega" desc "Up'n Down (315-5030)" devices ())
(name "upndownu" year "1983" manufacturer "Sega" desc "Up'n Down (not encrypted)" devices ())
(name "upscope" year "1986" manufacturer "Grand Products" desc "Up Scope" devices ())
(name "upyoural" year "1986" manufacturer "Cinematronics" desc "Up Your Alley" devices ())
(name "urachamu" year "2002" manufacturer "GamToU" desc "Urachacha Mudaeri (Korea)" devices ())
(name "urashima" year "1989" manufacturer "UPL" desc "Otogizoushi Urashima Mahjong (Japan)" devices ())
(name "us2pfball" year "1981" manufacturer "U.S. Games Corporation" desc "Electronic 2-Player Football" devices ())
(name "usafootb" year "1993" manufacturer "Alvin G" desc "U.S.A. Football (R06u)" devices ())
(name "usafootba" year "1993" manufacturer "Alvin G" desc "U.S.A. Football (R01u)" devices ())
(name "usafootf" year "1994" manufacturer "Alvin G" desc "U.S.A. Football (P08, redemption)" devices ())
(name "usagi" year "2001" manufacturer "Warashi / Mahjong Kobo / Taito" desc "Usagi (V2.02J 2001/10/02 12:41:19)" devices ((name "harddisk" briefname "hard" )))
(name "usagiol" year "2005" manufacturer "Taito Corporation/Warashi" desc "Usagi: Yasei no Topai Online (v2.04J)" devices ())
(name "usagiym" year "2003" manufacturer "Warashi / Mahjong Kobo / Taito" desc "Usagi - Yamashiro Mahjong Hen (Japan) (GDL-0022)" devices ((name "cdrom" briefname "cdrm" )))
(name "usclssic" year "1989" manufacturer "Seta" desc "U.S. Classic" devices ())
(name "usg182" year "1989" manufacturer "U.S. Games, Inc." desc "Games V18.2" devices ())
(name "usg185" year "1990" manufacturer "U.S. Games, Inc." desc "Games V18.5" devices ())
(name "usg187c" year "1991" manufacturer "U.S. Games, Inc." desc "Games V18.7C" devices ())
(name "usg211c" year "1991" manufacturer "U.S. Games, Inc." desc "Games V21.1C" devices ())
(name "usg251" year "1991" manufacturer "U.S. Games, Inc." desc "Games V25.1" devices ())
(name "usg32" year "1987" manufacturer "U.S. Games, Inc." desc "Super Duper Casino (California V3.2)" devices ())
(name "usg82" year "1988" manufacturer "U.S. Games, Inc." desc "Super Ten V8.2" devices ())
(name "usg83x" year "1988" manufacturer "U.S. Games, Inc." desc "Super Ten V8.3X" devices ())
(name "usgames" year "1992" manufacturer "U.S. Games, Inc." desc "Games V25.4X" devices ())
(name "uspbball" year "1981" manufacturer "U.S. Games Corporation" desc "Programmable Baseball" devices ())
(name "usvsthem" year "1984" manufacturer "Mylstar" desc "Us vs. Them" devices ())
(name "ut88" year "1989" manufacturer "<unknown>" desc "UT-88" devices ((name "cassette" briefname "cass" )))
(name "ut88mini" year "1989" manufacturer "<unknown>" desc "UT-88 mini" devices ((name "cassette" briefname "cass" )))
(name "utoukond" year "1993" manufacturer "Banpresto" desc "Ultra Toukon Densetsu (Japan)" devices ())
(name "utrn1024" year "1985" manufacturer "bootleg (Unitron)" desc "Unitron 1024" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cdrom" briefname "cdrm" ) (name "harddisk" briefname "hard" )))
(name "uts10" year "1981" manufacturer "Sperry Univac" desc "UTS-10" devices ())
(name "uts20" year "1980" manufacturer "Sperry Univac" desc "UTS-20" devices ())
(name "uvc" year "1980" manufacturer "Fidelity Electronics" desc "Advanced Voice Chess Challenger" devices ())
(name "uvw1200" year "199?" manufacturer "Sony" desc "BETACAM-SP Videocassette Player UVW-1200 RGB" devices ())
(name "uvw1600" year "199?" manufacturer "Sony" desc "BETACAM-SP Videocassette Player/Recorder UVW-1600 RGB" devices ())
(name "uvw1800" year "199?" manufacturer "Sony" desc "BETACAM-SP Videocassette Player/Recorder UVW-1800 RGB" devices ())
(name "uzebox" year "2010" manufacturer "Belogic" desc "Uzebox" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "v0bowl" year "200?" manufacturer "A1 Amusement One" desc "unknown VRender0+ bowling game" devices ())
(name "v1" year "1985" manufacturer "IDSA" desc "V.1" devices ())
(name "v100" year "1980" manufacturer "Visual Technology" desc "Visual 100" devices ())
(name "v102" year "1984" manufacturer "Visual Technology" desc "Visual 102" devices ())
(name "v1050" year "1983" manufacturer "Visual Technology Inc" desc "Visual 1050" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "v200" year "2002" manufacturer "Texas Instruments" desc "Voyage 200 PLT" devices ())
(name "v286c" year "198?" manufacturer "Victor" desc "V286C" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "v364" year "1984" manufacturer "Commodore Business Machines" desc "Commodore V364 (Prototype)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "v4addlad" year "1989" manufacturer "Barcrest" desc "Adders and Ladders (v2.1) (MPU4 Video)" devices ())
(name "v4addlad20" year "1989" manufacturer "Barcrest" desc "Adders and Ladders (v2.0) (MPU4 Video)" devices ())
(name "v4addladd" year "1989" manufacturer "Barcrest" desc "Adders and Ladders (v2.1d) (MPU4 Video)" devices ())
(name "v4barqs2" year "199?" manufacturer "Barcrest" desc "Barquest 2 (v0.3) (MPU4 Video)" devices ())
(name "v4barqst" year "199?" manufacturer "Barcrest" desc "Barquest (v2.6) (MPU4 Video)" devices ())
(name "v4barqstd" year "199?" manufacturer "Barcrest" desc "Barquest (v2.6d) (MPU4 Video)" devices ())
(name "v4big40" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Standard) (set 1) (MPU4 Video)" devices ())
(name "v4big40a" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Standard) (set 2) (MPU4 Video)" devices ())
(name "v4big40b" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Standard) (set 3) (MPU4 Video)" devices ())
(name "v4big40c" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Standard) (set 4) (MPU4 Video)" devices ())
(name "v4big40d" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Data) (set 1) (MPU4 Video)" devices ())
(name "v4big40e" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (Arcade Data) (set 2) (MPU4 Video)" devices ())
(name "v4big40f" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Data + %-Key + OCDM) (MPU4 Video)" devices ())
(name "v4big40g" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Standard) (set 1) (MPU4 Video)" devices ())
(name "v4big40h" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Standard) (set 2) (MPU4 Video)" devices ())
(name "v4big40i" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Data + %-Key) (set 1) (MPU4 Video)" devices ())
(name "v4big40j" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Data + %-Key) (set 2) (MPU4 Video)" devices ())
(name "v4big40k" year "1996" manufacturer "BWB" desc "Big 40 Poker (BWB) (S_Site Data) (MPU4 Video)" devices ())
(name "v4bigfrt" year "199?" manufacturer "BWB" desc "Big Fruits (v2.0?) (set 1) (MPU4 Video)" devices ())
(name "v4bigfrta" year "199?" manufacturer "BWB" desc "Big Fruits (v2.0?) (set 2) (MPU4 Video)" devices ())
(name "v4bigfrtb" year "199?" manufacturer "BWB" desc "Big Fruits (v2.0?) (set 3) (MPU4 Video)" devices ())
(name "v4bigfrtc" year "199?" manufacturer "BWB" desc "Big Fruits (v2.0?) (% Key) (MPU4 Video)" devices ())
(name "v4blox" year "1990" manufacturer "BWB / Barcrest" desc "Blox (SJM BLOX, 50p/20p Play, Version 2.0) (MPU4 Video)" devices ())
(name "v4bloxd" year "1990" manufacturer "BWB / Barcrest" desc "Blox (SJM BLOX, 50p/20p Play, Version 2.0) (Datapak) (MPU4 Video)" devices ())
(name "v4bubbnk" year "199?" manufacturer "BWB" desc "Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4bubbnka" year "199?" manufacturer "BWB" desc "Bubbly Bonk (v4.0?) (20p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4bubbnkb" year "199?" manufacturer "BWB" desc "Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4bubbnkc" year "199?" manufacturer "BWB" desc "Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, Datapak) (MPU4 Video)" devices ())
(name "v4bubbnkd" year "199?" manufacturer "BWB" desc "Bubbly Bonk (v4.0?) (20p Fixed, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4bulblx" year "1994" manufacturer "BWB" desc "Bullion Blox (BWB) (set 1) (MPU4 Video)" devices ())
(name "v4bulblxa" year "1994" manufacturer "BWB" desc "Bullion Blox (BWB) (Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4bulblxb" year "1994" manufacturer "BWB" desc "Bullion Blox (BWB) (set 2) (MPU4 Video)" devices ())
(name "v4bulblxc" year "1994" manufacturer "BWB" desc "Bullion Blox (BWB) (Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4cmaze" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v1.3) (MPU4 Video)" devices ())
(name "v4cmaze2" year "1993" manufacturer "Barcrest" desc "The New Crystal Maze Featuring Ocean Zone (v2.2) (MPU4 Video)" devices ())
(name "v4cmaze2_amld" year "1993" manufacturer "Barcrest" desc "The New Crystal Maze Featuring Ocean Zone (v0.1, AMLD) (MPU4 Video)" devices ())
(name "v4cmaze2b" year "1993" manufacturer "Barcrest" desc "The New Crystal Maze Featuring Ocean Zone (v2.0) (MPU4 Video)" devices ())
(name "v4cmaze2c" year "1993" manufacturer "Barcrest" desc "The New Crystal Maze Featuring Ocean Zone (v?.?) (MPU4 Video)" devices ())
(name "v4cmaze2d" year "1993" manufacturer "Barcrest" desc "The New Crystal Maze Featuring Ocean Zone (v2.2, Datapak) (MPU4 Video)" devices ())
(name "v4cmaze3" year "1994" manufacturer "Barcrest" desc "The Crystal Maze Team Challenge (v0.9) (MPU4 Video)" devices ())
(name "v4cmaze3_amld" year "1994" manufacturer "Barcrest" desc "The Crystal Maze Team Challenge (v1.2, AMLD) (MPU4 Video)" devices ())
(name "v4cmaze3b" year "1994" manufacturer "Barcrest" desc "The Crystal Maze Team Challenge (v0.8) (MPU4 Video)" devices ())
(name "v4cmaze3c" year "1994" manufacturer "Barcrest" desc "The Crystal Maze Team Challenge (v0.6) (MPU4 Video)" devices ())
(name "v4cmaze3d" year "1994" manufacturer "Barcrest" desc "The Crystal Maze Team Challenge (v0.9, Datapak) (MPU4 Video)" devices ())
(name "v4cmaze_amld" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v0.1, AMLD) (MPU4 Video)" devices ())
(name "v4cmazeb" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v1.2) (MPU4 Video)" devices ())
(name "v4cmazec" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v1.3 alt) (MPU4 Video)" devices ())
(name "v4cmazed" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v1.1) (MPU4 Video)" devices ())
(name "v4cmazedat" year "1993" manufacturer "Barcrest" desc "The Crystal Maze (v1.3, Datapak) (MPU4 Video)" devices ())
(name "v4cshinf" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4cshinf3" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 3) (set 1) (MPU4 Video)" devices ())
(name "v4cshinf3a" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 3) (set 2) (MPU4 Video)" devices ())
(name "v4cshinfa" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 5p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4cshinfb" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 10p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4cshinfd" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4cshinfe" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4cshinff" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase, Datapak) (MPU4 Video)" devices ())
(name "v4cshinfg" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token) (set 3) (MPU4 Video)" devices ())
(name "v4cshinfh" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase) (MPU4 Video)" devices ())
(name "v4cshinfi" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4cshinfj" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Showcase, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4cshinfk" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4cshinfl" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Fixed, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4cshinfm" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4cshinfn" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Showcase) (MPU4 Video)" devices ())
(name "v4cshinfo" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4cshinfp" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4cshinfq" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4cshinfr" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4cshinfs" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4cshinfu" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, All - Cash) (MPU4 Video)" devices ())
(name "v4cshinfw" year "199?" manufacturer "BWB" desc "Cash Inferno (BWB) (Release 4, 20p Switchable 20p/10p/5p, All - Cash, Datapak)  (MPU4 Video)" devices ())
(name "v4cybcas" year "199?" manufacturer "BWB (Nova license)" desc "Cyber Casino (Nova, German) (MPU4 Video)" devices ())
(name "v4dbltak" year "1997" manufacturer "BWB" desc "Double Take (BWB) (Release 4, Arcade Standard, 20p/25p Stake Key, £5/£10/£15 Prize Key) (MPU4 Video)" devices ())
(name "v4dbltaka" year "1997" manufacturer "BWB" desc "Double Take (BWB) (Release 4, Arcade Data, 20p/25p Stake Key, £5/£10/£15 Prize Key) (MPU4 Video)" devices ())
(name "v4dbltakb" year "1997" manufacturer "BWB" desc "Double Take (BWB) (Release 4, S_Site Data, 20p/25p Stake Key, £5/£10/£15 Prize Key, % Key) (MPU4 Video)" devices ())
(name "v4dealem" year "1987" manufacturer "Zenitone" desc "Deal 'Em (MPU4 Conversion Kit, v7.0)" devices ())
(name "v4eyedwn" year "199?" manufacturer "Barcrest" desc "Eyes Down (v1.3) (MPU4 Video)" devices ())
(name "v4eyedwnd" year "199?" manufacturer "Barcrest" desc "Eyes Down (v1.3, Datapak) (MPU4 Video)" devices ())
(name "v4frfact" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 1) (MPU4 Video)" devices ())
(name "v4frfacta" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 2) (MPU4 Video)" devices ())
(name "v4frfactb" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 3) (MPU4 Video)" devices ())
(name "v4frfactc" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 4) (MPU4 Video)" devices ())
(name "v4frfactd" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 5) (MPU4 Video)" devices ())
(name "v4frfacte" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 6) (MPU4 Video)" devices ())
(name "v4frfactf" year "199?" manufacturer "BWB" desc "Fruit Factory (BWB) (set 7) (MPU4 Video)" devices ())
(name "v4gldrsh" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, All - Cash) (set 1) (MPU4 Video)" devices ())
(name "v4gldrsh3" year "1994" manufacturer "BWB" desc "Gold Rush (BWB) (Release 3, 20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4gldrsha" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4gldrshb" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (set 1) (MPU4 Video)" devices ())
(name "v4gldrshc" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4gldrshd" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4gldrshe" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4gldrshf" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4gldrshg" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (set 2) (MPU4 Video)" devices ())
(name "v4gldrshh" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4gldrshi" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrshj" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, Cash+Token) (Showcase) (Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4gldrshk" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrshl" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 25p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4gldrshm" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 25p Fixed, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrshn" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/25p, All - Cash) (MPU4 Video)" devices ())
(name "v4gldrsho" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/25p, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrshp" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (MPU4 Video)" devices ())
(name "v4gldrshq" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Showcase) (MPU4 Video)" devices ())
(name "v4gldrshr" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrshs" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, Cash+Token) (Showcase) (Datapak) (MPU4 Video)" devices ())
(name "v4gldrsht" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, 20p Fixed, All - Cash) (set 2) (MPU4 Video)" devices ())
(name "v4gldrshu" year "199?" manufacturer "BWB" desc "Gold Rush (BWB) (Release 8, Switchable 20p/10p/5p, All - Cash) (MPU4 Video)" devices ())
(name "v4in1eg" year "1979" manufacturer "VTech" desc "4 in 1 Electronic Games (VTech)" devices ())
(name "v4mate" year "1996?" manufacturer "Barcrest" desc "The Mating Game (v0.4) (MPU4 Video)" devices ())
(name "v4mated" year "1996?" manufacturer "Barcrest" desc "The Mating Game (v0.4, Datapak) (MPU4 Video)" devices ())
(name "v4mazbel" year "199?" manufacturer "BWB" desc "Mazooma Belle (v2.5 DY, S/Site, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4mazbel15" year "199?" manufacturer "BWB" desc "Mazooma Belle (v1.5, Arcade, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4mazbel15a" year "199?" manufacturer "BWB" desc "Mazooma Belle (v1.5 DY, Arcade, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4mdice" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 25p-£10 Cash - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdice5" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 5, Arcade Showcase, 20p-£8 Token - Fixed) (MPU4 Video)" devices ())
(name "v4mdice6" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 6, Arcade Standard, 20p-£8 Token - Fixed) (MPU4 Video)" devices ())
(name "v4mdicea" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 5p-£4 Cash - Fixed) (MPU4 Video)" devices ())
(name "v4mdiceb" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 10p-£4 Cash - Fixed) (MPU4 Video)" devices ())
(name "v4mdicec" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 10p-£8 Token - Fixed) (MPU4 Video)" devices ())
(name "v4mdiced" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£4 Cash - Fixed) (MPU4 Video)" devices ())
(name "v4mdicee" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£4 Cash - Fixed) (MPU4 Video)" devices ())
(name "v4mdicef" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Token - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdiceg" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Showcase, 20p-£8 Token - Fixed) (set 3) (MPU4 Video)" devices ())
(name "v4mdiceger" year "199?" manufacturer "BWB (Nova license)" desc "Miami Dice (Nova, German) (MPU4 Video)" devices ())
(name "v4mdiceh" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Token - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdicei" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdicej" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdicek" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Showcase, 20p-£8 Token - Fixed) (set 5) (MPU4 Video)" devices ())
(name "v4mdicel" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 3) (MPU4 Video)" devices ())
(name "v4mdicem" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£8 Token - Fixed) (set 4) (MPU4 Video)" devices ())
(name "v4mdicen" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£10 Cash - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdiceo" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£10 Cash - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdicep" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdiceq" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdicer" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 20p-£10 Cash - Fixed) (set 3) (MPU4 Video)" devices ())
(name "v4mdices" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 25p-£10 Cash - Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4mdicet" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 25p-£10 Cash - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdiceu" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 25p-£10 Cash - Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4mdicev" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, S/Site Standard, 25p-£10 Cash - Fixed) (set 3) (MPU4 Video)" devices ())
(name "v4mdicew" year "1995" manufacturer "BWB" desc "Miami Dice (BWB) (Release 8, Arcade Standard, 20p-£8 Cash - Fixed) (MPU4 Video)" devices ())
(name "v4megbuk" year "199?" manufacturer "BWB" desc "Megabucks Poker (BWB) (set 1) (MPU4 Video)" devices ())
(name "v4megbuka" year "199?" manufacturer "BWB" desc "Megabucks Poker (BWB) (set 2) (MPU4 Video)" devices ())
(name "v4megbukb" year "199?" manufacturer "BWB" desc "Megabucks Poker (BWB) (set 3) (MPU4 Video)" devices ())
(name "v4megbukc" year "199?" manufacturer "BWB" desc "Megabucks Poker (BWB) (set 4) (MPU4 Video)" devices ())
(name "v4missis" year "199?" manufacturer "BWB (Nova license)" desc "Mississippi Lady (Nova, German) (MPU4 Video)" devices ())
(name "v4monte" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Switchable, £8 All Cash) (MPU4 Video)" devices ())
(name "v4monte5" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 5, S/Site Standard, 20p Fixed, £8 All Cash) (MPU4 Video)" devices ())
(name "v4monte5a" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 5, Arcade Special, 20p Fixed, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4monte5b" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 5, Arcade Special, 20p Switchable, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4monte9" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £8 All Cash) (MPU4 Video)" devices ())
(name "v4monte9a" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £8 All Cash) (MPU4 Video)" devices ())
(name "v4monte9b" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 2) (MPU4 Video)" devices ())
(name "v4monte9c" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 1) (MPU4 Video)" devices ())
(name "v4monte9d" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 2) (MPU4 Video)" devices ())
(name "v4monte9e" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, Cash and Tokens) (set 1) (MPU4 Video)" devices ())
(name "v4monte9f" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £10 All Cash) (set 1) (MPU4 Video)" devices ())
(name "v4monte9g" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 2) (MPU4 Video)" devices ())
(name "v4monte9h" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, Arcade Special, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 1) (MPU4 Video)" devices ())
(name "v4monte9i" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 2) (MPU4 Video)" devices ())
(name "v4monte9j" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £10 All Cash) (set 1) (MPU4 Video)" devices ())
(name "v4monte9k" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, £10 All Cash) (set 2) (MPU4 Video)" devices ())
(name "v4monte9l" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 25p Fixed, £10 All Cash) (set 1) (MPU4 Video)" devices ())
(name "v4monte9m" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 25p Fixed, £10 All Cash) (set 2) (MPU4 Video)" devices ())
(name "v4monte9n" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Switchable, £10 All Cash) (set 2) (MPU4 Video)" devices ())
(name "v4monte9o" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release 9, S/Site Standard, Options 4 Cabinet, 20p Fixed, Cash and Tokens) (set 1) (MPU4 Video)" devices ())
(name "v4montea" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Switchable, £10 All Cash) (MPU4 Video)" devices ())
(name "v4monteaa" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 17) (MPU4 Video)" devices ())
(name "v4monteab" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 18) (MPU4 Video)" devices ())
(name "v4monteac" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 19) (MPU4 Video)" devices ())
(name "v4montead" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 20) (MPU4 Video)" devices ())
(name "v4monteae" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 21) (MPU4 Video)" devices ())
(name "v4monteaf" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 22) (MPU4 Video)" devices ())
(name "v4monteag" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 23) (MPU4 Video)" devices ())
(name "v4monteah" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 24) (MPU4 Video)" devices ())
(name "v4monteai" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 25) (MPU4 Video)" devices ())
(name "v4monteaj" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 26) (MPU4 Video)" devices ())
(name "v4monteak" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 27) (MPU4 Video)" devices ())
(name "v4monteal" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 28) (MPU4 Video)" devices ())
(name "v4monteam" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 29) (MPU4 Video)" devices ())
(name "v4montean" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 30) (MPU4 Video)" devices ())
(name "v4monteao" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 31) (MPU4 Video)" devices ())
(name "v4monteb" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release B, S/Site Standard, 20p Fixed, £8 All Cash) (MPU4 Video)" devices ())
(name "v4monteba" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release B, Arcade Special, 20p Fixed, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4montebb" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release B, Arcade Special, 20p Switchable, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4montec" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, Arcade Special, 20p Fixed, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4monted" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Fixed, £10 All Cash) (MPU4 Video)" devices ())
(name "v4montee" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 20p Switchable, Cash and Tokens) (MPU4 Video)" devices ())
(name "v4monteg" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release D, S/Site Standard, 25p Fixed, £10 All Cash) (MPU4 Video)" devices ())
(name "v4monteger" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (German) (MPU4 Video)" devices ())
(name "v4montek" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 1) (MPU4 Video)" devices ())
(name "v4montel" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 2) (MPU4 Video)" devices ())
(name "v4montem" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 3) (MPU4 Video)" devices ())
(name "v4monten" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 4) (MPU4 Video)" devices ())
(name "v4monteo" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 5) (MPU4 Video)" devices ())
(name "v4montep" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 6) (MPU4 Video)" devices ())
(name "v4monteq" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 7) (MPU4 Video)" devices ())
(name "v4monter" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 8) (MPU4 Video)" devices ())
(name "v4montes" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 9) (MPU4 Video)" devices ())
(name "v4montet" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 10) (MPU4 Video)" devices ())
(name "v4monteu" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 11) (MPU4 Video)" devices ())
(name "v4montev" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 12) (MPU4 Video)" devices ())
(name "v4montew" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 13) (MPU4 Video)" devices ())
(name "v4montex" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 14) (MPU4 Video)" devices ())
(name "v4montey" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 15) (MPU4 Video)" devices ())
(name "v4montez" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 16) (MPU4 Video)" devices ())
(name "v4montezz" year "199?" manufacturer "BWB" desc "Monte Carlo Or Bust (BWB) (Release ?, set 32) (MPU4 Video)" devices ())
(name "v4opt3" year "1991" manufacturer "Barcrest" desc "Option 3 (v1.0) (MPU4 Video)" devices ())
(name "v4opt3d" year "1991" manufacturer "Barcrest" desc "Option 3 (v1.0) (Datapak) (MPU4 Video)" devices ())
(name "v4ovrmn3" year "199?" manufacturer "BWB" desc "Over Moon Pt3 (BWB) (20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4ovrmn3a" year "199?" manufacturer "BWB" desc "Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4ovrmn3b" year "199?" manufacturer "BWB" desc "Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, Datapak) (MPU4 Video)" devices ())
(name "v4ovrmn3c" year "199?" manufacturer "BWB" desc "Over Moon Pt3 (BWB) (20p Fixed, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4ovrmn3d" year "199?" manufacturer "BWB" desc "Over Moon Pt3 (BWB) (20p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4p895p3" year "199?" manufacturer "QDI" desc "V4P895P3/SMT V5.0" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "v4picdil" year "199?" manufacturer "BWB (Nova license)" desc "Piccadilly Night (Nova, German) (set 1) (MPU4 Video)" devices ())
(name "v4picdila" year "199?" manufacturer "BWB (Nova license)" desc "Piccadilly Night (Nova, German) (set 2) (MPU4 Video)" devices ())
(name "v4picdilz" year "199?" manufacturer "BWB (Nova license)" desc "Piccadilly Night (Nova, German) (set 3) (MPU4 Video)" devices ())
(name "v4psi" year "1991" manufacturer "BWB" desc "Prize Space Invaders (BWB IN2, £20, 50p/30p Play, 20\" Version 1.1) (MPU4 Video)" devices ())
(name "v4psi14" year "1991" manufacturer "BWB" desc "Prize Space Invaders (BWB IN2, £20, 50p/30p Play, 14\" Version 1.1, set 1) (MPU4 Video)" devices ())
(name "v4psi14a" year "1991" manufacturer "BWB" desc "Prize Space Invaders (BWB IN2, £20, 50p/30p Play, 14\" Version 1.1, set 2) (MPU4 Video)" devices ())
(name "v4psibc" year "1991" manufacturer "BWB / Barcrest" desc "Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (MPU4 Video)" devices ())
(name "v4psibcd" year "1991" manufacturer "BWB / Barcrest" desc "Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (Datapak) (MPU4 Video)" devices ())
(name "v4psid" year "1991" manufacturer "BWB" desc "Prize Space Invaders (BWB IN2, £20, 50p/30p Play, 20\" Version 1.1) (Datapak) (MPU4 Video)" devices ())
(name "v4pztet" year "1994" manufacturer "BWB" desc "Prize Tetris (BWB) (MPU4 Video)" devices ())
(name "v4pzteta" year "1994" manufacturer "BWB" desc "Prize Tetris (BWB) (Datapak) (MPU4 Video)" devices ())
(name "v4pztetb" year "1994" manufacturer "BWB" desc "Prize Tetris (BWB) (Showcase) (MPU4 Video)" devices ())
(name "v4pztetc" year "1994" manufacturer "BWB" desc "Prize Tetris (BWB) (Showcase) (Datapak) (MPU4 Video)" devices ())
(name "v4quidgr" year "199?" manufacturer "Barcrest" desc "Ten Quid Grid (v1.2) (MPU4 Video)" devices ())
(name "v4quidgr2" year "199?" manufacturer "Barcrest" desc "Ten Quid Grid (v2.4) (MPU4 Video)" devices ())
(name "v4quidgr2d" year "199?" manufacturer "Barcrest" desc "Ten Quid Grid (v2.4, Datapak) (MPU4 Video)" devices ())
(name "v4quidgrd" year "199?" manufacturer "Barcrest" desc "Ten Quid Grid (v1.2, Datapak) (MPU4 Video)" devices ())
(name "v4redhtp" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4redhtp2" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copyright, 5p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4redhtp2a" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4redhtp2b" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtp2c" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4redhtp2d" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtp2e" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtp2f" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4redhtp2g" year "1993" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1993 copryight, 5p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtp2z" year "1992" manufacturer "BWB" desc "Red Hot Poker (Release 2, 1992 copyright, 20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4redhtpa" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, All - Cash) (MPU4 Video)" devices ())
(name "v4redhtpaa" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpab" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fxed, All-Cash) (MPU4 Video)" devices ())
(name "v4redhtparc" year "199?" manufacturer "BWB" desc "Red Hot Poker (Arcade, Cash+Tokens, 1993 Awards, 20p Fixed, Version 1.9) (MPU4 Video)" devices ())
(name "v4redhtpb" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpc" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 1, % Key) (MPU4 Video)" devices ())
(name "v4redhtpd" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpe" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpf" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpg" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4redhtph" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 2, % Key) (MPU4 Video)" devices ())
(name "v4redhtpi" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video)" devices ())
(name "v4redhtpj" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 10p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpk" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpl" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpm" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpn" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, % Key) (set 1)  (MPU4 Video)" devices ())
(name "v4redhtpo" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpp" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpq" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, Datapak) (set 3) (MPU4 Video)" devices ())
(name "v4redhtpr" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Fixed, Cash+Token, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtps" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpt" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpu" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpunk" year "199?" manufacturer "BWB" desc "Red Hot Poker (unknown release) (MPU4 Video)" devices ())
(name "v4redhtpv" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4redhtpw" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpx" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpy" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4redhtpz" year "199?" manufacturer "BWB" desc "Red Hot Poker (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (set 3) (MPU4 Video)" devices ())
(name "v4rencas" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 1) (MPU4 Video)" devices ())
(name "v4rencasa" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 2) (MPU4 Video)" devices ())
(name "v4rencasb" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 3) (MPU4 Video)" devices ())
(name "v4rencasc" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 4) (MPU4 Video)" devices ())
(name "v4rencasd" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 5) (MPU4 Video)" devices ())
(name "v4rencase" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 6) (MPU4 Video)" devices ())
(name "v4rencasf" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 7) (MPU4 Video)" devices ())
(name "v4rencasg" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 8) (MPU4 Video)" devices ())
(name "v4rencash" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 9) (MPU4 Video)" devices ())
(name "v4rencasi" year "199?" manufacturer "BWB" desc "Reno Casino (BWB) (set 10) (MPU4 Video)" devices ())
(name "v4reno" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, All - Cash) (set 1) (MPU4 Video)" devices ())
(name "v4reno5" year "1996" manufacturer "BWB" desc "Reno Reels (Release 5) (MPU4 Video)" devices ())
(name "v4reno7" year "1996" manufacturer "BWB" desc "Reno Reels (Release 7) (MPU4 Video)" devices ())
(name "v4reno8" year "1996" manufacturer "BWB" desc "Reno Reels (Release 8, 20p Fixed, Cash+Token) (MPU4 Video)" devices ())
(name "v4renoa" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, All - Cash) (set 2) (MPU4 Video)" devices ())
(name "v4renob" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/10p/5p, All - Cash) (MPU4 Video)" devices ())
(name "v4renoc" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4renod" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 1) (MPU4 Video)" devices ())
(name "v4renoe" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4renof" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 1) (Datapak) (MPU4 Video)" devices ())
(name "v4renog" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4renoh" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 2) (MPU4 Video)" devices ())
(name "v4renoi" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4renoj" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Showcase) (set 2) (Datapak) (MPU4 Video)" devices ())
(name "v4renok" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (Datapak) (set 3) (MPU4 Video)" devices ())
(name "v4renol" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, Cash+Token) (set 3) (MPU4 Video)" devices ())
(name "v4renom" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Fixed, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4renon" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 25p Fixed, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4renoo" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 25p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4renop" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/25p, All - Cash) (Datapak) (MPU4 Video)" devices ())
(name "v4renoq" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/25p, All - Cash) (MPU4 Video)" devices ())
(name "v4renor" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (Showcase) (set 1) (MPU4 Video)" devices ())
(name "v4renos" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4renot" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (Showcase) (set 2) (MPU4 Video)" devices ())
(name "v4renou" year "1996" manufacturer "BWB" desc "Reno Reels (Release A, 20p Switchable 20p/10p/5p, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4rhmaz" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4, Cash+Token, 1993 Awards, 10p Fixed) (MPU4 Video)" devices ())
(name "v4rhmaza" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 10p Fixed, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4rhmazb" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 10p Fixed, Datapak) (MPU4 Video)" devices ())
(name "v4rhmazc" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (MPU4 Video)" devices ())
(name "v4rhmazd" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, Datapak, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4rhmaze" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, Datapak, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4rhmazf" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed, Datapak) (MPU4 Video)" devices ())
(name "v4rhmazg" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video)" devices ())
(name "v4rhmazh" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Switchable to 10p, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4rhmazi" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p, Datapak) (MPU4 Video)" devices ())
(name "v4rhmazj" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Switchable to 10p, % Key) (MPU4 Video)" devices ())
(name "v4rhmazk" year "199?" manufacturer "BWB" desc "Red Hot Mazooma Belle (BWB) (Version 1.4 C, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video)" devices ())
(name "v4shpwnd" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token) (set 1) (MPU4 Video)" devices ())
(name "v4shpwnda" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token) (MPU4 Video)" devices ())
(name "v4shpwndb" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4shpwndc" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, Datapak) (MPU4 Video)" devices ())
(name "v4shpwndd" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 10p Fixed, Cash + Special BWB Token, % Key) (MPU4 Video)" devices ())
(name "v4shpwnde" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4shpwndf" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4shpwndg" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, % Key) (MPU4 Video)" devices ())
(name "v4shpwndh" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4shpwndi" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Fixed, Cash + Special BWB Token) (set 2) (MPU4 Video)" devices ())
(name "v4shpwndj" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token) (MPU4 Video)" devices ())
(name "v4shpwndk" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4shpwndl" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, Datapak) (MPU4 Video)" devices ())
(name "v4shpwndm" year "199?" manufacturer "BWB" desc "Shop Window (v2.0) (Release 2, 20p Switchable to 10p, Cash + Special BWB Token, % Key) (MPU4 Video)" devices ())
(name "v4sixx" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token) (set 1) (MPU4 Video)" devices ())
(name "v4sixxa" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token) (set 2) (MPU4 Video)" devices ())
(name "v4sixxb" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4sixxc" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4sixxd" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4sixxe" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token) (set 3) (MPU4 Video)" devices ())
(name "v4sixxf" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4sixxg" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token) (MPU4 Video)" devices ())
(name "v4sixxh" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, Datapak, % Key) (MPU4 Video)" devices ())
(name "v4sixxi" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, Datapak) (MPU4 Video)" devices ())
(name "v4sixxj" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, Cash+Token, % Key) (MPU4 Video)" devices ())
(name "v4sixxk" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Fixed, All - Cash) (MPU4 Video)" devices ())
(name "v4sixxl" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, All - Cash) (MPU4 Video)" devices ())
(name "v4sixxm" year "199?" manufacturer "BWB" desc "£6-X (BWB) (Release 3, 20p Switchable to 10p, All - Cash, Datapak) (MPU4 Video)" devices ())
(name "v4sklcsh" year "1990" manufacturer "Barcrest" desc "Skill Cash (v1.1) (MPU4 Video)" devices ())
(name "v4skltrk" year "1990" manufacturer "Barcrest" desc "Skill Trek (v1.1) (MPU4 Video, set 1)" devices ())
(name "v4skltrka" year "1990" manufacturer "Barcrest" desc "Skill Trek (v1.1) (MPU4 Video, set 2)" devices ())
(name "v4strike" year "199?" manufacturer "Barcrest" desc "Strike it Lucky (v0.5) (MPU4 Video)" devices ())
(name "v4strike2" year "199?" manufacturer "Barcrest" desc "Strike it Lucky (v0.53) (MPU4 Video)" devices ())
(name "v4strike2d" year "199?" manufacturer "Barcrest" desc "Strike it Lucky (v0.53, Datapak) (MPU4 Video)" devices ())
(name "v4striked" year "199?" manufacturer "Barcrest" desc "Strike it Lucky (v0.5, Datapak) (MPU4 Video)" devices ())
(name "v4sunbst" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 10p Fixed) (MPU4 Video)" devices ())
(name "v4sunbsta" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 10p Fixed, % Key) (MPU4 Video)" devices ())
(name "v4sunbstb" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash + Token, 1993 Awards, 10p Fixed) (MPU4 Video)" devices ())
(name "v4sunbstc" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 10p Fixed) (MPU4 Video)" devices ())
(name "v4sunbstd" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4sunbste" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, % Key) (set 1) (MPU4 Video)" devices ())
(name "v4sunbstf" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Fixed, % Key) (set 2) (MPU4 Video)" devices ())
(name "v4sunbstg" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (set 1) (MPU4 Video)" devices ())
(name "v4sunbsth" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4sunbsti" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Fixed, % Key) (MPU4 Video)" devices ())
(name "v4sunbstj" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Fixed) (MPU4 Video)" devices ())
(name "v4sunbstk" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Fixed) (set 2) (MPU4 Video)" devices ())
(name "v4sunbstl" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (set 1) (MPU4 Video)" devices ())
(name "v4sunbstm" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4, Cash+Token, 1993 Awards, 20p Switchable to 10p) (set 2) (MPU4 Video)" devices ())
(name "v4sunbstn" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 DY, Cash+Token, 1993 Awards, 20p Switchable to 10p, % Key) (MPU4 Video)" devices ())
(name "v4sunbsto" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p (MPU4 Video)" devices ())
(name "v4sunbstp" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 D, Cash+Token, 1993 Awards, 20p Switchable to 10p) (MPU4 Video)" devices ())
(name "v4sunbstq" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 Y, Cash+Token, 1993 Awards, 20p Switchable to 10p, % Key) (MPU4 Video)" devices ())
(name "v4sunbstr" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 C, 1993 Awards, 10p Fixed) (MPU4 Video)" devices ())
(name "v4sunbsts" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 C, 1993 Awards, 20p Fixed) (MPU4 Video)" devices ())
(name "v4sunbstt" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 C, 1993 Awards, 20p Switchable to 10p) (MPU4 Video)" devices ())
(name "v4sunbstu" year "199?" manufacturer "BWB" desc "Sunburst (BWB) (Version 1.4 IC, 1993 Awards, 20p Switchable to 10p) (MPU4 Video)" devices ())
(name "v4tetrs" year "1989" manufacturer "BWB / Barcrest" desc "Tetris Payout (BWB TET1 Version 2.2, set 1) (MPU4 Video)" devices ())
(name "v4tetrs1" year "1989" manufacturer "BWB / Barcrest" desc "Tetris Payout (BWB TET1 Version 2.2, set 2) (MPU4 Video)" devices ())
(name "v4timebn" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (set 1) (MPU4 Video)" devices ())
(name "v4timebna" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (set 2) (MPU4 Video)" devices ())
(name "v4timebnb" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 1) (MPU4 Video)" devices ())
(name "v4timebnc" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (set 3) (MPU4 Video)" devices ())
(name "v4timebnd" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 2) (MPU4 Video)" devices ())
(name "v4timebne" year "199?" manufacturer "BWB" desc "Time Bandit (BWB) (Release 1, 20p Fixed, Cash + Tokens) (Datapak) (set 3) (MPU4 Video)" devices ())
(name "v4tmach" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 3 Questions) (MPU4 Video)" devices ())
(name "v4tmach1" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 1 Questions) (MPU4 Video)" devices ())
(name "v4tmach1d" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 1 Questions) (Datapak) (MPU4 Video)" devices ())
(name "v4tmach2" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 2 Questions) (MPU4 Video)" devices ())
(name "v4tmach2d" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 2 Questions) (Datapak) (MPU4 Video)" devices ())
(name "v4tmachd" year "1989" manufacturer "Barcrest" desc "Time Machine (v2.0) (Issue 3 Questions) (Datapak) (MPU4 Video)" devices ())
(name "v4turnov" year "199?" manufacturer "Barcrest" desc "Turnover (v2.3) (MPU4 Video)" devices ())
(name "v4turnova" year "199?" manufacturer "Barcrest" desc "Turnover (v2.33) (MPU4 Video)" devices ())
(name "v4turnovc" year "199?" manufacturer "Barcrest" desc "Turnover (v2.3O) (MPU4 Video)" devices ())
(name "v4turnovd" year "199?" manufacturer "Barcrest" desc "Turnover (v?.?) (MPU4 Video)" devices ())
(name "v4vgpok" year "199?" manufacturer "BWB" desc "Vegas Poker (prototype, release 2) (MPU4 Video)" devices ())
(name "v4wize" year "199?" manufacturer "Barcrest" desc "Wize Move (v1.3) (MPU4 Video)" devices ())
(name "v4wizeb" year "199?" manufacturer "Barcrest" desc "Wize Move (v1.33) (MPU4 Video)" devices ())
(name "v4wizec" year "199?" manufacturer "Barcrest" desc "Wize Move (v1.3d3) (Datapak) (MPU4 Video)" devices ())
(name "v4wized" year "199?" manufacturer "Barcrest" desc "Wize Move (v1.3d) (Datapak) (MPU4 Video)" devices ())
(name "v4wizen" year "199?" manufacturer "Barcrest" desc "Wize Move (v?.?) (MPU4 Video)" devices ())
(name "v4wizeo" year "199?" manufacturer "Barcrest" desc "Wize Move (v1.2) (MPU4 Video)" devices ())
(name "v550" year "1982" manufacturer "Visual Technology" desc "Visual 550" devices ())
(name "v6809" year "1982" manufacturer "Microkit" desc "Vegas 6809" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "valkyrie" year "1989" manufacturer "Namco" desc "Valkyrie no Densetsu (Japan)" devices ())
(name "valtric" year "1986" manufacturer "NMK (Jaleco license)" desc "Valtric" devices ())
(name "vamphalf" year "1999" manufacturer "Danbi / F2 System" desc "Vamf x1/2 (Europe, version 1.1.0908)" devices ())
(name "vamphalfk" year "1999" manufacturer "Danbi / F2 System" desc "Vamp x1/2 (Korea, version 1.1.0908)" devices ())
(name "vamphalfr1" year "1999" manufacturer "Danbi / F2 System" desc "Vamf x1/2 (Europe, version 1.0.0903)" devices ())
(name "vampire" year "1983" manufacturer "Entertainment Enterprises, Ltd." desc "Vampire (prototype?)" devices ())
(name "vampj" year "1994" manufacturer "Capcom" desc "Vampire: The Night Warriors (Japan 940705)" devices ())
(name "vampja" year "1994" manufacturer "Capcom" desc "Vampire: The Night Warriors (Japan 940705 alt)" devices ())
(name "vampjr1" year "1994" manufacturer "Capcom" desc "Vampire: The Night Warriors (Japan 940630)" devices ())
(name "van16" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto Vancouver 16 Bit" devices ())
(name "van32" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto Vancouver 32 Bit" devices ())
(name "van32t" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto Vancouver 68030" devices ())
(name "van32t8" year "1991" manufacturer "Hegener + Glaser" desc "Mephisto TM Vancouver" devices ())
(name "vandyke" year "1990" manufacturer "UPL" desc "Vandyke (Japan)" devices ())
(name "vandykeb" year "1990" manufacturer "bootleg" desc "Vandyke (bootleg with PIC16c57)" devices ())
(name "vandykejal" year "1990" manufacturer "UPL (Jaleco license)" desc "Vandyke (Jaleco, set 1)" devices ())
(name "vandykejal2" year "1990" manufacturer "UPL (Jaleco license)" desc "Vandyke (Jaleco, set 2)" devices ())
(name "vangrd2" year "1984" manufacturer "SNK" desc "Vanguard II" devices ())
(name "vanguard" year "1981" manufacturer "SNK" desc "Vanguard (SNK)" devices ())
(name "vanguardc" year "1981" manufacturer "SNK (Centuri license)" desc "Vanguard (Centuri)" devices ())
(name "vanguardg" year "1981" manufacturer "SNK" desc "Vanguard (Germany)" devices ())
(name "vanguardj" year "1981" manufacturer "SNK" desc "Vanguard (Japan)" devices ())
(name "vanilla" year "1991" manufacturer "Nichibutsu" desc "Mahjong Vanilla Syndrome (Japan)" devices ())
(name "vanvan" year "1983" manufacturer "Sanritsu" desc "Van-Van Car" devices ())
(name "vanvanb" year "1983" manufacturer "Sanritsu (Karateco license?)" desc "Van-Van Car (Karateco set 2)" devices ())
(name "vanvank" year "1983" manufacturer "Sanritsu (Karateco license?)" desc "Van-Van Car (Karateco set 1)" devices ())
(name "vaportra" year "1989" manufacturer "Data East Corporation" desc "Vapor Trail - Hyper Offence Formation (World revision 1)" devices ())
(name "vaportra3" year "1989" manufacturer "Data East Corporation" desc "Vapor Trail - Hyper Offence Formation (World revision 3?)" devices ())
(name "vaportrau" year "1989" manufacturer "Data East USA" desc "Vapor Trail - Hyper Offence Formation (US)" devices ())
(name "vaportrx" year "1998" manufacturer "Atari Games" desc "Vapor TRX (GUTS Jul 2 1998 / MAIN Jul 18 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "vaportrxp" year "1998" manufacturer "Atari Games" desc "Vapor TRX (GUTS Apr 10 1998 / MAIN Apr 10 1998)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "varth" year "1992" manufacturer "Capcom" desc "Varth: Operation Thunderstorm (World 920714)" devices ())
(name "varthb" year "1992" manufacturer "bootleg" desc "Varth: Operation Thunderstorm (bootleg, set 1)" devices ())
(name "varthb2" year "1992" manufacturer "bootleg" desc "Varth: Operation Thunderstorm (bootleg, set 2)" devices ())
(name "varthb3" year "1992" manufacturer "bootleg" desc "Varth: Operation Thunderstorm (bootleg, set 3)" devices ())
(name "varthj" year "1992" manufacturer "Capcom" desc "Varth: Operation Thunderstorm (Japan 920714)" devices ())
(name "varthjr" year "1992" manufacturer "Capcom" desc "Varth: Operation Thunderstorm (Japan Resale Ver. 920714)" devices ())
(name "varthr1" year "1992" manufacturer "Capcom" desc "Varth: Operation Thunderstorm (World 920612)" devices ())
(name "varthu" year "1992" manufacturer "Capcom (Romstar license)" desc "Varth: Operation Thunderstorm (USA 920612)" devices ())
(name "vasara" year "2000" manufacturer "Visco" desc "Vasara" devices ())
(name "vasara2" year "2001" manufacturer "Visco" desc "Vasara 2 (set 1)" devices ())
(name "vasara2a" year "2001" manufacturer "Visco" desc "Vasara 2 (set 2)" devices ())
(name "vastar" year "1983" manufacturer "Orca (Sesame Japan license)" desc "Vastar (set 1)" devices ())
(name "vastar2" year "1983" manufacturer "Orca (Sesame Japan license)" desc "Vastar (set 2)" devices ())
(name "vastar3" year "1983" manufacturer "Orca (Sesame Japan license)" desc "Vastar (set 3)" devices ())
(name "vastar4" year "1983" manufacturer "Orca (Sesame Japan license)" desc "Vastar (set 4)" devices ())
(name "vathlete" year "2001" manufacturer "Sega" desc "Virtua Athletics / Virtua Athlete (GDS-0019)" devices ((name "cdrom" briefname "cdrm" )))
(name "vathletep" year "2001" manufacturer "Sega" desc "Virtua Athletics / Virtua Athlete (prototype)" devices ())
(name "vautour" year "1980" manufacturer "bootleg (Jeutel)" desc "Vautour (bootleg of Phoenix) (8085A CPU)" devices ())
(name "vautourz" year "1980" manufacturer "bootleg" desc "Vautour (bootleg of Phoenix) (Z80 CPU)" devices ())
(name "vautourza" year "1980" manufacturer "bootleg (Jeutel)" desc "Vautour (bootleg of Phoenix) (Z80 CPU, single PROM)" devices ())
(name "vax785" year "1984" manufacturer "Digital Equipment Corporation" desc "VAX-11/785" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "vbaby" year "200?" manufacturer "VTech" desc "V.Baby" devices ((name "cartridge" briefname "cart" )))
(name "vball" year "1988" manufacturer "Technos Japan" desc "U.S. Championship V'ball (US)" devices ())
(name "vball2pj" year "1988" manufacturer "Technos Japan" desc "U.S. Championship V'ball (Japan)" devices ())
(name "vball2pjb" year "1988" manufacturer "bootleg" desc "U.S. Championship V'ball (bootleg of Japan set)" devices ())
(name "vballb" year "1988" manufacturer "bootleg" desc "U.S. Championship V'ball (bootleg of US set)" devices ())
(name "vblokbrk" year "1997" manufacturer "Kaneko / Mediaworks" desc "VS Block Breaker (Europe)" devices ())
(name "vblokbrka" year "1997" manufacturer "Kaneko / Mediaworks" desc "VS Block Breaker (Asia)" devices ())
(name "vbowl" year "1996" manufacturer "IGS" desc "Virtua Bowling (World, V101XCM)" devices ())
(name "vbowlhk" year "1996" manufacturer "IGS / Tai Tin Amusement" desc "Virtua Bowling (Hong Kong, V101HJS)" devices ())
(name "vbowlj" year "1996" manufacturer "IGS / Alta" desc "Virtua Bowling (Japan, V100JCM)" devices ())
(name "vboy" year "1995" manufacturer "Nintendo" desc "Virtual Boy" devices ((name "cartridge" briefname "cart" )))
(name "vc4000" year "1978" manufacturer "Interton" desc "Interton Electronic VC 4000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "vc6000" year "1979" manufacturer "Prinztronic" desc "VC 6000" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "vcarn" year "1998" manufacturer "Electronic Projects" desc "Video Carnival 1999 / Super Royal Card (Version 0.11)" devices ())
(name "vcc" year "1979" manufacturer "Fidelity Electronics" desc "Voice Chess Challenger (set 1)" devices ())
(name "vcca" year "1979" manufacturer "Fidelity Electronics" desc "Voice Chess Challenger (set 2)" devices ())
(name "vcircle" year "1996" manufacturer "Atari Games" desc "Vicious Circle (prototype)" devices ((name "harddisk" briefname "hard" )))
(name "vclock3" year "1984" manufacturer "Tandy Corporation" desc "VoxClock 3" devices ())
(name "vcombat" year "1993" manufacturer "VR8 Inc." desc "Virtual Combat" devices ())
(name "vcop" year "1994" manufacturer "Sega" desc "Virtua Cop (Revision B)" devices ())
(name "vcop2" year "1995" manufacturer "Sega" desc "Virtua Cop 2" devices ())
(name "vcop3" year "2003" manufacturer "Sega" desc "Virtua Cop 3 (Rev B) (GDX-0003B)" devices ((name "cdrom" briefname "cdrm" )))
(name "vcop3a" year "2003" manufacturer "Sega" desc "Virtua Cop 3 (Rev A) (GDX-0003A)" devices ((name "cdrom" briefname "cdrm" )))
(name "vcopa" year "1994" manufacturer "Sega" desc "Virtua Cop (Revision A)" devices ())
(name "vcs80" year "1983" manufacturer "Eckhard Schiller" desc "VCS-80" devices ())
(name "vd56sp" year "199?" manufacturer "Pro-Nets Technology" desc "Speedcom VD56SP" devices ())
(name "vdm79322" year "1992" manufacturer "Mera-Elzab" desc "VDM 79322/CM 7233" devices ())
(name "vdmaster" year "198?" manufacturer "Grandstand" desc "Video Master" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "vdogdeme" year "200?" manufacturer "VRT" desc "V-Dog (prototype, earlier)" devices ())
(name "vdogdemo" year "200?" manufacturer "VRT" desc "V-Dog (prototype)" devices ())
(name "vec1200" year "1987" manufacturer "<unknown>" desc "Vector 1200" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" )))
(name "vector" year "1982" manufacturer "Bally" desc "Vector" devices ())
(name "vector06" year "1987" manufacturer "<unknown>" desc "Vector 06c" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge" briefname "cart" )))
(name "vector1" year "1979" manufacturer "Vector Graphic" desc "Vector 1+ (DD drive)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "vector3" year "1979" manufacturer "Vector Graphic" desc "Vector 3" devices ())
(name "vector4" year "1982" manufacturer "Vector Graphic" desc "Vector 4" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" )))
(name "vectrex" year "1982" manufacturer "General Consumer Electronics" desc "Vectrex" devices ((name "cartridge" briefname "cart" )))
(name "vectrix" year "1983" manufacturer "Vectrix" desc "VX384 Graphics Processor Terminal" devices ())
(name "vega" year "1982" manufacturer "Olympia" desc "Vega" devices ())
(name "vegas" year "1990" manufacturer "Gottlieb" desc "Vegas" devices ())
(name "vegasfst" year "1993" manufacturer "Soft Design" desc "Royal Vegas Joker Card (fast deal)" devices ())
(name "vegasfte" year "1993" manufacturer "Soft Design" desc "Royal Vegas Joker Card (fast deal, English gfx)" devices ())
(name "vegasgp" year "1979" manufacturer "Game Plan" desc "Vegas (Game Plan)" devices ())
(name "vegasmil" year "1993" manufacturer "Mile" desc "Royal Vegas Joker Card (fast deal, Mile)" devices ())
(name "vegasslw" year "1993" manufacturer "Fun World" desc "Royal Vegas Joker Card (slow deal)" devices ())
(name "vegast" year "198?" manufacturer "Taito do Brasil" desc "Vegas (Taito)" devices ())
(name "vendetta" year "1991" manufacturer "Konami" desc "Vendetta (World, 4 Players, ver. T)" devices ())
(name "vendetta2pd" year "1991" manufacturer "Konami" desc "Vendetta (Asia, 2 Players, ver. D)" devices ())
(name "vendetta2peba" year "1991" manufacturer "Konami" desc "Vendetta (World, 2 Players, ver. EB-A?)" devices ())
(name "vendetta2pp" year "1991" manufacturer "Konami" desc "Crime Fighters 2 (Japan, 2 Players, ver. P)" devices ())
(name "vendetta2pu" year "1991" manufacturer "Konami" desc "Vendetta (Asia, 2 Players, ver. U)" devices ())
(name "vendetta2pun" year "1991" manufacturer "Konami" desc "Vendetta (World, 2 Players, ver. ?)" devices ())
(name "vendetta2pw" year "1991" manufacturer "Konami" desc "Vendetta (World, 2 Players, ver. W)" devices ())
(name "vendettan" year "1991" manufacturer "Konami" desc "Crime Fighters 2 (Japan, 4 Players, ver. N)" devices ())
(name "vendettar" year "1991" manufacturer "Konami" desc "Vendetta (US, 4 Players, ver. R)" devices ())
(name "vendettaun" year "1991" manufacturer "Konami" desc "Vendetta (World, 4 Players, ver. ?)" devices ())
(name "vendettaz" year "1991" manufacturer "Konami" desc "Vendetta (Asia, 4 Players, ver. Z)" devices ())
(name "venetian" year "2002" manufacturer "Aristocrat" desc "Venetian Nights (1J008911, NSW/ACT)" devices ())
(name "venice" year "2004" manufacturer "Aristocrat" desc "Venice (0151355, US)" devices ())
(name "venicea5" year "2002" manufacturer "Aristocrat" desc "Venice (02J02056, Venezuela)" devices ())
(name "venom" year "1997" manufacturer "bootleg" desc "Venom & Spider-Man - Separation Anxiety (SNES bootleg)" devices ())
(name "ventur25" year "200?" manufacturer "<unknown> / JungleTac" desc "Venturer '25 Games' 25-in-1" devices ())
(name "venture" year "1981" manufacturer "Exidy" desc "Venture (version 5 set 1)" devices ())
(name "venture4" year "1981" manufacturer "Exidy" desc "Venture (version 4)" devices ())
(name "venture5a" year "1981" manufacturer "Exidy" desc "Venture (version 5 set 2)" devices ())
(name "venture5b" year "1981" manufacturer "bootleg" desc "Venture (version 5 set 2, bootleg)" devices ())
(name "venus" year "1983" manufacturer "bootleg" desc "Venus (bootleg of Gyruss)" devices ())
(name "verbena" year "1980" manufacturer "bootleg (Cocamatic)" desc "Verbena (bootleg of Carnival)" devices ())
(name "version4" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3R CGA)" devices ())
(name "version4d2" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3E CGA)" devices ())
(name "version4d3" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3LT CGA)" devices ())
(name "version4o" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.2R CGA)" devices ())
(name "version4v" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3R Dual)" devices ())
(name "version4v2" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3E Dual)" devices ())
(name "version4v3" year "2006" manufacturer "Amcoe" desc "Version 4 (Version 4.3LT Dual)" devices ())
(name "vespovar" year "1989" manufacturer "bootleg (Elektronika)" desc "Vesyolyy povar" devices ())
(name "vesta" year "1987" manufacturer "BP EVM" desc "PK8000 Vesta" devices ((name "cassette" briefname "cass" )))
(name "vf" year "1993" manufacturer "Sega" desc "Virtua Fighter" devices ())
(name "vf2" year "1994" manufacturer "Sega" desc "Virtua Fighter 2 (Version 2.1)" devices ())
(name "vf2a" year "1994" manufacturer "Sega" desc "Virtua Fighter 2 (Revision A)" devices ())
(name "vf2b" year "1994" manufacturer "Sega" desc "Virtua Fighter 2 (Revision B)" devices ())
(name "vf2o" year "1994" manufacturer "Sega" desc "Virtua Fighter 2" devices ())
(name "vf3" year "1996" manufacturer "Sega" desc "Virtua Fighter 3 (Japan, Revision D)" devices ())
(name "vf3a" year "1996" manufacturer "Sega" desc "Virtua Fighter 3 (Japan, Revision A)" devices ())
(name "vf3c" year "1996" manufacturer "Sega" desc "Virtua Fighter 3 (Japan, Revision C)" devices ())
(name "vf3tb" year "1996" manufacturer "Sega" desc "Virtua Fighter 3 Team Battle (Japan)" devices ())
(name "vf4" year "2001" manufacturer "Sega" desc "Virtua Fighter 4 Version C (GDS-0012C)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4b" year "2001" manufacturer "Sega" desc "Virtua Fighter 4 (Rev B) (GDS-0012B)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4cart" year "2002" manufacturer "Sega" desc "Virtua Fighter 4 (World)" devices ())
(name "vf4evo" year "2002" manufacturer "Sega" desc "Virtua Fighter 4: Evolution (Version B) (Japan) (GDS-0024C)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4evoa" year "2002" manufacturer "Sega" desc "Virtua Fighter 4: Evolution (Japan) (GDS-0024A)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4evob" year "2002" manufacturer "Sega" desc "Virtua Fighter 4: Evolution (Version B) (Japan) (GDS-0024B)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4evoct" year "2002" manufacturer "Sega" desc "Virtua Fighter 4: Evolution (World)" devices ())
(name "vf4o" year "2001" manufacturer "Sega" desc "Virtua Fighter 4 (GDS-0012)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4tuned" year "2004" manufacturer "Sega" desc "Virtua Fighter 4: Final Tuned (Ver. B) (GDS-0036F)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4tuneda" year "2004" manufacturer "Sega" desc "Virtua Fighter 4: Final Tuned (Rev A) (GDS-0036A)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf4tunedd" year "2004" manufacturer "Sega" desc "Virtua Fighter 4: Final Tuned (Ver. A) (GDS-0036D)" devices ((name "cdrom" briefname "cdrm" )))
(name "vf5" year "2005" manufacturer "Sega" desc "Virtua Fighter 5 (Export)" devices ())
(name "vfive" year "1993" manufacturer "Toaplan" desc "V-Five (Japan)" devices ())
(name "vfkids" year "1996" manufacturer "Sega" desc "Virtua Fighter Kids (JUET 960319 V0.000)" devices ())
(name "vfootbal" year "200?" manufacturer "<unknown>" desc "Virtual Football (with 3 bonus games)" devices ())
(name "vformula" year "1993" manufacturer "Sega" desc "Virtua Formula" devices ())
(name "vfremix" year "1995" manufacturer "Sega" desc "Virtua Fighter Remix (JUETBKAL 950428 V1.000)" devices ())
(name "vfurlong" year "2005" manufacturer "Progress / Sammy" desc "Net@Select: Horse Racing - Victory Furlong" devices ())
(name "vfutbol" year "1989" manufacturer "bootleg (Elektronika)" desc "Vesyolye futbolisty" devices ())
(name "vfx" year "1989" manufacturer "Ensoniq" desc "VFX" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "vfxsd" year "1989" manufacturer "Ensoniq" desc "VFX-SD" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" ) (name "floppydisk" briefname "flop" )))
(name "vg5k" year "1984" manufacturer "Philips" desc "VG-5000" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "vg8000" year "1984" manufacturer "Philips" desc "VG-8000 (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cassette" briefname "cass" )))
(name "vg8010" year "1985" manufacturer "Philips" desc "VG-8010 / VG-8010/00 (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cassette" briefname "cass" )))
(name "vg8010f" year "1985" manufacturer "Philips" desc "VG-8010F / VG-8010/19 (MSX1, French)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cassette" briefname "cass" )))
(name "vg802000" year "1985" manufacturer "Philips" desc "VG-8020/00 (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg802020" year "1985" manufacturer "Philips" desc "VG-8020/20 (MSX1, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg8020f" year "1985" manufacturer "Philips" desc "VG-8020/19 / VG-8020F (MSX1, French)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg8230" year "1986" manufacturer "Philips" desc "VG-8230 (MSX2, Netherlands)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg8235" year "1986" manufacturer "Philips" desc "VG-8235 (MSX2, Europe)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg8235f" year "1986" manufacturer "Philips" desc "VG-8235F (MSX2, France)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vg8240" year "1986" manufacturer "Philips" desc "VG-8240 (MSX2, Prototype)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "vgcap35" year "2006" manufacturer "Performance Designed Products (licensed by Taito / Data East) / JungleTac" desc "VG Pocket Caplet Fast Acting 35-in-1" devices ())
(name "vgcaplet" year "2006" manufacturer "Performance Designed Products (licensed by Taito / Data East) / JungleTac" desc "VG Pocket Caplet Fast Acting 50-in-1" devices ())
(name "vgmplay" year "2016" manufacturer "MAME" desc "VGM player" devices ((name "quickload" briefname "quik" )))
(name "vgoalsoc" year "1994" manufacturer "Tecmo" desc "V Goal Soccer (Europe)" devices ())
(name "vgoalsoca" year "1994" manufacturer "Tecmo" desc "V Goal Soccer (US/Japan/Korea)" devices ())
(name "vgpmini" year "200?" manufacturer "Performance Designed Products / JungleTac" desc "VG Pocket Mini (VG-1500)" devices ())
(name "vgpocket" year "2005" manufacturer "Performance Designed Products / JungleTac" desc "VG Pocket (VG-2000)" devices ())
(name "vgtablet" year "2006" manufacturer "Performance Designed Products (licensed by Konami) / JungleTac" desc "VG Pocket Tablet (VG-4000)" devices ())
(name "vhunt2" year "1997" manufacturer "Capcom" desc "Vampire Hunter 2: Darkstalkers Revenge (Japan 970929)" devices ())
(name "vhunt2d" year "1997" manufacturer "bootleg" desc "Vampire Hunter 2: Darkstalkers Revenge (Japan 970913 Phoenix Edition) (bootleg)" devices ())
(name "vhunt2r1" year "1997" manufacturer "Capcom" desc "Vampire Hunter 2: Darkstalkers Revenge (Japan 970913)" devices ())
(name "vhuntj" year "1995" manufacturer "Capcom" desc "Vampire Hunter: Darkstalkers' Revenge (Japan 950316)" devices ())
(name "vhuntjr1" year "1995" manufacturer "Capcom" desc "Vampire Hunter: Darkstalkers' Revenge (Japan 950307)" devices ())
(name "vhuntjr1s" year "1995" manufacturer "Capcom" desc "Vampire Hunter: Darkstalkers' Revenge (Japan 950307 stop version)" devices ())
(name "vhuntjr2" year "1995" manufacturer "Capcom" desc "Vampire Hunter: Darkstalkers' Revenge (Japan 950302)" devices ())
(name "via4386vio" year "199?" manufacturer "<unknown>" desc "Via 4386 VIO / Highscreen universal board" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "vic10" year "1982" manufacturer "Commodore Business Machines" desc "VIC-10 / Max Machine / UltiMax (NTSC)" devices ((name "cassette" briefname "cass" ) (name "cartridge" briefname "cart" mandatory t)))
(name "vic1001" year "1980" manufacturer "Commodore Business Machines" desc "VIC-1001 (Japan)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "quickload" briefname "quik" )))
(name "vic20" year "1981" manufacturer "Commodore Business Machines" desc "VIC-20 (NTSC)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "quickload" briefname "quik" )))
(name "vic20_se" year "1981" manufacturer "Commodore Business Machines" desc "VIC-20 (Sweden/Finland)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "quickload" briefname "quik" )))
(name "vic20p" year "1981" manufacturer "Commodore Business Machines" desc "VIC-20 / VC-20 (PAL)" devices ((name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "quickload" briefname "quik" )))
(name "vicshoot" year "1995" manufacturer "Taito Corporation" desc "Victory Shoot" devices ())
(name "victhc80" year "1986" manufacturer "Victor" desc "HC-80 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "victhc90" year "1986" manufacturer "Victor" desc "HC-90 (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "victhc90a" year "1986" manufacturer "Victor" desc "HC-90A (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "victhc95" year "1986" manufacturer "Victor" desc "HC-95 (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "victhc95a" year "1986" manufacturer "Victor" desc "HC-95A (MSX2, Japan)" devices ((name "cartridge" briefname "cart" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "victlap" year "1996" manufacturer "Namco" desc "Ace Driver: Victory Lap (World, ADV2 Ver.B)" devices ())
(name "victlapa" year "1996" manufacturer "Namco" desc "Ace Driver: Victory Lap (World, ADV2)" devices ())
(name "victlapj" year "1996" manufacturer "Namco" desc "Ace Driver: Victory Lap (Japan, ADV1 Ver.C)" devices ())
(name "victnine" year "1984" manufacturer "Taito" desc "Victorious Nine" devices ())
(name "victor" year "1980" manufacturer "Micronique" desc "Victor" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" )))
(name "victor21" year "1990" manufacturer "Subsino / Buffy" desc "Victor 21" devices ())
(name "victor5" year "1991" manufacturer "Subsino / Buffy" desc "Victor 5" devices ())
(name "victor5a" year "1991" manufacturer "Subsino" desc "G.E.A." devices ())
(name "victor6" year "1995" manufacturer "American Alpha" desc "Victor 6 (v2.3N)" devices ())
(name "victor6a" year "1995" manufacturer "American Alpha" desc "Victor 6 (v2.3)" devices ())
(name "victor6b" year "1995" manufacturer "American Alpha" desc "Victor 6 (v1.2)" devices ())
(name "victor9k" year "1982" manufacturer "Victor Business Products" desc "Victor 9000" devices ((name "printout" briefname "prin" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "victorba" year "1982" manufacturer "Exidy" desc "Victor Banana" devices ())
(name "victory" year "1982" manufacturer "Exidy" desc "Victory" devices ())
(name "victoryc" year "1982" manufacturer "Comsoft" desc "Victory (Comsoft)" devices ())
(name "victorycb" year "1982" manufacturer "bootleg" desc "Victory (Comsoft) (bootleg)" devices ())
(name "victoryp" year "1987" manufacturer "Gottlieb" desc "Victory (Pinball)" devices ())
(name "victorypf" year "1987" manufacturer "Gottlieb" desc "Victory (Pinball, French)" devices ())
(name "victorypg" year "1987" manufacturer "Gottlieb" desc "Victory (Pinball, German)" devices ())
(name "victroad" year "1986" manufacturer "SNK" desc "Victory Road" devices ())
(name "vidbrain" year "1978" manufacturer "VideoBrain Computer Company" desc "VideoBrain FamilyComputer" devices ((name "cartridge" briefname "cart" )))
(name "vidchal" year "1987" manufacturer "Select Merchandise" desc "Video Challenger" devices ())
(name "videight" year "2001" manufacturer "Macro" desc "Video Eight" devices ())
(name "video21" year "1980?" manufacturer "Video Games GmbH" desc "Video 21" devices ())
(name "videoart" year "1987" manufacturer "LJN Toys" desc "VideoArt" devices ((name "cartridge" briefname "cart" )))
(name "videocba" year "1987" manufacturer "InterFlip" desc "Video Cordoba" devices ())
(name "videodad" year "1987" manufacturer "InterFlip" desc "Video Dado" devices ())
(name "videomat" year "1990" manufacturer "bootleg" desc "Videomat (Polish bootleg)" devices ())
(name "videopac" year "1978" manufacturer "Philips" desc "Videopac G7000 (Europe)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "videopacf" year "1979" manufacturer "Philips" desc "Videopac C52 (France)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "videopacp" year "1983" manufacturer "Philips" desc "Videopac+ G7400 (Europe)" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "videopin" year "1979" manufacturer "Atari" desc "Video Pinball (16 PROMs version)" devices ())
(name "videopina" year "1979" manufacturer "Atari" desc "Video Pinball (4 ROMs version)" devices ())
(name "videopkr" year "1984" manufacturer "InterFlip" desc "Video Poker" devices ())
(name "videtrna" year "198?" manufacturer "<unknown>" desc "Videotron Poker (normal controls)" devices ())
(name "videtron" year "198?" manufacturer "<unknown>" desc "Videotron Poker (cards selector, set 1)" devices ())
(name "videtron2" year "198?" manufacturer "<unknown>" desc "Videotron Poker (cards selector, set 2)" devices ())
(name "vidvince" year "1984" manufacturer "Mylstar" desc "Video Vince and the Game Factory (prototype)" devices ())
(name "viewpoin" year "1992" manufacturer "Sammy / Aicom" desc "Viewpoint" devices ((name "memcard" briefname "memc" ) ()))
(name "viewpoinp" year "1992" manufacturer "Sammy / Aicom" desc "Viewpoint (prototype)" devices ((name "memcard" briefname "memc" ) ()))
(name "vigilant" year "1988" manufacturer "Irem" desc "Vigilante (World, Rev E)" devices ())
(name "vigilanta" year "1988" manufacturer "Irem" desc "Vigilante (World, Rev A)" devices ())
(name "vigilantb" year "1988" manufacturer "Irem (Data East license)" desc "Vigilante (US, Rev B)" devices ())
(name "vigilantbl" year "1988" manufacturer "bootleg" desc "Vigilante (bootleg)" devices ())
(name "vigilantc" year "1988" manufacturer "Irem" desc "Vigilante (World, Rev C)" devices ())
(name "vigilantd" year "1988" manufacturer "Irem" desc "Vigilante (Japan, Rev D)" devices ())
(name "vigilantg" year "1988" manufacturer "Irem (Data East license)" desc "Vigilante (US, Rev G)" devices ())
(name "vigilanto" year "1988" manufacturer "Irem (Data East license)" desc "Vigilante (US)" devices ())
(name "vii" year "2007" manufacturer "Jungle Soft / KenSingTon / Siatronics" desc "Vii" devices ((name "cartridge" briefname "cart" )))
(name "viking" year "1980" manufacturer "Bally" desc "Viking" devices ())
(name "vikingt" year "199?" manufacturer "Konami" desc "Viking Treasure" devices ())
(name "vikngkng" year "198?" manufacturer "LTD" desc "Viking King" devices ())
(name "vimana" year "1991" manufacturer "Toaplan" desc "Vimana (World, rev A)" devices ())
(name "vimanaj" year "1991" manufacturer "Toaplan" desc "Vimana (Japan)" devices ())
(name "vimanan" year "1991" manufacturer "Toaplan" desc "Vimana (World)" devices ())
(name "vindctr2" year "1988" manufacturer "Atari Games" desc "Vindicators Part II (rev 3)" devices ())
(name "vindctr2r1" year "1988" manufacturer "Atari Games" desc "Vindicators Part II (rev 1)" devices ())
(name "vindctr2r2" year "1988" manufacturer "Atari Games" desc "Vindicators Part II (rev 2)" devices ())
(name "vindictr" year "1988" manufacturer "Atari Games" desc "Vindicators (rev 5)" devices ())
(name "vindictr1" year "1988" manufacturer "Atari Games" desc "Vindicators (rev 1)" devices ())
(name "vindictr2" year "1988" manufacturer "Atari Games" desc "Vindicators (rev 2)" devices ())
(name "vindictr4" year "1988" manufacturer "Atari Games" desc "Vindicators (rev 4)" devices ())
(name "vindictre" year "1988" manufacturer "Atari Games" desc "Vindicators (Europe, rev 5)" devices ())
(name "vindictre3" year "1988" manufacturer "Atari Games" desc "Vindicators (Europe, rev 3)" devices ())
(name "vindictre4" year "1988" manufacturer "Atari Games" desc "Vindicators (Europe, rev 4)" devices ())
(name "vindictrg" year "1988" manufacturer "Atari Games" desc "Vindicators (German, rev 1)" devices ())
(name "vintkeys" year "1993" manufacturer "E-mu Systems" desc "Vintage Keys Classic Analog Keyboards" devices ())
(name "vinvader" year "1981" manufacturer "VTech" desc "Invaders (VTech)" devices ())
(name "viofight" year "1989" manufacturer "Taito Corporation Japan" desc "Violence Fight (World)" devices ())
(name "viofightj" year "1989" manufacturer "Taito Corporation" desc "Violence Fight (Japan)" devices ())
(name "viofightu" year "1989" manufacturer "Taito America Corporation" desc "Violence Fight (US)" devices ())
(name "viostorm" year "1993" manufacturer "Konami" desc "Violent Storm (ver EAC)" devices ())
(name "viostorma" year "1993" manufacturer "Konami" desc "Violent Storm (ver AAC)" devices ())
(name "viostormab" year "1993" manufacturer "Konami" desc "Violent Storm (ver AAB)" devices ())
(name "viostormabbl" year "1993" manufacturer "bootleg" desc "Violent Storm (ver AAB, bootleg)" devices ())
(name "viostormeb" year "1993" manufacturer "Konami" desc "Violent Storm (ver EAB)" devices ())
(name "viostormj" year "1993" manufacturer "Konami" desc "Violent Storm (ver JAC)" devices ())
(name "viostormu" year "1993" manufacturer "Konami" desc "Violent Storm (ver UAC)" devices ())
(name "viostormub" year "1993" manufacturer "Konami" desc "Violent Storm (ver UAB)" devices ())
(name "viostormubbl" year "1993" manufacturer "bootleg (Eye Pro)" desc "Violent Storm (ver UAB, bootleg)" devices ())
(name "vip" year "1977" manufacturer "RCA" desc "Cosmac VIP (VP-711)" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "vip2000" year "2004" manufacturer "Paloma Elektronik?" desc "unknown 'VIP 2000' game (set 1)" devices ())
(name "vip2000a" year "2003" manufacturer "Paloma Elektronik?" desc "unknown 'VIP 2000' game (set 2)" devices ())
(name "vip2000b" year "2003" manufacturer "Paloma Elektronik?" desc "unknown 'VIP 2000' game (set 3)" devices ())
(name "vip64" year "1984" manufacturer "Commodore Business Machines" desc "VIP-64 (Sweden/Finland)" devices ((name "cassette" briefname "cass" ) (name "floppydisk" briefname "flop" ) (name "cartridge" briefname "cart" ) (name "quickload" briefname "quik" )))
(name "vipclub" year "1988" manufacturer "Daiichi Denshi" desc "Vip Club - Maru-hi Ippatsu Kaihou (Japan 880310)" devices ())
(name "viper" year "1988" manufacturer "Leland Corporation" desc "Viper (rev 3)" devices ())
(name "viperp" year "1981" manufacturer "Stern" desc "Viper (Pinball)" devices ())
(name "viprp1" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (New Version, World)" devices ())
(name "viprp1h" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (New Version, Holland)" devices ())
(name "viprp1hk" year "1995" manufacturer "Seibu Kaihatsu (Metrotainment license)" desc "Viper Phase 1 (Hong Kong)" devices ())
(name "viprp1j" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (New Version, Japan)" devices ())
(name "viprp1k" year "1995" manufacturer "Seibu Kaihatsu (Dream Island license)" desc "Viper Phase 1 (New Version, Korea)" devices ())
(name "viprp1oj" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (Japan)" devices ())
(name "viprp1ot" year "1995" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Viper Phase 1 (Germany)" devices ())
(name "viprp1pt" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (New Version, Portugal)" devices ())
(name "viprp1s" year "1995" manufacturer "Seibu Kaihatsu" desc "Viper Phase 1 (New Version, Switzerland)" devices ())
(name "viprp1t" year "1995" manufacturer "Seibu Kaihatsu (Tuning license)" desc "Viper Phase 1 (New Version, Germany)" devices ())
(name "viprp1u" year "1995" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Viper Phase 1 (New Version, US set 1)" devices ())
(name "viprp1ua" year "1995" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Viper Phase 1 (New Version, US set 2)" devices ())
(name "viprsega" year "1998" manufacturer "Sega" desc "Viper Night Drivin' (CPU 2.01, display A2.01)" devices ())
(name "viprsega_102" year "1998" manufacturer "Sega" desc "Viper Night Drivin' (CPU 1.02, display A1.00)" devices ())
(name "virnba" year "2000" manufacturer "Sega" desc "Virtua NBA (USA)" devices ())
(name "virnbao" year "2000" manufacturer "Sega" desc "Virtua NBA" devices ())
(name "virnbap" year "1999" manufacturer "Sega" desc "Virtua NBA (prototype)" devices ())
(name "virnbapa" year "1999" manufacturer "Sega" desc "Virtua NBA (prototype, 15.11)" devices ())
(name "virtbb" year "200?" manufacturer "VTG Interactive" desc "Virtual Baseball (VTG)" devices ())
(name "virtpool" year "1998" manufacturer "Incredible Technologies" desc "Virtual Pool" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "virtten" year "200?" manufacturer "VTG Interactive" desc "Virtual Tennis (VTG)" devices ())
(name "virusa" year "1997" manufacturer "Access" desc "Virus A" devices ())
(name "virusb" year "1999" manufacturer "Access" desc "Virus B (Ver. T)" devices ())
(name "virusc" year "2002" manufacturer "Access" desc "Virus C" devices ())
(name "viruscl" year "2004" manufacturer "Access" desc "Virus Classic" devices ())
(name "virusrck" year "2001" manufacturer "Access" desc "Virus Rack (Ver. T)" devices ())
(name "virusrckxl" year "2002" manufacturer "Access" desc "Virus Rack XL" devices ())
(name "vis" year "1992" manufacturer "Tandy/Memorex" desc "Video Information System MD-2500" devices ((name "cdrom" briefname "cdrm" ) (name "memcard" briefname "memc" )))
(name "visicom" year "1978" manufacturer "Toshiba" desc "Visicom COM-100 (Japan)" devices ((name "cartridge" briefname "cart" )))
(name "visor" year "2001" manufacturer "Handspring" desc "Visor Edge" devices ())
(name "visual50" year "1983" manufacturer "Visual Technology" desc "Visual 50" devices ())
(name "vitaminc" year "1989" manufacturer "Home Data" desc "Mahjong Vitamin C (Japan)" devices ())
(name "vivdolls" year "1998" manufacturer "Visco" desc "Vivid Dolls" devices ())
(name "vixen" year "1984" manufacturer "Osborne" desc "Vixen" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "vjdash" year "1999" manufacturer "Jaleco" desc "VJ Dash (ver 1.0)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "vjdasha" year "1999" manufacturer "Jaleco" desc "VJ Dash (Ver 1.2)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "vjpp2" year "200?" manufacturer "Conny / VideoJet" desc "Plug Play TV Games 2 (4-in-1) (VideoJet, France)" devices ())
(name "vjslap" year "1999" manufacturer "Jaleco" desc "VJ: Visual & Music Slap" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "vk100" year "1980" manufacturer "Digital Equipment Corporation" desc "VK100 'GIGI'" devices ())
(name "vl1" year "1993" manufacturer "Yamaha" desc "VL1" devices ((name "floppydisk" briefname "flop" )))
(name "vl70" year "1996" manufacturer "Yamaha" desc "VL70-m" devices ((name "midiin1" briefname "min1" ) (name "midiin2" briefname "min2" ) (name "midiout" briefname "mout" )))
(name "vlcno_1a" year "1981" manufacturer "Gottlieb" desc "Volcano (Sound Only set 3)" devices ())
(name "vlcno_1b" year "1981" manufacturer "Gottlieb" desc "Volcano (Sound Only set 2)" devices ())
(name "vlcno_1c" year "1981" manufacturer "Gottlieb" desc "Volcano (Sound Only set 1)" devices ())
(name "vlcno_ax" year "1981" manufacturer "Gottlieb" desc "Volcano" devices ())
(name "vlcunk" year "2000" manufacturer "VLC Inc." desc "unknown VLC multigame" devices ())
(name "vliner" year "2001" manufacturer "Dyna / BrezzaSoft" desc "V-Liner (v0.7a)" devices ((name "memcard" briefname "memc" ) ()))
(name "vliner53" year "2001" manufacturer "Dyna / BrezzaSoft" desc "V-Liner (v0.53)" devices ((name "memcard" briefname "memc" ) ()))
(name "vliner54" year "2001" manufacturer "Dyna / BrezzaSoft" desc "V-Liner (v0.54)" devices ((name "memcard" briefname "memc" ) ()))
(name "vliner6e" year "2001" manufacturer "Dyna / BrezzaSoft" desc "V-Liner (v0.6e)" devices ((name "memcard" briefname "memc" ) ()))
(name "vliner7e" year "2001" manufacturer "Dyna / BrezzaSoft" desc "V-Liner (v0.7e)" devices ((name "memcard" briefname "memc" ) ()))
(name "vlsi5" year "198?" manufacturer "<unknown>" desc "286 motherboards with 5-chip VLSI chipset" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "vmahjong" year "1997" manufacturer "Micronet" desc "Virtual Mahjong (J 961214 V1.000)" devices ())
(name "vmdtbase" year "1979" manufacturer "Videomaster" desc "Videomaster Database Games-Computer" devices ((name "quickload" briefname "quik" ) (name "cartridge" briefname "cart" )))
(name "vmetal" year "1995" manufacturer "Excellent System" desc "Varia Metal" devices ())
(name "vmetaln" year "1995" manufacturer "Excellent System (New Ways Trading Co. license)" desc "Varia Metal (New Ways Trading Co.)" devices ())
(name "vngrdmk1" year "2004?" manufacturer "EOD Performance Inc." desc "Vanguard MK1" devices ())
(name "vnight" year "2001" manufacturer "Sega / Namco" desc "Vampire Night (VPN3 Ver. B)" devices ())
(name "vo5850pm" year "19??" manufacturer "Sony" desc "U-Matic Videocassette Recorder VO-5850PM" devices ())
(name "vocaid" year "1982" manufacturer "Texas Instruments" desc "Vocaid" devices ())
(name "vocalizer" year "1988" manufacturer "Breakaway Music Systems" desc "Vocalizer 1000" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "voleybal" year "198?" manufacturer "Taito do Brasil" desc "Volley" devices ())
(name "volfied" year "1989" manufacturer "Taito Corporation Japan" desc "Volfied (World, rev 1)" devices ())
(name "volfiedj" year "1989" manufacturer "Taito Corporation" desc "Volfied (Japan, rev 1)" devices ())
(name "volfiedjo" year "1989" manufacturer "Taito Corporation" desc "Volfied (Japan)" devices ())
(name "volfiedo" year "1989" manufacturer "Taito Corporation Japan" desc "Volfied (World)" devices ())
(name "volfiedu" year "1989" manufacturer "Taito America Corporation" desc "Volfied (US, rev 1)" devices ())
(name "volfieduo" year "1989" manufacturer "Taito America Corporation" desc "Volfied (US)" devices ())
(name "vollyrmt" year "1973" manufacturer "Ramtek" desc "Volly (Ramtek)" devices ())
(name "voltan" year "1978" manufacturer "Bally" desc "Voltan Escapes Cosmic Doom" devices ())
(name "von" year "1995" manufacturer "Sega" desc "Cyber Troopers Virtual-On - Twin (Export)" devices ())
(name "von2" year "1998" manufacturer "Sega" desc "Virtual On 2: Oratorio Tangram (Japan, Revision B)" devices ())
(name "von254g" year "1998" manufacturer "Sega" desc "Virtual On 2: Oratorio Tangram (Japan, ver 5.4g)" devices ())
(name "von2a" year "1998" manufacturer "Sega" desc "Virtual On 2: Oratorio Tangram (Japan, Revision A)" devices ())
(name "von2o" year "1998" manufacturer "Sega" desc "Virtual On 2: Oratorio Tangram (Japan)" devices ())
(name "vonj" year "1995" manufacturer "Sega" desc "Cyber Troopers Virtual-On - Twin (Japan, Revision B)" devices ())
(name "vonot" year "2000" manufacturer "Sega" desc "Virtual On Oratorio Tangram M.S.B.S. ver5.66 2000 Edition" devices ())
(name "vonr" year "1995" manufacturer "Sega" desc "Cyber Troopers Virtual-On - Relay (Japan)" devices ())
(name "vonu" year "1995" manufacturer "Sega" desc "Cyber Troopers Virtual-On - Twin (USA, Revision B)" devices ())
(name "vortex" year "1980" manufacturer "Zilec Electronics" desc "Vortex" devices ())
(name "vortexp" year "1982" manufacturer "Taito do Brasil" desc "Vortex (Pinball)" devices ())
(name "votrpss" year "1982" manufacturer "Votrax" desc "Personal Speech System" devices ())
(name "votrtnt" year "1980" manufacturer "Votrax" desc "Type 'N Talk" devices ())
(name "voyager" year "2002" manufacturer "Team Play/Game Refuge/Monaco Entertainment" desc "Star Trek: Voyager" devices ())
(name "voyagers" year "2002" manufacturer "Team Play/Game Refuge/Monaco Entertainment" desc "Star Trek: Voyager (stand-up version 1.002)" devices ())
(name "vp111" year "1977" manufacturer "RCA" desc "Cosmac VIP (VP-111)" devices ((name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "vp122" year "1985" manufacturer "ADDS" desc "Viewpoint 122" devices ())
(name "vp415" year "1983" manufacturer "Philips" desc "VP415" devices ())
(name "vp60" year "1982" manufacturer "ADDS" desc "Viewpoint 60" devices ())
(name "vpainter" year "1991" manufacturer "Video Technology" desc "Video Painter (PAL)" devices ())
(name "vpcii" year "1987" manufacturer "Victor" desc "VPC II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "vpoker" year "198?" manufacturer "Videotronics, Inc." desc "Videotronics Draw Poker" devices ())
(name "vpool" year "1981" manufacturer "bootleg" desc "Video Pool (bootleg on Moon Cresta hardware)" devices ())
(name "vr" year "1992" manufacturer "Sega" desc "Virtua Racing" devices ())
(name "vreader" year "2011" manufacturer "VTech" desc "V.Reader (US, English, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "vreadercaen" year "2011" manufacturer "VTech" desc "V.Reader (CA, English, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "vreadercafr" year "2011" manufacturer "VTech" desc "V.Reader (CA, French, 2011-10-17)" devices ((name "cartridge" briefname "cart" )))
(name "vreadere" year "2004" manufacturer "Video Technology" desc "Reader Laptop E (Germany)" devices ())
(name "vrkon_l1" year "1982" manufacturer "Williams" desc "Varkon (L-1)" devices ())
(name "vrnwrld" year "1996" manufacturer "Spinball" desc "Verne's World" devices ())
(name "vroulet" year "1989" manufacturer "World Game" desc "Vegas Roulette" devices ())
(name "vs10yard" year "1984" manufacturer "Irem" desc "Vs 10-Yard Fight (World, 11/05/84)" devices ())
(name "vs10yardj" year "1984" manufacturer "Irem" desc "Vs 10-Yard Fight (Japan)" devices ())
(name "vs10yardu" year "1984" manufacturer "Irem (Taito license)" desc "Vs 10-Yard Fight (US, Taito license)" devices ())
(name "vs2" year "1997" manufacturer "Sega" desc "Virtua Striker 2 (Step 2.0, Export, USA)" devices ())
(name "vs2002ex" year "2002" manufacturer "Sega / Amusement Vision" desc "Virtua Striker 2002 (Export) (GDT-0002)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs2002j" year "2002" manufacturer "Sega / Amusement Vision" desc "Virtua Striker 2002 (Japan) (GDT-0001)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs2002t3" year "2004" manufacturer "Sega / Amusement Vision" desc "Virtua Striker 2002 (Type 3) (GDT-0012)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs215" year "1997" manufacturer "Sega" desc "Virtua Striker 2 (Step 1.5, Export, USA)" devices ())
(name "vs215o" year "1997" manufacturer "Sega" desc "Virtua Striker 2 (Step 1.5, Japan, test/debug?)" devices ())
(name "vs298" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '98 (Step 2.0, Japan)" devices ())
(name "vs29815" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '98 (Step 1.5, Japan)" devices ())
(name "vs299" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99 (Export, USA)" devices ())
(name "vs29915" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99.1 (Step 1.5, Export, USA, Revision B)" devices ())
(name "vs29915a" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99 (Step 1.5, Export, USA)" devices ())
(name "vs29915j" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99.1 (Step 1.5, Japan, Revision B)" devices ())
(name "vs299a" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99 (Export, USA, Revision A)" devices ())
(name "vs299j" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99.1 (Japan, Revision B)" devices ())
(name "vs2_2k" year "1999" manufacturer "Sega" desc "Virtua Striker 2 Ver. 2000 (Rev C)" devices ())
(name "vs2_2ko" year "1999" manufacturer "Sega" desc "Virtua Striker 2 Ver. 2000" devices ())
(name "vs2v991" year "1998" manufacturer "Sega" desc "Virtua Striker 2 '99.1 (Export, USA, Revision B)" devices ())
(name "vs4" year "2005" manufacturer "Sega" desc "Virtua Striker 4 (Export, Rev A) (GDT-0015A)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs42006" year "2006" manufacturer "Sega" desc "Virtua Striker 4 Ver.2006 (Japan, Rev D) (GDT-0020D)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs42006b" year "2006" manufacturer "Sega" desc "Virtua Striker 4 Ver.2006 (Japan, Rev B) (GDT-0020B)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs42k6ex" year "2006" manufacturer "Sega" desc "Virtua Striker 4 Ver.2006 (Export) (GDT-0021)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs4e" year "2005" manufacturer "Sega" desc "Virtua Striker 4 (Asia, Rev B) (GDT-0014B)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs4eo" year "2004" manufacturer "Sega" desc "Virtua Striker 4 (Asia) (GDT-0014)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs4j" year "2005" manufacturer "Sega" desc "Virtua Striker 4 (Japan, Rev E) (GDT-0013E)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs4jc" year "2004" manufacturer "Sega" desc "Virtua Striker 4 (Japan, Rev C) (GDT-0013C)" devices ((name "cdrom" briefname "cdrm" )))
(name "vs4o" year "2004" manufacturer "Sega" desc "Virtua Striker 4 (Export) (GDT-0015)" devices ((name "cdrom" briefname "cdrm" )))
(name "vsaturn" year "1995" manufacturer "JVC" desc "V-Saturn" devices ((name "cdrom" briefname "cdrm" ) (name "cartridge" briefname "cart" )))
(name "vsav" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (Europe 970519)" devices ())
(name "vsav2" year "1997" manufacturer "Capcom" desc "Vampire Savior 2: The Lord of Vampire (Japan 970913)" devices ())
(name "vsav2d" year "1997" manufacturer "bootleg" desc "Vampire Savior 2: The Lord of Vampire (Japan 970913 Phoenix Edition) (bootleg)" devices ())
(name "vsava" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (Asia 970519)" devices ())
(name "vsavb" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (Brazil 970519)" devices ())
(name "vsavd" year "1997" manufacturer "bootleg" desc "Vampire Savior: The Lord of Vampire (Europe 970519 Phoenix Edition) (bootleg)" devices ())
(name "vsavh" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (Hispanic 970519)" devices ())
(name "vsavj" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (Japan 970519)" devices ())
(name "vsavu" year "1997" manufacturer "Capcom" desc "Vampire Savior: The Lord of Vampire (USA 970519)" devices ())
(name "vsbball" year "1984" manufacturer "Nintendo of America" desc "Vs. Baseball (US, set BA E-1)" devices ())
(name "vsbballj" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Baseball (Japan, set BA A-3)" devices ())
(name "vsbballja" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Baseball (Japan, set BA A-2)" devices ())
(name "vsbballjb" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Baseball (Japan, set BA A-1)" devices ())
(name "vsc" year "1980" manufacturer "Fidelity Electronics" desc "Voice Sensory Chess Challenger" devices ())
(name "vscaptfl" year "1993" manufacturer "Jaleco" desc "Vs. Super Captain Flag (Japan)" devices ())
(name "vscompmj" year "1981" manufacturer "Nichibutsu" desc "VS Computer Mahjong" devices ())
(name "vsfdf" year "1988" manufacturer "Sunsoft" desc "Vs. Freedom Force" devices ())
(name "vsgongf" year "1984" manufacturer "Kaneko" desc "VS Gong Fight" devices ())
(name "vsgradus" year "1986" manufacturer "Konami" desc "Vs. Gradius (US, set GR E)" devices ())
(name "vsgshoe" year "1986" manufacturer "Nintendo" desc "Vs. Gumshoe (set GM5)" devices ())
(name "vshoot" year "1994" manufacturer "Namco" desc "J-League Soccer V-Shoot (Japan)" devices ())
(name "vsmahjng" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Mahjong (Japan)" devices ())
(name "vsmax25v" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx 25-in-1 (VT03 hardware)" devices ())
(name "vsmaxtx2" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx TX-2 50-in-1" devices ())
(name "vsmaxx15" year "2004?" manufacturer "Senario / JungleTac" desc "Vs Maxx 15-in-1" devices ())
(name "vsmaxx17" year "2004" manufacturer "Senario / JungleTac" desc "Vs Maxx 17-in-1" devices ())
(name "vsmaxx25" year "2004?" manufacturer "Senario / JungleTac" desc "Vs Maxx 25-in-1 (SH6578 hardware)" devices ())
(name "vsmaxx77" year "200?" manufacturer "Senario / JungleTac" desc "Vs Maxx Wireless 77-in-1" devices ())
(name "vsmaxxvd" year "2004" manufacturer "Senario / JungleTac" desc "Vs Maxx Video Extreme 50-in-1 (with Speed Racer and Snood)" devices ())
(name "vsmile" year "2005" manufacturer "VTech" desc "V.Smile" devices ((name "cartridge" briefname "cart" )))
(name "vsmileb" year "2005" manufacturer "VTech" desc "V.Smile Baby (USA)" devices ((name "cartridge" briefname "cart" )))
(name "vsmilebf" year "2005" manufacturer "VTech" desc "V.Smile Baby (France, with 'Winnie et ses amis dans la Foret des Reves Bleus')" devices ((name "cartridge" briefname "cart" )))
(name "vsmilebfp" year "2005" manufacturer "VTech" desc "V.Smile Baby (France, with 'En Ville avec l'ourson Patoune')" devices ((name "cartridge" briefname "cart" )))
(name "vsmilebg" year "2005" manufacturer "VTech" desc "V.Smile Baby (Germany, with 'Puuhs Hundert-Morgen-Wald')" devices ((name "cartridge" briefname "cart" )))
(name "vsmilebs" year "2005" manufacturer "VTech" desc "V.Smile Baby (Spain, with 'Aventuras en el Bosque de los Cien Acres')" devices ((name "cartridge" briefname "cart" )))
(name "vsmilebsw" year "2005" manufacturer "VTech" desc "V.Smile Baby (Sweden)" devices ((name "cartridge" briefname "cart" )))
(name "vsmilem" year "2008" manufacturer "VTech" desc "V.Smile Motion" devices ((name "cartridge" briefname "cart" )))
(name "vsmilpro" year "2007" manufacturer "VTech" desc "V.Smile Pro" devices ((name "cdrom" briefname "cdrm" )))
(name "vsmjtria" year "1986" manufacturer "Dyna" desc "VS Mahjong Triangle" devices ())
(name "vsnetscr" year "1996" manufacturer "Konami" desc "Versus Net Soccer (ver EAD)" devices ())
(name "vsnetscra" year "1996" manufacturer "Konami" desc "Versus Net Soccer (ver AAA)" devices ())
(name "vsnetscreb" year "1996" manufacturer "Konami" desc "Versus Net Soccer (ver EAB)" devices ())
(name "vsnetscrj" year "1996" manufacturer "Konami" desc "Versus Net Soccer (ver JAB)" devices ())
(name "vsnetscru" year "1996" manufacturer "Konami" desc "Versus Net Soccer (ver UAB)" devices ())
(name "vspinbal" year "1984" manufacturer "Nintendo" desc "Vs. Pinball (US, set PN4 E-1)" devices ())
(name "vspinbalj" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Pinball (Japan, set PN3 B)" devices ())
(name "vsplus" year "200?" manufacturer "<unknown> / JungleTac" desc "Vs Power Plus 30-in-1" devices ())
(name "vsskykid" year "1985" manufacturer "Namco" desc "Vs. Super SkyKid" devices ())
(name "vsslalom" year "1986" manufacturer "Rare Coin-It Inc." desc "Vs. Slalom" devices ())
(name "vssoccer" year "1985" manufacturer "Nintendo" desc "Vs. Soccer (set SC4-2 A)" devices ())
(name "vssoccera" year "1985" manufacturer "Nintendo" desc "Vs. Soccer (set SC4-3 ?)" devices ())
(name "vstennis" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Tennis (Japan/USA, set TE A-3)" devices ())
(name "vstennisa" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Tennis (Japan/USA, set 2)" devices ())
(name "vstennisb" year "1984" manufacturer "Nintendo Co., Ltd." desc "Vs. Tennis (Japan/USA, set 3)" devices ())
(name "vstetris" year "1987" manufacturer "Academysoft-Elorg" desc "Vs. Tetris" devices ())
(name "vstrik3" year "2001" manufacturer "Sega" desc "Virtua Striker 3 (GDS-0006)" devices ((name "cdrom" briefname "cdrm" )))
(name "vstrik3c" year "2001" manufacturer "Amusement Vision / Sega" desc "Virtua Striker 3 (World, Rev B)" devices ())
(name "vstrik3co" year "2001" manufacturer "Amusement Vision / Sega" desc "Virtua Striker 3 (World)" devices ())
(name "vstriker" year "1994" manufacturer "Sega" desc "Virtua Striker (Revision A)" devices ())
(name "vstrikero" year "1994" manufacturer "Sega" desc "Virtua Striker" devices ())
(name "vt100" year "1978" manufacturer "Digital Equipment Corporation" desc "VT100" devices ())
(name "vt100ac" year "1979" manufacturer "Digital Equipment Corporation" desc "VT100 w/VT1xx-AC STP" devices ())
(name "vt101" year "1981" manufacturer "Digital Equipment Corporation" desc "VT101" devices ())
(name "vt102" year "1981" manufacturer "Digital Equipment Corporation" desc "VT102" devices ())
(name "vt105" year "1978" manufacturer "Digital Equipment Corporation" desc "VT105" devices ())
(name "vt131" year "1981" manufacturer "Digital Equipment Corporation" desc "VT131" devices ())
(name "vt180" year "1983" manufacturer "Digital Equipment Corporation" desc "VT180" devices ())
(name "vt220" year "1983" manufacturer "Digital Equipment Corporation" desc "VT220 (Version 2.3)" devices ())
(name "vt220a" year "1983" manufacturer "Digital Equipment Corporation" desc "VT220 (Version 2.1)" devices ())
(name "vt240" year "1983" manufacturer "Digital Equipment Corporation" desc "VT240" devices ((name "bitbanger" briefname "bitb" )))
(name "vt25in1" year "2004" manufacturer "<unknown>" desc "unknown VT02 based 25-in-1 handheld" devices ())
(name "vt320" year "1987" manufacturer "Digital Equipment Corporation" desc "VT320" devices ())
(name "vt330" year "1987" manufacturer "Digital Equipment Corporation" desc "VT330" devices ())
(name "vt420" year "1990" manufacturer "Digital Equipment Corporation" desc "VT420 Video Terminal" devices ())
(name "vt52" year "1975" manufacturer "Digital Equipment Corporation" desc "VT52 Video Display Terminal (M4)" devices ())
(name "vt520" year "1994" manufacturer "Digital Equipment Corporation" desc "VT520 Video Terminal" devices ())
(name "vt62" year "1978" manufacturer "Digital Equipment Corporation" desc "VT62 DECscope" devices ())
(name "vta2000" year "198?" manufacturer "<unknown>" desc "VTA2000-15m" devices ())
(name "vtboxing" year "200?" manufacturer "VRT" desc "VRT VT SDK 'Boxing' (Demo for VT03 Pic32)" devices ())
(name "vtechtvsgr" year "2006" manufacturer "VTech" desc "TV Learning Station (VTech, Germany)" devices ())
(name "vtechtvssp" year "2006" manufacturer "VTech" desc "TV Station (VTech, Spain)" devices ())
(name "vtenis2c" year "2001" manufacturer "Sega" desc "Virtua Tennis 2 / Power Smash 2 (Rev A)" devices ())
(name "vtennis" year "1999" manufacturer "Sega" desc "Virtua Tennis / Power Smash" devices ())
(name "vtennis2" year "2001" manufacturer "Sega" desc "Virtua Tennis 2 / Power Smash 2 (Rev A) (GDS-0015A)" devices ((name "cdrom" briefname "cdrm" )))
(name "vtennis3" year "2006" manufacturer "Sega" desc "Virtua Tennis 3 (Japan)" devices ())
(name "vtennisg" year "2001" manufacturer "Sega" desc "Virtua Tennis / Power Smash (GDS-0011)" devices ((name "cdrom" briefname "cdrm" )))
(name "vtpinball" year "200?" manufacturer "VRT / OJ-Jungle" desc "VRT VT SDK 'Pinball' (C-Compiler Demo Program 2)" devices ())
(name "vtsndtest" year "200?" manufacturer "VRT" desc "VRT VT SDK 'VT03 Sound Test' (Sound Generator FMDemo)" devices ())
(name "vtvppong" year "200?" manufacturer "<unknown>" desc "Virtual TV Ping Pong" devices ())
(name "vtvsocr" year "200?" manufacturer "<unknown>" desc "Virtual TV Soccer" devices ())
(name "vueloesp" year "1980" manufacturer "bootleg (Centromatic)" desc "Vuelo Espacial (Spanish bootleg of UniWar S)" devices ())
(name "vulcan" year "1988" manufacturer "Konami" desc "Vulcan Venture (New)" devices ())
(name "vulcana" year "1988" manufacturer "Konami" desc "Vulcan Venture (Old)" devices ())
(name "vulcanb" year "1988" manufacturer "Konami" desc "Vulcan Venture (Oldest)" devices ())
(name "vulgus" year "1984" manufacturer "Capcom" desc "Vulgus (set 1)" devices ())
(name "vulgusa" year "1984" manufacturer "Capcom" desc "Vulgus (set 2)" devices ())
(name "vulgusj" year "1984" manufacturer "Capcom" desc "Vulgus (Japan?)" devices ())
(name "vx600" year "1988" manufacturer "Akai" desc "VX600 Programmable Matrix Synthesizer" devices ())
(name "vz200" year "1984" manufacturer "Dick Smith Electronics" desc "VZ-200 (Oceania)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "vz2000" year "1983" manufacturer "Dick Smith Electronics" desc "VZ 2000 (Oceania)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "vz200de" year "1983" manufacturer "Video Technology" desc "VZ-200 (Germany & Netherlands)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "vz300" year "1984" manufacturer "Dick Smith Electronics" desc "VZ-300 (Oceania)" devices ((name "snapshot" briefname "dump" ) (name "cassette" briefname "cass" )))
(name "w30" year "1988" manufacturer "Roland" desc "W-30 Music Workstation" devices ((name "floppydisk" briefname "flop" )))
(name "wackadoo" year "1998" manufacturer "Sega" desc "Wack-A-Doodle-Doo (redemption, CPU 1.00, display A1.01)" devices ())
(name "wacko" year "1982" manufacturer "Bally Midway" desc "Wacko" devices ())
(name "wackygtr" year "1988" manufacturer "Namco (Data East license)" desc "Wacky Gator (US)" devices ())
(name "wafricau" year "2001" manufacturer "Aristocrat" desc "Wild Africa (AHG1535, US)" devices ())
(name "waidrive" year "2005" manufacturer "MOSS / Sammy" desc "WaiWai Drive" devices ())
(name "waijockey" year "1993" manufacturer "Konami" desc "Wai Wai Jockey" devices ())
(name "wakuwak7" year "1996" manufacturer "Sunsoft" desc "Waku Waku 7" devices ((name "memcard" briefname "memc" ) ()))
(name "wales210" year "199?" manufacturer "Walther" desc "ES-210" devices ())
(name "walk386dx" year "1992" manufacturer "Triumph-Adler" desc "Walkstation 386DX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "walk386sx" year "1992" manufacturer "Triumph-Adler" desc "Walkstation 386 SX" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "walkyria" year "1986" manufacturer "Joctronic" desc "Walkyria" devices ())
(name "wallc" year "1984" manufacturer "Midcoin" desc "Wall Crash (set 1)" devices ())
(name "wallca" year "1984" manufacturer "Midcoin" desc "Wall Crash (set 2)" devices ())
(name "wallst" year "1982" manufacturer "Century Electronics" desc "Wall Street" devices ())
(name "wamazon" year "1996" manufacturer "Aristocrat" desc "Wild Amazon (0200507V, NSW/ACT)" devices ())
(name "wamazona" year "1996" manufacturer "Aristocrat" desc "Wild Amazon (0200285V, NSW/ACT)" devices ())
(name "wamazonv" year "1996" manufacturer "Aristocrat" desc "Wild Amazon (01J01996, Venezuela)" devices ())
(name "wanganmd" year "2001" manufacturer "Namco" desc "Wangan Midnight (WMN1 Ver. A)" devices ())
(name "wanganmr" year "2002" manufacturer "Namco" desc "Wangan Midnight R (WMR1 Ver. A)" devices ())
(name "wangmid" year "2004" manufacturer "Namco" desc "Wangan Midnight Maximum Tune (Export, Rev B) (GDX-0009B)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangmid2" year "2005" manufacturer "Namco" desc "Wangan Midnight Maximum Tune 2 (Export, Rev A) (GDX-0016A)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangmid2j" year "2005" manufacturer "Namco" desc "Wangan Midnight Maximum Tune 2 (Japan) (GDX-0015)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangmid2ja" year "2005" manufacturer "Namco" desc "Wangan Midnight Maximum Tune 2 (Japan, Rev A) (GDX-0015A)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangmid2o" year "2005" manufacturer "Namco" desc "Wangan Midnight Maximum Tune 2 (Export) (GDX-0016)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangmidj" year "2004" manufacturer "Namco" desc "Wangan Midnight Maximum Tune (Japan, Rev B) (GDX-0008B)" devices ((name "cdrom" briefname "cdrm" )))
(name "wangpc" year "1985" manufacturer "Wang Laboratories" desc "Wang Professional Computer" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "wanted" year "1984" manufacturer "Sigma Enterprises Inc." desc "Wanted" devices ())
(name "wantgman" year "1982" manufacturer "Actronics / Hanzawa" desc "Wanted G-Man" devices ())
(name "wantsega" year "1982" manufacturer "Sega" desc "Wanted (Sega)" devices ())
(name "war3cb" year "1996" manufacturer "S.B.E." desc "War III Cherry Best" devices ())
(name "warahana" year "1991" manufacturer "Dynax" desc "Warai no Hana Tenshi (Japan)" devices ())
(name "warcadia" year "1982" manufacturer "Sigma Enterprises Inc." desc "Waga Seishun no Arcadia" devices ())
(name "wardner" year "1987" manufacturer "Toaplan / Taito Corporation Japan" desc "Wardner (World)" devices ())
(name "wardnerb" year "1987" manufacturer "bootleg" desc "Wardner (World, bootleg)" devices ())
(name "wardnerj" year "1987" manufacturer "Toaplan / Taito Corporation" desc "Wardner no Mori (Japan)" devices ())
(name "wardnerjb" year "1987" manufacturer "bootleg" desc "Wardner no Mori (Japan, bootleg)" devices ())
(name "warfa" year "1999" manufacturer "Atari Games" desc "War: Final Assault (EPROM 1.9 Mar 25 1999, GUTS 1.3 Apr 20 1999, GAME Apr 20 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "warfaa" year "1999" manufacturer "Atari Games" desc "War: Final Assault (EPROM 1.6 Jan 14 1999, GUTS 1.1 Mar 16 1999, GAME Mar 16 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "warfab" year "1999" manufacturer "Atari Games" desc "War: Final Assault (EPROM 1.3 Apr 7 1999, GUTS 1.3 Apr 7 1999, GAME Apr 7 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "warfac" year "1999" manufacturer "Atari Games" desc "War: Final Assault (EPROM 1.91 Apr 13 1999, GUTS 1.3 Apr 7 1999, GAME Apr 7 1999)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "wargods" year "1995" manufacturer "Midway" desc "War Gods (HD 10/09/1996 - Dual Resolution)" devices ((name "harddisk" briefname "hard" )))
(name "wargodsa" year "1995" manufacturer "Midway" desc "War Gods (HD 08/15/1996)" devices ((name "harddisk" briefname "hard" )))
(name "wargodsb" year "1995" manufacturer "Midway" desc "War Gods (HD 12/11/1995)" devices ((name "harddisk" briefname "hard" )))
(name "warlords" year "1980" manufacturer "Atari" desc "Warlords" devices ())
(name "warofbug" year "1981" manufacturer "Armenia / Food and Fun Corp" desc "War of the Bugs or Monsterous Manouvers in a Mushroom Maze" devices ())
(name "warofbugg" year "1981" manufacturer "Armenia" desc "War of the Bugs or Monsterous Manouvers in a Mushroom Maze (German)" devices ())
(name "warofbugu" year "1981" manufacturer "Armenia / Super Video Games" desc "War of the Bugs or Monsterous Manouvers in a Mushroom Maze (US)" devices ())
(name "warp1" year "1979" manufacturer "Sun Electronics" desc "Warp-1 (Japan)" devices ())
(name "warp1bl" year "1979" manufacturer "bootleg (Igleck)" desc "Warp-1 (Japan, bootleg)" devices ())
(name "warp1t" year "1979" manufacturer "Sun Electronics (Taito license)" desc "Warp-1 (Japan, Taito license)" devices ())
(name "warpsped" year "1979?" manufacturer "Meadows Games, Inc." desc "Warp Speed (prototype)" devices ())
(name "warpwarp" year "1981" manufacturer "Namco" desc "Warp & Warp" devices ())
(name "warpwarpr" year "1981" manufacturer "Namco (Rock-Ola license)" desc "Warp Warp (Rock-Ola set 1)" devices ())
(name "warpwarpr2" year "1981" manufacturer "Namco (Rock-Ola license)" desc "Warp Warp (Rock-Ola set 2)" devices ())
(name "warrior" year "1979" manufacturer "Vectorbeam" desc "Warrior" devices ())
(name "warriorb" year "1991" manufacturer "Taito Corporation" desc "Warrior Blade - Rastan Saga Episode III (Japan)" devices ())
(name "warzard" year "1996" manufacturer "Capcom" desc "Warzard (Japan 961121)" devices ((name "cdrom" briefname "cdrm" )))
(name "warzardr1" year "1996" manufacturer "Capcom" desc "Warzard (Japan 961023)" devices ((name "cdrom" briefname "cdrm" )))
(name "wasafari" year "1998" manufacturer "Sega" desc "Wanpaku Safari (J 981109 V1.000)" devices ())
(name "waterski" year "1983" manufacturer "Taito Corporation" desc "Water Ski" devices ())
(name "waterwld" year "1995" manufacturer "Gottlieb" desc "Waterworld (rev.3)" devices ())
(name "waterwld2" year "1995" manufacturer "Gottlieb" desc "Waterworld (rev.2)" devices ())
(name "watrball" year "1996" manufacturer "ABM" desc "Water Balls" devices ())
(name "waverunr" year "1996" manufacturer "Sega" desc "Wave Runner (Japan, Revision A)" devices ())
(name "waveshrk" year "1996" manufacturer "Konami" desc "Wave Shark (UAB, USA v1.04)" devices ())
(name "wavesynth" year "2020" manufacturer "MAME" desc "Waveblaster-based expander" devices ((name "midiin" briefname "min" ) (name "midiout" briefname "mout" )))
(name "waveterm" year "1982" manufacturer "PPG" desc "Waveterm A" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "wb3" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 6, World, System 16B) (8751 317-0098)" devices ())
(name "wb31" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 1, Japan, System 16A) (FD1094 317-0084)" devices ())
(name "wb31d" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (set 1, Japan, System 16A) (bootleg of FD1094 317-0084 set)" devices ())
(name "wb32" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 2, Japan, System 16B) (FD1094 317-0085)" devices ())
(name "wb32d" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (set 2, Japan, System 16B) (bootleg of FD1094 317-0085 set)" devices ())
(name "wb33" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 3, World, System 16B) (FD1094 317-0089)" devices ())
(name "wb33d" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (set 3, World, System 16B) (bootleg of FD1094 317-0089 set)" devices ())
(name "wb34" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 4, Japan, System 16B) (FD1094 317-0087)" devices ())
(name "wb34d" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (set 4, Japan, System 16B) (bootleg of FD1094 317-0087 set)" devices ())
(name "wb35" year "1988" manufacturer "Sega / Westone" desc "Wonder Boy III - Monster Lair (set 5, Japan, System 16A) (FD1089A 317-0086)" devices ())
(name "wb35d" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (set 5, Japan, System 16A) (bootleg of FD1089A 317-0086 set)" devices ())
(name "wb3bbl" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (bootleg)" devices ())
(name "wb3bble" year "1988" manufacturer "bootleg" desc "Wonder Boy III - Monster Lair (encrypted bootleg)" devices ())
(name "wbbc97" year "1997" manufacturer "Comad" desc "Beach Festival World Championship 1997" devices ())
(name "wbdeluxe" year "1986" manufacturer "hack (Vision Electronics)" desc "Wonder Boy Deluxe" devices ())
(name "wbeachvl" year "1995" manufacturer "Playmark" desc "World Beach Volley (set 1, PIC16C57 audio CPU)" devices ())
(name "wbeachvl2" year "1995" manufacturer "Playmark" desc "World Beach Volley (set 2)" devices ())
(name "wbeachvl3" year "1995" manufacturer "Playmark" desc "World Beach Volley (set 3)" devices ())
(name "wbeachvla" year "1995" manufacturer "Playmark" desc "World Beach Volley (set 1, S87C751 audio CPU)" devices ())
(name "wbingo06" year "2006" manufacturer "<unknown>" desc "Win Bingo 2006" devices ())
(name "wbml" year "1987" manufacturer "Sega / Westone" desc "Wonder Boy - Monster Land (Japan New Ver., MC-8123, 317-0043)" devices ())
(name "wbmlb" year "1987" manufacturer "bootleg" desc "Wonder Boy - Monster Land (English bootleg set 1)" devices ())
(name "wbmlbg" year "1987" manufacturer "bootleg (Galaxy Electronics)" desc "Wonder Boy - Monster Land (English bootleg set 2)" devices ())
(name "wbmlbge" year "1987" manufacturer "bootleg (Gecas)" desc "Wonder Boy - Monster Land (English bootleg set 3)" devices ())
(name "wbmld" year "1987" manufacturer "bootleg (mpatou)" desc "Wonder Boy - Monster Land (decrypted bootleg of Japan New Ver., MC-8123, 317-0043)" devices ())
(name "wbmlh" year "1987" manufacturer "bootleg" desc "Wonder Boy - Monster Land (English, difficulty hack)" devices ())
(name "wbmljb" year "1987" manufacturer "bootleg" desc "Wonder Boy - Monster Land (Japan bootleg)" devices ())
(name "wbmljo" year "1987" manufacturer "Sega / Westone" desc "Wonder Boy - Monster Land (Japan Old Ver., MC-8123, 317-0043)" devices ())
(name "wbmljod" year "1987" manufacturer "bootleg (mpatou)" desc "Wonder Boy - Monster Land (decrypted bootleg of Japan Old Ver., MC-8123, 317-0043)" devices ())
(name "wbmlvc" year "2009" manufacturer "Sega" desc "Wonder Boy - Monster Land (English, Virtual Console)" devices ())
(name "wbmlvcd" year "2009" manufacturer "bootleg (mpatou)" desc "Wonder Boy - Monster Land (decrypted bootleg of English, Virtual Console release)" devices ())
(name "wboy" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 1, 315-5177)" devices ())
(name "wboy2" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 2, 315-5178)" devices ())
(name "wboy2u" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 2, not encrypted)" devices ())
(name "wboy3" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 3, 315-5135)" devices ())
(name "wboy4" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (315-5162, 4-D Warriors Conversion)" devices ())
(name "wboy5" year "1986" manufacturer "bootleg" desc "Wonder Boy (set 5, bootleg)" devices ())
(name "wboy6" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 6, 315-5179)" devices ())
(name "wboyblt" year "1986" manufacturer "bootleg (Tecfri)" desc "Wonder Boy (Tecfri bootleg)" devices ())
(name "wboyo" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (set 2, 315-5135)" devices ())
(name "wboysys2" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (system 2, set 1, 315-5177)" devices ())
(name "wboysys2a" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (system 2, set 2, 315-5176)" devices ())
(name "wboyu" year "1986" manufacturer "Escape (Sega license)" desc "Wonder Boy (prototype?)" devices ())
(name "wboyub" year "1986" manufacturer "bootleg" desc "Wonder Boy (US bootleg)" devices ())
(name "wcat3" year "1995" manufacturer "E.A.I." desc "Wild Cat 3" devices ())
(name "wcat3a" year "199?" manufacturer "E.A.I." desc "Wild Cat 3 (CMV4 hardware)" devices ())
(name "wcatcher" year "1993" manufacturer "Nichibutsu" desc "Mahjong Wakuwaku Catcher (Japan)" devices ())
(name "wcbowl" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.66)" devices ())
(name "wcbowl10" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.0)" devices ())
(name "wcbowl11" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.1)" devices ())
(name "wcbowl12" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.2)" devices ())
(name "wcbowl13" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.3)" devices ())
(name "wcbowl130" year "1997" manufacturer "Incredible Technologies" desc "World Class Bowling Tournament (v1.30)" devices ())
(name "wcbowl13j" year "1995" manufacturer "Incredible Technologies (Excellent System Ltd. license)" desc "World Class Bowling (v1.3J, Japan)" devices ())
(name "wcbowl14" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.4)" devices ())
(name "wcbowl140" year "1997" manufacturer "Incredible Technologies" desc "World Class Bowling Tournament (v1.40)" devices ())
(name "wcbowl15" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.5)" devices ())
(name "wcbowl16" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.6)" devices ())
(name "wcbowl161" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.61)" devices ())
(name "wcbowl165" year "1995" manufacturer "Incredible Technologies" desc "World Class Bowling (v1.65)" devices ())
(name "wcbowldx" year "1999" manufacturer "Incredible Technologies" desc "World Class Bowling Deluxe (v2.00)" devices ())
(name "wccf116" year "2003" manufacturer "Hitmaker / Sega" desc "World Club Champion Football Serie A 2001-2002 Ver.2 (Japan) (CDP-10001C)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf1dup" year "2002" manufacturer "Hitmaker / Sega" desc "World Club Champion Football Serie A 2001-2002 DIMM FIRM Ver.3.03 (CDP-10003)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf212e" year "2004" manufacturer "Hitmaker / Sega" desc "World Club Champion Football Serie A 2002-2003 Ver.2.12 (Italy) (CDV-10002)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf234j" year "2004" manufacturer "Hitmaker / Sega" desc "World Club Champion Football Serie A 2002-2003 Ver.2.34 (Japan) (CDV-10008)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf2chk" year "2004" manufacturer "Hitmaker / Sega" desc "World Club Champion Football Serie A 2002-2003 Drive Checker (CDV-10007)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf310j" year "2005" manufacturer "Sega" desc "World Club Champion Football European Clubs 2004-2005 (Asia) (CDV-10013)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf322e" year "2005" manufacturer "Sega" desc "World Club Champion Football European Clubs 2004-2005 Ver.3.22 (Export) (CDV-10015P)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf331e" year "2005" manufacturer "Sega" desc "World Club Champion Football European Clubs 2004-2005 Ver.1.1 (Export) (CDV-10015)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf331j" year "2005" manufacturer "Sega" desc "World Club Champion Football European Clubs 2004-2005 Ver.1.1 (Japan) (CDV-10020)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf341j" year "2006" manufacturer "Sega" desc "World Club Champion Football European Clubs 2004-2005 Ver.1.2 (Japan) (CDV-10021)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf400j" year "2006" manufacturer "Sega" desc "World Club Champion Football European Clubs 2005-2006 (Japan) (CDV-10025)" devices ((name "cdrom" briefname "cdrm" )))
(name "wccf420e" year "2006" manufacturer "Sega" desc "World Club Champion Football European Clubs 2005-2006 (Export) (CDV-10027)" devices ((name "cdrom" briefname "cdrm" )))
(name "wcherry" year "2001" manufacturer "bootleg" desc "Win Cherry (ver 0.16 - 19990219)" devices ())
(name "wcombat" year "2002" manufacturer "Konami" desc "World Combat (ver AAD:B)" devices ((name "harddisk" briefname "hard" )))
(name "wcombatj" year "2002" manufacturer "Konami" desc "World Combat (ver JAA)" devices ((name "harddisk" briefname "hard" )))
(name "wcombatk" year "2002" manufacturer "Konami" desc "World Combat (ver KBC:B)" devices ((name "harddisk" briefname "hard" )))
(name "wcombatu" year "2002" manufacturer "Konami" desc "World Combat / Warzaid (ver UCD:B)" devices ((name "harddisk" briefname "hard" )))
(name "wcougar" year "1996" manufacturer "Aristocrat" desc "Wild Cougar (0100167V, NSW/ACT)" devices ())
(name "wcougaru" year "1997" manufacturer "Aristocrat" desc "Wild Cougar (NHG0296-04, US)" devices ())
(name "wcougarua" year "1997" manufacturer "Aristocrat" desc "Wild Cougar (NHG0296-07, US)" devices ())
(name "wcougarub" year "1997" manufacturer "Aristocrat" desc "Wild Cougar (NHG0296-99, US)" devices ())
(name "wcougaruc" year "1997" manufacturer "Aristocrat" desc "Wild Cougar (AHG1531, US)" devices ())
(name "wcougpp" year "2006" manufacturer "Aristocrat" desc "Wild Cougar - Power Pay (30214211, ASP)" devices ())
(name "wcoyote" year "2001" manufacturer "Aristocrat" desc "Wild Coyote (AHG1515, US)" devices ())
(name "wcs_l1" year "1994" manufacturer "Bally" desc "World Cup Soccer (Lx-1)" devices ())
(name "wcs_l2" year "1994" manufacturer "Bally" desc "World Cup Soccer (Lx-2)" devices ())
(name "wcs_la2" year "1994" manufacturer "Bally" desc "World Cup Soccer (La-2)" devices ())
(name "wcs_p2" year "1994" manufacturer "Bally" desc "World Cup Soccer (Pa-2)" devices ())
(name "wcs_p3" year "1994" manufacturer "Bally" desc "World Cup Soccer (Px-3)" devices ())
(name "wcsoccer" year "1994" manufacturer "Gottlieb" desc "World Challenge Soccer (rev.1, set 1)" devices ())
(name "wcsoccer1a" year "1994" manufacturer "Gottlieb" desc "World Challenge Soccer (rev.1, set 2)" devices ())
(name "wcup" year "2001" manufacturer "Nazionale Elettronica" desc "World Cup (Ver 1.5)" devices ())
(name "wcup14" year "2001" manufacturer "Nazionale Elettronica" desc "World Cup (Ver 1.4)" devices ())
(name "wcup90" year "1990" manufacturer "Mr Game" desc "World Cup 90" devices ())
(name "wcvol95" year "1995" manufacturer "Data East Corporation" desc "World Cup Volley '95 (Asia v1.0)" devices ())
(name "wcvol95j" year "1995" manufacturer "Data East Corporation" desc "World Cup Volley '95 (Japan v1.0)" devices ())
(name "wcvol95x" year "1995" manufacturer "Data East Corporation" desc "World Cup Volley '95 Extra Version (Asia v2.0B)" devices ())
(name "wd_03r" year "1995" manufacturer "Bally" desc "Who Dunnit (0.3 R)" devices ())
(name "wd_048r" year "1995" manufacturer "Bally" desc "Who Dunnit (0.48 R)" devices ())
(name "wd_10f" year "1995" manufacturer "Bally" desc "Who Dunnit (1.0 French)" devices ())
(name "wd_10g" year "1995" manufacturer "Bally" desc "Who Dunnit (1.0 Germany)" devices ())
(name "wd_10r" year "1995" manufacturer "Bally" desc "Who Dunnit (1.0 R)" devices ())
(name "wd_11" year "1995" manufacturer "Bally" desc "Who Dunnit (1.1)" devices ())
(name "wd_12" year "1995" manufacturer "Bally" desc "Who Dunnit (1.2)" devices ())
(name "wd_12g" year "1995" manufacturer "Bally" desc "Who Dunnit (1.2 Germany)" devices ())
(name "wdun" year "1999" manufacturer "WMS" desc "Who Dunnit (Russian)" devices ())
(name "wecleman" year "1986" manufacturer "Konami" desc "WEC Le Mans 24 (v2.01)" devices ())
(name "weclemana" year "1986" manufacturer "Konami" desc "WEC Le Mans 24 (v2.00)" devices ())
(name "weclemanb" year "1988" manufacturer "hack" desc "WEC Le Mans 24 (v2.00, hack)" devices ())
(name "weclemanc" year "1986" manufacturer "Konami" desc "WEC Le Mans 24 (v1.26)" devices ())
(name "weddingr" year "1997" manufacturer "Konami" desc "Wedding Rhapsody (GX624 JAA)" devices ((name "cdrom" briefname "cdrm" )))
(name "welltris" year "1991" manufacturer "Video System Co." desc "Welltris (World?, 2 players)" devices ())
(name "welltrisj" year "1991" manufacturer "Video System Co." desc "Welltris (Japan, 2 players)" devices ())
(name "werewild" year "2009" manufacturer "Aristocrat" desc "Werewolf Wild (10288711, NSW/ACT)" devices ())
(name "werewildq" year "2010" manufacturer "Aristocrat" desc "Werewolf Wild (20290711, Queensland)" devices ())
(name "westdrm" year "1992" manufacturer "Sega" desc "Western Dream" devices ())
(name "westdrmg" year "2009" manufacturer "Sega" desc "Western Dream Gold" devices ())
(name "westgun2" year "1980" manufacturer "Nintendo (Taito Corporation license)" desc "Western Gun Part II" devices ())
(name "weststry" year "1990" manufacturer "bootleg (Datsu)" desc "West Story (bootleg of Blood Bros., set 1)" devices ())
(name "weststrya" year "1990" manufacturer "bootleg (Datsu)" desc "West Story (bootleg of Blood Bros., set 2)" devices ())
(name "westvent" year "2007?" manufacturer "Astro Corp." desc "Western Venture (Ver. AA.02.D)" devices ())
(name "wexpress" year "1986" manufacturer "Data East Corporation" desc "Western Express (Japan, rev 4)" devices ())
(name "wexpressb1" year "1986" manufacturer "bootleg" desc "Western Express (bootleg set 1)" devices ())
(name "wexpressb2" year "1986" manufacturer "bootleg" desc "Western Express (bootleg set 2)" devices ())
(name "wexpressb3" year "1986" manufacturer "bootleg" desc "Western Express (bootleg set 3)" devices ())
(name "wfcentro" year "200?" manufacturer "WinFun" desc "Centro TV de Diseno Artistico (Spain)" devices ())
(name "wfishing" year "1996" manufacturer "Sega" desc "Wanpaku Fishing" devices ())
(name "wfmotor" year "200?" manufacturer "WinFun / JungleTac" desc "Motorcycle 30-in-1" devices ())
(name "wfortune" year "1989" manufacturer "GameTek" desc "Wheel Of Fortune (set 1)" devices ())
(name "wfortunea" year "1989" manufacturer "GameTek" desc "Wheel Of Fortune (set 2)" devices ())
(name "wg3dh" year "1996" manufacturer "Atari Games" desc "Wayne Gretzky's 3D Hockey (ver 1.3)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "wg3dhfe" year "1996" manufacturer "Atari Games" desc "Wayne Gretzky's 3D Hockey Fatality Edition (prototype)" devices ((name "harddisk1" briefname "hard1" ) (name "cdrom1" briefname "cdrm1" ) (name "harddisk2" briefname "hard2" ) (name "cdrom2" briefname "cdrm2" )))
(name "wgorilla" year "2009" manufacturer "Aristocrat" desc "Wild Gorilla - Power Pay (20279811, NSW/ACT)" devices ())
(name "wgp" year "1989" manufacturer "Taito Corporation Japan" desc "World Grand Prix (World)" devices ())
(name "wgp2" year "1990" manufacturer "Taito Corporation" desc "World Grand Prix 2 (Japan)" devices ())
(name "wgpj" year "1989" manufacturer "Taito Corporation" desc "World Grand Prix (Japan)" devices ())
(name "wgpjoy" year "1989" manufacturer "Taito Corporation" desc "World Grand Prix (joystick version) (Japan, set 1)" devices ())
(name "wgpjoya" year "1989" manufacturer "Taito Corporation" desc "World Grand Prix (joystick version) (Japan, set 2)" devices ())
(name "wgpu" year "1989" manufacturer "Taito America Corporation" desc "World Grand Prix (US)" devices ())
(name "wh1" year "1992" manufacturer "Alpha Denshi Co." desc "World Heroes (ALM-005)" devices ((name "memcard" briefname "memc" ) ()))
(name "wh1h" year "1992" manufacturer "Alpha Denshi Co." desc "World Heroes (ALH-005)" devices ((name "memcard" briefname "memc" ) ()))
(name "wh1ha" year "1992" manufacturer "Alpha Denshi Co." desc "World Heroes (set 3)" devices ((name "memcard" briefname "memc" ) ()))
(name "wh2" year "1993" manufacturer "ADK" desc "World Heroes 2 (ALM-006 ~ ALH-006)" devices ((name "memcard" briefname "memc" ) ()))
(name "wh2h" year "1993" manufacturer "ADK" desc "World Heroes 2 (ALH-006)" devices ((name "memcard" briefname "memc" ) ()))
(name "wh2j" year "1994" manufacturer "ADK / SNK" desc "World Heroes 2 Jet (ADM-007 ~ ADH-007)" devices ((name "memcard" briefname "memc" ) ()))
(name "whalecsh" year "2002" manufacturer "Aristocrat" desc "Whales of Cash (20155711, ASP)" devices ())
(name "whalecshu" year "2003" manufacturer "Aristocrat" desc "Whales of Cash (0451311, US)" devices ())
(name "whalecshua" year "2005" manufacturer "Aristocrat" desc "Whales of Cash (0451346, US)" devices ())
(name "wheelfir" year "199?" manufacturer "TCH" desc "Wheels & Fire" devices ())
(name "wheelrun" year "19??" manufacturer "International Games" desc "Wheels Runner" devices ())
(name "wheelsii" year "1975" manufacturer "Midway" desc "Wheels II" devices ())
(name "wheregld" year "2004" manufacturer "Aristocrat" desc "Where's The Gold (10124811, NSW/ACT)" devices ())
(name "whereglda" year "2004" manufacturer "Aristocrat" desc "Where's The Gold (20177111, ASP)" devices ())
(name "wheregldb" year "2004" manufacturer "Aristocrat" desc "Where's The Gold (10177111, ASP)" devices ())
(name "wheregldq" year "2005" manufacturer "Aristocrat" desc "Where's The Gold (20184811, Queensland)" devices ())
(name "wheregldsp" year "2004" manufacturer "Aristocrat" desc "Where's The Gold (10124811, NSW/ACT, Show Program)" devices ())
(name "whirl_l2" year "1990" manufacturer "Williams" desc "Whirlwind (LU-2)" devices ())
(name "whirl_l3" year "1990" manufacturer "Williams" desc "Whirlwind (LA-3)" devices ())
(name "whirl_lg1" year "1990" manufacturer "Williams" desc "Whirlwind (LG-1)" devices ())
(name "whirl_lg2" year "1990" manufacturer "Williams" desc "Whirlwind (LG-2)" devices ())
(name "whirl_lg3" year "1990" manufacturer "Williams" desc "Whirlwind (LG-3)" devices ())
(name "whiterus" year "200?" manufacturer "Konami" desc "White Russia (Konami Endeavour, Russia)" devices ())
(name "whizz" year "1989" manufacturer "Philko" desc "Whizz" devices ())
(name "whodunit" year "1988" manufacturer "Exidy" desc "Who Dunit (version 9.0)" devices ())
(name "whodunit8" year "1988" manufacturer "Exidy" desc "Who Dunit (version 8.0)" devices ())
(name "whoopee" year "1991" manufacturer "Toaplan" desc "Pipi & Bibis / Whoopee!! (Teki Paki hardware)" devices ())
(name "whousetc" year "1980?" manufacturer "Westinghouse" desc "Test Console Serial #5" devices ())
(name "whp" year "1995" manufacturer "ADK / SNK" desc "World Heroes Perfect" devices ((name "memcard" briefname "memc" ) ()))
(name "whtforce" year "1987" manufacturer "Stargame" desc "White Force" devices ())
(name "whtwater" year "2003" manufacturer "Aristocrat" desc "White Water (0151075, US)" devices ())
(name "wicat" year "1982" manufacturer "Millennium Systems" desc "Wicat System 150" devices ((name "floppydisk" briefname "flop" )))
(name "wiggie" year "1994" manufacturer "Promat" desc "Wiggie Waggie" devices ())
(name "wikwin" year "1997" manufacturer "Aristocrat" desc "Wicked Winnings (0100553V, NSW/ACT)" devices ())
(name "wikwin2" year "2006" manufacturer "Aristocrat" desc "Wicked Winnings II - Power Pay (10214011, NSW/ACT)" devices ())
(name "wildbill" year "1996" manufacturer "Aristocrat" desc "Wild Bill (0100297V, NSW/ACT)" devices ())
(name "wildfang" year "1989" manufacturer "Tecmo" desc "Wild Fang / Tecmo Knight (World?)" devices ())
(name "wildfangs" year "1989" manufacturer "Tecmo" desc "Wild Fang (Japan)" devices ())
(name "wildfire" year "1979" manufacturer "Parker Brothers" desc "Wildfire (patent)" devices ())
(name "wildfyre" year "1978" manufacturer "Stern" desc "Wildfyre" devices ())
(name "wildone" year "1997" manufacturer "Aristocrat" desc "Wild One (4VXEC5357, New Zealand)" devices ())
(name "wildpkr" year "199?" manufacturer "TAB Austria" desc "Wild Poker (ver. D 1.01)" devices ())
(name "wildplt" year "1992" manufacturer "Jaleco" desc "Wild Pilot" devices ())
(name "willow" year "1989" manufacturer "Capcom" desc "Willow (World)" devices ())
(name "willowj" year "1989" manufacturer "Capcom" desc "Willow (Japan)" devices ())
(name "willowu" year "1989" manufacturer "Capcom" desc "Willow (USA)" devices ())
(name "willowuo" year "1989" manufacturer "Capcom" desc "Willow (USA Old Ver.)" devices ())
(name "wilytowr" year "1984" manufacturer "Irem" desc "Wily Tower" devices ())
(name "winbid" year "2000" manufacturer "WMS" desc "Winning Bid (English)" devices ())
(name "winbidr" year "1999" manufacturer "WMS" desc "Winning Bid (Russian)" devices ())
(name "winbingo" year "2006" manufacturer "Astro Corp." desc "Win Win Bingo (Ver. GM.03.3, Feb 23 2006)" devices ())
(name "winbingoa" year "2006" manufacturer "Astro Corp." desc "Win Win Bingo (Ver. GM.05.1, May 11 2006)" devices ())
(name "windheat" year "1996" manufacturer "Konami" desc "Winding Heat (EAA, Euro v2.11)" devices ())
(name "windheata" year "1996" manufacturer "Konami" desc "Winding Heat (AAA, Asia v2.11)" devices ())
(name "windheatj" year "1996" manufacturer "Konami" desc "Winding Heat (JAA, Japan v2.11)" devices ())
(name "windheatu" year "1996" manufacturer "Konami" desc "Winding Heat (UBC, USA v2.22)" devices ())
(name "windjamr" year "2002" manufacturer "Igrosoft" desc "Windjammer (021216)" devices ())
(name "wingforc" year "1993" manufacturer "A.I (Atlus license)" desc "Wing Force (Japan, prototype)" devices ())
(name "wingoly" year "2004" manufacturer "Aristocrat" desc "Wings over Olympus (10176511, ASP)" devices ())
(name "wingolyu" year "2005" manufacturer "Aristocrat" desc "Wings over Olympus (0252529, US)" devices ())
(name "wingwar" year "1994" manufacturer "Sega" desc "Wing War (World)" devices ())
(name "wingwar360" year "1994" manufacturer "Sega" desc "Wing War R360 (US)" devices ())
(name "wingwarj" year "1994" manufacturer "Sega" desc "Wing War (Japan)" devices ())
(name "wingwaru" year "1994" manufacturer "Sega" desc "Wing War (US)" devices ())
(name "wink" year "1985" manufacturer "Midcoin" desc "Wink (set 1)" devices ())
(name "winka" year "1985" manufacturer "Midcoin" desc "Wink (set 2)" devices ())
(name "winner" year "1995?" manufacturer "Videos A A" desc "Winner" devices ())
(name "winner81" year "1981" manufacturer "Corona Co, LTD." desc "Winners Circle (81, 28*28 PCB)" devices ())
(name "winner81b" year "1981" manufacturer "Corona Co, LTD." desc "Winners Circle (81, 18*22 PCB)" devices ())
(name "winner82" year "1982" manufacturer "Corona Co, LTD." desc "Winners Circle (82)" devices ())
(name "winrun" year "1988" manufacturer "Namco" desc "Winning Run (World) (89/06/06, Ver.09)" devices ())
(name "winrun91" year "1991" manufacturer "Namco" desc "Winning Run '91 (Japan) (1991/03/05, Main Ver 1.0, Sub Ver 1.0)" devices ())
(name "winrungp" year "1989" manufacturer "Namco" desc "Winning Run Suzuka Grand Prix (Japan) (89/12/03, Ver.02)" devices ())
(name "winspike" year "1997" manufacturer "Konami" desc "Winning Spike (ver EAA)" devices ())
(name "winspikea" year "1997" manufacturer "Konami" desc "Winning Spike (ver AAA)" devices ())
(name "winspikej" year "1997" manufacturer "Konami" desc "Winning Spike (ver JAA)" devices ())
(name "wintbob" year "1990" manufacturer "bootleg (Sakowa Project Korea)" desc "The Winter Bobble (bootleg of Snow Bros.)" devices ())
(name "winterht" year "1997" manufacturer "Sega" desc "Winter Heat (JUET 971012 V1.000)" devices ())
(name "wipeormt" year "1974" manufacturer "Ramtek" desc "Wipeout (Ramtek)" devices ())
(name "wipeout" year "1993" manufacturer "Gottlieb" desc "Wipeout (rev.2, set 1)" devices ())
(name "wipeout2a" year "1993" manufacturer "Gottlieb" desc "Wipeout (rev.2, set 2)" devices ())
(name "wiping" year "1982" manufacturer "Nichibutsu" desc "Wiping" devices ())
(name "wirels60" year "2010" manufacturer "Kids Station Toys Inc / Jungle Soft" desc "Wireless 60" devices ())
(name "wiseguy" year "1990" manufacturer "Dooyong" desc "Wise Guy" devices ())
(name "witch" year "1992" manufacturer "Vic Tokai (Excellent System license)" desc "Witch" devices ())
(name "witchb" year "1992" manufacturer "Vic Tokai (Excellent System license)" desc "Witch (with ranking)" devices ())
(name "witchcrd" year "1991" manufacturer "Video Klein?" desc "Witch Card (Video Klein CPU box, set 1)" devices ())
(name "witchcrda" year "1991" manufacturer "<unknown>" desc "Witch Card (Spanish, witch game, set 1)" devices ())
(name "witchcrdb" year "1991" manufacturer "<unknown>" desc "Witch Card (Spanish, witch game, set 2)" devices ())
(name "witchcrdc" year "1991" manufacturer "<unknown>" desc "Witch Card (English, no witch game)" devices ())
(name "witchcrdd" year "1994" manufacturer "Proma" desc "Witch Card (German, WC3050, set 1 )" devices ())
(name "witchcrde" year "1991" manufacturer "Video Klein" desc "Witch Card (Video Klein CPU box, set 2)" devices ())
(name "witchcrdf" year "1985" manufacturer "PM / Beck Elektronik" desc "Witch Card (English, witch game, lamps)" devices ())
(name "witchcrdg" year "199?" manufacturer "Falcon" desc "Witch Card (Falcon, enhanced sound)" devices ())
(name "witchcrdh" year "1994" manufacturer "Proma" desc "Witch Card (German, WC3050, set 2 )" devices ())
(name "witchcrdi" year "1994" manufacturer "Proma" desc "Witch Card (German, WC3050, 27-4-94)" devices ())
(name "witchcrdj" year "199?" manufacturer "<unknown>" desc "Witch Card (ICP-1, encrypted)" devices ())
(name "witchgme" year "1991" manufacturer "Video Klein" desc "Witch Game (Video Klein, set 1)" devices ())
(name "witchgmea" year "1997" manufacturer "Video Klein" desc "Witch Game (Video Klein, set 2)" devices ())
(name "witchjol" year "1994" manufacturer "Video Klein" desc "Jolli Witch (Export, 6T/12T ver 1.57D)" devices ())
(name "witchryl" year "199?" manufacturer "Video Klein" desc "Witch Royal (Export version 2.1)" devices ())
(name "witchs" year "1992" manufacturer "Vic Tokai (Sega license)" desc "Witch (Sega license)" devices ())
(name "witchstar" year "1994" manufacturer "Fovis Korea Co. Ltd." desc "Witch Star" devices ())
(name "wits" year "1989" manufacturer "Athena (Visco license)" desc "Wit's (Japan)" devices ())
(name "wivernwg" year "2001" manufacturer "SemiCom" desc "Wivern Wings" devices ())
(name "wiwcs" year "2018" manufacturer "Basic Fun" desc "Where in the World Is Carmen Sandiego? (handheld)" devices ())
(name "wiwi18" year "200?" manufacturer "Hamy System" desc "WiWi 18-in-1 Sports Game" devices ())
(name "wiz" year "1985" manufacturer "Seibu Kaihatsu" desc "Wiz" devices ())
(name "wizard" year "1999" manufacturer "A.A." desc "Wizard (Ver 1.0)" devices ())
(name "wizatron" year "1977" manufacturer "Texas Instruments" desc "Wiz-A-Tron" devices ())
(name "wizdfire" year "1992" manufacturer "Data East Corporation" desc "Wizard Fire (Over Sea v2.1)" devices ())
(name "wizdfireu" year "1992" manufacturer "Data East Corporation" desc "Wizard Fire (US v1.1)" devices ())
(name "wizt" year "1985" manufacturer "Seibu Kaihatsu (Taito license)" desc "Wiz (Taito, set 1)" devices ())
(name "wizta" year "1985" manufacturer "Seibu Kaihatsu (Taito license)" desc "Wiz (Taito, set 2)" devices ())
(name "wizwarz" year "1984" manufacturer "Mylstar" desc "Wiz Warz (prototype)" devices ())
(name "wizways" year "1996" manufacturer "Aristocrat" desc "Wizard Ways (0200396V, NSW/ACT)" devices ())
(name "wizzard" year "1982" manufacturer "Dick Smith Electronics" desc "Wizzard (Oceania)" devices ((name "cassette" briefname "cass" ) (name "printout" briefname "prin" ) (name "cartridge" briefname "cart" )))
(name "wizzquiz" year "1985" manufacturer "Zilec-Zenitone (Konami license)" desc "Wizz Quiz (Konami version)" devices ())
(name "wizzquiza" year "1985" manufacturer "Zilec-Zenitone" desc "Wizz Quiz (version 4)" devices ())
(name "wjammers" year "1994" manufacturer "Data East Corporation" desc "Windjammers / Flying Power Disc" devices ((name "memcard" briefname "memc" ) ()))
(name "wlcc" year "1996" manufacturer "IGS" desc "Wanli Changcheng (China, V638C)" devices ())
(name "wldafr" year "2002" manufacturer "Aristocrat" desc "Wild Africa - Millioniser (0351083, US)" devices ())
(name "wldangel" year "1996" manufacturer "Aristocrat" desc "Wild Angels (0100337V, NSW/ACT)" devices ())
(name "wldarrow" year "1982" manufacturer "Meyco Games, Inc." desc "Wild Arrow (color, Standard V4.8)" devices ())
(name "wldcata6" year "2006" manufacturer "Aristocrat" desc "Wild Cats (10237511, NSW/ACT)" devices ())
(name "wldcata6a" year "2007" manufacturer "Aristocrat" desc "Wild Cats (20258111, ASP)" devices ())
(name "wldcourt" year "1988" manufacturer "Namco" desc "Pro Tennis World Court (Japan)" devices ())
(name "wldcp_l1" year "1978" manufacturer "Williams" desc "World Cup (L-1)" devices ())
(name "wldfruit" year "200?" manufacturer "IGS" desc "Wild Fruit (V208US)" devices ())
(name "wldgoos" year "2003" manufacturer "Aristocrat" desc "Wild Goose (20131911, NSW/ACT)" devices ())
(name "wldgoosa" year "2003" manufacturer "Aristocrat" desc "Wild Goose (10155911, ASP)" devices ())
(name "wldgunsb" year "1996" manufacturer "bootleg" desc "Wild Guns (SNES bootleg)" devices ())
(name "wldkicks" year "2000" manufacturer "Namco" desc "World Kicks (World, WK2 Ver.A)" devices ())
(name "wldkicksj" year "2000" manufacturer "Namco" desc "World Kicks (Japan, WK1 Ver.A)" devices ())
(name "wldkickspj" year "2000" manufacturer "Namco" desc "World Kicks PCB (Japan, WKC1 Ver.A)" devices ())
(name "wldkickspw" year "2000" manufacturer "Namco" desc "World Kicks PCB (World, WKC2 Ver.A)" devices ())
(name "wldkicksu" year "2000" manufacturer "Namco" desc "World Kicks (US, WK3 Ver.A)" devices ())
(name "wldpanda" year "2006" manufacturer "Aristocrat" desc "Wild Panda (20218411, NSW/ACT)" devices ())
(name "wldpandaa" year "2006" manufacturer "Aristocrat" desc "Wild Panda (20225011, ASP)" devices ())
(name "wldpanth" year "2004" manufacturer "Aristocrat" desc "Wild Panthers - Lil' Lucy (0651310, US)" devices ())
(name "wldrider" year "2001" manufacturer "Wow Entertainment / Sega" desc "Wild Riders" devices ())
(name "wldsoctv" year "200?" manufacturer "Taikee" desc "World Soccer TV Game 10-in-1 (PAL)" devices ())
(name "wldstall" year "2006" manufacturer "Aristocrat" desc "Wild Stallion (10230811, NSW/ACT)" devices ())
(name "wldstrek" year "2000" manufacturer "WMS" desc "Wild Streak (Russian)" devices ())
(name "wldtexas" year "1983" manufacturer "<unknown>" desc "Wild Texas" devices ())
(name "wldwitch" year "2001" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.84A)" devices ())
(name "wldwitcha" year "1992" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.57-SP)" devices ())
(name "wldwitchb" year "1992" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.57-TE)" devices ())
(name "wldwitchc" year "1994" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.62A)" devices ())
(name "wldwitchd" year "1994" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.62B)" devices ())
(name "wldwitche" year "1994" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.62A-F)" devices ())
(name "wldwitchf" year "1994" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.62A alt)" devices ())
(name "wldwitchg" year "1994" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.62B alt)" devices ())
(name "wldwitchh" year "1995" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.65A)" devices ())
(name "wldwitchi" year "1996" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.65A-S)" devices ())
(name "wldwitchj" year "1996" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.65A-S alt)" devices ())
(name "wldwitchk" year "1996" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.65A-N)" devices ())
(name "wldwitchl" year "1996" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.70A beta)" devices ())
(name "wldwitchm" year "1996" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.70A)" devices ())
(name "wldwitchn" year "1997" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.70A alt)" devices ())
(name "wldwitcho" year "1998" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.74A-SP-BELG)" devices ())
(name "wldwitchp" year "1998" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.74A)" devices ())
(name "wldwitchq" year "1998" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.74A alt)" devices ())
(name "wldwitchr" year "1999" manufacturer "Video Klein" desc "Wild Witch (Export, 6B/12B ver 1.75A-E English)" devices ())
(name "wldwitchs" year "1999" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.76A)" devices ())
(name "wldwitcht" year "1999" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.77A)" devices ())
(name "wldwitchu" year "2000" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.79A)" devices ())
(name "wldwitchv" year "2001" manufacturer "Video Klein" desc "Wild Witch (Export, 6T/12T ver 1.83A)" devices ())
(name "wlsair60" year "2010" manufacturer "Jungle Soft / Kids Station Toys Inc" desc "Wireless Air 60" devices ())
(name "wlstar" year "1995" manufacturer "Mijin" desc "Wonder League Star - Sok-Magicball Fighting (Korea)" devices ())
(name "wmatch" year "1984" manufacturer "Sega" desc "Water Match (315-5064)" devices ())
(name "wmbullet" year "1982" manufacturer "Wave Mate" desc "Bullet" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" )))
(name "wmbulletf" year "1984" manufacturer "Wave Mate" desc "Bullet (Revision F)" devices ((name "floppydisk" briefname "flop" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "wmega" year "1992" manufacturer "Sega" desc "Wondermega (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "wmegam2" year "1993" manufacturer "Victor" desc "Wondermega M2 (Japan, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "wmg" year "2001" manufacturer "hack (Clay Cowgill)" desc "Williams Multigame" devices ())
(name "wms" year "200?" manufacturer "WMS" desc "WMS SetUp/Clear Chips (set 1)" devices ())
(name "wmsa" year "200?" manufacturer "WMS" desc "WMS SetUp/Clear Chips (set 2)" devices ())
(name "wmsb" year "200?" manufacturer "WMS" desc "WMS SetUp/Clear Chips (set 3)" devices ())
(name "wmsboom" year "1998" manufacturer "WMS" desc "Boom (Russian)" devices ())
(name "wmstopb" year "1999" manufacturer "WMS" desc "Top Banana (Russian)" devices ())
(name "wndrmomo" year "1987" manufacturer "Namco" desc "Wonder Momo" devices ())
(name "wndrplnt" year "1987" manufacturer "Data East Corporation" desc "Wonder Planet (Japan)" devices ())
(name "wnpost" year "1997" manufacturer "Aristocrat" desc "Winning Post (RHG0418-04, US)" devices ())
(name "wof" year "1992" manufacturer "Capcom" desc "Warriors of Fate (World 921031)" devices ())
(name "wof_100a" year "2007" manufacturer "Stern" desc "Wheel of Fortune v1.0" devices ())
(name "wof_200a" year "2007" manufacturer "Stern" desc "Wheel of Fortune v2.0" devices ())
(name "wof_200f" year "2007" manufacturer "Stern" desc "Wheel of Fortune v2.0 (French)" devices ())
(name "wof_200g" year "2007" manufacturer "Stern" desc "Wheel of Fortune v2.0 (German)" devices ())
(name "wof_200i" year "2007" manufacturer "Stern" desc "Wheel of Fortune v2.0 (Italian)" devices ())
(name "wof_300a" year "2007" manufacturer "Stern" desc "Wheel of Fortune v3.0" devices ())
(name "wof_300f" year "2007" manufacturer "Stern" desc "Wheel of Fortune v3.0 (French)" devices ())
(name "wof_300g" year "2007" manufacturer "Stern" desc "Wheel of Fortune v3.0 (German)" devices ())
(name "wof_300i" year "2007" manufacturer "Stern" desc "Wheel of Fortune v3.0 (Italian)" devices ())
(name "wof_300l" year "2007" manufacturer "Stern" desc "Wheel of Fortune v3.0 (Spanish)" devices ())
(name "wof_400a" year "2007" manufacturer "Stern" desc "Wheel of Fortune v4.0" devices ())
(name "wof_400f" year "2007" manufacturer "Stern" desc "Wheel of Fortune v4.0 (French)" devices ())
(name "wof_400g" year "2007" manufacturer "Stern" desc "Wheel of Fortune v4.0 (German)" devices ())
(name "wof_400i" year "2007" manufacturer "Stern" desc "Wheel of Fortune v4.0 (Italian)" devices ())
(name "wof_400l" year "2007" manufacturer "Stern" desc "Wheel of Fortune v4.0 (Spanish)" devices ())
(name "wof_500a" year "2007" manufacturer "Stern" desc "Wheel of Fortune v5.0" devices ())
(name "wof_500f" year "2007" manufacturer "Stern" desc "Wheel of Fortune v5.0 (French)" devices ())
(name "wof_500g" year "2007" manufacturer "Stern" desc "Wheel of Fortune v5.0 (German)" devices ())
(name "wof_500i" year "2007" manufacturer "Stern" desc "Wheel of Fortune v5.0 (Italian)" devices ())
(name "wof_500l" year "2007" manufacturer "Stern" desc "Wheel of Fortune v5.0 (Spanish)" devices ())
(name "wof_v11" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Wheel of Fortune (P517 V11, English)" devices ())
(name "wof_v16" year "2000" manufacturer "Coinmaster-Gaming, Ltd." desc "Wheel of Fortune (P517 V16, English)" devices ())
(name "wofa" year "1992" manufacturer "Capcom" desc "Sangokushi II (Asia 921005)" devices ())
(name "wofabl" year "1992" manufacturer "bootleg" desc "Sangokushi II (bootleg)" devices ())
(name "wofch" year "1994" manufacturer "Capcom" desc "Tenchi wo Kurau II: Sekiheki no Tatakai (CPS Changer, Japan 921031)" devices ())
(name "wofhfh" year "1999" manufacturer "bootleg" desc "Huo Feng Huang (Chinese bootleg of Sangokushi II)" devices ())
(name "wofj" year "1992" manufacturer "Capcom" desc "Tenchi wo Kurau II: Sekiheki no Tatakai (Japan 921031)" devices ())
(name "wofpic" year "1992" manufacturer "bootleg" desc "Warriors of Fate (bootleg with PIC16C57)" devices ())
(name "wofr1" year "1992" manufacturer "Capcom" desc "Warriors of Fate (World 921002)" devices ())
(name "wofr1bl" year "1992" manufacturer "bootleg" desc "Warriors of Fate (bootleg)" devices ())
(name "wofu" year "1992" manufacturer "Capcom" desc "Warriors of Fate (USA 921031)" devices ())
(name "wolffang" year "1991" manufacturer "Data East Corporation" desc "Wolf Fang -Kuhga 2001- (Japan)" devices ())
(name "wolfman" year "1987" manufacturer "Peyper" desc "Wolf Man" devices ())
(name "wolfpack" year "1978" manufacturer "Atari" desc "Wolf Pack (prototype)" devices ())
(name "wonder3" year "1991" manufacturer "Capcom" desc "Wonder 3 (Japan 910520)" devices ())
(name "wondl96" year "1996" manufacturer "SemiCom" desc "Wonder League '96 (Korea)" devices ())
(name "wondstck" year "????" manufacturer "Yun Sung" desc "Wonder Stick (set 1)" devices ())
(name "wondstcka" year "????" manufacturer "Yun Sung" desc "Wonder Stick (set 2, censored)" devices ())
(name "wontame" year "2008" manufacturer "Capcom / Tomy" desc "Won! Tertainment Happy Channel (Ver.1.00E 2008/02/21)" devices ((name "harddisk" briefname "hard" )))
(name "wontmuch" year "2006" manufacturer "Capcom" desc "Won!Tertainment Music Channel (v1.00)" devices ())
(name "woodpeca" year "1981" manufacturer "Amenip" desc "Woodpecker (set 2)" devices ())
(name "woodpeck" year "1981" manufacturer "Amenip (Palcom Queen River)" desc "Woodpecker (set 1)" devices ())
(name "worldadv" year "1999" manufacturer "Logic / F2 System" desc "World Adventure" devices ())
(name "worlddef" year "1985" manufacturer "Bell Games" desc "World Defender" devices ())
(name "worldwar" year "1987" manufacturer "SNK" desc "World Wars (World?)" devices ())
(name "wotw" year "1981" manufacturer "Cinematronics" desc "War of the Worlds" devices ())
(name "wotwc" year "1981" manufacturer "Cinematronics" desc "War of the Worlds (color)" devices ())
(name "wow" year "1980" manufacturer "Dave Nutting Associates / Midway" desc "Wizard of Wor" devices ())
(name "wowg" year "1980" manufacturer "Dave Nutting Associates / Midway" desc "Wizard of Wor (with German language ROM)" devices ())
(name "wownfant" year "2002" manufacturer "Comad" desc "WOW New Fantasia (Explicit)" devices ())
(name "wownfanta" year "2002" manufacturer "Comad" desc "WOW New Fantasia" devices ())
(name "wowwg" year "200?" manufacturer "Wow" desc "Wow Wireless Gaming (PAL)" devices ())
(name "wpc250" year "1981" manufacturer "Wang Laboratories, Inc." desc "PC-250/16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "wpksoc" year "1995" manufacturer "Jaleco" desc "World PK Soccer" devices ())
(name "wpksocv2" year "1996" manufacturer "Jaleco" desc "World PK Soccer V2 (ver 1.1)" devices ())
(name "wpt_103a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.03" devices ())
(name "wpt_105a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.05" devices ())
(name "wpt_106a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.06" devices ())
(name "wpt_106f" year "2006" manufacturer "Stern" desc "World Poker Tour v1.06 (French)" devices ())
(name "wpt_106g" year "2006" manufacturer "Stern" desc "World Poker Tour v1.06 (German)" devices ())
(name "wpt_106i" year "2006" manufacturer "Stern" desc "World Poker Tour v1.06 (Italian)" devices ())
(name "wpt_106l" year "2006" manufacturer "Stern" desc "World Poker Tour v1.06 (Spanish)" devices ())
(name "wpt_108a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.08" devices ())
(name "wpt_108f" year "2006" manufacturer "Stern" desc "World Poker Tour v1.08 (French)" devices ())
(name "wpt_108g" year "2006" manufacturer "Stern" desc "World Poker Tour v1.08 (German)" devices ())
(name "wpt_108i" year "2006" manufacturer "Stern" desc "World Poker Tour v1.08 (Italian)" devices ())
(name "wpt_108l" year "2006" manufacturer "Stern" desc "World Poker Tour v1.08 (Spanish)" devices ())
(name "wpt_109a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09" devices ())
(name "wpt_109f" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09 (French)" devices ())
(name "wpt_109f2" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09 (French)(alt)" devices ())
(name "wpt_109g" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09 (German)" devices ())
(name "wpt_109i" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09 (Italian)" devices ())
(name "wpt_109l" year "2006" manufacturer "Stern" desc "World Poker Tour v1.09 (Spanish)" devices ())
(name "wpt_111a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11" devices ())
(name "wpt_111af" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (English,French)" devices ())
(name "wpt_111ai" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (English,Italian)" devices ())
(name "wpt_111al" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (English,Spanish)" devices ())
(name "wpt_111f" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (French)" devices ())
(name "wpt_111g" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (German)" devices ())
(name "wpt_111gf" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (German,French)" devices ())
(name "wpt_111i" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (Italian)" devices ())
(name "wpt_111l" year "2006" manufacturer "Stern" desc "World Poker Tour v1.11 (Spanish)" devices ())
(name "wpt_112a" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12" devices ())
(name "wpt_112af" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (English,French)" devices ())
(name "wpt_112ai" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (English,Italian)" devices ())
(name "wpt_112al" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (English,Spanish)" devices ())
(name "wpt_112f" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (French)" devices ())
(name "wpt_112g" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (German)" devices ())
(name "wpt_112gf" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (German,French)" devices ())
(name "wpt_112i" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (Italian)" devices ())
(name "wpt_112l" year "2006" manufacturer "Stern" desc "World Poker Tour v1.12 (Spanish)" devices ())
(name "wpt_1400" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00" devices ())
(name "wpt_1400af" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (English,French)" devices ())
(name "wpt_1400ai" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (English,Italian)" devices ())
(name "wpt_1400al" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (English,Spanish)" devices ())
(name "wpt_1400f" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (French)" devices ())
(name "wpt_1400g" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (German)" devices ())
(name "wpt_1400gf" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (German,French)" devices ())
(name "wpt_1400i" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (Italian)" devices ())
(name "wpt_1400l" year "2006" manufacturer "Stern" desc "World Poker Tour v14.00 (Spanish)" devices ())
(name "wrally" year "1993" manufacturer "Gaelco" desc "World Rally (Version 1.0, Checksum 0E56)" devices ())
(name "wrally2" year "1995" manufacturer "Gaelco" desc "World Rally 2: Twin Racing (mask ROM version)" devices ())
(name "wrally2a" year "1995" manufacturer "Gaelco" desc "World Rally 2: Twin Racing (EPROM version)" devices ())
(name "wrallya" year "1993" manufacturer "Gaelco" desc "World Rally (Version 1.0, Checksum 3873)" devices ())
(name "wrallyat" year "1993" manufacturer "Gaelco (Atari license)" desc "World Rally (US, 930217)" devices ())
(name "wrallyb" year "1993" manufacturer "Gaelco" desc "World Rally (Version 1.0, Checksum 8AA2)" devices ())
(name "wrallyc" year "1993" manufacturer "Gaelco" desc "World Rally (Version 1.0, Checksum E586)" devices ())
(name "wrecking" year "1984" manufacturer "Nintendo" desc "Vs. Wrecking Crew" devices ())
(name "wrestwar" year "1989" manufacturer "Sega" desc "Wrestle War (set 3, World) (8751 317-0103)" devices ())
(name "wrestwar1" year "1989" manufacturer "Sega" desc "Wrestle War (set 1, Japan) (FD1094 317-0090)" devices ())
(name "wrestwar1d" year "1989" manufacturer "bootleg" desc "Wrestle War (set 1, Japan) (bootleg of FD1094 317-0090 set)" devices ())
(name "wrestwar2" year "1989" manufacturer "Sega" desc "Wrestle War (set 2, World) (FD1094 317-0102)" devices ())
(name "wrestwar2d" year "1989" manufacturer "bootleg" desc "Wrestle War (set 2, World) (bootleg of FD1094 317-0102 set)" devices ())
(name "wrinkles" year "1986" manufacturer "Lakeside / Coleco / Ganz Bros" desc "Talking Wrinkles" devices ())
(name "wrldtour" year "1992" manufacturer "Alvin G" desc "Al's Garage Band Goes On A World Tour (R01c)" devices ())
(name "wrldtour2" year "1992" manufacturer "Alvin G" desc "Al's Garage Band Goes On A World Tour (R02b)" devices ())
(name "wrldtour3" year "1992" manufacturer "Alvin G" desc "Al's Garage Band Goes On A World Tour (R06a)" devices ())
(name "wrlok_l3" year "1982" manufacturer "Williams" desc "Warlok (L-3)" devices ())
(name "wrlshunt" year "2011" manufacturer "Hamy / Kids Station Toys Inc" desc "Wireless Hunting Video Game System" devices ())
(name "wrofaero" year "1993" manufacturer "Yang Cheng" desc "War of Aero - Project MEIOU" devices ())
(name "wrungp" year "2001" manufacturer "CRI / Sega" desc "Wave Runner GP" devices ())
(name "wrungpo" year "2001" manufacturer "CRI / Sega" desc "Wave Runner GP (USA, Rev A)" devices ())
(name "ws" year "1988" manufacturer "Namco" desc "Pro Yakyuu World Stadium (Japan)" devices ())
(name "ws89" year "1989" manufacturer "Namco" desc "Pro Yakyuu World Stadium '89 (Japan)" devices ())
(name "ws90" year "1990" manufacturer "Namco" desc "Pro Yakyuu World Stadium '90 (Japan)" devices ())
(name "wsbbgd" year "2001" manufacturer "Sega" desc "World Series Baseball / Super Major League (GDS-0010)" devices ((name "cdrom" briefname "cdrm" )))
(name "wschamp" year "2001" manufacturer "Sammy USA Corporation" desc "Wing Shooting Championship V2.00" devices ())
(name "wschampa" year "2001" manufacturer "Sammy USA Corporation" desc "Wing Shooting Championship V1.01" devices ())
(name "wschampb" year "2001" manufacturer "Sammy USA Corporation" desc "Wing Shooting Championship V1.00" devices ())
(name "wscolor" year "2000" manufacturer "Bandai" desc "WonderSwan Color" devices ((name "cartridge" briefname "cart" mandatory t)))
(name "wseries" year "1985" manufacturer "Cinematronics" desc "World Series: The Season (rev 1)" devices ())
(name "wseries0" year "1985" manufacturer "Cinematronics" desc "World Series: The Season (rev 0)" devices ())
(name "wsf" year "1990" manufacturer "Leland Corporation" desc "World Soccer Finals (rev 4)" devices ())
(name "wsf3" year "1990" manufacturer "Leland Corporation" desc "World Soccer Finals (rev 3)" devices ())
(name "wsjr" year "1991" manufacturer "American Laser Games" desc "Who Shot Johnny Rock? (v1.6)" devices ())
(name "wsjr_15" year "1991" manufacturer "American Laser Games" desc "Who Shot Johnny Rock? (v1.5)" devices ())
(name "wsports" year "1978" manufacturer "Zaccaria" desc "Winter Sports" devices ())
(name "wstrike" year "1992" manufacturer "Video Klein" desc "Witch Strike (Export, 6T/12T ver 1.01A)" devices ())
(name "wstrikea" year "1992" manufacturer "Video Klein" desc "Witch Strike (Export, 6T/12T ver 1.01B)" devices ())
(name "wswan" year "1999" manufacturer "Bandai" desc "WonderSwan" devices ((name "cartridge" briefname "cart" )))
(name "wswe" year "2002" manufacturer "Konami" desc "World Soccer Winning Eleven Arcade Game Style" devices ())
(name "wswe2k3" year "2003" manufacturer "Konami" desc "World Soccer Winning Eleven Arcade Game 2003" devices ())
(name "wtalker" year "1985" manufacturer "Technasonic" desc "Weight Talker" devices ())
(name "wtchjack" year "1996" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.87-89)" devices ())
(name "wtchjacka" year "1996" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.87-88)" devices ())
(name "wtchjackb" year "1996" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.87)" devices ())
(name "wtchjackc" year "1996" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.70S)" devices ())
(name "wtchjackd" year "1996" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.70P)" devices ())
(name "wtchjacke" year "1995" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.65)" devices ())
(name "wtchjackf" year "1995" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.64)" devices ())
(name "wtchjackg" year "1995" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.62)" devices ())
(name "wtchjackh" year "1995" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.40T)" devices ())
(name "wtchjacki" year "1995" manufacturer "Video Klein" desc "Witch Jack (Export, 6T/12T ver 0.40)" devices ())
(name "wtchjackj" year "1994" manufacturer "Video Klein" desc "Witch Jackpot (Export, 6T/12T ver 0.25)" devices ())
(name "wtennis" year "1982" manufacturer "bootleg" desc "World Tennis" devices ())
(name "wtepee" year "2007" manufacturer "Aristocrat" desc "Wild Tepee - Power Pay (20230211, NSW/ACT)" devices ())
(name "wthing" year "1999" manufacturer "Aristocrat" desc "Wild Thing (0101158V, NSW/ACT)" devices ())
(name "wthinga" year "2000" manufacturer "Aristocrat" desc "Wild Thing (0201176V, NSW/ACT)" devices ())
(name "wtiger" year "1999" manufacturer "Aristocrat" desc "White Tiger Classic (0200954V, NSW/ACT)" devices ())
(name "wtigernz" year "1996" manufacturer "Aristocrat" desc "White Tiger (3VXFC5342, New Zealand)" devices ())
(name "wto2840sp" year "1999" manufacturer "Alcatel" desc "Web Touch One (model 2840, Terra, Spanish)" devices ())
(name "wtrnymph" year "1996" manufacturer "Subsino" desc "Water-Nymph (Ver. 1.4)" devices ())
(name "wulybuly" year "200?" manufacturer "<unknown>" desc "Wully Bully" devices ())
(name "wupndown" year "1998" manufacturer "Video Klein" desc "Witch Up & Down (Export, 6T/12T ver 1.02)" devices ())
(name "wupndowna" year "1998" manufacturer "Video Klein" desc "Witch Up & Down (Export, 6T/12T ver 0.99, set 1)" devices ())
(name "wupndownb" year "1998" manufacturer "Video Klein" desc "Witch Up & Down (Export, 6T/12T ver 0.99, set 2)" devices ())
(name "wupndownc" year "1998" manufacturer "Video Klein" desc "Witch Up & Down (Export, 6T/12T ver 0.99, set 3)" devices ())
(name "wupndownd" year "1998" manufacturer "Video Klein" desc "Witch Up & Down (Export, 6T/12T ver 0.99T)" devices ())
(name "ww3" year "1981" manufacturer "Irem" desc "WW III" devices ())
(name "ww_l2" year "1992" manufacturer "Williams" desc "White Water (L-2)" devices ())
(name "ww_l3" year "1993" manufacturer "Williams" desc "White Water (L-3)" devices ())
(name "ww_l4" year "1993" manufacturer "Williams" desc "White Water (L-4)" devices ())
(name "ww_l5" year "2000" manufacturer "Williams" desc "White Water (L-5)" devices ())
(name "ww_lh5" year "2000" manufacturer "Williams" desc "White Water (LH-5)" devices ())
(name "ww_lh6" year "2000" manufacturer "Williams" desc "White Water (LH-6)" devices ())
(name "ww_p6" year "1992" manufacturer "Williams" desc "White Water (P-6)" devices ())
(name "ww_p8" year "1992" manufacturer "Williams" desc "White Water (P-8)" devices ())
(name "wwallyj" year "1992" manufacturer "Sega" desc "Wally wo Sagase! (rev B, Japan, 2 players) (FD1094 317-0197B)" devices ())
(name "wwallyja" year "1992" manufacturer "Sega" desc "Wally wo Sagase! (rev A, Japan, 2 players) (FD1094 317-0197A)" devices ())
(name "wwallyja3p" year "1992" manufacturer "Sega" desc "Wally wo Sagase! (rev A, Japan, 3 players) (FD1094 317-0198A)" devices ())
(name "wwallyjad" year "1992" manufacturer "bootleg" desc "Wally wo Sagase! (rev A, Japan) (bootleg of FD1094 317-0197A set)" devices ())
(name "wwallyjd" year "1992" manufacturer "bootleg" desc "Wally wo Sagase! (rev B, Japan) (bootleg of FD1094 317-0197B set)" devices ())
(name "wwanpanm" year "1992" manufacturer "Sega" desc "Waku Waku Anpanman (Rev A)" devices ())
(name "wwaratah" year "2006" manufacturer "Aristocrat" desc "Wild Waratah (10215911, NSW/ACT)" devices ())
(name "wwaratahsp" year "2006" manufacturer "Aristocrat" desc "Wild Waratah (10215911, NSW/ACT, Show Program)" devices ())
(name "wways" year "2002" manufacturer "Aristocrat" desc "Wild Ways (10106911, NSW/ACT)" devices ())
(name "wwaysa" year "2003" manufacturer "Aristocrat" desc "Wild Ways (10130111, ASP)" devices ())
(name "wwestern" year "1982" manufacturer "Taito Corporation" desc "Wild Western (set 1)" devices ())
(name "wwestern1" year "1982" manufacturer "Taito Corporation" desc "Wild Western (set 2)" devices ())
(name "wwfmania" year "1995" manufacturer "Midway" desc "WWF: Wrestlemania (rev 1.30 08/10/95)" devices ())
(name "wwfmaniab" year "1995" manufacturer "Midway" desc "WWF: Wrestlemania (rev 1.20 08/02/95)" devices ())
(name "wwfmaniac" year "1995" manufacturer "Midway" desc "WWF: Wrestlemania (rev 1.1 07/11/95)" devices ())
(name "wwfmaniap" year "1995" manufacturer "Midway" desc "WWF: Wrestlemania (proto 2.01 06/07/95)" devices ())
(name "wwfr_103" year "1994" manufacturer "Data East" desc "WWF Royal Rumble (USA 1.03, display A1.01)" devices ())
(name "wwfr_103f" year "1994" manufacturer "Data East" desc "WWF Royal Rumble (French 1.03, display F1.01)" devices ())
(name "wwfr_106" year "1994" manufacturer "Data East" desc "WWF Royal Rumble (USA 1.06, display A1.02)" devices ())
(name "wwfroyal" year "2000" manufacturer "Sega" desc "WWF Royal Rumble" devices ())
(name "wwfsstar" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (Europe)" devices ())
(name "wwfsstarb" year "1989" manufacturer "bootleg" desc "WWF Superstars (bootleg)" devices ())
(name "wwfsstarb2" year "1989" manufacturer "bootleg" desc "WWF Superstars (bootleg with 2xYM2203)" devices ())
(name "wwfsstarc" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (Canada)" devices ())
(name "wwfsstarj" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (Japan)" devices ())
(name "wwfsstaru4" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (US revision 4)" devices ())
(name "wwfsstaru6" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (US revision 6)" devices ())
(name "wwfsstaru7" year "1989" manufacturer "Technos Japan" desc "WWF Superstars (US revision 7)" devices ())
(name "wwfwfest" year "1991" manufacturer "Technos Japan (Tecmo license)" desc "WWF WrestleFest (World)" devices ())
(name "wwfwfestj" year "1991" manufacturer "Technos Japan (Tecmo license)" desc "WWF WrestleFest (Japan)" devices ())
(name "wwfwfestk" year "1991" manufacturer "Technos Japan (Tecmo license)" desc "WWF WrestleFest (Korea)" devices ())
(name "wwfwfestu" year "1991" manufacturer "Technos Japan" desc "WWF WrestleFest (US, rev 2)" devices ())
(name "wwfwfestu1" year "1991" manufacturer "Technos Japan" desc "WWF WrestleFest (US)" devices ())
(name "wwfwfestub" year "1991" manufacturer "bootleg" desc "WWF WrestleFest (US bootleg)" devices ())
(name "wwitch" year "2005" manufacturer "Astro Corp." desc "Wicked Witch (Ver. AA.01.A)" devices ())
(name "wwjgtin" year "1984" manufacturer "Jaleco / Casio" desc "Wai Wai Jockey Gate-In!" devices ())
(name "wwmarine" year "1992" manufacturer "Sega" desc "Waku Waku Marine" devices ())
(name "wwmspot" year "2005" manufacturer "Sega" desc "Winner's Wheel - Magical Spot" devices ())
(name "wxstar4k" year "1990" manufacturer "Applied Microelectronics Institute/The Weather Channel" desc "WeatherSTAR 4000" devices ())
(name "wy100" year "1981" manufacturer "Wyse Technology" desc "WY-100" devices ())
(name "wy120" year "1992" manufacturer "Wyse Technology" desc "WY-120 (v1.4)" devices ())
(name "wy150" year "1991" manufacturer "Wyse Technology" desc "WY-150 (v1.0)" devices ())
(name "wy160" year "1994" manufacturer "Wyse Technology" desc "WY-160 (v1.7)" devices ())
(name "wy185es" year "1991" manufacturer "Wyse Technology" desc "WY-185ES (v2.0)" devices ())
(name "wy220001" year "198?" manufacturer "Wyse" desc "WYSEpc 286" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "wy30p" year "1992" manufacturer "Wyse Technology" desc "WY-30+ (v1.8)" devices ())
(name "wy325" year "1994" manufacturer "Wyse Technology" desc "WY-325 (v3.2)" devices ())
(name "wy50" year "1984" manufacturer "Wyse Technology" desc "WY-50 (Rev. E)" devices ())
(name "wy55" year "1993" manufacturer "Wyse Technology" desc "WY-55 (v2.1)" devices ())
(name "wy60" year "1986" manufacturer "Wyse Technology" desc "WY-60 (RBFNG2)" devices ())
(name "wy60a" year "1986" manufacturer "Wyse Technology" desc "WY-60 (RBFNB0)" devices ())
(name "wy65" year "1996" manufacturer "Wyse Technology" desc "WY-65 (v2.1)" devices ())
(name "wy75" year "1984" manufacturer "Wyse Technology" desc "WY-75 (Rev. H)" devices ())
(name "wy85" year "1985" manufacturer "Wyse Technology" desc "WY-85 (Rev. A)" devices ())
(name "wyvernf0" year "1985" manufacturer "Taito Corporation" desc "Wyvern F-0 (Rev 1)" devices ())
(name "wyvernf0a" year "1985" manufacturer "Taito Corporation" desc "Wyvern F-0" devices ())
(name "wyvernwg" year "2001" manufacturer "SemiCom (Game Vision license)" desc "Wyvern Wings (set 1)" devices ())
(name "wyvernwga" year "2001" manufacturer "SemiCom (Game Vision license)" desc "Wyvern Wings (set 2)" devices ())
(name "wzwaysll" year "2003" manufacturer "Aristocrat" desc "Wizard Ways - Lady Luck (20139121, NSW/ACT)" devices ())
(name "x07" year "1983" manufacturer "Canon" desc "X-07" devices ((name "printout" briefname "prin" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "x1" year "1982" manufacturer "Sharp" desc "X1 (CZ-800C)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "x168" year "1983" manufacturer "Xerox" desc "Xerox 16/8" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "quickload" briefname "quik" )))
(name "x180" year "1997" manufacturer "Yuvo" desc "unknown Yuvo Joy Stand game (set 1)" devices ())
(name "x180ii" year "1997" manufacturer "Yuvo" desc "unknown Yuvo Joy Stand game (set 2)" devices ())
(name "x1turbo" year "1984" manufacturer "Sharp" desc "X1 Turbo (CZ-850C)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "x1turbo40" year "1985" manufacturer "Sharp" desc "X1 Turbo (CZ-862C)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "x1twin" year "1986" manufacturer "Sharp" desc "X1 Twin (CZ-830C)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" ) (name "cassette" briefname "cass" )))
(name "x2222" year "2000" manufacturer "Oriental Soft / Promat" desc "X2222 (final debug?)" devices ())
(name "x2222o" year "2000" manufacturer "Oriental Soft / Promat" desc "X2222 (5-level prototype)" devices ())
(name "x37" year "1985" manufacturer "Luxor" desc "X37 (prototype)" devices ((name "floppydisk" briefname "flop" ) (name "harddisk" briefname "hard" )))
(name "x5jokers" year "200?" manufacturer "Electronic Projects" desc "X Five Jokers (Version 1.12)" devices ())
(name "x68000" year "1987" manufacturer "Sharp" desc "X68000" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "sasihd" briefname "sasi" )))
(name "x68030" year "1993" manufacturer "Sharp" desc "X68030" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "x68ksupr" year "1990" manufacturer "Sharp" desc "X68000 Super" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "x68kxvi" year "1991" manufacturer "Sharp" desc "X68000 XVI" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "x80wc" year "1981" manufacturer "bootleg (ManilaMatic)" desc "X80 - War Command (ManilaMatic bootleg of Missile Command)" devices ())
(name "x820" year "1981" manufacturer "Xerox" desc "Xerox 820" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "quickload" briefname "quik" )))
(name "x820ii" year "1983" manufacturer "Xerox" desc "Xerox 820-II" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "quickload" briefname "quik" )))
(name "xavbaseb" year "2004" manufacturer "SSD Company LTD" desc "XaviX Baseball (XaviXPORT)" devices ())
(name "xavbassf" year "2004" manufacturer "SSD Company LTD" desc "XaviX Bass Fishing (XaviXPORT)" devices ())
(name "xavbowl" year "2004" manufacturer "SSD Company LTD" desc "XaviX Bowling (XaviXPORT)" devices ())
(name "xavbox" year "2004" manufacturer "SSD Company LTD" desc "XaviX Boxing (XaviXPORT)" devices ())
(name "xavjmat" year "2005" manufacturer "SSD Company LTD" desc "Jackie Chan J-Mat Fitness (XaviXPORT)" devices ())
(name "xavmusic" year "2007" manufacturer "SSD Company LTD" desc "XaviX Music & Circuit (XaviXPORT)" devices ())
(name "xavtenni" year "2004" manufacturer "SSD Company LTD" desc "XaviX Tennis (XaviXPORT)" devices ())
(name "xb42639" year "1989" manufacturer "Apricot" desc "Apricot XEN-S (Venus I Motherboard 286)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "xb42639a" year "1990" manufacturer "Apricot" desc "Apricot XEN-S (Venus II Motherboard 286)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "xb42663" year "1988" manufacturer "Apricot" desc "Apricot Qi 300 (Rev D,E & F Motherboard)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "xb42664" year "1989" manufacturer "Apricot" desc "Apricot XEN-S (Venus I Motherboard 386)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "xb42664a" year "1990" manufacturer "Apricot" desc "Apricot XEN-S (Venus II Motherboard 386)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "xbase09" year "1997" manufacturer "JoMoX" desc "XBase 09 Midi Controlled Analogue Drum Module" devices ())
(name "xbox" year "2001" manufacturer "Microsoft" desc "XBOX" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" )))
(name "xd88_01" year "1990" manufacturer "Tektronix" desc "XD88/01" devices ())
(name "xday2" year "1995" manufacturer "Namco" desc "X-Day 2 (Japan)" devices ())
(name "xds19p" year "1990" manufacturer "Visual Technology" desc "XDS-19P" devices ())
(name "xegs" year "1987" manufacturer "Atari" desc "Atari XE Game System" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" ) (name "floppydisk4" briefname "flop4" ) (name "cartridge" briefname "cart" )))
(name "xenon" year "1980" manufacturer "Bally" desc "Xenon" devices ())
(name "xenonf" year "1980" manufacturer "Bally" desc "Xenon (French)" devices ())
(name "xenophob" year "1987" manufacturer "Bally Midway" desc "Xenophobe" devices ())
(name "xevi3dg" year "1995" manufacturer "Namco" desc "Xevious 3D/G (World, XV32/VER.B)" devices ())
(name "xevi3dga" year "1995" manufacturer "Namco" desc "Xevious 3D/G (World, XV32/VER.A)" devices ())
(name "xevi3dgj" year "1995" manufacturer "Namco" desc "Xevious 3D/G (Japan, XV31/VER.A)" devices ())
(name "xevios" year "1982" manufacturer "bootleg" desc "Xevios" devices ())
(name "xevious" year "1982" manufacturer "Namco" desc "Xevious (Namco)" devices ())
(name "xeviousa" year "1982" manufacturer "Namco (Atari license)" desc "Xevious (Atari, harder)" devices ())
(name "xeviousb" year "1982" manufacturer "Namco (Atari license)" desc "Xevious (Atari)" devices ())
(name "xeviousc" year "1982" manufacturer "Namco (Atari license)" desc "Xevious (Atari, Namco PCB)" devices ())
(name "xexex" year "1991" manufacturer "Konami" desc "Xexex (ver EAA)" devices ())
(name "xexexa" year "1991" manufacturer "Konami" desc "Xexex (ver AAA)" devices ())
(name "xexexj" year "1991" manufacturer "Konami" desc "Xexex (ver JAA)" devices ())
(name "xeye" year "1993" manufacturer "JVC" desc "X'eye (USA, NTSC)" devices ((name "cdrom" briefname "cdrm" )))
(name "xfiles" year "1999" manufacturer "dgPIX Entertainment Inc." desc "The X-Files" devices ())
(name "xfiles2" year "1997" manufacturer "Sega" desc "X-Files (CPU 2.04, display A2.01)" devices ())
(name "xfiles20" year "1997" manufacturer "Sega" desc "X-Files (CPU 2.00, display A2.00)" devices ())
(name "xfilesk" year "1999" manufacturer "dgPIX Entertainment Inc." desc "The X-Files (Censored, Korea)" devices ())
(name "xfilesp" year "1997" manufacturer "Sega" desc "X-Files (CPU 3.03, display A3.00)" devices ())
(name "xfilespf" year "1997" manufacturer "Sega" desc "X-Files (CPU 3.03, display F3.00, France)" devices ())
(name "xforce" year "1987" manufacturer "Tecnoplay" desc "X Force" devices ())
(name "xiaoao" year "1999" manufacturer "Subsino" desc "Xiao Ao Jiang Hu (China, Ver. 1.00)" devices ())
(name "xiistag" year "2002" manufacturer "Triangle Service" desc "XII Stag (V2.01J 2002/6/26 22:27)" devices ((name "harddisk" briefname "hard" )))
(name "xing48" year "200?" manufacturer "Xing" desc "Xing Wireless Interactive TV Game 'Wi TV Zone' 48-in-1 (Europe, PAL)" devices ())
(name "xiprocessor" year "2012" manufacturer "Sergey Kiselev" desc "Xi processor board" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "harddisk" briefname "hard" )))
(name "xl25" year "1983" manufacturer "Vulcan Electronics" desc "XL 25" devices ())
(name "xm200" year "1990" manufacturer "Orla" desc "XM200 Orchestra Module" devices ())
(name "xmcota" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Europe 950331)" devices ())
(name "xmcotaa" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Asia 950105)" devices ())
(name "xmcotaar1" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Asia 941219)" devices ())
(name "xmcotaar2" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Asia 941217)" devices ())
(name "xmcotab" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Brazil 950331)" devices ())
(name "xmcotah" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Hispanic 950331)" devices ())
(name "xmcotahr1" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Hispanic 950105)" devices ())
(name "xmcotaj" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Japan 950105)" devices ())
(name "xmcotaj1" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Japan 941222)" devices ())
(name "xmcotaj2" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Japan 941219)" devices ())
(name "xmcotaj3" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Japan 941217)" devices ())
(name "xmcotajr" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Japan 941208 rent version)" devices ())
(name "xmcotar1" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (Europe 950105)" devices ())
(name "xmcotar1d" year "1994" manufacturer "bootleg" desc "X-Men: Children of the Atom (Europe 950105 Phoenix Edition) (bootleg)" devices ())
(name "xmcotau" year "1994" manufacturer "Capcom" desc "X-Men: Children of the Atom (USA 950105)" devices ())
(name "xmen" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver EBA)" devices ())
(name "xmen2pa" year "1992" manufacturer "Konami" desc "X-Men (2 Players ver AAA)" devices ())
(name "xmen2pe" year "1992" manufacturer "Konami" desc "X-Men (2 Players ver EAA)" devices ())
(name "xmen2pj" year "1992" manufacturer "Konami" desc "X-Men (2 Players ver JAA)" devices ())
(name "xmen2pu" year "1992" manufacturer "Konami" desc "X-Men (2 Players ver UAB)" devices ())
(name "xmen6p" year "1992" manufacturer "Konami" desc "X-Men (6 Players ver ECB)" devices ())
(name "xmen6pu" year "1992" manufacturer "Konami" desc "X-Men (6 Players ver UCB)" devices ())
(name "xmena" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver AEA)" devices ())
(name "xmenaa" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver ADA)" devices ())
(name "xmenabl" year "1992" manufacturer "bootleg" desc "X-Men (4 Players ver AEA, bootleg)" devices ())
(name "xmenj" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver JBA)" devices ())
(name "xmenja" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver JEA)" devices ())
(name "xmenu" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver UBB)" devices ())
(name "xmenua" year "1992" manufacturer "Konami" desc "X-Men (4 Players ver UEB)" devices ())
(name "xmultipl" year "1989" manufacturer "Irem" desc "X Multiply (World, M81 hardware)" devices ())
(name "xmultiplm72" year "1989" manufacturer "Irem" desc "X Multiply (Japan, M72 hardware)" devices ())
(name "xmvsf" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Europe 961004)" devices ())
(name "xmvsfa" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Asia 961023)" devices ())
(name "xmvsfar1" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Asia 961004)" devices ())
(name "xmvsfar2" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Asia 960919)" devices ())
(name "xmvsfar3" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Asia 960910)" devices ())
(name "xmvsfb" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Brazil 961023)" devices ())
(name "xmvsfh" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Hispanic 961004)" devices ())
(name "xmvsfj" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Japan 961023)" devices ())
(name "xmvsfjr1" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Japan 961004)" devices ())
(name "xmvsfjr2" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Japan 960910)" devices ())
(name "xmvsfjr3" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Japan 960909)" devices ())
(name "xmvsfr1" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (Europe 960910)" devices ())
(name "xmvsfu" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (USA 961023)" devices ())
(name "xmvsfu1d" year "1996" manufacturer "bootleg" desc "X-Men Vs. Street Fighter (USA 961004 Phoenix Edition) (bootleg)" devices ())
(name "xmvsfur1" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (USA 961004)" devices ())
(name "xmvsfur2" year "1996" manufacturer "Capcom" desc "X-Men Vs. Street Fighter (USA 960910)" devices ())
(name "xor100" year "1980" manufacturer "XOR Data Science" desc "XOR S-100-12" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "xorworld" year "1990" manufacturer "Gaelco" desc "Xor World (prototype)" devices ())
(name "xplan" year "2006" manufacturer "Subsino" desc "X-Plan (Ver. 101)" devices ())
(name "xrally" year "1998" manufacturer "SNK" desc "Xtreme Rally / Off Beat Racer!" devices ())
(name "xreel" year "2002" manufacturer "Subsino (ECM license)" desc "X-Reel" devices ())
(name "xsandos" year "1983" manufacturer "Bally" desc "X's & O's" devices ())
(name "xsedae" year "1995" manufacturer "Dream Island" desc "X Se Dae Quiz (Korea)" devices ())
(name "xsleena" year "1986" manufacturer "Technos Japan (Taito license)" desc "Xain'd Sleena (World)" devices ())
(name "xsleenab" year "1986" manufacturer "bootleg" desc "Xain'd Sleena (bootleg, set 1)" devices ())
(name "xsleenaba" year "1987" manufacturer "bootleg" desc "Xain'd Sleena (bootleg, bugfixed)" devices ())
(name "xsleenabb" year "1987" manufacturer "bootleg" desc "Xain'd Sleena (bootleg, set 2)" devices ())
(name "xsleenaj" year "1986" manufacturer "Technos Japan" desc "Xain'd Sleena (Japan)" devices ())
(name "xtheball" year "1991" manufacturer "Rare" desc "X the Ball" devices ())
(name "xtom3d" year "1999" manufacturer "Andamiro / Jamie System Development" desc "X Tom 3D" devices ())
(name "xtrain" year "1999" manufacturer "Subsino" desc "X-Train (Ver. 1.3)" devices ())
(name "xtrial" year "2002" manufacturer "Konami" desc "Xtrial Racing (ver JAB)" devices ((name "harddisk" briefname "hard" )))
(name "xtrmhnt2" year "2006" manufacturer "Sega" desc "Extreme Hunting 2" devices ())
(name "xtrmhunt" year "2004" manufacturer "Sammy" desc "Extreme Hunting" devices ())
(name "xxmissio" year "1986" manufacturer "UPL" desc "XX Mission" devices ())
(name "xybots" year "1987" manufacturer "Atari Games" desc "Xybots (rev 2)" devices ())
(name "xybots0" year "1987" manufacturer "Atari Games" desc "Xybots (rev 0)" devices ())
(name "xybots1" year "1987" manufacturer "Atari Games" desc "Xybots (rev 1)" devices ())
(name "xybotsf" year "1987" manufacturer "Atari Games" desc "Xybots (French, rev 3)" devices ())
(name "xybotsg" year "1987" manufacturer "Atari Games" desc "Xybots (German, rev 3)" devices ())
(name "xymg" year "1996" manufacturer "IGS" desc "Xingyun Man Guan (China, V651C)" devices ())
(name "xyonix" year "1989" manufacturer "Philko" desc "Xyonix" devices ())
(name "y301xl" year "1988" manufacturer "Yeno / Bray Research" desc "301 XL (Yeno)" devices ())
(name "y416xl" year "1989" manufacturer "Yeno" desc "416 XL (Yeno)" devices ())
(name "y503iiir" year "1985" manufacturer "Yamaha" desc "YIS-503 III R (MSX2, USSR)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y503iiire" year "198?" manufacturer "Yamaha" desc "YIS-503 III R (MSX2, Estonian)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y503iir" year "1985" manufacturer "Yamaha" desc "YIS503IIR (MSX1, USSR)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y503iir2" year "1986" manufacturer "Yamaha" desc "YIS503IIR (MSX1, Estonian)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y532xl" year "1989" manufacturer "Yeno" desc "532 XL (Yeno)" devices ())
(name "y805128" year "1986" manufacturer "Yamaha" desc "YIS805/128 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk" briefname "flop" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y805128r2" year "1986" manufacturer "Yamaha" desc "YIS805/128R2 (MSX2, USSR)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y805128r2e" year "198?" manufacturer "Yamaha" desc "YIS805/128R2 (MSX2, Estonian)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "y805256" year "198?" manufacturer "Yamaha" desc "YIS805/256 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "yachtmn" year "1982" manufacturer "Sanritsu / Esco" desc "Yachtsman" devices ())
(name "yamagchi" year "1985" manufacturer "Kaneko / Taito" desc "Go Go Mr. Yamaguchi / Yuke Yuke Yamaguchi-kun" devices ())
(name "yamato" year "1983" manufacturer "Sega" desc "Yamato (US)" devices ())
(name "yamato2" year "1983" manufacturer "Sega" desc "Yamato (World?)" devices ())
(name "yamyam" year "1990" manufacturer "Dooyong" desc "Yam! Yam!?" devices ())
(name "yamyamk" year "1990" manufacturer "Dooyong" desc "Yam! Yam! (Korea)" devices ())
(name "yanchamr" year "1986" manufacturer "Irem" desc "Kaiketsu Yanchamaru (Japan)" devices ())
(name "yankeedo" year "1982" manufacturer "hack" desc "Yankee DO!" devices ())
(name "yarunara" year "1991" manufacturer "Dynax" desc "Mahjong Yarunara (Japan)" devices ())
(name "yattrmnp" year "1998" manufacturer "Sega" desc "Yatterman Plus (J 981006 V1.000)" devices ())
(name "yc64" year "1984" manufacturer "Yashica" desc "YC-64 (MSX1, Europe)" devices ((name "cartridge" briefname "cart" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "yellowcbb" year "1984" manufacturer "bootleg" desc "Yellow Cab (bootleg)" devices ())
(name "yellowcbj" year "1984" manufacturer "Data East Corporation" desc "Yellow Cab (Japan)" devices ())
(name "yes" year "1985" manufacturer "Philips" desc ":YES" devices ())
(name "yesnoj" year "1992" manufacturer "Taito Corporation" desc "Yes/No Sinri Tokimeki Chart" devices ())
(name "yiear" year "1985" manufacturer "Konami" desc "Yie Ar Kung-Fu (program code I)" devices ())
(name "yiear2" year "1985" manufacturer "Konami" desc "Yie Ar Kung-Fu (program code G)" devices ())
(name "yieartf" year "1985" manufacturer "bootleg" desc "Yie Ar Kung-Fu (bootleg GX361 conversion)" devices ())
(name "yis303" year "1984" manufacturer "Yamaha" desc "YIS303 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "cassette" briefname "cass" )))
(name "yis503" year "1984" manufacturer "Yamaha" desc "YIS503 (MSX1, Japan)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "yis503f" year "1984" manufacturer "Yamaha" desc "YIS503F (MSX1, French)" devices ((name "cartridge" briefname "cart" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "yis503ii" year "1985" manufacturer "Yamaha" desc "YIS503II (MSX1, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "yis604" year "1985" manufacturer "Yamaha" desc "YIS604/128 (MSX2, Japan)" devices ((name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "yamahaminicart" briefname "mini" ) (name "cartridge60pin" briefname "cart60p" ) (name "printout" briefname "prin" ) (name "cassette" briefname "cass" )))
(name "ymcapsul" year "1999" manufacturer "Konami" desc "Yu-Gi-Oh Monster Capsule" devices ())
(name "yorijori" year "2002" manufacturer "Golden Bell Entertainment" desc "Yori Jori Kuk Kuk" devices ())
(name "yosakdon" year "1979" manufacturer "Wing" desc "Yosaku to Donbei (set 1)" devices ())
(name "yosakdona" year "1979" manufacturer "Wing" desc "Yosaku to Donbei (set 2)" devices ())
(name "yosimotm" year "1994" manufacturer "Nichibutsu / Yoshimoto Kougyou" desc "Mahjong Yoshimoto Gekijou (Japan, medal)" devices ())
(name "yosimoto" year "1994" manufacturer "Nichibutsu / Yoshimoto Kougyou" desc "Mahjong Yoshimoto Gekijou (Japan)" devices ())
(name "youjyudn" year "1986" manufacturer "Irem" desc "Youjyuden (Japan)" devices ())
(name "youkaidk1" year "1987" manufacturer "Namco" desc "Youkai Douchuuki (Japan, old version (YD1))" devices ())
(name "youkaidk2" year "1987" manufacturer "Namco" desc "Youkai Douchuuki (Japan, new version (YD2, Rev B))" devices ())
(name "youma" year "1986" manufacturer "Nichibutsu" desc "Youma Ninpou Chou (Japan)" devices ())
(name "youma2" year "1986" manufacturer "Nichibutsu" desc "Youma Ninpou Chou (Japan, alt)" devices ())
(name "youmab" year "1986" manufacturer "bootleg" desc "Youma Ninpou Chou (Game Electronics bootleg, set 1)" devices ())
(name "youmab2" year "1986" manufacturer "bootleg" desc "Youma Ninpou Chou (Game Electronics bootleg, set 2)" devices ())
(name "yoyospel" year "1992" manufacturer "Inder" desc "YoYo Spell (prototype)" devices ())
(name "yujan" year "1999" manufacturer "Yubis / T.System" desc "Yu-Jan" devices (() ()))
(name "yuka" year "1999" manufacturer "Yubis / T.System" desc "Yu-Ka" devices (() ()))
(name "yukiwo" year "1989" manufacturer "Taito Corporation Japan" desc "Yukiwo (World, prototype)" devices ())
(name "yukon" year "1989" manufacturer "Exidy" desc "Yukon (version 2.0)" devices ())
(name "yukon1" year "1989" manufacturer "Exidy" desc "Yukon (version 1.0)" devices ())
(name "yukongl5" year "2000" manufacturer "Aristocrat" desc "Yukon Gold (03J00191, NSW/ACT)" devices ())
(name "yukongld" year "2000" manufacturer "WMS" desc "Yukon Gold (Russian)" devices ())
(name "yumefuda" year "1991" manufacturer "Alba" desc "Yumefuda" devices ())
(name "yutnori" year "1999" manufacturer "Nunal" desc "Puzzle Yutnori (Korea)" devices ())
(name "yuyugogo" year "1990" manufacturer "Taito Corporation" desc "Yuuyu no Quiz de GO!GO! (Japan)" devices ())
(name "yuyuhaku" year "2006" manufacturer "Banpresto" desc "The Battle of Yu Yu Hakusho: Shitou! Ankoku Bujutsukai!" devices ())
(name "z100" year "1982" manufacturer "Zenith Data Systems" desc "Z-100" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "z1013" year "1985" manufacturer "VEB Robotron Electronics Riesa" desc "Z1013 (matrix 8x4)" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "z1013a2" year "1985" manufacturer "VEB Robotron Electronics Riesa" desc "Z1013 (matrix 8x8)" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "z1013k69" year "1985" manufacturer "VEB Robotron Electronics Riesa" desc "Z1013 (K7669)" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "z1013k76" year "1985" manufacturer "VEB Robotron Electronics Riesa" desc "Z1013 (K7659)" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "z1013s60" year "1985" manufacturer "VEB Robotron Electronics Riesa" desc "Z1013 (K7652/S6009)" devices ((name "cassette" briefname "cass" ) (name "snapshot" briefname "dump" )))
(name "z22" year "1984" manufacturer "Zenith Data Systems" desc "Z-22 Terminal" devices ())
(name "z29" year "1983" manufacturer "Zenith Data Systems" desc "Z-29 Terminal" devices ())
(name "z80clock" year "2020" manufacturer "Tom Storey" desc "Z80 based, triple time zone clock" devices ((name "cartridge1" briefname "cart1" mandatory t) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" ) (name "quickload" briefname "quik" )))
(name "z80dev" year "198?" manufacturer "<unknown>" desc "Z80 dev board" devices ())
(name "z80ne" year "1980" manufacturer "Nuova Elettronica" desc "Z80NE" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "z80net" year "1980" manufacturer "Nuova Elettronica" desc "Z80NE + LX.388" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "z80netb" year "1980" manufacturer "Nuova Elettronica" desc "Z80NE + LX.388 + Basic 16k" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" )))
(name "z80netf" year "1980" manufacturer "Nuova Elettronica" desc "Z80NE + LX.388 + LX.390" devices ((name "cassette1" briefname "cass1" ) (name "cassette2" briefname "cass2" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "z88" year "1988" manufacturer "Cambridge Computers" desc "Z88" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88ch" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Swiss)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88de" year "1988" manufacturer "Cambridge Computers" desc "Z88 (German)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88dk" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Danish)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88es" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Spanish)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88fi" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Finnish)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88fr" year "1988" manufacturer "Cambridge Computers" desc "Z88 (French)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88it" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Italian)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88no" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Norwegian)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88se" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Swedish)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z88tr" year "1988" manufacturer "Cambridge Computers" desc "Z88 (Turkish)" devices ((name "serial" briefname "serl" ) (name "cartridge1" briefname "cart1" ) (name "cartridge2" briefname "cart2" ) (name "cartridge3" briefname "cart3" )))
(name "z90" year "1981" manufacturer "Zenith Data Systems" desc "Z-90" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "floppydisk3" briefname "flop3" )))
(name "z9001" year "1984" manufacturer "Robotron" desc "Z9001 (KC 85/1.10)" devices ((name "cassette" briefname "cass" )))
(name "zackman" year "1983" manufacturer "Bandai" desc "Zackman" devices ())
(name "zankor" year "1986" manufacturer "Zaccaria" desc "Zankor (TMS5200 Italian speech)" devices ())
(name "zankor2i" year "1986" manufacturer "Zaccaria" desc "Zankor (TMS5220 Italian speech)" devices ())
(name "zapcomp" year "1981" manufacturer "Steve Ciarcia / BYTE / McGRAW-HILL" desc "ZAP - Z80 Applications Processor" devices ())
(name "zaryavos" year "1984" manufacturer "Nova Games of Canada" desc "Zarya Vostoka" devices ())
(name "zarza" year "1982" manufacturer "Taito do Brasil" desc "Zarza (set 1)" devices ())
(name "zarza1" year "1982" manufacturer "Taito do Brasil" desc "Zarza (set 2)" devices ())
(name "zarzon" year "1981" manufacturer "SNK (Taito America license)" desc "Zarzon" devices ())
(name "zaviga" year "1984" manufacturer "Data East Corporation" desc "Zaviga" devices ())
(name "zavigaj" year "1984" manufacturer "Data East Corporation" desc "Zaviga (Japan)" devices ())
(name "zaxxon" year "1982" manufacturer "Sega" desc "Zaxxon (set 1, rev D)" devices ())
(name "zaxxon2" year "1982" manufacturer "Sega" desc "Zaxxon (set 2, unknown rev)" devices ())
(name "zaxxon3" year "1982" manufacturer "Sega" desc "Zaxxon (set 3, unknown rev)" devices ())
(name "zaxxonb" year "1982" manufacturer "bootleg" desc "Jackson" devices ())
(name "zaxxonj" year "1982" manufacturer "Sega" desc "Zaxxon (Japan)" devices ())
(name "zdog" year "200?" manufacturer "Hummer Technology Co., Ltd." desc "ZDog (44 in 1)" devices ())
(name "zdrum" year "2000" manufacturer "PARA Enterprises" desc "Zooty Drum" devices ())
(name "zdsupers" year "1987" manufacturer "Zenith Data Systems" desc "SuperSport" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zdz150" year "198?" manufacturer "Zenith Data Systems" desc "Z-150 Series" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zdz160" year "198?" manufacturer "Zenith Data Systems" desc "Z-160 Series" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zdz180" year "1987" manufacturer "Zenith Data Systems" desc "Z-180 Series" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zdz248" year "198?" manufacturer "Zenith Data Systems" desc "Z-248" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "zedblade" year "1994" manufacturer "NMK" desc "Zed Blade / Operation Ragnarok" devices ((name "memcard" briefname "memc" ) ()))
(name "zeebo" year "2009" manufacturer "Zeebo Inc." desc "Zeebo (Brazil)" devices ())
(name "zekepeak" year "1983" manufacturer "Taito" desc "Zeke's Peak" devices ())
(name "zektor" year "1982" manufacturer "Sega" desc "Zektor (revision B)" devices ())
(name "zelos" year "1994" manufacturer "Namco" desc "Zelos (Japan, main unit)" devices ())
(name "zelost" year "1994" manufacturer "Namco" desc "Zelos (Japan, terminal)" devices ())
(name "zenponta" year "2005" manufacturer "Amuzy Corporation" desc "Zenigata Ponta" devices ())
(name "zeos386sx" year "198?" manufacturer "ZEOS" desc "386 SX-16" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" )))
(name "zephy" year "1981" manufacturer "LTD" desc "Zephy (set 1)" devices ())
(name "zephya" year "1981" manufacturer "LTD" desc "Zephy (set 2)" devices ())
(name "zephyr" year "1979" manufacturer "Zentec" desc "Zephyr (00-441-01)" devices ())
(name "zero" year "1980" manufacturer "bootleg (Jeutel)" desc "Zero (bootleg of Defender, set 1)" devices ())
(name "zero2" year "1980" manufacturer "bootleg (Amtec)" desc "Zero (bootleg of Defender, set 2)" devices ())
(name "zerogu2" year "2001" manufacturer "Psikyo" desc "Zero Gunner 2" devices ())
(name "zerogun" year "1997" manufacturer "Psikyo" desc "Zero Gunner (Export, Model 2B)" devices ())
(name "zeroguna" year "1997" manufacturer "Psikyo" desc "Zero Gunner (Export, Model 2A)" devices ())
(name "zerogunaj" year "1997" manufacturer "Psikyo" desc "Zero Gunner (Japan, Model 2A)" devices ())
(name "zerogunj" year "1997" manufacturer "Psikyo" desc "Zero Gunner (Japan, Model 2B)" devices ())
(name "zerohour" year "1980" manufacturer "Universal" desc "Zero Hour (set 1)" devices ())
(name "zerohoura" year "1980" manufacturer "Universal" desc "Zero Hour (set 2)" devices ())
(name "zerohouri" year "1980" manufacturer "bootleg (Inder SA)" desc "Zero Hour (bootleg)" devices ())
(name "zeropnt" year "1998" manufacturer "Unico" desc "Zero Point (set 1)" devices ())
(name "zeropnt2" year "1999" manufacturer "Unico" desc "Zero Point 2" devices ())
(name "zeropnta" year "1998" manufacturer "Unico" desc "Zero Point (set 2)" devices ())
(name "zeropntj" year "1998" manufacturer "Unico" desc "Zero Point (Japan)" devices ())
(name "zeroteam" year "1993" manufacturer "Seibu Kaihatsu (Fabtek license)" desc "Zero Team USA (US)" devices ())
(name "zeroteama" year "1993" manufacturer "Seibu Kaihatsu" desc "Zero Team (Japan?, earlier?, set 1)" devices ())
(name "zeroteamb" year "1993" manufacturer "Seibu Kaihatsu" desc "Zero Team (Japan?, later batteryless)" devices ())
(name "zeroteamc" year "1993" manufacturer "Seibu Kaihatsu (Liang Hwa license)" desc "Zero Team (Taiwan)" devices ())
(name "zeroteamd" year "1993" manufacturer "Seibu Kaihatsu (Dream Soft license)" desc "Zero Team (Korea)" devices ())
(name "zeroteame" year "1993" manufacturer "Seibu Kaihatsu" desc "Zero Team (Japan?, earlier?, set 2)" devices ())
(name "zeroteams" year "1993" manufacturer "Seibu Kaihatsu" desc "Zero Team Selection" devices ())
(name "zeroteamsr" year "1993" manufacturer "Seibu Kaihatsu" desc "Zero Team Suicide Revival Kit" devices ())
(name "zerotime" year "1979" manufacturer "bootleg? (Petaco S.A.)" desc "Zero Time (Petaco S.A.)" devices ())
(name "zerotimea" year "1979" manufacturer "bootleg" desc "Zero Time (Spanish bootleg, set 1)" devices ())
(name "zerotimeb" year "1979" manufacturer "bootleg" desc "Zero Time (Spanish bootleg, set 2)" devices ())
(name "zerotimed" year "1979" manufacturer "bootleg (Datamat)" desc "Zero Time (Datamat)" devices ())
(name "zerotimemc" year "1979" manufacturer "bootleg (Marti Colls)" desc "Zero Time (Marti Colls)" devices ())
(name "zerotm2k" year "2000" manufacturer "Seibu Kaihatsu" desc "Zero Team 2000" devices ())
(name "zerotrgt" year "1985" manufacturer "Data East Corporation" desc "Zero Target (World, CW)" devices ())
(name "zerotrgta" year "1985" manufacturer "Data East Corporation" desc "Zero Target (World, CT)" devices ())
(name "zerowing" year "1989" manufacturer "Toaplan" desc "Zero Wing (2P set)" devices ())
(name "zerowing1" year "1989" manufacturer "Toaplan" desc "Zero Wing (1P set)" devices ())
(name "zerowingw" year "1989" manufacturer "Toaplan (Williams license)" desc "Zero Wing (2P set, Williams license)" devices ())
(name "zerozone" year "1993" manufacturer "Comad" desc "Zero Zone" devices ())
(name "zexall" year "2009" manufacturer "Frank Cringle / Kevin Horton" desc "Zexall (FPGA Z80 test interface)" devices ())
(name "zgundm" year "2003" manufacturer "Capcom / Banpresto" desc "Mobile Suit Z-Gundam: A.E.U.G. vs Titans (ZGA1 Ver. A)" devices ())
(name "zgundmdx" year "2004" manufacturer "Capcom / Banpresto" desc "Mobile Suit Z-Gundam: A.E.U.G. vs Titans DX (ZDX1 Ver. A)" devices ())
(name "zhongguo" year "2000" manufacturer "IGS" desc "Zhong Guo Chu Da D" devices ())
(name "zi4dvs" year "199?" manufacturer "ZIDA" desc "4DVS" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "harddisk" briefname "hard" ) (name "printout" briefname "prin" )))
(name "zidav630e" year "2001" manufacturer "Zida" desc "V630E Baby AT (SiS630 chipset)" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zigzagb" year "1982" manufacturer "bootleg (LAX)" desc "Zig Zag (bootleg Dig Dug conversion on Galaxian hardware, set 1)" devices ())
(name "zigzagb2" year "1982" manufacturer "bootleg (LAX)" desc "Zig Zag (bootleg Dig Dug conversion on Galaxian hardware, set 2)" devices ())
(name "zijini" year "1989" manufacturer "Nanjing Computer Factory" desc "Zi Jin I" devices ((name "cassette" briefname "cass" ) (name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" )))
(name "zingzip" year "1992" manufacturer "Allumer / Tecmo" desc "Zing Zing Zip (World) / Zhen Zhen Ji Pao (China?)" devices ())
(name "zingzipbl" year "1992" manufacturer "bootleg" desc "Zing Zing Zip (bootleg)" devices ())
(name "zintrckb" year "1996" manufacturer "bootleg" desc "Zintrick / Oshidashi Zentrix (bootleg of CD version)" devices ((name "memcard" briefname "memc" ) ()))
(name "zippity" year "201?" manufacturer "LeapFrog" desc "Zippity (US)" devices ((name "cartridge" briefname "cart" )))
(name "zippityuk" year "201?" manufacturer "LeapFrog" desc "Zippity (UK)" devices ((name "cartridge" briefname "cart" )))
(name "zipzap" year "1995" manufacturer "Barko Corp" desc "Zip & Zap (Explicit)" devices ())
(name "zipzapa" year "1995" manufacturer "Barko Corp" desc "Zip & Zap (Less Explicit)" devices ())
(name "zira" year "1980" manufacturer "Playmatic" desc "Zira" devices ())
(name "zircon2" year "1995" manufacturer "Novag Industries" desc "Zircon II" devices ())
(name "zito4dps" year "199?" manufacturer "ZIDA" desc "Tomato board 4DPS" devices ((name "harddisk" briefname "hard" ) (name "cdrom" briefname "cdrm" ) (name "printout" briefname "prin" )))
(name "znpwfv" year "1997" manufacturer "Sega" desc "Zen Nippon Pro-Wrestling Featuring Virtua (J 971123 V1.000)" devices ())
(name "znpwfvt" year "1997" manufacturer "Sega" desc "Zen Nippon Pro-Wrestling Featuring Virtua (T 971123 V1.000)" devices ())
(name "zoar" year "1982" manufacturer "Data East USA" desc "Zoar" devices ())
(name "zodiac" year "1979" manufacturer "Coleco" desc "Zodiac: The Astrology Computer" devices ())
(name "zodiack" year "1983" manufacturer "Orca (Esco Trading Co., Inc. license)" desc "Zodiack" devices ())
(name "zoidiexp" year "2006" manufacturer "Tomy / Taito" desc "Zoids Infinity EX Plus (ver. 2.10)" devices ())
(name "zoidsinf" year "2004" manufacturer "Tomy / Taito" desc "Zoids Infinity" devices ())
(name "zokumahj" year "199?" manufacturer "Nichibutsu?" desc "Zoku Mahjong Housoukyoku (Japan)" devices ())
(name "zokuoten" year "2003" manufacturer "Success" desc "Zoku Otenamihaiken (V2.05J 2003/05/12 18:00)" devices ((name "harddisk" briefname "hard" )))
(name "zokuotena" year "2001" manufacturer "Success" desc "Zoku Otenamihaiken (V2.03J 2001/02/16 16:00)" devices ((name "harddisk" briefname "hard" )))
(name "zombraid" year "1995" manufacturer "American Sammy" desc "Zombie Raid (9/28/95, US)" devices ())
(name "zombraidp" year "1995" manufacturer "American Sammy" desc "Zombie Raid (9/28/95, US, prototype PCB)" devices ())
(name "zombraidpj" year "1995" manufacturer "Sammy Industries" desc "Zombie Raid (9/28/95, Japan, prototype PCB)" devices ())
(name "zombrvn" year "1999" manufacturer "Sega" desc "Zombie Revenge (Rev A)" devices ())
(name "zombrvne" year "1999" manufacturer "Sega" desc "Zombie Revenge (Export)" devices ())
(name "zombrvno" year "1999" manufacturer "Sega" desc "Zombie Revenge" devices ())
(name "zon32bit" year "200?" manufacturer "Ultimate Products (HK) Ltd / Senca" desc "Zone 32-bit Gaming Console System (Family Sport 41-in-1)" devices ())
(name "zone100" year "200?" manufacturer "Ultimate Products (HK) Ltd / Jungle's Soft" desc "Zone 100" devices ())
(name "zone3d" year "201?" manufacturer "Zone" desc "Zone 3D" devices ())
(name "zone40" year "2009" manufacturer "Ultimate Products Ltd. / Waixing" desc "Zone 40" devices ())
(name "zone60" year "2010" manufacturer "Ultimate Products (HK) Ltd / Jungle's Soft" desc "Zone 60" devices ())
(name "zone7in1" year "200?" manufacturer "Ultimate Products Ltd." desc "Zone 7-in-1 Sports (NTSC)" devices ())
(name "zone7in1p" year "200?" manufacturer "Ultimate Products Ltd." desc "Zone 7-in-1 Sports (PAL)" devices ())
(name "zonefamf" year "201?" manufacturer "Zone" desc "Zone Family Fit" devices ())
(name "zonefusn" year "200?" manufacturer "Ultimate Products / Jungle's Soft" desc "Zone Fusion" devices ())
(name "zonemini" year "200?" manufacturer "Ultimate Products Ltd. / Waixing" desc "Zone Mini" devices ())
(name "zoo" year "2004" manufacturer "Astro Corp." desc "Zoo (Ver. ZO.02.D, Aug 27 2004)" devices ())
(name "zoofari" year "2006" manufacturer "ICE/Play Mechanix" desc "Zoofari" devices ((name "harddisk" briefname "hard" )))
(name "zookeep" year "1982" manufacturer "Taito America Corporation" desc "Zoo Keeper (set 1)" devices ())
(name "zookeep2" year "1982" manufacturer "Taito America Corporation" desc "Zoo Keeper (set 2)" devices ())
(name "zookeep3" year "1982" manufacturer "Taito America Corporation" desc "Zoo Keeper (set 3)" devices ())
(name "zookeepbl" year "1982" manufacturer "bootleg" desc "Zoo Keeper (bootleg)" devices ())
(name "zoom909" year "1982" manufacturer "Sega" desc "Zoom 909" devices ())
(name "zoomania" year "200?" manufacturer "Industrias Brasileiras" desc "Zoomania (Version 10.04, set 1)" devices ())
(name "zoomaniaa" year "200?" manufacturer "Industrias Brasileiras" desc "Zoomania (Version 10.04, set 2)" devices ())
(name "zooo" year "2004" manufacturer "Success" desc "Zooo (V2.01JA 2004/04/13 12:00)" devices ((name "harddisk" briefname "hard" )))
(name "zorba" year "1984?" manufacturer "Modular Micros" desc "Zorba (Modular Micros)" devices ((name "floppydisk1" briefname "flop1" ) (name "floppydisk2" briefname "flop2" ) (name "printout" briefname "prin" )))
(name "zorroa6" year "2003" manufacturer "Aristocrat" desc "Zorro (30130611, NSW/ACT)" devices ())
(name "zorroa6a" year "2006" manufacturer "Aristocrat" desc "Zorro (20167511, ASP)" devices ())
(name "zorroa6u" year "2005" manufacturer "Aristocrat" desc "Zorro (0151372, US)" devices ())
(name "zortonbr" year "1994" manufacturer "Picmatic" desc "Zorton Brothers / Los Justicieros (v1.01)" devices ())
(name "zortonbr_100" year "1993" manufacturer "Picmatic" desc "Zorton Brothers / Los Justicieros (v1.00)" devices ())
(name "zrt80" year "1982" manufacturer "Digital Research Computers" desc "ZRT-80" devices ())
(name "zsbc3" year "1980" manufacturer "Digital Microsystems" desc "ZSBC-3" devices ())
(name "zsl5500" year "2002" manufacturer "Sharp" desc "Zaurus SL-5500 \"Collie\"" devices ())
(name "zsl5600" year "2002" manufacturer "Sharp" desc "Zaurus SL-5600 / SL-B500 \"Poodle\"" devices ())
(name "zslc1000" year "200?" manufacturer "Sharp" desc "Zaurus SL-C3000 \"Akita\" (Japan)" devices ())
(name "zslc3000" year "200?" manufacturer "Sharp" desc "Zaurus SL-C3000 \"Spitz\" (Japan)" devices ())
(name "zslc500" year "2002" manufacturer "Sharp" desc "Zaurus SL-C500" devices ())
(name "zslc750" year "2003" manufacturer "Sharp" desc "Zaurus SL-C750 \"Shepherd\" (Japan)" devices ())
(name "zslc760" year "2004" manufacturer "Sharp" desc "Zaurus SL-C760 \"Husky\" (Japan)" devices ())
(name "zt8802" year "1994" manufacturer "Ziatech" desc "ZT-8802 SBC" devices ())
(name "zudugo" year "200?" manufacturer "Macro Winners / Waixing" desc "Zudu-go / 2udu-go" devices ())
(name "zunkyou" year "1994" manufacturer "Sega" desc "Zunzunkyou no Yabou (Japan)" devices ())
(name "zunou" year "2006" manufacturer "Sega" desc "Touch De Zunou (Japan, Rev A)" devices ())
(name "zupapa" year "2001" manufacturer "SNK" desc "Zupapa!" devices ((name "memcard" briefname "memc" ) ()))
(name "zvezda" year "1990" manufacturer "<unknown>" desc "Zvezda" devices ((name "snapshot" briefname "dump" ) (name "quickload" briefname "quik" ) (name "cassette" briefname "cass" )))
(name "zwackery" year "1984" manufacturer "Bally Midway" desc "Zwackery" devices ())
(name "zx80" year "1980" manufacturer "Sinclair Research Ltd" desc "ZX-80" devices ((name "cassette" briefname "cass" )))
(name "zx81" year "1981" manufacturer "Sinclair Research Ltd" desc "ZX-81" devices ((name "cassette" briefname "cass" )))
(name "zx97" year "1997" manufacturer "Wilf Rigter" desc "ZX97" devices ((name "cassette" briefname "cass" )))
(name "zzblock" year "1979" manufacturer "Taito" desc "Zun Zun Block" devices ())
(name "zzyzzyxx" year "1982" manufacturer "Cinematronics / Advanced Microcomputer Systems" desc "Zzyzzyxx (set 1)" devices ())
(name "zzyzzyxx2" year "1982" manufacturer "Cinematronics / Advanced Microcomputer Systems" desc "Zzyzzyxx (set 2)" devices ())))

(provide 'mame-machine-info-loader)

;;; mame-machine-info-loader.el ends here

